/* A Bison parser, made by GNU Bison 3.7.5.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30705

/* Bison version string.  */
#define YYBISON_VERSION "3.7.5"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

/* First part of user prologue.  */
#line 1 "gram.y"


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2022, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET constraint_exclusion TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "access/tableam.h"
#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_am.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "parser/parser.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule, or whose leftmost
 * component was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 *
 * A cleaner answer would be to make YYLLOC_DEFAULT scan all the Rhs
 * locations until it's found one that's not -1.  Then we'd get a correct
 * location for any nonterminal that isn't entirely empty.  But this way
 * would add overhead to every rule reduction, and so far there's not been
 * a compelling reason to pay that overhead.
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	ObjectType	objtype;
	List	   *objs;
} PrivTarget;

/* Private struct for the result of import_qualification production */
typedef struct ImportQual
{
	ImportForeignSchemaType type;
	List	   *table_names;
} ImportQual;

/* Private struct for the result of opt_select_limit production */
typedef struct SelectLimit
{
	Node	   *limitOffset;
	Node	   *limitCount;
	LimitOption limitOption;
} SelectLimit;

/* Private struct for the result of group_clause production */
typedef struct GroupClause
{
	bool		distinct;
	List	   *list;
} GroupClause;

/* Private structs for the result of key_actions and key_action productions */
typedef struct KeyAction
{
	char		action;
	List	   *cols;
} KeyAction;

typedef struct KeyActions
{
	KeyAction *updateAction;
	KeyAction *deleteAction;
} KeyActions;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static RawStmt *makeRawStmt(Node *stmt, int stmt_location);
static void updateRawStmtEnd(RawStmt *rs, int end_location);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBoolAConst(bool state, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Node *v, int location);
static RoleSpec *makeRoleSpec(RoleSpecType type, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								SelectLimit *limitClause,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Float *v);
static Node *makeAndExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeOrExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeNotExpr(Node *expr, int location);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod,
								  int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static RangeVar *makeRangeVarFromQualifiedName(char *name, List *rels,
											   int location,
											   core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static void preprocess_pubobj_list(List *pubobjspec_list,
								   core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 301 "gram.c"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "gram.h"
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_IDENT = 3,                      /* IDENT  */
  YYSYMBOL_UIDENT = 4,                     /* UIDENT  */
  YYSYMBOL_FCONST = 5,                     /* FCONST  */
  YYSYMBOL_SCONST = 6,                     /* SCONST  */
  YYSYMBOL_USCONST = 7,                    /* USCONST  */
  YYSYMBOL_BCONST = 8,                     /* BCONST  */
  YYSYMBOL_XCONST = 9,                     /* XCONST  */
  YYSYMBOL_Op = 10,                        /* Op  */
  YYSYMBOL_ICONST = 11,                    /* ICONST  */
  YYSYMBOL_PARAM = 12,                     /* PARAM  */
  YYSYMBOL_TYPECAST = 13,                  /* TYPECAST  */
  YYSYMBOL_DOT_DOT = 14,                   /* DOT_DOT  */
  YYSYMBOL_COLON_EQUALS = 15,              /* COLON_EQUALS  */
  YYSYMBOL_EQUALS_GREATER = 16,            /* EQUALS_GREATER  */
  YYSYMBOL_LESS_EQUALS = 17,               /* LESS_EQUALS  */
  YYSYMBOL_GREATER_EQUALS = 18,            /* GREATER_EQUALS  */
  YYSYMBOL_NOT_EQUALS = 19,                /* NOT_EQUALS  */
  YYSYMBOL_ABORT_P = 20,                   /* ABORT_P  */
  YYSYMBOL_ABSOLUTE_P = 21,                /* ABSOLUTE_P  */
  YYSYMBOL_ACCESS = 22,                    /* ACCESS  */
  YYSYMBOL_ACTION = 23,                    /* ACTION  */
  YYSYMBOL_ADD_P = 24,                     /* ADD_P  */
  YYSYMBOL_ADMIN = 25,                     /* ADMIN  */
  YYSYMBOL_AFTER = 26,                     /* AFTER  */
  YYSYMBOL_AGGREGATE = 27,                 /* AGGREGATE  */
  YYSYMBOL_ALL = 28,                       /* ALL  */
  YYSYMBOL_ALSO = 29,                      /* ALSO  */
  YYSYMBOL_ALTER = 30,                     /* ALTER  */
  YYSYMBOL_ALWAYS = 31,                    /* ALWAYS  */
  YYSYMBOL_ANALYSE = 32,                   /* ANALYSE  */
  YYSYMBOL_ANALYZE = 33,                   /* ANALYZE  */
  YYSYMBOL_AND = 34,                       /* AND  */
  YYSYMBOL_ANY = 35,                       /* ANY  */
  YYSYMBOL_ARRAY = 36,                     /* ARRAY  */
  YYSYMBOL_AS = 37,                        /* AS  */
  YYSYMBOL_ASC = 38,                       /* ASC  */
  YYSYMBOL_ASENSITIVE = 39,                /* ASENSITIVE  */
  YYSYMBOL_ASSERTION = 40,                 /* ASSERTION  */
  YYSYMBOL_ASSIGNMENT = 41,                /* ASSIGNMENT  */
  YYSYMBOL_ASYMMETRIC = 42,                /* ASYMMETRIC  */
  YYSYMBOL_ATOMIC = 43,                    /* ATOMIC  */
  YYSYMBOL_AT = 44,                        /* AT  */
  YYSYMBOL_ATTACH = 45,                    /* ATTACH  */
  YYSYMBOL_ATTRIBUTE = 46,                 /* ATTRIBUTE  */
  YYSYMBOL_AUTHORIZATION = 47,             /* AUTHORIZATION  */
  YYSYMBOL_BACKWARD = 48,                  /* BACKWARD  */
  YYSYMBOL_BEFORE = 49,                    /* BEFORE  */
  YYSYMBOL_BEGIN_P = 50,                   /* BEGIN_P  */
  YYSYMBOL_BETWEEN = 51,                   /* BETWEEN  */
  YYSYMBOL_BIGINT = 52,                    /* BIGINT  */
  YYSYMBOL_BINARY = 53,                    /* BINARY  */
  YYSYMBOL_BIT = 54,                       /* BIT  */
  YYSYMBOL_BOOLEAN_P = 55,                 /* BOOLEAN_P  */
  YYSYMBOL_BOTH = 56,                      /* BOTH  */
  YYSYMBOL_BREADTH = 57,                   /* BREADTH  */
  YYSYMBOL_BY = 58,                        /* BY  */
  YYSYMBOL_CACHE = 59,                     /* CACHE  */
  YYSYMBOL_CALL = 60,                      /* CALL  */
  YYSYMBOL_CALLED = 61,                    /* CALLED  */
  YYSYMBOL_CASCADE = 62,                   /* CASCADE  */
  YYSYMBOL_CASCADED = 63,                  /* CASCADED  */
  YYSYMBOL_CASE = 64,                      /* CASE  */
  YYSYMBOL_CAST = 65,                      /* CAST  */
  YYSYMBOL_CATALOG_P = 66,                 /* CATALOG_P  */
  YYSYMBOL_CHAIN = 67,                     /* CHAIN  */
  YYSYMBOL_CHAR_P = 68,                    /* CHAR_P  */
  YYSYMBOL_CHARACTER = 69,                 /* CHARACTER  */
  YYSYMBOL_CHARACTERISTICS = 70,           /* CHARACTERISTICS  */
  YYSYMBOL_CHECK = 71,                     /* CHECK  */
  YYSYMBOL_CHECKPOINT = 72,                /* CHECKPOINT  */
  YYSYMBOL_CLASS = 73,                     /* CLASS  */
  YYSYMBOL_CLOSE = 74,                     /* CLOSE  */
  YYSYMBOL_CLUSTER = 75,                   /* CLUSTER  */
  YYSYMBOL_COALESCE = 76,                  /* COALESCE  */
  YYSYMBOL_COLLATE = 77,                   /* COLLATE  */
  YYSYMBOL_COLLATION = 78,                 /* COLLATION  */
  YYSYMBOL_COLUMN = 79,                    /* COLUMN  */
  YYSYMBOL_COLUMNS = 80,                   /* COLUMNS  */
  YYSYMBOL_COMMENT = 81,                   /* COMMENT  */
  YYSYMBOL_COMMENTS = 82,                  /* COMMENTS  */
  YYSYMBOL_COMMIT = 83,                    /* COMMIT  */
  YYSYMBOL_COMMITTED = 84,                 /* COMMITTED  */
  YYSYMBOL_COMPRESSION = 85,               /* COMPRESSION  */
  YYSYMBOL_CONCURRENTLY = 86,              /* CONCURRENTLY  */
  YYSYMBOL_CONFIGURATION = 87,             /* CONFIGURATION  */
  YYSYMBOL_CONFLICT = 88,                  /* CONFLICT  */
  YYSYMBOL_CONNECTION = 89,                /* CONNECTION  */
  YYSYMBOL_CONSTRAINT = 90,                /* CONSTRAINT  */
  YYSYMBOL_CONSTRAINTS = 91,               /* CONSTRAINTS  */
  YYSYMBOL_CONTENT_P = 92,                 /* CONTENT_P  */
  YYSYMBOL_CONTINUE_P = 93,                /* CONTINUE_P  */
  YYSYMBOL_CONVERSION_P = 94,              /* CONVERSION_P  */
  YYSYMBOL_COPY = 95,                      /* COPY  */
  YYSYMBOL_COST = 96,                      /* COST  */
  YYSYMBOL_CREATE = 97,                    /* CREATE  */
  YYSYMBOL_CROSS = 98,                     /* CROSS  */
  YYSYMBOL_CSV = 99,                       /* CSV  */
  YYSYMBOL_CUBE = 100,                     /* CUBE  */
  YYSYMBOL_CURRENT_P = 101,                /* CURRENT_P  */
  YYSYMBOL_CURRENT_CATALOG = 102,          /* CURRENT_CATALOG  */
  YYSYMBOL_CURRENT_DATE = 103,             /* CURRENT_DATE  */
  YYSYMBOL_CURRENT_ROLE = 104,             /* CURRENT_ROLE  */
  YYSYMBOL_CURRENT_SCHEMA = 105,           /* CURRENT_SCHEMA  */
  YYSYMBOL_CURRENT_TIME = 106,             /* CURRENT_TIME  */
  YYSYMBOL_CURRENT_TIMESTAMP = 107,        /* CURRENT_TIMESTAMP  */
  YYSYMBOL_CURRENT_USER = 108,             /* CURRENT_USER  */
  YYSYMBOL_CURSOR = 109,                   /* CURSOR  */
  YYSYMBOL_CYCLE = 110,                    /* CYCLE  */
  YYSYMBOL_DATA_P = 111,                   /* DATA_P  */
  YYSYMBOL_DATABASE = 112,                 /* DATABASE  */
  YYSYMBOL_DAY_P = 113,                    /* DAY_P  */
  YYSYMBOL_DEALLOCATE = 114,               /* DEALLOCATE  */
  YYSYMBOL_DEC = 115,                      /* DEC  */
  YYSYMBOL_DECIMAL_P = 116,                /* DECIMAL_P  */
  YYSYMBOL_DECLARE = 117,                  /* DECLARE  */
  YYSYMBOL_DEFAULT = 118,                  /* DEFAULT  */
  YYSYMBOL_DEFAULTS = 119,                 /* DEFAULTS  */
  YYSYMBOL_DEFERRABLE = 120,               /* DEFERRABLE  */
  YYSYMBOL_DEFERRED = 121,                 /* DEFERRED  */
  YYSYMBOL_DEFINER = 122,                  /* DEFINER  */
  YYSYMBOL_DELETE_P = 123,                 /* DELETE_P  */
  YYSYMBOL_DELIMITER = 124,                /* DELIMITER  */
  YYSYMBOL_DELIMITERS = 125,               /* DELIMITERS  */
  YYSYMBOL_DEPENDS = 126,                  /* DEPENDS  */
  YYSYMBOL_DEPTH = 127,                    /* DEPTH  */
  YYSYMBOL_DESC = 128,                     /* DESC  */
  YYSYMBOL_DETACH = 129,                   /* DETACH  */
  YYSYMBOL_DICTIONARY = 130,               /* DICTIONARY  */
  YYSYMBOL_DISABLE_P = 131,                /* DISABLE_P  */
  YYSYMBOL_DISCARD = 132,                  /* DISCARD  */
  YYSYMBOL_DISTINCT = 133,                 /* DISTINCT  */
  YYSYMBOL_DO = 134,                       /* DO  */
  YYSYMBOL_DOCUMENT_P = 135,               /* DOCUMENT_P  */
  YYSYMBOL_DOMAIN_P = 136,                 /* DOMAIN_P  */
  YYSYMBOL_DOUBLE_P = 137,                 /* DOUBLE_P  */
  YYSYMBOL_DROP = 138,                     /* DROP  */
  YYSYMBOL_EACH = 139,                     /* EACH  */
  YYSYMBOL_ELSE = 140,                     /* ELSE  */
  YYSYMBOL_ENABLE_P = 141,                 /* ENABLE_P  */
  YYSYMBOL_ENCODING = 142,                 /* ENCODING  */
  YYSYMBOL_ENCRYPTED = 143,                /* ENCRYPTED  */
  YYSYMBOL_END_P = 144,                    /* END_P  */
  YYSYMBOL_ENUM_P = 145,                   /* ENUM_P  */
  YYSYMBOL_ESCAPE = 146,                   /* ESCAPE  */
  YYSYMBOL_EVENT = 147,                    /* EVENT  */
  YYSYMBOL_EXCEPT = 148,                   /* EXCEPT  */
  YYSYMBOL_EXCLUDE = 149,                  /* EXCLUDE  */
  YYSYMBOL_EXCLUDING = 150,                /* EXCLUDING  */
  YYSYMBOL_EXCLUSIVE = 151,                /* EXCLUSIVE  */
  YYSYMBOL_EXECUTE = 152,                  /* EXECUTE  */
  YYSYMBOL_EXISTS = 153,                   /* EXISTS  */
  YYSYMBOL_EXPLAIN = 154,                  /* EXPLAIN  */
  YYSYMBOL_EXPRESSION = 155,               /* EXPRESSION  */
  YYSYMBOL_EXTENSION = 156,                /* EXTENSION  */
  YYSYMBOL_EXTERNAL = 157,                 /* EXTERNAL  */
  YYSYMBOL_EXTRACT = 158,                  /* EXTRACT  */
  YYSYMBOL_FALSE_P = 159,                  /* FALSE_P  */
  YYSYMBOL_FAMILY = 160,                   /* FAMILY  */
  YYSYMBOL_FETCH = 161,                    /* FETCH  */
  YYSYMBOL_FILTER = 162,                   /* FILTER  */
  YYSYMBOL_FINALIZE = 163,                 /* FINALIZE  */
  YYSYMBOL_FIRST_P = 164,                  /* FIRST_P  */
  YYSYMBOL_FLOAT_P = 165,                  /* FLOAT_P  */
  YYSYMBOL_FOLLOWING = 166,                /* FOLLOWING  */
  YYSYMBOL_FOR = 167,                      /* FOR  */
  YYSYMBOL_FORCE = 168,                    /* FORCE  */
  YYSYMBOL_FOREIGN = 169,                  /* FOREIGN  */
  YYSYMBOL_FORWARD = 170,                  /* FORWARD  */
  YYSYMBOL_FREEZE = 171,                   /* FREEZE  */
  YYSYMBOL_FROM = 172,                     /* FROM  */
  YYSYMBOL_FULL = 173,                     /* FULL  */
  YYSYMBOL_FUNCTION = 174,                 /* FUNCTION  */
  YYSYMBOL_FUNCTIONS = 175,                /* FUNCTIONS  */
  YYSYMBOL_GENERATED = 176,                /* GENERATED  */
  YYSYMBOL_GLOBAL = 177,                   /* GLOBAL  */
  YYSYMBOL_GRANT = 178,                    /* GRANT  */
  YYSYMBOL_GRANTED = 179,                  /* GRANTED  */
  YYSYMBOL_GREATEST = 180,                 /* GREATEST  */
  YYSYMBOL_GROUP_P = 181,                  /* GROUP_P  */
  YYSYMBOL_GROUPING = 182,                 /* GROUPING  */
  YYSYMBOL_GROUPS = 183,                   /* GROUPS  */
  YYSYMBOL_HANDLER = 184,                  /* HANDLER  */
  YYSYMBOL_HAVING = 185,                   /* HAVING  */
  YYSYMBOL_HEADER_P = 186,                 /* HEADER_P  */
  YYSYMBOL_HOLD = 187,                     /* HOLD  */
  YYSYMBOL_HOUR_P = 188,                   /* HOUR_P  */
  YYSYMBOL_IDENTITY_P = 189,               /* IDENTITY_P  */
  YYSYMBOL_IF_P = 190,                     /* IF_P  */
  YYSYMBOL_ILIKE = 191,                    /* ILIKE  */
  YYSYMBOL_IMMEDIATE = 192,                /* IMMEDIATE  */
  YYSYMBOL_IMMUTABLE = 193,                /* IMMUTABLE  */
  YYSYMBOL_IMPLICIT_P = 194,               /* IMPLICIT_P  */
  YYSYMBOL_IMPORT_P = 195,                 /* IMPORT_P  */
  YYSYMBOL_IN_P = 196,                     /* IN_P  */
  YYSYMBOL_INCLUDE = 197,                  /* INCLUDE  */
  YYSYMBOL_INCLUDING = 198,                /* INCLUDING  */
  YYSYMBOL_INCREMENT = 199,                /* INCREMENT  */
  YYSYMBOL_INDEX = 200,                    /* INDEX  */
  YYSYMBOL_INDEXES = 201,                  /* INDEXES  */
  YYSYMBOL_INHERIT = 202,                  /* INHERIT  */
  YYSYMBOL_INHERITS = 203,                 /* INHERITS  */
  YYSYMBOL_INITIALLY = 204,                /* INITIALLY  */
  YYSYMBOL_INLINE_P = 205,                 /* INLINE_P  */
  YYSYMBOL_INNER_P = 206,                  /* INNER_P  */
  YYSYMBOL_INOUT = 207,                    /* INOUT  */
  YYSYMBOL_INPUT_P = 208,                  /* INPUT_P  */
  YYSYMBOL_INSENSITIVE = 209,              /* INSENSITIVE  */
  YYSYMBOL_INSERT = 210,                   /* INSERT  */
  YYSYMBOL_INSTEAD = 211,                  /* INSTEAD  */
  YYSYMBOL_INT_P = 212,                    /* INT_P  */
  YYSYMBOL_INTEGER = 213,                  /* INTEGER  */
  YYSYMBOL_INTERSECT = 214,                /* INTERSECT  */
  YYSYMBOL_INTERVAL = 215,                 /* INTERVAL  */
  YYSYMBOL_INTO = 216,                     /* INTO  */
  YYSYMBOL_INVOKER = 217,                  /* INVOKER  */
  YYSYMBOL_IS = 218,                       /* IS  */
  YYSYMBOL_ISNULL = 219,                   /* ISNULL  */
  YYSYMBOL_ISOLATION = 220,                /* ISOLATION  */
  YYSYMBOL_JOIN = 221,                     /* JOIN  */
  YYSYMBOL_KEY = 222,                      /* KEY  */
  YYSYMBOL_LABEL = 223,                    /* LABEL  */
  YYSYMBOL_LANGUAGE = 224,                 /* LANGUAGE  */
  YYSYMBOL_LARGE_P = 225,                  /* LARGE_P  */
  YYSYMBOL_LAST_P = 226,                   /* LAST_P  */
  YYSYMBOL_LATERAL_P = 227,                /* LATERAL_P  */
  YYSYMBOL_LEADING = 228,                  /* LEADING  */
  YYSYMBOL_LEAKPROOF = 229,                /* LEAKPROOF  */
  YYSYMBOL_LEAST = 230,                    /* LEAST  */
  YYSYMBOL_LEFT = 231,                     /* LEFT  */
  YYSYMBOL_LEVEL = 232,                    /* LEVEL  */
  YYSYMBOL_LIKE = 233,                     /* LIKE  */
  YYSYMBOL_LIMIT = 234,                    /* LIMIT  */
  YYSYMBOL_LISTEN = 235,                   /* LISTEN  */
  YYSYMBOL_LOAD = 236,                     /* LOAD  */
  YYSYMBOL_LOCAL = 237,                    /* LOCAL  */
  YYSYMBOL_LOCALTIME = 238,                /* LOCALTIME  */
  YYSYMBOL_LOCALTIMESTAMP = 239,           /* LOCALTIMESTAMP  */
  YYSYMBOL_LOCATION = 240,                 /* LOCATION  */
  YYSYMBOL_LOCK_P = 241,                   /* LOCK_P  */
  YYSYMBOL_LOCKED = 242,                   /* LOCKED  */
  YYSYMBOL_LOGGED = 243,                   /* LOGGED  */
  YYSYMBOL_MAPPING = 244,                  /* MAPPING  */
  YYSYMBOL_MATCH = 245,                    /* MATCH  */
  YYSYMBOL_MATCHED = 246,                  /* MATCHED  */
  YYSYMBOL_MATERIALIZED = 247,             /* MATERIALIZED  */
  YYSYMBOL_MAXVALUE = 248,                 /* MAXVALUE  */
  YYSYMBOL_MERGE = 249,                    /* MERGE  */
  YYSYMBOL_METHOD = 250,                   /* METHOD  */
  YYSYMBOL_MINUTE_P = 251,                 /* MINUTE_P  */
  YYSYMBOL_MINVALUE = 252,                 /* MINVALUE  */
  YYSYMBOL_MODE = 253,                     /* MODE  */
  YYSYMBOL_MONTH_P = 254,                  /* MONTH_P  */
  YYSYMBOL_MOVE = 255,                     /* MOVE  */
  YYSYMBOL_NAME_P = 256,                   /* NAME_P  */
  YYSYMBOL_NAMES = 257,                    /* NAMES  */
  YYSYMBOL_NATIONAL = 258,                 /* NATIONAL  */
  YYSYMBOL_NATURAL = 259,                  /* NATURAL  */
  YYSYMBOL_NCHAR = 260,                    /* NCHAR  */
  YYSYMBOL_NEW = 261,                      /* NEW  */
  YYSYMBOL_NEXT = 262,                     /* NEXT  */
  YYSYMBOL_NFC = 263,                      /* NFC  */
  YYSYMBOL_NFD = 264,                      /* NFD  */
  YYSYMBOL_NFKC = 265,                     /* NFKC  */
  YYSYMBOL_NFKD = 266,                     /* NFKD  */
  YYSYMBOL_NO = 267,                       /* NO  */
  YYSYMBOL_NONE = 268,                     /* NONE  */
  YYSYMBOL_NORMALIZE = 269,                /* NORMALIZE  */
  YYSYMBOL_NORMALIZED = 270,               /* NORMALIZED  */
  YYSYMBOL_NOT = 271,                      /* NOT  */
  YYSYMBOL_NOTHING = 272,                  /* NOTHING  */
  YYSYMBOL_NOTIFY = 273,                   /* NOTIFY  */
  YYSYMBOL_NOTNULL = 274,                  /* NOTNULL  */
  YYSYMBOL_NOWAIT = 275,                   /* NOWAIT  */
  YYSYMBOL_NULL_P = 276,                   /* NULL_P  */
  YYSYMBOL_NULLIF = 277,                   /* NULLIF  */
  YYSYMBOL_NULLS_P = 278,                  /* NULLS_P  */
  YYSYMBOL_NUMERIC = 279,                  /* NUMERIC  */
  YYSYMBOL_OBJECT_P = 280,                 /* OBJECT_P  */
  YYSYMBOL_OF = 281,                       /* OF  */
  YYSYMBOL_OFF = 282,                      /* OFF  */
  YYSYMBOL_OFFSET = 283,                   /* OFFSET  */
  YYSYMBOL_OIDS = 284,                     /* OIDS  */
  YYSYMBOL_OLD = 285,                      /* OLD  */
  YYSYMBOL_ON = 286,                       /* ON  */
  YYSYMBOL_ONLY = 287,                     /* ONLY  */
  YYSYMBOL_OPERATOR = 288,                 /* OPERATOR  */
  YYSYMBOL_OPTION = 289,                   /* OPTION  */
  YYSYMBOL_OPTIONS = 290,                  /* OPTIONS  */
  YYSYMBOL_OR = 291,                       /* OR  */
  YYSYMBOL_ORDER = 292,                    /* ORDER  */
  YYSYMBOL_ORDINALITY = 293,               /* ORDINALITY  */
  YYSYMBOL_OTHERS = 294,                   /* OTHERS  */
  YYSYMBOL_OUT_P = 295,                    /* OUT_P  */
  YYSYMBOL_OUTER_P = 296,                  /* OUTER_P  */
  YYSYMBOL_OVER = 297,                     /* OVER  */
  YYSYMBOL_OVERLAPS = 298,                 /* OVERLAPS  */
  YYSYMBOL_OVERLAY = 299,                  /* OVERLAY  */
  YYSYMBOL_OVERRIDING = 300,               /* OVERRIDING  */
  YYSYMBOL_OWNED = 301,                    /* OWNED  */
  YYSYMBOL_OWNER = 302,                    /* OWNER  */
  YYSYMBOL_PARALLEL = 303,                 /* PARALLEL  */
  YYSYMBOL_PARAMETER = 304,                /* PARAMETER  */
  YYSYMBOL_PARSER = 305,                   /* PARSER  */
  YYSYMBOL_PARTIAL = 306,                  /* PARTIAL  */
  YYSYMBOL_PARTITION = 307,                /* PARTITION  */
  YYSYMBOL_PASSING = 308,                  /* PASSING  */
  YYSYMBOL_PASSWORD = 309,                 /* PASSWORD  */
  YYSYMBOL_PLACING = 310,                  /* PLACING  */
  YYSYMBOL_PLANS = 311,                    /* PLANS  */
  YYSYMBOL_POLICY = 312,                   /* POLICY  */
  YYSYMBOL_POSITION = 313,                 /* POSITION  */
  YYSYMBOL_PRECEDING = 314,                /* PRECEDING  */
  YYSYMBOL_PRECISION = 315,                /* PRECISION  */
  YYSYMBOL_PRESERVE = 316,                 /* PRESERVE  */
  YYSYMBOL_PREPARE = 317,                  /* PREPARE  */
  YYSYMBOL_PREPARED = 318,                 /* PREPARED  */
  YYSYMBOL_PRIMARY = 319,                  /* PRIMARY  */
  YYSYMBOL_PRIOR = 320,                    /* PRIOR  */
  YYSYMBOL_PRIVILEGES = 321,               /* PRIVILEGES  */
  YYSYMBOL_PROCEDURAL = 322,               /* PROCEDURAL  */
  YYSYMBOL_PROCEDURE = 323,                /* PROCEDURE  */
  YYSYMBOL_PROCEDURES = 324,               /* PROCEDURES  */
  YYSYMBOL_PROGRAM = 325,                  /* PROGRAM  */
  YYSYMBOL_PUBLICATION = 326,              /* PUBLICATION  */
  YYSYMBOL_QUOTE = 327,                    /* QUOTE  */
  YYSYMBOL_RANGE = 328,                    /* RANGE  */
  YYSYMBOL_READ = 329,                     /* READ  */
  YYSYMBOL_REAL = 330,                     /* REAL  */
  YYSYMBOL_REASSIGN = 331,                 /* REASSIGN  */
  YYSYMBOL_RECHECK = 332,                  /* RECHECK  */
  YYSYMBOL_RECURSIVE = 333,                /* RECURSIVE  */
  YYSYMBOL_REF_P = 334,                    /* REF_P  */
  YYSYMBOL_REFERENCES = 335,               /* REFERENCES  */
  YYSYMBOL_REFERENCING = 336,              /* REFERENCING  */
  YYSYMBOL_REFRESH = 337,                  /* REFRESH  */
  YYSYMBOL_REINDEX = 338,                  /* REINDEX  */
  YYSYMBOL_RELATIVE_P = 339,               /* RELATIVE_P  */
  YYSYMBOL_RELEASE = 340,                  /* RELEASE  */
  YYSYMBOL_RENAME = 341,                   /* RENAME  */
  YYSYMBOL_REPEATABLE = 342,               /* REPEATABLE  */
  YYSYMBOL_REPLACE = 343,                  /* REPLACE  */
  YYSYMBOL_REPLICA = 344,                  /* REPLICA  */
  YYSYMBOL_RESET = 345,                    /* RESET  */
  YYSYMBOL_RESTART = 346,                  /* RESTART  */
  YYSYMBOL_RESTRICT = 347,                 /* RESTRICT  */
  YYSYMBOL_RETURN = 348,                   /* RETURN  */
  YYSYMBOL_RETURNING = 349,                /* RETURNING  */
  YYSYMBOL_RETURNS = 350,                  /* RETURNS  */
  YYSYMBOL_REVOKE = 351,                   /* REVOKE  */
  YYSYMBOL_RIGHT = 352,                    /* RIGHT  */
  YYSYMBOL_ROLE = 353,                     /* ROLE  */
  YYSYMBOL_ROLLBACK = 354,                 /* ROLLBACK  */
  YYSYMBOL_ROLLUP = 355,                   /* ROLLUP  */
  YYSYMBOL_ROUTINE = 356,                  /* ROUTINE  */
  YYSYMBOL_ROUTINES = 357,                 /* ROUTINES  */
  YYSYMBOL_ROW = 358,                      /* ROW  */
  YYSYMBOL_ROWS = 359,                     /* ROWS  */
  YYSYMBOL_RULE = 360,                     /* RULE  */
  YYSYMBOL_SAVEPOINT = 361,                /* SAVEPOINT  */
  YYSYMBOL_SCHEMA = 362,                   /* SCHEMA  */
  YYSYMBOL_SCHEMAS = 363,                  /* SCHEMAS  */
  YYSYMBOL_SCROLL = 364,                   /* SCROLL  */
  YYSYMBOL_SEARCH = 365,                   /* SEARCH  */
  YYSYMBOL_SECOND_P = 366,                 /* SECOND_P  */
  YYSYMBOL_SECURITY = 367,                 /* SECURITY  */
  YYSYMBOL_SELECT = 368,                   /* SELECT  */
  YYSYMBOL_SEQUENCE = 369,                 /* SEQUENCE  */
  YYSYMBOL_SEQUENCES = 370,                /* SEQUENCES  */
  YYSYMBOL_SERIALIZABLE = 371,             /* SERIALIZABLE  */
  YYSYMBOL_SERVER = 372,                   /* SERVER  */
  YYSYMBOL_SESSION = 373,                  /* SESSION  */
  YYSYMBOL_SESSION_USER = 374,             /* SESSION_USER  */
  YYSYMBOL_SET = 375,                      /* SET  */
  YYSYMBOL_SETS = 376,                     /* SETS  */
  YYSYMBOL_SETOF = 377,                    /* SETOF  */
  YYSYMBOL_SHARE = 378,                    /* SHARE  */
  YYSYMBOL_SHOW = 379,                     /* SHOW  */
  YYSYMBOL_SIMILAR = 380,                  /* SIMILAR  */
  YYSYMBOL_SIMPLE = 381,                   /* SIMPLE  */
  YYSYMBOL_SKIP = 382,                     /* SKIP  */
  YYSYMBOL_SMALLINT = 383,                 /* SMALLINT  */
  YYSYMBOL_SNAPSHOT = 384,                 /* SNAPSHOT  */
  YYSYMBOL_SOME = 385,                     /* SOME  */
  YYSYMBOL_SQL_P = 386,                    /* SQL_P  */
  YYSYMBOL_STABLE = 387,                   /* STABLE  */
  YYSYMBOL_STANDALONE_P = 388,             /* STANDALONE_P  */
  YYSYMBOL_START = 389,                    /* START  */
  YYSYMBOL_STATEMENT = 390,                /* STATEMENT  */
  YYSYMBOL_STATISTICS = 391,               /* STATISTICS  */
  YYSYMBOL_STDIN = 392,                    /* STDIN  */
  YYSYMBOL_STDOUT = 393,                   /* STDOUT  */
  YYSYMBOL_STORAGE = 394,                  /* STORAGE  */
  YYSYMBOL_STORED = 395,                   /* STORED  */
  YYSYMBOL_STRICT_P = 396,                 /* STRICT_P  */
  YYSYMBOL_STRIP_P = 397,                  /* STRIP_P  */
  YYSYMBOL_SUBSCRIPTION = 398,             /* SUBSCRIPTION  */
  YYSYMBOL_SUBSTRING = 399,                /* SUBSTRING  */
  YYSYMBOL_SUPPORT = 400,                  /* SUPPORT  */
  YYSYMBOL_SYMMETRIC = 401,                /* SYMMETRIC  */
  YYSYMBOL_SYSID = 402,                    /* SYSID  */
  YYSYMBOL_SYSTEM_P = 403,                 /* SYSTEM_P  */
  YYSYMBOL_TABLE = 404,                    /* TABLE  */
  YYSYMBOL_TABLES = 405,                   /* TABLES  */
  YYSYMBOL_TABLESAMPLE = 406,              /* TABLESAMPLE  */
  YYSYMBOL_TABLESPACE = 407,               /* TABLESPACE  */
  YYSYMBOL_TEMP = 408,                     /* TEMP  */
  YYSYMBOL_TEMPLATE = 409,                 /* TEMPLATE  */
  YYSYMBOL_TEMPORARY = 410,                /* TEMPORARY  */
  YYSYMBOL_TEXT_P = 411,                   /* TEXT_P  */
  YYSYMBOL_THEN = 412,                     /* THEN  */
  YYSYMBOL_TIES = 413,                     /* TIES  */
  YYSYMBOL_TIME = 414,                     /* TIME  */
  YYSYMBOL_TIMESTAMP = 415,                /* TIMESTAMP  */
  YYSYMBOL_TO = 416,                       /* TO  */
  YYSYMBOL_TRAILING = 417,                 /* TRAILING  */
  YYSYMBOL_TRANSACTION = 418,              /* TRANSACTION  */
  YYSYMBOL_TRANSFORM = 419,                /* TRANSFORM  */
  YYSYMBOL_TREAT = 420,                    /* TREAT  */
  YYSYMBOL_TRIGGER = 421,                  /* TRIGGER  */
  YYSYMBOL_TRIM = 422,                     /* TRIM  */
  YYSYMBOL_TRUE_P = 423,                   /* TRUE_P  */
  YYSYMBOL_TRUNCATE = 424,                 /* TRUNCATE  */
  YYSYMBOL_TRUSTED = 425,                  /* TRUSTED  */
  YYSYMBOL_TYPE_P = 426,                   /* TYPE_P  */
  YYSYMBOL_TYPES_P = 427,                  /* TYPES_P  */
  YYSYMBOL_UESCAPE = 428,                  /* UESCAPE  */
  YYSYMBOL_UNBOUNDED = 429,                /* UNBOUNDED  */
  YYSYMBOL_UNCOMMITTED = 430,              /* UNCOMMITTED  */
  YYSYMBOL_UNENCRYPTED = 431,              /* UNENCRYPTED  */
  YYSYMBOL_UNION = 432,                    /* UNION  */
  YYSYMBOL_UNIQUE = 433,                   /* UNIQUE  */
  YYSYMBOL_UNKNOWN = 434,                  /* UNKNOWN  */
  YYSYMBOL_UNLISTEN = 435,                 /* UNLISTEN  */
  YYSYMBOL_UNLOGGED = 436,                 /* UNLOGGED  */
  YYSYMBOL_UNTIL = 437,                    /* UNTIL  */
  YYSYMBOL_UPDATE = 438,                   /* UPDATE  */
  YYSYMBOL_USER = 439,                     /* USER  */
  YYSYMBOL_USING = 440,                    /* USING  */
  YYSYMBOL_VACUUM = 441,                   /* VACUUM  */
  YYSYMBOL_VALID = 442,                    /* VALID  */
  YYSYMBOL_VALIDATE = 443,                 /* VALIDATE  */
  YYSYMBOL_VALIDATOR = 444,                /* VALIDATOR  */
  YYSYMBOL_VALUE_P = 445,                  /* VALUE_P  */
  YYSYMBOL_VALUES = 446,                   /* VALUES  */
  YYSYMBOL_VARCHAR = 447,                  /* VARCHAR  */
  YYSYMBOL_VARIADIC = 448,                 /* VARIADIC  */
  YYSYMBOL_VARYING = 449,                  /* VARYING  */
  YYSYMBOL_VERBOSE = 450,                  /* VERBOSE  */
  YYSYMBOL_VERSION_P = 451,                /* VERSION_P  */
  YYSYMBOL_VIEW = 452,                     /* VIEW  */
  YYSYMBOL_VIEWS = 453,                    /* VIEWS  */
  YYSYMBOL_VOLATILE = 454,                 /* VOLATILE  */
  YYSYMBOL_WHEN = 455,                     /* WHEN  */
  YYSYMBOL_WHERE = 456,                    /* WHERE  */
  YYSYMBOL_WHITESPACE_P = 457,             /* WHITESPACE_P  */
  YYSYMBOL_WINDOW = 458,                   /* WINDOW  */
  YYSYMBOL_WITH = 459,                     /* WITH  */
  YYSYMBOL_WITHIN = 460,                   /* WITHIN  */
  YYSYMBOL_WITHOUT = 461,                  /* WITHOUT  */
  YYSYMBOL_WORK = 462,                     /* WORK  */
  YYSYMBOL_WRAPPER = 463,                  /* WRAPPER  */
  YYSYMBOL_WRITE = 464,                    /* WRITE  */
  YYSYMBOL_XML_P = 465,                    /* XML_P  */
  YYSYMBOL_XMLATTRIBUTES = 466,            /* XMLATTRIBUTES  */
  YYSYMBOL_XMLCONCAT = 467,                /* XMLCONCAT  */
  YYSYMBOL_XMLELEMENT = 468,               /* XMLELEMENT  */
  YYSYMBOL_XMLEXISTS = 469,                /* XMLEXISTS  */
  YYSYMBOL_XMLFOREST = 470,                /* XMLFOREST  */
  YYSYMBOL_XMLNAMESPACES = 471,            /* XMLNAMESPACES  */
  YYSYMBOL_XMLPARSE = 472,                 /* XMLPARSE  */
  YYSYMBOL_XMLPI = 473,                    /* XMLPI  */
  YYSYMBOL_XMLROOT = 474,                  /* XMLROOT  */
  YYSYMBOL_XMLSERIALIZE = 475,             /* XMLSERIALIZE  */
  YYSYMBOL_XMLTABLE = 476,                 /* XMLTABLE  */
  YYSYMBOL_YEAR_P = 477,                   /* YEAR_P  */
  YYSYMBOL_YES_P = 478,                    /* YES_P  */
  YYSYMBOL_ZONE = 479,                     /* ZONE  */
  YYSYMBOL_NOT_LA = 480,                   /* NOT_LA  */
  YYSYMBOL_NULLS_LA = 481,                 /* NULLS_LA  */
  YYSYMBOL_WITH_LA = 482,                  /* WITH_LA  */
  YYSYMBOL_MODE_TYPE_NAME = 483,           /* MODE_TYPE_NAME  */
  YYSYMBOL_MODE_PLPGSQL_EXPR = 484,        /* MODE_PLPGSQL_EXPR  */
  YYSYMBOL_MODE_PLPGSQL_ASSIGN1 = 485,     /* MODE_PLPGSQL_ASSIGN1  */
  YYSYMBOL_MODE_PLPGSQL_ASSIGN2 = 486,     /* MODE_PLPGSQL_ASSIGN2  */
  YYSYMBOL_MODE_PLPGSQL_ASSIGN3 = 487,     /* MODE_PLPGSQL_ASSIGN3  */
  YYSYMBOL_488_ = 488,                     /* '<'  */
  YYSYMBOL_489_ = 489,                     /* '>'  */
  YYSYMBOL_490_ = 490,                     /* '='  */
  YYSYMBOL_491_ = 491,                     /* '+'  */
  YYSYMBOL_492_ = 492,                     /* '-'  */
  YYSYMBOL_493_ = 493,                     /* '*'  */
  YYSYMBOL_494_ = 494,                     /* '/'  */
  YYSYMBOL_495_ = 495,                     /* '%'  */
  YYSYMBOL_496_ = 496,                     /* '^'  */
  YYSYMBOL_UMINUS = 497,                   /* UMINUS  */
  YYSYMBOL_498_ = 498,                     /* '['  */
  YYSYMBOL_499_ = 499,                     /* ']'  */
  YYSYMBOL_500_ = 500,                     /* '('  */
  YYSYMBOL_501_ = 501,                     /* ')'  */
  YYSYMBOL_502_ = 502,                     /* '.'  */
  YYSYMBOL_503_ = 503,                     /* ';'  */
  YYSYMBOL_504_ = 504,                     /* ','  */
  YYSYMBOL_505_ = 505,                     /* ':'  */
  YYSYMBOL_YYACCEPT = 506,                 /* $accept  */
  YYSYMBOL_parse_toplevel = 507,           /* parse_toplevel  */
  YYSYMBOL_stmtmulti = 508,                /* stmtmulti  */
  YYSYMBOL_toplevel_stmt = 509,            /* toplevel_stmt  */
  YYSYMBOL_stmt = 510,                     /* stmt  */
  YYSYMBOL_CallStmt = 511,                 /* CallStmt  */
  YYSYMBOL_CreateRoleStmt = 512,           /* CreateRoleStmt  */
  YYSYMBOL_opt_with = 513,                 /* opt_with  */
  YYSYMBOL_OptRoleList = 514,              /* OptRoleList  */
  YYSYMBOL_AlterOptRoleList = 515,         /* AlterOptRoleList  */
  YYSYMBOL_AlterOptRoleElem = 516,         /* AlterOptRoleElem  */
  YYSYMBOL_CreateOptRoleElem = 517,        /* CreateOptRoleElem  */
  YYSYMBOL_CreateUserStmt = 518,           /* CreateUserStmt  */
  YYSYMBOL_AlterRoleStmt = 519,            /* AlterRoleStmt  */
  YYSYMBOL_opt_in_database = 520,          /* opt_in_database  */
  YYSYMBOL_AlterRoleSetStmt = 521,         /* AlterRoleSetStmt  */
  YYSYMBOL_DropRoleStmt = 522,             /* DropRoleStmt  */
  YYSYMBOL_CreateGroupStmt = 523,          /* CreateGroupStmt  */
  YYSYMBOL_AlterGroupStmt = 524,           /* AlterGroupStmt  */
  YYSYMBOL_add_drop = 525,                 /* add_drop  */
  YYSYMBOL_CreateSchemaStmt = 526,         /* CreateSchemaStmt  */
  YYSYMBOL_OptSchemaName = 527,            /* OptSchemaName  */
  YYSYMBOL_OptSchemaEltList = 528,         /* OptSchemaEltList  */
  YYSYMBOL_schema_stmt = 529,              /* schema_stmt  */
  YYSYMBOL_VariableSetStmt = 530,          /* VariableSetStmt  */
  YYSYMBOL_set_rest = 531,                 /* set_rest  */
  YYSYMBOL_generic_set = 532,              /* generic_set  */
  YYSYMBOL_set_rest_more = 533,            /* set_rest_more  */
  YYSYMBOL_var_name = 534,                 /* var_name  */
  YYSYMBOL_var_list = 535,                 /* var_list  */
  YYSYMBOL_var_value = 536,                /* var_value  */
  YYSYMBOL_iso_level = 537,                /* iso_level  */
  YYSYMBOL_opt_boolean_or_string = 538,    /* opt_boolean_or_string  */
  YYSYMBOL_zone_value = 539,               /* zone_value  */
  YYSYMBOL_opt_encoding = 540,             /* opt_encoding  */
  YYSYMBOL_NonReservedWord_or_Sconst = 541, /* NonReservedWord_or_Sconst  */
  YYSYMBOL_VariableResetStmt = 542,        /* VariableResetStmt  */
  YYSYMBOL_reset_rest = 543,               /* reset_rest  */
  YYSYMBOL_generic_reset = 544,            /* generic_reset  */
  YYSYMBOL_SetResetClause = 545,           /* SetResetClause  */
  YYSYMBOL_FunctionSetResetClause = 546,   /* FunctionSetResetClause  */
  YYSYMBOL_VariableShowStmt = 547,         /* VariableShowStmt  */
  YYSYMBOL_ConstraintsSetStmt = 548,       /* ConstraintsSetStmt  */
  YYSYMBOL_constraints_set_list = 549,     /* constraints_set_list  */
  YYSYMBOL_constraints_set_mode = 550,     /* constraints_set_mode  */
  YYSYMBOL_CheckPointStmt = 551,           /* CheckPointStmt  */
  YYSYMBOL_DiscardStmt = 552,              /* DiscardStmt  */
  YYSYMBOL_AlterTableStmt = 553,           /* AlterTableStmt  */
  YYSYMBOL_alter_table_cmds = 554,         /* alter_table_cmds  */
  YYSYMBOL_partition_cmd = 555,            /* partition_cmd  */
  YYSYMBOL_index_partition_cmd = 556,      /* index_partition_cmd  */
  YYSYMBOL_alter_table_cmd = 557,          /* alter_table_cmd  */
  YYSYMBOL_alter_column_default = 558,     /* alter_column_default  */
  YYSYMBOL_opt_drop_behavior = 559,        /* opt_drop_behavior  */
  YYSYMBOL_opt_collate_clause = 560,       /* opt_collate_clause  */
  YYSYMBOL_alter_using = 561,              /* alter_using  */
  YYSYMBOL_replica_identity = 562,         /* replica_identity  */
  YYSYMBOL_reloptions = 563,               /* reloptions  */
  YYSYMBOL_opt_reloptions = 564,           /* opt_reloptions  */
  YYSYMBOL_reloption_list = 565,           /* reloption_list  */
  YYSYMBOL_reloption_elem = 566,           /* reloption_elem  */
  YYSYMBOL_alter_identity_column_option_list = 567, /* alter_identity_column_option_list  */
  YYSYMBOL_alter_identity_column_option = 568, /* alter_identity_column_option  */
  YYSYMBOL_PartitionBoundSpec = 569,       /* PartitionBoundSpec  */
  YYSYMBOL_hash_partbound_elem = 570,      /* hash_partbound_elem  */
  YYSYMBOL_hash_partbound = 571,           /* hash_partbound  */
  YYSYMBOL_AlterCompositeTypeStmt = 572,   /* AlterCompositeTypeStmt  */
  YYSYMBOL_alter_type_cmds = 573,          /* alter_type_cmds  */
  YYSYMBOL_alter_type_cmd = 574,           /* alter_type_cmd  */
  YYSYMBOL_ClosePortalStmt = 575,          /* ClosePortalStmt  */
  YYSYMBOL_CopyStmt = 576,                 /* CopyStmt  */
  YYSYMBOL_copy_from = 577,                /* copy_from  */
  YYSYMBOL_opt_program = 578,              /* opt_program  */
  YYSYMBOL_copy_file_name = 579,           /* copy_file_name  */
  YYSYMBOL_copy_options = 580,             /* copy_options  */
  YYSYMBOL_copy_opt_list = 581,            /* copy_opt_list  */
  YYSYMBOL_copy_opt_item = 582,            /* copy_opt_item  */
  YYSYMBOL_opt_binary = 583,               /* opt_binary  */
  YYSYMBOL_copy_delimiter = 584,           /* copy_delimiter  */
  YYSYMBOL_opt_using = 585,                /* opt_using  */
  YYSYMBOL_copy_generic_opt_list = 586,    /* copy_generic_opt_list  */
  YYSYMBOL_copy_generic_opt_elem = 587,    /* copy_generic_opt_elem  */
  YYSYMBOL_copy_generic_opt_arg = 588,     /* copy_generic_opt_arg  */
  YYSYMBOL_copy_generic_opt_arg_list = 589, /* copy_generic_opt_arg_list  */
  YYSYMBOL_copy_generic_opt_arg_list_item = 590, /* copy_generic_opt_arg_list_item  */
  YYSYMBOL_CreateStmt = 591,               /* CreateStmt  */
  YYSYMBOL_OptTemp = 592,                  /* OptTemp  */
  YYSYMBOL_OptTableElementList = 593,      /* OptTableElementList  */
  YYSYMBOL_OptTypedTableElementList = 594, /* OptTypedTableElementList  */
  YYSYMBOL_TableElementList = 595,         /* TableElementList  */
  YYSYMBOL_TypedTableElementList = 596,    /* TypedTableElementList  */
  YYSYMBOL_TableElement = 597,             /* TableElement  */
  YYSYMBOL_TypedTableElement = 598,        /* TypedTableElement  */
  YYSYMBOL_columnDef = 599,                /* columnDef  */
  YYSYMBOL_columnOptions = 600,            /* columnOptions  */
  YYSYMBOL_column_compression = 601,       /* column_compression  */
  YYSYMBOL_opt_column_compression = 602,   /* opt_column_compression  */
  YYSYMBOL_ColQualList = 603,              /* ColQualList  */
  YYSYMBOL_ColConstraint = 604,            /* ColConstraint  */
  YYSYMBOL_ColConstraintElem = 605,        /* ColConstraintElem  */
  YYSYMBOL_opt_unique_null_treatment = 606, /* opt_unique_null_treatment  */
  YYSYMBOL_generated_when = 607,           /* generated_when  */
  YYSYMBOL_ConstraintAttr = 608,           /* ConstraintAttr  */
  YYSYMBOL_TableLikeClause = 609,          /* TableLikeClause  */
  YYSYMBOL_TableLikeOptionList = 610,      /* TableLikeOptionList  */
  YYSYMBOL_TableLikeOption = 611,          /* TableLikeOption  */
  YYSYMBOL_TableConstraint = 612,          /* TableConstraint  */
  YYSYMBOL_ConstraintElem = 613,           /* ConstraintElem  */
  YYSYMBOL_opt_no_inherit = 614,           /* opt_no_inherit  */
  YYSYMBOL_opt_column_list = 615,          /* opt_column_list  */
  YYSYMBOL_columnList = 616,               /* columnList  */
  YYSYMBOL_columnElem = 617,               /* columnElem  */
  YYSYMBOL_opt_c_include = 618,            /* opt_c_include  */
  YYSYMBOL_key_match = 619,                /* key_match  */
  YYSYMBOL_ExclusionConstraintList = 620,  /* ExclusionConstraintList  */
  YYSYMBOL_ExclusionConstraintElem = 621,  /* ExclusionConstraintElem  */
  YYSYMBOL_OptWhereClause = 622,           /* OptWhereClause  */
  YYSYMBOL_key_actions = 623,              /* key_actions  */
  YYSYMBOL_key_update = 624,               /* key_update  */
  YYSYMBOL_key_delete = 625,               /* key_delete  */
  YYSYMBOL_key_action = 626,               /* key_action  */
  YYSYMBOL_OptInherit = 627,               /* OptInherit  */
  YYSYMBOL_OptPartitionSpec = 628,         /* OptPartitionSpec  */
  YYSYMBOL_PartitionSpec = 629,            /* PartitionSpec  */
  YYSYMBOL_part_params = 630,              /* part_params  */
  YYSYMBOL_part_elem = 631,                /* part_elem  */
  YYSYMBOL_table_access_method_clause = 632, /* table_access_method_clause  */
  YYSYMBOL_OptWith = 633,                  /* OptWith  */
  YYSYMBOL_OnCommitOption = 634,           /* OnCommitOption  */
  YYSYMBOL_OptTableSpace = 635,            /* OptTableSpace  */
  YYSYMBOL_OptConsTableSpace = 636,        /* OptConsTableSpace  */
  YYSYMBOL_ExistingIndex = 637,            /* ExistingIndex  */
  YYSYMBOL_CreateStatsStmt = 638,          /* CreateStatsStmt  */
  YYSYMBOL_stats_params = 639,             /* stats_params  */
  YYSYMBOL_stats_param = 640,              /* stats_param  */
  YYSYMBOL_AlterStatsStmt = 641,           /* AlterStatsStmt  */
  YYSYMBOL_CreateAsStmt = 642,             /* CreateAsStmt  */
  YYSYMBOL_create_as_target = 643,         /* create_as_target  */
  YYSYMBOL_opt_with_data = 644,            /* opt_with_data  */
  YYSYMBOL_CreateMatViewStmt = 645,        /* CreateMatViewStmt  */
  YYSYMBOL_create_mv_target = 646,         /* create_mv_target  */
  YYSYMBOL_OptNoLog = 647,                 /* OptNoLog  */
  YYSYMBOL_RefreshMatViewStmt = 648,       /* RefreshMatViewStmt  */
  YYSYMBOL_CreateSeqStmt = 649,            /* CreateSeqStmt  */
  YYSYMBOL_AlterSeqStmt = 650,             /* AlterSeqStmt  */
  YYSYMBOL_OptSeqOptList = 651,            /* OptSeqOptList  */
  YYSYMBOL_OptParenthesizedSeqOptList = 652, /* OptParenthesizedSeqOptList  */
  YYSYMBOL_SeqOptList = 653,               /* SeqOptList  */
  YYSYMBOL_SeqOptElem = 654,               /* SeqOptElem  */
  YYSYMBOL_opt_by = 655,                   /* opt_by  */
  YYSYMBOL_NumericOnly = 656,              /* NumericOnly  */
  YYSYMBOL_NumericOnly_list = 657,         /* NumericOnly_list  */
  YYSYMBOL_CreatePLangStmt = 658,          /* CreatePLangStmt  */
  YYSYMBOL_opt_trusted = 659,              /* opt_trusted  */
  YYSYMBOL_handler_name = 660,             /* handler_name  */
  YYSYMBOL_opt_inline_handler = 661,       /* opt_inline_handler  */
  YYSYMBOL_validator_clause = 662,         /* validator_clause  */
  YYSYMBOL_opt_validator = 663,            /* opt_validator  */
  YYSYMBOL_opt_procedural = 664,           /* opt_procedural  */
  YYSYMBOL_CreateTableSpaceStmt = 665,     /* CreateTableSpaceStmt  */
  YYSYMBOL_OptTableSpaceOwner = 666,       /* OptTableSpaceOwner  */
  YYSYMBOL_DropTableSpaceStmt = 667,       /* DropTableSpaceStmt  */
  YYSYMBOL_CreateExtensionStmt = 668,      /* CreateExtensionStmt  */
  YYSYMBOL_create_extension_opt_list = 669, /* create_extension_opt_list  */
  YYSYMBOL_create_extension_opt_item = 670, /* create_extension_opt_item  */
  YYSYMBOL_AlterExtensionStmt = 671,       /* AlterExtensionStmt  */
  YYSYMBOL_alter_extension_opt_list = 672, /* alter_extension_opt_list  */
  YYSYMBOL_alter_extension_opt_item = 673, /* alter_extension_opt_item  */
  YYSYMBOL_AlterExtensionContentsStmt = 674, /* AlterExtensionContentsStmt  */
  YYSYMBOL_CreateFdwStmt = 675,            /* CreateFdwStmt  */
  YYSYMBOL_fdw_option = 676,               /* fdw_option  */
  YYSYMBOL_fdw_options = 677,              /* fdw_options  */
  YYSYMBOL_opt_fdw_options = 678,          /* opt_fdw_options  */
  YYSYMBOL_AlterFdwStmt = 679,             /* AlterFdwStmt  */
  YYSYMBOL_create_generic_options = 680,   /* create_generic_options  */
  YYSYMBOL_generic_option_list = 681,      /* generic_option_list  */
  YYSYMBOL_alter_generic_options = 682,    /* alter_generic_options  */
  YYSYMBOL_alter_generic_option_list = 683, /* alter_generic_option_list  */
  YYSYMBOL_alter_generic_option_elem = 684, /* alter_generic_option_elem  */
  YYSYMBOL_generic_option_elem = 685,      /* generic_option_elem  */
  YYSYMBOL_generic_option_name = 686,      /* generic_option_name  */
  YYSYMBOL_generic_option_arg = 687,       /* generic_option_arg  */
  YYSYMBOL_CreateForeignServerStmt = 688,  /* CreateForeignServerStmt  */
  YYSYMBOL_opt_type = 689,                 /* opt_type  */
  YYSYMBOL_foreign_server_version = 690,   /* foreign_server_version  */
  YYSYMBOL_opt_foreign_server_version = 691, /* opt_foreign_server_version  */
  YYSYMBOL_AlterForeignServerStmt = 692,   /* AlterForeignServerStmt  */
  YYSYMBOL_CreateForeignTableStmt = 693,   /* CreateForeignTableStmt  */
  YYSYMBOL_ImportForeignSchemaStmt = 694,  /* ImportForeignSchemaStmt  */
  YYSYMBOL_import_qualification_type = 695, /* import_qualification_type  */
  YYSYMBOL_import_qualification = 696,     /* import_qualification  */
  YYSYMBOL_CreateUserMappingStmt = 697,    /* CreateUserMappingStmt  */
  YYSYMBOL_auth_ident = 698,               /* auth_ident  */
  YYSYMBOL_DropUserMappingStmt = 699,      /* DropUserMappingStmt  */
  YYSYMBOL_AlterUserMappingStmt = 700,     /* AlterUserMappingStmt  */
  YYSYMBOL_CreatePolicyStmt = 701,         /* CreatePolicyStmt  */
  YYSYMBOL_AlterPolicyStmt = 702,          /* AlterPolicyStmt  */
  YYSYMBOL_RowSecurityOptionalExpr = 703,  /* RowSecurityOptionalExpr  */
  YYSYMBOL_RowSecurityOptionalWithCheck = 704, /* RowSecurityOptionalWithCheck  */
  YYSYMBOL_RowSecurityDefaultToRole = 705, /* RowSecurityDefaultToRole  */
  YYSYMBOL_RowSecurityOptionalToRole = 706, /* RowSecurityOptionalToRole  */
  YYSYMBOL_RowSecurityDefaultPermissive = 707, /* RowSecurityDefaultPermissive  */
  YYSYMBOL_RowSecurityDefaultForCmd = 708, /* RowSecurityDefaultForCmd  */
  YYSYMBOL_row_security_cmd = 709,         /* row_security_cmd  */
  YYSYMBOL_CreateAmStmt = 710,             /* CreateAmStmt  */
  YYSYMBOL_am_type = 711,                  /* am_type  */
  YYSYMBOL_CreateTrigStmt = 712,           /* CreateTrigStmt  */
  YYSYMBOL_TriggerActionTime = 713,        /* TriggerActionTime  */
  YYSYMBOL_TriggerEvents = 714,            /* TriggerEvents  */
  YYSYMBOL_TriggerOneEvent = 715,          /* TriggerOneEvent  */
  YYSYMBOL_TriggerReferencing = 716,       /* TriggerReferencing  */
  YYSYMBOL_TriggerTransitions = 717,       /* TriggerTransitions  */
  YYSYMBOL_TriggerTransition = 718,        /* TriggerTransition  */
  YYSYMBOL_TransitionOldOrNew = 719,       /* TransitionOldOrNew  */
  YYSYMBOL_TransitionRowOrTable = 720,     /* TransitionRowOrTable  */
  YYSYMBOL_TransitionRelName = 721,        /* TransitionRelName  */
  YYSYMBOL_TriggerForSpec = 722,           /* TriggerForSpec  */
  YYSYMBOL_TriggerForOptEach = 723,        /* TriggerForOptEach  */
  YYSYMBOL_TriggerForType = 724,           /* TriggerForType  */
  YYSYMBOL_TriggerWhen = 725,              /* TriggerWhen  */
  YYSYMBOL_FUNCTION_or_PROCEDURE = 726,    /* FUNCTION_or_PROCEDURE  */
  YYSYMBOL_TriggerFuncArgs = 727,          /* TriggerFuncArgs  */
  YYSYMBOL_TriggerFuncArg = 728,           /* TriggerFuncArg  */
  YYSYMBOL_OptConstrFromTable = 729,       /* OptConstrFromTable  */
  YYSYMBOL_ConstraintAttributeSpec = 730,  /* ConstraintAttributeSpec  */
  YYSYMBOL_ConstraintAttributeElem = 731,  /* ConstraintAttributeElem  */
  YYSYMBOL_CreateEventTrigStmt = 732,      /* CreateEventTrigStmt  */
  YYSYMBOL_event_trigger_when_list = 733,  /* event_trigger_when_list  */
  YYSYMBOL_event_trigger_when_item = 734,  /* event_trigger_when_item  */
  YYSYMBOL_event_trigger_value_list = 735, /* event_trigger_value_list  */
  YYSYMBOL_AlterEventTrigStmt = 736,       /* AlterEventTrigStmt  */
  YYSYMBOL_enable_trigger = 737,           /* enable_trigger  */
  YYSYMBOL_CreateAssertionStmt = 738,      /* CreateAssertionStmt  */
  YYSYMBOL_DefineStmt = 739,               /* DefineStmt  */
  YYSYMBOL_definition = 740,               /* definition  */
  YYSYMBOL_def_list = 741,                 /* def_list  */
  YYSYMBOL_def_elem = 742,                 /* def_elem  */
  YYSYMBOL_def_arg = 743,                  /* def_arg  */
  YYSYMBOL_old_aggr_definition = 744,      /* old_aggr_definition  */
  YYSYMBOL_old_aggr_list = 745,            /* old_aggr_list  */
  YYSYMBOL_old_aggr_elem = 746,            /* old_aggr_elem  */
  YYSYMBOL_opt_enum_val_list = 747,        /* opt_enum_val_list  */
  YYSYMBOL_enum_val_list = 748,            /* enum_val_list  */
  YYSYMBOL_AlterEnumStmt = 749,            /* AlterEnumStmt  */
  YYSYMBOL_opt_if_not_exists = 750,        /* opt_if_not_exists  */
  YYSYMBOL_CreateOpClassStmt = 751,        /* CreateOpClassStmt  */
  YYSYMBOL_opclass_item_list = 752,        /* opclass_item_list  */
  YYSYMBOL_opclass_item = 753,             /* opclass_item  */
  YYSYMBOL_opt_default = 754,              /* opt_default  */
  YYSYMBOL_opt_opfamily = 755,             /* opt_opfamily  */
  YYSYMBOL_opclass_purpose = 756,          /* opclass_purpose  */
  YYSYMBOL_opt_recheck = 757,              /* opt_recheck  */
  YYSYMBOL_CreateOpFamilyStmt = 758,       /* CreateOpFamilyStmt  */
  YYSYMBOL_AlterOpFamilyStmt = 759,        /* AlterOpFamilyStmt  */
  YYSYMBOL_opclass_drop_list = 760,        /* opclass_drop_list  */
  YYSYMBOL_opclass_drop = 761,             /* opclass_drop  */
  YYSYMBOL_DropOpClassStmt = 762,          /* DropOpClassStmt  */
  YYSYMBOL_DropOpFamilyStmt = 763,         /* DropOpFamilyStmt  */
  YYSYMBOL_DropOwnedStmt = 764,            /* DropOwnedStmt  */
  YYSYMBOL_ReassignOwnedStmt = 765,        /* ReassignOwnedStmt  */
  YYSYMBOL_DropStmt = 766,                 /* DropStmt  */
  YYSYMBOL_object_type_any_name = 767,     /* object_type_any_name  */
  YYSYMBOL_object_type_name = 768,         /* object_type_name  */
  YYSYMBOL_drop_type_name = 769,           /* drop_type_name  */
  YYSYMBOL_object_type_name_on_any_name = 770, /* object_type_name_on_any_name  */
  YYSYMBOL_any_name_list = 771,            /* any_name_list  */
  YYSYMBOL_any_name = 772,                 /* any_name  */
  YYSYMBOL_attrs = 773,                    /* attrs  */
  YYSYMBOL_type_name_list = 774,           /* type_name_list  */
  YYSYMBOL_TruncateStmt = 775,             /* TruncateStmt  */
  YYSYMBOL_opt_restart_seqs = 776,         /* opt_restart_seqs  */
  YYSYMBOL_CommentStmt = 777,              /* CommentStmt  */
  YYSYMBOL_comment_text = 778,             /* comment_text  */
  YYSYMBOL_SecLabelStmt = 779,             /* SecLabelStmt  */
  YYSYMBOL_opt_provider = 780,             /* opt_provider  */
  YYSYMBOL_security_label = 781,           /* security_label  */
  YYSYMBOL_FetchStmt = 782,                /* FetchStmt  */
  YYSYMBOL_fetch_args = 783,               /* fetch_args  */
  YYSYMBOL_from_in = 784,                  /* from_in  */
  YYSYMBOL_opt_from_in = 785,              /* opt_from_in  */
  YYSYMBOL_GrantStmt = 786,                /* GrantStmt  */
  YYSYMBOL_RevokeStmt = 787,               /* RevokeStmt  */
  YYSYMBOL_privileges = 788,               /* privileges  */
  YYSYMBOL_privilege_list = 789,           /* privilege_list  */
  YYSYMBOL_privilege = 790,                /* privilege  */
  YYSYMBOL_parameter_name_list = 791,      /* parameter_name_list  */
  YYSYMBOL_parameter_name = 792,           /* parameter_name  */
  YYSYMBOL_privilege_target = 793,         /* privilege_target  */
  YYSYMBOL_grantee_list = 794,             /* grantee_list  */
  YYSYMBOL_grantee = 795,                  /* grantee  */
  YYSYMBOL_opt_grant_grant_option = 796,   /* opt_grant_grant_option  */
  YYSYMBOL_GrantRoleStmt = 797,            /* GrantRoleStmt  */
  YYSYMBOL_RevokeRoleStmt = 798,           /* RevokeRoleStmt  */
  YYSYMBOL_opt_grant_admin_option = 799,   /* opt_grant_admin_option  */
  YYSYMBOL_opt_granted_by = 800,           /* opt_granted_by  */
  YYSYMBOL_AlterDefaultPrivilegesStmt = 801, /* AlterDefaultPrivilegesStmt  */
  YYSYMBOL_DefACLOptionList = 802,         /* DefACLOptionList  */
  YYSYMBOL_DefACLOption = 803,             /* DefACLOption  */
  YYSYMBOL_DefACLAction = 804,             /* DefACLAction  */
  YYSYMBOL_defacl_privilege_target = 805,  /* defacl_privilege_target  */
  YYSYMBOL_IndexStmt = 806,                /* IndexStmt  */
  YYSYMBOL_opt_unique = 807,               /* opt_unique  */
  YYSYMBOL_opt_concurrently = 808,         /* opt_concurrently  */
  YYSYMBOL_opt_index_name = 809,           /* opt_index_name  */
  YYSYMBOL_access_method_clause = 810,     /* access_method_clause  */
  YYSYMBOL_index_params = 811,             /* index_params  */
  YYSYMBOL_index_elem_options = 812,       /* index_elem_options  */
  YYSYMBOL_index_elem = 813,               /* index_elem  */
  YYSYMBOL_opt_include = 814,              /* opt_include  */
  YYSYMBOL_index_including_params = 815,   /* index_including_params  */
  YYSYMBOL_opt_collate = 816,              /* opt_collate  */
  YYSYMBOL_opt_class = 817,                /* opt_class  */
  YYSYMBOL_opt_asc_desc = 818,             /* opt_asc_desc  */
  YYSYMBOL_opt_nulls_order = 819,          /* opt_nulls_order  */
  YYSYMBOL_CreateFunctionStmt = 820,       /* CreateFunctionStmt  */
  YYSYMBOL_opt_or_replace = 821,           /* opt_or_replace  */
  YYSYMBOL_func_args = 822,                /* func_args  */
  YYSYMBOL_func_args_list = 823,           /* func_args_list  */
  YYSYMBOL_function_with_argtypes_list = 824, /* function_with_argtypes_list  */
  YYSYMBOL_function_with_argtypes = 825,   /* function_with_argtypes  */
  YYSYMBOL_func_args_with_defaults = 826,  /* func_args_with_defaults  */
  YYSYMBOL_func_args_with_defaults_list = 827, /* func_args_with_defaults_list  */
  YYSYMBOL_func_arg = 828,                 /* func_arg  */
  YYSYMBOL_arg_class = 829,                /* arg_class  */
  YYSYMBOL_param_name = 830,               /* param_name  */
  YYSYMBOL_func_return = 831,              /* func_return  */
  YYSYMBOL_func_type = 832,                /* func_type  */
  YYSYMBOL_func_arg_with_default = 833,    /* func_arg_with_default  */
  YYSYMBOL_aggr_arg = 834,                 /* aggr_arg  */
  YYSYMBOL_aggr_args = 835,                /* aggr_args  */
  YYSYMBOL_aggr_args_list = 836,           /* aggr_args_list  */
  YYSYMBOL_aggregate_with_argtypes = 837,  /* aggregate_with_argtypes  */
  YYSYMBOL_aggregate_with_argtypes_list = 838, /* aggregate_with_argtypes_list  */
  YYSYMBOL_opt_createfunc_opt_list = 839,  /* opt_createfunc_opt_list  */
  YYSYMBOL_createfunc_opt_list = 840,      /* createfunc_opt_list  */
  YYSYMBOL_common_func_opt_item = 841,     /* common_func_opt_item  */
  YYSYMBOL_createfunc_opt_item = 842,      /* createfunc_opt_item  */
  YYSYMBOL_func_as = 843,                  /* func_as  */
  YYSYMBOL_ReturnStmt = 844,               /* ReturnStmt  */
  YYSYMBOL_opt_routine_body = 845,         /* opt_routine_body  */
  YYSYMBOL_routine_body_stmt_list = 846,   /* routine_body_stmt_list  */
  YYSYMBOL_routine_body_stmt = 847,        /* routine_body_stmt  */
  YYSYMBOL_transform_type_list = 848,      /* transform_type_list  */
  YYSYMBOL_opt_definition = 849,           /* opt_definition  */
  YYSYMBOL_table_func_column = 850,        /* table_func_column  */
  YYSYMBOL_table_func_column_list = 851,   /* table_func_column_list  */
  YYSYMBOL_AlterFunctionStmt = 852,        /* AlterFunctionStmt  */
  YYSYMBOL_alterfunc_opt_list = 853,       /* alterfunc_opt_list  */
  YYSYMBOL_opt_restrict = 854,             /* opt_restrict  */
  YYSYMBOL_RemoveFuncStmt = 855,           /* RemoveFuncStmt  */
  YYSYMBOL_RemoveAggrStmt = 856,           /* RemoveAggrStmt  */
  YYSYMBOL_RemoveOperStmt = 857,           /* RemoveOperStmt  */
  YYSYMBOL_oper_argtypes = 858,            /* oper_argtypes  */
  YYSYMBOL_any_operator = 859,             /* any_operator  */
  YYSYMBOL_operator_with_argtypes_list = 860, /* operator_with_argtypes_list  */
  YYSYMBOL_operator_with_argtypes = 861,   /* operator_with_argtypes  */
  YYSYMBOL_DoStmt = 862,                   /* DoStmt  */
  YYSYMBOL_dostmt_opt_list = 863,          /* dostmt_opt_list  */
  YYSYMBOL_dostmt_opt_item = 864,          /* dostmt_opt_item  */
  YYSYMBOL_CreateCastStmt = 865,           /* CreateCastStmt  */
  YYSYMBOL_cast_context = 866,             /* cast_context  */
  YYSYMBOL_DropCastStmt = 867,             /* DropCastStmt  */
  YYSYMBOL_opt_if_exists = 868,            /* opt_if_exists  */
  YYSYMBOL_CreateTransformStmt = 869,      /* CreateTransformStmt  */
  YYSYMBOL_transform_element_list = 870,   /* transform_element_list  */
  YYSYMBOL_DropTransformStmt = 871,        /* DropTransformStmt  */
  YYSYMBOL_ReindexStmt = 872,              /* ReindexStmt  */
  YYSYMBOL_reindex_target_type = 873,      /* reindex_target_type  */
  YYSYMBOL_reindex_target_multitable = 874, /* reindex_target_multitable  */
  YYSYMBOL_AlterTblSpcStmt = 875,          /* AlterTblSpcStmt  */
  YYSYMBOL_RenameStmt = 876,               /* RenameStmt  */
  YYSYMBOL_opt_column = 877,               /* opt_column  */
  YYSYMBOL_opt_set_data = 878,             /* opt_set_data  */
  YYSYMBOL_AlterObjectDependsStmt = 879,   /* AlterObjectDependsStmt  */
  YYSYMBOL_opt_no = 880,                   /* opt_no  */
  YYSYMBOL_AlterObjectSchemaStmt = 881,    /* AlterObjectSchemaStmt  */
  YYSYMBOL_AlterOperatorStmt = 882,        /* AlterOperatorStmt  */
  YYSYMBOL_operator_def_list = 883,        /* operator_def_list  */
  YYSYMBOL_operator_def_elem = 884,        /* operator_def_elem  */
  YYSYMBOL_operator_def_arg = 885,         /* operator_def_arg  */
  YYSYMBOL_AlterTypeStmt = 886,            /* AlterTypeStmt  */
  YYSYMBOL_AlterOwnerStmt = 887,           /* AlterOwnerStmt  */
  YYSYMBOL_CreatePublicationStmt = 888,    /* CreatePublicationStmt  */
  YYSYMBOL_PublicationObjSpec = 889,       /* PublicationObjSpec  */
  YYSYMBOL_pub_obj_list = 890,             /* pub_obj_list  */
  YYSYMBOL_AlterPublicationStmt = 891,     /* AlterPublicationStmt  */
  YYSYMBOL_CreateSubscriptionStmt = 892,   /* CreateSubscriptionStmt  */
  YYSYMBOL_AlterSubscriptionStmt = 893,    /* AlterSubscriptionStmt  */
  YYSYMBOL_DropSubscriptionStmt = 894,     /* DropSubscriptionStmt  */
  YYSYMBOL_RuleStmt = 895,                 /* RuleStmt  */
  YYSYMBOL_RuleActionList = 896,           /* RuleActionList  */
  YYSYMBOL_RuleActionMulti = 897,          /* RuleActionMulti  */
  YYSYMBOL_RuleActionStmt = 898,           /* RuleActionStmt  */
  YYSYMBOL_RuleActionStmtOrEmpty = 899,    /* RuleActionStmtOrEmpty  */
  YYSYMBOL_event = 900,                    /* event  */
  YYSYMBOL_opt_instead = 901,              /* opt_instead  */
  YYSYMBOL_NotifyStmt = 902,               /* NotifyStmt  */
  YYSYMBOL_notify_payload = 903,           /* notify_payload  */
  YYSYMBOL_ListenStmt = 904,               /* ListenStmt  */
  YYSYMBOL_UnlistenStmt = 905,             /* UnlistenStmt  */
  YYSYMBOL_TransactionStmt = 906,          /* TransactionStmt  */
  YYSYMBOL_TransactionStmtLegacy = 907,    /* TransactionStmtLegacy  */
  YYSYMBOL_opt_transaction = 908,          /* opt_transaction  */
  YYSYMBOL_transaction_mode_item = 909,    /* transaction_mode_item  */
  YYSYMBOL_transaction_mode_list = 910,    /* transaction_mode_list  */
  YYSYMBOL_transaction_mode_list_or_empty = 911, /* transaction_mode_list_or_empty  */
  YYSYMBOL_opt_transaction_chain = 912,    /* opt_transaction_chain  */
  YYSYMBOL_ViewStmt = 913,                 /* ViewStmt  */
  YYSYMBOL_opt_check_option = 914,         /* opt_check_option  */
  YYSYMBOL_LoadStmt = 915,                 /* LoadStmt  */
  YYSYMBOL_CreatedbStmt = 916,             /* CreatedbStmt  */
  YYSYMBOL_createdb_opt_list = 917,        /* createdb_opt_list  */
  YYSYMBOL_createdb_opt_items = 918,       /* createdb_opt_items  */
  YYSYMBOL_createdb_opt_item = 919,        /* createdb_opt_item  */
  YYSYMBOL_createdb_opt_name = 920,        /* createdb_opt_name  */
  YYSYMBOL_opt_equal = 921,                /* opt_equal  */
  YYSYMBOL_AlterDatabaseStmt = 922,        /* AlterDatabaseStmt  */
  YYSYMBOL_AlterDatabaseSetStmt = 923,     /* AlterDatabaseSetStmt  */
  YYSYMBOL_DropdbStmt = 924,               /* DropdbStmt  */
  YYSYMBOL_drop_option_list = 925,         /* drop_option_list  */
  YYSYMBOL_drop_option = 926,              /* drop_option  */
  YYSYMBOL_AlterCollationStmt = 927,       /* AlterCollationStmt  */
  YYSYMBOL_AlterSystemStmt = 928,          /* AlterSystemStmt  */
  YYSYMBOL_CreateDomainStmt = 929,         /* CreateDomainStmt  */
  YYSYMBOL_AlterDomainStmt = 930,          /* AlterDomainStmt  */
  YYSYMBOL_opt_as = 931,                   /* opt_as  */
  YYSYMBOL_AlterTSDictionaryStmt = 932,    /* AlterTSDictionaryStmt  */
  YYSYMBOL_AlterTSConfigurationStmt = 933, /* AlterTSConfigurationStmt  */
  YYSYMBOL_any_with = 934,                 /* any_with  */
  YYSYMBOL_CreateConversionStmt = 935,     /* CreateConversionStmt  */
  YYSYMBOL_ClusterStmt = 936,              /* ClusterStmt  */
  YYSYMBOL_cluster_index_specification = 937, /* cluster_index_specification  */
  YYSYMBOL_VacuumStmt = 938,               /* VacuumStmt  */
  YYSYMBOL_AnalyzeStmt = 939,              /* AnalyzeStmt  */
  YYSYMBOL_utility_option_list = 940,      /* utility_option_list  */
  YYSYMBOL_analyze_keyword = 941,          /* analyze_keyword  */
  YYSYMBOL_utility_option_elem = 942,      /* utility_option_elem  */
  YYSYMBOL_utility_option_name = 943,      /* utility_option_name  */
  YYSYMBOL_utility_option_arg = 944,       /* utility_option_arg  */
  YYSYMBOL_opt_analyze = 945,              /* opt_analyze  */
  YYSYMBOL_opt_verbose = 946,              /* opt_verbose  */
  YYSYMBOL_opt_full = 947,                 /* opt_full  */
  YYSYMBOL_opt_freeze = 948,               /* opt_freeze  */
  YYSYMBOL_opt_name_list = 949,            /* opt_name_list  */
  YYSYMBOL_vacuum_relation = 950,          /* vacuum_relation  */
  YYSYMBOL_vacuum_relation_list = 951,     /* vacuum_relation_list  */
  YYSYMBOL_opt_vacuum_relation_list = 952, /* opt_vacuum_relation_list  */
  YYSYMBOL_ExplainStmt = 953,              /* ExplainStmt  */
  YYSYMBOL_ExplainableStmt = 954,          /* ExplainableStmt  */
  YYSYMBOL_PrepareStmt = 955,              /* PrepareStmt  */
  YYSYMBOL_prep_type_clause = 956,         /* prep_type_clause  */
  YYSYMBOL_PreparableStmt = 957,           /* PreparableStmt  */
  YYSYMBOL_ExecuteStmt = 958,              /* ExecuteStmt  */
  YYSYMBOL_execute_param_clause = 959,     /* execute_param_clause  */
  YYSYMBOL_DeallocateStmt = 960,           /* DeallocateStmt  */
  YYSYMBOL_InsertStmt = 961,               /* InsertStmt  */
  YYSYMBOL_insert_target = 962,            /* insert_target  */
  YYSYMBOL_insert_rest = 963,              /* insert_rest  */
  YYSYMBOL_override_kind = 964,            /* override_kind  */
  YYSYMBOL_insert_column_list = 965,       /* insert_column_list  */
  YYSYMBOL_insert_column_item = 966,       /* insert_column_item  */
  YYSYMBOL_opt_on_conflict = 967,          /* opt_on_conflict  */
  YYSYMBOL_opt_conf_expr = 968,            /* opt_conf_expr  */
  YYSYMBOL_returning_clause = 969,         /* returning_clause  */
  YYSYMBOL_DeleteStmt = 970,               /* DeleteStmt  */
  YYSYMBOL_using_clause = 971,             /* using_clause  */
  YYSYMBOL_LockStmt = 972,                 /* LockStmt  */
  YYSYMBOL_opt_lock = 973,                 /* opt_lock  */
  YYSYMBOL_lock_type = 974,                /* lock_type  */
  YYSYMBOL_opt_nowait = 975,               /* opt_nowait  */
  YYSYMBOL_opt_nowait_or_skip = 976,       /* opt_nowait_or_skip  */
  YYSYMBOL_UpdateStmt = 977,               /* UpdateStmt  */
  YYSYMBOL_set_clause_list = 978,          /* set_clause_list  */
  YYSYMBOL_set_clause = 979,               /* set_clause  */
  YYSYMBOL_set_target = 980,               /* set_target  */
  YYSYMBOL_set_target_list = 981,          /* set_target_list  */
  YYSYMBOL_MergeStmt = 982,                /* MergeStmt  */
  YYSYMBOL_merge_when_list = 983,          /* merge_when_list  */
  YYSYMBOL_merge_when_clause = 984,        /* merge_when_clause  */
  YYSYMBOL_opt_merge_when_condition = 985, /* opt_merge_when_condition  */
  YYSYMBOL_merge_update = 986,             /* merge_update  */
  YYSYMBOL_merge_delete = 987,             /* merge_delete  */
  YYSYMBOL_merge_insert = 988,             /* merge_insert  */
  YYSYMBOL_merge_values_clause = 989,      /* merge_values_clause  */
  YYSYMBOL_DeclareCursorStmt = 990,        /* DeclareCursorStmt  */
  YYSYMBOL_cursor_name = 991,              /* cursor_name  */
  YYSYMBOL_cursor_options = 992,           /* cursor_options  */
  YYSYMBOL_opt_hold = 993,                 /* opt_hold  */
  YYSYMBOL_SelectStmt = 994,               /* SelectStmt  */
  YYSYMBOL_select_with_parens = 995,       /* select_with_parens  */
  YYSYMBOL_select_no_parens = 996,         /* select_no_parens  */
  YYSYMBOL_select_clause = 997,            /* select_clause  */
  YYSYMBOL_simple_select = 998,            /* simple_select  */
  YYSYMBOL_with_clause = 999,              /* with_clause  */
  YYSYMBOL_cte_list = 1000,                /* cte_list  */
  YYSYMBOL_common_table_expr = 1001,       /* common_table_expr  */
  YYSYMBOL_opt_materialized = 1002,        /* opt_materialized  */
  YYSYMBOL_opt_search_clause = 1003,       /* opt_search_clause  */
  YYSYMBOL_opt_cycle_clause = 1004,        /* opt_cycle_clause  */
  YYSYMBOL_opt_with_clause = 1005,         /* opt_with_clause  */
  YYSYMBOL_into_clause = 1006,             /* into_clause  */
  YYSYMBOL_OptTempTableName = 1007,        /* OptTempTableName  */
  YYSYMBOL_opt_table = 1008,               /* opt_table  */
  YYSYMBOL_set_quantifier = 1009,          /* set_quantifier  */
  YYSYMBOL_distinct_clause = 1010,         /* distinct_clause  */
  YYSYMBOL_opt_all_clause = 1011,          /* opt_all_clause  */
  YYSYMBOL_opt_distinct_clause = 1012,     /* opt_distinct_clause  */
  YYSYMBOL_opt_sort_clause = 1013,         /* opt_sort_clause  */
  YYSYMBOL_sort_clause = 1014,             /* sort_clause  */
  YYSYMBOL_sortby_list = 1015,             /* sortby_list  */
  YYSYMBOL_sortby = 1016,                  /* sortby  */
  YYSYMBOL_select_limit = 1017,            /* select_limit  */
  YYSYMBOL_opt_select_limit = 1018,        /* opt_select_limit  */
  YYSYMBOL_limit_clause = 1019,            /* limit_clause  */
  YYSYMBOL_offset_clause = 1020,           /* offset_clause  */
  YYSYMBOL_select_limit_value = 1021,      /* select_limit_value  */
  YYSYMBOL_select_offset_value = 1022,     /* select_offset_value  */
  YYSYMBOL_select_fetch_first_value = 1023, /* select_fetch_first_value  */
  YYSYMBOL_I_or_F_const = 1024,            /* I_or_F_const  */
  YYSYMBOL_row_or_rows = 1025,             /* row_or_rows  */
  YYSYMBOL_first_or_next = 1026,           /* first_or_next  */
  YYSYMBOL_group_clause = 1027,            /* group_clause  */
  YYSYMBOL_group_by_list = 1028,           /* group_by_list  */
  YYSYMBOL_group_by_item = 1029,           /* group_by_item  */
  YYSYMBOL_empty_grouping_set = 1030,      /* empty_grouping_set  */
  YYSYMBOL_rollup_clause = 1031,           /* rollup_clause  */
  YYSYMBOL_cube_clause = 1032,             /* cube_clause  */
  YYSYMBOL_grouping_sets_clause = 1033,    /* grouping_sets_clause  */
  YYSYMBOL_having_clause = 1034,           /* having_clause  */
  YYSYMBOL_for_locking_clause = 1035,      /* for_locking_clause  */
  YYSYMBOL_opt_for_locking_clause = 1036,  /* opt_for_locking_clause  */
  YYSYMBOL_for_locking_items = 1037,       /* for_locking_items  */
  YYSYMBOL_for_locking_item = 1038,        /* for_locking_item  */
  YYSYMBOL_for_locking_strength = 1039,    /* for_locking_strength  */
  YYSYMBOL_locked_rels_list = 1040,        /* locked_rels_list  */
  YYSYMBOL_values_clause = 1041,           /* values_clause  */
  YYSYMBOL_from_clause = 1042,             /* from_clause  */
  YYSYMBOL_from_list = 1043,               /* from_list  */
  YYSYMBOL_table_ref = 1044,               /* table_ref  */
  YYSYMBOL_joined_table = 1045,            /* joined_table  */
  YYSYMBOL_alias_clause = 1046,            /* alias_clause  */
  YYSYMBOL_opt_alias_clause = 1047,        /* opt_alias_clause  */
  YYSYMBOL_opt_alias_clause_for_join_using = 1048, /* opt_alias_clause_for_join_using  */
  YYSYMBOL_func_alias_clause = 1049,       /* func_alias_clause  */
  YYSYMBOL_join_type = 1050,               /* join_type  */
  YYSYMBOL_opt_outer = 1051,               /* opt_outer  */
  YYSYMBOL_join_qual = 1052,               /* join_qual  */
  YYSYMBOL_relation_expr = 1053,           /* relation_expr  */
  YYSYMBOL_extended_relation_expr = 1054,  /* extended_relation_expr  */
  YYSYMBOL_relation_expr_list = 1055,      /* relation_expr_list  */
  YYSYMBOL_relation_expr_opt_alias = 1056, /* relation_expr_opt_alias  */
  YYSYMBOL_tablesample_clause = 1057,      /* tablesample_clause  */
  YYSYMBOL_opt_repeatable_clause = 1058,   /* opt_repeatable_clause  */
  YYSYMBOL_func_table = 1059,              /* func_table  */
  YYSYMBOL_rowsfrom_item = 1060,           /* rowsfrom_item  */
  YYSYMBOL_rowsfrom_list = 1061,           /* rowsfrom_list  */
  YYSYMBOL_opt_col_def_list = 1062,        /* opt_col_def_list  */
  YYSYMBOL_opt_ordinality = 1063,          /* opt_ordinality  */
  YYSYMBOL_where_clause = 1064,            /* where_clause  */
  YYSYMBOL_where_or_current_clause = 1065, /* where_or_current_clause  */
  YYSYMBOL_OptTableFuncElementList = 1066, /* OptTableFuncElementList  */
  YYSYMBOL_TableFuncElementList = 1067,    /* TableFuncElementList  */
  YYSYMBOL_TableFuncElement = 1068,        /* TableFuncElement  */
  YYSYMBOL_xmltable = 1069,                /* xmltable  */
  YYSYMBOL_xmltable_column_list = 1070,    /* xmltable_column_list  */
  YYSYMBOL_xmltable_column_el = 1071,      /* xmltable_column_el  */
  YYSYMBOL_xmltable_column_option_list = 1072, /* xmltable_column_option_list  */
  YYSYMBOL_xmltable_column_option_el = 1073, /* xmltable_column_option_el  */
  YYSYMBOL_xml_namespace_list = 1074,      /* xml_namespace_list  */
  YYSYMBOL_xml_namespace_el = 1075,        /* xml_namespace_el  */
  YYSYMBOL_Typename = 1076,                /* Typename  */
  YYSYMBOL_opt_array_bounds = 1077,        /* opt_array_bounds  */
  YYSYMBOL_SimpleTypename = 1078,          /* SimpleTypename  */
  YYSYMBOL_ConstTypename = 1079,           /* ConstTypename  */
  YYSYMBOL_GenericType = 1080,             /* GenericType  */
  YYSYMBOL_opt_type_modifiers = 1081,      /* opt_type_modifiers  */
  YYSYMBOL_Numeric = 1082,                 /* Numeric  */
  YYSYMBOL_opt_float = 1083,               /* opt_float  */
  YYSYMBOL_Bit = 1084,                     /* Bit  */
  YYSYMBOL_ConstBit = 1085,                /* ConstBit  */
  YYSYMBOL_BitWithLength = 1086,           /* BitWithLength  */
  YYSYMBOL_BitWithoutLength = 1087,        /* BitWithoutLength  */
  YYSYMBOL_Character = 1088,               /* Character  */
  YYSYMBOL_ConstCharacter = 1089,          /* ConstCharacter  */
  YYSYMBOL_CharacterWithLength = 1090,     /* CharacterWithLength  */
  YYSYMBOL_CharacterWithoutLength = 1091,  /* CharacterWithoutLength  */
  YYSYMBOL_character = 1092,               /* character  */
  YYSYMBOL_opt_varying = 1093,             /* opt_varying  */
  YYSYMBOL_ConstDatetime = 1094,           /* ConstDatetime  */
  YYSYMBOL_ConstInterval = 1095,           /* ConstInterval  */
  YYSYMBOL_opt_timezone = 1096,            /* opt_timezone  */
  YYSYMBOL_opt_interval = 1097,            /* opt_interval  */
  YYSYMBOL_interval_second = 1098,         /* interval_second  */
  YYSYMBOL_a_expr = 1099,                  /* a_expr  */
  YYSYMBOL_b_expr = 1100,                  /* b_expr  */
  YYSYMBOL_c_expr = 1101,                  /* c_expr  */
  YYSYMBOL_func_application = 1102,        /* func_application  */
  YYSYMBOL_func_expr = 1103,               /* func_expr  */
  YYSYMBOL_func_expr_windowless = 1104,    /* func_expr_windowless  */
  YYSYMBOL_func_expr_common_subexpr = 1105, /* func_expr_common_subexpr  */
  YYSYMBOL_xml_root_version = 1106,        /* xml_root_version  */
  YYSYMBOL_opt_xml_root_standalone = 1107, /* opt_xml_root_standalone  */
  YYSYMBOL_xml_attributes = 1108,          /* xml_attributes  */
  YYSYMBOL_xml_attribute_list = 1109,      /* xml_attribute_list  */
  YYSYMBOL_xml_attribute_el = 1110,        /* xml_attribute_el  */
  YYSYMBOL_document_or_content = 1111,     /* document_or_content  */
  YYSYMBOL_xml_whitespace_option = 1112,   /* xml_whitespace_option  */
  YYSYMBOL_xmlexists_argument = 1113,      /* xmlexists_argument  */
  YYSYMBOL_xml_passing_mech = 1114,        /* xml_passing_mech  */
  YYSYMBOL_within_group_clause = 1115,     /* within_group_clause  */
  YYSYMBOL_filter_clause = 1116,           /* filter_clause  */
  YYSYMBOL_window_clause = 1117,           /* window_clause  */
  YYSYMBOL_window_definition_list = 1118,  /* window_definition_list  */
  YYSYMBOL_window_definition = 1119,       /* window_definition  */
  YYSYMBOL_over_clause = 1120,             /* over_clause  */
  YYSYMBOL_window_specification = 1121,    /* window_specification  */
  YYSYMBOL_opt_existing_window_name = 1122, /* opt_existing_window_name  */
  YYSYMBOL_opt_partition_clause = 1123,    /* opt_partition_clause  */
  YYSYMBOL_opt_frame_clause = 1124,        /* opt_frame_clause  */
  YYSYMBOL_frame_extent = 1125,            /* frame_extent  */
  YYSYMBOL_frame_bound = 1126,             /* frame_bound  */
  YYSYMBOL_opt_window_exclusion_clause = 1127, /* opt_window_exclusion_clause  */
  YYSYMBOL_row = 1128,                     /* row  */
  YYSYMBOL_explicit_row = 1129,            /* explicit_row  */
  YYSYMBOL_implicit_row = 1130,            /* implicit_row  */
  YYSYMBOL_sub_type = 1131,                /* sub_type  */
  YYSYMBOL_all_Op = 1132,                  /* all_Op  */
  YYSYMBOL_MathOp = 1133,                  /* MathOp  */
  YYSYMBOL_qual_Op = 1134,                 /* qual_Op  */
  YYSYMBOL_qual_all_Op = 1135,             /* qual_all_Op  */
  YYSYMBOL_subquery_Op = 1136,             /* subquery_Op  */
  YYSYMBOL_expr_list = 1137,               /* expr_list  */
  YYSYMBOL_func_arg_list = 1138,           /* func_arg_list  */
  YYSYMBOL_func_arg_expr = 1139,           /* func_arg_expr  */
  YYSYMBOL_func_arg_list_opt = 1140,       /* func_arg_list_opt  */
  YYSYMBOL_type_list = 1141,               /* type_list  */
  YYSYMBOL_array_expr = 1142,              /* array_expr  */
  YYSYMBOL_array_expr_list = 1143,         /* array_expr_list  */
  YYSYMBOL_extract_list = 1144,            /* extract_list  */
  YYSYMBOL_extract_arg = 1145,             /* extract_arg  */
  YYSYMBOL_unicode_normal_form = 1146,     /* unicode_normal_form  */
  YYSYMBOL_overlay_list = 1147,            /* overlay_list  */
  YYSYMBOL_position_list = 1148,           /* position_list  */
  YYSYMBOL_substr_list = 1149,             /* substr_list  */
  YYSYMBOL_trim_list = 1150,               /* trim_list  */
  YYSYMBOL_in_expr = 1151,                 /* in_expr  */
  YYSYMBOL_case_expr = 1152,               /* case_expr  */
  YYSYMBOL_when_clause_list = 1153,        /* when_clause_list  */
  YYSYMBOL_when_clause = 1154,             /* when_clause  */
  YYSYMBOL_case_default = 1155,            /* case_default  */
  YYSYMBOL_case_arg = 1156,                /* case_arg  */
  YYSYMBOL_columnref = 1157,               /* columnref  */
  YYSYMBOL_indirection_el = 1158,          /* indirection_el  */
  YYSYMBOL_opt_slice_bound = 1159,         /* opt_slice_bound  */
  YYSYMBOL_indirection = 1160,             /* indirection  */
  YYSYMBOL_opt_indirection = 1161,         /* opt_indirection  */
  YYSYMBOL_opt_asymmetric = 1162,          /* opt_asymmetric  */
  YYSYMBOL_opt_target_list = 1163,         /* opt_target_list  */
  YYSYMBOL_target_list = 1164,             /* target_list  */
  YYSYMBOL_target_el = 1165,               /* target_el  */
  YYSYMBOL_qualified_name_list = 1166,     /* qualified_name_list  */
  YYSYMBOL_qualified_name = 1167,          /* qualified_name  */
  YYSYMBOL_name_list = 1168,               /* name_list  */
  YYSYMBOL_name = 1169,                    /* name  */
  YYSYMBOL_attr_name = 1170,               /* attr_name  */
  YYSYMBOL_file_name = 1171,               /* file_name  */
  YYSYMBOL_func_name = 1172,               /* func_name  */
  YYSYMBOL_AexprConst = 1173,              /* AexprConst  */
  YYSYMBOL_Iconst = 1174,                  /* Iconst  */
  YYSYMBOL_Sconst = 1175,                  /* Sconst  */
  YYSYMBOL_SignedIconst = 1176,            /* SignedIconst  */
  YYSYMBOL_RoleId = 1177,                  /* RoleId  */
  YYSYMBOL_RoleSpec = 1178,                /* RoleSpec  */
  YYSYMBOL_role_list = 1179,               /* role_list  */
  YYSYMBOL_PLpgSQL_Expr = 1180,            /* PLpgSQL_Expr  */
  YYSYMBOL_PLAssignStmt = 1181,            /* PLAssignStmt  */
  YYSYMBOL_plassign_target = 1182,         /* plassign_target  */
  YYSYMBOL_plassign_equals = 1183,         /* plassign_equals  */
  YYSYMBOL_ColId = 1184,                   /* ColId  */
  YYSYMBOL_type_function_name = 1185,      /* type_function_name  */
  YYSYMBOL_NonReservedWord = 1186,         /* NonReservedWord  */
  YYSYMBOL_ColLabel = 1187,                /* ColLabel  */
  YYSYMBOL_BareColLabel = 1188,            /* BareColLabel  */
  YYSYMBOL_unreserved_keyword = 1189,      /* unreserved_keyword  */
  YYSYMBOL_col_name_keyword = 1190,        /* col_name_keyword  */
  YYSYMBOL_type_func_name_keyword = 1191,  /* type_func_name_keyword  */
  YYSYMBOL_reserved_keyword = 1192,        /* reserved_keyword  */
  YYSYMBOL_bare_label_keyword = 1193       /* bare_label_keyword  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

#if defined __GNUC__ && ! defined __ICC && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                            \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if !defined yyoverflow

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* !defined yyoverflow */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE) \
             + YYSIZEOF (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  902
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   111440

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  506
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  688
/* YYNRULES -- Number of rules.  */
#define YYNRULES  3208
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  6092

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   743


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   495,     2,     2,
     500,   501,   493,   491,   504,   492,   502,   494,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   505,   503,
     488,   490,   489,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   498,     2,   499,   496,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   497
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   859,   859,   864,   868,   873,   881,   889,   909,   921,
     935,   936,   940,   941,   942,   943,   944,   945,   946,   947,
     948,   949,   950,   951,   952,   953,   954,   955,   956,   957,
     958,   959,   960,   961,   962,   963,   964,   965,   966,   967,
     968,   969,   970,   971,   972,   973,   974,   975,   976,   977,
     978,   979,   980,   981,   982,   983,   984,   985,   986,   987,
     988,   989,   990,   991,   992,   993,   994,   995,   996,   997,
     998,   999,  1000,  1001,  1002,  1003,  1004,  1005,  1006,  1007,
    1008,  1009,  1010,  1011,  1012,  1013,  1014,  1015,  1016,  1017,
    1018,  1019,  1020,  1021,  1022,  1023,  1024,  1025,  1026,  1027,
    1028,  1029,  1030,  1031,  1032,  1033,  1034,  1035,  1036,  1037,
    1038,  1039,  1040,  1041,  1042,  1043,  1044,  1045,  1046,  1047,
    1048,  1049,  1050,  1051,  1052,  1053,  1054,  1055,  1056,  1057,
    1058,  1059,  1060,  1061,  1062,  1063,  1065,  1074,  1090,  1102,
    1103,  1104,  1113,  1114,  1118,  1119,  1123,  1128,  1132,  1142,
    1150,  1154,  1158,  1163,  1167,  1215,  1217,  1221,  1225,  1229,
    1233,  1247,  1266,  1275,  1287,  1288,  1292,  1301,  1310,  1319,
    1341,  1349,  1357,  1365,  1373,  1381,  1399,  1418,  1430,  1431,
    1442,  1453,  1464,  1480,  1499,  1500,  1504,  1511,  1519,  1520,
    1521,  1522,  1523,  1524,  1538,  1545,  1552,  1562,  1571,  1580,
    1584,  1593,  1602,  1610,  1621,  1622,  1631,  1643,  1651,  1660,
    1672,  1681,  1690,  1698,  1708,  1719,  1720,  1724,  1725,  1728,
    1730,  1734,  1735,  1736,  1737,  1741,  1742,  1743,  1749,  1761,
    1765,  1769,  1786,  1794,  1795,  1796,  1800,  1801,  1802,  1806,
    1807,  1811,  1815,  1816,  1824,  1832,  1843,  1851,  1862,  1863,
    1868,  1869,  1874,  1881,  1888,  1895,  1902,  1913,  1924,  1925,
    1929,  1930,  1938,  1954,  1961,  1968,  1975,  1982,  2002,  2012,
    2022,  2032,  2042,  2054,  2066,  2076,  2086,  2096,  2108,  2120,
    2130,  2140,  2150,  2160,  2170,  2180,  2192,  2204,  2214,  2227,
    2228,  2233,  2247,  2260,  2276,  2293,  2303,  2313,  2323,  2333,
    2343,  2352,  2361,  2370,  2380,  2390,  2406,  2416,  2426,  2436,
    2446,  2463,  2473,  2483,  2493,  2504,  2518,  2534,  2544,  2553,
    2569,  2578,  2589,  2600,  2608,  2617,  2626,  2634,  2642,  2651,
    2660,  2669,  2677,  2685,  2694,  2702,  2710,  2719,  2728,  2737,
    2746,  2755,  2764,  2775,  2783,  2792,  2801,  2810,  2819,  2828,
    2837,  2845,  2853,  2861,  2868,  2879,  2880,  2884,  2885,  2886,
    2890,  2899,  2903,  2904,  2908,  2916,  2924,  2932,  2943,  2946,
    2947,  2951,  2952,  2957,  2961,  2965,  2970,  2977,  2979,  2984,
    2988,  2992,  3003,  3011,  3064,  3077,  3091,  3103,  3110,  3114,
    3128,  3141,  3142,  3147,  3157,  3168,  3179,  3206,  3213,  3247,
    3283,  3306,  3307,  3311,  3312,  3321,  3322,  3323,  3326,  3327,
    3332,  3333,  3337,  3341,  3345,  3349,  3353,  3357,  3361,  3365,
    3369,  3373,  3377,  3381,  3385,  3394,  3398,  3402,  3406,  3410,
    3411,  3416,  3420,  3427,  3434,  3435,  3436,  3437,  3438,  3442,
    3446,  3454,  3465,  3485,  3505,  3526,  3547,  3568,  3602,  3603,
    3604,  3605,  3606,  3613,  3620,  3621,  3625,  3626,  3630,  3631,
    3635,  3639,  3646,  3650,  3657,  3658,  3659,  3663,  3664,  3667,
    3690,  3709,  3731,  3732,  3736,  3737,  3741,  3742,  3746,  3754,
    3755,  3756,  3788,  3796,  3804,  3817,  3829,  3842,  3852,  3862,
    3886,  3906,  3907,  3908,  3912,  3913,  3932,  3940,  3948,  3956,
    3968,  3980,  3981,  3982,  3986,  3987,  3988,  3989,  3990,  3991,
    3992,  3993,  3994,  3995,  4004,  4012,  4016,  4030,  4048,  4064,
    4081,  4097,  4117,  4140,  4141,  4145,  4146,  4150,  4151,  4154,
    4160,  4161,  4164,  4168,  4176,  4181,  4187,  4188,  4192,  4197,
    4204,  4205,  4209,  4219,  4229,  4237,  4246,  4259,  4271,  4278,
    4286,  4294,  4302,  4310,  4320,  4321,  4325,  4326,  4329,  4341,
    4342,  4345,  4356,  4367,  4381,  4382,  4387,  4388,  4389,  4392,
    4393,  4394,  4395,  4398,  4399,  4402,  4403,  4406,  4424,  4437,
    4459,  4460,  4463,  4469,  4475,  4492,  4501,  4523,  4537,  4554,
    4570,  4571,  4572,  4584,  4598,  4615,  4629,  4630,  4642,  4663,
    4674,  4688,  4697,  4709,  4710,  4713,  4714,  4717,  4718,  4721,
    4725,  4729,  4733,  4737,  4741,  4745,  4749,  4753,  4757,  4761,
    4765,  4769,  4773,  4777,  4781,  4787,  4788,  4792,  4793,  4794,
    4801,  4804,  4805,  4817,  4833,  4849,  4850,  4858,  4859,  4863,
    4864,  4868,  4869,  4873,  4874,  4878,  4879,  4889,  4901,  4902,
    4915,  4923,  4941,  4950,  4962,  4965,  4969,  4973,  4977,  4984,
    4996,  5007,  5010,  5014,  5027,  5037,  5047,  5057,  5067,  5077,
    5087,  5097,  5107,  5117,  5127,  5137,  5147,  5166,  5178,  5179,
    5180,  5181,  5185,  5186,  5190,  5191,  5201,  5210,  5223,  5224,
    5228,  5232,  5240,  5244,  5248,  5255,  5259,  5264,  5269,  5276,
    5283,  5288,  5298,  5311,  5327,  5328,  5333,  5334,  5338,  5339,
    5349,  5359,  5368,  5386,  5407,  5428,  5450,  5484,  5500,  5501,
    5505,  5514,  5529,  5539,  5552,  5553,  5565,  5574,  5592,  5617,
    5635,  5650,  5651,  5655,  5656,  5660,  5661,  5665,  5666,  5670,
    5684,  5688,  5689,  5693,  5694,  5695,  5696,  5697,  5707,  5719,
    5720,  5731,  5754,  5786,  5787,  5788,  5792,  5794,  5816,  5818,
    5820,  5822,  5824,  5829,  5830,  5834,  5835,  5839,  5851,  5852,
    5856,  5865,  5869,  5873,  5878,  5888,  5889,  5893,  5894,  5898,
    5899,  5903,  5904,  5908,  5909,  5910,  5914,  5918,  5919,  5920,
    5924,  5925,  5930,  5931,  5958,  5959,  5960,  5961,  5962,  5963,
    5976,  5987,  6002,  6004,  6009,  6014,  6016,  6021,  6032,  6033,
    6034,  6035,  6046,  6065,  6077,  6090,  6101,  6112,  6124,  6133,
    6141,  6149,  6159,  6169,  6179,  6189,  6199,  6210,  6220,  6233,
    6236,  6237,  6240,  6244,  6251,  6252,  6253,  6254,  6255,  6256,
    6259,  6262,  6263,  6271,  6278,  6279,  6282,  6284,  6295,  6307,
    6319,  6331,  6345,  6346,  6362,  6378,  6379,  6383,  6396,  6407,
    6416,  6426,  6436,  6437,  6440,  6441,  6444,  6445,  6446,  6449,
    6463,  6468,  6479,  6489,  6502,  6503,  6507,  6516,  6529,  6540,
    6554,  6565,  6588,  6599,  6618,  6629,  6640,  6651,  6662,  6673,
    6684,  6695,  6706,  6717,  6728,  6739,  6754,  6755,  6756,  6757,
    6758,  6759,  6760,  6761,  6762,  6763,  6764,  6765,  6766,  6776,
    6777,  6778,  6779,  6780,  6784,  6785,  6786,  6787,  6788,  6789,
    6790,  6791,  6796,  6797,  6798,  6802,  6803,  6806,  6807,  6810,
    6812,  6817,  6818,  6829,  6841,  6842,  6843,  6853,  6862,  6871,
    6880,  6889,  6898,  6907,  6916,  6925,  6934,  6948,  6957,  6966,
    6975,  6984,  6993,  7002,  7011,  7023,  7024,  7038,  7049,  7060,
    7071,  7082,  7093,  7104,  7115,  7126,  7137,  7150,  7151,  7154,
    7155,  7165,  7172,  7181,  7190,  7199,  7208,  7217,  7226,  7235,
    7244,  7253,  7262,  7271,  7280,  7289,  7298,  7307,  7316,  7327,
    7328,  7331,  7332,  7342,  7360,  7376,  7404,  7406,  7408,  7410,
    7418,  7428,  7429,  7432,  7440,  7448,  7456,  7463,  7474,  7478,
    7485,  7489,  7500,  7509,  7518,  7527,  7536,  7545,  7554,  7563,
    7572,  7581,  7590,  7599,  7608,  7616,  7625,  7634,  7643,  7652,
    7661,  7670,  7679,  7692,  7693,  7697,  7698,  7703,  7704,  7714,
    7728,  7739,  7752,  7753,  7756,  7757,  7767,  7778,  7779,  7783,
    7787,  7791,  7802,  7816,  7831,  7849,  7850,  7851,  7852,  7853,
    7854,  7866,  7898,  7933,  7934,  7938,  7939,  7943,  7944,  7948,
    7949,  7952,  7953,  7958,  7970,  7989,  7994,  7999,  8006,  8007,
    8010,  8011,  8014,  8015,  8018,  8019,  8022,  8023,  8024,  8027,
    8028,  8029,  8045,  8059,  8074,  8088,  8105,  8106,  8109,  8110,
    8114,  8115,  8119,  8120,  8125,  8139,  8147,  8155,  8171,  8172,
    8176,  8177,  8192,  8202,  8212,  8222,  8232,  8245,  8246,  8247,
    8248,  8249,  8255,  8259,  8274,  8275,  8281,  8291,  8295,  8300,
    8308,  8350,  8354,  8358,  8362,  8370,  8371,  8375,  8387,  8388,
    8393,  8394,  8399,  8400,  8407,  8411,  8415,  8419,  8423,  8427,
    8431,  8435,  8439,  8443,  8447,  8451,  8455,  8459,  8463,  8467,
    8472,  8479,  8483,  8487,  8491,  8495,  8501,  8502,  8508,  8518,
    8522,  8533,  8539,  8548,  8554,  8555,  8559,  8560,  8564,  8565,
    8568,  8581,  8585,  8600,  8609,  8618,  8631,  8632,  8637,  8638,
    8655,  8666,  8677,  8688,  8699,  8710,  8724,  8735,  8749,  8760,
    8774,  8782,  8784,  8786,  8791,  8793,  8798,  8799,  8804,  8823,
    8833,  8834,  8838,  8842,  8854,  8866,  8878,  8892,  8893,  8894,
    8898,  8911,  8912,  8922,  8935,  8939,  8943,  8947,  8954,  8975,
    8988,  9001,  9014,  9029,  9030,  9033,  9034,  9035,  9045,  9055,
    9073,  9083,  9093,  9103,  9113,  9123,  9133,  9143,  9153,  9163,
    9173,  9183,  9193,  9204,  9215,  9225,  9235,  9245,  9255,  9265,
    9275,  9286,  9297,  9308,  9319,  9330,  9341,  9352,  9363,  9374,
    9385,  9396,  9407,  9419,  9431,  9443,  9455,  9467,  9479,  9490,
    9501,  9513,  9525,  9536,  9547,  9556,  9566,  9576,  9586,  9596,
    9606,  9616,  9626,  9636,  9646,  9661,  9662,  9665,  9666,  9676,
    9686,  9696,  9706,  9717,  9727,  9739,  9740,  9750,  9760,  9770,
    9780,  9790,  9800,  9810,  9820,  9830,  9840,  9850,  9860,  9870,
    9880,  9890,  9900,  9910,  9920,  9930,  9940,  9950,  9960,  9970,
    9980,  9990, 10000, 10010, 10029, 10039, 10040, 10043, 10045, 10051,
   10052, 10053, 10054, 10055, 10067, 10083, 10092, 10101, 10110, 10119,
   10128, 10137, 10146, 10155, 10164, 10173, 10182, 10191, 10200, 10209,
   10218, 10227, 10236, 10245, 10254, 10263, 10272, 10281, 10290, 10318,
   10326, 10335, 10361, 10370, 10377, 10383, 10410, 10421, 10430, 10438,
   10440, 10462, 10470, 10480, 10490, 10509, 10528, 10538, 10548, 10558,
   10569, 10580, 10591, 10602, 10613, 10631, 10640, 10657, 10675, 10676,
   10677, 10682, 10688, 10697, 10698, 10699, 10700, 10701, 10705, 10706,
   10709, 10710, 10711, 10712, 10716, 10717, 10718, 10730, 10741, 10742,
   10745, 10755, 10762, 10782, 10791, 10799, 10808, 10817, 10825, 10833,
   10841, 10849, 10857, 10865, 10873, 10884, 10892, 10903, 10904, 10905,
   10909, 10912, 10915, 10918, 10921, 10928, 10930, 10932, 10937, 10939,
   10943, 10944, 10945, 10957, 10971, 10985, 11004, 11026, 11027, 11028,
   11029, 11039, 11056, 11067, 11068, 11072, 11073, 11077, 11081, 11085,
   11103, 11104, 11105, 11106, 11107, 11108, 11109, 11116, 11117, 11128,
   11136, 11144, 11153, 11163, 11181, 11190, 11199, 11208, 11220, 11224,
   11235, 11247, 11265, 11272, 11289, 11303, 11313, 11322, 11331, 11341,
   11353, 11365, 11376, 11377, 11388, 11399, 11411, 11423, 11435, 11447,
   11457, 11470, 11471, 11485, 11510, 11522, 11531, 11543, 11557, 11558,
   11570, 11591, 11602, 11614, 11626, 11630, 11637, 11638, 11642, 11649,
   11650, 11654, 11655, 11656, 11660, 11661, 11665, 11666, 11669, 11670,
   11673, 11674, 11678, 11679, 11683, 11690, 11692, 11697, 11698, 11711,
   11719, 11730, 11738, 11749, 11750, 11751, 11752, 11753, 11754, 11755,
   11756, 11757, 11758, 11768, 11779, 11780, 11784, 11785, 11786, 11787,
   11788, 11798, 11806, 11824, 11844, 11845, 11855, 11862, 11869, 11876,
   11893, 11911, 11915, 11923, 11929, 11936, 11942, 11949, 11958, 11959,
   11963, 11965, 11970, 11981, 11991, 12001, 12007, 12016, 12025, 12031,
   12032, 12043, 12058, 12059, 12070, 12081, 12082, 12085, 12086, 12087,
   12088, 12089, 12090, 12091, 12092, 12095, 12096, 12100, 12101, 12102,
   12113, 12132, 12133, 12137, 12142, 12166, 12177, 12178, 12190, 12208,
   12209, 12213, 12220, 12227, 12234, 12244, 12257, 12258, 12262, 12275,
   12288, 12297, 12306, 12315, 12324, 12336, 12348, 12360, 12363, 12364,
   12365, 12366, 12367, 12368, 12371, 12372, 12373, 12421, 12422, 12426,
   12427, 12442, 12443, 12450, 12458, 12466, 12474, 12482, 12490, 12501,
   12502, 12534, 12550, 12567, 12568, 12587, 12591, 12595, 12610, 12617,
   12624, 12634, 12635, 12638, 12654, 12655, 12656, 12660, 12670, 12681,
   12687, 12699, 12712, 12718, 12719, 12723, 12735, 12743, 12748, 12753,
   12758, 12763, 12771, 12779, 12784, 12789, 12796, 12797, 12801, 12802,
   12803, 12810, 12811, 12815, 12816, 12820, 12821, 12825, 12826, 12830,
   12834, 12835, 12838, 12847, 12860, 12865, 12870, 12874, 12886, 12887,
   12891, 12900, 12916, 12925, 12934, 12943, 12955, 12958, 12963, 12964,
   12972, 12992, 12993, 12995, 13000, 13001, 13005, 13006, 13009, 13010,
   13035, 13044, 13054, 13055, 13059, 13060, 13061, 13062, 13063, 13067,
   13080, 13087, 13094, 13101, 13102, 13106, 13107, 13111, 13112, 13116,
   13117, 13121, 13133, 13134, 13135, 13136, 13140, 13141, 13151, 13158,
   13177, 13178, 13182, 13183, 13189, 13194, 13203, 13211, 13220, 13227,
   13235, 13271, 13297, 13301, 13327, 13331, 13345, 13366, 13388, 13401,
   13418, 13424, 13429, 13435, 13442, 13443, 13453, 13459, 13467, 13471,
   13475, 13482, 13490, 13495, 13496, 13497, 13498, 13502, 13503, 13518,
   13522, 13530, 13537, 13544, 13551, 13558, 13569, 13570, 13583, 13587,
   13595, 13609, 13623, 13624, 13639, 13650, 13663, 13668, 13669, 13672,
   13673, 13676, 13677, 13682, 13683, 13688, 13689, 13698, 13703, 13704,
   13708, 13712, 13718, 13743, 13754, 13768, 13769, 13773, 13787, 13844,
   13858, 13860, 13865, 13867, 13869, 13871, 13876, 13878, 13883, 13891,
   13911, 13916, 13923, 13928, 13934, 13939, 13948, 13950, 13953, 13957,
   13958, 13959, 13960, 13961, 13962, 13967, 13987, 13988, 13989, 13990,
   14001, 14007, 14015, 14016, 14022, 14027, 14032, 14037, 14042, 14047,
   14052, 14057, 14063, 14069, 14075, 14082, 14104, 14113, 14117, 14125,
   14129, 14137, 14149, 14170, 14174, 14180, 14184, 14197, 14205, 14215,
   14217, 14219, 14221, 14223, 14225, 14230, 14231, 14238, 14247, 14255,
   14264, 14275, 14283, 14284, 14285, 14289, 14291, 14293, 14295, 14297,
   14299, 14301, 14306, 14311, 14317, 14325, 14330, 14337, 14344, 14348,
   14352, 14388, 14389, 14391, 14400, 14416, 14418, 14420, 14422, 14424,
   14426, 14428, 14430, 14432, 14434, 14436, 14438, 14440, 14442, 14445,
   14447, 14450, 14452, 14454, 14456, 14459, 14464, 14473, 14478, 14487,
   14492, 14501, 14506, 14516, 14525, 14534, 14543, 14562, 14571, 14580,
   14589, 14598, 14615, 14624, 14633, 14642, 14651, 14660, 14669, 14673,
   14677, 14685, 14693, 14701, 14709, 14730, 14753, 14765, 14772, 14788,
   14793, 14799, 14806, 14813, 14821, 14829, 14855, 14857, 14859, 14861,
   14863, 14865, 14867, 14869, 14871, 14873, 14875, 14877, 14879, 14881,
   14883, 14885, 14887, 14889, 14891, 14895, 14899, 14904, 14920, 14921,
   14922, 14939, 14952, 14954, 14956, 14968, 14993, 15005, 15017, 15025,
   15036, 15047, 15057, 15063, 15072, 15082, 15092, 15105, 15115, 15146,
   15182, 15193, 15194, 15201, 15208, 15212, 15216, 15220, 15224, 15228,
   15232, 15236, 15240, 15244, 15248, 15252, 15256, 15260, 15264, 15268,
   15270, 15277, 15284, 15291, 15298, 15309, 15323, 15333, 15344, 15360,
   15370, 15377, 15384, 15391, 15395, 15403, 15412, 15421, 15425, 15429,
   15433, 15437, 15441, 15450, 15454, 15464, 15468, 15472, 15477, 15492,
   15494, 15498, 15500, 15502, 15505, 15508, 15511, 15512, 15515, 15523,
   15533, 15534, 15537, 15538, 15539, 15544, 15548, 15552, 15556, 15563,
   15564, 15572, 15573, 15577, 15578, 15586, 15587, 15591, 15592, 15597,
   15606, 15608, 15623, 15626, 15654, 15655, 15658, 15659, 15667, 15675,
   15683, 15692, 15702, 15720, 15766, 15775, 15784, 15793, 15802, 15814,
   15815, 15816, 15817, 15818, 15832, 15833, 15834, 15837, 15838, 15841,
   15844, 15845, 15846, 15849, 15850, 15853, 15854, 15855, 15856, 15857,
   15858, 15859, 15860, 15861, 15862, 15863, 15864, 15867, 15869, 15874,
   15876, 15881, 15883, 15885, 15887, 15889, 15891, 15903, 15907, 15914,
   15918, 15924, 15928, 15938, 15950, 15951, 15954, 15955, 15958, 15962,
   15966, 15972, 15973, 15978, 15988, 15989, 15990, 15991, 15992, 15993,
   15994, 15995, 15999, 16000, 16001, 16002, 16007, 16012, 16021, 16042,
   16046, 16051, 16062, 16079, 16085, 16086, 16087, 16090, 16098, 16108,
   16123, 16124, 16128, 16140, 16141, 16144, 16145, 16148, 16152, 16159,
   16163, 16167, 16176, 16188, 16189, 16193, 16194, 16198, 16199, 16202,
   16203, 16213, 16214, 16218, 16219, 16222, 16230, 16238, 16246, 16269,
   16270, 16281, 16285, 16291, 16293, 16298, 16300, 16302, 16312, 16314,
   16325, 16329, 16333, 16337, 16341, 16350, 16358, 16390, 16394, 16401,
   16409, 16413, 16417, 16423, 16424, 16426, 16427, 16428, 16432, 16473,
   16501, 16505, 16509, 16515, 16517, 16531, 16567, 16580, 16581, 16584,
   16585, 16602, 16603, 16604, 16609, 16610, 16611, 16616, 16617, 16618,
   16619, 16625, 16626, 16627, 16628, 16629, 16635, 16636, 16656, 16657,
   16658, 16659, 16660, 16661, 16662, 16663, 16664, 16665, 16666, 16667,
   16668, 16669, 16670, 16671, 16672, 16673, 16674, 16675, 16676, 16677,
   16678, 16679, 16680, 16681, 16682, 16683, 16684, 16685, 16686, 16687,
   16688, 16689, 16690, 16691, 16692, 16693, 16694, 16695, 16696, 16697,
   16698, 16699, 16700, 16701, 16702, 16703, 16704, 16705, 16706, 16707,
   16708, 16709, 16710, 16711, 16712, 16713, 16714, 16715, 16716, 16717,
   16718, 16719, 16720, 16721, 16722, 16723, 16724, 16725, 16726, 16727,
   16728, 16729, 16730, 16731, 16732, 16733, 16734, 16735, 16736, 16737,
   16738, 16739, 16740, 16741, 16742, 16743, 16744, 16745, 16746, 16747,
   16748, 16749, 16750, 16751, 16752, 16753, 16754, 16755, 16756, 16757,
   16758, 16759, 16760, 16761, 16762, 16763, 16764, 16765, 16766, 16767,
   16768, 16769, 16770, 16771, 16772, 16773, 16774, 16775, 16776, 16777,
   16778, 16779, 16780, 16781, 16782, 16783, 16784, 16785, 16786, 16787,
   16788, 16789, 16790, 16791, 16792, 16793, 16794, 16795, 16796, 16797,
   16798, 16799, 16800, 16801, 16802, 16803, 16804, 16805, 16806, 16807,
   16808, 16809, 16810, 16811, 16812, 16813, 16814, 16815, 16816, 16817,
   16818, 16819, 16820, 16821, 16822, 16823, 16824, 16825, 16826, 16827,
   16828, 16829, 16830, 16831, 16832, 16833, 16834, 16835, 16836, 16837,
   16838, 16839, 16840, 16841, 16842, 16843, 16844, 16845, 16846, 16847,
   16848, 16849, 16850, 16851, 16852, 16853, 16854, 16855, 16856, 16857,
   16858, 16859, 16860, 16861, 16862, 16863, 16864, 16865, 16866, 16867,
   16868, 16869, 16870, 16871, 16872, 16873, 16874, 16875, 16876, 16877,
   16878, 16879, 16880, 16881, 16882, 16883, 16884, 16885, 16886, 16887,
   16888, 16889, 16890, 16891, 16892, 16893, 16894, 16895, 16896, 16897,
   16898, 16899, 16900, 16901, 16902, 16903, 16904, 16905, 16906, 16907,
   16908, 16909, 16910, 16911, 16912, 16913, 16914, 16915, 16916, 16917,
   16918, 16919, 16920, 16921, 16922, 16923, 16924, 16925, 16926, 16927,
   16928, 16929, 16930, 16931, 16932, 16933, 16934, 16935, 16936, 16937,
   16938, 16939, 16940, 16941, 16942, 16943, 16944, 16945, 16946, 16947,
   16948, 16949, 16950, 16951, 16952, 16953, 16954, 16955, 16956, 16957,
   16958, 16959, 16960, 16961, 16962, 16963, 16964, 16978, 16979, 16980,
   16981, 16982, 16983, 16984, 16985, 16986, 16987, 16988, 16989, 16990,
   16991, 16992, 16993, 16994, 16995, 16996, 16997, 16998, 16999, 17000,
   17001, 17002, 17003, 17004, 17005, 17006, 17007, 17008, 17009, 17010,
   17011, 17012, 17013, 17014, 17015, 17016, 17017, 17018, 17019, 17020,
   17021, 17022, 17023, 17024, 17025, 17026, 17027, 17028, 17042, 17043,
   17044, 17045, 17046, 17047, 17048, 17049, 17050, 17051, 17052, 17053,
   17054, 17055, 17056, 17057, 17058, 17059, 17060, 17061, 17062, 17063,
   17064, 17074, 17075, 17076, 17077, 17078, 17079, 17080, 17081, 17082,
   17083, 17084, 17085, 17086, 17087, 17088, 17089, 17090, 17091, 17092,
   17093, 17094, 17095, 17096, 17097, 17098, 17099, 17100, 17101, 17102,
   17103, 17104, 17105, 17106, 17107, 17108, 17109, 17110, 17111, 17112,
   17113, 17114, 17115, 17116, 17117, 17118, 17119, 17120, 17121, 17122,
   17123, 17124, 17125, 17126, 17127, 17128, 17129, 17130, 17131, 17132,
   17133, 17134, 17135, 17136, 17137, 17138, 17139, 17140, 17141, 17142,
   17143, 17144, 17145, 17146, 17147, 17148, 17149, 17150, 17163, 17164,
   17165, 17166, 17167, 17168, 17169, 17170, 17171, 17172, 17173, 17174,
   17175, 17176, 17177, 17178, 17179, 17180, 17181, 17182, 17183, 17184,
   17185, 17186, 17187, 17188, 17189, 17190, 17191, 17192, 17193, 17194,
   17195, 17196, 17197, 17198, 17199, 17200, 17201, 17202, 17203, 17204,
   17205, 17206, 17207, 17208, 17209, 17210, 17211, 17212, 17213, 17214,
   17215, 17216, 17217, 17218, 17219, 17220, 17221, 17222, 17223, 17224,
   17225, 17226, 17227, 17228, 17229, 17230, 17231, 17232, 17233, 17234,
   17235, 17236, 17237, 17238, 17239, 17240, 17241, 17242, 17243, 17244,
   17245, 17246, 17247, 17248, 17249, 17250, 17251, 17252, 17253, 17254,
   17255, 17256, 17257, 17258, 17259, 17260, 17261, 17262, 17263, 17264,
   17265, 17266, 17267, 17268, 17269, 17270, 17271, 17272, 17273, 17274,
   17275, 17276, 17277, 17278, 17279, 17280, 17281, 17282, 17283, 17284,
   17285, 17286, 17287, 17288, 17289, 17290, 17291, 17292, 17293, 17294,
   17295, 17296, 17297, 17298, 17299, 17300, 17301, 17302, 17303, 17304,
   17305, 17306, 17307, 17308, 17309, 17310, 17311, 17312, 17313, 17314,
   17315, 17316, 17317, 17318, 17319, 17320, 17321, 17322, 17323, 17324,
   17325, 17326, 17327, 17328, 17329, 17330, 17331, 17332, 17333, 17334,
   17335, 17336, 17337, 17338, 17339, 17340, 17341, 17342, 17343, 17344,
   17345, 17346, 17347, 17348, 17349, 17350, 17351, 17352, 17353, 17354,
   17355, 17356, 17357, 17358, 17359, 17360, 17361, 17362, 17363, 17364,
   17365, 17366, 17367, 17368, 17369, 17370, 17371, 17372, 17373, 17374,
   17375, 17376, 17377, 17378, 17379, 17380, 17381, 17382, 17383, 17384,
   17385, 17386, 17387, 17388, 17389, 17390, 17391, 17392, 17393, 17394,
   17395, 17396, 17397, 17398, 17399, 17400, 17401, 17402, 17403, 17404,
   17405, 17406, 17407, 17408, 17409, 17410, 17411, 17412, 17413, 17414,
   17415, 17416, 17417, 17418, 17419, 17420, 17421, 17422, 17423, 17424,
   17425, 17426, 17427, 17428, 17429, 17430, 17431, 17432, 17433, 17434,
   17435, 17436, 17437, 17438, 17439, 17440, 17441, 17442, 17443, 17444,
   17445, 17446, 17447, 17448, 17449, 17450, 17451, 17452, 17453, 17454,
   17455, 17456, 17457, 17458, 17459, 17460, 17461, 17462, 17463, 17464,
   17465, 17466, 17467, 17468, 17469, 17470, 17471, 17472, 17473, 17474,
   17475, 17476, 17477, 17478, 17479, 17480, 17481, 17482, 17483, 17484,
   17485, 17486, 17487, 17488, 17489, 17490, 17491, 17492, 17493, 17494,
   17495, 17496, 17497, 17498, 17499, 17500, 17501, 17502, 17503, 17504,
   17505, 17506, 17507, 17508, 17509, 17510, 17511, 17512, 17513, 17514,
   17515, 17516, 17517, 17518, 17519, 17520, 17521, 17522, 17523, 17524,
   17525, 17526, 17527, 17528, 17529, 17530, 17531, 17532, 17533, 17534,
   17535, 17536, 17537, 17538, 17539, 17540, 17541, 17542, 17543, 17544,
   17545, 17546, 17547, 17548, 17549, 17550, 17551, 17552, 17553, 17554,
   17555, 17556, 17557, 17558, 17559, 17560, 17561, 17562, 17563, 17564,
   17565, 17566, 17567, 17568, 17569, 17570, 17571, 17572, 17573, 17574,
   17575, 17576, 17577, 17578, 17579, 17580, 17581, 17582, 17583
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if YYDEBUG || 0
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "IDENT", "UIDENT",
  "FCONST", "SCONST", "USCONST", "BCONST", "XCONST", "Op", "ICONST",
  "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS", "EQUALS_GREATER",
  "LESS_EQUALS", "GREATER_EQUALS", "NOT_EQUALS", "ABORT_P", "ABSOLUTE_P",
  "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL",
  "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY",
  "AS", "ASC", "ASENSITIVE", "ASSERTION", "ASSIGNMENT", "ASYMMETRIC",
  "ATOMIC", "AT", "ATTACH", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD",
  "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P",
  "BOTH", "BREADTH", "BY", "CACHE", "CALL", "CALLED", "CASCADE",
  "CASCADED", "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COLUMNS", "COMMENT",
  "COMMENTS", "COMMIT", "COMMITTED", "COMPRESSION", "CONCURRENTLY",
  "CONFIGURATION", "CONFLICT", "CONNECTION", "CONSTRAINT", "CONSTRAINTS",
  "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST", "CREATE",
  "CROSS", "CSV", "CUBE", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE",
  "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP",
  "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P",
  "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS",
  "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P", "DELIMITER",
  "DELIMITERS", "DEPENDS", "DEPTH", "DESC", "DETACH", "DICTIONARY",
  "DISABLE_P", "DISCARD", "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P",
  "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED",
  "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING",
  "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN", "EXPRESSION", "EXTENSION",
  "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER",
  "FINALIZE", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN",
  "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS",
  "GENERATED", "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P",
  "GROUPING", "GROUPS", "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P",
  "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P",
  "IMPORT_P", "IN_P", "INCLUDE", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P",
  "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE",
  "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME", "LOCALTIMESTAMP",
  "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING", "MATCH", "MATCHED",
  "MATERIALIZED", "MAXVALUE", "MERGE", "METHOD", "MINUTE_P", "MINVALUE",
  "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL",
  "NCHAR", "NEW", "NEXT", "NFC", "NFD", "NFKC", "NFKD", "NO", "NONE",
  "NORMALIZE", "NORMALIZED", "NOT", "NOTHING", "NOTIFY", "NOTNULL",
  "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF",
  "OFF", "OFFSET", "OIDS", "OLD", "ON", "ONLY", "OPERATOR", "OPTION",
  "OPTIONS", "OR", "ORDER", "ORDINALITY", "OTHERS", "OUT_P", "OUTER_P",
  "OVER", "OVERLAPS", "OVERLAY", "OVERRIDING", "OWNED", "OWNER",
  "PARALLEL", "PARAMETER", "PARSER", "PARTIAL", "PARTITION", "PASSING",
  "PASSWORD", "PLACING", "PLANS", "POLICY", "POSITION", "PRECEDING",
  "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY", "PRIOR",
  "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROCEDURES", "PROGRAM",
  "PUBLICATION", "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK",
  "RECURSIVE", "REF_P", "REFERENCES", "REFERENCING", "REFRESH", "REINDEX",
  "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA",
  "RESET", "RESTART", "RESTRICT", "RETURN", "RETURNING", "RETURNS",
  "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROLLUP", "ROUTINE", "ROUTINES",
  "ROW", "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCHEMAS", "SCROLL",
  "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES",
  "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET", "SETS",
  "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SKIP", "SMALLINT",
  "SNAPSHOT", "SOME", "SQL_P", "STABLE", "STANDALONE_P", "START",
  "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STORED",
  "STRICT_P", "STRIP_P", "SUBSCRIPTION", "SUBSTRING", "SUPPORT",
  "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE", "TABLES", "TABLESAMPLE",
  "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIES",
  "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TRANSFORM",
  "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P",
  "TYPES_P", "UESCAPE", "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION",
  "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER",
  "USING", "VACUUM", "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES",
  "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW",
  "VIEWS", "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH",
  "WITHIN", "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P",
  "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST",
  "XMLNAMESPACES", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "XMLTABLE", "YEAR_P", "YES_P", "ZONE", "NOT_LA", "NULLS_LA", "WITH_LA",
  "MODE_TYPE_NAME", "MODE_PLPGSQL_EXPR", "MODE_PLPGSQL_ASSIGN1",
  "MODE_PLPGSQL_ASSIGN2", "MODE_PLPGSQL_ASSIGN3", "'<'", "'>'", "'='",
  "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS", "'['", "']'", "'('",
  "')'", "'.'", "';'", "','", "':'", "$accept", "parse_toplevel",
  "stmtmulti", "toplevel_stmt", "stmt", "CallStmt", "CreateRoleStmt",
  "opt_with", "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "DropRoleStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "CreateSchemaStmt", "OptSchemaName",
  "OptSchemaEltList", "schema_stmt", "VariableSetStmt", "set_rest",
  "generic_set", "set_rest_more", "var_name", "var_list", "var_value",
  "iso_level", "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "reset_rest",
  "generic_reset", "SetResetClause", "FunctionSetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "partition_cmd",
  "index_partition_cmd", "alter_table_cmd", "alter_column_default",
  "opt_drop_behavior", "opt_collate_clause", "alter_using",
  "replica_identity", "reloptions", "opt_reloptions", "reloption_list",
  "reloption_elem", "alter_identity_column_option_list",
  "alter_identity_column_option", "PartitionBoundSpec",
  "hash_partbound_elem", "hash_partbound", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "copy_delimiter",
  "opt_using", "copy_generic_opt_list", "copy_generic_opt_elem",
  "copy_generic_opt_arg", "copy_generic_opt_arg_list",
  "copy_generic_opt_arg_list_item", "CreateStmt", "OptTemp",
  "OptTableElementList", "OptTypedTableElementList", "TableElementList",
  "TypedTableElementList", "TableElement", "TypedTableElement",
  "columnDef", "columnOptions", "column_compression",
  "opt_column_compression", "ColQualList", "ColConstraint",
  "ColConstraintElem", "opt_unique_null_treatment", "generated_when",
  "ConstraintAttr", "TableLikeClause", "TableLikeOptionList",
  "TableLikeOption", "TableConstraint", "ConstraintElem", "opt_no_inherit",
  "opt_column_list", "columnList", "columnElem", "opt_c_include",
  "key_match", "ExclusionConstraintList", "ExclusionConstraintElem",
  "OptWhereClause", "key_actions", "key_update", "key_delete",
  "key_action", "OptInherit", "OptPartitionSpec", "PartitionSpec",
  "part_params", "part_elem", "table_access_method_clause", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "CreateStatsStmt", "stats_params", "stats_param", "AlterStatsStmt",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "ImportForeignSchemaStmt",
  "import_qualification_type", "import_qualification",
  "CreateUserMappingStmt", "auth_ident", "DropUserMappingStmt",
  "AlterUserMappingStmt", "CreatePolicyStmt", "AlterPolicyStmt",
  "RowSecurityOptionalExpr", "RowSecurityOptionalWithCheck",
  "RowSecurityDefaultToRole", "RowSecurityOptionalToRole",
  "RowSecurityDefaultPermissive", "RowSecurityDefaultForCmd",
  "row_security_cmd", "CreateAmStmt", "am_type", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerReferencing", "TriggerTransitions", "TriggerTransition",
  "TransitionOldOrNew", "TransitionRowOrTable", "TransitionRelName",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "FUNCTION_or_PROCEDURE", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertionStmt", "DefineStmt", "definition", "def_list",
  "def_elem", "def_arg", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "object_type_any_name", "object_type_name", "drop_type_name",
  "object_type_name_on_any_name", "any_name_list", "any_name", "attrs",
  "type_name_list", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_text", "SecLabelStmt", "opt_provider", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "parameter_name_list", "parameter_name", "privilege_target",
  "grantee_list", "grantee", "opt_grant_grant_option", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem_options", "index_elem", "opt_include",
  "index_including_params", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "function_with_argtypes_list",
  "function_with_argtypes", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "aggregate_with_argtypes",
  "aggregate_with_argtypes_list", "opt_createfunc_opt_list",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "ReturnStmt", "opt_routine_body", "routine_body_stmt_list",
  "routine_body_stmt", "transform_type_list", "opt_definition",
  "table_func_column", "table_func_column_list", "AlterFunctionStmt",
  "alterfunc_opt_list", "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt",
  "RemoveOperStmt", "oper_argtypes", "any_operator",
  "operator_with_argtypes_list", "operator_with_argtypes", "DoStmt",
  "dostmt_opt_list", "dostmt_opt_item", "CreateCastStmt", "cast_context",
  "DropCastStmt", "opt_if_exists", "CreateTransformStmt",
  "transform_element_list", "DropTransformStmt", "ReindexStmt",
  "reindex_target_type", "reindex_target_multitable", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectDependsStmt",
  "opt_no", "AlterObjectSchemaStmt", "AlterOperatorStmt",
  "operator_def_list", "operator_def_elem", "operator_def_arg",
  "AlterTypeStmt", "AlterOwnerStmt", "CreatePublicationStmt",
  "PublicationObjSpec", "pub_obj_list", "AlterPublicationStmt",
  "CreateSubscriptionStmt", "AlterSubscriptionStmt",
  "DropSubscriptionStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "NotifyStmt", "notify_payload", "ListenStmt", "UnlistenStmt",
  "TransactionStmt", "TransactionStmtLegacy", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "opt_transaction_chain", "ViewStmt",
  "opt_check_option", "LoadStmt", "CreatedbStmt", "createdb_opt_list",
  "createdb_opt_items", "createdb_opt_item", "createdb_opt_name",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "drop_option_list", "drop_option", "AlterCollationStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "AnalyzeStmt", "utility_option_list", "analyze_keyword",
  "utility_option_elem", "utility_option_name", "utility_option_arg",
  "opt_analyze", "opt_verbose", "opt_full", "opt_freeze", "opt_name_list",
  "vacuum_relation", "vacuum_relation_list", "opt_vacuum_relation_list",
  "ExplainStmt", "ExplainableStmt", "PrepareStmt", "prep_type_clause",
  "PreparableStmt", "ExecuteStmt", "execute_param_clause",
  "DeallocateStmt", "InsertStmt", "insert_target", "insert_rest",
  "override_kind", "insert_column_list", "insert_column_item",
  "opt_on_conflict", "opt_conf_expr", "returning_clause", "DeleteStmt",
  "using_clause", "LockStmt", "opt_lock", "lock_type", "opt_nowait",
  "opt_nowait_or_skip", "UpdateStmt", "set_clause_list", "set_clause",
  "set_target", "set_target_list", "MergeStmt", "merge_when_list",
  "merge_when_clause", "opt_merge_when_condition", "merge_update",
  "merge_delete", "merge_insert", "merge_values_clause",
  "DeclareCursorStmt", "cursor_name", "cursor_options", "opt_hold",
  "SelectStmt", "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_materialized", "opt_search_clause", "opt_cycle_clause",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "set_quantifier", "distinct_clause", "opt_all_clause",
  "opt_distinct_clause", "opt_sort_clause", "sort_clause", "sortby_list",
  "sortby", "select_limit", "opt_select_limit", "limit_clause",
  "offset_clause", "select_limit_value", "select_offset_value",
  "select_fetch_first_value", "I_or_F_const", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "opt_alias_clause_for_join_using",
  "func_alias_clause", "join_type", "opt_outer", "join_qual",
  "relation_expr", "extended_relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "xml_passing_mech", "within_group_clause",
  "filter_clause", "window_clause", "window_definition_list",
  "window_definition", "over_clause", "window_specification",
  "opt_existing_window_name", "opt_partition_clause", "opt_frame_clause",
  "frame_extent", "frame_bound", "opt_window_exclusion_clause", "row",
  "explicit_row", "implicit_row", "sub_type", "all_Op", "MathOp",
  "qual_Op", "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "func_arg_list_opt", "type_list", "array_expr",
  "array_expr_list", "extract_list", "extract_arg", "unicode_normal_form",
  "overlay_list", "position_list", "substr_list", "trim_list", "in_expr",
  "case_expr", "when_clause_list", "when_clause", "case_default",
  "case_arg", "columnref", "indirection_el", "opt_slice_bound",
  "indirection", "opt_indirection", "opt_asymmetric", "opt_target_list",
  "target_list", "target_el", "qualified_name_list", "qualified_name",
  "name_list", "name", "attr_name", "file_name", "func_name", "AexprConst",
  "Iconst", "Sconst", "SignedIconst", "RoleId", "RoleSpec", "role_list",
  "PLpgSQL_Expr", "PLAssignStmt", "plassign_target", "plassign_equals",
  "ColId", "type_function_name", "NonReservedWord", "ColLabel",
  "BareColLabel", "unreserved_keyword", "col_name_keyword",
  "type_func_name_keyword", "reserved_keyword", "bare_label_keyword", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_int16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,    60,    62,
      61,    43,    45,    42,    47,    37,    94,   743,    91,    93,
      40,    41,    46,    59,    44,    58
};
#endif

#define YYPACT_NINF (-5220)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-2818)

#define yytable_value_is_error(Yyn) \
  ((Yyn) == YYTABLE_NINF)

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   11153,  1460, 20436, -5220, -5220,  1460, 66263, -5220, 75326,   935,
     718,  1306,   220, 19201, 75803, 84866,  1090,   378, 19400,  1460,
   84866,  4111, 57200, 71510,   900, 84866,  1120,   769, 57200, 84866,
   85343,  1025,  1375,   789, 85820, 76280, 70079,  1382, 84866,  1305,
    1421, 86297, 76757,  1346, 77234,   769, 53408,   137,  1444, 86774,
   84866,108646,  1421, 77711, 77711, 77711,  1717,  1892,  1546, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220,  1547, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220,  2088, -5220,   799,
    2216,  1466,   880,  1459, -5220, -5220,  1914, 66263, 84866, 84866,
   84866,  1737, 84866,  1646, 84866,   197, 66263, 62447, 78188,  1851,
    1687, 49490, 87251, -5220, 66263, 84866, 60062, 66263, 84866, 84866,
   87728, 84866, 88205, 84866,   116, 73895, 84866,  1818, 84866, 84866,
   60539, 88682,  2028,  1436,   247, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,  1778,
    1921, -5220,   263, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, 64832, 84866, 20205,  1120,  1914, -5220,  1717, 84866,
    2055, 84866,  1812, 89159, 84866, -5220, 84866,  1903, 89636,   792,
    1985, 62447,  2150, 49984,  1994, 84866, 84866, 62447, 90113, 90590,
   91067, 84866, 84866, -5220, -5220,  1980, 84866, -5220,  2112, 62924,
    1636,  2122,  2285,  2186,  1502, -5220, 78665, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, 65786,   378, -5220, -5220,  2152,
   66740,  2259, -5220, -5220, 91544,109109,  2005, -5220,   826, 67217,
   63401,  2358,  2044, 50478,  2399, -5220, 67694, -5220, 63878, 68171,
   -5220, -5220, -5220, -5220, -5220, 92021, -5220, 92498,  2116,  2259,
   -5220,109572, 64355, -5220,  2229, 92975, 93452, 93929,  1914,  2013,
    1012,  1935, 44157, -5220, -5220, -5220,  2012, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220,   341,  2029,   227,   234,
     233, -5220, -5220,   235,   236,   241,   341,  2506,  2506, -5220,
   84866, -5220, -5220,  2029,    53,  2125,  2036,  2036,  2036,  2247,
      33, -5220,  2036,  2179, -5220, -5220, -5220, -5220, 77234, -5220,
    2058,  1120,  2067,  2517,  2137, -5220, -5220, -5220, -5220, -5220,
   64832,  2514,  2514, 84866, -5220, -5220,  2558,  2136,  2400,  2109,
   -5220, -5220, -5220,  2349,  2357,  2370,   120,  1120,   252, -5220,
    2502, -5220,  2388, 30479, 30479,  1120, 79142, 94406,   250, 65786,
    1120, 79619,  2201,  1326,  2398, -5220, -5220, -5220,   662, -5220,
    2644,  2253,  2477,  2109,  1436, 46081, -5220, -5220,  2249,  1921,
   77234, -5220, -5220, -5220, 64832,  2565, 32944, 84866,  2255, -5220,
    2271,  2255, -5220, -5220,  2325, -5220,  2325,  2325,  2292,  2292,
    2481,  2301, -5220, -5220, -5220,  2344,  2325,  2292, -5220,110498,
   -5220,  1771,  1786, -5220, -5220,  2770, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220,  2329, -5220,   745,  2173, -5220, -5220,
   -5220, 30479, -5220, -5220, -5220, -5220, -5220, -5220, -5220,  2335,
    2367,  1466, -5220, 10548, 64832, 84866,  1712,  1712,  2791,  1712,
    1576,  1657, -5220,  2608, -5220,  2701,  2672,  2677, 77234,  2412,
     904, -5220,  1485,  2432,  1919,  2442,  1604,  2276, -5220,   853,
   84866,   240,  2482, 80096,  2627,  2453,  1921,  2469, -5220, -5220,
   -5220, -5220,  2621,   387, -5220, -5220, -5220, -5220,  2774,  2822,
    5285,   320, 80573, -5220, -5220, -5220, -5220, 84866, 84866, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,  2483,  1527,
   -5220, -5220,  2497,  2857,  2731,  5096,  1173,  2832,  2696,  1357,
    9086,  2732,  1554,  2895,  5334,  1350,  2901,  1693,  2157, 81050,
   84866,  2882,  2926,  6096,  1844,   865,  2799,  1823,  2832,  2919,
    2750,  1357,  2954,  3487, 84866, -5220,  2885,  2998,    94, -5220,
     225, -5220, 24123, 32944, 52931, -5220,  1921,  1508, -5220, -5220,
   56723, -5220,  2679,  2834,   872, 66263,  2622, 84866, 84866, -5220,
  108646, 66263, -5220,  2846, 50972, 66263, -5220, 66263, -5220, -5220,
    2963,108646, 84866, 84866, -5220, 84866, -5220, -5220,  2631, -5220,
   -5220, -5220, -5220, -5220,  2036, 84866,  3063,108646,  2864,   134,
    1671,  3101, 84866,  2868,  1671,  2678, 94883, -5220, -5220,  1671,
   -5220, -5220, -5220, 84866, 84866,  2650,  1084,  2858,   154,  1671,
    2880,  3105,  3106,  2883,  2730,  2886,  2271,  3070,  2861,  1157,
     206,   297,  1671,  2713, 95360, 95837, 84866,  2716, 84866,  2514,
   66263,  2751, 66263, 66263, 84866,  3004, 84866, -5220,  2851, -5220,
   -5220,   293, -5220, -5220, -5220, -5220, -5220,  3024, -5220,   205,
    3025,  2680,  3026,  1738,  3030,   253, -5220, -5220,  2721, -5220,
    3032,   305, -5220,  3039, -5220,  2689, 96314, -5220, 96791, 97268,
    3041,   327, -5220, 62447,  3043,   305,  3044,  2689,  3045,   305,
    3050,   245,  3051, -5220,  1236,  3040,  3055,   253,  3056,  2090,
    2689, -5220,  3058,   338, -5220,  3059,   363, -5220,  3060,  2928,
   -5220, 32944, -5220,  2818, -5220,  1444,  1957,  1935,  2029, -5220,
   84866,  2029, 84866,  2029, 84866,  2029, 84866,  2029, 84866, 84866,
   84866,  2029, -5220, -5220, -5220, 84866,  2723, 84866, -5220, 84866,
   -5220, -5220, -5220, 72464, 62447, 72941, -5220, 84866, -5220,   108,
    1120, -5220, -5220,108646,  3187, 62447,  2514,  1962, -5220, 84866,
   84866, -5220, -5220, -5220,  2994, 84866,  3067,  3069, 72464, 62447,
   -5220, 97745, -5220, 65786,  2941,  2737, -5220, -5220, -5220, -5220,
   -5220,  2343,  3235,   310,  3236, 32944,  2744,   310,   310,  2745,
    3080, -5220, -5220, -5220,   265,  2749,  2752, -5220,   276,   276,
   -5220,  2753,  2755, -5220,   277,  2761,  2762,  3244,  3245,   279,
    2763,  2768,  2772,  2344,   310,  2773, 32944, -5220,  2775,   276,
    2777,  2786,  2787,  3268,  2788, -5220,  3284,  2792,   246,   271,
    2793,  2797, -5220,  3013, -5220,   283,  2798,  2801,  2803,  2804,
    2807,  2808,  2810,  2811, 32944, 32944, 32944, -5220, 28009,  1921,
    1120, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,   288,
   48996, -5220,  2839, -5220, -5220,  3014, -5220, -5220, 32944, -5220,
   -5220,   751, -5220,   289, -5220, -5220, -5220,  1921,  3098,  2812,
   -5220, -5220,   314,  2813, -5220,  2223, -5220, -5220, -5220, -5220,
   -5220, -5220, 65309,  3281, -5220,   306,  1120,   225,  2032,  3218,
   55292, 55769, -5220, -5220,  3089, -5220, 84866, -5220, -5220,  1921,
     173,  1982, -5220,  2012, 18298,  1988,  2255, 84866, 84866,  3285,
   -5220,  2823, -5220, -5220, 32944, -5220, -5220, -5220,  2506, -5220,
    2325,  2325, -5220, -5220,  3289,  2912,  2918,  2506, -5220,  2506,
   -5220,  2840,  2842,  2506,  2925,  2931,  2932, -5220,  2849,  2934,
    2506, -5220, -5220, 58154,  2348, -5220,  3180,   215, -5220, -5220,
   -5220,  1996, -5220,  2850, -5220,  2271, -5220, -5220,  1466,  1466,
   32944,  1466,  1405,  1328, 30972, 33437,  3186,  3073,  1705,  1627,
    3190, -5220,  3077,  1576,  1657, 77234, 84866, 77234, 98222,  2984,
   32944, -5220,  3293,  2947,  2948,  3003, 54362, -5220,  2951,  2920,
    2956,  3008,  2874,  2958,  2961,  3017, -5220,  3148, -5220, -5220,
    2967,  3307,  2970, 98699, -5220, -5220,   876, -5220, -5220, -5220,
     876, -5220,  2897,  1481,   248,  1378,  2973,   201,  1024,  3300,
   -5220,  1406, -5220, -5220,  3031, -5220,  9673, 84866,  3239,  6281,
    3108,   320,  3029, -5220, -5220, -5220,  3168,  2982, 84866,  2983,
    3125,   320,   331, 99176, -5220, -5220, 84866, -5220, -5220, -5220,
   -5220,  5813,  3276, 27083, -5220,  1936,  2988,  2968,  3001, 84866,
   69125,  1422,  3102,  3127,  1536,  2172,   668,  3057, 84866,  2004,
    3135, 84866,  2922,  3007,  3011,  3230,  2929,   556,  3338,  2933,
   -5220, -5220, -5220,  3306, -5220,  2315,  2345,  3131, -5220,  3246,
    3282,  7247,  3000,  3009,107257, -5220,  3028,  1040, 51466, 84866,
   84866,  3034,  3035, 99653,  5813,  3321, 73418, 73418,  3037,  3038,
   45600,  3336,  1795,  3048, -5220, -5220, -5220,  1795,  3062,  3064,
  100130,  5813,  3333, 84866,  3065,  3066, 84866,110498,   320, -5220,
    3399, -5220,   320,   320,  2099,  3402,  3071,   336,  3211,  1030,
    1671, -5220,  2933,  3072, -5220,  3078,  3079,   322, -5220,  3181,
   84866,  3081,  3082,    98,  3149,  1120, -5220,  3150, -5220,  3086,
    3153,  3087,   806,  2650, -5220, -5220,    -4,  3097, 77234,  3178,
    3179,  2004,   388,  1099,  2933, -5220,  3090,  3091,  2929,  2929,
   84866, 84866, 84866, 84866, 84866,   226,  3443,  3447,  3093,   405,
    1070,  2992, -5220,  1795, 61016,  3103, -5220,  1795, 84866,   275,
    1165,  2933,  1725,   128, -5220, -5220, -5220,  1436, -5220, 32944,
   32944, 32944,  3012, -5220,  2452, 18298,    99, -5220,   290, 12282,
    3015, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, 84866, 64832, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, 84866, -5220, 84866,  3287,
  108646,  3296,  3232,  3303,  3304,   320, 84866, 84866,  3308,  3312,
    3313,108646,  3318,  3325,  3326,  3238,  3123,   164,  3120,  3047,
    3511,  3396, 84866, 58154, -5220,   876, -5220,108646,  3264,  3398,
   -5220, 84866,  3283,   778, -5220,  3435,  3115, -5220, -5220,    76,
   84866, 71987,  2650, -5220, -5220,  3403, 62447,   342,  3404,  1120,
    3116,  3406,  3286,  1120, 62447,  3328, 84866, 84866, 84866, 84866,
     148, -5220, 61016,  3298, -5220, 84866,  3299,  3072,  3302,  3537,
      59,  2036,100607,  3408,101084,  3085, 84866,  3088,  3088,  3540,
  108646,  1258,  3354, -5220, -5220,  2440, -5220,  3215, -5220, 66263,
   -5220, -5220, 66263, -5220, -5220,108646, 84866,  3092,108646,108646,
   -5220, -5220, 66263, 66263, -5220, 62447, 62447,  3428,   338,  3429,
    3151,  3436,  3154, 51466, 51466, -5220,   365, 66263, -5220, 62447,
   66263, -5220, 84866, -5220, 84866, -5220, -5220, -5220, -5220,108646,
  108646, -5220, 62447, 61016,  3442, 84866, 84866, -5220, 84866, 84866,
   -5220, 84866, 84866,  2001,101561,  1935, -5220, 84866, -5220, 84866,
   -5220, 84866, -5220, 84866, -5220, 84866, -5220, -5220, -5220, 84866,
   -5220, 84866,  2010, -5220, -5220,  2011,  1410, 84866, 84866,   804,
   66263, 84866,  3316, 84866, 66263, 66263, 84866, 84866, 84866, 84866,
   84866,  3184,  2813,    -3, -5220,  1362,   317, 77234,  3322, -5220,
   -5220,  2020,  1717,  1246, 84866,  1203, -5220, -5220, -5220, -5220,
   72941, 71510,  3432,   337, 84866, -5220, -5220, 16967, 32944,  1921,
   29981, -5220, -5220, 18298,  3146, 32944, 32944,  3107,  2506,  2506,
   -5220,  1392, 32944, 32944, 32944,  2506,  2506, 32944, 15570, 32944,
   51466, 32944, 38367, 25121, 32944, 32944, 28502,   268,  2753, 32944,
    3347, 39347, 32944,  2032,  3350, 32944,  2032, 15570,  3595,  3595,
    2511,  6685,  3109,  1921, -5220,  2506,   141, -5220,   285,108646,
   32944, 32944, 32944, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, 32944, -5220, 58154,
   -5220, -5220, -5220, -5220, -5220, -5220,  3196, -5220, -5220, -5220,
   -5220, -5220, -5220,  1396, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, 84866, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   28995, -5220, -5220, -5220, -5220,  3117, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220,  3431, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   29488, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
    3119, -5220, -5220, 32944, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220,  3199, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220,   947, 32944, 32944,
   32944, 32944, 32944, 32944, 32944, 32944, 32944, -5220, 32944,   298,
   -5220, -5220,  3441,  3454,  1061,   654, 81527, 30479,  3180, 24123,
   -5220,   243,  3180, -5220, -5220, -5220, 84866,  3281, -5220, -5220,
    3209, -5220, -5220, -5220, -5220, -5220,   292, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220,  3130, -5220, -5220, -5220, -5220,  3130,
   -5220,  3134,  3449,  3450,   245, 84866,  2455, 32944,  3196,   257,
   84866, 32944,  3117,  3431, 32944,  3119, 32944,  3199, -5220, 32944,
   -5220,  2021,  1963, 32944,  2025,  3139, -5220, -5220,  3138,  2842,
    3162,  3163,  3142,  3155,  2506,   228,  3158,  1142,  1294,  3266,
    2506,  3409,  3159, -5220, 58154, -5220, 41271,  3202, -5220, -5220,
   -5220,  1421, 84866, 84866, -5220,  3448, -5220,  3160, -5220, 12567,
    3448, -5220, -5220, 38857,  3288,  3445,  3378, -5220, -5220, -5220,
    3166, 18298, 33930, 33930, -5220,  2145, 18298,  2224, -5220, -5220,
   -5220, -5220, -5220, -5220,  1353, -5220, 84866,  1033,  3186,  1627,
    3231,  1279,  3636,  3234, 84866, -5220, 46562,  2026, -5220, 62447,
   84866, 84866,  3382, -5220,  3622, -5220,110498, -5220,  3182, -5220,
  110035,105854, -5220, -5220,   909, -5220,   839, 62447, -5220, 84866,
   84866, 62447, 84866, 84866, -5220, 62447,  3237, 84866, 84866, -5220,
   -5220, -5220, -5220, -5220, 56246,    85, 71510,  3319, 70556, -5220,
   -5220,  3185, 84866,  3242,  3464,  3469,   110, -5220, -5220,102038,
   -5220,  3417, 62447, 84866, 84866, 32944,  3422, 84866, 84866, -5220,
     500,  3294,  3297, -5220, 84866,  3301, 66263,  3200,108646, 66263,
   51960, 66263, 66263,  3536,108646, 84866, 84866,   153, 77234,   400,
    1259,  2933,  3433, -5220,   864, -5220, 62447, -5220, 84866,  3418,
   -5220, -5220, -5220, 82004,  3658,  3324, -5220, -5220, -5220,102515,
   -5220, -5220,  3426, -5220,  2033, -5220, 62447, 62447, 84866,  7943,
  102992,  1510,  3453, -5220, -5220,108646, -5220, 84866, 82481, 84866,
   84866,  3482, 84866, 74372,103469,103946,  1369,  1490,  3486, 84866,
   74849,  3488, -5220,  3361, 84866, -5220, -5220, 58631, 62447, 84866,
     996, 58154, -5220,  3475, -5220, 84866, -5220,   281, -5220, 84866,
    3331,  3444, -5220, -5220,  3315,  3337, 84866,   430,  1335,  2933,
    3603, 84866, 84866,  3229,  2048, 62447, 84866, 58154, -5220,  3459,
     701, 62447, 84866, 82004, -5220,  3460, -5220, 77234,  3552, -5220,
    3248,  2036,  2249,  1868,  3248, 62447, 84866, -5220,  3248, 84866,
   94406, -5220, 62447,  1169, -5220, 62447, 84866, 82004, -5220,  3467,
    3414, 62447, 84866, 16212, -5220, -5220, -5220,   320, -5220, -5220,
   -5220, -5220, -5220, 84866, 84866,   320, 84866, 84866,   320,  1560,
   -5220, 62447, 84866, -5220, -5220, -5220,  3384, 62447, 84866, 84866,
     341, 84866, -5220, 84866, 62447,  3305, 84866, 84866, -5220, -5220,
   84866,  6114, 84866, 84866, 84866, 84866, 84866, 84866, 62447, 84866,
   -5220, -5220,  1941,  1303,  1899,  1917,  1178, 84866,  3567, 84866,
  104423, 62447, 84866, 84866,  1120, 84866, 58154,  1698, -5220, -5220,
    3388, -5220, 62447,  1169, -5220,  8606, 84866, 84866, 84866,  3345,
    3346,   191,  3434, -5220, -5220, -5220,   695,   695,  3474, -5220,
   32944, 32944, 31465,  3269, -5220, -5220, 32944,  2679, -5220, -5220,
   -5220,   988,  3730,   988,104900,   988,   988,  3553,  3335,  3339,
     988,   988,   988,  3549,   988,   988,   988, 84866,  3451, -5220,
   -5220,  3451,   924, 32944,108646, 84866, -5220,  2052, -5220,  3291,
   -5220, -5220, 58154, 84866,   222,   939,  3625,  3501, 69602,  2828,
    3624, 84866,  3340, 84866,  3756,  3389,  1484, -5220,  2828, 84866,
   -5220,  2138, 71510, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   84866, -5220, -5220,  3627, 84866, 41752,  3471, -5220,  1120,  2650,
    2650,  2650,  2650,  3310,  2650, 84866,  3427,  3645,  2828,  3311,
    3649, -5220,  3072,  3650,  1127, 84866,  3523, 69602,  3365,  3348,
    3542,  3771,  2036,  1120,  3543,  3533, -5220, 54827, -5220,  2650,
    3795, 27546,  3807,  3968,  3541,  3605, -5220, -5220,  3554,   828,
   84866,  3643,  3646,  3670, -5220,   205, -5220,  3801,  1738,  3672,
     253, -5220,   305, -5220,  2689, -5220, 84866, -5220, 84866, 84866,
   84866, 84866,   327, -5220, -5220,   305,  2689,   305,   245, -5220,
    3617,   253,  2689,  3470,  3678,   338, -5220,   363, -5220,  3560,
     245, -5220,  3579,  2036, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220,  2060, -5220, 84866, -5220,  3655,  3656,  3659,  3661,  3663,
    3356,  3357,  3401, 84866,  3362,  3356,   320,  3366,  3367, -5220,
    3362,  3362,  3356,  2813,  2813,  3356,  3357, 61493,  3849,  3697,
   -5220,  3462,  3380,  3711,   193, -5220,   198,   674,  3631, -5220,
   -5220, -5220, -5220,108646, -5220, 62447,  3437,  2514,  2514,   200,
    3601,  3386, 61493,  3833,   245, -5220, 66263, 84866,108646, 66263,
    3612, 66263, 66263,108646, 84866, 84866,  2068, -5220,   -24, -5220,
    1195, 32944,   433, -5220, 13694,  2075, 32944,  3392,  3393, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220,  3394,  3725, -5220,  2087,
    2091,  2097,  3400,  3405,  6030,  6255,  3410, 13787,  3412,  3413,
    3416,  3407, 38367, 38367, 28009,   992, -5220, 38367,  3419,  3602,
    2098, 13033,  3420,  3423, 14094, 31958, 32944, 31958, 31958, 13827,
    3421,  3425, -5220,  3772, -5220,  2103, 58154,  3596, 14195,  2108,
   -5220, 32944, 58154,  6451, 32944, -5220, 32944,  3430, -5220, -5220,
    4742,  4742,  4742, 15570, -5220,  3439, -5220, 38367, 38367, -5220,
    1123, 28009, -5220, -5220,  3737, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220,  2806, -5220, -5220, -5220,  3640,  2789, 51466, 12802,
   32944,   260, 32944,  3117, 32944,  3497,  4742,  4742,  4742,   446,
     446,   274,   274,   274,  2135,   654, -5220, -5220, -5220,  3440,
    3463,  3468,  3626,  3472, 32944, -5220,  2503,  2528, 84866,  3128,
    3987,  4233, -5220, -5220, -5220,  3202,    99,  3202, -5220,  1436,
    2506,   141, 56723, -5220, -5220, -5220, -5220, -5220, -5220, 84866,
   18298, -5220, -5220,  3680,  3473,  2118, -5220, -5220,  2506, -5220,
   -5220,  1858,  1858,  3438, -5220,  3478, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220,  3461, -5220, -5220, -5220, 42233,  3757,  3479,
   40790, 82958,  3446,  1583, -5220, 82958, 83435, 82958, -5220,  3452,
   -5220,  1921, 32944,  3751, -5220, -5220, -5220, 32944, -5220, -5220,
    1223,  3458,    90,   698,  2347,  2347,  2145,   879, -5220, -5220,
    3495, -5220, 32944,  2269, -5220,  2395, -5220, -5220, -5220, -5220,
    2813, -5220,  3693, -5220, -5220, -5220, 41271,  3513,  3496,  1638,
   45119,  3657, -5220, 84866, 41271, -5220, 84866,   269, -5220,  3481,
   -5220, -5220, -5220, -5220, -5220, -5220,105854,  2173, -5220,110035,
   -5220,110035, -5220,  2173,  3886, -5220,105854,  1853, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, 62447, 62447,  3688, 84866,  3689,  3695, 32944,   815, 84866,
    3483,  3485,  1599,  3786,  3491, -5220,  3840,   245, -5220, -5220,
    3578, -5220, 18298, -5220, -5220, -5220, -5220, -5220, 62447, 84866,
   -5220, 65786, -5220, -5220,108646, -5220, -5220, 84866, 84866, -5220,
   -5220, -5220,108646, -5220, -5220, -5220, 84866,   846,  3582,  3583,
   84866, -5220,   832,  3181,  8715, 84866, 84866, 84866,  3794, -5220,
   -5220, -5220, -5220,  3727, -5220,  3850, -5220,105854, -5220,  2689,
    1438,  3592,  2933,  3738, -5220,  3860,  3929, -5220,  3644,   837,
   -5220, -5220,  3651, -5220, -5220, -5220, -5220,  3867,   245,  3868,
     245, 84866, 84866, 84866, 84866,  3665, -5220, -5220, -5220, -5220,
    3666,  3798, -5220, 58154, 58154, 58154,  2132, -5220, -5220,  1120,
   -5220, -5220, -5220, -5220, -5220, -5220,  3834, -5220,  2139, -5220,
     -21, 84866, -5220, -5220, -5220, -5220, -5220,  3879, 62447, 84866,
    8753, 84866, 84866, 84866,  3753,  1820,  1352,108646, -5220,107720,
   -5220, -5220,  2146, -5220,  3550, 84866,  3628, 62447,  3607, -5220,
   -5220, -5220,  3885,  2036,  3683, 73418,  3586,  3586,  1889, -5220,
   -5220, -5220, -5220, -5220,  3814,  3745, -5220,  1021,  3746, 62447,
    3620, -5220, -5220, -5220, -5220,  3903,  3652, -5220, -5220,  3660,
    1341,  2933,  3072, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220,  3669, -5220, -5220, -5220, -5220,  1686,  1686, -5220,
   -5220, -5220,  1686,  1468,   398,  1662,  2933, -5220,  1608,   981,
    3664, -5220,  3667, -5220, -5220, -5220,  3818,  3822,  3823,  3671,
    3673,  3712,  3675,  3676,  3713, -5220,  3679,  3715,  3682,  3717,
    3684,  3947,   245,108646,  3810,  1120,  3707,  3933,   245, -5220,
    3691, -5220,  3692, -5220,  2151,  4042, -5220, 84866, -5220,   432,
    1730,  2933, -5220,  3696, -5220, 62447, 84866, -5220, -5220, -5220,
   32944,  3598,  3614,  3615, 18298, 18298, 32944, -5220, -5220, 18298,
    3597, -5220, -5220, -5220, -5220,108646, -5220, 84866,  3893, -5220,
   -5220,   988, 84866, 84866, -5220, -5220, -5220, 84866, -5220, -5220,
   -5220,  3895, -5220,   491,   491, -5220, -5220,  3934,  6971,  3616,
     155, -5220, 58154, 48008,  2057,   447,  1671, -5220, 65786, 84866,
   65786, -5220,   939,  3829, 84866, 84866, 84866,  3623,  3619, -5220,
   -5220, -5220, -5220, 62447,  1196, 62447,  2506, -5220, -5220,  3700,
   -5220, 84866,  2036,  4124,  3963,  3305, -5220,  4086,  3106,   342,
    1811,   211,  2730,  4025,  2271, 32944,   333, -5220, -5220,  1921,
   84866,  3348, -5220, -5220, -5220, -5220,  1120, -5220,  3637,  3633,
   -5220, 84866,  3972, 84866, 84866, 84866, 84866,  3437,  3641, 84866,
    3639,108646, 84866,  2515,  2929,  4105,  3992,  1717,  3365,  3734,
    3998, 77234,  3674,  2153, -5220, -5220,   828, -5220,  2159,   170,
   -5220,  1120, 65786,106794,  3989, -5220,   272,  3968, -5220, -5220,
     272,   878, 84866, -5220, -5220, -5220, -5220,  3881,  1785, -5220,
    3976, -5220, -5220,  1717, -5220,108646,  3681, -5220,  2164, -5220,
   -5220, -5220,   338,  3723,   245,  3729,   245, -5220, -5220, -5220,
   -5220, 84866, -5220, 84866, 61016, -5220, -5220, 84866, -5220,  4014,
   -5220, -5220,  3808,  3809,  3813,  3816,  3817, 84866,  3356, -5220,
    3685, 84866, 84866, 62447,  1727, -5220, -5220,  3887, -5220, -5220,
   77234,  3811, -5220, -5220, -5220, -5220,  4033,  4036, -5220, -5220,
   -5220,   819, -5220, 84866, 84866, 62447, 72464,   348, 62447, -5220,
    3973,  3975,  3977,  3978,   320,  3982,  3988,  3994,  3996,  3997,
   -5220, -5220, -5220,  3720, 14319, 32944, -5220,  4046,108646, -5220,
    7015, -5220, -5220, -5220, 32944, -5220, -5220, -5220, -5220, -5220,
   -5220,  2176, 32944, -5220, 32944, -5220, -5220, 25620,  4192,  4192,
    3716,108646, 38367, 38367, 38367, 38367,  1281,  2777, 38367, 38367,
   38367, 38367, 38367, 38367, 38367, 38367, 38367, 38367,   581, -5220,
    3921, 32944, 32944, 32451, -5220, -5220,108646,  3721,  3421,  3722,
    3724, 32944, -5220, -5220, -5220,  2166, 39828,  3728, 58154, -5220,
   32944, 13361,  2180,  3779, 14514,  1921,  7282,  1120, 32944,   612,
     963, 32944,  2185, 32944,  4062, -5220, -5220, -5220, -5220, -5220,
   -5220,  3967, -5220, 32944,  3739,  3292, 38367, 38367,  3532, -5220,
    3610, 32944, 28009, -5220,  3474,  3782, 47043, -5220, 26119,  3741,
     769,   769,   769,   769, -5220, 84866, 84866, 84866,  3751,  3740,
    3751,   225,  3742, -5220, -5220, -5220, -5220,  1717, -5220,  3747,
   -5220, -5220, -5220, -5220, -5220, 82958, 83435, 82958,  3748, 40309,
   26601,  1583,  3749, 84866, -5220, -5220,  3752, 41271,  4026,  3953,
   -5220, 41271,  3953,   212,  3953,  4030,  3847, 47524, -5220, -5220,
    3754, -5220,  3962, -5220,  1936, 18298,  4198,  4072, -5220,  3758,
   -5220,  3458,  1572, -5220, -5220, -5220,  1226, -5220,  3846, -5220,
   -5220, -5220,  3446, 34423,  3911, -5220, -5220, -5220,  3821,  2204,
   -5220, -5220,  4174,  3911, -5220,  2104, -5220,  2210, 46562,  3513,
   32944,  1921,  2212,  1872, -5220, -5220,105854, -5220,  3841,  2689,
    2689,  1514,  3356,  4101,  1514,  7302, -5220, -5220, 42714, 84866,
   84866, -5220, 84866, 84866,  1601, 84866, -5220, 84866, -5220, -5220,
   -5220,  4232,  3835,  3836,  4050, -5220,  2442, -5220, -5220, 62447,
   84866, -5220, -5220, -5220,   457,  1735,  2933, -5220,  3861, -5220,
   -5220,  4070, 84866, -5220,  4222,  3875, 84866,  4134, 84866, 83912,
   -5220,  3829,  1601,  3897,  4113,  1400,  2929,   336,  4480, -5220,
    1862, -5220, -5220,  3864, -5220, 84866, -5220, 84866, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220,  3924, -5220, -5220, -5220, -5220,
   58631, -5220, -5220, 84866, -5220, 58154, 48008, 58154, -5220, 84866,
   -5220,  1492,   465,  1787,  2933, -5220,  3876, -5220,  4137,  3878,
    3889,  3941,   965,   242,  3891,  3892,  3948,  3815,  3819,  3820,
   -5220, 58154, 48502,  3954, 84866,  2689,  3812,  3852, 84866,  3586,
   84389, -5220,  3824, -5220, -5220,  3586,   341,  1120, -5220, -5220,
    1120,  2689,  1120, 84866, 84866, 84866, 84866,   341, -5220, -5220,
   -5220,  4251,  3907, 84866, 84866, 84866, 84866, -5220,  3869, -5220,
   -5220, -5220, 84866, 84866,  4152,   811,  2106, 62447, 84866, 84866,
   62447, 84866, 84866, 84866, 84866, 84866, 84866, 84866,  4037, -5220,
    4245,  4172,  2274,  4215,  3905, 84866, -5220, 84866,  1120, -5220,
    3181, 84866, 84866, 84866, 84866, -5220, -5220, -5220, -5220, -5220,
    3474, -5220,  3828,  4115,   988, -5220,  4119,  4120,  4121,   988,
   -5220, -5220,  1671, -5220,   483, 84866, -5220,  2523, 84866, -5220,
   -5220, -5220,  3758,  2315,  2345, -5220, -5220, -5220, -5220, -5220,
   -5220,  3842, 84866, 84866, 38367, -5220,  1446,  1744,   270, -5220,
    4118, 84866,  3013, -5220, -5220, -5220,  1300, 84866, -5220, -5220,
   -5220, -5220,  3844, -5220,   925,  3641, -5220,  4138, 69602,  2689,
   62447, 62447,  2689, -5220,108646,  3845,  3348, -5220,   434,  3930,
   -5220, 62447,   342,105377,  3116,  3884,  4063,  7347, 41271, 41752,
    1686, -5220,  3851,  3853, -5220, -5220, 84866,  3829, 61016,  2218,
    3072,  4313,    69,  2013, -5220, 71033,  4044,  3641,  4138, -5220,
    2929,  4069,  4068, -5220,  1717, 84866,  3437,  3348,  1120, 84866,
    3242, 48008, -5220,  4353,  2022, -5220,105854, 32944, 32944, -5220,
    3854, -5220,  3859,  3968, -5220,  3935,  3858,  4322, 32944, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220,  3950,  3870, 84866,
   84866,   828, 84866, -5220,  3866,  3672, -5220,  3672, -5220, 84866,
   -5220, 84866, -5220,   245, -5220,  3999,   245, 84866, 84866, 84866,
   84866, 84866, 84866,  3356,   320,  3367, -5220, -5220,  4191, 61493,
    3697, -5220,  2225, 84866, -5220, -5220, -5220,  4261, -5220, -5220,
     337,  4201,   245, -5220,  1049,  1049,  1049,  1049,  4158,  1049,
    1049,  1049,  1049,  1049, -5220, 32944, 18298, -5220,  3883, -5220,
   18298,  3888,  7931, 14944, -5220,  2236, 32944, -5220,   569,   569,
     569,  3157,  4205, -5220,  2940,   569,   569,   569,   330,   330,
     218,   218,   218,  4192,   581, 15447, 15802, 16399,  3894, -5220,
   -5220, -5220,  3421, -5220, 34916,    87,  4321, 39347, -5220, -5220,
   -5220,  3923,  3925,  3896, -5220, 32944, 35409,  3882,110498,  4090,
   -5220,  1667, 32944, 32944,  1905, -5220, 15935, 32944, -5220,  1905,
     307, 32944,  1143,  2414, 32944, 32944,  3805,  7951,  3898, 32944,
  106317, -5220, -5220, -5220,  2242, 32944, 84866, 84866, 84866, 84866,
   -5220, -5220, -5220,  4072,  1120,  4072,  1120,  3900, -5220, -5220,
   -5220, -5220, 59108,  3890,  3596, 82958,  3904, 84866,  1583, 41271,
   -5220, -5220,  2264, -5220, 41271,  4182, -5220, 41271, 66263, -5220,
   84866,  3906, 84866, -5220,  1712, 32944,  3952, 51466, -5220, -5220,
   -5220, -5220,  3995, -5220,  4131, 18298, 30479, -5220,  1717,  1783,
   84866,  1921,    62, -5220, 32944,  3926, 84866, -5220,  3911, 18298,
   -5220,  4001,  2243, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
    4005, 71510,  4252, -5220, 32944,  2248, -5220,  3964,  4357,   174,
    2254,  2262,  1601, -5220,  2263, -5220,  1754,  4234,   354, -5220,
     245, -5220,108646, 84866, 84866, 84866,  2874, -5220, -5220, 84866,
   84866, 84866, 84866, -5220, -5220, 62447, 84866, -5220, 84866, -5220,
   -5220, -5220, -5220,   341,  1446,  4247,  4249,  4164, -5220,   320,
   -5220,  1446,  4165,   341, 84866, -5220, -5220, -5220,  3169, -5220,
  108646,   245,   245, -5220, -5220, -5220, -5220, -5220,  3959, -5220,
    4386,  4043, 84866, 84866, 84866, 84866, 84866, 62447, 84866, 84866,
    2506,  2506,108646,  3949, -5220,  2506,  2506,  3951, -5220, 62447,
   84866, 84866, -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220,  4035, -5220, 32944,  4381, -5220, -5220, -5220,
   -5220, -5220, 32944, -5220, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, 62447, 84866,  4038, -5220,  4040, -5220,   874,
   -5220, -5220, 84866, 84866, 84866, 84866,  4304, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,  4302, 84866,
   -5220, -5220,  1120,  1120,108646,   245,   245, -5220, -5220, -5220,
    4047, -5220, -5220,  3958,  4242,   988, -5220,   988,   988,   988,
   -5220,  3965, -5220,  1671,  4337, -5220,  1601,  1879,  4290, -5220,
   32944, -5220,  2038,  3157, -5220,  4348,  4431, -5220, -5220, -5220,
   -5220,  3305,  2036,  3305, -5220, -5220, 66263,  1011, -5220,  4273,
     222, 58154,  4189, 69602,  1608,  1537,  3971,  4100, -5220,  2689,
    2689,  4034, 84866,  4436, -5220, -5220, -5220, -5220, -5220, -5220,
   62447,  3607, -5220,  4206,    72,  4307, 84866, 41752, -5220,  3446,
   -5220, -5220, -5220,  1120, -5220, -5220,  4106,  3348, -5220,  1381,
   84866,  4199, 69602,  3437,  2275, -5220, -5220, -5220,  4027,  4426,
    3365, -5220,  1608,  4044, -5220, -5220,  4404,  4084,  4039,  4455,
   -5220,  4084,  4323,  4207,  4000, -5220,  3674, -5220, 84866, -5220,
   18298, 18298,  1120,110961,   272,108646,  4327, -5220, 18298, 84866,
     908,  3993,  4160, -5220,  4294,   245,  2306, -5220,   245,   245,
   -5220, 84866, -5220,  3356,  3356,  3356,  3356,  3356, -5220,  4212,
   -5220, -5220, -5220,  4286, -5220,   245, 61493, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220,  1049, -5220, -5220, -5220, -5220, -5220,
   18298, -5220, -5220, -5220, 32944, -5220,  8272, 38367,  4331, -5220,
   32944, 32944, 32944, -5220,  4006,  2307,  2311, -5220, -5220,    87,
   -5220,  4321, -5220, -5220, -5220,  8468,  4065, 18298,  4123,  4007,
    4012,  1905,  1905, 15935,  1905, 32944, 32944,  1905,  1905, 32944,
   -5220, -5220,  9175,  4200, -5220, -5220,  9232, -5220, -5220, -5220,
   -5220,  3952, -5220,  3952, -5220,  4149, -5220,  2317,  4481, 37381,
    4441, -5220, 84866,  2322, -5220, 32944,  4022, -5220, -5220, 41271,
    2264,  4023,  2323, 84866,  2333,108646, 35902, 18298, 84866,  3474,
    4028, -5220, 84866,  2812, -5220,  1638, -5220, -5220,  4434, 42714,
    4392, 17706, 32944, -5220, -5220, -5220, -5220, 61493,  4241, 61493,
    1601,  9363,  4333, 42714, 52454, 84866, -5220, 84866, -5220,  4193,
    4333,  4333, -5220, -5220, -5220, -5220, -5220, -5220,  4031, -5220,
   -5220, -5220, -5220,  4117, -5220, -5220,    29,  3322, -5220,  2057,
   -5220,  4494,  4382,  4383, -5220, -5220, -5220, -5220, -5220, -5220,
    4245, -5220, -5220, 48008, 62447, 84866, -5220,  4122, -5220, -5220,
   -5220, -5220, -5220, -5220, 44638, 51466, -5220,   965,  4041,  4045,
     242, -5220, -5220, -5220, 84866,  9788,  4049, 10278,    51,  3322,
   84866, 84866,  4052,  4053,  4054,  1670,  1449,  1847,  3356,  4367,
   84866, -5220, -5220, -5220,  4245, -5220, -5220, 84866, -5220,   988,
   -5220, -5220, -5220, -5220, 58154, -5220,  4056,  3965,  1120, 66263,
    4500,  4500, 11353,  4266, -5220, -5220,   114,  4103,  4299,  4103,
    4055, 84866,  1300,  4058,  2334, -5220, 84866,  4067,  4175,  1766,
    1766, 84866, 84866, 84866,  2361,  1717,  2689,  3852,   342,  4393,
   69602,  4439,  3829,   345, -5220, 84866,  4519, 84866,  3437,  3641,
   84866,  4071, -5220, -5220, 71033,  4279,  2057, 84866,  2515,  4044,
    3365,  1271, 84866, -5220,  1376, -5220,  1717, -5220, 84866, 77234,
   42714,  4391, -5220,110035, -5220,  2363, -5220, -5220, -5220,  4147,
   19834,  3202,  4188,  4190,  4076,  1984,  4413, 84866,   119, -5220,
   -5220, -5220, -5220, -5220, -5220, 84866, -5220,   348, -5220, 17811,
   -5220,  3247, 38367, 18298, 18298, 18298, 32944, -5220, 32944, -5220,
   -5220, -5220, -5220,   113, -5220, -5220,  1905,  1905,  1905, -5220,
    4523,  3474, -5220, -5220, -5220,   383,  4474,  3452, 59108,  4085,
   -5220, 38367,  2373, -5220,  1915, 84866,  2374, -5220, 18298, 84866,
   -5220, -5220, 32944, -5220,  2378, -5220,  4087,    22,  4088, 24622,
    4082, -5220, -5220, -5220, -5220, -5220, 18298,  4091, -5220,  4555,
    1627, -5220, -5220,  4151, 84866,  2379, -5220,   103,  1804,  4139,
   -5220, 18298,  1727,  1514,   374,  4357,  4097,  3305, -5220,  4099,
   -5220, -5220,  2929,   390, 84866,  3305,  3305, -5220, 84866,  4194,
   -5220,  4411, -5220, -5220,  4162, -5220,   961,  3322, 84866,108646,
   -5220,   123,  4437, -5220,108646,108646, -5220, -5220, -5220, 32944,
   -5220,  4196, -5220, -5220, -5220, 32944, 32944, 68648, -5220, -5220,
   84866, 84866, 84866, 84866, 84866, -5220,   245, -5220, -5220,  2385,
   -5220, 43676, -5220, -5220,  3101,  1120,  3101,   176, -5220, -5220,
    3101,  3101, -5220,  3202, -5220,  4500,   974, -5220, -5220,  4340,
    4108, 32944,  4409, -5220,  1158,  4324, -5220,  4114, -5220, 66263,
    4606, -5220, 58154,  3641,  4138, 84866, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,  2391,  3829,
    4454,  3348,  4039, -5220, 84866,  4153, -5220, 41271,  3829,  1717,
    2013, -5220,  4044,  3641,  4138, -5220, -5220,  4125,  4068,  3365,
    2515,  4258, -5220,  4260, -5220,  4552,  4335,  4560,  3437, -5220,
    3242,  2418, 84866, -5220, -5220,  3968,110961,108646, -5220, -5220,
   -5220,  4129,  4492,  4176,  4177, -5220, -5220, -5220,  1984, -5220,
    1416,  4495,  4178, -5220,  4195, 84866, -5220, -5220,  3829,   245,
   32944,  3247,  2420,  2427,  4197, -5220, 32944,  1071,  4477,  4482,
   84866, -5220, -5220, -5220, 84866,  3157,  4140, 37381, 58154,  2433,
   -5220,108183, -5220,  2445,  2450, -5220, 32944,  4145, 32944, -5220,
   35902, 84866,  4150,  3186,  1717, -5220,  3202, 42714, -5220,  4263,
    4613,  4403, -5220, -5220,  4479, -5220, -5220, 84866,  4103, 51466,
     390,  3458,  2036,  4103,  4103, -5220, 84866,  4108, 32944, -5220,
    4248, -5220, -5220,  2451,  1582,  4320,  4320,  2462,  2463, 11668,
   84866,  2487,  2491, -5220,  2492,  2506,  3357,  1847,  3357, -5220,
    3356, -5220, -5220, 58154, -5220, 61970, -5220, -5220, -5220,  1120,
   -5220,  1120,  4384, 84866, 53885,  1120,  1120, -5220, -5220, -5220,
   -5220,  4456, -5220,  3072, -5220, 11721,  4250, -5220, -5220, -5220,
     767, -5220,  4373,  4375, -5220,  4166, -5220,  2496, -5220,  1608,
    4292,  3829, -5220, -5220, 84866,  4625,  4630, -5220,   834, 84866,
    3446, -5220,  4039,  3437,  3365,  1608,  4044,  2057, 43195,  4084,
    2515,  4068, -5220, -5220,  4385, -5220,  4387, -5220,  4171,  4475,
   -5220,   267,   272, -5220, -5220, -5220,   340,  4501,  4506, -5220,
   -5220, -5220,  3101, -5220,   105,  4181,  4530, -5220, -5220, -5220,
   -5220, 18298, -5220, -5220, -5220,  3421, 36395, 36395, 36395,  4183,
    4629,  4632,  1058,  2500, 39347, -5220, -5220, -5220, 84866,  4395,
    1017,  4656,  4352,  2525, 35902,  2531, -5220, -5220, -5220, -5220,
   -5220, -5220, -5220, 46562, 32944,  4283,  4613, 61493,  2537,  3586,
    4202,  3458, -5220,  4299, -5220, -5220,  3322, -5220, 18298, 84866,
   66263,  4638, -5220, -5220, -5220, -5220, -5220, -5220, -5220,  3322,
    4284, -5220, -5220, 68648, -5220, 84866, -5220, -5220,  2541, -5220,
   -5220, -5220, 84866,  3993, -5220,  3993, -5220, -5220, -5220,  2217,
    4306, 84866,   928,   928,  4579, -5220,  4267, -5220,  4203, -5220,
    4700,  4336, 84866, -5220, -5220,   965,  1717, 69602,  3829, -5220,
   -5220,  2515,  4044,  3365, 32944,  2543, -5220,  4357,   174, -5220,
    4068,  4084, -5220, -5220, 42714,  4209,  3013,  4568, -5220, -5220,
   -5220,  2574, 66263, 66263, 84866, -5220, -5220, -5220, 32944,  1300,
   37874,  4354,   768, 13548,  4561, -5220,  4561,  4561, -5220, 84866,
   84866, 84866, -5220,  3596, -5220, -5220, 38367, 38367,  4435, -5220,
    1017, -5220, 84866, -5220,  4213, -5220, -5220,  2545, -5220,  1277,
   18298,   451,  4305,   374, -5220, -5220, -5220, -5220,  4324,  1601,
    1601, -5220,  3322, -5220, 84866, -5220,  4214, -5220, -5220, -5220,
   61970,  3993, -5220, -5220, -5220, -5220,  4696, -5220,   264, -5220,
   -5220, -5220, -5220, 84866,  3829,  3949,  4039, -5220,  4068,  3365,
    2515, 11739, -5220, 43195, 84866, 84866,  4084, -5220,  2549, 42714,
    3348,  4362, -5220,  2557, -5220, -5220, -5220, -5220, -5220, -5220,
   -5220,   856,  4217,  4218, -5220, -5220, 12051, 66263,  4692, -5220,
   -5220, -5220, -5220, -5220,   873, -5220, -5220, -5220,  1168,  1278,
    1850,  4647,  3157,  3157, -5220, -5220, -5220, 32944, -5220, -5220,
   -5220,  4465,  4363, -5220, -5220,   915, -5220,  1601, -5220, -5220,
   -5220, 32944, -5220, -5220,  2036,  2036,  3829, -5220, -5220,  4084,
    2515,  4068,  4357, -5220, -5220, -5220, -5220, -5220,  4475, -5220,
    2551,  4084,  4178,  2596, -5220, -5220,  2599,  2367,  4326,  4571,
   -5220,  4240, 36888,  4396, -5220,  4450, -5220, 84866, 84866, 59585,
   84866, 84866, 12070, -5220, 46562,  4473,   150, -5220,  1601,  2561,
   -5220, -5220, -5220, -5220,  4068,  4084, 84866,  3013, -5220, 42714,
    3202,  4597, -5220,  2557,  4364,  4370, 57677, -5220, -5220, -5220,
   -5220, -5220,   294,  4639, -5220,  2562, -5220,  4254, -5220,  4316,
    1638,  4264, 84866, -5220, -5220,  4084, -5220, -5220,  3348, -5220,
   -5220,  1300, -5220,  4308,  4309, -5220,  2579, -5220, -5220, -5220,
   -5220, 32944, 59585, -5220, -5220,  4318, 32944,  2583, -5220,  4084,
   66263,  4591,  4596, -5220, 57677,   695,  4332,  4325,  2589,    96,
    3202,  4274, 66263, 66263, -5220,  4265, 84866, -5220, -5220,  1638,
   -5220, -5220, 57677, -5220, -5220,  1120, -5220,  4328,  2591,  4325,
   -5220, -5220
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_int16 yydefact[] =
{
    1694,  1439,   646,  1527,  1526,  1439,     0,   262,     0,  1537,
       0,  1439,   426,  1097,     0,     0,     0,     0,   646,  1439,
       0,  1694,     0,     0,     0,     0,     0,  1707,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1439,     0,     0,
    1714,     0,     0,     0,     0,  1707,     0,  1539,     0,     0,
       0,     0,  1714,     0,     0,     0,     0,     0,     2,     9,
      10,    45,    80,    81,    38,    37,    98,    63,    24,    71,
     133,   132,   134,    50,    46,    88,    33,    35,    47,    51,
      73,    75,    40,    53,    64,   110,    72,    31,    70,    76,
      96,    58,    19,    20,    59,    21,    60,    22,    61,   106,
      82,    99,    43,    69,    30,    52,    78,    79,    12,    54,
      86,    18,    65,    66,    68,    91,    92,    93,   116,    94,
     128,    49,   125,   103,   104,   122,   105,   123,    16,   107,
      62,    23,   119,   118,   120,    89,    55,    90,    77,    97,
     117,    34,   121,    25,    26,    28,    29,    27,    67,    36,
      74,    39,    95,   124,   114,   109,   129,   127,    11,   135,
     111,    83,    14,    15,   100,    13,    32,    57,    17,    42,
      41,    56,    48,   131,    44,  1537,   102,   115,   101,    84,
     108,    87,   112,   130,   113,    85,   126,  1658,  1657,  1718,
    1661,  1693,     0,  1673,  1438,  1437,  1452,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   645,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1449,  2311,  2328,  2329,  2330,  2331,  2332,
    2333,  2334,  2335,  2336,  2337,  2338,  2339,  2340,  2341,  2343,
    2342,  2344,  2345,  2688,  2346,  2347,  2348,  2637,  2638,  2689,
    2639,  2640,  2349,  2350,  2351,  2352,  2353,  2354,  2355,  2356,
    2357,  2641,  2642,  2358,  2359,  2360,  2361,  2362,  2643,  2690,
    2363,  2364,  2365,  2366,  2367,  2368,  2691,  2369,  2370,  2371,
    2372,  2373,  2374,  2375,  2376,  2377,  2692,  2378,  2379,  2380,
    2693,  2381,  2382,  2383,  2384,  2385,  2386,  2644,  2645,  2387,
    2388,  2389,  2390,  2391,  2392,  2393,  2394,  2395,  2396,  2397,
    2398,  2399,  2400,  2401,  2402,  2403,  2404,  2405,  2406,  2407,
    2408,  2409,  2410,  2411,  2412,  2413,  2414,  2646,  2415,  2416,
    2417,  2418,  2647,  2419,  2420,  2421,  2422,  2648,  2423,  2424,
    2425,  2694,  2695,  2426,  2427,  2428,  2429,  2430,  2649,  2650,
    2431,  2432,  2433,  2434,  2435,  2436,  2437,  2696,  2438,  2439,
    2440,  2441,  2442,  2443,  2444,  2445,  2446,  2447,  2448,  2449,
    2697,  2651,  2450,  2451,  2452,  2453,  2652,  2653,  2654,  2454,
    2698,  2699,  2455,  2700,  2456,  2457,  2458,  2459,  2460,  2461,
    2655,  2701,  2462,  2702,  2463,  2464,  2465,  2466,  2467,  2468,
    2469,  2470,  2471,  2472,  2473,  2474,  2475,  2476,  2477,  2478,
    2479,  2480,  2481,  2482,  2483,  2656,  2703,  2657,  2484,  2485,
    2486,  2487,  2488,  2489,  2490,  2658,  2659,  2491,  2492,  2493,
    2704,  2494,  2660,  2495,  2661,  2496,  2497,  2498,  2499,  2500,
    2501,  2502,  2503,  2504,  2505,  2662,  2705,  2506,  2706,  2663,
    2507,  2508,  2509,  2510,  2511,  2512,  2513,  2514,  2515,  2516,
    2517,  2518,  2664,  2519,  2665,  2522,  2520,  2521,  2523,  2524,
    2525,  2526,  2527,  2528,  2529,  2530,  2531,  2532,  2666,  2533,
    2534,  2535,  2536,  2537,  2538,  2539,  2540,  2541,  2542,  2543,
    2544,  2545,  2546,  2547,  2548,  2549,  2550,  2551,  2707,  2552,
    2553,  2554,  2555,  2556,  2667,  2557,  2558,  2559,  2560,  2561,
    2562,  2563,  2564,  2565,  2566,  2567,  2568,  2569,  2570,  2571,
    2572,  2668,  2573,  2574,  2708,  2575,  2576,  2669,  2577,  2578,
    2579,  2580,  2581,  2582,  2583,  2584,  2585,  2586,  2587,  2588,
    2589,  2590,  2670,  2591,  2592,  2593,  2594,  2709,  2595,  2596,
    2597,  2598,  2599,  2600,  2671,  2672,  2601,  2602,  2673,  2603,
    2674,  2604,  2605,  2606,  2607,  2608,  2609,  2610,  2611,  2612,
    2613,  2614,  2615,  2616,  2617,  2618,  2619,  2620,  2621,  2675,
    2676,  2622,  2710,  2623,  2624,  2625,  2626,  2627,  2628,  2629,
    2630,  2631,  2632,  2633,  2677,  2678,  2679,  2680,  2681,  2682,
    2683,  2684,  2685,  2686,  2687,  2634,  2635,  2636,   137,     0,
       0,  2278,  2312,  2313,  2316,  2311,   398,   397,  1647,  2275,
    2312,  1536,     0,  1516,   646,     0,  1452,   425,  1694,     0,
       0,     0,     0,     0,     0,   862,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   185,     0,
       0,     0,     0,   449,   448,     0,     0,  1063,   454,     0,
       0,     0,     0,     0,   636,  1578,  2520,  1576,  1648,   263,
     266,   267,   264,   265,  2294,     0,  1209,  1210,  1212,     0,
       0,  1222,   902,   903,     0,     0,     0,   916,     0,     0,
       0,   900,     0,     0,     0,   922,     0,   919,     0,     0,
     923,   920,   897,   921,   904,     0,   896,     0,     0,  1222,
     924,     0,     0,   898,     0,     0,     0,     0,  1452,  1575,
     455,  1694,     0,  1559,  1560,  1561,  1537,  1549,  1562,  1554,
    1556,  1555,  1557,  1558,  1553,  2293,  2329,   992,   992,   992,
     992,   989,   990,   992,   992,   992,  2540,     0,     0,   971,
       0,   973,  2295,   992,   997,  2337,   526,   526,   526,     0,
     996,  1001,   526,     0,  1420,  1461,  2277,  1706,     0,   972,
    1419,  2601,  1565,     0,     0,  1237,  1233,  1235,  1236,  1234,
       0,  1066,  1066,  2559,  1429,   247,  2570,  2671,  2601,   246,
     241,   242,   215,  2333,     0,     0,   996,     0,  1452,  1427,
     968,  1713,  1711,     0,  2262,  2356,  2372,  2465,   238,  2552,
    2560,  2570,  2671,  2601,  2633,   194,   204,   199,     0,   256,
    2570,  2671,  2601,   252,  1449,     0,  1674,  1822,  1821,  2271,
       0,  1422,  1421,  1538,     0,  1541,     0,  2535,  1678,  1681,
    1543,  1679,  2314,  1897,  1926,  1904,  1926,  1926,  1893,  1893,
    2402,  1906,  1894,  1895,  1931,     0,  1926,  1893,  1898,     0,
    1896,  1934,  1934,  1921,     3,  1878,  1879,  1880,  1881,  1907,
    1908,  1882,  1913,  1914,  1918,  1883,  1948,  1893,  2315,  1715,
    1716,  2262,     4,  2308,     5,  2257,  2307,     6,     7,  1670,
       0,     0,     1,  1694,     0,  1548,  1710,  1710,     0,  1710,
       0,  1662,  1670,  1665,  1669,     0,     0,     0,     0,     0,
       0,  1423,     0,     0,     0,   927,     0,  1464,  1048,     0,
       0,     0,     0,     0,  1306,     0,  1106,  1105,  2317,  2300,
    2301,  2302,     0,  2298,  2299,  2318,  2319,  2320,     0,  2437,
    1306,     0,     0,  2173,  2184,  2185,  2186,  2360,  2419,  2181,
    2182,  2183,  2175,  2176,  2177,  2178,  2179,  2180,     0,     0,
    1204,  2174,     0,  2437,     0,  1306,     0,   164,     0,   141,
    1306,     0,     0,  2437,     0,     0,  2437,     0,     0,     0,
       0,     0,  2437,     0,     0,     0,     0,     0,   164,  2470,
       0,   141,  2437,     0,     0,  1443,     0,     0,     0,  1445,
    1448,  1435,     0,  2254,     0,  2255,  2279,     0,  1530,  1524,
    1533,  1529,  1519,     0,  2271,     0,     0,     0,     0,   910,
       0,     0,   900,     0,     0,     0,   911,     0,   912,   913,
       0,     0,     0,     0,   909,     0,  1433,  1425,     0,  1567,
    1569,  1568,  1570,  1566,   526,     0,     0,     0,  2437,     0,
     141,  1503,     0,  2437,   141,     0,     0,   453,   452,   141,
    2298,   451,   450,  2360,  2419,     0,  1096,     0,  1179,   141,
    2437,     0,   187,  2437,   705,  2437,  1543,     0,   649,     0,
     817,  2470,   141,     0,     0,     0,     0,     0,     0,  1066,
       0,     0,     0,     0,     0,     0,     0,   635,   646,  1579,
    1577,     0,  1213,   240,   239,  1211,   914,  2437,  1138,   359,
       0,     0,  2437,  1484,  2437,   359,   931,   915,     0,   901,
    2437,   359,  1102,  2437,  2303,   174,     0,   899,  2360,  2419,
    2437,   359,  1206,     0,  2437,   359,  2437,   170,  2437,   359,
    2437,   359,  2437,   650,     0,     0,  2437,   359,  2437,  2470,
     172,   918,  2437,   359,   925,  2437,   359,  2273,  2437,     0,
    1436,     0,  1571,     0,  1551,  2675,     0,  1694,   992,   991,
       0,   992,     0,   992,     0,   992,     0,   992,     0,     0,
       0,   992,  2296,  2297,   974,     0,   998,     0,  1006,     0,
    1005,  1004,  1003,     0,     0,     0,  1007,     0,  1826,  1606,
       0,  1417,  1432,     0,     0,     0,  1066,     0,  1065,     0,
       0,  1428,   245,   243,     0,     0,     0,     0,     0,     0,
    1434,     0,  1426,     0,     0,     0,  2281,  2283,  2284,  2187,
    2257,     0,  2638,  2639,  2640,  2246,     0,  2641,  2642,  2643,
    2690,  2077,  2064,  2073,  2078,  2065,  2067,  2074,  2644,  2645,
    2015,  2646,  2647,  2291,  2648,  2649,  2650,  2652,  2653,  2654,
    2655,  2069,  2071,  2656,  2657,  2659,     0,  2292,  2660,  2661,
    2501,  2663,  2664,  2666,  2667,  2075,  2669,  2670,  2671,  2672,
    2673,  2674,  2290,   493,  2076,  2676,  2678,  2679,  2680,  2681,
    2683,  2684,  2685,  2686,     0,     0,     0,  2268,     0,  2044,
       0,  1886,  1887,  1909,  1910,  1888,  1915,  1916,  1889,     0,
    2267,  1951,  2132,  2043,  2060,     0,  2049,  2050,     0,  2042,
    2038,  1696,  2263,     0,  2039,  2280,  2282,  2247,  1696,  2261,
     207,   258,     0,   259,  2269,  2570,   195,   237,   209,   236,
     210,   208,     0,  2358,   196,     0,     0,   197,     0,     0,
       0,     0,   255,   253,     0,  1424,     0,  1824,  1823,  2272,
     936,     0,  1540,  1537,  2197,     0,  1680,     0,     0,     0,
    1925,  1912,  1920,  1919,     0,  1902,  1901,  1900,     0,  1899,
    1926,  1926,  1924,  1903,  1878,     0,     0,     0,  1930,     0,
    1928,  1874,  1870,     0,  1937,  1938,  1939,  1936,  1949,  1935,
       0,  1884,  1940,     0,  1893,  1890,  1781,     0,  1660,  1659,
       8,     0,  1545,  1547,  1522,  1543,  1708,  1709,     0,     0,
       0,     0,     0,     0,     0,     0,  1768,  1726,  1727,  1729,
    1765,  1769,  1777,     0,  1666,     0,     0,     0,  1828,     0,
       0,  1450,     0,     0,     0,     0,     0,  1137,     0,     0,
       0,     0,   928,     0,     0,     0,  1470,     0,  1472,  1473,
    1474,     0,     0,     0,  1475,  1476,  1464,   249,  1483,  1480,
    1463,  1465,  1478,     0,     0,     0,     0,     0,     0,     0,
    1495,     0,   178,   179,     0,   662,   646,     0,  2437,     0,
       0,     0,     0,  1147,  1154,  1305,     0,     0,     0,     0,
       0,     0,     0,     0,  1148,  1146,     0,  1149,   251,  1159,
    1186,  1189,     0,     0,  1104,  1107,     0,     0,     0,     0,
       0,  1296,     0,     0,     0,  1296,     0,     0,     0,  1305,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   274,
     276,   289,   354,     0,   627,     0,     0,     0,   630,     0,
    2437,  1306,     0,     0,     0,  1208,     0,     0,     0,     0,
       0,     0,     0,     0,  1189,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   139,   140,   145,     0,     0,     0,
       0,  1189,     0,     0,     0,     0,     0,     0,     0,   611,
     626,   614,     0,     0,     0,     0,     0,   622,     0,     0,
     141,   624,   279,   601,   607,     0,     0,     0,   712,   711,
       0,     0,     0,     0,     0,     0,  1393,     0,  1392,     0,
       0,     0,     0,     0,  1493,  1492,     0,     0,     0,     0,
       0,     0,  1296,     0,   268,   270,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   390,   391,     0,     0,     0,   145,     0,     0,  1296,
       0,   281,     0,     0,  1444,  1441,  1442,     0,  1447,     0,
       0,     0,     0,  2052,     0,  2201,  1718,  2199,  1122,  2253,
       0,  2321,  2711,  2712,  2713,  2714,  2715,  2716,  2717,  2718,
    2719,  2720,  2721,  2722,  2723,  2724,  2725,  2726,  2727,  2728,
    2729,  2730,  2731,  2732,  2733,  2734,  2735,  2736,  2737,  2738,
    2739,  2740,  2741,  2742,  2743,  2744,  2745,  2746,  2747,  2748,
    2749,  2750,  2751,  2752,  2753,  2754,  2755,  2756,  2757,  2758,
    2759,  2760,  2761,  2762,  2763,  2764,  2765,  2766,  2767,  2768,
    2769,  2770,  2771,  2772,  2773,  2774,  2775,  2776,  2777,  2778,
    2779,  2780,  2781,  2782,  2783,  2784,  2785,  2786,  2787,  2250,
    2249,  2276,  2322,  2323,  2324,  2325,  2256,     0,     0,   226,
     227,   225,  1531,   228,  1532,  1528,     0,  1514,     0,     0,
       0,     0,     0,     0,     0,     0,  2360,  2419,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   825,  1464,  1502,     0,     0,     0,
     655,     0,  2437,     0,   143,   863,     0,   815,   454,     0,
       0,     0,     0,  1369,   143,     0,     0,   181,     0,     0,
     709,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   816,     0,     0,   143,     0,  2437,   604,  2437,     0,
     526,   526,     0,     0,  1068,     0,     0,     0,     0,     0,
       0,     0,     0,  1652,  1651,  1654,  1653,     0,  1650,     0,
     357,   358,     0,  1196,  1221,     0,     0,     0,     0,     0,
     892,   917,     0,     0,  1190,     0,     0,  2437,   359,  2437,
       0,  2437,     0,     0,     0,  1198,   359,     0,  1192,     0,
       0,  1194,     0,  1395,     0,   908,   906,   905,   907,     0,
       0,   890,     0,     0,     0,     0,     0,   885,     0,     0,
     887,     0,     0,     0,     0,  1694,  1550,     0,   982,     0,
     986,     0,   977,     0,   983,     0,   978,   975,   976,     0,
     981,     0,     0,   527,   529,     0,     0,  2384,  2401,     0,
    2426,  2458,  2459,  2511,  2526,  2555,  2560,  2566,     0,  2595,
    2606,     0,  1012,  1043,  1002,   721,     0,     0,  1616,  1418,
    2206,     0,  1694,     0,     0,     0,  1229,  1230,   244,   216,
       0,     0,     0,  1045,  2559,  1431,   967,   646,     0,  2040,
       0,  2047,  2048,  2245,     0,     0,     0,     0,     0,     0,
    2046,     0,     0,     0,     0,     0,     0,     0,  1973,     0,
       0,  2205,     0,     0,  2205,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1974,  1955,  1956,
    2044,  2197,     0,  2045,  2287,     0,  1948,  2326,  2187,     0,
    2184,  2185,  2186,  2788,  2789,  2790,  2791,  2792,  2793,  2794,
    2795,  2796,  2797,  2798,  2799,  2800,  2801,  2802,  2803,     0,
    2804,  2805,  2806,  2807,  2808,  2810,  2809,  2811,  2812,  2813,
    2814,  2815,  2816,  2260,  2818,  2819,  2820,  2821,  2822,  2823,
    2824,  2825,  2826,  2827,  2828,  2829,  2830,  2831,  2832,  2833,
    2834,  2835,  2836,  2837,  2838,  2839,  2840,  2841,  2842,  2843,
    2844,  2845,  2846,  2847,  2848,  2849,  2850,  2851,  2852,  2853,
    2854,  2855,  2856,  2857,  2858,  2859,  2860,  2861,  2862,  2863,
    2864,  2865,  2866,  2867,  2868,  2869,  2870,  2871,  2872,  2873,
    2874,  2875,  2876,  2877,  2878,  2879,  2880,  2881,  2882,  2883,
    2884,  2885,  2886,  2887,  2888,  2889,  2890,  2891,  2892,  2893,
    2894,  2895,  2896,  2897,  2898,  2899,  2900,  2901,  2902,  2903,
    2904,  2905,  2906,  2907,  2908,  2909,  2910,  2911,  2912,  2913,
    2914,  2915,  2916,  2917,  2918,  2919,  2920,  2921,  2922,  2923,
    2924,  2925,  2926,  2927,  2928,  2929,  2930,  2931,  2932,  2933,
    2934,  2935,  2936,  2937,  2938,  2939,  2940,  2941,  2942,  2943,
    2944,  2945,  2946,  2947,  2948,  2949,  2950,  2951,  2952,  2953,
    2954,  2955,  2956,  2957,  2958,  2959,  2960,  2961,  2962,  2963,
    2964,  2965,  2966,  2967,  2968,  2969,  1988,  2970,  2971,  2972,
    2973,  2974,  2975,  2976,  2977,  2978,  2979,  2980,  2981,  2982,
    2983,  2984,  2985,  2986,  2987,  2988,  2989,  2990,  2991,  2992,
    2993,  2994,  2995,  2996,  2997,  2998,  2999,  3000,  3001,  3002,
    3003,  3004,  3005,  3006,  3007,  3008,  3009,  3010,  3011,  3012,
    3013,  3014,  3015,  3016,  3017,  3018,  3019,  3020,  1990,  3021,
    3022,  3023,  3024,  3025,  3026,  3027,  3028,  3029,  3030,  3031,
    3032,  3033,  3034,  3035,  3036,  3037,  3038,  3039,  3040,  3041,
    3042,  3043,  3044,  3045,  3046,  3047,  3048,  3049,  3050,  3051,
    3052,  3053,  3054,  3055,  3058,  3056,  3057,  3059,  3060,  3061,
    3062,  3063,  3064,  3065,  3066,  3067,  3068,  3069,  3070,  3071,
    3072,  3073,  3074,  3075,  3076,  3077,  3078,  3079,  3080,  3081,
    3082,  3083,  3084,  3085,  3086,  3087,  3088,  3089,  3090,  3091,
    3092,  3093,  3094,  3095,  3096,  3097,  3098,  3099,  3100,  3101,
    3102,  3103,  3104,  3105,  3106,  3107,  3108,  3109,  3110,  3111,
    3112,  3113,  3115,  3114,  3116,  3117,  3118,  3119,  3120,  3121,
    3122,  3123,  3124,  3125,  3126,  3127,  3128,  3129,  3130,  3131,
    3132,  3133,  3134,  3135,  3136,  3137,  3138,  3139,  3140,  3141,
    3142,  3143,  3144,  3145,  3146,  3147,  3148,  3149,  3150,  3151,
    3152,  3153,  3154,  3155,  3156,  3157,  3158,  3159,  3160,  3161,
    3162,  3163,  3164,  3165,  3166,  3167,  3168,  3169,  3170,  3171,
    3172,  3173,  3174,  3175,  3176,  3177,  3178,  3179,  3180,  3181,
    3182,  3183,  3184,  3185,  3186,  3187,  3188,  3189,  3190,  3191,
    3192,  3193,  3194,  3195,  3196,  3197,  3198,  3199,  3200,  3201,
    3202,  3203,  3204,  3205,  3206,  3207,  3208,     0,  2181,  2182,
    2183,  2175,  2176,  2177,  2178,  2179,  2180,  2191,     0,     0,
    2266,  2327,     0,  2134,     0,  1970,     0,     0,  1781,     0,
    2285,  2248,  1781,   260,   261,   257,     0,     0,   212,   211,
       0,   230,   234,   235,   206,   233,     0,   229,   214,  2121,
    2120,   213,   205,   202,   200,   217,   219,   220,   203,   201,
     254,     0,     0,     0,   359,  1548,  1535,     0,     0,  2260,
       0,  2195,     0,     0,  2193,     0,     0,     0,  1778,     0,
    1682,     0,  1686,     0,     0,     0,  1923,  1922,  1875,  1871,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   929,     0,  1891,     0,  1844,  2309,  2310,
    2258,  1714,  1548,     0,  1544,  1677,  1676,  1719,  1720,  1088,
    1675,  1748,  1749,     0,     0,     0,     0,  1774,  1772,  1739,
    1730,  1738,     0,     0,  1736,     0,  1740,  1951,  1767,  1664,
    1724,  1725,  1728,  1663,     0,  1770,     0,  1619,  1768,  1729,
    1603,     0,  1581,     0,     0,  1829,     0,     0,  1451,     0,
       0,     0,  1117,  1119,     0,  1118,     0,  1121,     0,  1130,
       0,     0,  1116,  1135,     0,  1124,  1122,     0,  1491,     0,
       0,     0,     0,     0,  1471,     0,     0,     0,  2595,   248,
    1474,  1479,  1466,  1477,     0,     0,     0,     0,     0,  1047,
    1046,     0,     0,  1070,     0,     0,   493,  1498,   515,     0,
     356,     0,     0,     0,     0,     0,     0,     0,     0,   811,
     808,     0,     0,   807,     0,   660,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   685,     0,  1296,
       0,   287,     0,  1156,     0,  1155,     0,  1160,     0,     0,
    1157,  1152,  1153,  2560,  2570,  2601,   250,  1158,  1188,     0,
    1187,  1183,     0,  1099,     0,  1100,     0,     0,     0,     0,
       0,  2411,  2437,   295,   318,     0,  1295,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   340,     0,     0,   343,   342,     0,     0,     0,
       0,     0,   348,     0,   326,     0,   327,     0,   347,     0,
       0,     0,   628,   629,     0,     0,     0,  1296,     0,   283,
       0,     0,     0,     0,     0,     0,     0,     0,  1205,     0,
     738,     0,     0,  2560,  1184,     0,  1378,     0,  2594,  1379,
    1382,   526,     0,   526,  1384,     0,     0,  1381,  1383,     0,
       0,   167,     0,   162,   166,     0,     0,  2560,  1185,     0,
       0,     0,     0,     0,   609,   610,   625,     0,   615,   616,
     612,   617,   618,     0,     0,     0,     0,     0,     0,     0,
     608,     0,     0,   707,   706,   710,     0,     0,     0,     0,
       0,     0,  1387,     0,     0,  1179,     0,     0,  1386,  1394,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1239,  1238,     0,     0,     0,     0,  1306,     0,   853,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   169,   725,
       0,   724,     0,   163,   168,     0,     0,     0,     0,     0,
       0,     0,     0,   224,  1440,  1446,  1718,  1718,  1718,  2058,
       0,     0,     0,     0,  1717,  2251,  2254,  1519,  1525,  1518,
    1517,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   404,   401,
     402,   404,     0,     0,     0,     0,   827,     0,   830,   833,
    1462,   477,     0,     0,   652,   685,     0,     0,   457,   176,
       0,     0,     0,     0,   740,     0,  1179,  1178,   138,   185,
     187,   455,     0,   186,   188,   190,   191,   192,   189,   193,
       0,   704,   708,     0,     0,     0,     0,   648,     0,     0,
       0,     0,     0,     0,     0,  1849,     0,     0,   161,     0,
       0,   599,   603,     0,     0,     0,     0,   457,   565,   370,
    2437,     0,   526,     0,  2437,     0,  1067,     0,   814,     0,
       0,     0,  1141,  1141,     0,     0,   754,   753,     0,     0,
       0,     0,     0,     0,  1649,   359,  1139,     0,  1485,     0,
     359,   932,   359,  1103,   175,  2304,     0,   894,     0,     0,
       0,     0,   359,  1207,   882,   359,   171,   359,   359,   651,
       0,   359,   173,     0,     0,   359,   926,   359,  2274,     0,
     359,  1574,  2437,   526,  1552,   979,   988,   987,   985,   984,
     980,     0,   999,     0,   525,     0,     0,     0,     0,     0,
    1020,  1021,     0,     0,  1017,  1022,     0,  1024,  1008,  1010,
    1018,  1019,  1025,  1014,  1013,  1026,  1027,     0,     0,  1045,
     719,     0,     0,     0,     0,  1613,     0,  1611,     0,  1827,
    1615,  1604,  1564,     0,  1563,     0,   592,  1066,  1066,     0,
       0,   996,     0,     0,   359,  1430,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2210,     0,  2211,
       0,     0,  2244,  2240,     0,     0,     0,     0,     0,  2214,
    2217,  2218,  2219,  2216,  2220,  2215,     0,     0,  2221,     0,
       0,     0,     0,     0,     0,     0,     0,  2201,  2204,     0,
       0,  2667,     0,     0,     0,     0,  2016,     0,     0,  2168,
       0,  2201,     0,     0,     0,     0,     0,     0,     0,  2197,
    2236,     0,   491,     0,  2008,     0,     0,     0,  2119,     0,
    2116,     0,     0,     0,     0,  2257,     0,     0,  2288,  1952,
    1966,  1967,  1968,  1971,  2265,     0,  2259,     0,     0,  1953,
    1979,     0,  2237,  2004,     0,  2009,  1994,  2222,  2223,  2224,
    2225,  2011,     0,  1987,  1992,  1996,     0,  1975,     0,  1972,
       0,  2260,  2196,     0,  2194,     0,  1963,  1964,  1965,  1957,
    1958,  1959,  1960,  1961,  1962,  1969,  2172,  2170,  2171,     0,
       0,     0,  2142,     0,     0,  1991,  2429,  2465,     0,  1707,
    1707,  1707,  1695,  1705,  2264,  1844,  1718,  1844,  2270,     0,
       0,  1948,     0,  1825,   934,   935,   933,  1521,  1534,  1548,
    2198,  1542,  1684,     0,     0,     0,  1892,  1905,     0,  1933,
    1932,  1934,  1934,     0,  1876,     0,  1917,  1942,  1943,  1944,
    1945,  1946,  1947,     0,  1941,  1885,   930,     0,  2557,  2687,
       0,  1805,  1780,  1782,  1792,  1805,  1812,  1805,  2061,  1842,
    2062,  2271,     0,  1751,  2306,  1523,  1546,     0,  1086,  1087,
       0,  1091,  2667,  2557,     0,     0,     0,     0,  1741,  1775,
       0,  1766,     0,  2281,  1742,  2280,  1743,  1746,  1747,  1737,
    1776,  1617,     0,  1771,  1668,  1667,     0,  1847,     0,     0,
       0,  1595,  1583,     0,     0,  1830,     0,  1781,  1621,     0,
    2257,  1779,  1345,  1240,  1307,  1120,     0,  1893,  1131,     0,
    1115,     0,  1114,  1893,     0,  1132,     0,  1893,  1346,  1241,
    1308,  1347,  1242,  1309,  1348,  1482,  1243,  1481,  1469,  1468,
    1467,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   792,  2437,   359,  1496,  1349,
       0,  1244,   355,  1497,  1310,  1501,   810,   809,     0,     0,
    1311,     0,   661,   666,     0,   668,   669,  2360,  2419,   670,
     673,   674,     0,   676,   665,   664,     0,     0,     0,     0,
       0,   682,   687,     0,     0,     0,     0,     0,     0,  1150,
    1151,  1350,  1247,     0,  1312,     0,  1098,     0,  1248,   177,
       0,     0,   275,  2437,   297,     0,   475,   792,     0,  1298,
     294,   324,     0,   339,   334,   335,   333,  2437,   359,  2437,
     359,     0,     0,     0,     0,     0,   336,   331,   332,   328,
       0,     0,   341,  2332,  2403,  2571,     0,   693,   695,     0,
     700,   344,  1268,   366,   365,   364,     0,   349,     0,   371,
     374,     0,   346,   325,   323,   320,   290,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1200,     0,
    1353,  1313,     0,  1335,     0,     0,     0,     0,   732,  1356,
    1254,  1316,     0,   526,     0,     0,   541,   541,   526,  1367,
    1255,   165,  1285,   154,     0,     0,   150,     0,     0,     0,
       0,   144,  1357,  1256,  1317,     0,     0,  1358,  1257,     0,
       0,   280,   602,   613,   619,  1262,   623,   620,  1325,   621,
    1365,  1258,     0,  1361,  1288,  1320,   585,  1179,  1179,  1368,
    1388,  1259,  1179,     0,  1296,     0,   269,   271,     0,  1066,
       0,  1260,     0,  1318,  1360,  1287,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1504,     0,     0,     0,     0,
       0,     0,   359,     0,     0,     0,  1298,  2437,   359,  1359,
       0,  1293,     0,  1333,     0,     0,   392,     0,  1286,  1296,
       0,   282,  1264,     0,  1327,     0,     0,   222,   221,   223,
       0,     0,     0,     0,  2202,  2203,     0,  2200,  2053,  2253,
       0,  1515,   956,   942,   955,     0,   938,  2401,     0,   941,
     943,     0,     0,     0,   944,   948,   949,     0,   940,   937,
     939,     0,   403,     0,     0,   749,   750,     0,     0,     0,
       0,   829,     0,     0,  1494,     0,   141,   659,     0,     0,
       0,   654,   684,   689,     0,     0,     0,     0,   456,   460,
     464,   465,   466,     0,     0,     0,     0,   155,   142,     0,
     871,     0,   526,     0,   742,  1179,  1371,     0,   187,   180,
       0,     0,   705,     0,  1543,     0,     0,   580,   583,   582,
       0,   370,   824,   822,   821,   823,   845,   820,     0,  1848,
    1850,     0,     0,     0,     0,     0,     0,   592,   459,     0,
       0,   529,     0,   568,     0,     0,     0,     0,   565,     0,
       0,     0,  2314,     0,   841,   813,     0,  1109,     0,  1127,
    1110,     0,     0,     0,     0,  1164,  1171,  1140,  1165,  1142,
    1171,     0,     0,   755,   759,   758,   762,   760,     0,   756,
     633,  1655,  1656,     0,  1197,     0,     0,  1490,     0,  1488,
     893,  1191,   359,     0,   359,     0,   359,  1199,  1193,  1195,
    1396,     0,   891,     0,     0,   884,   886,     0,   888,     0,
    1000,   528,     0,     0,     0,     0,     0,     0,  1016,   631,
    1023,     0,     0,     0,  1038,  1033,  1035,     0,  1039,   718,
       0,     0,  1614,  1607,  1609,  1608,     0,     0,  1605,  2207,
     883,     0,   598,     0,     0,     0,     0,  1045,     0,  1040,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1712,  2208,  2209,     0,     0,     0,  2241,     0,     0,  2094,
       0,  2066,  2068,  2080,     0,  2095,  2051,  2096,  2070,  2072,
    2081,     0,     0,  2188,     0,  2084,  2083,     0,  2018,  2019,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2033,  2085,
    2167,     0,     0,     0,  2087,  2086,     0,     0,  2235,     0,
       0,     0,  2092,   492,  2097,     0,     0,     0,     0,  2103,
       0,  2124,     0,     0,     0,  2041,  2198,     0,     0,     0,
       0,     0,     0,     0,     0,  2010,  1995,  2013,  1989,  1993,
    1997,     0,  2012,     0,     0,  1983,     0,     0,  1981,  2005,
    1977,     0,     0,  2006,     0,     0,     0,  2059,     0,     0,
    1707,  1707,  1707,  1707,  1704,     0,     0,     0,  1751,     0,
    1751,   198,     0,   231,   218,  1520,  1685,  1694,  1911,     0,
    1929,  1927,  1872,  1877,  1950,  1805,  1812,  1805,     0,     0,
    1670,     0,  1792,     0,  1804,  1790,  1803,     0,     0,  1818,
    1816,     0,  1818,     0,  1818,     0,  1784,     0,  1808,  1786,
    1803,  1788,     0,  1834,  2272,  1843,     0,  1764,  1721,     0,
    2189,  1091,     0,  1723,  1745,  1744,     0,  1734,     0,  1773,
    1731,  1618,  1602,     0,  1600,  1587,  1589,  1588,     0,     0,
    1590,  2257,     0,  1600,  1582,     0,  1626,     0,     0,  1847,
       0,  1625,     0,  1893,  1112,  1113,     0,  1136,     0,  1050,
    1051,     0,  1049,     0,     0,     0,   514,  1069,     0,     0,
       0,   792,     0,     0,   518,     0,  1499,     0,  1366,  1284,
     663,     0,     0,     0,     0,   678,   637,   679,   681,     0,
       0,   680,   683,   686,  1296,     0,   288,  1270,     0,  1331,
    1144,     0,     0,  1101,     0,     0,     0,     0,     0,     0,
     474,   689,   319,     0,     0,     0,     0,   379,     0,   299,
     311,   377,   317,     0,   351,     0,   322,     0,   315,   337,
     329,   338,   330,   350,   352,     0,   697,   698,   696,   692,
       0,   699,   701,     0,   368,     0,     0,     0,   345,     0,
    1352,     0,  1296,     0,   284,  1266,     0,  1329,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1334,     0,     0,     0,     0,   737,     0,   734,     0,   541,
       0,  1380,     0,  1377,  1375,   541,     0,     0,   147,   146,
       0,   153,     0,     0,     0,     0,     0,     0,  1389,  1390,
    1391,     0,     0,     0,     0,     0,     0,   386,     0,   291,
     293,   292,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   393,
     361,     0,   848,     0,     0,     0,   395,     0,     0,  1344,
       0,     0,     0,     0,     0,  1351,  1249,  2056,  2057,  2054,
    1718,  2252,     0,     0,     0,   953,     0,     0,     0,     0,
     406,   407,   141,   405,   428,     0,   792,     0,     0,   826,
     831,   839,  2501,  2175,  2176,   837,   832,   834,   836,   838,
     835,     0,     0,     0,     0,   496,     0,     0,     0,   483,
       0,     0,   493,   476,   479,   480,     0,     0,   655,   658,
     656,   657,     0,   677,     0,   459,   503,   555,     0,   157,
       0,     0,   158,   156,     0,     0,   370,   739,     0,   736,
    1370,     0,   183,     0,   709,     0,     0,     0,     0,     0,
    1179,   647,     0,   844,   846,   818,     0,   689,     0,     0,
     604,     0,   526,  1575,   587,     0,   557,   459,   555,   564,
       0,     0,   572,   369,     0,     0,   592,   370,     0,     0,
    1070,     0,   840,     0,     0,  1108,     0,     0,     0,  1161,
    1166,  1162,     0,  1141,  1123,     0,  1163,     0,     0,  1169,
    1094,  1143,  1095,  1412,  1413,  1410,  1411,     0,     0,     0,
       0,     0,     0,  1646,     0,     0,  1486,     0,   895,     0,
     878,     0,   880,   359,   726,     0,   359,     0,     0,     0,
       0,     0,     0,  1015,     0,  1009,  1011,  1036,     0,     0,
    1045,  1042,     0,     0,  1612,  1610,   590,     0,  1231,  1232,
    1045,     0,   359,  1044,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2212,     0,  2243,  2239,     0,  2063,
    2213,     0,     0,     0,  2168,     0,     0,  2017,  2029,  2030,
    2031,  2228,     0,  2036,     0,  2026,  2027,  2028,  2020,  2021,
    2022,  2023,  2024,  2025,  2032,  2232,  2231,     0,     0,  2089,
    2090,  2091,  2234,  2098,     0,  2350,  2125,     0,  2102,  2118,
    2117,     0,     0,     0,  2105,     0,     0,  2114,     0,  2169,
    2289,  1954,     0,     0,  1980,  2238,  1998,     0,  2014,  1976,
    2188,     0,     0,     0,     0,     0,  1985,     0,     0,     0,
    2145,  2140,  2141,  2165,     0,     0,     0,     0,     0,     0,
    1698,  1697,  1703,  1764,  2053,  1764,     0,     0,  1873,  1791,
    1787,  1789,     0,  2682,     0,  1794,  1801,     0,  1783,     0,
    1817,  1813,     0,  1814,     0,     0,  1815,     0,     0,  1785,
       0,  1801,     0,  1841,  1710,     0,  2136,     0,  1722,  1089,
    1090,  1732,     0,  1735,  2380,  1845,     0,  1601,     0,     0,
       0,  1592,  1598,  1580,     0,     0,     0,  1622,  1600,  1623,
    1133,     0,     0,  1125,  1056,  1057,  1060,  1058,  1055,  1059,
       0,     0,     0,   792,     0,     0,   536,     0,  1083,  1083,
       0,     0,   520,   577,     0,   795,     0,     0,     0,   793,
     359,  1245,     0,     0,     0,     0,   638,  1364,  1246,     0,
       0,     0,     0,  1145,  1299,     0,     0,  1269,     0,   296,
     473,   472,   477,     0,     0,   302,   312,     0,   307,     0,
    1297,     0,     0,     0,     0,   306,   309,   381,     0,   378,
       0,   359,   359,   353,   694,   367,   372,   373,   376,  1304,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   872,   855,     0,     0,   873,   874,     0,
       0,     0,  1202,  1203,  1201,  1336,  1337,  1342,  1339,  1338,
    1341,  1343,  1340,     0,  1252,     0,     0,   730,  1300,  1372,
    1374,  1373,     0,  1376,   151,   148,   149,   152,  1301,  1282,
    1263,  1326,   586,     0,     0,     0,  1261,     0,  1319,     0,
    1278,  1272,     0,     0,     0,     0,     0,  1363,  1292,  1324,
    1362,  1290,  1322,  1289,  1321,  1291,  1323,  1283,     0,     0,
    1852,   852,     0,     0,     0,   359,   359,   851,   728,  1265,
       0,  1328,  1274,     0,     0,     0,   945,     0,     0,     0,
     947,   411,   429,   141,     0,   748,   812,     0,     0,   828,
       0,   481,     0,   487,   494,     0,     0,   498,   499,   497,
     482,  1179,   526,  1179,   781,   782,     0,     0,   802,     0,
     653,     0,     0,   457,     0,   500,     0,     0,   461,   160,
     159,     0,     0,     0,   743,   747,   745,   744,   746,   741,
       0,   732,   187,  2437,     0,     0,     0,     0,   584,   578,
     581,  1385,   819,     0,  1851,   722,     0,   370,   600,     0,
       0,     0,   457,   592,     0,   462,   467,   468,   477,     0,
     565,   556,     0,   557,   566,   567,     0,   574,  1460,     0,
     593,   574,     0,     0,     0,   843,     0,   842,     0,  1111,
    1128,  1129,     0,     0,  1171,     0,     0,  1173,  1168,     0,
       0,   761,   764,   757,   640,   359,     0,  1489,   359,   359,
    1228,     0,   889,  1030,  1031,  1032,  1029,  1028,   632,     0,
    1034,   993,   720,     0,   591,   359,     0,   994,   970,   962,
     969,   958,   961,   963,     0,   965,   966,   960,   957,   959,
    2242,  2079,  2082,  2093,     0,  2167,  2198,     0,     0,  2037,
       0,     0,     0,  2088,  2677,     0,     0,  2129,  2130,     0,
    2126,  2127,  2122,  2123,  2104,     0,  2490,  2109,     0,     0,
       0,  2002,  2000,  1999,  1984,     0,     0,  1982,  1978,     0,
    2007,  2131,     0,  2147,  2144,  2164,  2198,  1702,  1701,  1700,
    1699,  2136,  2286,  2136,   232,  1689,  1837,     0,  1840,     0,
       0,  1793,     0,     0,  1795,     0,     0,  1797,  1799,     0,
       0,     0,     0,     0,     0,  2275,     0,  1763,     0,  1718,
       0,  1733,     0,  1599,  1584,     0,  1585,  1591,     0,     0,
       0,     0,     0,  1627,  1620,  1126,  1134,     0,     0,     0,
     516,     0,   531,     0,     0,     0,  1076,  1085,  1075,     0,
     531,   531,   797,   796,   799,   794,   798,  1500,     0,   671,
     672,   675,  1271,     0,  1332,  1280,     0,  1616,   298,   469,
     305,     0,     0,     0,   300,   380,   382,   301,   304,   308,
     361,   321,   314,     0,     0,     0,  1267,     0,  1330,  1276,
    1303,  1354,  1250,  1314,     0,     0,   861,     0,     0,     0,
       0,  1355,  1251,  1315,     0,     0,     0,     0,     0,  1616,
       0,     0,     0,     0,     0,     0,     0,     0,  1509,     0,
       0,   360,   850,   849,   361,   394,  1294,     0,  2055,     0,
     946,   951,   952,   950,     0,   400,   408,   411,     0,     0,
    1219,  1219,     0,     0,   478,   495,     0,   576,   535,   576,
       0,     0,     0,     0,     0,   690,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   735,   734,   182,     0,
     457,     0,   689,     0,   847,     0,     0,     0,   592,   459,
       0,     0,  1572,   458,     0,     0,   470,     0,   568,   557,
     565,     0,     0,   589,     0,  1453,     0,   595,     0,     0,
       0,   791,  1167,     0,  1181,     0,  1122,  1092,  1176,     0,
    1694,  1844,     0,     0,     0,     0,   774,     0,   644,  1220,
    1487,   879,   881,   727,  1037,     0,  1041,  1045,   964,  2227,
    2169,  2034,     0,  2230,  2229,  2233,     0,  2099,     0,  2100,
    2128,  2106,  2110,     0,  2107,  2108,  2003,  2001,  1986,  2133,
       0,  1718,  2166,  1672,  1671,     0,  1692,  1842,     0,     0,
    1836,     0,     0,  1866,     0,     0,     0,  1802,  1820,     0,
    1798,  1796,     0,  1809,     0,  1811,  2379,  2650,  2554,     0,
    1750,  1752,  1755,  1757,  1756,  1758,  1754,  2135,  2137,     0,
    1729,  2190,  1846,     0,     0,     0,  1071,     0,     0,  1628,
    1629,  1624,  1038,     0,   359,  1083,     0,  1179,   537,  2501,
     538,  1082,  1084,  1088,     0,  1179,  1179,   667,     0,     0,
     277,     0,   303,   313,   363,   375,     0,  1616,     0,     0,
     859,   868,   868,   856,     0,     0,   875,  1253,   731,     0,
     540,     0,   272,  1279,  1273,     0,     0,     0,  1511,  1512,
       0,     0,     0,     0,     0,  1302,   359,  1275,   954,     0,
     431,   438,   412,   416,  1503,     0,  1503,     0,   413,   417,
    1503,  1503,   410,  1844,   427,  1219,     0,  1216,  1215,   524,
     606,     0,     0,   485,     0,   546,   484,     0,   803,     0,
       0,   688,     0,   459,   555,     0,   513,   504,   505,   506,
     507,   509,   508,   510,   511,   512,   502,   501,     0,   689,
     865,   370,  1460,   729,     0,     0,   702,     0,   689,     0,
    1575,   588,   557,   459,   555,   463,   477,     0,   572,   565,
     568,     0,   569,     0,   573,     0,     0,     0,   592,  1513,
    1070,     0,     0,   792,  1180,  1141,     0,     0,  1170,  1174,
    1175,     0,     0,     0,     0,  1223,   768,   769,   763,   765,
       0,   776,   780,   639,     0,     0,   643,   634,   689,   359,
       0,  2035,     0,     0,  2112,  2111,     0,  2151,     0,     0,
       0,  1683,  1835,  1838,     0,  1869,     0,     0,     0,     0,
    1855,     0,  1800,     0,     0,  1810,     0,     0,     0,  1759,
       0,     0,     0,  1768,     0,  1597,  1844,     0,  1594,     0,
    1637,     0,  1630,  1052,     0,  1053,  1077,     0,   576,     0,
    1088,  1091,   526,   576,   576,  1281,     0,   606,     0,   316,
       0,   285,  1277,     0,     0,   870,   870,     0,     0,     0,
       0,     0,     0,   388,     0,     0,  1505,     0,  1506,  1507,
    1510,   396,   409,     0,   436,     0,   434,   433,   435,     0,
     424,     0,     0,     0,     0,     0,     0,   399,  1214,  1218,
    1217,     0,   486,     0,   488,     0,     0,   532,   533,   534,
       0,   490,   542,   543,   800,     0,   805,     0,   691,     0,
       0,   689,   554,   713,     0,     0,     0,  1454,     0,     0,
     579,   723,  1460,   592,   565,     0,   557,   471,     0,   574,
     568,   572,   570,   571,     0,  1457,     0,   594,     0,  1079,
     790,     0,  1171,  1182,  1177,  1172,  1416,     0,     0,   766,
     771,   770,  1503,   775,     0,     0,     0,   642,   641,   717,
     995,  2226,  2115,  2101,  2113,  2146,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1867,  1868,  1853,     0,     0,
    1857,  1807,  1833,     0,     0,     0,  1753,  2138,  2139,  2305,
    1586,  1596,  1072,     0,     0,     0,  1637,     0,     0,   541,
       0,  1091,  1073,   535,   792,   792,  1616,   310,   362,     0,
       0,     0,   866,   869,   857,   858,   877,   876,   733,  1616,
       0,   384,   383,     0,   387,     0,   432,   441,     0,   439,
     414,   419,     0,   423,   421,   420,   415,   418,   523,     0,
       0,     0,     0,     0,     0,   544,     0,   545,     0,   804,
       0,     0,     0,   715,   864,     0,     0,   457,   689,  1455,
    1573,   568,   557,   565,     0,     0,   559,  1083,  1083,   444,
     572,   574,  1458,  1459,     0,     0,   493,     0,  1093,  1415,
    1414,  1694,     0,     0,     0,   777,   778,   773,     0,     0,
    2637,  2380,  2609,     0,  2163,  2152,  2163,  2163,  2143,     0,
       0,     0,  1839,     0,  1856,  1859,     0,     0,     0,  1865,
    1858,  1860,     0,  1819,     0,  1831,  1761,     0,  1760,  1844,
    1636,     0,     0,   359,   530,   792,   539,  1074,   546,   519,
     517,   278,  1616,   860,     0,   273,     0,   389,  1508,   437,
       0,   422,   605,   489,   575,   551,     0,   550,     0,   548,
     547,   801,   806,     0,   689,   854,  1460,   703,   572,   565,
     568,     0,   558,     0,  1085,  1085,   574,   442,     0,     0,
     370,     0,  1398,  1694,  1397,  1399,  1407,  1404,  1406,  1405,
    1403,     0,  1226,  1227,   767,   772,     0,     0,     0,  2156,
    2155,  2154,  2158,  2157,     0,  2150,  2148,  2149,     0,     0,
       0,     0,  1862,  1863,  1864,  1861,  1806,     0,  1762,  1593,
    1639,     0,     0,  1631,  1632,     0,  1054,   521,   792,   286,
     867,     0,   440,   549,   526,   526,   689,   714,  1456,   574,
     568,   572,  1083,   560,  1084,   562,   561,   446,  1079,  1080,
       0,   574,   780,     0,  1408,  1402,  1670,  1657,     0,     0,
     779,     0,     0,     0,  2160,     0,  2161,     0,     0,     0,
       0,     0,     0,  1634,     0,     0,     0,  1633,   522,     0,
     553,   552,   716,   445,   572,   574,  1085,   493,  1078,     0,
    1844,     0,  1400,  1694,     0,     0,   785,  2153,  2159,  2162,
    1688,  1687,     0,     0,  1691,     0,  1832,  1638,  1635,     0,
       0,     0,     0,  1640,   385,   574,   443,   563,   370,  1081,
    1061,     0,  1401,     0,     0,   787,     0,   783,   786,   788,
     789,     0,     0,  1854,  1644,     0,     0,     0,   447,   574,
       0,     0,     0,   751,     0,  1718,     0,     0,     0,     0,
    1844,     0,     0,     0,   784,     0,     0,  1641,  1645,     0,
    1642,  1062,   785,  1224,  1225,     0,  1690,     0,     0,     0,
     752,  1643
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -5220, -5220, -5220,  3872,  -482, -5220, -5220,  -954, -1369,  3113,
   -1173, -5220, -5220, -5220,  1320, -5220, -5220, -5220, -5220,  3837,
   -5220,  1803, -2871, -5220, -5220,   151,  3793, -1361,   130,  3424,
    1482, -5220,  -978, -5220, -5220,  -617,     1, -5220,  3799,   521,
   -5220, -5220, -5220, -5220, -5220, -5220, -5220, -5220,  -679,  1918,
   -5220,  2014,  1282,  2722, -3223, -5220, -5220, -1487, -3678, -5220,
     575, -5220,   602, -4685,  -958, -5220, -5220, -5220,  1901, -5220,
   -5220, -5220,  1845,  1075,  -387, -5220, -5220, -5220, -5220, -5220,
   -5220,  -802, -5220, -5220, -1068,     7,  -632, -2890, -4208, -5220,
   -5220,   425,  -430, -1469, -5220,   617, -5220, -4515, -5220,   -45,
   -2616, -2410, -5220, -5220, -5220,  -404, -1434,  1370, -5220,  -731,
   -1132,  1716, -2394,  -923, -5220,  -282, -3488, -1046,  -820,  -818,
    -957, -4258, -4724, -5220, -5220, -1078, -3673, -4998, -5219, -4768,
   -4624,  1379, -5220,   -80,   421, -5220,     8, -3582, -3657,    13,
     397, -5220,    15,    17, -5220,   414,  -752,  -953, -1570, -5220,
    -847, -5220, -5220, -5220, -3379, -5220, -5220, -5220,   152, -5220,
   -5220, -5220, -5220,   459, -5220, -5220, -5220, -5220, -5220, -5220,
   -2389,  1863,  1864, -5220, -4047, -5220,  -929, -5220,   622, -3404,
    1299, -5220, -5220,  1062,  3855,   441, -5220, -5220, -5220, -5220,
   -5220, -5220, -1764, -5220, -5220, -5220, -5220,   -55,  -378, -5220,
   -5220, -5220, -5220, -5220, -5220, -5220,    18, -5220,  1026,   382,
   -5220, -5220,  -663, -5220, -5220, -5220, -5220, -5220, -5220, -1126,
   -5019, -1235, -1216, -5220, -3391, -5220, -5220, -5220,  -351, -5220,
   -5220, -5220, -5220, -5220,  -945, -5220,  1119, -4038, -5220, -5220,
     419, -5220, -5220, -5220, -5220, -5220,  -932,  -293,  3033, -5220,
    -526,  -729, -5220, -5220, -5220,  -295, -5220, -5220, -5220, -5220,
   -5220,  -508, -1274,  4841,  4228, -1096,  7058,  -823,  -568, -5220,
   -5220, -5220, -2765, -5220, -5220, -4148, -5220,  4835,  2356,  -144,
      19, -5220,    -2,    91,  3662, -5220,   983, -1146, -3056,   379,
    -480, -5220, -5220, -5220, -3027, -5220, -5220, -5220, -5220, -3993,
      21, -5220,  -716, -5220, -4266, -5030, -4456, -4006, -1098, -5220,
   -4272, -4530, -4327, -3978, -5220,  1894, -5220, -5220,  -560,  -192,
    3005, -5220, -1449,  2235, -1402, -5220, -2456,   442,  1461,  3016,
   -3200,  -131,  3006, -2944, -5220,  -715,  1052, -5220,  -380, -3710,
   -5220, -5220, -5220, -2772,  -614, -5220, -5220,  1445, -1108, -5220,
   -5220, -5220, -5220,  -633,  2980,  -181, -5220, -5220,  4204, -5220,
   -4857, -5220,  4167, -5220, -5220, -5220, -5220,  2902,  2903, -5220,
   -5220, -1452,  1227, -5220,  -793, -5220, -5220,  1993,   653, -5220,
   -5220, -5220, -5220,  1311,  -527, -5220, -5220, -5220, -5220, -5220,
   -5220, -5220,  -914, -1115, -5220, -5220, -4811, -5220, -5220, -5220,
   -5220, -5220,  2270,  -943,  -733,  4066,   968,    24, -5204, -5220,
   -5220, -1179, -5220,  3455, -5220, -5220, -5220, -5220, -5220,   436,
     439, -5220, -5220, -5220, -5220, -4041, -5220, -5220, -4796, -5220,
   -5220,  1972, -5220, -5220,   919,     6,  3129, -5220, -5220, -5220,
     -25, -5220, -5220, -1006,  2320, -5220, -2340, -5220,  -584, -5220,
   -5220, -1882,    26, -4262, -5220,     4, -5220, -5220, -4920, -1124,
     259, -5220, -5220, -3898,     9, -5220, -5220, -5220, -5220, -4885,
   -5220,    11, -4804,   793, -3268, -5220,     3, -5220,  -439,  -814,
   -5220, -5220, -5220, -3735,    28,    31, -5220, -5220,     5,  1023,
     -46,   -47,    12,     2,   136,  3544, -5220, -5220, -5220, -4586,
    3575, -5220,    39,  -854,  4877,  4878, -5220,  -881,  -138, -5220,
    1562,  -689, -2542,  3484,  3489, -5220,  1548,  2330, -2405, -2400,
   -5220,  -935,  -789,  -623, -5220, -5220, -5220, -5220, -1499,  -685,
   -2547, -5220,  3490, -5220, -5220, -5220, -2284, -3289, -3201,  1588,
   -3209, -3119, -5220,   875,   859,  -964,  -120,    25, -1458,  -778,
    1668, -5220, -5220,  1592,  -367, -5220, -5220,  -365, -3210,   824,
   -5220, -4436, -2764,  1607, -1044,  -763, -5220,  -892, -5220,  -588,
    4592,  3557,  -817, -5220, -5220,  -786, 12128, -5220, -5220, -5220,
   14277, 14306, -5220, -5220, 14646, 15200, -5220,  -609, 15698, 11900,
    -777, -1910,   219, 18027, -1848,  2893,   106, -5220, -2920, -2469,
   -5220, -5220, -5220,  -333,   964,   684, -5220, -4471, -4310, -5220,
   -5220, -1927, -5220,  -596, -5220,  -595, -5220, -5220, -5220, -2884,
   -4448, -2972,  2465, -5220, -5220, -5220,  -199, -5220, 18208, -3194,
   -5220,  -491,  -983, -1564,  2936, -3043, -1895, -5220, -5220, -5220,
   -3045, -5220, -5220, -5220,  -762,  1699, -5220, -5220,  1794, -5220,
   -5220, -5220,  -959,  2037,  -748, -1161,  1704,  4075,  -765,  2470,
    -783, 17169,  -656, 12438, -1265, -5220,  5973, -4555,  2113,  7301,
      16,  -122,   -74,  -659,  2387,  2872, -5220, -5220,  5120,  8575,
    -574,  -998, -5220,    -6, 14196, 10533, -3609, -5220
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,    57,    58,    59,    60,    61,    62,  1586,  2969,  2823,
    3757,  3758,    63,    64,  1582,    65,    66,    67,    68,  1496,
      69,  1081,  1837,  2983,    70,  2659,   826,   827,   828,  2524,
    2525,  2914,  2526,  2514,  1348,  1783,  1518,   800,   801,  1478,
    1519,    72,    73,  1342,  2505,    74,    75,    76,  1549,  1645,
    1550,  1551,  1490,  1883,  4820,  5579,  3547,  2778,  3805,  3548,
    3549,  4190,  4191,  4279,  5593,  5594,    77,  1661,  1662,    78,
      79,  2951,  3723,  4332,  5185,  5186,  5422,   639,  4843,  4844,
    5409,  5410,  5607,  5758,  5759,  2984,   670,  3800,  4416,  3748,
    4914,  3749,  4915,  3750,  4916,  4180,  4181,  3734,  4363,  4364,
    2028,  4856,  4365,  3751,  4875,  5456,  3752,  2678,  5622,  3018,
    1955,  1953,  5357,  5435,  4675,  4676,  4253,  5631,  5632,  5633,
    5879,  4877,  4920,  4921,  5795,  5796,  3803,  4422,  4927,  5243,
    5433,  3445,    81,  3776,  3777,    82,   733,  1859,  3902,   734,
    3021,   671,   735,  2985,    87,  3011,  5624,  3012,  1614,  2837,
    4345,  3880,    88,  1108,  4155,  5268,  5516,  5517,   724,    89,
    1845,    90,    91,  2964,  3741,    92,  2695,  3462,    93,    94,
    3481,  3482,  3483,    95,  4373,  5204,  1552,  3536,  3537,  3538,
    3539,  4211,    96,  1840,  2992,  2993,    97,    98,    99,  3122,
    3123,   100,  2900,   101,   102,   103,   104,  4247,  4777,  4891,
    3578,  3764,  4389,  4889,   105,  3727,  2986,  3039,  3838,  3839,
    5266,  5508,  5509,  5510,  5682,  5914,  5512,  5684,  5817,  5686,
    4866,  6046,  6047,  5493,  4144,  4689,   107,  4867,  4868,  5637,
     108,  2693,   109,   110,  1814,  2957,  2958,  4346,  3028,  3813,
    3814,  4402,  4403,   111,  3665,   112,  4753,  4754,   672,  5645,
    5585,  5744,   113,   114,  4757,  4758,   115,   116,   117,   118,
     119,   725,  1043,  1044,   727,  1163,  1164,  3417,  1125,   120,
    2534,   121,  3703,   122,  1234,  4979,   123,   759,  1179,  1180,
    2987,   125,   769,  3141,   771,  3107,  3108,  1971,  3884,  3885,
    4490,   126,   127,  3119,  3144,   128,  1483,  2669,  2670,  4670,
    2988,   673,  1219,  3025,  3440,  5345,  5096,  5346,  5806,  5970,
    5097,  5363,  3361,  4093,   130,   674,  1524,  2734,  1131,  1132,
    3032,  3818,  2639,  2640,  1684,  4443,  2642,  3820,  2643,  1457,
    2644,  1118,  1119,  3826,  3827,  3828,  3829,  4439,  4449,  4450,
    5260,  5501,  4446,  1833,  5254,  5255,   131,  1521,  2731,   132,
     133,   134,  1565,   968,  1141,  1142,   135,   686,   687,   136,
    5427,   137,  1121,   138,  5264,   139,   140,   791,   792,   141,
     142,  2748,  4193,   143,  1522,   144,   145,  3572,  3573,  4769,
     146,   147,   148,  2809,  2810,   149,   150,   151,   152,   153,
    5904,  5973,  5974,  5975,  4457,  5811,   154,  1211,   155,   156,
     157,   158,   196,  1009,  1010,  1011,   921,  2989,  5245,   160,
     161,  1479,  1480,  1481,  1482,  2664,   162,   163,   164,  3848,
    3849,   165,   166,   167,   168,  1817,   169,   170,  5400,   171,
     172,  1787,   173,   174,  1017,  1018,  1019,  1020,  1785,  3309,
     633,   845,  1373,  1379,  1422,  1423,  1424,   176,   737,   177,
    1214,  1048,   738,  1172,   179,   739,  2621,  3391,  4108,  4109,
    4110,  4113,  5080,  4647,   740,  3387,   182,  1978,  3128,  3131,
    3383,   741,  3397,  3398,  3399,  4117,   742,  5349,  5350,  5725,
    5943,  5944,  5997,  6033,   743,   761,  1111,  3043,   744,  1309,
     188,   189,   190,   901,   848,   849,  3314,  5306,  5531,   192,
    2498,  3292,   778,  1428,   889,   890,   891,   910,  2924,  2587,
    2588,  2612,  2613,  1437,  1438,  2600,  2604,  2605,  3374,  3367,
    2593,  4087,  5330,  5331,  5332,  5333,  5334,  5335,  4636,  2608,
    2609,  1440,  1441,  1442,  2617,   193,  2577,  3342,  3343,  3344,
    4064,  4065,  5843,  4079,  4075,  4621,  5057,  3345,   837,  1209,
    1449,  4629,  5845,  3346,  5046,  5047,  5310,  4083,  3353,  4104,
    3788,  3789,  3790,  3347,  5539,  5540,  5840,  5841,  5312,  5313,
    2645,  1402,   875,  1310,   876,  1415,  1311,  1389,   878,  1312,
    1313,  1314,   881,  1315,  1316,  1317,   884,  1381,  1318,  1319,
    1398,  1411,  1412,  1374,  5314,  1321,  1322,  1323,  3349,  1324,
    4567,  5019,  5005,  3219,  3220,  2521,  4563,  3987,  4557,  2493,
    3282,  5069,  5337,  5338,  4027,  4591,  5033,  5301,  5699,  5824,
    5825,  5925,  1325,  1326,  1327,  3279,  2487,   971,  1328,  4348,
    2489,  3210,  3188,  1687,  3189,  1981,  2002,  3160,  3176,  3177,
    3256,  3190,  3198,  3203,  3211,  3243,  1329,  3162,  3163,  3927,
    2004,  1330,  1015,  1690,  1016,  1417,  3238,  1338,  1339,  1332,
    1972,   838,  5053,  1167,  1770,   775,  1333,  1334,  1335,  1336,
    1558,   942,  1134,  1135,   892,   894,   895,  2581,   629,   621,
     944,  3540,  2490,   630,   623,   624,  1775,  2491
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     622,    71,   191,   184,   180,   186,   175,    80,    83,   181,
     900,   183,   970,    84,   934,    85,  1771,    86,   106,   124,
    1075,   129,   975,   191,   159,   980,   178,   736,   185,  1686,
     969,  1613,  1443,  1343,   805,  1200,  1201,  1202,   763,   627,
    1898,  1206,  1782,  2850,   763,   888,   678,  1666,  1331,  1147,
    2677,   911,  1394,  1429,  2641,  1431,  1618,  1776,  1021,  2772,
    3444,  2743,  1370,  1160,  1414,  1952,   922,  1678,  1112,   836,
    1166,  3384,  1385,  1386,  2735,  3778,  1220,  3385,  3747,  1999,
    1842,  1393,  1992,  2755,   840,  4038,  3907,  4040,  3006,  3830,
    1357,  1369,  3888,  3630,   978,  1400,  2744,  4102,  1173,  4254,
    3134,  4161,  1462,  4401,  1557,  3159,  1815,  3350,  1000,  3769,
    1820,  1114,   618,  4638,   770,  1824,  4182,  2918,  2811,  2811,
    4452,  2641,  2811,  3662,  4350,  1834,  1042,   806,  4116,  4206,
    1827,  4208,  4677,   943,  4712,  4427,  3228,  4078,  1854,  4061,
    4414,  4672,   979,  5050,   913,  1851,  1145,  1174,  2573,  1149,
     905,  4913,  2726,  1157,   232,  5343,  1001,  1553,  1021,  3073,
    4923,  2880,  2881,  5247,  4934,   799,  4091,  4874,  3706,  1887,
    3709,  3710,   833,  1784,  3195,  3714,  3715,  3716,  4737,  3718,
    3719,  3720,  1575,  5439,  3410,  3412,   851,  1592,  1525,  5208,
    2876,   622,   825,  4115,  5062,  3307,  5064,  5119,  3376,  5240,
     622,   945,  1350,   914,  3766,  3379,  4122,  4011,   622,  4922,
     945,   622,  2726,  4411,  3295,  4653,  1021,  2907,  3297,  1520,
    5491,  1436,  2706,  5098,   945,  1439,  4076, -2346,  4081,  2726,
    2578,  3951,  5370, -2425, -2422, -2460, -2485,  5239,   745,   745,
    5478, -2523,  3355,  1850,   745,  1114,  5010,  1382,  1383, -2279,
     993,  5095, -1934, -2314,  1404,  1181,   684,  1392,  5647,  5659,
    1520,  1185, -2314, -2314,  1492,  1520,  2532,  1880,  6029, -2315,
    1021, -2693,  2887,   637,  5392,  3687,  1369, -1934, -2315, -2315,
   -2693, -2693, -1893, -1906,  3737, -1931,   920,  2049,  4437, -1921,
    5584,  2683,  1229,  3003,   684,   684, -2278,  2661,   684,  3236,
     684,  1101,  3236,  5430,  1976,  1612,  1812,  1880,   932,  2511,
     843,  1554,   684, -2173,  1644,  1880, -1926,   745,  2538,  2671,
   -2173,  1831,  4447,  1807,  1671,  1554,  3276,  4338,   684,  1405,
    1021,   745,  1873,  3277,  5428, -2192,  2949,  3476,  2672,  3124,
    3015,  -141, -2192,  3951,  3892,  1005,  1874,  -141,  5078,  3894,
    4910,  2540,   745,  3015,  2746,  1375,  3553,  4981,  4982,  4983,
    4905,  4985,  4986,  4987,  4988,  4989,  3016,  1880,  1347,  5809,
    5402,  5403,  3905,  2811,  1196,  5558,  4911, -1746,  1493,  3016,
    5524,  1675,  5954,  1864,   684,  4069,  5514,  4685,  2027,  1880,
    4859,   908,  1406,  4935,  3738,  1407,  6079,  2673,  5547,   751,
    1880,  3212,  1875,  5236,  5369,   751,   751,   751,   751,  2972,
    1776,  1492,  1360,   751,  1678,  1771,  4755,  2674,  4070,  2584,
    3477,  5007, -2483,   752,  2512,  1880,  5391,  1880,  3358,   752,
     752,   752,   752,  4624,  5807,  2503,  1880,   752,  3431,  2981,
    5528,  2576,  5801,  4072,  1829,  1006,  1114,  5612,  5789,  1204,
    6030,  2892,  5613,  2721,   970,  3478,  3118,  2911,  2580,  2049,
    2859,   989,  4884,  5815,  1852,  2978,  2804,  2746,  3125,  4216,
    2912,  4686,  1385,  1386,  5105,  3921,  3004,  2746,  2874,  2746,
    2549,  4217,  5661,  2828,  1906,  3008,  1361,  1853,  4273,  2860,
    2538,   990,  5581,  1393,  3479,  5816,  1007,   684,  1225,  2913,
    1984,  1896,  1876,  5614,   970,  4398,  2504,  1408,  2515,  2746,
    5529,  2746,  1400,  2527,  2527,  5479,  3143,  5467,  3359,  2533,
    2982,   864,  2013,  2540,  3432,  1493,  3350,  3143,  2973,  1069,
    4756,  3456,  5008,  1896,  4687,  1079,  2746,  1205,  4688,  3213,
    5955,  5559,  6031,  2513,  2746,  1973,  4860,  1092,  2722, -1746,
    3443,  5810,  1881,  1197,  1008,  1896,  1983,  4885,  1676,  3017,
    1877,  2043,  5079,  5515,  4074,  3554,  1776,  2675,  5618,  4912,
    1993,  3893,  5220,  3925,  5940,  5436,  3895,  1070,  2773,  1239,
    2950,  5896,  3951,  1070,  3739,  5941, -2818, -2818, -2818,  2501,
    3947,  5525,  1881,  1936,  3951,  1070,  6031,  3480,  2853,  4366,
    1881,   933,   685,  2922,  1182,  1184,  1186,  4350,  -430,  1188,
    1189,  1190,  1977,  1832,  5431,  1494,  1996,  2684,  1409,  1195,
    4448,  3688,  1239,  1564,  1205,  3951,   945,  5324,  2575,  3952,
    3953,  3954,  1106,  4772,  1813,  2817,  2960,   844,  1382,  1383,
     191,  1052,  1049,  1053,  4886,   945,  4572,  1050,  3005,  1051,
    6032,   945,  1881,  2845,  2713,  1813,  2848,  1878,  3237,  1114,
    4438,  4016,  5800,   945,  2720,  1392, -2483,  2049,  1231,  5959,
   -2173,  2888,  1013,  3740,  1881,  3126,  1014,  1977,  1495,   945,
    1933,  2676,  5958,  3278,   622,  1881,   900,  2868,  2869,   888,
    2855,  2906, -2192,   622,   945,  3127,  2916,  2917,  2538,  2756,
     622,  5290,   945,   622,  1205,  2579,  1813,  1395,  4883,  1882,
    1881,  1177,  1881,  1013,  3966,   888,   945,  1014,   757,   758,
     638,  1881,  2551,  3155,   757,   758,   945,  3324,  1396,  1677,
   -2346,  2540,  1395,   191,  2915,  2509, -2425, -2422, -2460, -2485,
   -2483,  1013,  6005, -2279, -2523,  1014,  1397, -2314,  5654,  4931,
    4682,  2835, -2483,  1396,  2618,  2838,  2839,  1889,  2619,  1380,
    5084,  4779,  1178, -2315,  1183, -2693,  1187,  4783,  2790,  4930,
    2486,  1399,  1191,  4118,  5898,  1444,  1384,  1388,  1114, -1931,
    2834,  2556,  2557, -1921,   945,  6035,  1114,  1114,  2045,  2499,
   -2278,  1194,  3300,  5888,  6051,  1584,  5106,  1555,  1556,  2774,
    5917,  5755,  4887,  1208,  2875,  2923,  2730,   622,   622,  1893,
   -1926,  1555,  1556,   945,  4274,  2959,  3485,  2042,  1585,  3091,
    2711,  2893,  4350,  3963,  3964,  3965,  3966,  -141,  -141,  3075,
    3956,  1904,   757,   758,  1359,   970,  5278,  4399,   945,  1794,
     622,  1896,  1926,  1799,  3457,  1800,  3561,  4078,  4311,  4399,
    2894,  5861,  4489,  1798,   913,  4268,  4269,  3957,  1404,  2730,
    4270,  4184,  3101,   888,  5865,  1208,  4618,  1929,  3350,  1896,
    4622,  3350,  4888,  4699,  3116, -1893,  2730,  1484,  4489,  1466,
    4502,  4742,  2789,  4330,  4331,   622,  2671,  2977,  3161,  5942,
    5772,  5799,  5961,  2554,  1789,  4411,  4521,  4392,   945,  5566,
    3957,   785,  4367,  1065,    71,   191,   184,   180,   186,   175,
      80,    83,   181,   914,   183,  3102,    84,  3350,    85,  5849,
      86,   106,   124,  4842,   129,  3350,  4662,   159,  1477,   178,
    4496,   185,  5793,  1405,  5920,  2798,  4609,  1128,  4611,  2483,
    2484,  2485,  2486,  1448,  5729,  4846,  4325,   906,  2937,  5734,
    5735,  3834,  1650,  4124,  5781,  4125,  4845, -1893,  1499,  2627,
    3376,  5657,  6004,  2775,  2673,  1467,  4096,  2496,  1346,  4045,
    5792,  1451,  1354,  1239,  5983,  4185,  3951,  5949,  4803,   915,
    3952,  3953,  3954,  1376,  2674, -1747,  3489,   908,  2705,   786,
    5875,  1485,  2776,  4390,   684,  1651,  1406,  4573,  3261,  1407,
    5906,  4453,  1239,   915,   634,  3951,   622,   622,  1772,  3952,
    3953,  3954,  2757,   907,   945,  5619,  3476,  2777,  1468,   622,
    5836,  5472,  6060,   187,   888,   622,  2758,   684,  2759,   622,
    4157,   622,  3896,  5897,  1937,   888,  5571,  1939,  3835,  1941,
    2580,  1943,  3576,  1945,   187,  5201,  5162,  1949,  4770,  5995,
    2814,   888,  2773,  2818,  5984,   684,  2771, -2818, -2818, -2818,
    3961,  3962,  3963,  3964,  3965,  3966,   916,  1218,  5889,   773,
    5163,  3234,  3961,  3962,  3963,  3964,  3965,  3966,  1360,   899,
    5262,  3490,  5921,  4954,  1776,  2967,  4497,  4677,  4454,  2760,
     916,   908,  5906,  4162,   622,  5375,   622,   622,  5703,  3477,
    3958,  3959,  3960,  3961,  3962,  3963,  3964,  3965,  3966,  4899,
    6055,  1408,  3897,  4119,  3543,  4910,  1469,  3577,   679,   799,
    1636,  2773,  -684,  3476,  3725,  5996,   684,  1542,  5967,   917,
    3019, -1893,  2867,  2048,  2675,  5837,  2049,   945,  3262,  4750,
    5985,  4911,  2685,  3263,  4280,  2481,  2482,  2483,  2484,  2485,
    2486,   787,  1361,  1239,  4804,  1486,  3951, -1747, -2275,  6087,
    3952,  3953,  3954,  5202,  1225,   622,  4097,  2538,  5620,  3544,
    1652,  1452,  3593,   777, -2818,  5466,  3103,  5025,  2660,   191,
    3264,  3956,  4186,  4187,  3113,  3114,  5640,  2773,  3955,   650,
    6027,  6003,   788,   789,  1487,  5876,  1066,  1576,   945,  3690,
    2540,  3414,  5906,  6010,  1021,  5773,  3477,   888,  5653,   945,
    3956,  1938,  4188,  1940,   912,  1942,  5656,  1944,  4678,  1946,
    1947,  1948,  1409,   945,  5668,  5911,  1950,   945,  1488,  5226,
    1129,   909,  4872,   953,  5257,  5639,  3054,  6036,  3409,   622,
     954,   955,   956,  5731,  1846,  1410,  4455,  5238,  2676,   652,
    3066,  3957,  3836,  4751,  5696,  2497,  5232,  3486,  3594,  -597,
    1872,   650,   900,  3072,  3702,  5655,  3837,  6058,  3545,  4001,
     622,  3504,  3077,  2774,  1653,  5877,  3480,  4347,  2968,  3796,
    3957,  2773,  5090,  1474,  3036,  1475,  5986,  1847,  5838,   790,
    4158,  6070,  2043,  5839,   918,  2686,  1489,  4258,   622,   622,
     622,  3100,   622,  5878,  2976,  3105,  1813,  3037,  3381,  3336,
    3112,  1577,  3595,  3115, -2818,   785,  4456,  5911,   918, -2818,
    3050,   652,   622,  1915,  5263,  4978,   783,  3265,  3726, -1893,
    3327,  5627,  3052,  5164,  5787,  3562,  5580, -1893,  4098,  1384,
   -1893,  1413,  2774, -1893,  3948,  3949,   945,  3065,  2536,  3968,
    3067,  3084,  3071,  4162,   945,   945, -2818,  2773,  3697,  4752,
    5564,  3956,  5931,  2773,  5965,  5966,  1916,  4444,  2726,   970,
    1013,  3596,  5918,  5609,  1014,  5611,  4232,  4380,   622,  5615,
    5616,  2585,  2586,  3480,  2590,   631,  2687,  3186,  5083,  3999,
    4000,  4043,  2847,  3328,  5481,  3169, -2817,  3388,   684,  5697,
    3104,   680,  2796,   786,  3110,  3111,  5051,  1772,  2774,  5482,
    3415,  2545,  5643,  3416,  4532,  3382,  4533,  -455,  5054,  3283,
     663,  5651,   664,  5058,   622,  4873,  5060,  5911,   622,   622,
    5698,  3957,  2895,  5831,  6023,   632,  3546,  2775,  3236,  5485,
     914,   914,  2850,   914,   622,  1505,  1005,  5486,   668,   811,
     888,  3958,  3959,  3960,  3961,  3962,  3963,  3964,  3965,  3966,
     681,  2877,  1848,  4971,  5628,  1896,  2776,  5205,  2679,  3038,
    1448,  5689,  1448,  4975,  4864,  1578,  6037,  4854,  3597,  3778,
    3958,  3959,  3960,  3961,  3962,  3963,  3964,  3965,  3966,  3154,
    4233,  2777,   663, -2817,   664,    40,  2680,  6066,   682,  4944,
     683,  2746,  2774, -2818,  4855,  3170,  2775,  3156,  1408,  3158,
    3120,  4089,  2747,  4641,  1579,  3165,  3296,   888,  2680,  3660,
    1828,  3179,  3180,  3181,  4350,  5894,  5895,  2908,   810,  1100,
    2771,    44,  3200,  5227,  6017,  2776,  -455,  2689,  3215,  5629,
    2797,  1917,  1776,  5987, -2817,  3330,  1006,  2690,  1580,  4381,
    2594,  5722,  4534,  1581,   812,  4715,  1005, -2817,   888,  4836,
    2777,  3284,  3093, -2817,  4840,   787,  1849,  5480, -2817,  2591,
    2896,  5471,  2775,    48, -2817,  2594,  1771, -2817,  2774,  3389,
    3171, -2817,  3819,  1477,  2774,  3095,    49,  5483,  1477,  4716,
    2901,   888,  1101,  5732,  5783,  2595,  3121,  1007,  3350,  2771,
    3598,  2776,  3350, -2818,  1047,  3652,   788,   789,  3599,    50,
   -2817,  3600, -2817,  5487,  2481,  2482,  2483,  2484,  2485,  2486,
    2595,  3487,   784,  4865,   635,  2641,  2777,    56,  4901,  2641,
   -2817,  3958,  3959,  3960,  3961,  3962,  3963,  3964,  3965,  3966,
    1542,  5814,  4904,  3172,  3653,  1918,  3173,    40,  2665,  2681,
    3601,  1176,  1615,  5988,  4234,  1008,  1006,  2596,   945,  2666,
    1408,   187,  3135,  2871,  1477,  2771,  2775,  2592,  1477,  3350,
    2840,  4717,  3093,   622,   622,   622,  1102,  2667,  3654, -2817,
    2049,  4068, -2817,    44,  2773,  4642,  3429,  5209, -2817,  4664,
    6006,  1616,  5048,  4235,  3922,  2776,  1170,  3563, -2298,  3923,
     807,  3053,  -164,  4266,   970,   970,  2597,  1007,  2691,  1217,
    1356,   959,   960,   961,   962,   963,   964,   965,   966,   967,
    2777,  4685,  3675,  3063,   194,    48,  4277,  4236,  1656,  3521,
    3601,  2597,  -164,  3352,  3096,  5210,  4639,  1432,    49,  4174,
    1426,  5887,  2775,  1433,  2540, -2817,  4863,  2692,  2775,    40,
    1896,  3046,  2773,  5857,   187,   899,  4069,  2773,  3174,  2771,
    4347,    50,  2980,  1371,   834,  1008,  2598,  3097,   195,  4271,
    2997,  2776,   945,  3550,  5680,  4278,  1232,  2776,  2901,  3390,
    3098,  4118,  3093,  5646,   888,    44,  4768,  1453,  1432,  4070,
    3522,  2598,  5401,  4740,  5446,   888,  2777,  3237,  4640,  3574,
     194,  1617,  2777,  1813,  4071,  4686,  5660,  1772,  2841,  2773,
    1434,   888,  2842,  4175,  4072,  3099,  1584,  3430, -1717,  1394,
    5681,   970,  3055,  1421, -1717,  1103,  1454,    48, -2817,  1566,
     945,  5667,  2668,  3380,    40,  2771,  1657,  5957,   945,  1585,
      49,  2771,  4073,  4272,   195,  1427,   945,  1655,  5447,  2901,
    3523,  5448, -2817,  1656, -2817, -2817,  1594,  5449,  5320,  1435,
    1455,  1434,  1104,    50,   888,  4857,  1432,  4741,  4687,  3175,
      44,  4665,  4688,   622,  5741,  5102,   622,  4666,   194,   888,
    3612,    56,   888,   888,  4667,  5450,   622,   622,  5513,   945,
     945, -1717,   902,  5969,  2751,  1595,  2752, -2817,  3574, -2817,
   -2817,   622,  1567,   945,   622,  2774,  1463,  5374,  5398,  6002,
    1435,  3524,    48,   888,   888,  2048,   945,   945,  2049,  4668,
    5277,  1105,   195,  1106,   912,  1239,   187,  1107,  3951,  3350,
    3350,  5399,  3952,  3953,  3954,  4074,  4858,   191,  3655,  1434,
   -1717,  4669,  5451,  1832,   846,  1464,  5103,  5742,   920,  2538,
    3439,  5406,  5538,  1929,   622,  5452, -2818,  2753,   622,   622,
    3852,  1657,  5808,   919,  3735,  3646,    56,  5453,  3085,  1093,
    3086,  3647,  3087,  2774,  3088,  4347,  3089,  3778,  2774,  1465,
    3090,  5791,  2540,  5207,   191,  1052,  1049,  1053,  3585,  3140,
    3613,  1050,   622,  1051,   622,  1621,  5790,   631,  3616,   622,
     622,  3619,  3129,  6039,  2641,  1094,   622,   622,   622,  1777,
   -1070,   622,  1778,   622,  2641,   622,   622,   622,   622,   622,
     622,  5218,  5231,   622,  4276,   622,   622,  2909,  4514,   622,
    2774,  5352,   730,  5354,  1622,  3691,  3692,  3693,  5638,  3443,
    1095,  4106,  2850,   888,   622,   622,   622,   904,  4173,   903,
    5560,  5502,    15,  5189,  3782,  3783,  3784,  3785,   928,  3787,
    3502,   622,  3315,  1772,  3995,  3588,  2910,   930,  1623,  2775,
    5180,  4460,  5181,  5182,  5183,  5561,  4461,  4107,  3499,  3648,
    3586,  3139,  3587,  5075,  3815,    40,  5190,    20,  1096,  5197,
    1114,  5199,  4313,  3661,  3846,  2641, -2818,  4701,  2776,  4140,
    4475, -2818,  5671,  2821,  4528,  4529,  4530,  4531,  2824,  4351,
    4535,  4536,  4537,  4538,  4539,  4540,  4541,  4542,  4543,  4544,
    5890,    44,  4229,  2777,  2519,  1658,  3697,  2811,  4351,  5398,
    1584,   951,  4320,  3956,  4352,   762,  5688,  2775, -2818,   952,
      35,   762,  2775,  3350,  1093,  1832,  1646,  4353,  2049,  4744,
    3350,    40,  5399,  1585,  3611,  3350,  4354,  5454,  3350,  4678,
    5455,  4230,  2771,    48,  1659,  4607,  2776,  2520,  4582,  4583,
    2820,  2776,  2763,  4678,  1929,  4354,    49,  4355,  5650,  2538,
    1094,  1624,  4275,   995,  2898,  1647,  4488,    44,  2904,  1648,
    1929,  2777,  3636,  2545,  2775,  4231,  2777,  1584,  1660,    50,
     187,   751,  4068,  3957,   622,  3627,  2764,  3628,  4187,  2840,
    3312,  3632,  2540,  5617,  4356,  4393,  5960,    56,  3985,  1649,
    1585,  1458,  5971,  2776,  3992,   752,  3681,  4312, -1097,    48,
    2771,  4489,  1395,  4356,  3313,  2771, -1670,  4728,  -141,  4121,
    3656,  5855,    49,  3649,   622,  5506,  1625,  1395,  2777, -1670,
    5519,  2746,  1004,  1396,  1597, -1670,  1459,  1923,  3658,  3879,
    1460,  4357,  2754,  1096,  2001,    50,  5989,  2763,  1396,  5507,
    1352,  1397,    32,  4805,  3657,   233,  1598,  4069,  1012,  1466,
    1924,   636,  3650,    56,  2010, -2818,  1399,  2771,  1626,   728,
    5990,  3808,  3659,  2507,  1461,  1627,  4806,   622,  1628,  1587,
    4822,  2764, -1670,    40,  5121,  1055,  5398,   808,  4938,  5193,
    4070,  5126,  1057,  4461,  4359,   650,  3651,  4423,  1663,  1395,
    2782,  1667, -1670,  4823,  1062,  4071,   745,  1599,  4358,  5399,
    4678,  2040,  6077,  4359,  6080,  4072,  5583,  1076, -1064,    44,
    1396,  5587,  5588,  5859,  5860,  1089,  5721,  2841,  4128,  3770,
    2783,  2842,  4094,  1384,  6091,  2574,   745,  4360,   745,  -596,
    6059, -2271,  4068,  4073, -1669,  1467,  1013,  4661,  1199,  1097,
    1014, -1670,  1384,  4361,  2574,   652,  4360, -1669,   760,  1098,
   -1670,    48, -2272, -1669,   760, -2818,  1099,  1013,  5048,  1199,
    4654,  1014,  4361,  1067,    49,  1068,  2481,  2482,  2483,  2484,
    2485,  2486,  1116,  3958,  3959,  3960,  3961,  3962,  3963,  3964,
    3965,  3966,  1390,  1391,  5408,  4039,  1600,    50,  1468,  1013,
    1574,  3903,  3904,  1014,  1239,  1591,  1127,  3951,  3350,   654,
   -1669,  3952,  3953,  3954,  1013,    56, -2279,  4069,  1014,  3247,
    3248,  3249,  3250,  3977,  1136,  3979,  3980,  3878,  5026,  1120,
   -1669,   912,   912,  1161,   912,  2527,  4074,  1143,  1935,  1629,
    1601,  1778,   631,  1985,  5947,  1602,  1778,  2920,  2921,  1603,
    4070,  4362,   622,   622,   622,   622,   622,   622,   622,   622,
     622,  1154,   622,  2535,  2849,  4071,  1778,     3,     4,  2548,
    4362,   622,  2549,   622,  1630,  4072,  1137,  2582,  1631, -1669,
    1778,   970,  3081,  3377,  3378,  2549,  4853,  3466, -1669,  3470,
    3471,  3092,  3094,  1171,  3093,  3093,  1469,   745,  1605,  3469,
   -1670,  3132,  3311,  4073,  3133,  1929,  3316,  3401,  1198,  2549,
    2549,   622,  1632,  1203,  3496,   622,  1199,  3497,   622,  1633,
     622,  1207,  3308,   622,  4050,  4051,   663,   622,   664,  3568,
    5055,  5672,  3569,  3731,  4163,  3402,  3732,  5998,  1071, -1097,
    1072,  3870,  1210,  1607,  3093,  3463,  4041,  1213,  1772,  3920,
     622,   667,  2549,  3418,  1828,  1215,  3929,  3421,  1470,  2549,
    4192,  3424, -1741, -1741,  4123,  5568,  1608,   622,  3935,  1216,
    3350,  2549,  3936,  5573,  5574,  2549,   622,   622,  3937,  3970,
    1218,  2549,  2549,  4084,  3984,  1222,  1610,  2549,  3449,  3989,
    3350,  1225,  3990,  1471,  3498,  1223,  4074,  1472,  4727,  4048,
    1224,    35,  2549,   945,  3350,  4014,  3392, -1745, -1745,  1776,
     888,  2575,  3956,  4209,   888,   888,  4210,  4678,  1226,  5939,
    4214,   945,  3491,  4215,  4906,   945,  1227,  4240, -1669,   945,
    4241,  1473,  4309,  1611,  4432,  4241,  1228,  4433,   945, -1670,
    4435,  4409,  1070,  4436,  3433,  4466,  3436,  4553,  4467,  1233,
    4554,  5853, -1670,  1384,  1235,  1413,   945,  4347, -1670,   622,
    1355,  4564,  3348,  1474,  4565,  1475,  4575,  1358,  1500,  2549,
     622,  1362,   888,   622,  3541,   622,   622,  1364,   888,  4718,
    3592,  4725,  3957,  3950,  5056,  4649,  5365,  5366,  4650,  4709,
     945,  4655,  4700,  4660,  4656,  3978,  3416,  3221,  5872,  4907,
    3224,  3570,  3093,  1501,  2641, -1670,  4972,  3579,  1114,  1977,
     945,   945,  1363,  3484,  2959,  1476,  1372,  4995,  5797,   888,
    2549,  3589,  1368,  5035,  5086, -1670,  2549,  3416,  1070,  5092,
    4002,  3602,  5093, -1744, -1744,  5099,   906,  3607,  3093,  1377,
    4501,  1772,   945,  5100,  5101,  1772,  3093,  3093,  4396, -1718,
    4743,  1378,  4129,  4130,  1380, -1718,  5233,  3620,  4132,  5234,
    3678,  3350,  4368,  3623,  1502,  4339,  3329,  3331,  3332,   945,
    3629,  1772,  1384,  4029, -1670,   945,  1387,  5494,  5553,  2048,
    6040,  1388,  2049, -1670,  3644,  4166,  1401,  5270,  5287,   945,
    4467,  5288,  5289,  5826,  5827,  2549,   945,  3669,  5307,   945,
    1503,  5308,   907,  5317,  5323,   945,  1929,  4406,  1070,  1403,
      29,  3593,  3583,  2538,  5325,  5441,  1418,  4406,  5442,  3350,
   -2818,  2000, -1718,    56,  4150,   945,  5902,    29,  1384,  1430,
    2574,   945,  4249,  3753,  5926,  5927,  1504,  4255,   945,   762,
    6081,   762,  5461,   762,  5495,  3093,  2540,  5496,  1419,   762,
    1192,  1193,   945,  1445,  5536,  5542,  3626,  5537,  1929,  5545,
    5556,  4224,  4406,  5557,  4678,   945,  5602,  1114,  1446,  5603,
    1772, -1718,  5642,  1447,  1505,  2506,   945,  5231,  1506,  3041,
     908,  3042,  3958,  3959,  3960,  3961,  3962,  3963,  3964,  3965,
    3966,  4030,  1450,  4031,   622,   622,   622,  3594,  4245,  5669,
     622,  5692,  5557,  4281,  3990,    40,   897,   898,  5693,  1507,
    1508,  2549,  1456,  4924,  5707,  4013,  4032,  5708,  4033,  4004,
    4261,  4005,    40, -1670,  1413,  1497,  5711,   622,   888,  1929,
    4651,  5712,  5740,  1523,  2549,  3133,  1772,  3913,   187,  3915,
    3916,    44,  1526,  5746,  5747,  4006,  3133,  3133,  1509, -2316,
    1528,  3595,    35,  5797,  4420,  1529,  4421,  1510,    44,  4678,
   -2818,  4917,  4847,  1564,  4848, -2818,  1511,  3819,  5750,   622,
    4559,  2549,  5751,  5752,  1512,  2549,  5753,  5779,  3350,  1568,
    5780,  5832,  1513,    48,  4406,   187,  5719,  4680,  4681,  1013,
    1569,  4684,  1418,  1014,  1514,  3910,    49,  1570,  1593,  3797,
      48,   888, -2818,  1515,  3754,   888,  5846,  1516,  1581,  2549,
    3596,  4386,  5848,    49,  2641,  2549,  2580,  1583,  5854,    50,
     909,  3093,  5869,  3886,  5892,  5870,  5938,  5893,  1596,  5550,
    5968,  3214,  6008,  5557,  1620,  6009,    50,    56, -1409,   970,
   -1409,  3900,  6034,  6053,   762,  2549,  5708,  4508,  3886,  3247,
    3248,  3249,  3250,  4998,  5903,  4999,  4007,  2545,  1637,  1638,
    6063,  1517,  4008,  6064,  6069,  1654,  1664,  4650,  3350,  4678,
    6078,  1665,  6090,  2549,  4379,  6064,  4382,  6012,  1678,  6013,
    1418,  3348, -1658,  4603,  5041,  4605,  5043,  1668,  4623,  1597,
    4626,   945,  4492,  2620,  5303,  2623,  5304,  1673,  1674,  1786,
    1788,  4369,  1790,  4371,  4400,  1776,  1795,   888, -2596,   945,
    1801,  1598,  1806,   762,  1809,  1811,   945,  3597,  1816,  1819,
     622,  1821,   888,   622,  1830,   622,   622,   888,   900,  5281,
    1813,  1835,  1836,  -184,  1838,   622,  1839,  1841,  4727,  1843,
     622,  4090,  2580,  1844,  1114,  1855,  1114,  1239,  1862, -2818,
    3951,  1870,  1866,   213,  3952,  3953,  3954,  1879,  1884,  1886,
    1885,  3755,  1599,  1888,  1891,  1892,   622,   622,   622,  3350,
    5900,   622,  1895,  1896,  1903,   900,  1907,  1909,  1910,   622,
     622,   622,   622,  1912,  1914,  4441,  1597,  1919,  1920,  1922,
    1772,  1925,  1928,  1931,  1932,   622,  1772,  3550,   622,  4738,
     622,  4483,  1934,  1951,  1982, -2596,  1988,  1997,  1598,  4009,
    3756,   622,   622,  4719,  1990,   622,  1991,  1998,  3242,  5118,
    4010, -1897, -1904,  3574,  2005,  2006,  4500,  2007,  1114,  2008,
   -1894, -1895,  2009,    56,   622,  2011,   622,  1239,   622,  3598,
    3951,  2012,  2013,  2014,  3952,  3953,  3954,  3599,  2015, -2818,
    3600,  1600,  2016,  2017, -1898,  2019, -2596,  2020,   622,  1599,
    2481,  2482,  2483,  2484,  2485,  2486,  2021,  2022,  2023, -2596,
   -1896,  2027,  2024,  2025,   900, -2596,   945,  2026,  2029,  2492,
   -2596,  2030,  2048,  2031,  2032,  2049, -2596,  2033,  2034, -2596,
    2035,  2036,  2494, -2596,  2496,  1601,  2497,  2506,  2510,  2522,
    1602,  2530,  2552,  2553,  1603,  2558,  2560,  4951,  4035,  4036,
    4037,   622,  2561,  4696,   622,  3350,  2538,  2575,  2564,  2849,
    2565,  2567, -2596, -2818,   900,  4721,   622,  2568,  2569,  2570,
    2571,   622,  2576,  1433,  2583,  1530,  1435,  2614,  2616,  2626,
    2628,  1531, -2596,  2629,  2630,  2631,   622,  2647,  1600,  2540,
    2650,  2648,  2649,  1605,  2651,  3956,  2574,  2652,  4841,  2653,
     622,  4828,  2654,  2655,  4148,  2656,  2657,  2663,   622,  2682,
    2688,  6038,  2708,  2694,  2712,  4767,  2714,  2715,  2716,  2718,
     888,  2719,  2732,   888,  2736,   888,  1533,  2737,  2738,  2749,
     888, -2596,  1601,  2750, -2596,  2761,  2765,  1602,  1607,  2770,
   -2596,  1603,  2767,  2768,  3350,   945,   945,  2769,  2779,  2771,
    3350,   622,  2781,  2784,  5521,  2786,  2849,  2780,  4581,  4833,
    2791,  1608,  2785,  3348,  2795,  3957,  3348,  2805,  2819,  2792,
    2801,  2802,   945,  2815,  2816,   945,  4525,  2836,   888,  2829,
    2843,  1610,  1534,  5535,  2822, -2818,   888,  2846,   762,  1535,
    1605,  1542,  1536,   762,   762,  2861,  2863, -2596,  2825,  2865,
    2826,  2831,  2832, -2818,  4220,  2872,  2873,  2844, -2818,  2889,
    4552,   888,  3348,  2890,  2851,  2852,  2897,  2857,  2858,  1537,
    3348,  2555,  2864,  2866,  2870,  2931,  2878,  2879,  1611,  2891,
    2562,  1530,  2563,  2919,  2933,  1607,  2566,  1531,  2934,  2902,
    2926,  2935,  2936,  2572,  2947, -2818,  2940,  1772,  1772,  1772,
    2941,  2942,   777,  1538,  4090,  3957,  2944,  4594,  1608,  2948,
    3350,  5253,  2048,  2945,  2946,  2049,  2952,  2953,  2954,  2955,
    2962,  2963,   945,   645,  2966,  2971,  2979,  2990,  1610,  2994,
   -2596,   888,  1533,   888,  3244,  3242,  3245,  1617,  2998,  3007,
    3010,   945,  2995,  3013,  3014,  3023,  2538,  3034,  3040,  3044,
    2545,  3056,  3058, -2818, -2596,  3027, -2596, -2596,  3031,  3060,
    3246,  3059,  3049,   945,  3061,  3074,  3106,  3130,  1641,  3341,
    3117,  3161,  1540,  3216,  3142,  1611,  3222,  3166,  2049,  2540,
    3235,  4315,  1541,  3226,   762,  3260,  3281,  3241,  1534,  3258,
    2048,  1542,  3280,  2049,   762,  1535, -2596,  3299,  1536, -2596,
   -2596, -2596,  1408,  1543,  3302,  3303,  3318,  4968,  3304,  3305,
    3317,  3319,  3320,  3321,   187,  3958,  3959,  3960,  3961,  3962,
    3963,  3964,  3965,  3966,  2538,  1537,  3322,   888,  3352,  3326,
    3335, -2818,   907,  3334,  3357,  3371,  3369,  3370,  1192,  1193,
    3372,  3386, -2818,  3393,  3394,  1545,  1546,  3405,  4584,   945,
    3406,  3434,  3439,  3408,   622,  3437,  3441,  2540,  3425,  1538,
     622,  3442,  2580,  3448,  3247,  3248,  3249,  3250,  3453,   888,
    3464,  3251,  3252,  3472,  3493,  1352,  1547,  3253,  1356,  3488,
    3458,   762,  3495,  3459,  3512,   762,   762,  3461,  3525,  3531,
    3530,  4879,  4880, -2818,  3505,  3551,  1772,   888, -2818,  3564,
    3557,  3558,   945,  3567,   945,  3958,  3959,  3960,  3961,  3962,
    3963,  3964,  3965,  3966,  3559,  3575,  3582,   945,  3584,   945,
    5214,  5020,  3585,  3605,  1641,  3606,  4585,  3664,  1540,  3622,
    3677,  3685,  3686,  3689,  1832, -2818,   908,  3705,  1541,   622,
    3698,  3711, -2818,  3717,  1548,  3712,  3722,  1542,  3744,  3713,
    5066,  3733,  3745,  2481,  2482,  2483,  2484,  2485,  2486,  1543,
    2901,  3759,  3761,  3763,  3765,   888,  3773,  3780,  3792,  3791,
    4917, -2818,  3794,  3795,  3799,  3802, -2818,  3804,  3807,  4487,
    3786,  3793,  4426,  3806,  3810,  2048,   945,   888,  2049,  3811,
    2545,  3816,  4963,  4964,  4965,  4966,  4967,  3831,  1669,  3832,
    3841,  1545,  1546,  3842,  4503,  3833,  4430,  3843,  3845,   888,
    3847,  3861,  3863, -2818,  3821,  3864,  3867,  1890,  4463,  2538,
    3869,  3872,  3873,  1894,  3254,  3874, -2818,  3875,   945,  3876,
    1929,  1926,  1670,  1905,  3877,  3255,  1893,  1908,  1500,  3882,
    3881,  1911,  5125,  1913,  3887,  5570,  3143,   945,  3889,  1921,
    3890,  5073,  2540,  3891,  3898,  1927,  4588,  3906,  1930,  5187,
    1205,  3908,  3914,  3931,  3932,  3933,  3901,  3934,  2545,   945,
   -2165,  3938,   945,  1501,  3986,  3983,  3939,  3947,   762,  4003,
    4012,  3943, -2818,  4021,  3945,  1208,  3690,  3946,  3998,   622,
    3969,  3974,   888,  4026,  3975,  2549,  3982,  4046,   622,  4058,
    1548,  3997,  4086,  4099,  4082,  4101,   622,  4052,   622,  4092,
    4022,   622,  4105,  4112,  4126,   888,   622,   622,   622,   622,
    4067,  5029,   622,   622,   622,   622,   622,   622,   622,   622,
     622,   622,  4054,  4024,  1502,   622,   622,   622,  4025,  4103,
     888,  4120,  4028,  4047,  4131,   622,   900,  4053,  4133,  4059,
     622,  4134,  1772,  4138,   622,  4139,  4142, -2598,  5932,  5933,
   -2818,  4143,   622,  4145,  4147,   622, -2818,   622,  4159,  4160,
    1503, -2818,  4170,  4171,  5070,  3821,  4172,   622,  4176,  4177,
     622,   622, -2818,  4178,  4179,   622,   622,  4090,  4194,  4183,
    4195,  4197,   622,  2481,  2482,  2483,  2484,  2485,  2486,  1500,
    4205,  3822,  4203,  4204,  4213,  4219,  1504,   187, -2818,  4228,
    4242,  4248,  4252,  4090,  4244,  4250,  5116,  4246,  4256,   191,
    1052,  1049,  1053,   622,  4257,  4260,  1050,  4262,  1051,  4263,
    4267,   622,  4284,  5006,  1501,   622,  4285,  4286,  4264,  4596,
    4597,  4598,  4599,  4298,  4289,  4292,  4265,  4294,  1506,  4296,
    4282,  4301,  4303,  4283, -2598,  4697,  4305,  4287,  2887,  4288,
   -2818,  4290,  4291,  2545,  5253,  4293,  4321,   622,  4295,  4317,
    4297,  2481,  2482,  2483,  2484,  2485,  2486,  4307,  4308,  5412,
    1508,  4324,  4314,  4329,   622,  4318,  4319,  4337,  4335,  4372,
     888,  3167,  3168,  4378,  4377,  1502,  4384,  4387,  3182,  3183,
    4388,  5198,   622,  4391,  5158, -2598,  4395,  4406,  4405,  4408,
    4418,  4415,  4424,     3,     4,  4425,  5165,  5166, -2598,  5168,
    4428,  4429,    35,   945, -2598,  5413,  4445,  3823,  3227, -2598,
    4462,  1503,  4459,  4469,  4431, -2598,  1511,  4477, -2598,  4471,
    4478,  4479, -2598,  3348,  1512,  4480,  4491,  3348,  4481,  4482,
    5414,  4465,  2729,  4493,  4494, -2818,  5411,  4495,  5340,  4484,
    4517,  4504,  3822,  4505,  1514,  4506,  4507,  1504,  5415,  2850,
    4509, -2598,  5416,  1515,  1772,  3951,  4510,  1516,   730,  1772,
     888,  1772,  4511,  4807,  4512,  4513,  4810,  2040,  2000, -2164,
    4526, -2598,  4549,  4550,  5417,  4551,  3824,  5418,    15,  4558,
    4566,  5216,  4090, -2614,  4577,  1772,   888,  4578,  4589,  1506,
    4580,  4604,  5419,  4606,  3348,  4595,  4608,  4619,  4612,  4620,
    4615,  4627,  4617,  4628,  4632,  4633,  4634,  4635,  4637,  4643,
    4646,  1517,  4652,    20,  2040,  3825,  4648,  4663,  4671,  4692,
   -2598,  1508,  4784, -2598,  4695,  4693,  4694,  4702,  4703, -2598,
    4705,   945,  4706,  4792,   945, -2818,  3242,  4708,  4713,  4714,
    4730,  4733,  4745,  4746,  4747,  4773,  2481,  2482,  2483,  2484,
    2485,  2486,  4023,  4749,  5596,  4748,  5598,  4759,  4760,  4793,
    4761,  4776,  4775,    35,  4794,  4799,  4762,  4892,  1510,  4802,
    4763,  4764,  4819,  4818,  4782,  4821,  4720,  1511,  2607,  4834,
   -2614,  4824,  5420,  4835,  2901,  1512, -2598,  4837,  4838,  4839,
    4861,  4876,  4850,  2729,  4871,  4882,  4890,  4896,   622,  4897,
    4909,  4919,  4902,  4925,  4926,  1514,  4936,  4903,  4942,  4943,
    4055,  4945,  4946,  4060,  1515,  4947,  4949,  4955,  1516,  4969,
    4950,  4961,  4974,  4976,   945,   945,  4984,  4997,   888,  5009,
    5012, -2614,  5013,  5421,  4991,   945,  5018,  3824, -2166,  4992,
    5049,   777,   622,   622, -2614,  5003,  5316,  5014,  5702,  5031,
   -2614,  5045,   945,  5059,  5052, -2614,  5063,  5316,  5071,  3341,
    5068, -2614,  5072,   899, -2614,  3886,  5082,  3341, -2614, -2598,
    5527,  5087,  1517,  5094,  5089,   888,  3825,  5085,  5458,  4928,
     888,   622,   622,  5606,  5095,  5728,  5104,  5122,   970,  5123,
    5124,  5127,   622, -2598,  5134, -2598, -2598, -2614,    32,  5133,
    5135,  5154,  5156,  5147,  5160,  5150,  5161,  5169,  5170,  5178,
    5179,  5360,  5188,  5177,  5191,  5184,  5195, -2614,  5196,  5203,
    5206,  5211,  5212,  5215,  5213,  5376,  5221,  5219,  5225,    40,
    5230,  5763,  5765,   945,  5237, -2598,  5235,  5241, -2598, -2598,
   -2598,  5242,  5246,  5249,  5259,  5248,  5265,  3093,  5244,  5267,
    5250,  5274,  5275,  5282,  3348,  3348,  5286,  5300,  5294,   622,
    5292,  5293,  5381,  5295,  5305,    44, -2614,  1597,  5309, -2614,
     622,  5315,  5319,  5322,  5344, -2614,  5347,  5353,  5364,  5341,
    5356,  5371,  5367,  5368,  5404,  5372,  5373,  5426,  5378,  1598,
    5706,  5384,  4860,  5432,  5434,  5385,  5464,  5445,   622,  5389,
    5465,   622,  5395,  5396,  5397,  5437,  5469,    48,  5440,   622,
     622,   731,   888,  5492,  5608,  4179,   622,   622,  5444,  5476,
      49,   622,  5474,  5497,  5503,   622,  5504,  5505,   622,   622,
    5511,  5526, -2614,   622,  5530,  5534,  5550,  5546,  5548,   622,
    1599,  4720,  5552,    50,  5348,  5551,  5554,  5567,  2685,  5569,
    5577,  5576,  5578,  5590,  5584,  5411,   622,  5621,  5623,  5626,
    5630,   732,  5636,   622,  5644,  5634,  5649,  5662,   622,  5663,
    3057,   622,   622,  5664,  5665,  5658,  5676,  5757,  3064,   622,
    5871,  5666,  5675,  5685,  5683,  5677,  5678,   777,  5723,  5687,
     622,  5700,  5694,   874,  5704,  5714,  5701,  5724,   622,  5726,
    4590,  5727,  5743,  5074,  5076,  5739,  4721,  5771,  5768,  5774,
    5762,  5776,  5785,  5543,  5782, -2614,  5778,  5786,   622,  5088,
    5769,  5804,  5805,  5141,  5802,  5812,  5803,  3323,  3325,  1600,
    5813,  5818,  5819,  3333,  5828,  5151,   888,  5829,  5835, -2614,
    5830, -2614, -2614,  5842,  5844,  5851,  5864,  5928,  5929,   945,
    5866,  5873,  5772,  5856,  5881,  5773,  5882,  5901,  5883,  5899,
    5924,  5934,  5919,  5937,  5951,  3375,  3375,  5945,  3348,  5953,
    5972,  5978,  5979,  1601,   888,  3348,  5982,  5991,  1602,  5120,
    3348, -2614,  1603,  3348, -2614, -2614, -2614,  5993,  5994,  5128,
    6016,   945,  6014,  6015,  6019,  6028,   888,  2849,  5600,  6041,
    6043,  4722,  2048,   945,  6018,  2049,  6044,  6052,  4118, -2818,
   -2818, -2818,  6054,  6067,  6056,  6072,  6085,  6061,  6062,   622,
    6073,  6031,  6076,  6089,  6082,  1420,   622,   762,  5499,  2903,
    1527,  1605,  3767,  1635,  4044,  2529,  2538,   945,  1634,  3637,
    4736,  4189,  4729,  2539,  3556,  5867,  3724,  5523,  3676,  4334,
    5423,  5756,  5952,  4878,  5475,  4726,  5457,  5194,  4136,  3871,
    5858,  5358,  5948,  5777,  5775,  5963,  5880,  5223,   888,  2540,
    4900,  4141,  4929,  5595,  4908,  5737,  1607,  4870,  3742,  3743,
     187,  5544,  4734,  4207,  4394,  4895,  5217,  1114,  2042,  5463,
    1619,  5733,  4434,  4953,   622,  5679,  6011,  6088,  6074,  1608,
    5438,  4340,  4937,  5885,  5383,  5386,  5586,  5745,  2970,   726,
     622,  3508,  1045,   779,  4485,  1772,   187,  1974,  4970,  1610,
    6007,  4723,  5563,  3033,  4724,  3771,  3411,  4127,  4939,  4451,
    5500,  3029,  5673,  3062,   945,  3045,  1155,  3137,  3138,  3674,
    1115,   622,  5757,  4304,  4765,   970,  4251,  5905,  6042,  3701,
    1365,  4956,  3886,  3356,  5591,  5592,  4957,  2928,  6057,  5077,
    5562,  4657,  5852,  2502,  5228,  3196,  1611,   813,   814,  4088,
    4100,  2550,  2611,  3366,  3217,  5847,  2610,  5716,  4062,  4056,
    2615,  4610,  4625,  2541,  4090,  2662,  5730,   888,  2542,   888,
    5321,  5533,  5532,  4658,  4057,  5834,   970,  6025,  5935,  5705,
     762,  2559,  5380,  5522,  4560,  5717,  3926,  5718,   762,  3285,
    3202,   762,  4019,  3700,  5382,  4017,  1416,  3294,  3354,     0,
     945,     0,     0,   762,     0,  2544,     0,     0,     0,     0,
    2771,     0,     0,     0,     0,     0,     0,     0,   622,     0,
       0,   622,     0,     0,   622,   622,   622,  5425,     0,     0,
       0,     0,     0,  3348,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3886,     0,  3886,     0,     0,  6050,   622,
     622,     0,     0,   622,     0,     0,     0,     0,     0,     0,
    2545,  1114,     0,     0,     0,  5695,     0,     0,     0,     0,
       0,     0,     0,   622,     0,  2040,     0,     0,     0,   622,
       0,     0,     0,   622,     0,  5713,     0,  5715,     0,   888,
     622,     0,     0,     0,     0,     0,  6050,     0,  6065,     0,
     187,     0,     0,   622,     0,     0,   622,     0,     0,     0,
       0,   945,     0,   945,  6050,     0,     0,   622,     0,     0,
    3341,     0,     0,     0,  3341,     0,     0,     0,     0,     0,
       0,     0,     0,  5342,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2547,     0,     0,     0,   620,   888,   945,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   622,     0,
       0,     0,     0,   772,     0,   774,     0,     0,     0,   780,
       0,     0,     0,     0,   794,   802,   772,  1500,   809,     0,
       0,   802,   802,     0,   839,  3348,   842,     0,     0,     0,
       0,     0,     0,   896,   896,   896,     0,     0,  1772,  5595,
       0,     0,     0,   622,  6075,  3348,     0,     0,     0,     0,
       0,     0,  1501,     0,     0,     0,     0,     0,     0,  3348,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   762,
    5462,     0,  2477,  6000,  6001,     0,     0,     0,     0,     0,
   -2818, -2818, -2818,  2481,  2482,  2483,  2484,  2485,  2486,     0,
       0,     0,     0,     0,   622,     0,     0,   888,     0,     0,
       0,  5488,     0,  1502,     0,     0,  3306,     0,     0,     0,
       0,    71,   191,   184,   180,   186,   175,    80,    83,   181,
       0,   183,     0,    84,  5490,    85,   622,    86,   106,   124,
     622,   129,   622,   900,   159,     0,   178,  1126,   185,  1503,
       0,     0,     0,     0,     0,     0,  1114,     0,     0,     0,
       0,     0,   622,     0,     0,   622,     0,     0,     0,  1530,
       0,     0,     0,  1126,     0,  1531,   622,   620,   925,   925,
       0,     0,   925,   622,     0,  1504,   936,     0,   839,     0,
    1532,   972,     0,     0,   936,     0,     0,   936,     0,     0,
     839,     0,   925,     0,     0,   839,     0,     0,     0,   925,
       0,   839,     0,     0,     0,     0,  3348,     0,  1530,     0,
    1533,     0,     0,  1505,  1531,     0,     0,  1506,     0,     0,
     970,  1597,     0,   888,     0,     0,     0,     0,   888,   888,
       0,     0,     0,   622,     0,     0,     0,     0,     0,   622,
     622,   945,     0,  1598,     0,     0,     0,     0,  1571,  1508,
       0,     0,     0,     0,     0,   945,     0,     0,     0,  1533,
       0,     0,     0,  4042,  3348,   762,  1534,     0,     0,     0,
       0,  3341,     0,  1535,     0,   622,  1536,     0,     0,     0,
       0,  4049,     0,   622,     0,     0,  1772,  1572,     0,     0,
       0,    35,     0,     0,  1599,     0,  1510,   187,     0,     0,
       0,     0,     0,  1537,     0,  1511,     0,     0,     0,     0,
    5999,   622,     0,  1512,     0,  1534,     0,     0,     0,     0,
       0,  1573,  1535,     0,  5652,  1536,     0,  4095,  4095,     0,
       0,     0,     0,  1514,     0,     0,  3368,  1538,     0,     0,
     888,   888,  1515,     0,     0,     0,  1516,     0,     0,     0,
       0,     0,  1537,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   622,     0,     0,     0,     0,     0,
     622,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   622,  1772,  1600,     0,   888,  1538,     0,     0,     0,
     622,     0,   622,     0,   622,     0,     0,     0,  5863,     0,
    1517,   622,  1539,     0,     0,     0,  1540,     0,     0,  5720,
       0,     0,     0,     0,     0,  6068,  1541,     0,     0,     0,
       0,     0,   622,  3348,     0,  1542,     0,  1601,     0,     0,
       0,     0,  1602,     0,     0,     0,  1603,  1543,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1772,     0,   945,
       0,  1604,     0,     0,     0,  1540,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1541,     0,     0,     0,     0,
    5912,  5913,  1793,     0,  1542,     0,  1544,     0,     0,  1545,
    1546,     0,     0,  1802,     0,  1605,  1543,     0,     0,     0,
       0,     0,  3341,     0,     0,     0,     0,  3341,     0,  1810,
    3341,     0,   622,  3886,     0,     0,     0,     0,     0,     0,
    1547,     0,     0,  3348,     0,     0,     0,     0,     0,     0,
       0,   187,   187,     0,     0,  1606,     0,     0,  1545,  1546,
    1607,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     622,   622,   622,     0,     0,     0,     0,     0,   622,     0,
       0,     0,     0,  1608,     0,     0,     0,     0,   622,  1609,
       0,     0,     0,     0,     0,     0,     0,     0,   622,     0,
       0,   945,     0,  1610,     0,     0,     0,     0,  1548,     0,
       0,     0,     0,     0,   622,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   945,     0,     0,
       0,     0,     0,  1024,     0,     0,     0,     0,     0,   839,
       0,   925,     0,   925,  3348,     0,   925,  3844,     0,     0,
    1611,     0,  3850,   972,  3851,     0,     0,  1548,  1082,     0,
     925,     0,     0,     0,  3857,     0,   925,  3858,   622,  3859,
    3860,  5886,     0,  3862,     0,     0,     0,  3865,   622,  3866,
       0,     0,  3868,     0,     0,  1980,   622,   622,     0,     0,
     620,     0,   622,   191,   622,  5907,  5910,     0,     0,   936,
    5908,     0,  5909,   972,     0,     0,   936,     0,     0,   936,
     622,   622,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   925,   762,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5977,     0,     0,
       0,     0,     0,     0,   945,     0,  3909,     0,     0,  4383,
       0,     0,     0,     0,  1500,     0,     0,     0,     0,     0,
    6083,  6084,     0,     0,     0,     0,     0,   622,     0,     0,
       0,     0,     0,   622,     0,     0,     0,     0,   839,     0,
       0,     0,     0,     0,     0,   191,     0,  5907,  5910,  1501,
    3348,   622,  5908,  1221,  5909,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   622,   187,  1337,  1337,     0,   839,   802,     0,     0,
       0,   802,     0,     0,     0,   622,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   839,     0,     0,     0,     0,
     839,     0,     0,     0,     0,     0,  1337,     0,     0,     0,
    1502,     0,     0,     0,     0,     0,   622,     0,     0,   619,
       0,     0,     0,   622,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3348,
       0,     0,     0,   622,     0,  3348,  1503,     0,     0,     0,
    1772,  1337,     0,     0,     0,   191,     0,  5907,  5910,     0,
       0,     0,  5908,     0,  5909,   839,     0,   762,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   839,     0,
    2048,     0,  1504,  2049,     0,   622,   622,  2050,  2051,  2052,
     622,     0,     0,   839,   622,     0,     0,     0,  1772,     0,
       0,     0,     0,     0,  2537,     0,   622,   622,     0,     0,
       0,     0,   839,     0,  2538,     0,  1772,   925,   925,     0,
       0,  2539,  3341,     0,  1506,  3196,  3196,     0,     0,     0,
    3196,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2540,     0,   802,
     802,     0,     0,     0,     0,  3348,  1508,     0,     0,     0,
    1530,     0,     0,     0,     0,     0,  1531,     0,     0,     0,
    3196,  3196,  1337,  1337,     0,     0,     0,     0,  1530,     0,
       0,  1639,     0,     0,  1531,   620,     0,   925,     0,     0,
       0,   936,     0,     0,   972,   936,  2794,   936,    35,  1639,
    2728,     0,   925,  1510,     0,     0,     0,     0,     0,  4146,
     923,  1533,  1511,     0,     0,     0,     0,     0,     0,   935,
    1512,     0,     0,     0,     0,     0,   839,   935,  2729,  1533,
     935,     0,     0,   925,   925,     0,     0,     0,     0,     0,
    1514,     0,     0,     0,     0,     0,     0,     0,     0,  1515,
       0,     0,     0,  1516,   839,   839,   839,     0,   925,     0,
     620,  2541,   620,   620,     0,  1640,  2542,  1534,     0,     0,
       0,     0,     0,     0,  1535,     0,     0,  1536,   187,     0,
    4196,     0,  4198,  1640,     0,  1534,     0,     0,  2543,  2236,
       0,     0,  1535,     0,     0,  1536,   925,     0,   925,   925,
       0,     0,     0,  2544,  1537,  2048,     0,  1517,  2049,   187,
       0,     0,  2050,  2051,  2052,     0,     0,     0,     0,     0,
       0,     0,  1537,   187,     0,     0,     0,     0,     0,  2537,
       0,  1337,     0,     0,     0,     0,     0,     0,  1538,  2538,
       0,     0,     0,     0,  2288,  1530,  2539,     0,     0,     0,
       0,  1531,     0,     0,     0,     0,  1538,  1954,  2545,  1954,
       0,  2546,     0,   839,     0,   772,     0,     0,     0,   762,
       0,     0,  2540,     0,     0,     0,     0,     0,     0,   839,
       0,     0,     0,     0,     0,  1989,     0,     0,   839,     0,
       0,  1995,  2040,     0,     0,   762,  1533,     0,     0,     0,
       0,     0,     0,  1641,     0,  1337,     0,  1540,     0,   762,
       0,     0,     0,     0,     0,     0,     0,  1541,     0,     0,
     762,  1641,  2932,     0,  4299,  1540,  1542,     0,     0,     0,
    4306,     0,     0,  2943,     0,  1541,  1337,     0,  1543,     0,
       0,     0,     0,     0,  1542,     0,     0,     0,     0,  2961,
    2547,     0,  1534,     0,     0,     0,  1543,     0,     0,  1535,
       0,     0,  1536,     0,  1337,  1337,  1337,     0,  1337,     0,
       0,     0,     0,     0,     0,     0,     0,  1642,     0,     0,
    1545,  1546,     0,     0,     0,     0,  2541,     0,  1337,  1537,
       0,  2542,     0,     0,     0,  3634,  1192,  1193,  1545,  1546,
       0,  2048,  3035,     0,  2049,     0,     0,     0,  2050,  2051,
    2052,  1643,     0,  2543,  2236,     0,     0,  3047,     0,     0,
    1126,  3051,     0,  1538,     0,  2537,   839,     0,  2544,  3635,
    3341,     0,   187,     0,     0,  2538,     0,     0,     0,     0,
       0,     0,  2539,     0,  1337,     0,     0,     0,     0,     0,
    2477,  3070,  1126,     0,     0,     0,     0,     0,  2478,  2479,
    2480,  2481,  2482,  2483,  2484,  2485,  2486,     0,  2540,  2288,
       0,  3940,     0,     0,  3941,     0,     0,     0,     0,  1548,
       0,     0,     0,  2545,   762,     0,  2546,     0,  1641,     0,
    1337,     0,  1540,     0,  1337,  1337,     0,  1548,     0,     0,
       0,     0,  1541,     0,     0,   839,   839,   839,  2625,     0,
    1337,  1542,     0,     0,  4468,     0,  4470,   187,  4472,     0,
       0,     0,     0,  1543,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   802,     0,     0,     0,   762,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2709,     0,     0,  1545,  1546,     0,  2717,     0,
       0,     0,     0,   802,     0,  2547,   925,     0,     0,     0,
       0,  3229,  2541,     0,     0,     0,     0,  2542,     0,   839,
    2745,     0,     0,     0,     0,     0,  2710,     0,   839,     0,
       0,   925,     0,   923,     0,     0,     0,     0,     0,  2543,
    2236,     0,   935,     0,     0,     0,     0,     0,     0,   935,
       0,     0,   935,     0,  2544,     0,     0,     0,   972,     0,
     839,     0,     0,   802,     0,  2048,  2813,  2813,  2049,     0,
    2813,     0,  2050,  2051,  2052,     0,     0,     0,     0,     0,
     802,     0,     0,   839,     0,     0,   839,     0,     0,  2537,
       0,     0,     0,     0,  1548,  2288,     0,     0,     0,  2538,
       0,     0,     0,     0,     0,  2477,  2539,     0,     0,  2545,
     925,     0,  2546,  2478,  2479,  2480,  2481,  2482,  2483,  2484,
    2485,  2486,     0,     0,     0,     0,     0,     0,   839,  3942,
       0,     0,  2540,     0,     0,     0,     0,     0,     0,     0,
     925,   925,   925,   925,   839,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   839,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1337,
    1337,  1337,     0,     0,     0,     0,     0,     0,     0,   187,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   762,     0,     0,     0,
       0,  2547,   762,     0,   187,     0,   762,     0,     0,     0,
       0,     0,     0,     0,     0,  3196,  3196,  3196,  3196,     0,
       0,  3196,  3196,  3196,  3196,  3196,  3196,  3196,  3196,  3196,
    3196,     0,     0,  5144,  5145,     0,     0,     0,  5148,  5149,
       0,     0,     0,     0,     0,     0,  2541,     0,     0,  4556,
       0,  2542,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   839,     0,     0,
       0,     0,     0,  2543,  2236,     0,     0,     0,   839,  3196,
    3196,     0,     0,     0,     0,     0,   925,   925,  2544,     0,
       0,     0,     0,     0,     0,     0,  5976,     0,     0,     0,
       0,  2477,   925,     0,     0,     0,     0,     0,     0,  2478,
    2479,  2480,  2481,  2482,  2483,  2484,  2485,  2486,     0,     0,
     839,  2813,  4614,     0,     0,  3993,     0,     0,     0,  2288,
       0,     0,     0,     0,     0,     0,   925,   925,   925,   925,
       0,     0,     0,  2545,     0,   839,  2546,     0,     0,     0,
       0,  2048,   839,     0,  2049,     0,     0,     0,  2050,  2051,
    2052,     0,     0,     0,     0,     0,     0,     0,   923,   620,
       0,     0,   620,     0,   935,  2537,     0,     0,   935,     0,
     935,     0,   936,   936,     0,  2538,     0,     0,     0,     0,
       0,     0,  2539,   972,   972,  2048,     0,   936,  2049,     0,
     936,     0,  2050,  2051,  2052,     0,   187,     0,     0,     0,
       0,     0,     0,     0,     0,   925,   925,     0,  2540,  2537,
       0,     0,   925,     0,   839,     0,     0,     0,     0,  2538,
       0,     0,     0,     0,     0,  2547,  2539,     0,     0,     0,
       0,  1954,     0,  1865,     0,  1867,  1868,     0,   925,     0,
     936,     0,     0,  3109,   936,   936,     0,   839,   839,     0,
     925,     0,  2540,     0,     0,     0,     0,   839,     0,     0,
       0,     0,     0,     0,   839,     0,     0,     0,     0,     0,
     772,   772,     0,     0,  3145,     0,     0,     0,  1337,     0,
    1337,     0,     0,     0,     0,  1337,  1337,     0,     0,     0,
       0,     0,  1337,  1337,  1337,     0,     0,  1337,     0,  1337,
     972,  1337,  1337,  1337,  1337,  1337,  1337,     0,     0,  1337,
       0,  1337,  1337,     0,     0,  1337,     0,     0,     0,     0,
       0,     0,  2541,     0,     0,  2477,     0,  2542,     0,     0,
    1337,  1337,  1337,  2478,  2479,  2480,  2481,  2482,  2483,  2484,
    2485,  2486,     0,     0,     0,     0,  3225,  1337,     0,  2543,
    2236,     0,     0,     0,     0,  4960,     0,     0,  4962,     0,
       0,     0,     0,     0,  2544,     0,  2541,     0,     0,     0,
       0,  2542,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4977,     0,     0,   925,     0,     0,
       0,     0,     0,  2543,  2236,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2288,   762,  3196,  2544,     0,
       0,     0,     0,     0,     0,     0,   924,   926,     0,  2545,
     929,     0,  2546,     0,     0,     0,     0,     0,     0,     0,
       0,  1530,     0,     0,     0,     0,     0,  1531,     0,     0,
     987,     0,     0,     0,     0,     0,     0,   997,     0,  2288,
    3465,     0,  2048,     0,     0,  2049,  3473,     0,     0,  2050,
    2051,  2052,     0,  2545,     0,     0,  2546,     0,     0,     0,
       0,     0,  2048,     0,     0,  2049,  2537,     0,   688,  2050,
    2051,  2052,  1533,     0,     0,     0,  2538,   776,     0,     0,
    1337,     0,     0,  2539,     0,     0,  2537,  3506,     0,     0,
       0,     0,     0,     0,     0,     0,  2538,     0,     0,     0,
       0,  2547,     0,  2539,     0,     0,     0,  2048,     0,  2540,
    2049,     0,     0,     0,  2050,  2051,  2052,     0,     0,     0,
    1337,     0,     0,     0,     0,     0,     0,     0,  1534,  2540,
       0,  2537,     0,     0,     0,  1535,     0,     0,  1536,     0,
       0,  2538,     0,     0,     0,  2547,     0,     0,  2539,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5107,     0,     0,  1537,     0,     0,     0,     0,
       0,     0,     0,  1337,  2540,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1538,
    5011,  2477,     0,  5131,  5132,     0,     0,     0,     0,  2478,
    2479,  2480,  2481,  2482,  2483,  2484,  2485,  2486,     0,     0,
       0,     0,  4336,  2541,     0,     0,     0,     0,  2542,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2541,     0,  2477,     0,     0,  2542,     0,
    2543,  2236,     0,  2478,  2479,  2480,  2481,  2482,  2483,  2484,
    2485,  2486,     0,     0,  1539,  2544,  4519,     0,  1540,     0,
    2543,  2236,     0,     0,   762,     0,     0,     0,  1541,     0,
       0,     0,     0,     0,     0,  2544,     0,  1542,  2541,     0,
       0,     0,     0,  2542,     0,     0,  3729,  5175,  5176,  1543,
       0,     0,     0,     0,     0,     0,  2288,     0,     0,     0,
       0,     0,     0,     0,     0,  2543,  2236,     0,     0,     0,
    2545,     0,     0,  2546,     0,     0,  2288,     0,     0,     0,
    2544,     0,     0,     0,     0,     0,     0,     0,  2787,     0,
    2545,  1545,  1546,  2546,     0,     0,     0,     0,  1337,  1337,
    1337,  1337,  1337,  1337,  1337,  1337,  1337,     0,  1337,     0,
       0,     0,     0,     0,     0,     0,   839,  1337,     0,  1337,
       0,  2288,  2788,     0,     0,     0,   839,     0,     0,     0,
       0,     0,     0,     0,     0,  2545,     0,     0,  2546,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   839,     0,  1337,     0,     0,
     925,  1337,  2547,     0,  1337,     0,  1337,     0,     0,  1337,
       0,     0,     0,  1337,     0,     0,     0,  5269,     0,     0,
    5271,  5272,  2547,     0,     0,     0,     0,     0,     0,     0,
    1548,     0,     0,     0,     0,     0,  3351,  5276,     0,  1056,
       0,  1059,   839,   839,  1061,     0,     0,     0,  5754,     0,
       0,     0,     0,  1337,     0,     0,     0,     0,  1086,     0,
       0,     0,  1337,  1337,  1090,  3899,     0,  2547,     0,     0,
       0,     0,     0,     0,     0,     0,   839,     0,     0,     0,
    3912,     0,     0,     0,  3395,  3917,  3400,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2477,     0,     0,     0,     0,     0,     0,     0,
    2478,  2479,  2480,  2481,  2482,  2483,  2484,  2485,  2486,     0,
       0,     0,  2477,  4569,     0,     0,   772,     0,   772,     0,
    2478,  2479,  2480,  2481,  2482,  2483,  2484,  2485,  2486,     0,
       0,     0,     0,  4673,     0,  1337,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   620,     0,     0,   936,
     972,   936,   936,     0,     0,   925,     0,  2477,   839,     0,
       0,     0,     0,     0,     0,  2478,  2479,  2480,  2481,  2482,
    2483,  2484,  2485,  2486,     0,     0,     0,     0,  4898,   802,
       0,     0,   923,     0,     0,   923,     0,     0,     0,     0,
    2745,     0,     0,     0,     0,   935,   935,     0,  3509,   839,
       0,     0,     0,     0,     0,  3520,     0,     0,     0,     0,
     935,     0,     0,   935,   839,     0,     0,     0,     0,     0,
    3196,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   839,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   839,     0,     0,
       0,     0,     0,   935,     0,     0,  1046,   935,   935,     0,
     802,  2048,  3196,     0,  2049,     0,     0,     0,  2050,  2051,
    2052,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2048,     0,   925,  2049,  2537,   925,  1530,  2050,  2051,
    2052,     0,     0,  1531,     0,  2538,     0,     0,     0,     0,
       0,     0,  2539,     0,     0,  2537,  1113,   688,     0,     0,
       0,     0,   839,   839,     0,  2538,     0,     0,     0,     0,
       0,     0,  2539,     0,     0,     0,     0,  3663,  2540,  3666,
    3668,     0,     0,     0,     0,  1562,  1563,     0,  1533,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2540,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1337,  1337,  1337,     0,     0,     0,  1337,     0,     0,     0,
       0,     0,     0,     0,   925,     0,  4151,     0,     0,     0,
       0,     0,     0,     0,  4154,     0,     0,   925,     0,     0,
       0,     0,     0,  1337,  1534,   925,  5565,     0,     0,     0,
       0,  1535,  1212,     0,  1536,  1791,     0,     0,  2745,     0,
       0,     0,     0,   839,     0,     0,     0,     0,     0,  3768,
    1803,     0,   772,     0,     0,     0,     0,     0,  1230,     0,
       0,  1537,     0,     0,   925,  3779,  1340,     0,     0,  1349,
    1113,  1351,  2541,     0,     0,  3663,     0,  2542,  5601,  6048,
       0,  1825,  1826,     0,     0,   925,     0,  3801,     0,     0,
       0,     0,  2541,     0,     0,  1538,     0,  2542,     0,  2543,
    2236,     0,     0,     0,     0,     0,  1863,     0,     0,  4237,
       0,  4239,     0,     0,  2544,     0,     0,     0,     0,  2543,
    2236,     0,     0,     0,     0,  3196,   925,  6048,   925,     0,
     925,     0,     0,     0,  2544,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  6048,  1900,  1902,     0,     0,
       0,     0,     0,     0,  3196,  2288,     0,     0,     0,     0,
    1641,     0,     0,  1954,  1540,     0,     0,     0,     0,  2545,
       0,     0,  2546,     0,  1541,  2288,     0,     0,     0,     0,
       0,     0,     0,  1542,     0,     0,     0,     0,     0,  2545,
       0,  5690,  2546,     0,     0,  1543,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4300,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   620,   925,     0,   936,
       0,   936,   936,     0,   925,     0,     0,     0,     0,     0,
       0,  1337,  2048,     0,  3501,  2049,  1337,  1545,  1546,  2050,
    2051,  2052,     0,     0,     0,     0,     0,  4322,     0,     0,
       0,     0,     0,     0,     0,     0,  2537,     0,     0,     0,
       0,  2547,  1337,  1337,  1337,     0,  2538,  1337,  1547,     0,
       0,  1113,     0,  2539,     0,  1337,  1337,  1337,  1337,     0,
       0,  2547,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1337,     0,     0,  1337,     0,  1337,     0,     0,  2540,
       0,     0,     0,     0,     0,     0,     0,  1337,  1337,     0,
       0,  1337,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   972,     0,
    1337,     0,  1337,     0,  1337,     0,  1548,     0,     0,     0,
       0,     0,     0,  3506,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1337,     0,     0,     0,   839,     0,
       0,  2477,     0,     0,     0,     0,     0,     0,     0,  2478,
    2479,  2480,  2481,  2482,  2483,  2484,  2485,  2486,     0,   839,
    3196,  2477,  4993,     0,     0,     0,     0,  4464,     0,  2478,
    2479,  2480,  2481,  2482,  2483,  2484,  2485,  2486,     0,     0,
       0,     0,  5030,     0,     0,     0,     0,   620,     0,     0,
    3351,  4066,     0,  2541,     0,  4066,  4080,  4066,  2542,     0,
       0,     0,  1337,     0,     0,     0,     0,  1337,  2048,     0,
       0,  2049,     0,     0,     0,  2050,  2051,  2052,     0,     0,
    2543,  2236,  1337,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2537,     0,     0,  2544,  3351,     0,     0,     0,
    4111,  1979,  2538,  4114,  3351,     0,  3400,     0,     0,  2539,
    4518,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1113,     0,     0,     0,     0,     0,
       0,     0,     0,  4527,     0,  2540,  2288,     0,     0,   619,
       0,     0,     0,     0,     0,     0,     0,  1337,     0,     0,
    2545,     0,     0,  2546,     0,     0,     0,     0,  4548,     0,
       0,     0,     0,     0,  2727,  5946,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   925,   925,     0,
       0,     0,     0,     0,     0,     0,     0,  5833,     0,  2766,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2044,     0,     0,     0,     0,     0,     0,     0,     0,
    2046,     0,     0,     0,     0,     0,   887,     0,     0,     0,
    1530,     0,     0,     0,  2500,     0,  1531,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2547,  1113,     0,     0,  2517,  2518,     0,  2541,
       0,  1113,  1113,     0,  2542,     0,     0,     0,     0,   923,
       0,     0,   935,     0,   935,   935,     0,     0,  2856,     0,
       0,  1533,     0,     0,     0,     0,  2543,  2236,     0,     0,
       0,     0,     0,     0,     0,   839,     0,     0,     0,     0,
       0,  2544,     0,     0,     0,  2813,     0,     0,  2882,  2883,
    2884,  2885,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3196,
    3196,     0,     0,     0,     0,     0,     0,  1534,     0,  1530,
       0,     0,  2288,     0,  1535,  1531,     0,  1536,     0,     0,
       0,     0,  2477,     0,     0,     0,  2545,     0,     0,  2546,
    2478,  2479,  2480,  2481,  2482,  2483,  2484,  2485,  2486,     0,
       0,     0,     0,  5280,  1537,     0,     0,  1530,     0,     0,
       0,     0,     0,  1531,     0,     0,     0,     0,     0,     0,
    1533,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1538,     0,
    1337,     0,     0,     0,     0,     0,  1337,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   925,  1533,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1534,     0,  2547,     0,
       0,     0,     0,  1535,  2938,  2939,  1536,     0,     0,     0,
       0,     0,     0,     0,   839,   839,   839,     0,     0,     0,
    2956,     0,     0,  1641,     0,     0,     0,  1540,     0,     0,
       0,   839,     0,  1537,  1534,     0,     0,  1541,     0,     0,
       0,  1535,     0,     0,  1536,  1337,  1542,     0,     0,     0,
       0,     0,     0,     0,  2999,  3000,  3001,  3002,  1543,     0,
       0,     0,     0,  1954,   839,   839,     0,  1538,  2854,   839,
       0,  1537,     0,     0,     0,     0,  2862,     0,     0,     0,
       0,   839,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3679,  2477,     0,
    1545,  1546,     0,     0,     0,  1538,  2478,  2479,  2480,  2481,
    2482,  2483,  2484,  2485,  2486,     0,     0,     0,   619,  5291,
       0,     0,     0,     0,     0,     0,  4881,     0,     0,     0,
       0,  3680,  1641,     0,  3076,     0,  1540,   925,     0,     0,
    3080,     0,     0,     0,     0,     0,  1541,     0,     0,     0,
       0,  3109,  4486,     0,     0,  1542,     0,     0,     0,     0,
     839,     0,     0,     0,     0,     0,     0,  1543,     0,     0,
    1641,     0,     0,   839,  1540,     0,   839,     0,     0,     0,
       0,     0,     0,     0,  1541,     0,     0,     0,     0,     0,
       0,     0,     0,  1542,     0,  1337,     0,     0,     0,  1548,
       0,     0,     0,     0,  1337,  1543,  4164,     0,     0,  1545,
    1546,     0,  1337,     0,  1337,     0,     0,  1337,     0,     0,
       0,     0,  1337,  1337,  1337,  1337,     0,     0,  1337,  1337,
    1337,  1337,  1337,  1337,  1337,  1337,  1337,  1337,     0,     0,
    4165,  1337,  1337,  1337,  4222,     0,     0,  1545,  1546,     0,
       0,  1337,     0,     0,     0,     0,  1337,     0,     0,     0,
    1337,     0,     0,     0,     0,     0,     0,     0,  1337,   923,
       0,  1337,   935,  1337,   935,   935,     0,     0,  4223,     0,
       0,     0,     0,  1337,     0,     0,  1337,  1337,     0,     0,
    2991,  1337,  1337,     0,  2996,     0,  4592,  1500,  1337,     0,
       0,     0,     0,     0,     0,   839,   839,   839,  1548,     0,
       0,     0,     0,     0,     0,  3239,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4066,  4080,  4066,     0,  1337,
    4066,     0,  1501,  4616,     0,  2048,     0,  3351,  2049,     0,
       0,  3351,  2050,  2051,  2052,     0,  1548,  4631,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2537,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2538,
       0,     0,     0,  1337,     0,     0,  2539,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3400,     0,
    1337,     0,  2048,  1502,     0,  2049,     0,     0,     0,  2050,
    2051,  2052,  2540,     0,     0,     0,     0,     0,  4679,  1954,
    1954,     0,     0,  1954,     0,     0,  2537,     0,     0,     0,
     887,     0,     0,     0,     0,     0,  2538,     0,     0,  1503,
       0,     0,     0,  2539,  5108,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   887,     0,  2745,  4711,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2540,
     619,     0,  3178,   619,     0,  1504,     0,  4732,     0,     0,
       0,     0,  5130,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5146,     0,     0,     0,     0,     0,
       0,     0,     0,  1505,     0,     0,     0,  1506,     0,   619,
       0,     0,     0,     0,     0,     0,  2541,   619,     0,     0,
    4781,  2542,     0,  2048,     0,     0,  2049,     0,     0,     0,
    2050,  2051,  2052,     0,     0,     0,     0,     0,  1588,  1508,
       0,     0,     0,  2543,  2236,     0,     0,  2537,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2538,  2544,     0,
       0,     0,     0,     0,  2539,     0,  5174,     0,     0,     0,
       0,     0,     0,  2541,     0,  4825,     0,  1589,  2542,     0,
       0,    35,     0,     0,     0,     0,  1510,     0,     0,     0,
    2540,     0,     0,     0,   887,  1511,     0,     0,     0,  2288,
    2543,  2236,     0,  1512,     0,     0,     0,     0,   925,     0,
       0,  1590,     0,  2545,     0,  2544,  2546,     0,     0,     0,
       0,     0,   925,  1514,  1337,     0,     0,     0,     0,     0,
       0,   839,  1515,     0,     0,     0,  1516,  4869,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2745,     0,
       0,     0,     0,     0,     0,     0,  2288,     0,     0,     0,
       0,     0,     0,   839,     0,     0,     0,     0,  3351,  3779,
    2545,     0,     0,  2546,     0,     0,  3663,     0,     0,     0,
       0,     0,     0,     0,     0,  4918,     0,  5258,     0,     0,
    1517,     0,     0,     0,     0,   839,     0,     0,     0,     0,
       0,     0,     0,     0,  2541,  2547,     0,  1337,  1337,  2542,
       0,     0,     0,     0,     0,     0,     0,     0,  1337,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1954,
     839,  2543,  2236,     0,     0,     0,     0,  1688,     0,     0,
       0,     0,     0,     0,     0,     0,  2544,   839,  3239,     0,
       0,     0,     0,     0,     0,   887,     0,     0,     0,     0,
       0,     0,  2547,     0,     0,     0,   887,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   887,     0,     0,  1337,     0,  2288,     0,     0,
       0,     0,     0,     0,     0,     0,  1337,     0,     0,     0,
       0,  2545,     0,     0,  2546,  2477,     0,  4300,     0,     0,
       0,     0,     0,  2478,  2479,  2480,  2481,  2482,  2483,  2484,
    2485,  2486,     0,     0,  1337,     0,  5299,  1337,     0,     0,
       0,     0,     0,     0,     0,  1337,  1337,     0,     0,     0,
       0,     0,  1337,  1337,     0,   689,     0,  1337,     0,     0,
    2696,  1337,     0,     0,  1337,  1337,     0,     0,     0,  1337,
    5034,     0,  2477,     0,     0,  1337,   839,   839,   839,   839,
    2478,  2479,  2480,  2481,  2482,  2483,  2484,  2485,  2486,     0,
       0,     0,   620,  5302,     0,  4066,     0,     0,  2697,  3351,
       0,     0,     0,  2547,  3351,     0,     0,  3351,   620,     0,
    3663,   692,  5065,     0,     0,  1337,     0,   972,     0,     0,
       0,     0,     0,  3474,     0,     0,  1337,   693,     0,     0,
    4111,     0,     0,     0,  1337,     0,  3400,     0,     0,     0,
       0,     0,     0,     0,     0,  1029,     0,     0,   887,     0,
       0,   772,     0,     0,  1337,     0,     0,     0,  2048,     0,
       0,  2049,     0,     0,     0,  2050,  2051,  2052,     0,  2698,
       0,     0,     0,     0,     0,     0,     0,  3301,     0,     0,
     696,     0,  2537,     0,     0,     0,     0,     0,  2745,   697,
       0,     0,  2538,     0,     0,     0,     0,     0,     0,  2539,
       0,     0,   698,  2477,  5129,     0,     0,  2699,     0,     0,
       0,  2478,  2479,  2480,  2481,  2482,  2483,  2484,  2485,  2486,
       0,     0,     0,     0,  5355,  2540,     0,     0,     0,     0,
       0,     0,     0,  1032,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1337,     0,     0,     0,     0,
       0,  3614,  1337,     0,  3617,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     702,     0,     0,     0,   925,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   925,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2700,     0,     0,     0,  1113,     0,     0,     0,     0,
    1337,  1980,     0,     0,     0,     0,  1980,  1980,     0,  2541,
       0,     0,     0,     0,  2542,     0,   620,     0,     0,     0,
       0,     0,  3708,  2745,     0,   213,  2701,     0,     0,   707,
       0,     0,  1954,     0,     0,  3721,  2543,  2236,     0,     0,
       0,     0,     0,  3730,     0,     0,     0,  3779,     0,     0,
       0,  2544,     0,     0,  1351,     0,  1036,     0,     0,  2702,
     925,  2646,  3801,     0,     0,   711,     0,     0,     0,     0,
     619,     0,   712,     0,   619,   713,     0,     0,     0,     0,
       0,     0,  3774,     0,     0,     0,     0,     0,   839,     0,
       0,     0,  2288,     0,   714,     0,     0,     0,     0,   839,
       0,  1038,     0,  3798,     0,     0,  2545,   716,     0,  2546,
    1039,     0,     0,     0,   718,     0,     0,     0,     0,  5674,
       0,     0,  2703,     0,     0,     0,     0,     0,  2646,  2704,
       0,     0,     0,     0,  1351,     0,     0,     0,     0,     0,
       0,   619,     0,     0,  1337,     0,  3853,  1337,  3855,     0,
    1337,  1337,  1337,     0,     0,   723,     0,     0,  1351,     0,
       0,     0,     0,  5710,     0,     0,     0,     0,     0,   887,
       0,     0,     0,     0,     0,  1337,  1337,     0,     0,  1337,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2547,  1337,
       0,     0,   887,     0,     0,  1337,     0,     0,     0,  3351,
       0,     0,     0,  5065,     0,     0,  1337,     0,  5339,     0,
       0,     0,     0,     0,     0,  3672,     0,     0,     0,  4679,
       0,     0,  1337,     0,     0,  3911,     0,     0,     0,     0,
       0,     0,  3918,  4679,   972,   925,     0,   925,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3704,     0,  3704,     0,  3704,  3704,     0,     0,
       0,  3704,  3704,  3704,     0,  3704,  3704,  3704,     0,     0,
       0,     0,     0,     0,  1688,  1688,  1688,     0,     0,     0,
       0,     0,     0,     0,   936,   972,     0,     0,  2477,     0,
       0,     0,     0,     0,     0,     0,  2478,  2479,  2480,  2481,
    2482,  2483,  2484,  2485,  2486,     0,     0,     0,  2048,  5388,
       0,  2049,     0,     0,     0,  2050,  2051,  2052,     0,  3781,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   936,
       0,     0,  2537,     0,     0,     0,     0,     0,     0,     0,
       0,  4869,  2538,     0,  3809,     0,   839,     0,     0,  2539,
       0,   839,     0,     0,     0,     0,     0,     0,     0,     0,
    2745,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     839,     0,     0,     0,  4918,  2540,     0,  5477,     0,     0,
       0,     0,     0,     0,     0,   887,     0,     0,   925,   839,
    4679,   619,   619,     0,     0,     0,   887,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   887,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1337,     0,     0,     0,  1337,     0,  1337,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   620,     0,
       0,  1337,     0,     0,     0,  5541,     0,     0,     0,     0,
       0,     0,  1337,     0,     0,   887,     0,     0,     0,  1337,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     887,     0,     0,   887,   887,     0,     0,     0,     0,  2541,
       0,     0,     0,     0,  2542,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   839,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   887,   887,  2543,  2236,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1337,
       0,  2544,     0,     0,     0,  1337,  1337,     0,     0,     0,
     925,   925,   925,   925,     0,  4152,  4153,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  -136,     0,
       0,  1337,  2288,     0,     0,     0,     0,     0,     0,   620,
       0,     0,     0,     0,     0,     0,  2545,     0,     1,  2546,
       0,     0,     0,     0,     0,     0,     0,     0,     2,     0,
       3,     4,     0,     0,   839,   619,     0,  3351,     0,     0,
       0,     0,   619,     0,     0,     0,  1688,   619,     5,  1688,
     619,  5061,     0,  1113,     0,     0,     0,     0,     6,     0,
       0,     0,   839,     0,     0,     0,     0,     0,     0,     0,
       7,     0,     8,     9,   887,     0,     0,     0,     0,    10,
       0,    11,     0,     0,     0,     0,     0,     0,     0,     0,
    1337,     0,     0,    12,     0,    13,  1337,     0,     0,     0,
    1954,     0,     0,     0,  3663,     0,     0,  1337,  2547,     0,
       0,     0,    14,     0,     0,    15,  1337,     0,  1337,     0,
    1337,  5339,     0,     0,     0,     0,     0,  4679,     0,     0,
      16,     0,    17,     0,     0,     0,    18,  1954,     0,   972,
       0,     0,    19,     0,     0,     0,     0,     0,  1337,     0,
      20,     0,    21,     0,     0,     0,     0,     0,     0,    22,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    23,     0,     0,     0,
       0,     0,     0,  1954,  1954,     0,     0,     0,     0,   937,
     947,     0,     0,    24,     0,     0,     0,   937,     0,   947,
     937,     0,     0,     0,     0,     0,     0,     0,  2477,     0,
       0,     0,  1113,   947,   925,  4323,  2478,  2479,  2480,  2481,
    2482,  2483,  2484,  2485,  2486,     0,     0,     0,  5798,  5390,
       0,     0,     0,    25,    26,     0,     0,     0,     0,    27,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    28,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1337,  1337,  1337,     0,
       0,    29,     0,     0,  1337,     0,     0,     0,  5541,     0,
       0,     0,     0,     0,  1337,     0,     0,     0,     0,  5200,
    4212,     0,     0,  3400,  1337,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     936,     0,     0,     0,     0,    30,     0,     0,     0,     0,
     619,     0,     0,     0,     0,   925,     0,     0,     0,    31,
       0,     0,  1954,     0,     0,    32,    33,     0,    34,     0,
       0,     0,     0,    35,     0,     0,     0,     0,  4259,    36,
       0,     0,    37,     0,     0,     0,     0,  2745,     0,    38,
       0,     0,     0,     0,  1337,    39,    40,     0,     0,     0,
       0,     0,     0,    41,  4679,  4476,     0,    42,     0,     0,
       0,     0,   936,   936,  5915,     0,     0,    43,  1337,     0,
    1337,     0,     0,     0,     0,     0,     0,     0,     0,  1954,
    1954,  5930,    44,     0,     0,     0,  1337,  1337,     0,     0,
       0,     0,  5936,     0,     0,     0,  4302,     0,     0,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    46,   925,     0,     0,     0,     0,    47,
       0,     0,     0,     0,    48,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    49,     0,     0,
       0,     0,  3704,  5798,   925,   925,     0,     0,     0,  4679,
       0,     0,     0,     0,  4333,  4333,     0,     0,     0,     0,
      50,     0,   619,     0,  4349,     0,     0,   620,     0,  1113,
       0,  1113,     0,     0,     0,     0,     0,     0,    56,     0,
       0,  -136,   619,     0,     0,     0,     0,  1337,     0,     0,
       0,     0,     0,     0,     0,     0,   619,     0,     0,     0,
       0,  1337,     0,     0,  1688,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4404,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1337,     0,     0,     0,     0,  6020,  6021,   620,
    6024,  5541,     0,     0,  3400,     0,     0,   935,     0,     0,
       0,     0,  4440,  1113,     0,     0,   925,     0,     0,  4679,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4111,  -136,     0,     0,     0,     0,     0,     0,
       0,     0,   935,     0,     0,   947,     0,     0,     0,     0,
       0,  1337,   620,     1,     0,     0,  1337,     0,     0,     0,
     620,     0,     0,     2,   947,     3,     4,     0,     0,     0,
     947,     0,   936,   936,     0,     0,  6086,     0,     0,     0,
       0,     0,   947,     5,     0,     0,     0,     0,     0,     0,
       0,  3407,     0,     6,     0,  2646,  3413,     0,   947,     0,
       0,     0,     0,   619,     0,     7,     0,     8,     9,     0,
       0,     0,   937,   947,    10,     0,    11,     0,     0,   937,
       0,   947,   937,     0,     0,     0,     0,     0,    12,     0,
      13,     0,     0,     0,     0,   947,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   947,     0,    14,     0,     0,
      15,     0,     0,   887,     0,     0,     0,     0,     0,   887,
       0,   619,     0,     0,     0,    16,     0,    17,     0,     0,
       0,    18,     0,     0,     0,     0,     0,    19,  4570,     0,
       0,     0,     0,     0,     0,    20,     0,    21,     0,     0,
       0,     0,     0,     0,    22,     0,     0,     0,     0,     0,
     887,     0,     0,   947,     0,     0,     0,     0,     0,     0,
       0,    23,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    24,     0,
       0,     0,   947,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2048,     0,     0,  2049,     0,     0,     0,
    2050,  2051,  2052,     0,     0,     0,     0,   947,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2537,    25,    26,
       0,     0,     0,     0,    27,     0,  4849,  2538,     0,     0,
       0,     0,     0,     0,  2539,     0,     0,     0,    28,     0,
    4851,     0,  5635,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    29,     0,     0,     0,
    2540,     0,     0,     0,     0,     0,     0,   947,     0,     0,
     619,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      30,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    31,     0,     0,     0,     0,     0,
      32,    33,     0,    34,     0,     0,     0,  1688,    35,     0,
       0,     0,     0,     0,    36,     0,     0,    37,     0,     0,
       0,     0,     0,     0,    38,     0,     0,  4349,     0,     0,
      39,    40,     0,     0,     0,     0,     0,     0,    41,   887,
     619,     0,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    43,  4771,  2541,     0,     0,  1774,     0,  2542,
       0,     0,     0,   947,     0,     0,     0,    44,  4785,     0,
       0,  4786,     0,  4787,   937,     0,     0,     0,   937,     0,
     937,  2543,  2236,     0,     0,     0,     0,    45,     0,     0,
       0,     0,     0,     0,     0,     0,  2544,     0,    46,     0,
       0,     0,     0,     0,    47,     0,     0,     0,     0,    48,
       0,     0,  2646,     0,     0,     0,  2646,     0,     0,  4827,
       0,     0,    49,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3704,     0,  2288,     0,     0,
    3704,   619,     0,     0,     0,    50,    51,    52,    53,    54,
      55,  2545,     0,     0,  2546,     0,     0,     0,     0,     0,
       0,     0,     0,    56,     0,     0,  -136,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   947,     0,  2048,     0,
       0,  2049,     0,     0,     0,  2050,  2051,  2052,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2537,     0,     0,     0,     0,     0,   887,     0,
       0,     0,  2538,   935,     0,     0,     0,     0,     0,  2539,
       0,     0,     0,   887,     0,     0,     0,     0,   887,  4932,
       0,  2048,  4349,  2547,  2049,     0,     0,   947,  2050,  2051,
    2052,     0,     0,     0,     0,  2540,     0,     0,   947,  2048,
       0,     0,  2049,     0,     0,  2537,  2050,  2051,  2052,     0,
       0,     0,   947,     0,     0,  2538,   947,     0,     0,     0,
       0,     0,  2539,  2537,     0,     0,     0,   619,     0,     0,
       0,     0,     0,  2538,     0,   935,   935,     0,     0,     0,
    2539,     0,     0,     0,     0,     0,     0,     0,  2540,     0,
       0,     0,     0,     0,     0,  4980,  4980,  4980,  4980,     0,
    4980,  4980,  4980,  4980,  4980,     0,  2540,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2477,     0,     0,     0,     0,     0,     0,
       0,  2478,  2479,  2480,  2481,  2482,  2483,  2484,  2485,  2486,
       0,     0,     0,     0,  5429,     0,     0,     0,     0,  2541,
       0,     0,  5167,     0,  2542,     0,   619,     0,     0,     0,
       0,     0,   619,     0,     0,     0,     0,  5171,     0,     0,
       0,     0,     0,     0,     0,   947,  2543,  2236,     0,     0,
    5981,     0,     0,   947,   947,     0,     0,     0,     0,     0,
       0,  2544,     0,     0,     0,  5042,     0,  5044,     0,     0,
       0,     0,  2541,     0,     0,     0,     0,  2542,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2541,     0,     0,     0,     0,  2542,     0,     0,     0,  2543,
    2236,     0,  2288,     0,     0,     0,  1774,     0,     0,     0,
       0,   886,     0,     0,  2544,     0,  2545,  2543,  2236,  2546,
       0,     0,  6022,     0,     0,     0,     0,     0,  5229,     0,
       0,     0,  2544,     0,     0,     0,     0,     0,     0,     0,
       0,  2646,   619,     0,  3413,     0,  3413,     0,     0,     0,
       0,  2646,     0,     0,     0,  2288,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2545,
       0,     0,  2546,  2288,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  6022,     0,  2545,     0,     0,
    2546,     0,     0,  6071,     0,     0,     0,     0,     0,   887,
       0,     0,     0,     0,     0,   935,   935,   887,  2547,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2048,     0,     0,  2049,     0,     0,     0,  2050,  2051,
    2052,     0,  2646,     0,     0,     0,     0,     0,     0,     0,
    2048,     0,     0,  2049,     0,  2537,     0,  2050,  2051,  2052,
       0,     0,     0,     0,     0,  2538,     0,     0,     0,     0,
       0,  2547,  2539,     0,  2537,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2538,     0,     0,     0,     0,  2547,
       0,  2539,     0,  5172,  5173,     0,     0,     0,  2540,     0,
       0,     0,     0,     0,     0,     0,  3704,     0,  3704,  3704,
    3704,     0,   887,     0,   887,     0,     0,  2540,  2477,     0,
       0,     0,     0,  5361,     0,  5362,  2478,  2479,  2480,  2481,
    2482,  2483,  2484,  2485,  2486,     0,     0,     0,     0,  5748,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   877,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   947,     0,     0,
       0,  2477,     0,     0,  5224,     0,     0,     0,     0,  2478,
    2479,  2480,  2481,  2482,  2483,  2484,  2485,  2486,     0,  2477,
       0,     0,  5770,     0,     0,     0,     0,  2478,  2479,  2480,
    2481,  2482,  2483,  2484,  2485,  2486,     0,     0,   887,     0,
    5962,     0,  2541,  5252,     0,     0,     0,  2542,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2541,     0,     0,     0,  1688,  2542,     0,     0,  2543,
    2236,  1688,     0,     0,     0,     0,     0,     0,     0,     0,
     887,     0,     0,     0,  2544,  4980,     0,     0,  2543,  2236,
       0,     0,  2048,     0,     0,  2049,     0,     0,     0,  2050,
    2051,  2052,     0,  2544,     0,     0,  5489,     0,  3413,     0,
       0,   947,     0,     0,     0,     0,  2537,     0,     0,     0,
       0,     0,     0,     0,     0,  2288,  2538,     0,     0,     0,
       0,     0,     0,  2539,     0,     0,     0,     0,     0,  2545,
       0,     0,  2546,     0,  2288,     0,  1774,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2545,  2540,
       0,  2546,     0,     0,     0,     0,     0,     0,     0,   947,
       0,     0,     0,     0,     0,     0,   887,   947,     0,     0,
       0,     0,     0,     0,     0,   947,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3413,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     887,     0,     0,     0,     0,   937,   937,     0,   947,   947,
       0,  2547,     0,     0,  4349,     0,     0,     0,     0,     0,
     937,     0,   947,   937,     0,     0,   628,     0,     0,     0,
    2547,     0,   677,   628,     0,   947,   947,     0,   729,  5597,
     628,  5599,     0,     0,     0,     0,   628,     0,   782,     0,
       0,     0,     0,  2541,     0,     0,     0,     0,  2542,     0,
    3704,     0,     0,     0,     0,     0,     0,   850,   850,  5424,
       0,     0,     0,   937,     0,     0,     0,   937,   937,     0,
    2543,  2236,     0,   887,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2544,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   887,     0,     0,     0,
       0,  2477,     0,     0,     0,     0,     0,     0,     0,  2478,
    2479,  2480,  2481,  2482,  2483,  2484,  2485,  2486,     0,     0,
    2477,   887,  5980,     0,     0,     0,  2288,     0,  2478,  2479,
    2480,  2481,  2482,  2483,  2484,  2485,  2486,     0,     0,     0,
    2545,  6026,     0,  2546,     0,     0,     0,  2048,     0,     0,
    2049,     0,     0,     0,  2050,  2051,  2052,     0,     0,     0,
       0,     0,     0,     0,     0,   886,     0,     0,     0,     0,
       0,  2537,  1774,     0,     0,  3358,     0,     0,     0,     0,
       0,  2538,     0,     0,     0,     0,     0,     0,  2539,     0,
       0,   886,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   927,     0,
       0,     0,   931,     0,  2540,     0,     0,     0,     0,     0,
     974,     0,     0,   976,     0,     0,   981,   982,     0,   985,
       0,   988,  2547,     0,   994,     0,   996,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3359,     0,     0,     0,     0,
       0,  2646,  5784,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1113,     0,     0,     0,  5610,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2541,     0,
       0,     0,  2477,  2542,     0,     0,     0,     0,     0,   886,
    2478,  2479,  2480,  2481,  2482,  2483,  2484,  2485,  2486,     0,
       0,  2925,     0,     0,     0,  2543,  2236,     0,     0,     0,
       0,  3413,     0,     0,     0,     0,     0,     0,     0,     0,
    2544,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2048,  5868,     0,  2049,     0,  3413,     0,  2050,
    2051,  2052,     0,   877,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2537,     0,     0,     0,
       0,  2288,     0,     0,     0,     0,  2538,     0,     0,   877,
       0,     0,     0,  2539,     0,  2545,     0,     0,  2546,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2540,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1113,     0,     0,     0,
    5760,     0,  5761,     0,     0,     0,  5766,  5767,     0,     0,
       0,     0,  5950,     0,     0,     0,     0,     0,     0,     0,
     886,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   886,     0,     0,     0,     0,     0,  2547,     0,     0,
       0,     0,  5964,  5964,     0,     0,     0,   886,     0,   887,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2541,     0,     0,     0,   877,  2542,     0,
       0,     0,     0,     0,     0,     0,  3413,  3360,     0,     0,
       0,  2646,     0,     0,     0,     0,     0,     0,     0,     0,
    2543,  2236,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2544,     0,     0,     0,     0,
       0,     0,     0,  2048,     0,     0,  2049,  2477,     0,     0,
    2050,  2051,  2052,     0,     0,  2478,  2479,  2480,  2481,  2482,
    2483,  2484,  2485,  2486,  5964,     0,     0,  2537,     0,     0,
       0,  1023,     0,     0,     0,     0,  2288,  2538,     0,     0,
       0,     0,  1060,     0,  2539,     0,  1064,     0,     0,     0,
    2545,     0,     0,  1077,  1078,     0,     0,  1084,     0,  1087,
    1088,     0,     0,     0,     0,     0,     0,  1774,     0,     0,
    2540,     0,     0,   886,  1110,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1123,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   887,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1151,     0,  1153,     0,     0,   877,     0,
       0,     0,   947,     0,     0,  1169,     0,     0,     0,   877,
       0,  1113,     0,     0,     0,     0,     0,     0,     0,     0,
     947,     0,  2547,     0,   947,   877,     0,     0,   947,     0,
       0,     0,     0,     0,     0,     0,     0,   947,   628,     0,
    3971,     0,     0,     0,     0,  3972,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   947,     0,     0,     0,     0,
       0,     0,     0,     0,  2541,     0,     0,     0,     0,  2542,
       0,     0,   937,     0,   937,   937,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   947,
       0,  2543,  2236,     0,     0,  2516,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2544,   887,     0,   947,
     947,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2477,     0,     0,   850,     0,     0,     0,     0,
    2478,  2479,  2480,  2481,  2482,  2483,  2484,  2485,  2486,     0,
    1774,   947,     0,     0,  1774,   887,     0,  2288,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6049,     0,     0,
       0,  2545,     0,  2500,  2546,     0,     0,   887,   947,     0,
    1774,     0,     0,     0,   947,     0,     0,     0,     0,     0,
       0,   877,     0,     0,     0,     0,     0,     0,   947,     0,
       0,     0,     0,     0,     0,   947,   886,     0,   947,     0,
       0,     0,     0,     0,   947,  6049,     0,     0,  1491,     0,
       0,  2048,     0,     0,  2049,     0,     0,     0,  2050,  2051,
    2052,     0,     0,  6049,   947,     0,  5042,     0,     0,     0,
     947,     0,     0,     0,     0,  2537,     0,   947,     0,   887,
       0,     0,     0,     0,     0,  2538,     0,     0,     0,     0,
       0,   947,  2539,  3973,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   886,   947,     0,     0,     0,     0,  1774,
       0,     0,     0,     0,     0,   947,     0,     0,  2540,     0,
       0,     0,  1672,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   886,     0,  1792,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1804,     0,  1805,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1808,     0,  1774,     0,   886,     0,     0,
    1818,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2477,     0,     0,     0,     0,  5256,     0,
     887,  2478,  2479,  2480,  2481,  2482,  2483,  2484,  2485,  2486,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1869,     0,  1871,     0,     0,     0,     0,     0,
       0,     0,  2541,     0,     0,     0,     0,  2542,  2048,     0,
       0,  2049,     0,     0,     0,  2050,  2051,  2052,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2543,
    2236,     0,  2537,     0,   877,     0,     0,     0,     0,     0,
       0,     0,  2538,     0,  2544,     0,     0,     0,     0,  2539,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   628,     0,
     628,     0,   628,     0,   628,  2540,   628,   628,   628,     0,
       0,     0,     0,   628,     0,  2288,     0,     0,     0,     0,
     887,     0,     0,     0,     0,  1975,     0,     0,     0,  2545,
     947,   877,  2546,     0,     0,     0,     0,     0,  1987,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   947,     0,
       0,     0,     0,     0,     0,   947,     0,  4561,     0,     0,
       0,     0,   937,     0,   937,   937,     0,     0,     0,     0,
     886,     0,   877,     0,     0,     0,     0,     0,     0,     0,
       0,   886,     0,     0,  2048,     0,     0,  2049,  3413,     0,
       0,  2050,  2051,  2052,  5922,     0,     0,   886,     0,     0,
       0,     0,     0,     0,     0,   877,     0,     0,  2537,     0,
       0,  3928,     0,     0,     0,     0,     0,     0,  2538,  2541,
       0,  2547,     0,     0,  2542,  2539,     0,     0,     0,  1774,
       0,     0,     0,     0,     0,  1774,     0,     0,  4562,     0,
       0,     0,     0,     0,     0,     0,  2543,  2236,     0,     0,
     886,  2540,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2544,     0,     0,     0,   886,     0,     0,   886,   886,
       0,     0,     0,     0,     0,     0,     0,  2048,     0,     0,
    2049,     0,     0,     0,  2050,  2051,  2052,     0,     0,     0,
       0,     0,     0,     0,     0,   850,     0,     0,     0,   886,
     886,  2537,  2288,     0,     0,     0,     0,     0,  3413,     0,
       0,  2538,     0,     0,     0,   947,  2545,  2048,  2539,  2546,
    2049,  2477,     0,     0,  2050,  2051,  2052,     0,     0,  2478,
    2479,  2480,  2481,  2482,  2483,  2484,  2485,  2486,     0,     0,
       0,  2537,  5923,     0,  2540,     0,     0,     0,     0,     0,
       0,  2538,     0,     0,     0,     0,     0,     0,  2539,     0,
       0,     0,     0,     0,     0,  2541,     0,     0,     0,     0,
    2542,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2540,     0,     0,     0,     0,     0,
       0,     0,  2543,  2236,     0,     0,     0,     0,   877,     0,
       0,     0,     0,     0,     0,     0,     0,  2544,  2547,   877,
       0,     0,     0,     0,     0,  2707,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   877,     0,     0,     0,   886,
       0,     0,     0,     0,   887,     0,     0,     0,     0,   887,
     887,     0,     0,     0,   947,   947,     0,     0,  2288,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2541,     0,
       0,     0,  2545,  2542,     0,  2546,     0,     0,     0,     0,
       0,   947,     0,     0,   947,     0,     0,     0,   877,  3981,
       0,     0,     0,     0,     0,  2543,  2236,  2799,     0,     0,
       0,     0,     0,   877,     0,     0,   877,   877,  2541,     0,
    2544,     0,     0,  2542,     0,     0,     0,     0,  2477,     0,
       0,     0,     0,     0,     0,     0,  2478,  2479,  2480,  2481,
    2482,  2483,  2484,  2485,  2486,  2543,  2236,   877,   877,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2544,  2288,     0,     0,     0,     0,  1774,  1774,  1774,     0,
       0,  5256,   887,     0,  2547,  2545,     0,     0,  2546,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   947,     0,     0,     0,     0,     0,  3944,     0,     0,
       0,  2288,     0,     0,  2048,     0,     0,  2049,     0,     0,
     947,  2050,  2051,  2052,     0,  2545,   887,     0,  2546,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2537,     0,
       0,  3976,   947,     0,     0,     0,     0,     0,  2538,     0,
       0,     0,     0,     0,     0,  2539,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2547,     0,     0,
       0,  2540,     0,     0,  2477,     0,     0,   877,     0,     0,
       0,     0,  2478,  2479,  2480,  2481,  2482,  2483,  2484,  2485,
    2486,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2048,     0,  2547,  2049,     0,
       0,     0,  2050,  2051,  2052,     0,     0,     0,   947,     0,
       0,     0,     0,     0,  2929,     0,     0,     0,     0,  2537,
       0,     0,  3988,     0,     0,     0,     0,     0,     0,  2538,
       0,     0,     0,     0,     0,     0,  2539,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2965,
       0,     0,     0,     0,     0,  1774,     0,  2477,     0,     0,
       0,   947,  2540,   947,     0,  2478,  2479,  2480,  2481,  2482,
    2483,  2484,  2485,  2486,     0,  2541,   947,     0,   947,     0,
    2542,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3026,     0,  3030,     0,     0,  2477,     0,     0,
       0,     0,  2543,  2236,     0,  2478,  2479,  2480,  2481,  2482,
    2483,  2484,  2485,  2486,  3048,     0,     0,  2544,   879,  2048,
       0,     0,  2049,     0,     0,     0,  2050,  2051,  2052,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3068,     0,  3069,  2537,     0,   947,     0,   880,     0,     0,
       0,     0,     0,  2538,     0,     0,     0,  3078,  2288,  3079,
    2539,     0,     0,     0,     0,   628,     0,   628,     0,   628,
       0,   628,  2545,   628,     0,  2546,  2541,   628,     0,     0,
       0,  2542,     0,     0,     0,     0,  2540,   947,     0,     0,
       0,     0,     0,   946,     0,     0,     0,     0,     0,     0,
       0,     0,   946,  2543,  2236,     0,   947,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   946,     0,  2544,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   947,     0,
       0,   947,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2288,
       0,     0,     0,     0,  2547,     0,     0,     0,     0,     0,
       0,     0,     0,  2545,     0,     0,  2546,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2541,     0,     0,     0,     0,  2542,     0,     0,     0,     0,
       0,  1774,     0,     0,  2048,     0,     0,  2049,     0,     0,
       0,  2050,  2051,  2052,     0,     0,   886,  2543,  2236,     0,
     886,   886,     0,     0,     0,     0,     0,     0,  2537,     0,
       0,  4568,  2544,     0,     0,     0,     0,     0,  2538,     0,
       0,     0,     0,     0,     0,  2539,     0,     0,     0,     0,
       0,     0,     0,     0,  2477,  2547,     0,     0,     0,     0,
       0,     0,  2478,  2479,  2480,  2481,  2482,  2483,  2484,  2485,
    2486,  2540,     0,  2288,     0,     0,     0,     0,   886,     0,
       0,     0,     0,     0,   886,     0,     0,  2545,     0,     0,
    2546,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1688,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   886,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2477,     0,     0,     0,     0,
       0,     0,     0,  2478,  2479,  2480,  2481,  2482,  2483,  2484,
    2485,  2486,   947,     0,     0,     0,     0,   882,     0,  2547,
       0,     0,     0,     0,     0,  2541,     0,     0,     0,     0,
    2542,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4515,  2543,  2236,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1774,     0,     0,     0,  2544,  1774,     0,
    1774,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   877,     0,     0,     0,   877,   877,
       0,     0,     0,     0,  1774,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2288,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2477,
       0,     0,  2545,     0,     0,  2546,     0,  2478,  2479,  2480,
    2481,  2482,  2483,  2484,  2485,  2486,     0,     0,     0,     0,
     947,     0,     0,   947,     0,     0,   877,     0,   946,     0,
       0,     0,   877,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   946,     0,     0,
       0,     0,     0,   946,   886,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   946,     0,     0,     0,     0,
       0,     0,     0,   877,     0,     0,     0,     0,     0,     0,
       0,   946,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2547,     0,   946,     0,     0,     0,
       0,     0,     0,     0,   946,     0,     0,     0,     0,     0,
       0,     0,     0,   947,   947,     0,     0,     0,   946,     0,
       0,     0,     0,     0,   947,     0,     0,   886,   946,     0,
       0,   886,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   947,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2048,     0,     0,  2049,     0,     0,
       0,  2050,  2051,  2052,     0,     0,     0,     0,     0,     0,
       0,     0,   879,     0,     0,     0,     0,     0,  2537,     0,
       0,     0,     0,     0,     0,     0,   946,     0,  2538,     0,
       0,     0,     0,     0,  2477,  2539,     0,     0,   879,     0,
       0,   880,  2478,  2479,  2480,  2481,  2482,  2483,  2484,  2485,
    2486,     0,     0,     0,     0,   946,     0,     0,     0,     0,
       0,  2540,   947,     0,     0,     0,     0,   880,     0,     0,
       0,     0,     0,   886,     0,     0,     0,     0,     0,     0,
     946,     0,     0,     0,     0,     0,     0,     0,   886,     0,
       0,     0,     0,   886,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3403,  3404,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   877,     0,     0,     0,     0,  3419,  3420,     0,
    3422,  3423,     0,     0,     0,  3426,  3427,     0,     0,     0,
     946,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3438,     0,     0,     0,     0,     0,  4994,  3447,     0,     0,
       0,  3450,  3451,     0,     0,  3454,  3455,     0,     0,     0,
       0,     0,  3460,     0,     0,  2541,     0,     0,     0,     0,
    2542,     0,     0,     0,  3475,     0,   879,     0,     0,     0,
       0,     0,     0,     0,     0,   877,  3492,     0,     0,   877,
       0,  3494,  2543,  2236,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   880,  3500,  2544,     0,     0,
       0,     0,     0,     0,     0,  3507,     0,     0,  3511,     0,
    3513,  3516,  3518,     0,     0,     0,     0,  3526,  3529,     0,
       0,     0,     0,     0,     0,     0,     0,  3542,     0,     0,
    1773,     0,     0,  3552,     0,     0,   946,  3555,  2288,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3565,
    3566,     0,  2545,     0,  3571,  2546,     0,     0,   947,     0,
    3580,  3581,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   883,     0,     0,  3590,     0,     0,  3591,     0,     0,
       0,   877,     0,     0,  3603,  3604,     0,     0,     0,     0,
    3608,     0,     0,     0,     0,     0,   877,     0,     0,     0,
     947,   877,  3615,     0,     0,  3618,     0,     0,     0,     0,
    3621,     0,   947,     0,     0,     0,  3624,  3625,     0,     0,
       0,     0,     0,     0,  3631,     0,   886,   879,  3633,   886,
       0,   886,  3640,  3641,  3642,  3643,   886,  3645,   879,     0,
       0,     0,     0,     0,  2547,     0,   947,     0,     0,     0,
    3670,  3671,     0,  3673,   879,     0,   880,     0,     0,   946,
       0,   882,     0,     0,  3682,  3683,  3684,   880,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   880,   886,     0,     0,   882,     0,     0,
       0,     0,   886,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   886,     0,     0,
     946,  3736,     0,     0,  1774,     0,     0,     0,     0,  3760,
       0,   946,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   947,  2477,   946,     0,     0,  3772,   946,
       0,     0,  2478,  2479,  2480,  2481,  2482,  2483,  2484,  2485,
    2486,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2048,     0,     0,
    2049,     0,     0,     0,  2050,  2051,  2052,   886,     0,   886,
       0,     0,     0,     0,     0,     0,     0,     0,  3840,     0,
       0,  2537,     0,     0,     0,     0,     0,     0,     0,     0,
     879,  2538,     0,     0,     0,     0,     0,  3854,  2539,  3856,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   947,
       0,     0,     0,     0,     0,   882,     0,     0,     0,   880,
       0,     0,     0,     0,  2540,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   877,     0,     0,   877,     0,   877,
       0,     0,     0,     0,   877,     0,     0,     0,   946,     0,
       0,     0,     0,     0,     0,     0,   946,   946,     0,     0,
       0,     0,     0,   886,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2048,     0,     0,  2049,     0,     0,     0,  2050,  2051,  2052,
       0,     0,   877,  3919,     0,     0,     0,     0,     0,     0,
     877,     0,     0,     0,     0,   886,     0,     0,     0,  1773,
       0,     0,     0,     0,  2538,     0,     0,     0,     0,  5000,
     947,  2539,   947,     0,     0,   877,     0,     0,     0,     0,
       0,     0,     0,   886,     0,     0,     0,     0,  2541,     0,
       0,     0,     0,  2542,     0,     0,     0,  2540,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2543,  2236,   947,     0,     0,
       0,     0,     0,     0,     0,     0,   882,   937,     0,     0,
    2544,     0,     0,     0,     0,     0,     0,   882,     0,     0,
       0,     0,     0,     0,     0,   877,     0,   877,     0,     0,
       0,   886,     0,   882,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1774,     0,     0,
       0,  2288,   937,   886,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   879,     0,  2545,     0,     0,  2546,     0,
       0,     0,     0,     0,     0,   886,     0,     0,     0,   885,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2541,   880,     0,     0,     0,  2542,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2543,  2236,
       0,   877,     0,     0,     0,     0,     0,     0,     0,     0,
     879,     0,     0,  2544,     0,     0,     0,     0,     0,     0,
       0,     0,  2048,     0,     0,  2049,     0,     0,     0,  2050,
    2051,  2052,     0,     0,     0,     0,     0,  2547,   886,   880,
       0,     0,     0,   877,     0,     0,  2537,     0,     0,     0,
       0,   879,     0,     0,  2288,     0,  2538,     0,     0,     0,
       0,   886,     0,  2539,     0,     0,     0,     0,  2545,   882,
     946,   877,     0,     0,     0,     0,     0,     0,     0,     0,
     880,     0,     0,     0,   879,     0,   886,  4137,     0,  2540,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   883,     0,  4149,     0,     0,
       0,     0,     0,   880,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4156,     0,     0,     0,  4156,     0,
       0,   883,     0,  4167,  4168,  4169,     0,  2477,     0,   877,
     947,     0,     0,     0,     0,  2478,  2479,  2480,  2481,  2482,
    2483,  2484,  2485,  2486,   947,  2048,     0,     0,  2049,     0,
    2547,   877,  2050,  2051,  2052,     0,     0,     0,     0,  4199,
    4200,  4201,  4202,     0,     0,     0,     0,     0,     0,  5001,
       0,     0,     0,   877,   946,  1774,     0,     0,     0,  2538,
       0,     0,     0,     0,     0,     0,  2539,     0,     0,  4218,
       0,     0,     0,  2541,     0,     0,     0,  4221,  2542,  4225,
    4226,  4227,     0,     0,     0,     0,     0,     0,     0,  1773,
       0,     0,  2540,     0,     0,     0,     0,     0,     0,     0,
    2543,  2236,     0,     0,     0,     0,   886,     0,     0,     0,
       0,     0,   946,     0,     0,  2544,     0,     0,     0,     0,
     946,     0,     0,     0,     0,     0,     0,     0,   946,     0,
    2477,     0,     0,     0,     0,     0,   877,     0,  2478,  2479,
    2480,  2481,  2482,  2483,  2484,  2485,  2486,   879,     0,   883,
       0,  1774,     0,     0,     0,     0,  2288,     0,   879,   877,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2545,   946,   946,  2546,   879,     0,   880,     0,     0,     0,
       0,     0,   882,     0,   877,   946,     0,   880,     0,     0,
       0,     0,     0,     0,     0,  4310,   886,     0,   946,   946,
       0,     0,     0,   880,  4316,     0,  2541,     0,     0,     0,
       0,  2542,     0,     0,     0,     0,  1774,     0,   947,     0,
       0,     0,   886,     0,     0,     0,     0,   879,     0,     0,
    4326,  4327,     0, -2818, -2818,  4328,     0,     0,     0,     0,
       0,     0,   879,     0,     0,   879,   879,     0,  2544,   882,
       0,     0,     0,     0,     0,     0,   880,  4370,     0,     0,
       0,     0,  2547,     0,     0,     0,     0,     0,     0,     0,
       0,   880,     0,     0,   880,   880,   879,   879,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0, -2818,
     882,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2545,     0,   880,   880,     0,     0,  4407,
     883,     0,     0,     0,  4413,     0,  1530,     0,     0,     0,
    4419,   883,  1531,   882,     0,     0,     0,     0,     0,  1597,
       0,     0,     0,     0,   877,     0,     0,   883,     0,     0,
     947,     0,     0,     0,     0,  1773,     0,     0,     0,     0,
    4458,  1598,     0,   937,     0,     0,     0,     0,     0,     0,
       0,     0,  2477,     0,   886,     0,   947,  1533,     0,     0,
    2478,  2479,  2480,  2481,  2482,  2483,  2484,  2485,  2486,  4473,
       0,  4474,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2547,     0,     0,     0,     0,
       0,     0,  1599,     0,     0,     0,   879,     0,     0,     0,
       0,   886,     0,     0,     0,     0,   886,     0,     0,     0,
       0,     0,  4499,  1534,   877,   937,   937,     0,     0,     0,
    1535,     0,     0,  1536,     0,   880,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     877,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1537,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   885,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   947,     0,     0,     0,     0,     0,  2048,
       0,  1600,  2049,   883,  1538,  2477,  2050,  2051,  2052,   885,
       0,     0,     0,  2478,  2479,  2480,  2481,  2482,  2483,  2484,
    2485,  2486,     0,  2537,     0,     0,   882,     0,     0,     0,
       0,     0,     0,  2538,     0,     0,     0,   882,     0,     0,
    2539,     0,     0,     0,     0,  1601,     0,     0,     0,     0,
    1602,     0,     0,   882,  1603,     0,     0,     0,   886,     0,
       0,     0,     0,     0,     0,     0,  2540,     0,     0,  1604,
       0,     0,     0,  1540,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1541,     0,     0,     0,     0,     0,     0,
       0,     0,  1542,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   877,  1605,  1543,     0,   882,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   882,     0,     0,   882,   882,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5002,     0,     0,     0,  1774,
       0,     0,     0,  3609,     0,     0,  1545,  1546,  1607,   877,
       0,     0,     0,     0,   877,   882,   882,   885,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4683,  1608,     0,  4690,     0,  4691,     0,  3610,     0,     0,
    2541,     0,   886,     0,     0,  2542,     0,  1774,  4698,     0,
       0,  1610,     0,     0,     0,   937,   937,     0,     0,     0,
    4704,     0,     0,     0,  4707,  1774,     0,  2543,  2236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     886,     0,  2544,  4731,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1611,     0,
       0,  4735,   886,     0,     0,  1548,   883,  4739,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2288,     0,     0,     0,     0,     0,     0,
       0,     0,  4774,     0,     0,     0,  4778,  2545,     0,     0,
    2546,     0,     0,     0,     0,   882,   877,     0,     0,     0,
       0,  4788,  4789,  4790,  4791,     0,     0,     0,     0,     0,
       0,  4795,  4796,  4797,  4798,     0,     0,     0,     0,     0,
    4800,  4801,     0,   883,   886,     0,  4808,  4809,   885,  4811,
    4812,  4813,  4814,  4815,  4816,  4817,     0,     0,     0,   885,
       0,     0,     0,     0,     0,  4826,     0,     0,     0,  4829,
    4830,  4831,  4832,     0,     0,   885,     0,     0,     0,     0,
       0,     0,     0,     0,   883,     0,     0,     0,     0,     0,
    1773,     0,     0,  4156,     0,     0,     0,     0,     0,  2547,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4852,     0,     0,     0,     0,     0,   883,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     877,     0,     0,     0,     0,   946,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   946,     0,   886,     0,   946,     0,     0,
       0,   946,     0,     0,     0,     0,     0,     0,   877,     0,
     946,     0,     0,     0,     0,     0,     0,  4933,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   946,  2477,
     877,     0,     0,     0,     0,     0,     0,  2478,  2479,  2480,
    2481,  2482,  2483,  2484,  2485,  2486,     0,     0,     0,     0,
    4156,     0,     0,     0,     0,     0,     0,  4958,     0,  4959,
       0,   885,   946,   879,     0,     0,     0,   879,   879,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4973,   946,   946,     0,     0,     0,     0,     0,     0,
       0,     0,   880,     0,     0,     0,   880,   880,     0,     0,
       0,     0,   877,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1773,   946,   886,     0,  1773,     0,     0,
       0,     0,     0,     0,     0,   879,     0,     0,     0,     0,
       0,   879,     0,     0,     0,     0,     0,     0,     0,   689,
     883,   946,     0,  1773,  3146,     0,     0,   946,     0,     0,
       0,   883,     0,     0,   880,     0,     0,     0,     0,     0,
     880,   946,     0,     0,     0,     0,     0,   883,   946,     0,
       0,   946,   879,     0,     0,     0,     0,   946,     0,     0,
       0,     0,     0,   886,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   692,  3147,   946,     0,     0,
       0,   880,     0,   946,     0,     0,     0,     0,     0,     0,
     946,   693,     0,     0,     0,     0,     0,     0,     0,     0,
     883,     0,     0,   877,   946,     0,     0,     0,     0,  1029,
       0,     0,     0,     0,     0,   883,     0,   946,   883,   883,
       0,     0,  1773,     0,     0,     0,     0,     0,   946,     0,
       0,     0,     0,  3148,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   696,     0,     0,     0,     0,   883,
     883,     0,     0,   697,     0,     0,     0,     0,     0,     0,
       0,  5109,  5110,  5111,     0,     0,   698,  5112,  5113,  5114,
    5115,  3149,     0,     0,  5117,     0,     0,     0,     0,     0,
       0,     0,     0,   886,   885,     0,     0,     0,  1773,     0,
       0,     0,     0,     0,     0,     0,     0,  1032,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5136,  5137,  5138,  5139,  5140,     0,  5142,  5143,     0,     0,
       0,     0,  3150,   877,     0,     0,     0,     0,  5152,  5153,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   702,     0,     0,     0,     0,     0,
       0,   885,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   879,  5159,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   883,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     880,   877,   885,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   886,
       0,     0,   882,     0,   886,   886,   882,   882,     0,   213,
    3151,     0,     0,   707,     0,   885,     0,     0,     0,     0,
       0,     0,     0,     0,   879,     0,     0,     0,   879,     0,
       0,     0,     0,   946,     0,     0,     0,     0,     0,     0,
    1036,     0,     0,  3152,     0,     0,     0,     0,     0,   711,
       0,   946,     0,   880,  5222,     0,   712,   880,   946,   713,
       0,     0,     0,     0,   882,     0,     0,     0,     0,     0,
     882,     0,     0,     0,     0,     0,     0,     0,   714,     0,
       0,     0,     0,     0,     0,  1038,     0,     0,     0,     0,
       0,   716,     0,     0,  1039,     0,     0,   950,   718,     0,
       0,   877,     0,     0,     0,     0,     0,     0,     0,   984,
       0,   882,     0,  3153,     0,     0,     0,   886,     0,  5273,
    1003,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     879,     0,  1773,     0,     0,     0,     0,     0,  1773,   723,
       0,     0,     0,     0,     0,   879,     0,     0,     0,     0,
     879,     0,     0,     0,     0,     0,     0,     0,     0,   880,
       0,   886,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   880,     0,     0,     0,     0,   880,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   885,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   946,   885,
       0,     0,     0,     0,     0,     0,     0,   877,     0,     0,
     628,     0,   877,   877,     0,   885,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   885,     0,
       0,     0,     0,  5377,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   885,     0,     0,   885,   885,     0,     0,
       0,     0,  5387,     0,     0,     0,     0,     0,  5393,  5394,
     882,     0,     0,     0,     0,     0,     0,     0,  5405,     0,
       0,     0,     0,     0,     0,  5407,     0,   885,   885,     0,
       0,     0,     0,     0,     0,   877,     0,   946,   946,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5459,  5460,     0,     0,   946,     0,     0,   946,     0,     0,
       0,     0,     0,  5468,     0,  5470,     0,     0,     0,   877,
       0,     0,     0,   882,     0,     0,     0,   882,     0,     0,
    5484,     0,     0,   879,     0,     0,   879,     0,   879,     0,
       0,     0,     0,   879,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4156,     0,     0,     0,     0,
       0,     0,   880,  5518,     0,   880,  2048,   880,     0,  2049,
       0,     0,   880,  2050,  2051,  2052,     0,     0,     0,  1773,
    1773,  1773,     0,     0,     0,     0,     0,     0,     0,     0,
    2537,   879,     0,     0,     0,     0,     0,   885,     0,   879,
    2538,     0,     0,     0,   946,     0,     0,  2539,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     880,     0,     0,   946,   879,     0,     0,     0,   880,   882,
       0,     0,  5555,  2540,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   882,   946,     0,     0,     0,   882,
       0,     0,  1022,   880,     0,     0,  5575,     0,  1054,     0,
       0,     0,     0,     0,     0,     0,  5582,     0,     0,     0,
       0,  2048,     0,     0,  2049,     0,     0,     0,  2050,  2051,
    2052,     0,     0,     0,     0,     0,   883,     0,     0,     0,
     883,   883,     0,     0,   879,  2537,   879,     0,     0,     0,
       0,     0,     0,     0,     0,  2538,     0,     0,     0,     0,
       0,     0,  2539,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   880,     0,   880,     0,     0,     0,     0,
       0,   946,     0,  5641,     0,     0,     0,     0,  2540,     0,
       0,     0,     0,     0,     0,     0,     0,  2541,   883,     0,
       0,     0,  2542,     0,   883,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2543,  2236,     0,     0,  1773,     0,
       0,     0,     0,     0,   946,     0,   946,     0,     0,  2544,
     879,     0,     0,     0,     0,   883,     0,     0,     0,   946,
       0,   946,     0,  4156,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   880,
       0,     0,     0,     0,     0,     0,     0,     0,  5520,     0,
    2288,     0,   879,     0,     0,  1344,     0,     0,     0,     0,
       0,     0,     0,     0,  2545,     0,     0,  2546,     0,     0,
       0,     0,  2541,     0,  1367,     0,     0,  2542,     0,     0,
     879,   880,     0,     0,  5736,     0,     0,     0,   946,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5749,  2543,
    2236,     0,     0,     0,     0,     0,     0,     0,     0,   880,
       0,     0,     0,     0,  2544,     0,     0,     0,     0,     0,
       0,     0,   882,     0,     0,   882,     0,   882,     0,     0,
     946,     0,   882,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1425,     0,     0,     0,   879,   946,
       0,     0,     0,     0,     0,  2288,  2547,  5788,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2545,
     879,   946,  2546,     0,   946,     0,     0,   880,     0,     0,
     882,     0,     0,     0,     0,     0,     0,     0,   882,     0,
       0,  1561,   879,     0,     0,     0,     0,     0,     0,   880,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   882,     0,     0,     0,     0,     0,     0,
       0,   880,     0,     0,   883,     0,     0,     0,     0,     0,
       0,  5348,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5862,     0,     0,
       0,     0,     0,     0,  1773,     0,  2477,     0,     0,     0,
       0,  2547,     0,     0,  2478,  2479,  2480,  2481,  2482,  2483,
    2484,  2485,  2486,     0,     0,   879,     0,     0,     0,  5874,
       0,     0,     0,   882,     0,   882,     0,     0,     0,     0,
    5884,     0,     0,     0,     0,     0,     0,   883,   879,     0,
       0,   883,     0,     0,   880,  1823,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   879,     0,     0,     0,   880,     0,     0,
       0,     0,     0,  1857,  1860,  1861,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   880,     0,     0,     0,     0,     0,     0,     0,
       0,  2477,     0,     0,     0,     0,     0,     0,     0,  2478,
    2479,  2480,  2481,  2482,  2483,  2484,  2485,  2486,  2048,   882,
       0,  2049,     0,     0,     0,  2050,  2051,  2052,     0,     0,
       0,  5956,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2537,   883,   885,     0,     0,     0,   885,   885,
       0,     0,  2538,     0,     0,     0,     0,     0,   883,  2539,
       0,   882,     0,   883,     0,   946,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1344,     0,     0,  2540,     0,     0,     0,   882,
       0,     0,     0,     0,     0,     0,     0,     0,  1986,     0,
       0,     0,     0,     0,     0,     0,   885,  1344,     0,     0,
       0,     0,   885,   879,     0,     0,  1773,     0,     0,     0,
       0,  1773,     0,  1773,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   880,     0,     0,     0,     0,  1773,     0,     0,
       0,     0,     0,   885,     0,     0,     0,   882,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   882,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   946,     0,     0,   946,     0,     0,  2541,
       0,   882,     0,   879,  2542,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2543,  2236,     0,   879,
       0,     0,   880,     0,     0,     0,     0,     0,     0,     0,
       0,  2544,     0,     0,     0,  2531,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   880,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2288,     0,   882,     0,   946,   946,     0,     0,
       0,     0,     0,     0,     0,     0,  2545,   946,     0,  2546,
       0,     0,     0,     0,     0,     0,     0,   882,     0,     0,
       0,     0,     0,     0,   946,     0,   883,     0,     0,   883,
       0,   883,     0,     0,     0,  2622,   883,     0,     0,     0,
       0,     0,   882,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   885,     0,     0,     0,     0,     0,     0,     0,
       0,   879,     0,     0,   883,     0,     0,     0,     0,     0,
       0,     0,   883,     0,     0,     0,     0,     0,  2547,     0,
       0,     0,     0,     0,     0,   946,     0,     0,     0,     0,
     880,     0,     0,     0,     0,     0,     0,   883,  2739,     0,
       0,     0,     0,     0,     0,     0,     0,  2762,   879,     0,
       0,     0,     0,   879,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   885,     0,     0,     0,   885,
       0,     0,     0,     0,     0,     0,     0,   880,     0,  2800,
       0,     0,   880,     0,     0,  2812,  2812,     0,     0,  2812,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2830,     0,     0,  2833,     0,   883,     0,   883,
       0,     0,   882,     0,     0,     0,     0,     0,  2477,     0,
       0,     0,     0,     0,     0,     0,  2478,  2479,  2480,  2481,
    2482,  2483,  2484,  2485,  2486,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2886,     0,     0,     0,     0,     0,     0,
       0,   885,     0,     0,     0,     0,     0,  2905,     0,     0,
    1320,  1320,     0,     0,     0,   879,   885,     0,     0,     0,
       0,   885,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   882,   883,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   880,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   882,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   946,     0,     0,     0,   883,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1320,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   883,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   946,     0,     0,  2927,     0,     0,     0,
       0,     0,     0,     0,     0,   946,     0,  2930,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   879,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   946,
       0,     0,     0,     0,     0,     0,     0,     0,   880,  2974,
    2812,   883,     0,     0,     0,     0,     0,   879,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   883,  3009,     0,     0,     0,     0,   879,
     882,  3022,     0,     0,     0,     0,   880,     0,     0,  1685,
    1689,     0,     0,     0,     0,   883,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   880,     0,
       0,     0,     0,     0,     0,     0,     0,  1773,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   882,     0,     0,
       0,     0,   882,     0,     0,     0,   946,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   879,     0,  3083,   885,     0,     0,   885,     0,   885,
       0,     0,     0,     0,   885,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   883,     0,
     880,     0,     0,     0,     0,     0,  1344,  1344,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   883,     0,  3136,     0,     0,     0,     0,     0,     0,
       0,     0,   885,     0,     0,     0,     0,     0,     0,     0,
     885,     0,   946,     0,     0,     0,   883,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   885,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   882,     0,     0,     0,     0,     0,
       0,     0,   879,   640,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   641,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   880,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   885,   642,   885,     0,     0,
       0,     0,  2003,     0,     0,     0,     0,     0,     0,   643,
       0,     0,     0,   946,     0,   946,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  -863,     0,     0,     0,     0,
       0,     0,     0,  2018,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   644,     0,     0,     0,     0,     0,   645,
       0,     0,     0,     0,     0,     0,   883,     0,     0,     0,
     946,  2037,  2038,  2039,     0,  2041,     0,   646,   882,     0,
       0,     0,   879,     0,     0,     0,     0,     0,   647,     0,
       0,     0,     0,     0,     0,  2495,     0,   648,     0,     0,
       0,   885,     0,     0,     0,     0,     0,     0,     0,     0,
     649,   880,     0,     0,     0,     0,   882,     0,   650,     0,
    1773,     0,   651,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   882,     0,
       0, -1064,     0,   885,     0,     0,     0,     0,     0,     0,
     879,     0,     0,     0,     0,     0,   883,     0,     0,     0,
       0,     0,   689,     0,     0,     0,     0,   690,     0,     0,
       0,   885,     0,     0,     0,     0,     0,     0,   652,   880,
       0,     0,   883,     0,     0,     0,     0,     0,  -597,     0,
       0,     0,     0,     0,     0,     0,     0,  2589,     0,     0,
       0,  2601,  2606,     0,     0,   691,     0,     0,     0,     0,
     882,     0,     0,     0,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   653,
       0,     0,   654,     0,   693,     0,     0,     0,     0,   885,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   694,   655,     0,     0,     0,     0,     0,     0,
       0,   885,     0,     0,     0,     0,     0,   656,  2488,     0,
     879,     0,     0,     0,  -455,     0,   695,     0,     0,     0,
       0,     0,     0,   885,     0,     0,     0,   696,     0,     0,
       0,     0,     0,     0,   657,     0,   697,     0,     0,   880,
       0,     0,     0,   658,     0,     0,     0,     0,     0,   698,
    -455,     0,     0,   659,   699,     0,     0,     0,     0,     0,
       0,   700,  2488,     0,   883,     0,     0,     0,     0,     0,
       0,   882,   660,   946,     0,     0,     0,     0,     0,   661,
     701,     0,     0,     0,     0,  -455,     0,   946,   662,   663,
       0,   664,   665,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   885,   666,     0,     0,
       0,   883,     0,     0,   667,     0,   883,   668,  1773,     0,
     669,     0,     0,     0,     0,     0,     0,   702,     0,   885,
       0,     0,     0,  -455,     0,     0,   879,     0,     0,     0,
       0,   879,   879,     0,     0,  3293,     0,     0,     0,     0,
       0,     0,     0,     0,   885,  3298,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   880,     0,     0,   703,     0,
     880,   880,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   704,     0,     0,  1425,     0,  1685,  1685,  1685,     0,
       0,   882,   705,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   213,   706,     0,     0,   707,     0,     0,     0,
       0,     0,     0,     0,  1773,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1425,  1425,   708,     0,     0,   709,     0,     0,     0,
     710,     0,   711,     0,     0,     0,     0,     0,   883,   712,
       0,     0,   713,     0,   879,     0,     0,     0,     0,   882,
       0,     0,     0,     0,     0,  1344,     0,     0,     0,     0,
       0,   714,     0,     0,     0,     0,     0,     0,   715,  1773,
       0,   946,     0,   880,   716,     0,     0,   717,     0,     0,
       0,   718,     0,     0,     0,     0,     0,     0,   879,   719,
       0,   720,     0,     0,   885,     0,   721,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   722,
       0,     0,     0,     0,     0,     0,     0,   880,     0,     0,
       0,     0,   723,     0,     1,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     2,     0,     3,     4,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   883,  2488,     6,     0,     0,  2488,     0,   882,
       0,     0,     0,     0,     0,     0,     7,     0,     8,     9,
       0,     0,     0,     0,   885,    10,     0,    11,  3510,     0,
       0,     0,     0,   946,     0,     0,     0,     0,     0,    12,
     883,    13,     0,  3532,     0,     0,     0,     0,     0,     0,
     885,     0,     0,     0,     0,     0,     0,     0,    14,   946,
       0,    15,   883,     0,     0,  3560,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    16,     0,    17,     0,
       0,     0,    18,     0,     0,     0,     0,     0,  5498,     0,
       0,     0,     0,     0,     0,     0,    20,     0,    21,     0,
       0,     0,     0,     0,     0,    22,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    23,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   883,   882,     0,     0,     0,    24,
     882,   882,  3164,     0,     0,     0,     0,     0,     0,     0,
       0,  3638,  3639,     0,  3184,     0,  3185,     0,  3187,     0,
       0,  3201,  3204,  3209,     0,     0,     0,     0,     0,  3218,
       0,     0,  3223,     0,     0,     0,   946,     0,     0,    25,
      26,     0,     0,     0,     0,    27,     0,  3230,  3231,  3232,
       0,     0,   885,     0,     0,     0,     0,     0,     0,    28,
       0,     0,     0,     0,  3233,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    29,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   885,
       0,     0,     0,     0,   885,     0,     0,     0,     0,     0,
       0,     0,  3762,   882,     0,   883,     0,     0,     0,     0,
       0,    30,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    31,     0,     0,     0,     0,
       0,    32,    33,     0,    34,     0,     0,     0,     0,    35,
       0,     0,  4448,     0,     0,    36,     0,   882,    37,     0,
       0,     0,     0,     0,     0,    38,     0,     0,     0,     0,
       0,    39,    40,     0,     0,     0,     0,     0,     0,    41,
       0,  2488,  1773,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    43,     0,     0,  2488,   689,     0,     0,
    3197,     0,  1025,     0,     0,     0,     0,  3240,    44,     0,
       0,     0,     0,     0,     0,  2488,  2488,  2488,     0,  2488,
       0,     0,     0,     0,     0,     0,     0,     0,    45,     0,
    1773,     0,     0,     0,     0,   883,   885,     0,     0,    46,
    1026,     0,     0,     0,     0,    47,     0,  3257,  1773,     0,
      48,     0,     0,   692,  1027,     0,     0,     0,     0,     0,
       0,     0,     0,    49,     0,  1028,     0,     0,     0,   693,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    50,  1029,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3259,     0,     0,   883,    56,     0,     0,  -136,     0,     0,
       0,  1030,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   696,     0,     0,     0,     0,     0,     0,     0,
       0,   697,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   698,     0,     0,     0,     0,  1031,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     885,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1032,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   885,     0,
    1033,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     885,     0,   702,   883,     0,     0,     0,  4034,     0,     0,
       0,     0,     0,   197,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1425,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1034,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3266,  3267,  3268,  3269,  3270,
    3271,  3272,  3273,  3274,   198,  3275,     0,   705,     0,     0,
       0,     0,   885,     0,  1320,     0,  1685,   213,  1035,     0,
     199,   707,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,     0,
       0,     0,     0,     0,   201,     0,     0,     0,  1036,     0,
       0,  1037,     0,     0,  3233,   710,     0,   711,  3240,     0,
       0,  3257,   202,  3259,   712,     0,  3310,   713,     0,   883,
       0,     0,     0,   203,   883,   883,     0,     0,     0,     0,
       0,     0,   204,     0,     0,     0,   714,     0,     0,     0,
       0,     0,     0,  1038,     0,   205,     0,     0,     0,   716,
     206,     0,  1039,     0,     0,     0,   718,   207,     0,     0,
       0,     0,     0,     0,  1040,     0,   720,     0,     0,  2038,
    2039,  1041,     0,     0,     0,     0,   208,     0,     0,     0,
       0,     0,     0,   885,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   723,     0,     0,
       0,   209,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   883,     0,     0,
       0,     0,     0,  2488,     0,     0,     0,     0,     0,     0,
       0,     0,  3452,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   883,     0,     0,  4243,     0,     0,     0,   212,     0,
       0,     0,     0,     0,  2812,     0,     0,     0,   213,   214,
       0,     0,   215,   885,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   216,
       0,     0,   217,     0,     0,     0,   218,  2488,   219,     0,
       0,     0,     0,     0,     0,   220,     0,     0,   221,  2488,
       0,     0,     0,     0,  2488,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   222,     0,     0,
       0,   885,     0,     0,   223,     0,     0,     0,     0,   224,
     225,     0,     0,   226,     0,     0,     0,   227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,     0,     0,
       0,     0,   229,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   230,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   231,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4374,  4375,  4376,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4385,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3694,  3695,  1685,
       0,   885,     0,  3699,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4410,  4412,     0,     0,     0,  4417,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3728,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4498,     0,     0,  1344,     0,   885,     0,     0,
       0,     0,   885,   885,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3924,     0,
       0,     0,     0,  3930,     0,   885,     0,     0,     0,     0,
       0,     0,     0,     0,  4600,  4601,  4602,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2041,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3209,     0,  3209,  3209,     0,     0,     0,   885,
       0,     0,     0,     0,     0,     0,     0,     0,  3991,     0,
       0,  3994,     0,  3996,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4015,     0,  4018,
       0,  4020,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2488,     0,     0,     0,     0,     0,     0,  4085,
       0,     0,     0,     0,  2589,     0,     0,     0,     0,     0,
       0,     0,  2488,  2488,     0,  2488,     0,     0,     0,  2606,
    3197,  3197,     0,  3967,     0,  3197,     0,     0,     0,  2488,
       0,     0,  2488,     0,     0,     0,     0,  2488,     0,     0,
       0,     0,     0,     0,     0,     0,  2488,     0,     0,     0,
       0,  2488,     0,     0,     0,     0,     0,     0,  2488,  2488,
    2488,  2488,     0,     0,     0,  3197,  3197,     0,  2488,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4135,  2488,     0,  2488,     0,     0,
       0,     0,     0,     0,  2488,  2488,  2488,  2488,  2488,  2488,
    2488,  2488,  2488,  2488,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2488,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4862,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4894,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3022,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4952,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3083,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2488,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1685,     0,     0,
       0,     0,     0,  1685,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5037,  5038,  5039,  5040,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4397,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2488,  2488,     0,     0,     0,  2488,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2488,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4516,     0,     0,     0,     0,     0,     0,     0,
       0,  4520,     0,     0,     0,     0,     0,     0,     0,  4522,
       0,  4523,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4545,  4546,
    4547,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3218,     0,     0,
       0,     0,     0,     0,     0,  4571,     0,     0,  4574,     0,
    4576,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4579,     0,     0,     0,     0,     0,     0,     0,  4586,  4587,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5251,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5261,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4645,     0,  2488,     0,     0,     0,     0,     0,  2488,     0,
       0,     0,     0,     0,     0,     0,     0,  4659,     0,     0,
       0,     0,     0,     0,     0,     0,  3967,  3967,     0,     0,
    3197,  3197,  3197,  3197,     0,     0,  3197,  3197,  3197,  3197,
    3197,  3197,  3197,  3197,  3197,  3197,  3967,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2488,
       0,     0,  2488,     0,  2488,     0,     0,  3967,  3967,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2488,  3197,  3197,  2488,     0,  2488,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2488,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2488,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5443,     0,     0,     0,     0,
    1344,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5473,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4940,  4941,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4948,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5572,     0,     0,     0,     0,     0,     0,
       0,     0,  4990,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4996,     0,     0,     0,     0,     0,     0,
       0,     0,  3197,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5015,  5017,     0,     0,     0,     0,     0,  5021,
    5022,     0,     0,     0,  5023,  2488,     0,     0,  5024,     0,
       0,  5027,  5028,     0,     0,     0,  5032,     0,     0,     0,
       0,     0,  5036,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5648,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5670,  5067,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1320,     0,     0,     0,     0,     0,     0,
       0,  5081,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5091,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2488,     0,     0,     0,  2488,     0,
    2488,  2488,     0,     0,     0,     0,  3967,  3967,  3967,  3967,
       0,     0,     0,  3967,  3967,  3967,  3967,  3967,  3967,  3967,
    3967,  3967,  3967,  2488,  2488,  2488,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2488,
       0,     0,  2488,     0,  2488,     0,     0,  2488,     0,     0,
    3967,  3967,     0,     0,  2488,  2488,     0,     0,     0,     0,
       0,     0,  5155,     0,     0,     0,     0,     0,     0,  5157,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2488,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2488,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5192,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5279,     0,     0,     0,     0,     0,  5283,  5284,  5285,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5296,  5297,     0,     0,  5298,     0,     0,     0,
       0,  3967,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5318,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5336,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5351,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2488,  2488,
       0,     0,     0,     0,     0,     0,  2488,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2488,     0,
       0,     0,     0,     0,  2488,  3197,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2488,     0,  2488,     0,     0,     0,  2488,
    2488,  2488,  2488,     0,     0,  2488,  2488,     0,     0,     0,
    2488,     0,     0,     0,  2488,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2488,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2488,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2488,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3218,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2041,     0,     0,     0,
       0,     0,     0,  2488,     0,  2488,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2488,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5589,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5625,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2488,     0,  3967,
    3197,  2488,  2488,  2488,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2488,  2488,  2488,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3197,
       0,     0,  3967,     0,     0,     0,  2488,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2488,     0,     0,  5691,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2488,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5336,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5738,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5823,  5823,  5823,     0,     0,     0,  3967,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5336,     0,  3967,     0,  3197,     0,     0,     0,     0,
       0,  5850,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2488,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5891,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2488,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5916,     0,  5823,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2488,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2488,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5992,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5823,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2488,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3197,  3197,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2488,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1685,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2488,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2488,     0,   234,     0,  1236,   684,
       0,  1237,  1238,  1239,   745,  1240,     0,     0,     0,     0,
    3967,  3967,     0,   235,   236,   237,   238,   239,   240,   241,
     242,  1679,   243,   244,   245,     0,     0,     0,     0,  1241,
       0,     0,   246,   247,   248,     0,   249,   250,   251,   252,
     253,   254,   255,   256,   257,  1242,   259,  1243,  1244,     0,
     262,   263,   264,   265,   266,   267,   268,  1245,  1246,   269,
     270,  1247,  1248,   273,     0,   274,   275,   276,   277,  1249,
    2488,  1250,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,  1251,  1252,  1253,  1254,  1255,
    1256,  1257,   301,   302,   303,   304,   305,   306,  1258,  1259,
     309,  1260,   310,     0,   311,   312,   313,   314,   315,   316,
     317,     0,   318,   319,   320,   321,  1680,     0,   322,   323,
     860,   325,   326,     0,   327,   328,   329,     0,   330,   331,
     332,     0,   333,   334,   335,   336,  1261,   338,   339,   340,
     341,  1262,  1263,   343,     0,   344,   345,   346,  1264,   348,
       0,   349,     0,   350,   351,     0,   352,   353,   354,   355,
     356,     0,   357,  1265,     0,  1266,   360,   361,     0,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,     0,
     372,   373,   374,   375,   376,   377,   378,     0,   379,   380,
     381,   382,   383,   384,   385,  1267,  1268,     0,  1269,     0,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
       0,     0,   399,  1270,   401,   402,   403,     0,   404,   405,
     406,  1271,  1272,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,  1273,   426,  1274,   428,   429,   430,   431,   432,   433,
     434,   435,  1275,   437,  1276,   438,   439,   440,   441,  1277,
    1278,   443,  1279,   445,   446,   447,     0,   448,   449,     0,
       0,  1280,   451,   452,     0,     0,   453,   454,   455,   456,
     457,   458,  1281,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,  1282,   473,   474,   475,
     476,   477,     0,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,  1283,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     0,   506,   507,   508,   509,   510,   511,   512,
     513,  1284,   515,   516,   517,   518,   519,   520,   521,   522,
     523,     0,   524,   525,   526,   527,   528,  1285,   529,   530,
     531,   532,   533,   534,   535,   536,  1286,   538,     0,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,  1287,   553,     0,   554,   555,     0,   556,   557,
     558,   559,   560,   561,   562,     0,   563,  1288,  1289,     0,
       0,   566,   567,  1290,   569,  1291,  1292,   571,   572,   573,
     574,   575,   576,   577,   578,     0,  1293,   579,   580,   581,
     582,   583,  1294,     0,   584,   585,   586,   587,   588,   589,
    1295,  1681,   591,   592,   593,   594,   595,   596,     0,     0,
     597,     0,     0,   598,   599,   600,   601,   602,   603,   604,
    1296,  1297,  1298,  1299,   609,  1300,  1301,  1302,  1303,   614,
     615,   616,   617,  1304,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1305,  1306,  1682,     0,     0,     0,
       0,     0,     0,  1308,  1683,   234,     0,  1236,   684,     0,
    1237,  1238,  1239,   745,  1240,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
       0,   243,   244,   245,     0,     0,     0,     0,  1241,     0,
       0,   246,   247,   248,     0,   249,   250,   251,   252,   253,
     254,   255,   256,   257,  1242,   259,  1243,  1244,     0,   262,
     263,   264,   265,   266,   267,   268,  1245,  1246,   269,   270,
    1247,  1248,   273,     0,   274,   275,   276,   277,  1249,     0,
    1250,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,  1251,  1252,  1253,  1254,  1255,  1256,
    1257,   301,   302,   303,   304,   305,   306,  1258,  1259,   309,
    1260,   310,     0,   311,   312,   313,   314,   315,   316,   317,
       0,   318,   319,   320,   321,     0,     0,   322,   323,   860,
     325,   326,     0,   327,   328,   329,     0,   330,   331,   332,
       0,   333,   334,   335,   336,  1261,   338,   339,   340,   341,
    1262,  1263,   343,     0,   344,   345,   346,  1264,   348,     0,
     349,     0,   350,   351,     0,   352,   353,   354,   355,   356,
       0,   357,  1265,     0,  1266,   360,   361,     0,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,     0,   372,
     373,   374,   375,   376,   377,   378,     0,   379,   380,   381,
     382,   383,   384,   385,  1267,  1268,     0,  1269,     0,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,     0,
       0,   399,  1270,   401,   402,   403,     0,   404,   405,   406,
    1271,  1272,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
    1273,   426,  1274,   428,   429,   430,   431,   432,   433,   434,
     435,  1275,   437,  1276,   438,   439,   440,   441,  1277,  1278,
     443,  1279,   445,   446,   447,     0,   448,   449,     0,     0,
    1280,   451,   452,     0,     0,   453,   454,   455,   456,   457,
     458,  1281,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,  1282,   473,   474,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,  1283,   489,   490,   491,   492,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,   508,   509,   510,   511,   512,   513,
    1284,   515,   516,   517,   518,   519,   520,   521,   522,   523,
      40,   524,   525,   526,   527,   528,  1285,   529,   530,   531,
     532,   533,   534,   535,   536,  1286,   538,     0,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,  1287,   553,     0,   554,   555,    44,   556,   557,   558,
     559,   560,   561,   562,     0,   563,  1288,  1289,     0,     0,
     566,   567,  1290,   569,  1291,  1292,   571,   572,   573,   574,
     575,   576,   577,   578,     0,  1293,   579,   580,   581,   582,
     583,  1294,     0,   584,   585,   586,   587,   588,  1175,  1295,
       0,   591,   592,   593,   594,   595,   596,     0,     0,   597,
       0,    49,   598,   599,   600,   601,   602,   603,   604,  1296,
    1297,  1298,  1299,   609,  1300,  1301,  1302,  1303,   614,   615,
     616,   617,  1304,     0,    50,     0,     0,     0,     0,     0,
       0,     0,     0,  1305,  1306,     0,     0,     0,     0,     0,
       0,     0,  1308,  5549,   234,     0,  1236,   684,     0,  1237,
    1238,  1239,   745,  1240,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,     0,
     243,   244,   245,     0,     0,     0,     0,  1241,     0,     0,
     246,   247,   248,     0,   249,   250,   251,   252,   253,   254,
     255,   256,   257,  1242,   259,  1243,  1244,     0,   262,   263,
     264,   265,   266,   267,   268,  1245,  1246,   269,   270,  1247,
    1248,   273,     0,   274,   275,   276,   277,  1249,     0,  1250,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,  1251,  1252,  1253,  1254,  1255,  1256,  1257,
     301,   302,   303,   304,   305,   306,  1258,  1259,   309,  1260,
     310,     0,   311,   312,   313,   314,   315,   316,   317,     0,
     318,   319,   320,   321,     0,     0,   322,   323,   860,   325,
     326,     0,   327,   328,   329,     0,   330,   331,   332,     0,
     333,   334,   335,   336,  1261,   338,   339,   340,   341,  1262,
    1263,   343,     0,   344,   345,   346,  1264,   348,     0,   349,
       0,   350,   351,     0,   352,   353,   354,   355,   356,     0,
     357,  1265,     0,  1266,   360,   361,     0,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,     0,   372,   373,
     374,   375,   376,   377,   378,     0,   379,   380,   381,   382,
     383,   384,   385,  1267,  1268,     0,  1269,     0,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,     0,     0,
     399,  1270,   401,   402,   403,     0,   404,   405,   406,  1271,
    1272,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,  1273,
     426,  1274,   428,   429,   430,   431,   432,   433,   434,   435,
    1275,   437,  1276,   438,   439,   440,   441,  1277,  1278,   443,
    1279,   445,   446,   447,     0,   448,   449,     0,     0,  1280,
     451,   452,     0,     0,   453,   454,   455,   456,   457,   458,
    1281,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,  1282,   473,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,  1283,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,   508,   509,   510,   511,   512,   513,  1284,
     515,   516,   517,   518,   519,   520,   521,   522,   523,     0,
     524,   525,   526,   527,   528,  1285,   529,   530,   531,   532,
     533,   534,   535,   536,  1286,   538,     0,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
    1287,   553,     0,   554,   555,     0,   556,   557,   558,   559,
     560,   561,   562,     0,   563,  1288,  1289,     0,     0,   566,
     567,  1290,   569,  1291,  1292,   571,   572,   573,   574,   575,
     576,   577,   578,     0,  1293,   579,   580,   581,   582,   583,
    1294,     0,   584,   585,   586,   587,   588,   589,  1295,     0,
     591,   592,   593,   594,   595,   596,     0,     0,   597,     0,
       0,   598,   599,   600,   601,   602,   603,   604,  1296,  1297,
    1298,  1299,   609,  1300,  1301,  1302,  1303,   614,   615,   616,
     617,  1304,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1305,  1306,     0,     0,     0,     0,     0,     0,
       0,  1308,  3199,   234,     0,  1236,   684,     0,  1237,  1238,
    1239,   745,  1240,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,     0,   243,
     244,   245,     0,     0,     0,     0,  1241,     0,     0,   246,
     247,   248,     0,   249,   250,   251,   252,   253,   254,   255,
     256,   257,  1242,   259,  1243,  1244,     0,   262,   263,   264,
     265,   266,   267,   268,  1245,  1246,   269,   270,  1247,  1248,
     273,     0,   274,   275,   276,   277,  1249,     0,  1250,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,  1251,  1252,  1253,  1254,  1255,  1256,  1257,   301,
     302,   303,   304,   305,   306,  1258,  1259,   309,  1260,   310,
       0,   311,   312,   313,   314,   315,   316,   317,     0,   318,
     319,   320,   321,     0,     0,   322,   323,   860,   325,   326,
       0,   327,   328,   329,     0,   330,   331,   332,     0,   333,
     334,   335,   336,  1261,   338,   339,   340,   341,  1262,  1263,
     343,     0,   344,   345,   346,  1264,   348,     0,   349,     0,
     350,   351,     0,   352,   353,   354,   355,   356,     0,   357,
    1265,     0,  1266,   360,   361,     0,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,     0,   372,   373,   374,
     375,   376,   377,   378,     0,   379,   380,   381,   382,   383,
     384,   385,  1267,  1268,     0,  1269,     0,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,     0,     0,   399,
    1270,   401,   402,   403,     0,   404,   405,   406,  1271,  1272,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,  1273,   426,
    1274,   428,   429,   430,   431,   432,   433,   434,   435,  1275,
     437,  1276,   438,   439,   440,   441,  1277,  1278,   443,  1279,
     445,   446,   447,     0,   448,   449,     0,     0,  1280,   451,
     452,     0,     0,   453,   454,   455,   456,   457,   458,  1281,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,  1282,   473,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
    1283,   489,   490,   491,   492,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,   508,   509,   510,   511,   512,   513,  1284,   515,
     516,   517,   518,   519,   520,   521,   522,   523,     0,   524,
     525,   526,   527,   528,  1285,   529,   530,   531,   532,   533,
     534,   535,   536,  1286,   538,     0,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,  1287,
     553,     0,   554,   555,     0,   556,   557,   558,   559,   560,
     561,   562,     0,   563,  1288,  1289,     0,     0,   566,   567,
    1290,   569,  1291,  1292,   571,   572,   573,   574,   575,   576,
     577,   578,     0,  1293,   579,   580,   581,   582,   583,  1294,
       0,   584,   585,   586,   587,   588,   589,  1295,     0,   591,
     592,   593,   594,   595,   596,     0,     0,   597,     0,     0,
     598,   599,   600,   601,   602,   603,   604,  1296,  1297,  1298,
    1299,   609,  1300,  1301,  1302,  1303,   614,   615,   616,   617,
    1304,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1305,  1306,     0,     0,     0,     0,     0,     0,     0,
    1308,  4524,   234,     0,  1236,   684,     0,  1237,  1238,  1239,
     745,  1240,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,     0,   243,   244,
     245,     0,     0,     0,     0,  1241,     0,     0,   246,   247,
     248,     0,   249,   250,   251,   252,   253,   254,   255,   256,
     257,  1242,   259,  1243,  1244,     0,   262,   263,   264,   265,
     266,   267,   268,  1245,  1246,   269,   270,  1247,  1248,   273,
       0,   274,   275,   276,   277,  1249,     0,  1250,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,  1251,  1252,  1253,  1254,  1255,  1256,  1257,   301,   302,
     303,   304,   305,   306,  1258,  1259,   309,  1260,   310,     0,
     311,   312,   313,   314,   315,   316,   317,     0,   318,   319,
     320,   321,     0,     0,   322,   323,   860,   325,   326,     0,
     327,   328,   329,     0,   330,   331,   332,     0,   333,   334,
     335,   336,  1261,   338,   339,   340,   341,  1262,  1263,   343,
       0,   344,   345,   346,  1264,   348,     0,   349,     0,   350,
     351,     0,   352,   353,   354,   355,   356,     0,   357,  1265,
       0,  1266,   360,   361,     0,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,     0,   372,   373,   374,   375,
     376,   377,   378,     0,   379,   380,   381,   382,   383,   384,
     385,  1267,  1268,     0,  1269,     0,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,     0,     0,   399,  1270,
     401,   402,   403,     0,   404,   405,   406,  1271,  1272,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,  1273,   426,  1274,
     428,   429,   430,   431,   432,   433,   434,   435,  1275,   437,
    1276,   438,   439,   440,   441,  1277,  1278,   443,  1279,   445,
     446,   447,     0,   448,   449,     0,     0,  1280,   451,   452,
       0,     0,   453,   454,   455,   456,   457,   458,  1281,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,  1282,   473,   474,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,  1283,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     0,   506,
     507,   508,   509,   510,   511,   512,   513,  1284,   515,   516,
     517,   518,   519,   520,   521,   522,   523,     0,   524,   525,
     526,   527,   528,  1285,   529,   530,   531,   532,   533,   534,
     535,   536,  1286,   538,     0,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,  1287,   553,
       0,   554,   555,     0,   556,   557,   558,   559,   560,   561,
     562,     0,   563,  1288,  1289,     0,     0,   566,   567,  1290,
     569,  1291,  1292,   571,   572,   573,   574,   575,   576,   577,
     578,     0,  1293,   579,   580,   581,   582,   583,  1294,     0,
     584,   585,   586,   587,   588,   589,  1295,     0,   591,   592,
     593,   594,   595,   596,     0,     0,   597,     0,     0,   598,
     599,   600,   601,   602,   603,   604,  1296,  1297,  1298,  1299,
     609,  1300,  1301,  1302,  1303,   614,   615,   616,   617,  1304,
       0,     0,     0,     0,   625,     0,     0,     0,     0,     0,
    1305,  1306,     0,     0,     0,     0,     0,     0,     0,  1308,
    4593,   235,   236,   237,   238,   239,   240,   241,   242,     0,
     243,   244,   245,     0,     0,     0,     0,     0,  4063,     0,
     246,   247,   248,     0,   249,   250,   251,   252,     0,   254,
     255,   256,   257,   258,     0,   260,   261,     0,   262,   263,
     264,   265,   266,   267,   268,     0,     0,   269,   270,   271,
     272,   273,     0,   274,   275,   276,   277,   278,     0,     0,
       0,   280,   281,   282,   283,   284,   285,     0,   287,   288,
     289,     0,   290,   291,   292,   293,   294,   295,     0, -1805,
     297,   298,   299,     0,     0,     0,     0,     0,     0,     0,
     301,   302,   303,   304,   305,   306,   307,   308,   309,     0,
     310,     0,   311,   312,   313,   314,   315,   316,   317,     0,
     318,   319,   320,   321,     0,     0,   322,   323,   324,   325,
     326,     0,   327,   328,   329,     0,   330,   331,   332,     0,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
       0,   343,     0,   344,   345,   346,   347,   348,     0,   349,
       0,   350,     0,     0, -1805,   353,   354,   355,   356,     0,
     357,   358,     0,   359,   360,   361,     0,   362,   363,   364,
     365,   366,     0,   368,   369,   370,   371,     0,   372,   373,
     374,   375,   376,   377,   378,     0,   379, -1805,   381,   382,
     383,   384,   385,   386,   387,     0,   388,     0,   389,     0,
       0,   392, -1805,   394,   395,   396,   397,   398,     0,     0,
     399,   400, -1805,   402,     0,     0,   404,   405,   406,     0,
       0,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
   -1805,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,     0,   441,     0,   442,   443,
     444,   445,   446,   447,     0,   448,   449,     0,     0,   450,
     451,   452,     0,     0,   453,   454,   455,     0,   457,     0,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507, -1805,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,     0,   535,   536,   537,   538,     0,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,     0,   554,   555,     0,   556,     0,   558,   559,
     560,   561,   562,     0,   563,   564,   565,     0,     0,   566,
     567,   568,   569,   570,     0,   571,   572,   573,   574,   575,
     576,   577,   578,     0,     0,   579,   580,   581,   582,   583,
       0,     0,   584,   585,   586,   587,   588,   589,   590,     0,
     591,     0,   593,   594,   595,   596,     0,     0,   597,     0,
       0,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     617,     0,     0,     0,     0,     0,   852,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1418,   235,   236,   237,   238,   239,   240,   241,
     242,     0,   243,   244,   245,     0,     0,     0,     0,     0,
       0,     0,   246,   247,   248,     0,   249,   250,   251,   252,
     253,   254,   255,   256,     0,   853,   259,   854,   855,     0,
     262,   263,   264,   265,   266,   267,   268,     0,     0,   269,
     270,   856,   857,   273,     0,   274,   275,   276,   277,     0,
       0,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,     0,   300,     0,
       0,     0,   301,   302,   303,   304,   305,   306,   858,   859,
     309,     0,   310,     0,   311,   312,   313,   314,   315,   316,
     317,     0,   318,   319,   320,   321,     0,     0,   322,   323,
     860,   325,   326,     0,   327,   328,   329,     0,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   338,   339,   340,
     341,     0,     0,   343,     0,   344,   345,   346,   861,   348,
       0,   349,     0,   350,   351,     0,   352,   353,   354,   355,
     356,     0,   357,     0,     0,     0,   360,   361,     0,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,  2632,
     372,   373,   374,   375,   376,   377,   378,     0,   379,   380,
    2633,   382,   383,   384,   385,   862,   863,     0,   864,     0,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
       0,     0,   399,     0,   401,   402,   403,     0,   404,   405,
     406,     0,     0,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   865,   426,   866,   428,   429,   430,   431,   432,   433,
     434,     0,     0,   437,     0,   438,   439,   440,   441,     0,
       0,   443,   867,   445,   446,   447,     0,   448,   449,     0,
       0,   450,   451,   452,     0,     0,   453,   454,  2635,   456,
     457,   458,     0,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,     0,   473,     0,   475,
     476,   477,     0,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   868,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     0,   506,   507,   508,   509,   510,   511,   512,
     513,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
    2636,   532,   533,   534,   535,   536,   870,   538,     0,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,     0,   553,     0,   554,   555,     0,   556,   557,
     558,   559,   560,   561,   562,     0,   563,   871,   872,     0,
       0,   566,   567,     0,   569,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,     0,     0,   579,   580,   581,
     582,   583,     0,     0,   584,   585,   586,   587,   588,     0,
     873,  2637,   591,   592,   593,   594,   595,   596,     0,     0,
     597,     0,     0,   598,   599,   600,   601,   602,   603,   852,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     615,   616,   617,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,     0,   243,   244,   245,     0,     0,
       0,     0,     0,     0,  2733,   246,   247,   248,     0,   249,
     250,   251,   252,   253,   254,   255,   256,     0,   853,   259,
     854,   855,     0,   262,   263,   264,   265,   266,   267,   268,
       0,     0,   269,   270,   856,   857,   273,     0,   274,   275,
     276,   277,     0,     0,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
       0,   300,     0,     0,     0,   301,   302,   303,   304,   305,
     306,   858,   859,   309,     0,   310,     0,   311,   312,   313,
     314,   315,   316,   317,     0,   318,   319,   320,   321,     0,
       0,   322,   323,   860,   325,   326,     0,   327,   328,   329,
       0,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     338,   339,   340,   341,     0,     0,   343,     0,   344,   345,
     346,   861,   348,     0,   349,     0,   350,   351,     0,   352,
     353,   354,   355,   356,     0,   357,     0,     0,     0,   360,
     361,     0,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,  2632,   372,   373,   374,   375,   376,   377,   378,
       0,   379,   380,  2633,   382,   383,   384,   385,   862,   863,
       0,   864,     0,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,     0,     0,   399,     0,   401,   402,   403,
       0,   404,   405,   406,     0,     0,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   865,   426,   866,   428,   429,   430,
     431,   432,   433,   434,     0,     0,   437,     0,   438,   439,
     440,   441,     0,     0,   443,   867,   445,   446,   447,     0,
     448,   449,     0,     0,   450,   451,   452,     0,     0,   453,
     454,  2635,   456,   457,   458,     0,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,     0,
     473,     0,   475,   476,   477,     0,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   868,   489,   490,   491,
     492,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     0,   506,   507,   508,   509,
     510,   511,   512,   513,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,     0,   524,   525,   526,   527,   528,
       0,   529,   530,  2636,   532,   533,   534,   535,   536,   870,
     538,     0,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,     0,   553,     0,   554,   555,
       0,   556,   557,   558,   559,   560,   561,   562,     0,   563,
     871,   872,     0,     0,   566,   567,     0,   569,     0,     0,
     571,   572,   573,   574,   575,   576,   577,   578,     0,     0,
     579,   580,   581,   582,   583,     0,     0,   584,   585,   586,
     587,   588,     0,   873,  2637,   591,   592,   593,   594,   595,
     596,     0,     0,   597,     0,     0,   598,   599,   600,   601,
     602,   603,   234,     0,  1236,   684,     0,  1237,  1238,  1239,
     745,  1240,     0,   615,   616,   617,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,     0,   243,   244,
     245,     0,     0,     0,     0,  1241,     0,  3817,   246,   247,
     248,     0,   249,   250,   251,   252,   253,   254,   255,   256,
     257,  1242,   259,  1243,  1244,     0,   262,   263,   264,   265,
     266,   267,   268,  1245,  1246,   269,   270,  1247,  1248,   273,
       0,   274,   275,   276,   277,  1249,     0,  1250,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,  1251,  1252,  1253,  1254,  1255,  1256,  1257,   301,   302,
     303,   304,   305,   306,  1258,  1259,   309,  1260,   310,     0,
     311,   312,   313,   314,   315,   316,   317,     0,   318,   319,
     320,   321,     0,     0,   322,   323,   860,   325,   326,     0,
     327,   328,   329,     0,   330,   331,   332,     0,   333,   334,
     335,   336,  1261,   338,   339,   340,   341,  1262,  1263,   343,
       0,   344,   345,   346,  1264,   348,     0,   349,     0,   350,
     351,     0,   352,   353,   354,   355,   356,     0,   357,  1265,
       0,  1266,   360,   361,     0,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,     0,   372,   373,   374,   375,
     376,   377,   378,     0,   379,   380,   381,   382,   383,   384,
     385,  1267,  1268,     0,  1269,     0,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,     0,     0,   399,  1270,
     401,   402,   403,     0,   404,   405,   406,  1271,  1272,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,  1273,   426,  1274,
     428,   429,   430,   431,   432,   433,   434,   435,  1275,   437,
    1276,   438,   439,   440,   441,  1277,  1278,   443,  1279,   445,
     446,   447,     0,   448,   449,     0,     0,  1280,   451,   452,
       0,     0,   453,   454,   455,   456,   457,   458,  1281,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,  1282,   473,   474,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,  1283,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     0,   506,
     507,   508,   509,   510,   511,   512,   513,  1284,   515,   516,
     517,   518,   519,   520,   521,   522,   523,    40,   524,   525,
     526,   527,   528,  1285,   529,   530,   531,   532,   533,   534,
     535,   536,  1286,   538,     0,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,  1287,   553,
       0,   554,   555,    44,   556,   557,   558,   559,   560,   561,
     562,     0,   563,  1288,  1289,     0,     0,   566,   567,  1290,
     569,  1291,  1292,   571,   572,   573,   574,   575,   576,   577,
     578,     0,  1293,   579,   580,   581,   582,   583,  1294,     0,
     584,   585,   586,   587,   588,  1175,  1295,     0,   591,   592,
     593,   594,   595,   596,     0,     0,   597,     0,    49,   598,
     599,   600,   601,   602,   603,   604,  1296,  1297,  1298,  1299,
     609,  1300,  1301,  1302,  1303,   614,   615,   616,   617,  1304,
       0,    50,     0,     0,     0,     0,     0,     0,     0,     0,
    1305,  1306,     0,     0,     0,   234,     0,  1236,   684,  1308,
    1237,  1238,  1239,   745,  1240,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
       0,   243,   244,   245,     0,     0,     0,     0,  1241,     0,
       0,   246,   247,   248,     0,   249,   250,   251,   252,   253,
     254,   255,   256,   257,  1242,   259,  1243,  1244,  3205,   262,
     263,   264,   265,   266,   267,   268,  1245,  1246,   269,   270,
    1247,  1248,   273,     0,   274,   275,   276,   277,  1249,     0,
    1250,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,  1251,  1252,  1253,  1254,  1255,  1256,
    1257,   301,   302,   303,   304,   305,   306,  1258,  1259,   309,
    1260,   310,     0,   311,   312,   313,   314,   315,   316,   317,
       0,   318,   319,   320,   321,     0,     0,   322,   323,   860,
     325,   326,     0,   327,   328,   329,     0,   330,   331,   332,
       0,   333,   334,   335,   336,  1261,   338,   339,   340,   341,
    1262,  1263,   343,     0,   344,   345,   346,  1264,   348,     0,
     349,     0,   350,   351,  3206,   352,   353,   354,   355,   356,
       0,   357,  1265,     0,  1266,   360,   361,     0,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,     0,   372,
     373,   374,   375,   376,   377,   378,     0,   379,   380,   381,
     382,   383,   384,   385,  1267,  1268,     0,  1269,     0,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,     0,
    3207,   399,  1270,   401,   402,   403,     0,   404,   405,   406,
    1271,  1272,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
    1273,   426,  1274,   428,   429,   430,   431,   432,   433,   434,
     435,  1275,   437,  1276,   438,   439,   440,   441,  1277,  1278,
     443,  1279,   445,   446,   447,     0,   448,   449,     0,     0,
    1280,   451,   452,     0,     0,   453,   454,   455,   456,   457,
     458,  1281,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,  1282,   473,   474,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,  1283,   489,   490,   491,   492,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,   508,   509,   510,   511,   512,   513,
    1284,   515,   516,   517,   518,   519,   520,   521,   522,   523,
       0,   524,   525,   526,   527,   528,  1285,   529,   530,   531,
     532,   533,   534,   535,   536,  1286,   538,     0,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,  1287,   553,     0,   554,   555,     0,   556,   557,   558,
     559,   560,   561,   562,     0,   563,  1288,  1289,     0,  3208,
     566,   567,  1290,   569,  1291,  1292,   571,   572,   573,   574,
     575,   576,   577,   578,     0,  1293,   579,   580,   581,   582,
     583,  1294,     0,   584,   585,   586,   587,   588,   589,  1295,
       0,   591,   592,   593,   594,   595,   596,     0,     0,   597,
       0,     0,   598,   599,   600,   601,   602,   603,   604,  1296,
    1297,  1298,  1299,   609,  1300,  1301,  1302,  1303,   614,   615,
     616,   617,  1304,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1305,  1306,     0,     0,     0,   234,     0,
    1236,   684,  1308,  1237,  1238,  1239,   745,  1240,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242, -2195,   243,   244,   245,     0,     0,     0,
   -2195,  1241,     0,     0,   246,   247,   248,     0,   249,   250,
     251,   252,   253,   254,   255,   256,   257,  1242,   259,  1243,
    1244,     0,   262,   263,   264,   265,   266,   267,   268,  1245,
    1246,   269,   270,  1247,  1248,   273,     0,   274,   275,   276,
     277,  1249,     0,  1250,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,  1251,  1252,  1253,
    1254,  1255,  1256,  1257,   301,   302,   303,   304,   305,   306,
    1258,  1259,   309,  1260,   310,     0,   311,   312,   313,   314,
     315,   316,   317,     0,   318,   319,   320,   321,     0,     0,
     322,   323,   860,   325,   326,     0,   327,   328,   329,     0,
     330,   331,   332,     0,   333,   334,   335,   336,  1261,   338,
     339,   340,   341,  1262,  1263,   343,     0,   344,   345,   346,
    1264,   348,     0,   349,     0,   350,   351,     0,   352,   353,
     354,   355,   356,     0,   357,  1265,     0,  1266,   360,   361,
       0,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,     0,   372,   373,   374,   375,   376,   377,   378,     0,
     379,   380,   381,   382,   383,   384,   385,  1267,  1268,     0,
    1269,     0,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,     0,     0,   399,  1270,   401,   402,   403,     0,
     404,   405,   406,  1271,  1272,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,  1273,   426,  1274,   428,   429,   430,   431,
     432,   433,   434,   435,  1275,   437,  1276,   438,   439,   440,
     441,  1277,  1278,   443,  1279,   445,   446,   447,     0,   448,
     449,     0,     0,  1280,   451,   452,     0,     0,   453,   454,
     455,   456,   457,   458,  1281,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,  1282,   473,
     474,   475,   476,   477,     0,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,  1283,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     0,   506,   507,   508,   509,   510,
     511,   512,   513,  1284,   515,   516,   517,   518,   519,   520,
     521,   522,   523,     0,   524,   525,   526,   527,   528,  1285,
     529,   530,   531,   532,   533,   534,   535,   536,  1286,   538,
   -2195,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,  1287,   553,     0,   554,   555,     0,
     556,   557,   558,   559,   560,   561,   562,     0,   563,  1288,
    1289,     0,     0,   566,   567,  1290,   569,  1291,  1292,   571,
     572,   573,   574,   575,   576,   577,   578,     0,  1293,   579,
     580,   581,   582,   583,  1294,     0,   584,   585,   586,   587,
     588,   589,  1295,     0,   591,   592,   593,   594,   595,   596,
       0,     0,   597,     0,     0,   598,   599,   600,   601,   602,
     603,   604,  1296,  1297,  1298,  1299,   609,  1300,  1301,  1302,
    1303,   614,   615,   616,   617,  1304,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1305,  1306,     0,     0,
       0,   234,     0,  1236,   684,  1308,  1237,  1238,  1239,   745,
    1240,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242, -2193,   243,   244,   245,
       0,     0,     0, -2193,  1241,     0,     0,   246,   247,   248,
       0,   249,   250,   251,   252,   253,   254,   255,   256,   257,
    1242,   259,  1243,  1244,     0,   262,   263,   264,   265,   266,
     267,   268,  1245,  1246,   269,   270,  1247,  1248,   273,     0,
     274,   275,   276,   277,  1249,     0,  1250,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
    1251,  1252,  1253,  1254,  1255,  1256,  1257,   301,   302,   303,
     304,   305,   306,  1258,  1259,   309,  1260,   310,     0,   311,
     312,   313,   314,   315,   316,   317,     0,   318,   319,   320,
     321,     0,     0,   322,   323,   860,   325,   326,     0,   327,
     328,   329,     0,   330,   331,   332,     0,   333,   334,   335,
     336,  1261,   338,   339,   340,   341,  1262,  1263,   343,     0,
     344,   345,   346,  1264,   348,     0,   349,     0,   350,   351,
       0,   352,   353,   354,   355,   356,     0,   357,  1265,     0,
    1266,   360,   361,     0,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,     0,   372,   373,   374,   375,   376,
     377,   378,     0,   379,   380,   381,   382,   383,   384,   385,
    1267,  1268,     0,  1269,     0,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,     0,     0,   399,  1270,   401,
     402,   403,     0,   404,   405,   406,  1271,  1272,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,  1273,   426,  1274,   428,
     429,   430,   431,   432,   433,   434,   435,  1275,   437,  1276,
     438,   439,   440,   441,  1277,  1278,   443,  1279,   445,   446,
     447,     0,   448,   449,     0,     0,  1280,   451,   452,     0,
       0,   453,   454,   455,   456,   457,   458,  1281,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,  1282,   473,   474,   475,   476,   477,     0,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,  1283,   489,
     490,   491,   492,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     0,   506,   507,
     508,   509,   510,   511,   512,   513,  1284,   515,   516,   517,
     518,   519,   520,   521,   522,   523,     0,   524,   525,   526,
     527,   528,  1285,   529,   530,   531,   532,   533,   534,   535,
     536,  1286,   538, -2193,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,  1287,   553,     0,
     554,   555,     0,   556,   557,   558,   559,   560,   561,   562,
       0,   563,  1288,  1289,     0,     0,   566,   567,  1290,   569,
    1291,  1292,   571,   572,   573,   574,   575,   576,   577,   578,
       0,  1293,   579,   580,   581,   582,   583,  1294,     0,   584,
     585,   586,   587,   588,   589,  1295,     0,   591,   592,   593,
     594,   595,   596,     0,     0,   597,     0,     0,   598,   599,
     600,   601,   602,   603,   604,  1296,  1297,  1298,  1299,   609,
    1300,  1301,  1302,  1303,   614,   615,   616,   617,  1304,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1305,
    1306,     0,     0,     0,   234,     0,  1236,   684,  1308,  1237,
    1238,  1239,   745,  1240,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,     0,
     243,   244,   245,     0,     0,     0,     0,  1241,     0,     0,
     246,   247,   248,     0,   249,   250,   251,   252,   253,   254,
     255,   256,   257,  1242,   259,  1243,  1244,     0,   262,   263,
     264,   265,   266,   267,   268,  1245,  1246,   269,   270,  1247,
    1248,   273,     0,   274,   275,   276,   277,  1249,     0,  1250,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,  1251,  1252,  1253,  1254,  1255,  1256,  1257,
     301,   302,   303,   304,   305,   306,  1258,  1259,   309,  1260,
     310,     0,   311,   312,   313,   314,   315,   316,   317,     0,
     318,   319,   320,   321,     0,     0,   322,   323,   860,   325,
     326,     0,   327,   328,   329,     0,   330,   331,   332,     0,
     333,   334,   335,   336,  1261,   338,   339,   340,   341,  1262,
    1263,   343,     0,   344,   345,   346,  1264,   348,     0,   349,
       0,   350,   351,     0,   352,   353,   354,   355,   356,     0,
     357,  1265,     0,  1266,   360,   361,     0,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,     0,   372,   373,
     374,   375,   376,   377,   378,     0,   379,   380,   381,   382,
     383,   384,   385,  1267,  1268,     0,  1269,     0,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,     0,     0,
     399,  1270,   401,   402,   403,     0,   404,   405,   406,  1271,
    1272,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,  1273,
     426,  1274,   428,   429,   430,   431,   432,   433,   434,   435,
    1275,   437,  1276,   438,   439,   440,   441,  1277,  1278,   443,
    1279,   445,   446,   447,     0,   448,   449,     0,     0,  1280,
     451,   452,     0,     0,   453,   454,   455,   456,   457,   458,
    1281,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,  1282,   473,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,  1283,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,   508,   509,   510,   511,   512,   513,  1284,
     515,   516,   517,   518,   519,   520,   521,   522,   523,     0,
     524,   525,   526,   527,   528,  1285,   529,   530,   531,   532,
     533,   534,   535,   536,  1286,   538,     0,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
    1287,   553,     0,   554,   555,     0,   556,   557,   558,   559,
     560,   561,   562,     0,   563,  1288,  1289,     0,     0,   566,
     567,  1290,   569,  1291,  1292,   571,   572,   573,   574,   575,
     576,   577,   578,     0,  1293,   579,   580,   581,   582,   583,
    1294,     0,   584,   585,   586,   587,   588,   589,  1295,     0,
     591,   592,   593,   594,   595,   596,     0,     0,   597,     0,
       0,   598,   599,   600,   601,   602,   603,   604,  1296,  1297,
    1298,  1299,   609,  1300,  1301,  1302,  1303,   614,   615,   616,
     617,  1304,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1305,  1306,     0,     0,     0,     0,     0,  2000,
    3157,  1308,   234,     0,  1236,   684,     0,  1237,  1238,  1239,
     745,  1240,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,     0,   243,   244,
     245,     0,     0,     0,     0,  1241,     0,     0,   246,   247,
     248,     0,   249,   250,   251,   252,   253,   254,   255,   256,
     257,  1242,   259,  1243,  1244,     0,   262,   263,   264,   265,
     266,   267,   268,  1245,  1246,   269,   270,  1247,  1248,   273,
       0,   274,   275,   276,   277,  1249,     0,  1250,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,  1251,  1252,  1253,  1254,  1255,  1256,  1257,   301,   302,
     303,   304,   305,   306,  1258,  1259,   309,  1260,   310,     0,
     311,   312,   313,   314,   315,   316,   317,     0,   318,   319,
     320,   321,     0,     0,   322,   323,   860,   325,   326,     0,
     327,   328,   329,     0,   330,   331,   332,     0,   333,   334,
     335,   336,  1261,   338,   339,   340,   341,  1262,  1263,   343,
       0,   344,   345,   346,  1264,   348,     0,   349,     0,   350,
     351,     0,   352,   353,   354,   355,   356,     0,   357,  1265,
       0,  1266,   360,   361,     0,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,     0,   372,   373,   374,   375,
     376,   377,   378,     0,   379,   380,   381,   382,   383,   384,
     385,  1267,  1268,     0,  1269,     0,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,     0,     0,   399,  1270,
     401,   402,   403,     0,   404,   405,   406,  1271,  1272,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,  1273,   426,  1274,
     428,   429,   430,   431,   432,   433,   434,   435,  1275,   437,
    1276,   438,   439,   440,   441,  1277,  1278,   443,  1279,   445,
     446,   447,     0,   448,   449,     0,     0,  1280,   451,   452,
       0,     0,   453,   454,   455,   456,   457,   458,  1281,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,  1282,   473,   474,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,  1283,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     0,   506,
     507,   508,   509,   510,   511,   512,   513,  1284,   515,   516,
     517,   518,   519,   520,   521,   522,   523,     0,   524,   525,
     526,   527,   528,  1285,   529,   530,   531,   532,   533,   534,
     535,   536,  1286,   538,     0,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,  1287,   553,
       0,   554,   555,     0,   556,   557,   558,   559,   560,   561,
     562,     0,   563,  1288,  1289,     0,     0,   566,   567,  1290,
     569,  1291,  1292,   571,   572,   573,   574,   575,   576,   577,
     578,     0,  1293,   579,   580,   581,   582,   583,  1294,     0,
     584,   585,   586,   587,   588,   589,  1295,     0,   591,   592,
     593,   594,   595,   596,     0,     0,   597,     0,     0,   598,
     599,   600,   601,   602,   603,   604,  1296,  1297,  1298,  1299,
     609,  1300,  1301,  1302,  1303,   614,   615,   616,   617,  1304,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1305,  1306,  1307,     0,     0,   234,     0,  1236,   684,  1308,
    1237,  1238,  1239,   745,  1240,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
    2599,   243,   244,   245,     0,     0,     0,     0,  1241,     0,
       0,   246,   247,   248,     0,   249,   250,   251,   252,   253,
     254,   255,   256,   257,  1242,   259,  1243,  1244,     0,   262,
     263,   264,   265,   266,   267,   268,  1245,  1246,   269,   270,
    1247,  1248,   273,     0,   274,   275,   276,   277,  1249,     0,
    1250,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,  1251,  1252,  1253,  1254,  1255,  1256,
    1257,   301,   302,   303,   304,   305,   306,  1258,  1259,   309,
    1260,   310,     0,   311,   312,   313,   314,   315,   316,   317,
       0,   318,   319,   320,   321,     0,     0,   322,   323,   860,
     325,   326,     0,   327,   328,   329,     0,   330,   331,   332,
       0,   333,   334,   335,   336,  1261,   338,   339,   340,   341,
    1262,  1263,   343,     0,   344,   345,   346,  1264,   348,     0,
     349,     0,   350,   351,     0,   352,   353,   354,   355,   356,
       0,   357,  1265,     0,  1266,   360,   361,     0,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,     0,   372,
     373,   374,   375,   376,   377,   378,     0,   379,   380,   381,
     382,   383,   384,   385,  1267,  1268,     0,  1269,     0,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,     0,
       0,   399,  1270,   401,   402,   403,     0,   404,   405,   406,
    1271,  1272,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
    1273,   426,  1274,   428,   429,   430,   431,   432,   433,   434,
     435,  1275,   437,  1276,   438,   439,   440,   441,  1277,  1278,
     443,  1279,   445,   446,   447,     0,   448,   449,     0,     0,
    1280,   451,   452,     0,     0,   453,   454,   455,   456,   457,
     458,  1281,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,  1282,   473,   474,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,  1283,   489,   490,   491,   492,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,   508,   509,   510,   511,   512,   513,
    1284,   515,   516,   517,   518,   519,   520,   521,   522,   523,
       0,   524,   525,   526,   527,   528,  1285,   529,   530,   531,
     532,   533,   534,   535,   536,  1286,   538,     0,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,  1287,   553,     0,   554,   555,     0,   556,   557,   558,
     559,   560,   561,   562,     0,   563,  1288,  1289,     0,     0,
     566,   567,  1290,   569,  1291,  1292,   571,   572,   573,   574,
     575,   576,   577,   578,     0,  1293,   579,   580,   581,   582,
     583,  1294,     0,   584,   585,   586,   587,   588,   589,  1295,
       0,   591,   592,   593,   594,   595,   596,     0,     0,   597,
       0,     0,   598,   599,   600,   601,   602,   603,   604,  1296,
    1297,  1298,  1299,   609,  1300,  1301,  1302,  1303,   614,   615,
     616,   617,  1304,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1305,  1306,     0,     0,     0,   234,     0,
    1236,   684,  1308,  1237,  1238,  1239,   745,  1240,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,     0,   243,   244,   245,     0,     0,     0,
       0,  1241,     0,     0,   246,   247,   248,     0,   249,   250,
     251,   252,   253,   254,   255,   256,   257,  1242,   259,  1243,
    1244,     0,   262,   263,   264,   265,   266,   267,   268,  1245,
    1246,   269,   270,  1247,  1248,   273,     0,   274,   275,   276,
     277,  1249,     0,  1250,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,  1251,  1252,  1253,
    1254,  1255,  1256,  1257,   301,   302,   303,   304,   305,   306,
    1258,  1259,   309,  1260,   310,     0,   311,   312,   313,   314,
     315,   316,   317,     0,   318,   319,   320,   321,     0,     0,
     322,   323,   860,   325,   326,     0,   327,   328,   329,     0,
     330,   331,   332,     0,   333,   334,   335,   336,  1261,   338,
     339,   340,   341,  1262,  1263,   343,     0,   344,   345,   346,
    1264,   348,     0,   349,     0,   350,   351,     0,   352,   353,
     354,   355,   356,     0,   357,  1265,     0,  1266,   360,   361,
       0,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,     0,   372,   373,   374,   375,   376,   377,   378,     0,
     379,   380,   381,   382,   383,   384,   385,  1267,  1268,     0,
    1269,     0,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,     0,     0,   399,  1270,   401,   402,   403,     0,
     404,   405,   406,  1271,  1272,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,  1273,   426,  1274,   428,   429,   430,   431,
     432,   433,   434,   435,  1275,   437,  1276,   438,   439,   440,
     441,  1277,  1278,   443,  1279,   445,   446,   447,     0,   448,
     449,     0,     0,  1280,   451,   452,     0,     0,   453,   454,
     455,   456,   457,   458,  1281,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,  1282,   473,
     474,   475,   476,   477,     0,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,  1283,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     0,   506,   507,   508,   509,   510,
     511,   512,   513,  1284,   515,   516,   517,   518,   519,   520,
     521,   522,   523,     0,   524,   525,   526,   527,   528,  1285,
     529,   530,   531,   532,   533,   534,   535,   536,  1286,   538,
       0,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,  1287,   553,     0,   554,   555,     0,
     556,   557,   558,   559,   560,   561,   562,     0,   563,  1288,
    1289,     0,     0,   566,   567,  1290,   569,  1291,  1292,   571,
     572,   573,   574,   575,   576,   577,   578,     0,  1293,   579,
     580,   581,   582,   583,  1294,     0,   584,   585,   586,   587,
     588,   589,  1295,  3696,   591,   592,   593,   594,   595,   596,
       0,     0,   597,     0,     0,   598,   599,   600,   601,   602,
     603,   604,  1296,  1297,  1298,  1299,   609,  1300,  1301,  1302,
    1303,   614,   615,   616,   617,  1304,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1305,  1306,     0,     0,
       0,   234,     0,  1236,   684,  1308,  1237,  1238,  1239,   745,
    1240,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,     0,   243,   244,   245,
       0,     0,     0,     0,  1241,     0,     0,   246,   247,   248,
       0,   249,   250,   251,   252,   253,   254,   255,   256,   257,
    1242,   259,  1243,  1244,     0,   262,   263,   264,   265,   266,
     267,   268,  1245,  1246,   269,   270,  1247,  1248,   273,     0,
     274,   275,   276,   277,  1249,     0,  1250,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
    1251,  1252,  1253,  1254,  1255,  1256,  1257,   301,   302,   303,
     304,   305,   306,  1258,  1259,   309,  1260,   310,     0,   311,
     312,   313,   314,   315,   316,   317,     0,   318,   319,   320,
     321,     0,     0,   322,   323,   860,   325,   326,     0,   327,
     328,   329,     0,   330,   331,   332,     0,   333,   334,   335,
     336,  1261,   338,   339,   340,   341,  1262,  1263,   343,     0,
     344,   345,   346,  1264,   348,     0,   349,     0,   350,   351,
    3206,   352,   353,   354,   355,   356,     0,   357,  1265,     0,
    1266,   360,   361,     0,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,     0,   372,   373,   374,   375,   376,
     377,   378,     0,   379,   380,   381,   382,   383,   384,   385,
    1267,  1268,     0,  1269,     0,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,     0,     0,   399,  1270,   401,
     402,   403,     0,   404,   405,   406,  1271,  1272,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,  1273,   426,  1274,   428,
     429,   430,   431,   432,   433,   434,   435,  1275,   437,  1276,
     438,   439,   440,   441,  1277,  1278,   443,  1279,   445,   446,
     447,     0,   448,   449,     0,     0,  1280,   451,   452,     0,
       0,   453,   454,   455,   456,   457,   458,  1281,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,  1282,   473,   474,   475,   476,   477,     0,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,  1283,   489,
     490,   491,   492,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     0,   506,   507,
     508,   509,   510,   511,   512,   513,  1284,   515,   516,   517,
     518,   519,   520,   521,   522,   523,     0,   524,   525,   526,
     527,   528,  1285,   529,   530,   531,   532,   533,   534,   535,
     536,  1286,   538,     0,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,  1287,   553,     0,
     554,   555,     0,   556,   557,   558,   559,   560,   561,   562,
       0,   563,  1288,  1289,     0,     0,   566,   567,  1290,   569,
    1291,  1292,   571,   572,   573,   574,   575,   576,   577,   578,
       0,  1293,   579,   580,   581,   582,   583,  1294,     0,   584,
     585,   586,   587,   588,   589,  1295,     0,   591,   592,   593,
     594,   595,   596,     0,     0,   597,     0,     0,   598,   599,
     600,   601,   602,   603,   604,  1296,  1297,  1298,  1299,   609,
    1300,  1301,  1302,  1303,   614,   615,   616,   617,  1304,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1305,
    1306,     0,     0,     0,   234,     0,  1236,   684,  1308,  1237,
    1238,  1239,   745,  1240,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,     0,
     243,   244,   245,     0,     0,     0,     0,  1241,     0,     0,
     246,   247,   248,     0,   249,   250,   251,   252,   253,   254,
     255,   256,   257,  1242,   259,  1243,  1244,     0,   262,   263,
     264,   265,   266,   267,   268,  1245,  1246,   269,   270,  1247,
    1248,   273,     0,   274,   275,   276,   277,  1249,     0,  1250,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,  1251,  1252,  1253,  1254,  1255,  1256,  1257,
     301,   302,   303,   304,   305,   306,  1258,  1259,   309,  1260,
     310,     0,   311,   312,   313,   314,   315,   316,   317,     0,
     318,   319,   320,   321,     0,     0,   322,   323,   860,   325,
     326,     0,   327,   328,   329,     0,   330,   331,   332,     0,
     333,   334,   335,   336,  1261,   338,   339,   340,   341,  1262,
    1263,   343,     0,   344,   345,   346,  1264,   348,     0,   349,
       0,   350,   351,     0,   352,   353,   354,   355,   356,     0,
     357,  1265,     0,  1266,   360,   361,     0,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,     0,   372,   373,
     374,   375,   376,   377,   378,     0,   379,   380,   381,   382,
     383,   384,   385,  1267,  1268,     0,  1269,     0,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,     0,     0,
     399,  1270,   401,   402,   403,     0,   404,   405,   406,  1271,
    1272,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,  1273,
     426,  1274,   428,   429,   430,   431,   432,   433,   434,   435,
    1275,   437,  1276,   438,   439,   440,   441,  1277,  1278,   443,
    1279,   445,   446,   447,     0,   448,   449,     0,     0,  1280,
     451,   452,     0,     0,   453,   454,   455,   456,   457,   458,
    1281,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,  1282,   473,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,  1283,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,   508,   509,   510,   511,   512,   513,  1284,
     515,   516,   517,   518,   519,   520,   521,   522,   523,     0,
     524,   525,   526,   527,   528,  1285,   529,   530,   531,   532,
     533,   534,   535,   536,  1286,   538,     0,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
    1287,   553,     0,   554,   555,     0,   556,   557,   558,   559,
     560,   561,   562,     0,   563,  1288,  1289,  3260,     0,   566,
     567,  1290,   569,  1291,  1292,   571,   572,   573,   574,   575,
     576,   577,   578,     0,  1293,   579,   580,   581,   582,   583,
    1294,     0,   584,   585,   586,   587,   588,   589,  1295,     0,
     591,   592,   593,   594,   595,   596,     0,     0,   597,     0,
       0,   598,   599,   600,   601,   602,   603,   604,  1296,  1297,
    1298,  1299,   609,  1300,  1301,  1302,  1303,   614,   615,   616,
     617,  1304,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1305,  1306,     0,     0,     0,   234,     0,  1236,
     684,  1308,  1237,  1238,  1239,   745,  1240,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,     0,   243,   244,   245,     0,     0,     0,     0,
    1241,     0,     0,   246,   247,   248,     0,   249,   250,   251,
     252,   253,   254,   255,   256,   257,  1242,   259,  1243,  1244,
       0,   262,   263,   264,   265,   266,   267,   268,  1245,  1246,
     269,   270,  1247,  1248,   273,     0,   274,   275,   276,   277,
    1249,     0,  1250,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,  1251,  1252,  1253,  1254,
    1255,  1256,  1257,   301,   302,   303,   304,   305,   306,  1258,
    1259,   309,  1260,   310,     0,   311,   312,   313,   314,   315,
     316,   317,     0,   318,   319,   320,   321,     0,     0,   322,
     323,   860,   325,   326,     0,   327,   328,   329,     0,   330,
     331,   332,     0,   333,   334,   335,   336,  1261,   338,   339,
     340,   341,  1262,  1263,   343,     0,   344,   345,   346,  1264,
     348,     0,   349,     0,   350,   351,     0,   352,   353,   354,
     355,   356,     0,   357,  1265,     0,  1266,   360,   361,     0,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
       0,   372,   373,   374,   375,   376,   377,   378,     0,   379,
     380,   381,   382,   383,   384,   385,  1267,  1268,     0,  1269,
       0,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,     0,     0,   399,  1270,   401,   402,   403,     0,   404,
     405,   406,  1271,  1272,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,  1273,   426,  1274,   428,   429,   430,   431,   432,
     433,   434,   435,  1275,   437,  1276,   438,   439,   440,   441,
    1277,  1278,   443,  1279,   445,   446,   447,     0,   448,   449,
       0,     0,  1280,   451,   452,     0,     0,   453,   454,   455,
     456,   457,   458,  1281,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,  1282,   473,   474,
     475,   476,   477,     0,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,  1283,   489,   490,   491,   492,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     0,   506,   507,   508,   509,   510,   511,
     512,   513,  1284,   515,   516,   517,   518,   519,   520,   521,
     522,   523,     0,   524,   525,   526,   527,   528,  1285,   529,
     530,   531,   532,   533,   534,   535,   536,  1286,   538,     0,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,  1287,   553,     0,   554,   555,     0,   556,
     557,   558,   559,   560,   561,   562,     0,   563,  1288,  1289,
       0,     0,   566,   567,  1290,   569,  1291,  1292,   571,   572,
     573,   574,   575,   576,   577,   578,     0,  1293,   579,   580,
     581,   582,   583,  1294,     0,   584,   585,   586,   587,   588,
     589,  1295,     0,   591,   592,   593,   594,   595,   596,     0,
       0,   597,     0,     0,   598,   599,   600,   601,   602,   603,
     604,  1296,  1297,  1298,  1299,   609,  1300,  1301,  1302,  1303,
     614,   615,   616,   617,  1304,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1305,  1306,     0,     0,     0,
     234,     0,  1236,   684,  1308,  1237,  1238,  1239,   745,  1240,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,     0,   243,   244,   245,     0,
       0,     0,     0,  1241,     0,     0,   246,   247,   248,     0,
     249,   250,   251,   252,   253,   254,   255,   256,   257,  1242,
     259,  1243,  1244,     0,   262,   263,   264,   265,   266,   267,
     268,  1245,  1246,   269,   270,  1247,  1248,   273,     0,   274,
     275,   276,   277,  1249,     0,  1250,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,  1251,
    1252,  1253,  1254,  1255,  1256,  1257,   301,   302,   303,   304,
     305,   306,  1258,  1259,   309,  1260,   310,     0,   311,   312,
     313,   314,   315,   316,   317,     0,   318,   319,   320,   321,
       0,     0,   322,   323,   860,   325,   326,     0,   327,   328,
     329,     0,   330,   331,   332,     0,   333,   334,   335,   336,
    1261,   338,   339,   340,   341,  1262,  1263,   343,     0,   344,
     345,   346,  1264,   348,     0,   349,     0,   350,   351,     0,
     352,   353,   354,   355,   356,     0,   357,  1265,     0,  1266,
     360,   361,     0,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,     0,   372,   373,   374,   375,   376,   377,
     378,     0,   379,   380,   381,   382,   383,   384,   385,  1267,
    1268,     0,  1269,     0,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,     0,     0,   399,  1270,   401,   402,
     403,     0,   404,   405,   406,  1271,  1272,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,  1273,   426,  1274,   428,   429,
     430,   431,   432,   433,   434,   435,  1275,   437,  1276,   438,
     439,   440,   441,  1277,  1278,   443,  1279,   445,   446,   447,
       0,   448,   449,     0,     0,  1280,   451,   452,     0,     0,
     453,   454,   455,   456,   457,   458,  1281,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
    1282,   473,   474,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,  1283,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     0,   506,   507,   508,
     509,   510,   511,   512,   513,  1284,   515,   516,   517,   518,
     519,   520,   521,   522,   523,     0,   524,   525,   526,   527,
     528,  1285,   529,   530,   531,   532,   533,   534,   535,   536,
    1286,   538,     0,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,  1287,   553,     0,   554,
     555,     0,   556,   557,   558,   559,   560,   561,   562,     0,
     563,  1288,  1289,     0,     0,   566,   567,  1290,   569,  1291,
    1292,   571,   572,   573,   574,   575,   576,   577,   578,     0,
    1293,   579,   580,   581,   582,   583,  1294,     0,   584,   585,
     586,   587,   588,   589,  1295,     0,   591,   592,   593,   594,
     595,   596,     0,     0,   597,     0,     0,   598,   599,   600,
     601,   602,   603,   604,  1296,  1297,  1298,  1299,   609,  1300,
    1301,  1302,  1303,   614,   615,   616,   617,  1304,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2602,  2603,
       0,     0,     0,   234,     0,  3373,   684,  1308,  1237,  1238,
    1239,   745,  1240,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,     0,   243,
     244,   245,     0,     0,     0,     0,  1241,     0,     0,   246,
     247,   248,     0,   249,   250,   251,   252,   253,   254,   255,
     256,   257,  1242,   259,  1243,  1244,     0,   262,   263,   264,
     265,   266,   267,   268,  1245,  1246,   269,   270,  1247,  1248,
     273,     0,   274,   275,   276,   277,  1249,     0,  1250,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,  1251,  1252,  1253,  1254,  1255,  1256,  1257,   301,
     302,   303,   304,   305,   306,  1258,  1259,   309,  1260,   310,
       0,   311,   312,   313,   314,   315,   316,   317,     0,   318,
     319,   320,   321,     0,     0,   322,   323,   860,   325,   326,
       0,   327,   328,   329,     0,   330,   331,   332,     0,   333,
     334,   335,   336,  1261,   338,   339,   340,   341,  1262,  1263,
     343,     0,   344,   345,   346,  1264,   348,     0,   349,     0,
     350,   351,     0,   352,   353,   354,   355,   356,     0,   357,
    1265,     0,  1266,   360,   361,     0,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,     0,   372,   373,   374,
     375,   376,   377,   378,     0,   379,   380,   381,   382,   383,
     384,   385,  1267,  1268,     0,  1269,     0,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,     0,     0,   399,
    1270,   401,   402,   403,     0,   404,   405,   406,  1271,  1272,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,  1273,   426,
    1274,   428,   429,   430,   431,   432,   433,   434,   435,  1275,
     437,  1276,   438,   439,   440,   441,  1277,  1278,   443,  1279,
     445,   446,   447,     0,   448,   449,     0,     0,  1280,   451,
     452,     0,     0,   453,   454,   455,   456,   457,   458,  1281,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,  1282,   473,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
    1283,   489,   490,   491,   492,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,   508,   509,   510,   511,   512,   513,  1284,   515,
     516,   517,   518,   519,   520,   521,   522,   523,     0,   524,
     525,   526,   527,   528,  1285,   529,   530,   531,   532,   533,
     534,   535,   536,  1286,   538,     0,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,  1287,
     553,     0,   554,   555,     0,   556,   557,   558,   559,   560,
     561,   562,     0,   563,  1288,  1289,     0,     0,   566,   567,
    1290,   569,  1291,  1292,   571,   572,   573,   574,   575,   576,
     577,   578,     0,  1293,   579,   580,   581,   582,   583,  1294,
       0,   584,   585,   586,   587,   588,   589,  1295,     0,   591,
     592,   593,   594,   595,   596,     0,     0,   597,     0,     0,
     598,   599,   600,   601,   602,   603,   604,  1296,  1297,  1298,
    1299,   609,  1300,  1301,  1302,  1303,   614,   615,   616,   617,
    1304,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1305,  1306,     0,     0,     0,   234,     0,  1236,   684,
    1308,  1237,  1238,  1239,   745,  1240,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,     0,   243,   244,   245,     0,     0,     0,     0,  1241,
       0,     0,   246,   247,   248,     0,   249,   250,   251,   252,
     253,   254,   255,   256,   257,  1242,   259,  1243,  1244,     0,
     262,   263,   264,   265,   266,   267,   268,  1245,  1246,   269,
     270,  1247,  1248,   273,     0,   274,   275,   276,   277,  1249,
       0,  1250,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,  4644,  1251,  1252,  1253,  1254,  1255,
    1256,  1257,   301,   302,   303,   304,   305,   306,  1258,  1259,
     309,  1260,   310,     0,   311,   312,   313,   314,   315,   316,
     317,     0,   318,   319,   320,   321,     0,     0,   322,   323,
     860,   325,   326,     0,   327,   328,   329,     0,   330,   331,
     332,     0,   333,   334,   335,   336,  1261,   338,   339,   340,
     341,  1262,  1263,   343,     0,   344,   345,   346,  1264,   348,
       0,   349,     0,   350,   351,     0,   352,   353,   354,   355,
     356,     0,   357,  1265,     0,  1266,   360,   361,     0,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,     0,
     372,   373,   374,   375,   376,   377,   378,     0,   379,   380,
     381,   382,   383,   384,   385,  1267,  1268,     0,  1269,     0,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
       0,     0,   399,  1270,   401,   402,   403,     0,   404,   405,
     406,  1271,  1272,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,  1273,   426,  1274,   428,   429,   430,   431,   432,   433,
     434,   435,  1275,   437,  1276,   438,   439,   440,   441,  1277,
    1278,   443,  1279,   445,   446,   447,     0,   448,   449,     0,
       0,  1280,   451,   452,     0,     0,   453,   454,   455,   456,
     457,   458,  1281,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,  1282,   473,   474,   475,
     476,   477,     0,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,  1283,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     0,   506,   507,   508,   509,   510,   511,   512,
     513,  1284,   515,   516,   517,   518,   519,   520,   521,   522,
     523,     0,   524,   525,   526,   527,   528,  1285,   529,   530,
     531,   532,   533,   534,   535,   536,  1286,   538,     0,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,  1287,   553,     0,   554,   555,     0,   556,   557,
     558,   559,   560,   561,   562,     0,   563,  1288,  1289,     0,
       0,   566,   567,  1290,   569,  1291,  1292,   571,   572,   573,
     574,   575,   576,   577,   578,     0,  1293,   579,   580,   581,
     582,   583,  1294,     0,   584,   585,   586,   587,   588,   589,
    1295,     0,   591,   592,   593,   594,   595,   596,     0,     0,
     597,     0,     0,   598,   599,   600,   601,   602,   603,   604,
    1296,  1297,  1298,  1299,   609,  1300,  1301,  1302,  1303,   614,
     615,   616,   617,  1304,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1305,  1306,     0,     0,     0,   234,
       0,  1236,   684,  1308,  1237,  1238,  1239,   745,  1240,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,     0,   243,   244,   245,     0,     0,
       0,     0,  1241,     0,     0,   246,   247,   248,     0,   249,
     250,   251,   252,   253,   254,   255,   256,   257,  1242,   259,
    1243,  1244,     0,   262,   263,   264,   265,   266,   267,   268,
    1245,  1246,   269,   270,  1247,  1248,   273,     0,   274,   275,
     276,   277,  1249,     0,  1250,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,  1251,  1252,
    1253,  1254,  1255,  1256,  1257,   301,   302,   303,   304,   305,
     306,  1258,  1259,   309,  1260,   310,     0,   311,   312,   313,
     314,   315,   316,   317,     0,   318,   319,   320,   321,     0,
       0,   322,   323,   860,   325,   326,     0,   327,   328,   329,
       0,   330,   331,   332,     0,   333,   334,   335,   336,  1261,
     338,   339,   340,   341,  1262,  1263,   343,     0,   344,   345,
     346,  1264,   348,     0,   349,     0,   350,   351,     0,   352,
     353,   354,   355,   356,     0,   357,  1265,     0,  1266,   360,
     361,     0,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,     0,   372,   373,   374,   375,   376,   377,   378,
       0,   379,   380,   381,   382,   383,   384,   385,  1267,  1268,
       0,  1269,     0,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,     0,     0,   399,  1270,   401,   402,   403,
       0,   404,   405,   406,  1271,  1272,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,  1273,   426,  1274,   428,   429,   430,
     431,   432,   433,   434,   435,  1275,   437,  1276,   438,   439,
     440,   441,  1277,  1278,   443,  1279,   445,   446,   447,     0,
     448,   449,     0,     0,  1280,   451,   452,     0,     0,   453,
     454,   455,   456,   457,   458,  1281,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,  1282,
     473,   474,   475,   476,   477,     0,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,  1283,   489,   490,   491,
     492,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     0,   506,   507,   508,   509,
     510,   511,   512,   513,  1284,   515,   516,   517,   518,   519,
     520,   521,   522,   523,     0,   524,   525,   526,   527,   528,
    1285,   529,   530,   531,   532,   533,   534,   535,   536,  1286,
     538,     0,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,  1287,   553,     0,   554,   555,
       0,   556,   557,   558,   559,   560,   561,   562,     0,   563,
    1288,  1289,     0,     0,   566,   567,  1290,   569,  1291,  1292,
     571,   572,   573,   574,   575,   576,   577,   578,     0,  1293,
     579,   580,   581,   582,   583,  1294,     0,   584,   585,   586,
     587,   588,   589,  1295,     0,   591,   592,   593,   594,   595,
     596,     0,     0,   597,     0,     0,   598,   599,   600,   601,
     602,   603,  5004,  1296,  1297,  1298,  1299,   609,  1300,  1301,
    1302,  1303,   614,   615,   616,   617,  1304,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1305,  1306,     0,
       0,     0,   234,     0,  1236,   684,  1308,  1237,  1238,  1239,
     745,  1240,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,     0,   243,   244,
     245,     0,     0,     0,     0,  1241,     0,     0,   246,   247,
     248,     0,   249,   250,   251,   252,   253,   254,   255,   256,
     257,  1242,   259,  1243,  1244,     0,   262,   263,   264,   265,
     266,   267,   268,  1245,  1246,   269,   270,  1247,  1248,   273,
       0,   274,   275,   276,   277,  1249,     0,  1250,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,  1251,  1252,  1253,  1254,  1255,  1256,  1257,   301,   302,
     303,   304,   305,   306,  1258,  1259,   309,  1260,   310,     0,
     311,   312,   313,   314,   315,   316,   317,     0,   318,   319,
     320,   321,     0,     0,   322,   323,   860,   325,   326,     0,
     327,   328,   329,     0,   330,   331,   332,     0,   333,   334,
     335,   336,  1261,   338,   339,   340,   341,  1262,  1263,   343,
       0,   344,   345,   346,  1264,   348,     0,   349,     0,   350,
     351,     0,   352,   353,   354,   355,   356,     0,   357,  1265,
       0,  1266,   360,   361,     0,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,     0,   372,   373,   374,   375,
     376,   377,   378,     0,   379,   380,   381,   382,   383,   384,
     385,  1267,  1268,     0,  1269,     0,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,     0,     0,   399,  1270,
     401,   402,   403,     0,   404,   405,   406,  1271,  1272,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,  1273,   426,  1274,
     428,   429,   430,   431,   432,   433,  5016,   435,  1275,   437,
    1276,   438,   439,   440,   441,  1277,  1278,   443,  1279,   445,
     446,   447,     0,   448,   449,     0,     0,  1280,   451,   452,
       0,     0,   453,   454,   455,   456,   457,   458,  1281,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,  1282,   473,   474,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,  1283,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     0,   506,
     507,   508,   509,   510,   511,   512,   513,  1284,   515,   516,
     517,   518,   519,   520,   521,   522,   523,     0,   524,   525,
     526,   527,   528,  1285,   529,   530,   531,   532,   533,   534,
     535,   536,  1286,   538,     0,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,  1287,   553,
       0,   554,   555,     0,   556,   557,   558,   559,   560,   561,
     562,     0,   563,  1288,  1289,     0,     0,   566,   567,  1290,
     569,  1291,  1292,   571,   572,   573,   574,   575,   576,   577,
     578,     0,  1293,   579,   580,   581,   582,   583,  1294,     0,
     584,   585,   586,   587,   588,   589,  1295,     0,   591,   592,
     593,   594,   595,   596,     0,     0,   597,     0,     0,   598,
     599,   600,   601,   602,   603,   604,  1296,  1297,  1298,  1299,
     609,  1300,  1301,  1302,  1303,   614,   615,   616,   617,  1304,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1305,  1306,     0,     0,     0,   234,     0,  1236,   684,  1308,
    1237,  1238,  1239,   745,  1240,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
       0,   243,   244,   245,     0,     0,     0,     0,  1241,     0,
       0,   246,   247,   248,     0,   249,   250,   251,   252,   253,
     254,   255,   256,   257,  1242,   259,  1243,  1244,     0,   262,
     263,   264,   265,   266,   267,   268,  1245,  1246,   269,   270,
    1247,  1248,   273,     0,   274,   275,   276,   277,  1249,     0,
    1250,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,  5326,   299,  1251,  1252,  1253,  1254,  1255,  1256,
    1257,   301,   302,   303,   304,   305,   306,  1258,  1259,   309,
    1260,   310,     0,   311,   312,   313,   314,   315,   316,   317,
       0,   318,   319,   320,   321,     0,     0,   322,   323,   860,
     325,   326,     0,   327,   328,   329,     0,   330,   331,   332,
       0,   333,   334,   335,   336,  1261,   338,   339,   340,   341,
    1262,  1263,   343,     0,   344,   345,   346,  1264,   348,     0,
     349,     0,   350,   351,     0,   352,   353,   354,   355,   356,
       0,   357,  1265,     0,  5327,   360,   361,     0,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,     0,   372,
     373,   374,   375,   376,   377,   378,     0,   379,   380,   381,
     382,   383,   384,   385,  1267,  1268,     0,  1269,     0,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,     0,
       0,   399,  1270,   401,   402,   403,     0,   404,   405,   406,
    1271,  1272,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
    1273,   426,  1274,   428,   429,   430,   431,   432,   433,   434,
     435,  1275,   437,  1276,   438,   439,   440,   441,  1277,  1278,
     443,  1279,   445,   446,   447,     0,   448,   449,     0,     0,
    1280,   451,   452,     0,     0,   453,   454,   455,   456,   457,
     458,  1281,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,  1282,   473,   474,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,  1283,   489,   490,   491,   492,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,   508,   509,   510,  5328,   512,   513,
    1284,   515,   516,   517,   518,   519,   520,   521,   522,   523,
       0,   524,   525,   526,   527,   528,  1285,   529,   530,   531,
     532,   533,   534,   535,   536,  1286,   538,     0,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,  1287,   553,     0,   554,   555,     0,   556,   557,   558,
     559,   560,   561,   562,     0,   563,  1288,  1289,     0,     0,
     566,   567,  1290,   569,  1291,  1292,   571,   572,   573,   574,
     575,   576,   577,   578,     0,  1293,   579,   580,   581,   582,
     583,  1294,     0,   584,   585,   586,   587,   588,   589,  1295,
       0,   591,   592,   593,   594,   595,   596,     0,     0,   597,
       0,     0,   598,   599,   600,   601,   602,   603,   604,  1296,
    1297,  1298,  1299,   609,  1300,  1301,  1302,  1303,   614,   615,
     616,   617,  1304,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1305,  1306,     0,     0,     0,   234,     0,
    1236,   684,  5329,  1237,  1238,  1239,   745,  1240,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,     0,   243,   244,   245,     0,     0,     0,
       0,  1241,     0,     0,   246,   247,   248,     0,   249,   250,
     251,   252,   253,   254,   255,   256,  5820,  1242,   259,  1243,
    1244,     0,   262,   263,   264,   265,   266,   267,   268,  1245,
    1246,   269,   270,  1247,  1248,   273,     0,   274,   275,   276,
     277,  1249,     0,  1250,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,  5821,  1251,  1252,  1253,
    1254,  1255,  1256,  1257,   301,   302,   303,   304,   305,   306,
    1258,  1259,   309,  1260,   310,     0,   311,   312,   313,   314,
     315,   316,   317,     0,   318,   319,   320,   321,     0,     0,
     322,   323,   860,   325,   326,     0,   327,   328,   329,     0,
     330,   331,   332,     0,   333,   334,   335,   336,  1261,   338,
     339,   340,   341,  1262,  1263,   343,     0,   344,   345,   346,
    1264,   348,     0,   349,     0,   350,   351,     0,   352,   353,
     354,   355,   356,     0,   357,  1265,     0,  1266,   360,   361,
       0,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,     0,   372,   373,   374,   375,   376,   377,   378,     0,
     379,   380,   381,   382,   383,   384,   385,  1267,  1268,     0,
    1269,     0,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,     0,     0,   399,  1270,   401,   402,   403,     0,
     404,   405,   406,  1271,  1272,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,  1273,   426,  1274,   428,   429,   430,   431,
     432,   433,   434,   435,  1275,   437,  1276,   438,   439,   440,
     441,  1277,  1278,   443,  1279,   445,   446,   447,     0,   448,
     449,     0,     0,  1280,   451,   452,     0,     0,   453,   454,
     455,   456,   457,   458,  1281,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,  1282,   473,
     474,   475,   476,   477,     0,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,  1283,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     0,   506,   507,   508,   509,   510,
     511,   512,   513,  1284,   515,   516,   517,   518,   519,   520,
     521,   522,   523,     0,   524,   525,   526,   527,   528,  1285,
     529,   530,   531,   532,   533,   534,   535,   536,  1286,   538,
       0,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,  1287,   553,     0,   554,   555,     0,
     556,   557,   558,   559,   560,   561,   562,     0,   563,  1288,
    1289,     0,     0,   566,   567,  1290,   569,  1291,  1292,   571,
     572,   573,   574,   575,  5822,   577,   578,     0,  1293,   579,
     580,   581,   582,   583,  1294,     0,   584,   585,   586,   587,
     588,   589,  1295,     0,   591,   592,   593,   594,   595,   596,
       0,     0,   597,     0,     0,   598,   599,   600,   601,   602,
     603,   604,  1296,  1297,  1298,  1299,   609,  1300,  1301,  1302,
    1303,   614,   615,   616,   617,  1304,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1305,  1306,     0,     0,
       0,   234,     0,  1236,   684,  1308,  1237,  1238,  1239,   745,
    1240,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,     0,   243,   244,   245,
       0,     0,     0,     0,  1241,     0,     0,   246,   247,   248,
       0,   249,   250,   251,   252,   253,   254,   255,   256,   257,
    1242,   259,  1243,  1244,     0,   262,   263,   264,   265,   266,
     267,   268,  1245,  1246,   269,   270,  1247,  1248,   273,     0,
     274,   275,   276,   277,  1249,     0,  1250,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,  5821,
    1251,  1252,  1253,  1254,  1255,  1256,  1257,   301,   302,   303,
     304,   305,   306,  1258,  1259,   309,  1260,   310,     0,   311,
     312,   313,   314,   315,   316,   317,     0,   318,   319,   320,
     321,     0,     0,   322,   323,   860,   325,   326,     0,   327,
     328,   329,     0,   330,   331,   332,     0,   333,   334,   335,
     336,  1261,   338,   339,   340,   341,  1262,  1263,   343,     0,
     344,   345,   346,  1264,   348,     0,   349,     0,   350,   351,
       0,   352,   353,   354,   355,   356,     0,   357,  1265,     0,
    1266,   360,   361,     0,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,     0,   372,   373,   374,   375,   376,
     377,   378,     0,   379,   380,   381,   382,   383,   384,   385,
    1267,  1268,     0,  1269,     0,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,     0,     0,   399,  1270,   401,
     402,   403,     0,   404,   405,   406,  1271,  1272,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,  1273,   426,  1274,   428,
     429,   430,   431,   432,   433,   434,   435,  1275,   437,  1276,
     438,   439,   440,   441,  1277,  1278,   443,  1279,   445,   446,
     447,     0,   448,   449,     0,     0,  1280,   451,   452,     0,
       0,   453,   454,   455,   456,   457,   458,  1281,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,  1282,   473,   474,   475,   476,   477,     0,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,  1283,   489,
     490,   491,   492,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     0,   506,   507,
     508,   509,   510,   511,   512,   513,  1284,   515,   516,   517,
     518,   519,   520,   521,   522,   523,     0,   524,   525,   526,
     527,   528,  1285,   529,   530,   531,   532,   533,   534,   535,
     536,  1286,   538,     0,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,  1287,   553,     0,
     554,   555,     0,   556,   557,   558,   559,   560,   561,   562,
       0,   563,  1288,  1289,     0,     0,   566,   567,  1290,   569,
    1291,  1292,   571,   572,   573,   574,   575,  5822,   577,   578,
       0,  1293,   579,   580,   581,   582,   583,  1294,     0,   584,
     585,   586,   587,   588,   589,  1295,     0,   591,   592,   593,
     594,   595,   596,     0,     0,   597,     0,     0,   598,   599,
     600,   601,   602,   603,   604,  1296,  1297,  1298,  1299,   609,
    1300,  1301,  1302,  1303,   614,   615,   616,   617,  1304,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1305,
    1306,     0,     0,     0,   234,     0,  1236,   684,  1308,  1237,
    1238,  1239,   745,  1240,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,     0,
     243,   244,   245,     0,     0,     0,     0,  1241,     0,     0,
     246,   247,   248,     0,   249,   250,   251,   252,   253,   254,
     255,   256,   257,  1242,   259,  1243,  1244,     0,   262,   263,
     264,   265,   266,   267,   268,  1245,  1246,   269,   270,  1247,
    1248,   273,     0,   274,   275,   276,   277,  1249,     0,  1250,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,  1251,  1252,  1253,  1254,  1255,  1256,  1257,
     301,   302,   303,   304,   305,   306,  1258,  1259,   309,  5311,
     310,     0,   311,   312,   313,   314,   315,   316,   317,     0,
     318,   319,   320,   321,     0,     0,   322,   323,   860,   325,
     326,     0,   327,   328,   329,     0,   330,   331,   332,     0,
     333,   334,   335,   336,  1261,   338,   339,   340,   341,  1262,
    1263,   343,     0,   344,   345,   346,  1264,   348,     0,   349,
       0,   350,   351,     0,   352,   353,   354,   355,   356,     0,
     357,  1265,     0,  1266,   360,   361,     0,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,     0,   372,   373,
     374,   375,   376,   377,   378,     0,   379,   380,   381,   382,
     383,   384,   385,  1267,  1268,     0,  1269,     0,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,     0,     0,
     399,  1270,   401,   402,   403,     0,   404,   405,   406,  1271,
    1272,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,  1273,
     426,  1274,   428,   429,   430,   431,   432,   433,   434,   435,
    1275,   437,     0,   438,   439,   440,   441,  1277,  1278,   443,
    1279,   445,   446,   447,     0,   448,   449,     0,     0,  1280,
     451,   452,     0,     0,   453,   454,   455,   456,   457,   458,
    1281,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,  1282,   473,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,  1283,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,   508,   509,   510,   511,   512,   513,  3191,
     515,   516,   517,   518,   519,   520,   521,   522,   523,     0,
     524,   525,   526,   527,   528,  1285,   529,   530,   531,   532,
     533,   534,   535,   536,  1286,   538,     0,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
    1287,   553,     0,   554,   555,     0,   556,   557,   558,   559,
     560,   561,   562,     0,   563,  1288,  1289,     0,     0,   566,
     567,  1290,   569,  1291,  1292,   571,   572,   573,   574,   575,
     576,   577,   578,     0,     0,   579,   580,   581,   582,   583,
    1294,     0,   584,   585,   586,   587,   588,   589,  1295,     0,
     591,   592,   593,   594,   595,   596,     0,     0,   597,     0,
       0,   598,   599,   600,   601,   602,   603,   604,  1296,  1297,
    1298,  1299,   609,  1300,  1301,  1302,  1303,   614,   615,   616,
     617,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3192,  3193,     0,     0,     0,   234,     0,  1236,
     684,  3194,  1237,  1238,  1239,   745,  1240,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,     0,   243,   244,   245,     0,     0,     0,     0,
    1241,     0,     0,   246,   247,   248,     0,   249,   250,   251,
     252,   253,   254,   255,   256, -2818,  1242,   259,  1243,  1244,
       0,   262,   263,   264,   265,   266,   267,   268,  1245,  1246,
     269,   270,  1247,  1248,   273,     0,   274,   275,   276,   277,
    1249,     0,  1250,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,  5821,  1251,  1252,  1253,  1254,
    1255,  1256,  1257,   301,   302,   303,   304,   305,   306,  1258,
    1259,   309,  1260,   310,     0,   311,   312,   313,   314,   315,
     316,   317,     0,   318,   319,   320,   321,     0,     0,   322,
     323,   860,   325,   326,     0,   327,   328,   329,     0,   330,
     331,   332,     0,   333,   334,   335,   336,  1261,   338,   339,
     340,   341,  1262,  1263,   343,     0,   344,   345,   346,  1264,
     348,     0,   349,     0,   350,   351,     0,   352,   353,   354,
     355,   356,     0,   357,  1265,     0,  1266,   360,   361,     0,
     362,   363,   364,   365,   366, -2818,   368,   369,   370,   371,
       0,   372,   373,   374,   375,   376,   377,   378,     0,   379,
     380,   381,   382,   383,   384,   385,  1267,  1268,     0,  1269,
       0,   389,     0,     0,   392,   393,   394,   395,   396,   397,
     398,     0,     0,   399,  1270,   401,   402, -2818,     0,   404,
     405,   406,  1271,  1272,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,  1273,   426,  1274,   428,   429,   430,   431,   432,
     433,   434,   435,  1275,   437,  1276,   438,   439,     0,   441,
    1277,  1278,   443,  1279,   445,   446,   447,     0,   448,   449,
       0,     0,  1280,   451,   452,     0,     0,   453,   454,   455,
     456,   457,   458,  1281,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,  1282,   473,   474,
     475,   476,   477,     0,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,  1283,   489,   490,   491,   492,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     0,   506,   507,   508,   509,   510,   511,
     512,   513,  1284,   515,   516,   517,   518,   519,   520,   521,
     522,   523,     0,   524,   525,   526,   527,   528,  1285,   529,
     530,   531,   532,   533, -2818,   535,   536,  1286,   538,     0,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,  1287,   553,     0,   554,   555,     0,   556,
     557,   558,   559,   560,   561,   562,     0,   563,  1288,  1289,
       0,     0,   566,   567,  1290,   569,  1291,  1292,   571,   572,
     573,   574,   575,  5822,   577,   578,     0,  1293,   579,   580,
     581,   582,   583,  1294,     0,   584,   585,   586,   587,   588,
     589,  1295,     0,   591,   592,   593,   594,   595,   596,     0,
       0,   597,     0,     0,   598,   599,   600,   601,   602,   603,
     604,  1296,  1297,  1298,  1299,   609,  1300,  1301,  1302,  1303,
     614,   615,   616,   617, -2818,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1305,  1306,     0,     0,     0,
     234,     0,  1236,   684,  1308,  1237,  1238,  1239,   745,  1240,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,     0,   243,   244,   245,     0,
       0,     0,     0,  1241,     0,     0,   246,   247,   248,     0,
     249,   250,   251,   252,   253,   254,   255,   256,   257,  1242,
     259,  1243,  1244,     0,   262,   263,   264,   265,   266,   267,
     268,  1245,  1246,   269,   270,  1247,  1248,   273,     0,   274,
     275,   276,   277,  1249,     0,  1250,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,  1251,
    1252,  1253,  1254,  1255,  1256,  1257,   301,   302,   303,   304,
     305,   306,  1258,  1259,   309,     0,   310,     0,   311,   312,
     313,   314,   315,   316,   317,     0,   318,   319,   320,   321,
       0,     0,   322,   323,   860,   325,   326,     0,   327,   328,
     329,     0,   330,   331,   332,     0,   333,   334,   335,   336,
    1261,   338,   339,   340,   341,  1262,  1263,   343,     0,   344,
     345,   346,  1264,   348,     0,   349,     0,   350,   351,     0,
     352,   353,   354,   355,   356,     0,   357,  1265,     0,  1266,
     360,   361,     0,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,     0,   372,   373,   374,   375,   376,   377,
     378,     0,   379,   380,   381,   382,   383,   384,   385,  1267,
    1268,     0,  1269,     0,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,     0,     0,   399,  1270,   401,   402,
     403,     0,   404,   405,   406,  1271,  1272,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,  1273,   426,  1274,   428,   429,
     430,   431,   432,   433,   434,   435,  1275,   437,     0,   438,
     439,   440,   441,  1277,  1278,   443,  1279,   445,   446,   447,
       0,   448,   449,     0,     0,  1280,   451,   452,     0,     0,
     453,   454,   455,   456,   457,   458,  1281,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
    1282,   473,   474,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,  1283,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     0,   506,   507,   508,
     509,   510,   511,   512,   513,  3191,   515,   516,   517,   518,
     519,   520,   521,   522,   523,     0,   524,   525,   526,   527,
     528,  1285,   529,   530,   531,   532,   533,   534,   535,   536,
    1286,   538,     0,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,  1287,   553,     0,   554,
     555,     0,   556,   557,   558,   559,   560,   561,   562,     0,
     563,  1288,  1289,     0,     0,   566,   567,  1290,   569,  1291,
    1292,   571,   572,   573,   574,   575,   576,   577,   578,     0,
       0,   579,   580,   581,   582,   583,  1294,     0,   584,   585,
     586,   587,   588,   589,  1295,     0,   591,   592,   593,   594,
     595,   596,     0,     0,   597,     0,     0,   598,   599,   600,
     601,   602,   603,   604,  1296,  1297,  1298,  1299,   609,  1300,
    1301,  1302,  1303,   614,   615,   616,   617,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3192,  3193,
     234,     0,  1236,   684,     0,  1237,  1238,  3194,   745,  1240,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,     0,   243,   244,   245,     0,
       0,     0,     0,  1241,     0,     0,   246,   247,   248,     0,
     249,   250,   251,   252,   253,   254,   255,   256,   257,  1242,
     259,  1243,  1244,     0,   262,   263,   264,   265,   266,   267,
     268,  1245,  1246,   269,   270,  1247,  1248,   273,     0,   274,
     275,   276,   277,  1249,     0,  1250,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,  1251,
    1252,  1253,  1254,  1255,  1256,  1257,   301,   302,   303,   304,
     305,   306,  1258,  1259,   309,     0,   310,     0,   311,   312,
     313,   314,   315,   316,   317,     0,   318,   319,   320,   321,
       0,     0,   322,   323,   860,   325,   326,     0,   327,   328,
     329,     0,   330,   331,   332,     0,   333,   334,   335,   336,
    1261,   338,   339,   340,   341,  1262,  1263,   343,     0,   344,
     345,   346,  1264,   348,     0,   349,     0,   350,   351,     0,
     352,   353,   354,   355,   356,     0,   357,  1265,     0,  1266,
     360,   361,     0,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,     0,   372,   373,   374,   375,   376,   377,
     378,     0,   379,   380,   381,   382,   383,   384,   385,  1267,
    1268,     0,  1269,     0,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,     0,     0,   399,  1270,   401,   402,
     403,     0,   404,   405,   406,  1271,  1272,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,  1273,   426,  1274,   428,   429,
     430,   431,   432,   433,   434,   435,  1275,   437,     0,   438,
     439,   440,   441,  1277,  1278,   443,  1279,   445,   446,   447,
       0,   448,   449,     0,     0,   450,   451,   452,     0,     0,
     453,   454,   455,   456,   457,   458,  1281,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
    1282,   473,   474,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,  1283,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     0,   506,   507,   508,
     509,   510,   511,   512,   513,  3362,  3363,   516,   517,   518,
     519,   520,   521,   522,   523,     0,   524,   525,   526,   527,
     528,  1285,   529,   530,   531,   532,   533,   534,   535,   536,
    1286,   538,     0,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,  1287,   553,     0,   554,
     555,     0,   556,   557,   558,   559,   560,   561,   562,     0,
     563,  1288,  1289,     0,     0,   566,   567,  1290,   569,  1291,
    1292,   571,   572,   573,   574,   575,   576,   577,   578,     0,
       0,   579,   580,   581,   582,   583,  1294,     0,   584,   585,
     586,   587,   588,   589,  1295,     0,   591,   592,   593,   594,
     595,   596,     0,     0,   597,     0,     0,   598,   599,   600,
     601,   602,   603,   604,  1296,  1297,  1298,  1299,   609,  1300,
    1301,  1302,  1303,   614,   615,   616,   617,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3364,  3365,
     234,     0,  1236,   684,     0,  1237,  1238,  3194,   745,  1240,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,     0,   243,   244,   245,     0,
       0,     0,     0,  1241,     0,     0,   246,   247,   248,     0,
     249,   250,   251,   252,   253,   254,   255,   256,   257,  1242,
     259,  1243,  1244,     0,   262,   263,   264,   265,   266,   267,
     268,  1245,  1246,   269,   270,  1247,  1248,   273,     0,   274,
     275,   276,   277,  1249,     0,  1250,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,  1251,
    1252,  1253,  1254,  1255,  1256,  1257,   301,   302,   303,   304,
     305,   306,  1258,  1259,   309,     0,   310,     0,   311,   312,
     313,   314,   315,   316,   317,     0,   318,   319,   320,   321,
       0,     0,   322,   323,   860,   325,   326,     0,   327,   328,
     329,     0,   330,   331,   332,     0,   333,   334,   335,   336,
    1261,   338,   339,   340,   341,  1262,  1263,   343,     0,   344,
     345,   346,  1264,   348,     0,   349,     0,   350,   351,     0,
     352,   353,   354,   355,   356,     0,   357,  1265,     0,  1266,
     360,   361,     0,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,     0,   372,   373,   374,   375,   376,   377,
     378,     0,   379,   380,   381,   382,   383,   384,   385,  1267,
    1268,     0,  1269,     0,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,     0,     0,   399,  1270,   401,   402,
     403,     0,   404,   405,   406,  1271,  1272,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,  1273,   426,  1274,   428,   429,
     430,   431,   432,   433,   434,   435,  1275,   437,     0,   438,
     439,   440,   441,  1277,  1278,   443,  1279,   445,   446,   447,
       0,   448,   449,     0,     0,   450,   451,   452,     0,     0,
     453,   454,   455,   456,   457,   458,  1281,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
    1282,   473,   474,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,  1283,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     0,   506,   507,   508,
     509,   510,   511,   512,   513,  3191,   515,   516,   517,   518,
     519,   520,   521,   522,   523,     0,   524,   525,   526,   527,
     528,  1285,   529,   530,   531,   532,   533,   534,   535,   536,
    1286,   538,     0,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,  1287,   553,     0,   554,
     555,     0,   556,   557,   558,   559,   560,   561,   562,     0,
     563,  1288,  1289,     0,     0,   566,   567,  1290,   569,  1291,
    1292,   571,   572,   573,   574,   575,   576,   577,   578,     0,
       0,   579,   580,   581,   582,   583,  1294,     0,   584,   585,
     586,   587,   588,   589,  1295,     0,   591,   592,   593,   594,
     595,   596,     0,     0,   597,     0,     0,   598,   599,   600,
     601,   602,   603,   604,  1296,  1297,  1298,  1299,   609,  1300,
    1301,  1302,  1303,   614,   615,   616,   617,     0,     0,     0,
       0,   234,     0,  1236,   684,     0,  1237,  1238,     0,   745,
    1240,     0,     0,     0,     0,     0,     0,  3194,   235,   236,
     237,   238,   239,   240,   241,   242,     0,   243,   244,   245,
       0,     0,     0,     0,  1241,     0,     0,   246,   247,   248,
       0,   249,   250,   251,   252,   253,   254,   255,   256,   257,
    1242,   259,  1243,  1244,     0,   262,  4555,   264,   265,   266,
     267,   268,  1245,  1246,   269,   270,  1247,  1248,   273,     0,
     274,   275,   276,   277,  1249,     0,  1250,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
    1251,  1252,  1253,  1254,  1255,  1256,  1257,   301,   302,   303,
     304,   305,   306,  1258,  1259,   309,     0,   310,     0,   311,
     312,   313,   314,   315,   316,   317,     0,   318,   319,   320,
     321,     0,     0,   322,   323,   860,   325,   326,     0,   327,
     328,   329,     0,   330,   331,   332,     0,   333,   334,   335,
     336,  1261,   338,   339,   340,   341,  1262,  1263,   343,     0,
     344,   345,   346,  1264,   348,     0,   349,     0,   350,   351,
       0,   352,   353,   354,   355,   356,     0,   357,  1265,     0,
    1266,   360,   361,     0,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,     0,   372,   373,   374,   375,   376,
     377,   378,     0,   379,   380,   381,   382,   383,   384,   385,
    1267,  1268,     0,  1269,     0,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,     0,     0,   399,  1270,   401,
     402,   403,     0,   404,   405,   406,  1271,  1272,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,  1273,   426,  1274,   428,
     429,   430,   431,   432,   433,   434,   435,  1275,   437,     0,
     438,   439,   440,   441,  1277,  1278,   443,  1279,   445,   446,
     447,     0,   448,   449,     0,     0,   450,   451,   452,     0,
       0,   453,   454,   455,   456,   457,   458,  1281,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,  1282,   473,   474,   475,   476,   477,     0,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,  1283,   489,
     490,   491,   492,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     0,   506,   507,
     508,   509,   510,   511,   512,   513,  3191,   515,   516,   517,
     518,   519,   520,   521,   522,   523,     0,   524,   525,   526,
     527,   528,  1285,   529,   530,   531,   532,   533,   534,   535,
     536,  1286,   538,     0,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,  1287,   553,     0,
     554,   555,     0,   556,   557,   558,   559,   560,   561,   562,
       0,   563,  1288,  1289,     0,     0,   566,   567,  1290,   569,
    1291,  1292,   571,   572,   573,   574,   575,   576,   577,   578,
       0,     0,   579,   580,   581,   582,   583,  1294,     0,   584,
     585,   586,   587,   588,   589,  1295,     0,   591,   592,   593,
     594,   595,   596,     0,     0,   597,     0,     0,   598,   599,
     600,   601,   602,   603,   604,  1296,  1297,  1298,  1299,   609,
    1300,  1301,  1302,  1303,   614,   615,   616,   617,     0,     0,
       0,     0,   234,     0,  1236,   684,     0,  1237,  1238,     0,
     745,  1240,     0,     0,     0,     0,     0,     0,  3194,   235,
     236,   237,   238,   239,   240,   241,   242,     0,   243,   244,
     245,     0,     0,     0,     0,  1241,     0,     0,   246,   247,
     248,     0,   249,   250,   251,   252,   253,   254,   255,   256,
     257,  1242,   259,  1243,  1244,     0,   262,   263,   264,   265,
     266,   267,   268,  1245,  1246,   269,   270,  1247,  1248,   273,
       0,   274,   275,   276,   277,  1249,     0,  1250,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,  1251,  1252,  1253,  1254,  1255,  1256,  1257,   301,   302,
     303,   304,   305,   306,  1258,  1259,   309,     0,   310,     0,
     311,   312,   313,   314,   315,   316,   317,     0,   318,   319,
     320,   321,     0,     0,   322,   323,   860,   325,   326,     0,
     327,   328,   329,     0,   330,   331,   332,     0,   333,   334,
     335,   336,  1261,   338,   339,   340,   341,  1262,  1263,   343,
       0,   344,   345,   346,  1264,   348,     0,   349,     0,   350,
     351,     0,   352,   353,   354,   355,   356,     0,   357,  1265,
       0,  1266,   360,   361,     0,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,     0,   372,   373,   374,   375,
     376,   377,   378,     0,   379,   380,   381,   382,   383,   384,
     385,  1267,  1268,     0,  1269,     0,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,     0,     0,   399,  1270,
     401,   402,   403,     0,   404,   405,   406,  1271,  1272,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,  1273,   426,  1274,
     428,   429,   430,   431,   432,   433,   434,   435,  1275,   437,
       0,   438,   439,   440,   441,  1277,  1278,   443,  1279,   445,
     446,   447,     0,   448,   449,     0,     0,   450,   451,   452,
       0,     0,   453,   454,   455,   456,   457,   458,  1281,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,  1282,   473,   474,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,  1283,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     0,   506,
     507,   508,   509,   510,   511,   512,   513,  3191,   515,   516,
     517,   518,   519,   520,   521,   522,   523,     0,   524,   525,
     526,   527,   528,  1285,   529,   530,   531,   532,   533,   534,
     535,   536,  1286,   538,     0,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,  1287,   553,
       0,   554,   555,     0,   556,   557,   558,   559,   560,   561,
     562,     0,   563,  1288,  1289,     0,     0,   566,   567,  1290,
     569,  1291,  1292,   571,   572,   573,   574,   575,   576,   577,
     578,     0,     0,   579,   580,   581,   582,   583,  1294,     0,
     584,   585,   586,   587,   588,   589,  1295,     0,   591,   592,
     593,   594,   595,   596,     0,     0,   597,     0,     0,   598,
     599,   600,   601,   602,   603,   604,  1296,  1297,  1298,  1299,
    4613,  1300,  1301,  1302,  1303,   614,   615,   616,   617,     0,
       0,     0,     0,   234,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3194,
     235,   236,   237,   238,   239,   240,   241,   242,     0,   243,
     244,   245,     0,     0,     0,     0,     0,     0,     0,   246,
     247,   248,     0,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,     0,   262,   263,   264,
     265,   266,   267,   268,     0,  1246,   269,   270,   271,   272,
     273,     0,   274,   275,   276,   277,  1249,     0,  1250,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,  1251,  1252,  1253,  1254,  1255,  1256,  1257,   301,
     302,   303,   304,   305,   306,   307,   308,   309,     0,   310,
       0,   311,   312,   313,   314,   315,   316,   317,     0,   318,
     319,   320,   321,     0,     0,   322,   323,   324,   325,   326,
       0,   327,   328,   329,     0,   330,   331,   332,     0,   333,
     334,   335,   336,   337,   338,   339,   340,   341,  1262,     0,
     343,     0,   344,   345,   346,   347,   348,     0,   349,     0,
     350,   351,     0,   352,   353,   354,   355,   356,     0,   357,
    1265,     0,   359,   360,   361,     0,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,     0,   372,   373,   374,
     375,   376,   377,   378,     0,   379,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,     0,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,  3337,     0,   399,
    1270,   401,   402,   403,     0,   404,   405,   406,  1271,  1272,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,  1275,
     437,     0,   438,   439,   440,   441,     0,  1278,   443,   444,
     445,   446,   447,     0,   448,   449,     0,   835,   450,   451,
     452,     0,     0,   453,   454,   455,   456,   457,   458,  1281,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,  1282,   473,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,   508,   509,   510,   511,   512,   513,   514,  3338,
     516,   517,   518,   519,   520,   521,   522,   523,    40,   524,
     525,   526,   527,   528,  1285,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,  1287,
     553,     0,   554,   555,    44,   556,   557,   558,   559,   560,
     561,   562,     0,   563,   564,   565,     0,     0,   566,   567,
    1290,   569,  1291,     0,   571,   572,   573,   574,   575,   576,
     577,   578,     0,     0,   579,   580,   581,   582,   583,  1294,
       0,   584,   585,   586,   587,   588,  1175,   590,     0,   591,
     592,   593,   594,   595,   596,     0,     0,   597,     0,    49,
     598,   599,   600,   601,   602,   603,   604,  1296,  1297,  1298,
    1299,   609,  1300,  1301,  1302,  1303,  3339,   615,   616,   617,
       0,     0,    50,     0,   234,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3340,   235,   236,   237,   238,   239,   240,   241,   242,     0,
     243,   244,   245,     0,     0,     0,     0,     0,     0,     0,
     246,   247,   248,     0,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,     0,   262,   263,
     264,   265,   266,   267,   268,     0,  1246,   269,   270,   271,
     272,   273,     0,   274,   275,   276,   277,  1249,     0,  1250,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,  1251,  1252,  1253,  1254,  1255,  1256,  1257,
     301,   302,   303,   304,   305,   306,   307,   308,   309,     0,
     310,     0,   311,   312,   313,   314,   315,   316,   317,     0,
     318,   319,   320,   321,     0,     0,   322,   323,   324,   325,
     326,     0,   327,   328,   329,     0,   330,   331,   332,     0,
     333,   334,   335,   336,   337,   338,   339,   340,   341,  1262,
       0,   343,     0,   344,   345,   346,   347,   348,     0,   349,
       0,   350,   351,     0,   352,   353,   354,   355,   356,     0,
     357,  1265,     0,   359,   360,   361,     0,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,     0,   372,   373,
     374,   375,   376,   377,   378,     0,   379,   380,   381,   382,
     383,   384,   385,   386,   387,     0,   388,     0,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,  3337,     0,
     399,  1270,   401,   402,   403,     0,   404,   405,   406,  1271,
    1272,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
    1275,   437,     0,   438,   439,   440,   441,     0,  1278,   443,
     444,   445,   446,   447,     0,   448,   449,     0,   835,   450,
     451,   452,     0,     0,   453,   454,   455,   456,   457,   458,
    1281,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,  1282,   473,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,   508,   509,   510,   511,   512,   513,   514,
    3338,   516,   517,   518,   519,   520,   521,   522,   523,     0,
     524,   525,   526,   527,   528,  1285,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,     0,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
    1287,   553,     0,   554,   555,     0,   556,   557,   558,   559,
     560,   561,   562,     0,   563,   564,   565,     0,     0,   566,
     567,  1290,   569,  1291,     0,   571,   572,   573,   574,   575,
     576,   577,   578,     0,     0,   579,   580,   581,   582,   583,
    1294,     0,   584,   585,   586,   587,   588,   589,   590,     0,
     591,   592,   593,   594,   595,   596,     0,     0,   597,     0,
       0,   598,   599,   600,   601,   602,   603,   604,  1296,  1297,
    1298,  1299,   609,  1300,  1301,  1302,  1303,  3339,   615,   616,
     617,     0,     0,     0,     0,   234,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3340,   235,   236,   237,   238,   239,   240,   241,   242,
       0,   243,   244,   245,     0,     0,     0,     0,     0,     0,
       0,   246,   247,   248,     0,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,     0,   262,
     263,   264,   265,   266,   267,   268,     0,  1246,   269,   270,
     271,   272,   273,     0,   274,   275,   276,   277,  1249,     0,
    1250,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,  1251,  1252,  1253,  1254,  1255,  1256,
    1257,   301,   302,   303,   304,   305,   306,   307,   308,   309,
       0,   310,     0,   311,   312,   313,   314,   315,   316,   317,
       0,   318,   319,   320,   321,     0,     0,   322,   323,   324,
     325,   326,     0,   327,   328,   329,     0,   330,   331,   332,
       0,   333,   334,   335,   336,   337,   338,   339,   340,   341,
    1262,     0,   343,     0,   344,   345,   346,   347,   348,     0,
     349,     0,   350,   351,     0,   352,   353,   354,   355,   356,
       0,   357,  1265,     0,   359,   360,   361,     0,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,     0,   372,
     373,   374,   375,   376,   377,   378,     0,   379,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,     0,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,     0,
       0,   399,  1270,   401,   402,   403,     0,   404,   405,   406,
    1271,  1272,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,  1275,   437,     0,   438,   439,   440,   441,     0,  1278,
     443,   444,   445,   446,   447,     0,   448,   449,     0,     0,
     450,   451,   452,     0,     0,   453,   454,   455,   456,   457,
     458,  1281,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,  1282,   473,   474,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
       0,   524,   525,   526,   527,   528,  1285,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,  1287,   553,     0,   554,   555,     0,   556,   557,   558,
     559,   560,   561,   562,     0,   563,   564,   565,     0,     0,
     566,   567,  1290,   569,  1291,     0,   571,   572,   573,   574,
     575,   576,   577,   578,     0,     0,   579,   580,   581,   582,
     583,  1294,     0,   584,   585,   586,   587,   588,   589,   590,
       0,   591,   592,   593,   594,   595,   596,     0,     0,   597,
       0,     0,   598,   599,   600,   601,   602,   603,   604,  1296,
    1297,  1298,  1299,   609,  1300,  1301,  1302,  1303,   614,   615,
     616,   617,     0,     0,     0,     0,   234,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3775,   235,   236,   237,   238,   239,   240,   241,
     242,     0,   243,   244,   245,     0,     0,     0,     0,     0,
       0,     0,   246,   247,   248,     0,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,     0,
     262,   263,   264,   265,   266,   267,   268,     0,  1246,   269,
     270,   271,   272,   273,     0,   274,   275,   276,   277,  1249,
       0,  1250,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,  1251,  1252,  1253,  1254,  1255,
    1256,  1257,   301,   302,   303,   304,   305,   306,   307,   308,
     309,     0,   310,     0,   311,   312,   313,   314,   315,   316,
     317,     0,   318,   319,   320,   321,     0,     0,   322,   323,
     324,   325,   326,     0,   327,   328,   329,     0,   330,   331,
     332,     0,   333,   334,   335,   336,   337,   338,   339,   340,
     341,  1262,     0,   343,     0,   344,   345,   346,   347,   348,
       0,   349,     0,   350,   351,     0,   352,   353,   354,   355,
     356,     0,   357,  1265,     0,   359,   360,   361,     0,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,     0,
     372,   373,   374,   375,   376,   377,   378,     0,   379,   380,
     381,   382,   383,   384,   385,   386,   387,     0,   388,     0,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
       0,     0,   399,  1270,   401,   402,   403,     0,   404,   405,
     406,  1271,  1272,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,  1275,   437,     0,   438,   439,   440,   441,     0,
    1278,   443,   444,   445,   446,   447,     0,   448,   449,     0,
       0,   450,   451,   452,     0,     0,   453,   454,   455,   456,
     457,   458,  1281,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,  1282,   473,   474,   475,
     476,   477,     0,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     0,   506,   507,   508,   509,   510,   511,   512,
     513,   514,  3338,   516,   517,   518,   519,   520,   521,   522,
     523,     0,   524,   525,   526,   527,   528,  1285,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,  1287,   553,     0,   554,   555,     0,   556,   557,
     558,   559,   560,   561,   562,     0,   563,   564,   565,     0,
       0,   566,   567,  1290,   569,  1291,     0,   571,   572,   573,
     574,   575,   576,   577,   578,     0,     0,   579,   580,   581,
     582,   583,  1294,     0,   584,   585,   586,   587,   588,   589,
     590,     0,   591,   592,   593,   594,   595,   596,     0,     0,
     597,     0,     0,   598,   599,   600,   601,   602,   603,   604,
    1296,  1297,  1298,  1299,   609,  1300,  1301,  1302,  1303,  3339,
     615,   616,   617,     0,     0,     0,     0,   234,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    56,   235,   236,   237,   238,   239,   240,
     241,   242,     0,   243,   244,   245,     0,     0,     0,     0,
       0,     0,     0,   246,   247,   248,     0,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
       0,   262,   263,   264,   265,   266,   267,   268,     0,  1246,
     269,   270,   271,   272,   273,     0,   274,   275,   276,   277,
    1249,     0,  1250,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,  1251,  1252,  1253,  1254,
    1255,  1256,  1257,   301,   302,   303,   304,   305,   306,   307,
     308,   309,     0,   310,     0,   311,   312,   313,   314,   315,
     316,   317,     0,   318,   319,   320,   321,     0,     0,   322,
     323,   324,   325,   326,     0,   327,   328,   329,     0,   330,
     331,   332,     0,   333,   334,   335,   336,   337,   338,   339,
     340,   341,  1262,     0,   343,     0,   344,   345,   346,   347,
     348,     0,   349,     0,   350,   351,     0,   352,   353,   354,
     355,   356,     0,   357,  1265,     0,   359,   360,   361,     0,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
       0,   372,   373,   374,   375,   376,   377,   378,     0,   379,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
       0,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,     0,     0,   399,  1270,   401,   402,   403,     0,   404,
     405,   406,  1271,  1272,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,  1275,   437,     0,   438,   439,   440,   441,
       0,  1278,   443,   444,   445,   446,   447,     0,   448,   449,
       0,     0,   450,   451,   452,     0,     0,   453,   454,   455,
     456,   457,   458,  1281,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,  1282,   473,   474,
     475,   476,   477,     0,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     0,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,     0,   524,   525,   526,   527,   528,  1285,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,  1287,   553,     0,   554,   555,     0,   556,
     557,   558,   559,   560,   561,   562,     0,   563,   564,   565,
       0,     0,   566,   567,  1290,   569,  1291,     0,   571,   572,
     573,   574,   575,   576,   577,   578,     0,     0,   579,   580,
     581,   582,   583,  1294,     0,   584,   585,   586,   587,   588,
     589,   590,     0,   591,   592,   593,   594,   595,   596,     0,
       0,   597,     0,     0,   598,   599,   600,   601,   602,   603,
     604,  1296,  1297,  1298,  1299,   609,  1300,  1301,  1302,  1303,
     614,   615,   616,   617,     0,     0,     0,     0,   234,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4674,   235,   236,   237,   238,   239,
     240,   241,   242,     0,   243,   244,   245,     0,     0,     0,
       0,     0,     0,     0,   246,   247,   248,     0,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,     0,   262,   263,   264,   265,   266,   267,   268,     0,
    1246,   269,   270,   271,   272,   273,     0,   274,   275,   276,
     277,  1249,     0,  1250,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,  1251,  1252,  1253,
    1254,  1255,  1256,  1257,   301,   302,   303,   304,   305,   306,
     307,   308,   309,     0,   310,     0,   311,   312,   313,   314,
     315,   316,   317,     0,   318,   319,   320,   321,     0,     0,
     322,   323,   324,   325,   326,     0,   327,   328,   329,     0,
     330,   331,   332,     0,   333,   334,   335,   336,   337,   338,
     339,   340,   341,  1262,     0,   343,     0,   344,   345,   346,
     347,   348,     0,   349,     0,   350,   351,     0,   352,   353,
     354,   355,   356,     0,   357,  1265,     0,   359,   360,   361,
       0,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,     0,   372,   373,   374,   375,   376,   377,   378,     0,
     379,   380,   381,   382,   383,   384,   385,   386,   387,     0,
     388,     0,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,     0,     0,   399,  1270,   401,   402,   403,     0,
     404,   405,   406,  1271,  1272,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,  1275,   437,     0,   438,   439,   440,
     441,     0,  1278,   443,   444,   445,   446,   447,     0,   448,
     449,     0,     0,   450,   451,   452,     0,     0,   453,   454,
     455,   456,   457,   458,  1281,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,  1282,   473,
     474,   475,   476,   477,     0,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     0,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,     0,   524,   525,   526,   527,   528,  1285,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
       0,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,  1287,   553,     0,   554,   555,     0,
     556,   557,   558,   559,   560,   561,   562,     0,   563,   564,
     565,     0,     0,   566,   567,  1290,   569,  1291,     0,   571,
     572,   573,   574,   575,   576,   577,   578,     0,     0,   579,
     580,   581,   582,   583,  1294,     0,   584,   585,   586,   587,
     588,   589,   590,     0,   591,   592,   593,   594,   595,   596,
       0,     0,   597,     0,     0,   598,   599,   600,   601,   602,
     603,   604,  1296,  1297,  1298,  1299,   609,  1300,  1301,  1302,
    1303,   614,   615,   616,   617,     0,     0,     0,     0,   938,
       0,  1554,   684,     0,     0,     0,     0,   745,     0,     0,
       0,     0,     0,     0,     0,  5794,   235,   236,   237,   238,
     239,   240,   241,   242,     0,   243,   244,   245,     0,     0,
       0,     0,     0,     0,     0,   246,   247,   248,     0,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,     0,   262,   263,   264,   265,   266,   267,   268,
       0,     0,   269,   270,   271,   272,   273,     0,   274,   275,
     276,   277,   278,     0,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
       0,   300,     0,     0,     0,   301,   302,   303,   304,   305,
     306,   307,   308,   309,     0,   310,     0,   311,   312,   313,
     314,   315,   316,   317,     0,   318,   319,   320,   321,     0,
       0,   322,   323,   324,   325,   326,     0,   327,   328,   329,
       0,   330,   331,   332,     0,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,  1779,   343,     0,   344,   345,
     346,   347,   348,     0,   349,     0,   350,   351,     0,   352,
     353,   354,   355,   356,     0,   357,   358,     0,   359,   360,
     361,     0,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,     0,   372,   373,   374,   375,   376,   377,   378,
       0,   379,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,     0,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,     0,     0,   399,   400,   401,   402,   403,
       0,   404,   405,   406,     0,     0,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,     0,   442,   443,   444,   445,   446,   447,     0,
     448,   449,  1780,     0,   450,   451,   452,     0,     0,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,     0,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     0,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,     0,   524,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,     0,   554,   555,
       0,   556,   557,   558,   559,   560,   561,   562,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,  1781,
     571,   572,   573,   574,   575,   576,   577,   578,     0,     0,
     579,   580,   581,   582,   583,     0,     0,   584,   585,   586,
     587,   588,   589,   590,     0,   591,   592,   593,   594,   595,
     596,     0,     0,   597,     0,     0,   598,   599,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,     0,     0,     0,     0,
     938,     0,     0,     0,     0,     0,     0,  1555,  1556,  5604,
       0,     0,     0,     0,     0,     0,  5605,   235,   236,   237,
     238,   239,   240,   241,   242,     0,   243,   244,   245,     3,
       4,     0,     0,     0,     0,     0,   246,   247,   248,     0,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,     0,   262,   263,   264,   265,   266,   267,
     268,     0,     0,   269,   270,   271,   272,   273,     0,   274,
     275,   276,   277,   278,     0,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,     0,   300,     0,     0,     0,   301,   302,   303,   304,
     305,   306,   307,   308,   309,     0,   310,     0,   311,   312,
     313,   314,   315,   316,   317,     0,   318,   319,   320,   321,
       0,     0,   322,   323,   324,   325,   326,     0,   327,   328,
     329,     0,   330,   331,   332,     0,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,     0,   343,     0,   344,
     345,   346,   347,   348,     0,   349,     0,   350,   351,     0,
     352,   353,   354,   355,   356,     0,   357,   358,     0,   359,
     360,   361,     0,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,     0,   372,   373,   374,   375,   376,   377,
     378,     0,   379,   380,   381,   382,   383,   384,   385,   386,
     387,     0,   388,     0,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,     0,     0,   399,   400,   401,   402,
     403,     0,   404,   405,   406,     0,     0,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,     0,   442,   443,   444,   445,   446,   447,
       0,   448,   449,     0,     0,   450,   451,   452,     0,     0,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     0,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,    40,   524,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,     0,   554,
     555,    44,   556,   557,   558,   559,   560,   561,   562,     0,
     563,   564,   565,     0,     0,   566,   567,   568,   569,   570,
       0,   571,   572,   573,   574,   575,   576,   577,   578,     0,
       0,   579,   580,   581,   582,   583,     0,     0,   584,   585,
     586,   587,   588,  1175,   590,     0,   591,   592,   593,   594,
     595,   596,     0,     0,   597,     0,    49,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   617,     0,     0,    50,
       0,   234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    56,   235,   236,
     237,   238,   239,   240,   241,   242,     0,   243,   244,   245,
       0,     0,     0,     0,     0,     0,     0,   246,   247,   248,
       0,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,     0,   262,   263,   264,   265,   266,
     267,   268,     0,     0,   269,   270,   271,   272,   273,     0,
     274,   275,   276,   277,   278,     0,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,     0,   300,     0,     0,     0,   301,   302,   303,
     304,   305,   306,   307,   308,   309,     0,   310,     0,   311,
     312,   313,   314,   315,   316,   317,     0,   318,   319,   320,
     321,     0,     0,   322,   323,   324,   325,   326,     0,   327,
     328,   329,     0,   330,   331,   332,     0,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,   343,     0,
     344,   345,   346,   347,   348,     0,   349,     0,   350,   351,
       0,   352,   353,   354,   355,   356,     0,   357,   358,     0,
     359,   360,   361,     0,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,     0,   372,   373,   374,   375,   376,
     377,   378,     0,   379,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,     0,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,     0,     0,   399,   400,   401,
     402,   403,     0,   404,   405,   406,     0,     0,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,     0,   442,   443,   444,   445,   446,
     447,     0,   448,   449,     0,     0,   450,   451,   452,     0,
       0,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,     0,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     0,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,     0,
     554,   555,     0,   556,   557,   558,   559,   560,   561,   562,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,     0,   571,   572,   573,   574,   575,   576,   577,   578,
       0,     0,   579,   580,   581,   582,   583,     0,     0,   584,
     585,   586,   587,   588,   589,   590,     0,   591,   592,   593,
     594,   595,   596,     0,     0,   597,     0,     0,   598,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,     0,     0,
       0,     0,   625,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5379,   235,
     236,   237,   238,   239,   240,   241,   242,     0,   243,   244,
     245,     0,     0,     0,     0,     0,     0,     0,   246,   247,
     248,     0,   249,   250,   251,   252,     0,   254,   255,   256,
     257,   258,     0,   260,   261,     0,   262,   263,   264,   265,
     266,   267,   268,     0,     0,   269,   270,   271,   272,   273,
       0,   274,   275,   276,   277,   278,     0,     0,     0,   280,
     281,   282,   283,   284,   285,     0,   287,   288,   289,     0,
     290,   291,   292,   293,   294,   295,     0,     0,   297,   298,
     299,     0,     0,     0,     0,     0,     0,     0,   301,   302,
     303,   304,   305,   306,   307,   308,   309,     0,   310,     0,
     311,   312,   313,   314,   315,   316,   317,     0,   318,   319,
     320,   321,     0,     0,   322,   323,   324,   325,   326,     0,
     327,   328,   329,     0,   330,   331,   332,     0,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,     0,   343,
       0,   344,   345,   346,   347,   348,     0,   349,     0,   350,
       0,     0,     0,   353,   354,   355,   356,     0,   357,   358,
       0,   359,   360,   361,     0,   362,   363,   364,   365,   366,
       0,   368,   369,   370,   371,     0,   372,   373,   374,   375,
     376,   377,   378,     0,   379,     0,   381,   382,   383,   384,
     385,   386,   387,     0,   388,     0,   389,     0,     0,   392,
       0,   394,   395,   396,   397,   398,     0,     0,   399,   400,
       0,   402,     0,     0,   404,   405,   406,     0,     0,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,     0,   441,     0,   442,   443,   444,   445,
     446,   447,     0,   448,   449,     0,     0,   450,   451,   452,
       0,     0,   453,   454,   455,     0,   457,     0,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     0,   506,
     507,     0,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,    40,   524,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,     0,
     535,   536,   537,   538,     0,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
       0,   554,   555,    44,   556,     0,   558,   559,   560,   561,
     562,     0,   563,   564,   565,     0,     0,   566,   567,   568,
     569,   570,     0,   571,   572,   573,   574,   575,   576,   577,
     578,     0,     0,   579,   580,   581,   582,   583,     0,     0,
     584,   585,   586,   587,   588,  1175,   590,     0,   591,     0,
     593,   594,   595,   596,     0,     0,   597,     0,    49,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,     0,
       0,    50,     0,   625,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    56,
     235,   236,   237,   238,   239,   240,   241,   242,     0,   243,
     244,   245,     0,     0,     0,     0,     0,     0,     0,   246,
     247,   248,     0,   249,   250,   251,   252,     0,   254,   255,
     256,   257,   258,     0,   260,   261,     0,   262,   263,   264,
     265,   266,   267,   268,     0,     0,   269,   270,   271,   272,
     273,     0,   274,   275,   276,   277,   278,     0,     0,     0,
     280,   281,   282,   283,   284,   285,     0,   287,   288,   289,
       0,   290,   291,   292,   293,   294,   295,     0,     0,   297,
     298,   299,     0,     0,     0,  2806,     0,     0,     0,   301,
     302,   303,   304,   305,   306,   307,   308,   309,     0,   310,
       0,   311,   312,   313,   314,   315,   316,   317,     0,   318,
     319,   320,   321,     0,     0,   322,   323,   324,   325,   326,
       0,   327,   328,   329,     0,   330,   331,   332,     0,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,     0,   344,   345,   346,   347,   348,     0,   349,     0,
     350,     0,     0,     0,   353,   354,   355,   356,     0,   357,
     358,     0,   359,   360,   361,     0,   362,   363,   364,   365,
     366,     0,   368,   369,   370,   371,     0,   372,   373,   374,
     375,   376,   377,   378,     0,   379,     0,   381,   382,   383,
     384,   385,   386,   387,     0,   388,     0,   389,     0,     0,
     392,     0,   394,   395,   396,   397,   398,     0,     0,   399,
     400,     0,   402,     0,     0,   404,   405,   406,     0,     0,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,     0,   441,     0,   442,   443,   444,
     445,   446,   447,     0,   448,   449,     0,   835,   450,   451,
     452,     0,     0,   453,   454,   455,     0,   457,     0,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,     0,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,     0,   524,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
       0,   535,   536,   537,   538,     0,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,     0,   554,   555,  2807,  2808,     0,   558,   559,   560,
     561,   562,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,     0,   571,   572,   573,   574,   575,   576,
     577,   578,     0,     0,   579,   580,   581,   582,   583,     0,
       0,   584,   585,   586,   587,   588,   589,   590,     0,   591,
       0,   593,   594,   595,   596,     0,     0,   597,     0,     0,
     598,   599,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
       0,     0,     0,     0,   625,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1813,   235,   236,   237,   238,   239,   240,   241,   242,     0,
     243,   244,   245,     0,     0,     0,     0,     0,     0,     0,
     246,   247,   248,     0,   249,   250,   251,   252,     0,   254,
     255,   256,   257,   258,     0,   260,   261,     0,   262,   263,
     264,   265,   266,   267,   268,     0,     0,   269,   270,   271,
     272,   273,     0,   274,   275,   276,   277,   278,     0,     0,
       0,   280,   281,   282,   283,   284,   285,     0,   287,   288,
     289,     0,   290,   291,   292,   293,   294,   295,     0,     0,
     297,   298,   299,     0,     0,     0,     0,     0,     0,     0,
     301,   302,   303,   304,   305,   306,   307,   308,   309,     0,
     310,     0,   311,   312,   313,   314,   315,   316,   317,     0,
     318,   319,   320,   321,     0,     0,   322,   323,   324,   325,
     326,     0,   327,   328,   329,     0,   330,   331,   332,     0,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
       0,   343,     0,   344,   345,   346,   347,   348,     0,   349,
       0,   350,     0,     0,     0,   353,   354,   355,   356,     0,
     357,   358,     0,   359,   360,   361,     0,   362,   363,   364,
     365,   366,     0,   368,   369,   370,   371,     0,   372,   373,
     374,   375,   376,   377,   378,     0,   379,     0,   381,   382,
     383,   384,   385,   386,   387,     0,   388,     0,   389,     0,
       0,   392,     0,   394,   395,   396,   397,   398,     0,     0,
     399,   400,     0,   402,     0,     0,   404,   405,   406,     0,
       0,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,     0,   441,     0,   442,   443,
     444,   445,   446,   447,     0,   448,   449,     0,     0,   450,
     451,   452,     0,     0,   453,   454,   455,     0,   457,     0,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,     0,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,     0,   535,   536,   537,   538,     0,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,     0,   554,   555,     0,   556,     0,   558,   559,
     560,   561,   562,     0,   563,   564,   565,     0,     0,   566,
     567,   568,   569,   570,     0,   571,   572,   573,   574,   575,
     576,   577,   578,     0,     0,   579,   580,   581,   582,   583,
       0,     0,   584,   585,   586,   587,   588,   589,   590,     0,
     591,     0,   593,   594,   595,   596,     0,     0,   597,     0,
       0,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     617,     0,     0,     0,     0,   625,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1366,   235,   236,   237,   238,   239,   240,   241,   242,
       0,   243,   244,   245,     0,     0,     0,     0,     0,     0,
       0,   246,   247,   248,     0,   249,   250,   251,   252,     0,
     254,   255,   256,   257,   258,     0,   260,   261,     0,   262,
     263,   264,   265,   266,   267,   268,     0,     0,   269,   270,
     271,   272,   273,     0,   274,   275,   276,   277,   278,     0,
       0,     0,   280,   281,   282,   283,   284,   285,     0,   287,
     288,   289,     0,   290,   291,   292,   293,   294,   295,     0,
       0,   297,   298,   299,     0,     0,     0,     0,     0,     0,
       0,   301,   302,   303,   304,   305,   306,   307,   308,   309,
       0,   310,     0,   311,   312,   313,   314,   315,   316,   317,
       0,   318,   319,   320,   321,     0,     0,   322,   323,   324,
     325,   326,     0,   327,   328,   329,     0,   330,   331,   332,
       0,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,     0,   344,   345,   346,   347,   348,     0,
     349,     0,   350,     0,     0,     0,   353,   354,   355,   356,
       0,   357,   358,     0,   359,   360,   361,     0,   362,   363,
     364,   365,   366,     0,   368,   369,   370,   371,     0,   372,
     373,   374,   375,   376,   377,   378,     0,   379,     0,   381,
     382,   383,   384,   385,   386,   387,     0,   388,     0,   389,
       0,     0,   392,     0,   394,   395,   396,   397,   398,     0,
       0,   399,   400,     0,   402,     0,     0,   404,   405,   406,
       0,     0,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,     0,   441,     0,   442,
     443,   444,   445,   446,   447,     0,   448,   449,     0,     0,
     450,   451,   452,     0,     0,   453,   454,   455,     0,   457,
       0,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,     0,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
       0,   524,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,     0,   535,   536,   537,   538,     0,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,     0,   554,   555,     0,   556,     0,   558,
     559,   560,   561,   562,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,     0,   571,   572,   573,   574,
     575,   576,   577,   578,     0,     0,   579,   580,   581,   582,
     583,     0,     0,   584,   585,   586,   587,   588,   589,   590,
       0,   591,     0,   593,   594,   595,   596,     0,     0,   597,
       0,     0,   598,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,     0,     0,     0,     0,   625,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3396,   235,   236,   237,   238,   239,   240,   241,
     242,     0,   243,   244,   245,     0,     0,     0,     0,     0,
       0,     0,   246,   247,   248,     0,   249,   250,   251,   252,
       0,   254,   255,   256,   257,   258,     0,   260,   261,     0,
     262,   263,   264,   265,   266,   267,   268,     0,     0,   269,
     270,   271,   272,   273,     0,   274,   275,   276,   277,   278,
       0,     0,     0,   280,   281,   282,   283,   284,   285,     0,
     287,   288,   289,     0,   290,   291,   292,   293,   294,   295,
       0,     0,   297,   298,   299,     0,     0,     0,     0,     0,
       0,     0,   301,   302,   303,   304,   305,   306,   307,   308,
     309,     0,   310,     0,   311,   312,   313,   314,   315,   316,
     317,     0,   318,   319,   320,   321,     0,     0,   322,   323,
     324,   325,   326,     0,   327,   328,   329,     0,   330,   331,
     332,     0,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,     0,   343,     0,   344,   345,   346,   347,   348,
       0,   349,     0,   350,     0,     0,     0,   353,   354,   355,
     356,     0,   357,   358,     0,   359,   360,   361,     0,   362,
     363,   364,   365,   366,     0,   368,   369,   370,   371,     0,
     372,   373,   374,   375,   376,   377,   378,     0,   379,     0,
     381,   382,   383,   384,   385,   386,   387,     0,   388,     0,
     389,     0,     0,   392,     0,   394,   395,   396,   397,   398,
       0,     0,   399,   400,     0,   402,     0,     0,   404,   405,
     406,     0,     0,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,     0,   441,     0,
     442,   443,   444,   445,   446,   447,     0,   448,   449,     0,
       0,   450,   451,   452,     0,     0,   453,   454,   455,     0,
     457,     0,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,     0,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     0,   506,   507,     0,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,     0,   535,   536,   537,   538,     0,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,     0,   554,   555,     0,   556,     0,
     558,   559,   560,   561,   562,     0,   563,   564,   565,     0,
       0,   566,   567,   568,   569,   570,     0,   571,   572,   573,
     574,   575,   576,   577,   578,     0,     0,   579,   580,   581,
     582,   583,     0,     0,   584,   585,   586,   587,   588,   589,
     590,     0,   591,     0,   593,   594,   595,   596,     0,     0,
     597,     0,     0,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,     0,     0,     0,     0,   625,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4590,   235,   236,   237,   238,   239,   240,
     241,   242,     0,   243,   244,   245,     0,     0,     0,     0,
       0,     0,     0,   246,   247,   248,     0,   249,   250,   251,
     252,     0,   254,   255,   256,   257,   258,     0,   260,   261,
       0,   262,   263,   264,   265,   266,   267,   268,     0,     0,
     269,   270,   271,   272,   273,     0,   274,   275,   276,   277,
     278,     0,     0,     0,   280,   281,   282,   283,   284,   285,
       0,   287,   288,   289,     0,   290,   291,   292,   293,   294,
     295,     0,     0,   297,   298,   299,     0,     0,     0,     0,
       0,     0,     0,   301,   302,   303,   304,   305,   306,   307,
     308,   309,     0,   310,     0,   311,   312,   313,   314,   315,
     316,   317,     0,   318,   319,   320,   321,     0,     0,   322,
     323,   324,   325,   326,     0,   327,   328,   329,     0,   330,
     331,   332,     0,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,     0,   344,   345,   346,   347,
     348,     0,   349,     0,   350,     0,     0,     0,   353,   354,
     355,   356,     0,   357,   358,     0,   359,   360,   361,     0,
     362,   363,   364,   365,   366,     0,   368,   369,   370,   371,
       0,   372,   373,   374,   375,   376,   377,   378,     0,   379,
       0,   381,   382,   383,   384,   385,   386,   387,     0,   388,
       0,   389,     0,     0,   392,     0,   394,   395,   396,   397,
     398,     0,     0,   399,   400,     0,   402,     0,     0,   404,
     405,   406,     0,     0,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,     0,   441,
       0,   442,   443,   444,   445,   446,   447,     0,   448,   449,
       0,     0,   450,   451,   452,     0,     0,   453,   454,   455,
       0,   457,     0,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,     0,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     0,   506,   507,     0,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,     0,   524,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,     0,   535,   536,   537,   538,     0,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,     0,   554,   555,     0,   556,
       0,   558,   559,   560,   561,   562,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,     0,   571,   572,
     573,   574,   575,   576,   577,   578,     0,     0,   579,   580,
     581,   582,   583,     0,     0,   584,   585,   586,   587,   588,
     589,   590,     0,   591,     0,   593,   594,   595,   596,     0,
       0,   597,     0,     0,   598,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,     0,     0,     0,     0,     0,     0,
       0,   852,     0,  1554,   684,     0,     0,     0,   953,   745,
       0,     0,     0,     0,  4630,   954,   955,   956,   235,   236,
     237,   238,   239,   240,   241,   242,  1692,   243,   244,   245,
    1693,  1694,  1695,  1696,  1697,  1698,  1699,   246,   247,   248,
    1700,   249,   250,   251,   252,   253,   254,   255,   256,     0,
     853,   259,   854,   855,  1701,   262,   263,   264,   265,   266,
     267,   268,  1702,  1703,   269,   270,   856,   857,   273,  1704,
     274,   275,   276,   277,     0,  1705,   279,  1706,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,  1707,   290,
     291,   292,   293,   294,   295,  1708,   296,   297,   298,   299,
    1709,  1710,  1711,   300,  1712,  1713,  1714,   301,   302,   303,
     304,   305,   306,   858,   859,   309,  1715,   310,  1716,   311,
     312,   313,   314,   315,   316,   317,  1717,   318,   319,   320,
     321,  1718,  1719,   322,   323,   860,   325,   326,  1720,   327,
     328,   329,  1721,   330,   331,   332,  1722,   333,   334,   335,
     336,     0,   338,   339,   340,   341,     0,  1723,   343,  1724,
     344,   345,   346,   861,   348,  1725,   349,  1726,   350,   351,
    1727,   352,   353,   354,   355,   356,  1728,   357,     0,  1729,
       0,   360,   361,  1730,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,  1731,   372,   373,   374,   375,   376,
     377,   378,  1732,   379,   380,     0,   382,   383,   384,   385,
     862,   863,  1733,   864,  1734,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,  1735,  1736,   399,     0,   401,
     402,   403,  1737,   404,   405,   406,  1738,  1739,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   865,   426,   866,   428,
     429,   430,   431,   432,   433,   434,  4341,     0,   437,  1740,
     438,   439,   440,   441,  1741,     0,   443,   867,   445,   446,
     447,  1742,   448,   449,  1743,  1744,  4342,   451,   452,  1745,
    1746,   453,   454,     0,   456,   457,   458,     0,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,  1747,   470,
     471,     0,   473,     0,   475,   476,   477,  1748,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   868,   489,
     490,   491,   492,  1749,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,  1750,   506,   507,
     508,   509,   510,   511,   512,   513,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,  1751,   524,   525,   526,
     527,   528,  1752,   529,   530,  2636,   532,   533,   534,   535,
     536,   870,   538,  1753,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,     0,   553,  1754,
     554,   555,  1755,   556,   557,   558,   559,   560,   561,   562,
    1756,   563,   871,   872,  1757,  1758,   566,   567,     0,   569,
       0,  1759,   571,   572,   573,   574,   575,   576,   577,   578,
    1760,  1761,   579,   580,   581,   582,   583,  1762,  1763,   584,
     585,   586,   587,   588,     0,   873,  1764,   591,   592,   593,
     594,   595,   596,  1765,  1766,   597,  1767,  1768,   598,   599,
     600,   601,   602,   603,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   615,   616,   617,     0,     0,
       0,     0,     0,     0,     0,     0,   959,   960,   961,  4343,
    4344,   964,   965,   966,   967,   852,     0,  1554,   684,     0,
       0,     0,   953,   745,     0,     0,     0,     0,     0,   954,
     955,   956,   235,   236,   237,   238,   239,   240,   241,   242,
    1692,   243,   244,   245,  1693,  1694,  1695,  1696,  1697,  1698,
    1699,   246,   247,   248,  1700,   249,   250,   251,   252,   253,
     254,   255,   256,     0,   853,   259,   854,   855,  1701,   262,
     263,   264,   265,   266,   267,   268,  1702,  1703,   269,   270,
     856,   857,   273,  1704,   274,   275,   276,   277,     0,  1705,
     279,  1706,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,  1707,   290,   291,   292,   293,   294,   295,  1708,
     296,   297,   298,   299,  1709,  1710,  1711,   300,  1712,  1713,
    1714,   301,   302,   303,   304,   305,   306,   858,   859,   309,
    1715,   310,  1716,   311,   312,   313,   314,   315,   316,   317,
    1717,   318,   319,   320,   321,  1718,  1719,   322,   323,   860,
     325,   326,  1720,   327,   328,   329,  1721,   330,   331,   332,
    1722,   333,   334,   335,   336,     0,   338,   339,   340,   341,
       0,  1723,   343,  1724,   344,   345,   346,   861,   348,  1725,
     349,  1726,   350,   351,  1727,   352,   353,   354,   355,   356,
    1728,   357,     0,  1729,     0,   360,   361,  1730,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,  1731,   372,
     373,   374,   375,   376,   377,   378,  1732,   379,   380,     0,
     382,   383,   384,   385,   862,   863,  1733,   864,  1734,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,  1735,
    1736,   399,     0,   401,   402,   403,  1737,   404,   405,   406,
    1738,  1739,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     865,   426,   866,   428,   429,   430,   431,   432,   433,   434,
    4766,     0,   437,  1740,   438,   439,   440,   441,  1741,     0,
     443,   867,   445,   446,   447,  1742,   448,   449,  1743,  1744,
    4342,   451,   452,  1745,  1746,   453,   454,     0,   456,   457,
     458,     0,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,  1747,   470,   471,     0,   473,     0,   475,   476,
     477,  1748,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   868,   489,   490,   491,   492,  1749,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,  1750,   506,   507,   508,   509,   510,   511,   512,   513,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
    1751,   524,   525,   526,   527,   528,  1752,   529,   530,  2636,
     532,   533,   534,   535,   536,   870,   538,  1753,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,     0,   553,  1754,   554,   555,  1755,   556,   557,   558,
     559,   560,   561,   562,  1756,   563,   871,   872,  1757,  1758,
     566,   567,     0,   569,     0,  1759,   571,   572,   573,   574,
     575,   576,   577,   578,  1760,  1761,   579,   580,   581,   582,
     583,  1762,  1763,   584,   585,   586,   587,   588,     0,   873,
    1764,   591,   592,   593,   594,   595,   596,  1765,  1766,   597,
    1767,  1768,   598,   599,   600,   601,   602,   603,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   615,
     616,   617,     0,     0,     0,     0,     0,     0,     0,     0,
     959,   960,   961,  4343,  4344,   964,   965,   966,   967,  2047,
       0,     0,     0,     0,     0,     0,  2048,     0,     0,  2049,
       0,     0,     0,  2050,  2051,  2052,  2053,  2054,  2055,  2056,
    2057,  2058,  2059,  2060,  2061,  2062,  2063,  2064,  2065,  2066,
    2067,  2068,     0,  2069,  2070,  2071,  2072,  2073,  2074,  2075,
    2076,  2077,  2078,  2079,  2080,  2081,  2082,  2083,  2084,  2085,
    2086,  2087,  2088,  2089,  2090,  2091,  2092,  2093,  2094,  2095,
    2096,  2097,  2098,  2099,     0,     0,  2100,  2101,  2102,  2103,
    2104,  2105,  2106,  2107,  2108,  2109,  2110,  2111,  2112,  2113,
    2114,  2115,  2116,  2117,  2118,  2119,  2120,  2121,  2122,  2123,
    2124,  2125,  2126,     0,  2127,  2128,  2129,  2130,  2131,  2132,
    2133,  2134,  2135,  2136,  2137,  2138,  2139,  2140,  2141,     0,
    2142,  2143,  2144,  2145,  2146,  2147,  2148,  2149,  2150,  2151,
    2152,  2153,  2154,  2155,  2156,  2157,  2158,  2159,  2160,  2161,
    2162,  2163,  2164,  2165,  2166,  2167,  2168,  2169,  2170,  2171,
    2172,  2173,  2174,  2175,     0,  2176,  2177,  2178,  2179,  2180,
    2181,  2182,  2183,  2184,  2185,  2186,  2187,     0,     0,  2188,
    2189,  2190,  2191,     0,  2192,  2193,  2194,  2195,     0,  2196,
    2197,  2198,  2199,  2200,     0,  2201,  2202,     0,  2203,  2204,
    2205,     0,  2206,  2207,     0,  2208,  2209,  2210,  2211,  2212,
    2213,  2214,  2215,  2216,  2217,  2218,  2219,  2220,  2221,  2222,
    2223,  2224,  2225,  2226,  2227,  2228,  2229,  2230,  2231,  2232,
       0,  2233,     0,  2234,  2235,  2236,  2237,  2238,  2239,  2240,
    2241,  2242,  2243,  2244,  2245,  2246,  2247,  2248,  2249,  2250,
       0,  2251,  2252,  2253,  2254,  2255,  2256,  2257,  2258,  2259,
    2260,  2261,  2262,  2263,  2264,  2265,  2266,     0,  2267,  2268,
       0,  2269,  2270,  2271,  2272,  2273,  2274,  2275,  2276,  2277,
    2278,  2279,  2280,  2281,  2282,  2283,  2284,  2285,  2286,  2287,
    2288,  2289,  2290,  2291,  2292,  2293,  2294,  2295,  2296,     0,
    2297,  2298,     0,  2299,  2300,  2301,  2302,  2303,     0,  2304,
    2305,  2306,  2307,     0,     0,  2308,  2309,  2310,  2311,  2312,
    2313,  2314,  2315,  2316,  2317,  2318,  2319,  2320,  2321,  2322,
    2323,     0,  2324,  2325,  2326,  2327,  2328,  2329,  2330,  2331,
    2332,  2333,  2334,  2335,  2336,  2337,  2338,  2339,  2340,  2341,
    2342,  2343,  2344,  2345,  2346,  2347,  2348,  2349,  2350,  2351,
    2352,  2353,  2354,  2355,  2356,     0,  2357,  2358,  2359,  2360,
    2361,  2362,  2363,  2364,  2365,  2366,  2367,  2368,  2369,  2370,
    2371,  2372,     0,  2373,  2374,  2375,  2376,  2377,  2378,  2379,
    2380,  2381,  2382,  2383,  2384,  2385,  2386,  2387,  2388,  2389,
    2390,  2391,  2392,  2393,  2394,  2395,  2396,  2397,  2398,  2399,
    2400,  2401,  2402,  2403,  2404,  2405,  2406,  2407,  2408,  2409,
    2410,  2411,  2412,  2413,  2414,  2415,  2416,  2417,  2418,  2419,
    2420,  2421,     0,  2422,  2423,  2424,  2425,  2426,  2427,  2428,
    2429,  2430,  2431,  2432,  2433,  2434,  2435,  2436,     0,  2437,
    2438,  2439,  2440,  2441,  2442,  2443,  2444,  2445,  2446,  2447,
    2448,  2449,  2450,  2451,  2452,     0,  2453,  2454,  2455,  2456,
    2457,  2458,     0,  2459,     0,     0,     0,     0,  2460,  2461,
    2462,  2463,  2464,  2465,  2466,  2467,  2468,  2469,  2470,  2471,
    2472,  2473,  2474,     0,  2475,  2476,  2477,     0,     0,     0,
       0,     0,     0,     0,  2478,  2479,  2480,  2481,  2482,  2483,
    2484,  2485,  2486,   625,     0,     0,     0,     0,     0,     0,
     953,     0,     0,     0,     0,     0,     0,   954,   955,   956,
     235,   236,   237,   238,   239,   240,   241,   242,     0,   243,
     244,   245,     0,     0,     0,     0,     0,     0,     0,   246,
     247,   248,     0,   249,   250,   251,   252,     0,   254,   255,
     256,   257,   258,     0,   260,   261,     0,   262,   263,   264,
     265,   266,   267,   268,     0,     0,   269,   270,   271,   272,
     273,     0,   274,   957,   276,   277,   278,     0,     0,     0,
     280,   281,   282,   283,   284,   285,     0,   287,   288,   289,
       0,   290,   291,   292,   293,   294,   295,     0,     0,   297,
     298,   299,     0,     0,     0,     0,     0,     0,     0,   301,
     302,   303,   304,   305,   306,   307,   308,   309,     0,   310,
       0,   311,   312,   313,   314,   315,   316,   317,     0,   318,
     319,   320,   321,     0,     0,   322,   323,   324,   325,   326,
       0,   327,   328,   329,     0,   330,   331,   332,     0,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     958,     0,   344,   345,   346,   347,   348,     0,   349,     0,
     350,     0,     0,     0,   353,   354,   355,   356,     0,   357,
     358,     0,   359,   360,   361,     0,   362,   363,   364,   365,
     366,     0,   368,   369,   370,   371,     0,   372,   373,   374,
     375,   376,   377,   378,     0,   379,     0,   381,   382,   383,
     384,   385,   386,   387,     0,   388,     0,   389,     0,     0,
     392,     0,   394,   395,   396,   397,   398,     0,     0,   399,
     400,     0,   402,     0,     0,   404,   405,   406,     0,     0,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,     0,   441,     0,   442,   443,   444,
     445,   446,   447,     0,   448,   449,     0,     0,   450,   451,
     452,     0,     0,   453,   454,   455,     0,   457,     0,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,     0,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,     0,   524,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
       0,   535,   536,   537,   538,     0,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,     0,   554,   555,     0,   556,     0,   558,   559,   560,
     561,   562,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,     0,   571,   572,   573,   574,   575,   576,
     577,   578,     0,     0,   579,   580,   581,   582,   583,     0,
       0,   584,   585,   586,   587,   588,   589,   590,     0,   591,
       0,   593,   594,   595,   596,     0,     0,   597,     0,     0,
     598,   599,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
       0,     0,     0,     0,     0,     0,     0,     0,   959,   960,
     961,   962,   963,   964,   965,   966,   967,   625,     0,     0,
       0,     0,     0,     0,   953,     0,     0,     0,     0,     0,
       0,   954,   955,   956,   235,   236,   237,   238,   239,   240,
     241,   242,     0,   243,   244,   245,     0,     0,     0,     0,
       0,     0,     0,   246,   247,   248,     0,   249,   250,   251,
     252,     0,   254,   255,   256,   257,   258,     0,   260,   261,
       0,   262,   263,   264,   265,   266,   267,   268,     0,     0,
     269,   270,   271,   272,   273,     0,   274,  1073,   276,   277,
     278,     0,     0,     0,   280,   281,   282,   283,   284,   285,
       0,   287,   288,   289,     0,   290,   291,   292,   293,   294,
     295,     0,     0,   297,   298,   299,     0,     0,     0,     0,
       0,     0,     0,   301,   302,   303,   304,   305,   306,   307,
     308,   309,     0,   310,     0,   311,   312,   313,   314,   315,
     316,   317,     0,   318,   319,   320,   321,     0,     0,   322,
     323,   324,   325,   326,     0,   327,   328,   329,     0,   330,
     331,   332,     0,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,  1074,     0,   344,   345,   346,   347,
     348,     0,   349,     0,   350,     0,     0,     0,   353,   354,
     355,   356,     0,   357,   358,     0,   359,   360,   361,     0,
     362,   363,   364,   365,   366,     0,   368,   369,   370,   371,
       0,   372,   373,   374,   375,   376,   377,   378,     0,   379,
       0,   381,   382,   383,   384,   385,   386,   387,     0,   388,
       0,   389,     0,     0,   392,     0,   394,   395,   396,   397,
     398,     0,     0,   399,   400,     0,   402,     0,     0,   404,
     405,   406,     0,     0,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,     0,   441,
       0,   442,   443,   444,   445,   446,   447,     0,   448,   449,
       0,     0,   450,   451,   452,     0,     0,   453,   454,   455,
       0,   457,     0,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,     0,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     0,   506,   507,     0,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,     0,   524,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,     0,   535,   536,   537,   538,     0,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,     0,   554,   555,     0,   556,
       0,   558,   559,   560,   561,   562,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,     0,   571,   572,
     573,   574,   575,   576,   577,   578,     0,     0,   579,   580,
     581,   582,   583,     0,     0,   584,   585,   586,   587,   588,
     589,   590,     0,   591,     0,   593,   594,   595,   596,     0,
       0,   597,     0,     0,   598,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,     0,     0,     0,     0,     0,     0,
       0,     0,   959,   960,   961,   962,   963,   964,   965,   966,
     967,   625,     0,     0,     0,     0,     0,     0,   953,     0,
       0,     0,     0,     0,     0,   954,   955,   956,   235,   236,
     237,   238,   239,   240,   241,   242,     0,   243,   244,   245,
       0,     0,     0,     0,     0,     0,     0,   246,   247,   248,
       0,   249,   250,   251,   252,     0,   254,   255,   256,   257,
     258,     0,   260,   261,     0,   262,   263,   264,   265,   266,
     267,   268,     0,     0,   269,   270,   271,   272,   273,     0,
     274,  1138,   276,   277,   278,     0,     0,     0,   280,   281,
     282,   283,   284,   285,     0,   287,   288,   289,     0,   290,
     291,   292,   293,   294,   295,     0,     0,   297,   298,   299,
       0,     0,     0,     0,     0,     0,     0,   301,   302,   303,
     304,   305,   306,   307,   308,   309,     0,   310,     0,   311,
     312,   313,   314,   315,   316,   317,     0,   318,   319,   320,
     321,     0,     0,   322,   323,   324,   325,   326,     0,   327,
     328,   329,     0,   330,   331,   332,     0,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,  1139,     0,
     344,   345,   346,   347,   348,     0,   349,     0,   350,     0,
       0,     0,   353,   354,   355,   356,     0,   357,   358,     0,
     359,   360,   361,     0,   362,   363,   364,   365,  1140,     0,
     368,   369,   370,   371,     0,   372,   373,   374,   375,   376,
     377,   378,     0,   379,     0,   381,   382,   383,   384,   385,
     386,   387,     0,   388,     0,   389,     0,     0,   392,     0,
     394,   395,   396,   397,   398,     0,     0,   399,   400,     0,
     402,     0,     0,   404,   405,   406,     0,     0,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,     0,   441,     0,   442,   443,   444,   445,   446,
     447,     0,   448,   449,     0,     0,   450,   451,   452,     0,
       0,   453,   454,   455,     0,   457,     0,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,     0,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     0,   506,   507,
       0,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,     0,   535,
     536,   537,   538,     0,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,     0,
     554,   555,     0,   556,     0,   558,   559,   560,   561,   562,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,     0,   571,   572,   573,   574,   575,   576,   577,   578,
       0,     0,   579,   580,   581,   582,   583,     0,     0,   584,
     585,   586,   587,   588,   589,   590,     0,   591,     0,   593,
     594,   595,   596,     0,     0,   597,     0,     0,   598,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,     0,     0,
       0,     0,     0,     0,     0,     0,   959,   960,   961,   962,
     963,   964,   965,   966,   967,   625,     0,     0,     0,     0,
       0,     0,   953,     0,     0,     0,     0,     0,     0,   954,
     955,   956,   235,   236,   237,   238,   239,   240,   241,   242,
       0,   243,   244,   245,     0,     0,     0,     0,     0,     0,
       0,   246,   247,   248,     0,   249,   250,   251,   252,     0,
     254,   255,   256,   257,   258,     0,   260,   261,     0,   262,
     263,   264,   265,   266,   267,   268,     0,     0,   269,   270,
     271,   272,   273,     0,   274,  1796,   276,   277,   278,     0,
       0,     0,   280,   281,   282,   283,   284,   285,     0,   287,
     288,   289,     0,   290,   291,   292,   293,   294,   295,     0,
       0,   297,   298,   299,     0,     0,     0,     0,     0,     0,
       0,   301,   302,   303,   304,   305,   306,   307,   308,   309,
       0,   310,     0,   311,   312,   313,   314,   315,   316,   317,
       0,   318,   319,   320,   321,     0,     0,   322,   323,   324,
     325,   326,     0,   327,   328,   329,     0,   330,   331,   332,
       0,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,  1797,     0,   344,   345,   346,   347,   348,     0,
     349,     0,   350,     0,     0,     0,   353,   354,   355,   356,
       0,   357,   358,     0,   359,   360,   361,     0,   362,   363,
     364,   365,   366,     0,   368,   369,   370,   371,     0,   372,
     373,   374,   375,   376,   377,   378,     0,   379,     0,   381,
     382,   383,   384,   385,   386,   387,     0,   388,     0,   389,
       0,     0,   392,     0,   394,   395,   396,   397,   398,     0,
       0,   399,   400,     0,   402,     0,     0,   404,   405,   406,
       0,     0,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,     0,   441,     0,   442,
     443,   444,   445,   446,   447,     0,   448,   449,     0,     0,
     450,   451,   452,     0,     0,   453,   454,   455,     0,   457,
       0,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,     0,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
       0,   524,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,     0,   535,   536,   537,   538,     0,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,     0,   554,   555,     0,   556,     0,   558,
     559,   560,   561,   562,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,     0,   571,   572,   573,   574,
     575,   576,   577,   578,     0,     0,   579,   580,   581,   582,
     583,     0,     0,   584,   585,   586,   587,   588,   589,   590,
       0,   591,     0,   593,   594,   595,   596,     0,     0,   597,
       0,     0,   598,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,     0,     0,     0,     0,     0,     0,     0,     0,
     959,   960,   961,   962,   963,   964,   965,   966,   967,   625,
       0,     0,     0,     0,     0,     0,   953,     0,     0,     0,
       0,     0,     0,   954,   955,   956,   235,   236,   237,   238,
     239,   240,   241,   242,     0,   243,   244,   245,     0,     0,
       0,     0,     0,     0,     0,   246,   247,   248,     0,   249,
     250,   251,   252,     0,   254,   255,   256,   257,   258,     0,
     260,   261,     0,   262,   263,   264,   265,   266,   267,   268,
       0,     0,   269,   270,   271,   272,   273,     0,   274,   275,
     276,   277,   278,     0,     0,     0,   280,   281,   282,   283,
     284,   285,     0,   287,   288,   289,     0,   290,   291,   292,
     293,   294,   295,     0,     0,   297,   298,   299,     0,     0,
       0,     0,     0,     0,     0,   301,   302,   303,   304,   305,
     306,   307,   308,   309,     0,   310,     0,   311,   312,   313,
     314,   315,   316,   317,     0,   318,   319,   320,   321,     0,
       0,   322,   323,   324,   325,   326,     0,   327,   328,   329,
       0,   330,   331,   332,     0,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,     0,   344,   345,
     346,   347,   348,     0,   349,     0,   350,     0,     0,     0,
     353,   354,   355,   356,     0,   357,   358,     0,   359,   360,
     361,     0,   362,   363,   364,   365,   366,     0,   368,   369,
     370,   371,     0,   372,   373,   374,   375,   376,   377,   378,
       0,   379,     0,   381,   382,   383,   384,   385,   386,   387,
       0,   388,     0,   389,     0,     0,   392,     0,   394,   395,
     396,   397,   398,     0,     0,   399,   400,     0,   402,     0,
       0,   404,   405,   406,     0,     0,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
       0,   441,     0,   442,   443,   444,   445,   446,   447,     0,
     448,   449,     0,     0,   450,   451,   452,     0,     0,   453,
     454,   455,     0,   457,     0,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,     0,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     0,   506,   507,     0,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,     0,   524,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,     0,   535,   536,   537,
     538,     0,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,     0,   554,   555,
       0,   556,     0,   558,   559,   560,   561,   562,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,     0,
     571,   572,   573,   574,   575,   576,   577,   578,     0,     0,
     579,   580,   581,   582,   583,     0,     0,   584,   585,   586,
     587,   588,   589,   590,     0,   591,     0,   593,   594,   595,
     596,     0,     0,   597,     0,     0,   598,   599,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,     0,     0,     0,     0,
       0,     0,     0,     0,   959,   960,   961,   962,   963,   964,
     965,   966,   967,   625,     0,     0,     0,     0,     0,     0,
     953,     0,     0,     0,     0,     0,     0,   954,   955,   956,
     235,   236,   237,   238,   239,   240,   241,   242,     0,   243,
     244,   245,     0,     0,     0,     0,     0,     0,     0,   246,
     247,   248,     0,   249,   250,   251,   252,     0,   254,   255,
     256,   257,   258,     0,   260,   261,     0,   262,   263,   264,
     265,   266,   267,   268,     0,     0,   269,   270,   271,   272,
     273,     0,   274,  3467,   276,   277,   278,     0,     0,     0,
     280,   281,   282,   283,   284,   285,     0,   287,   288,   289,
       0,   290,   291,   292,   293,   294,   295,     0,     0,   297,
     298,   299,     0,     0,     0,     0,     0,     0,     0,   301,
     302,   303,   304,   305,   306,   307,   308,   309,     0,   310,
       0,   311,   312,   313,   314,   315,   316,   317,     0,   318,
     319,   320,   321,     0,     0,   322,   323,   324,   325,   326,
       0,   327,   328,   329,     0,   330,   331,   332,     0,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
    3468,     0,   344,   345,   346,   347,   348,     0,   349,     0,
     350,     0,     0,     0,   353,   354,   355,   356,     0,   357,
     358,     0,   359,   360,   361,     0,   362,   363,   364,   365,
     366,     0,   368,   369,   370,   371,     0,   372,   373,   374,
     375,   376,   377,   378,     0,   379,     0,   381,   382,   383,
     384,   385,   386,   387,     0,   388,     0,   389,     0,     0,
     392,     0,   394,   395,   396,   397,   398,     0,     0,   399,
     400,     0,   402,     0,     0,   404,   405,   406,     0,     0,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,     0,   441,     0,   442,   443,   444,
     445,   446,   447,     0,   448,   449,     0,     0,   450,   451,
     452,     0,     0,   453,   454,   455,     0,   457,     0,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,     0,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,     0,   524,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
       0,   535,   536,   537,   538,     0,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,     0,   554,   555,     0,   556,     0,   558,   559,   560,
     561,   562,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,     0,   571,   572,   573,   574,   575,   576,
     577,   578,     0,     0,   579,   580,   581,   582,   583,     0,
       0,   584,   585,   586,   587,   588,   589,   590,     0,   591,
       0,   593,   594,   595,   596,     0,     0,   597,     0,     0,
     598,   599,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
       0,     0,     0,     0,     0,     0,     0,     0,   959,   960,
     961,   962,   963,   964,   965,   966,   967,   625,     0,     0,
       0,     0,     0,     0,   953,     0,     0,     0,     0,     0,
       0,   954,   955,   956,   235,   236,   237,   238,   239,   240,
     241,   242,     0,   243,   244,   245,     0,     0,     0,     0,
       0,     0,     0,   246,   247,   248,     0,   249,   250,   251,
     252,     0,   254,   255,   256,   257,   258,     0,   260,   261,
       0,   262,   263,   264,   265,   266,   267,   268,     0,     0,
     269,   270,   271,   272,   273,     0,   274,   275,   276,   277,
     278,     0,     0,     0,   280,   281,   282,   283,   284,   285,
       0,   287,   288,   289,     0,   290,   291,   292,   293,   294,
     295,     0,     0,   297,   298,   299,     0,     0,     0,     0,
       0,     0,     0,   301,   302,   303,   304,   305,   306,   307,
     308,   309,     0,   310,     0,   311,   312,   313,   314,   315,
     316,   317,     0,   318,   319,   320,   321,     0,     0,   322,
     323,   324,   325,   326,     0,   327,   328,   329,     0,   330,
     331,   332,     0,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,     0,   344,   345,   346,   347,
     348,     0,   349,     0,   350,     0,     0,     0,   353,   354,
     355,   356,     0,   357,   358,     0,   359,   360,   361,     0,
     362,   363,   364,   365,   366,     0,   368,   369,   370,   371,
       0,   372,   373,   374,   375,   376,   377,   378,     0,   379,
       0,   381,   382,   383,   384,   385,   386,   387,     0,   388,
       0,   389,     0,     0,   392,     0,   394,   395,   396,   397,
     398,     0,     0,   399,   400,     0,   402,     0,     0,   404,
     405,   406,     0,     0,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,     0,   441,
       0,   442,   443,   444,   445,   446,   447,     0,   448,   449,
       0,     0,  5359,   451,   452,     0,     0,   453,   454,   455,
       0,   457,     0,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,     0,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     0,   506,   507,     0,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,     0,   524,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,     0,   535,   536,   537,   538,     0,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,     0,   554,   555,     0,   556,
       0,   558,   559,   560,   561,   562,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,     0,   571,   572,
     573,   574,   575,   576,   577,   578,     0,     0,   579,   580,
     581,   582,   583,     0,     0,   584,   585,   586,   587,   588,
     589,   590,     0,   591,     0,   593,   594,   595,   596,     0,
       0,   597,     0,     0,   598,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,  1691,     0,     0,     0,     0,     0,
       0,     0,   959,   960,   961,   962,   963,   964,   965,   966,
     967,   235,   236,   237,   238,   239,   240,   241,   242,  1692,
     243,   244,   245,  1693,  1694,  1695,  1696,  1697,  1698,  1699,
     246,   247,   248,  1700,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,  1701,   262,   263,
     264,   265,   266,   267,   268,  1702,  1703,   269,   270,   271,
     272,   273,  1704,   274,   275,   276,   277,   278,  1705,   279,
    1706,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,  1707,   290,   291,   292,   293,   294,   295,  1708,   296,
     297,   298,   299,  1709,  1710,  1711,   300,  1712,  1713,  1714,
     301,   302,   303,   304,   305,   306,   307,   308,   309,  1715,
     310,  1716,   311,   312,   313,   314,   315,   316,   317,  1717,
     318,   319,   320,   321,  1718,  1719,   322,   323,   324,   325,
     326,  1720,   327,   328,   329,  1721,   330,   331,   332,  1722,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
    1723,   343,  1724,   344,   345,   346,   347,   348,  1725,   349,
    1726,   350,   351,  1727,   352,   353,   354,   355,   356,  1728,
     357,   358,  1729,   359,   360,   361,  1730,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,  1731,   372,   373,
     374,   375,   376,   377,   378,  1732,   379,   380,   381,   382,
     383,   384,   385,   386,   387,  1733,   388,  1734,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,  1735,  1736,
     399,   400,   401,   402,   403,  1737,   404,   405,   406,  1738,
    1739,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,  1740,   438,   439,   440,   441,  1741,   442,   443,
     444,   445,   446,   447,  1742,   448,   449,  1743,  1744,   450,
     451,   452,  1745,  1746,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,  1747,   470,   471,   472,   473,   474,   475,   476,   477,
    1748,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,  1749,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
    1750,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,  1751,
     524,   525,   526,   527,   528,  1752,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,  1753,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,  1754,   554,   555,  1755,   556,   557,   558,   559,
     560,   561,   562,  1756,   563,   564,   565,  1757,  1758,   566,
     567,   568,   569,   570,  1759,   571,   572,   573,   574,   575,
     576,   577,   578,  1760,  1761,   579,   580,   581,   582,   583,
    1762,  1763,   584,   585,   586,   587,   588,   589,   590,  1764,
     591,   592,   593,   594,   595,   596,  1765,  1766,   597,  1767,
    1768,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   625,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1769,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,     0,   243,   244,   245,
       0,     0,     0,     0,     0,     0,     0,   246,   247,   248,
       0,   249,   250,   251,   252,     0,   254,   255,   256,   257,
     258,     0,   260,   261,     0,   262,   263,   264,   265,   266,
     267,   268,     0,     0,   269,   270,   271,   272,   273,     0,
     274,   275,   276,   277,   278,     0,     0,     0,   280,   281,
     282,   283,   284,   285,     0,   287,   288,   289,     0,   290,
     291,   292,   293,   294,   295,     0,     0,   297,   298,   299,
       0,     0,     0,     0,     0,     0,     0,   301,   302,   303,
     304,   305,   306,   307,   308,   309,     0,   310,     0,   311,
     312,   313,   314,   315,   316,   317,     0,   318,   319,   320,
     321,     0,     0,   322,   323,   324,   325,   326,     0,   327,
     328,   329,     0,   330,   331,   332,     0,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,   343,     0,
     344,   345,   346,   347,   348,     0,   349,     0,   350,     0,
       0,     0,   353,   354,   355,   356,     0,   357,   358,     0,
     359,   360,   361,     0,   362,   363,   364,   365,   366,     0,
     368,   369,   370,   371,     0,   372,   373,   374,   375,   376,
     377,   378,     0,   379,     0,   381,   382,   383,   384,   385,
     386,   387,     0,   388,     0,   389,     0,     0,   392,     0,
     394,   395,   396,   397,   398,     0,     0,   399,   400,     0,
     402,     0,     0,   404,   405,   406,     0,     0,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,     0,   441,     0,   442,   443,   444,   445,   446,
     447,     0,   448,   449,     0,     0,   450,   451,   452,     0,
       0,   453,   454,   455,     0,   457,     0,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,     0,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     0,   506,   507,
       0,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,     0,   535,
     536,   537,   538,     0,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,     0,
     554,   555,     0,   556,     0,   558,   559,   560,   561,   562,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,     0,   571,   572,   573,   574,   575,   576,   577,   578,
       0,     0,   579,   580,   581,   582,   583,     0,     0,   584,
     585,   586,   587,   588,   589,   590,     0,   591,     0,   593,
     594,   595,   596,     0,     0,   597,     0,     0,   598,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,   625,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   841,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,     0,   243,   244,   245,     0,     0,     0,
       0,     0,     0,     0,   246,   247,   248,     0,   249,   250,
     251,   252,     0,   254,   255,   256,   257,   258,     0,   260,
     261,     0,   262,   263,   264,   265,   266,   267,   268,     0,
       0,   269,   270,   271,   272,   273,     0,   274,   275,   276,
     277,   278,     0,     0,     0,   280,   281,   282,   283,   284,
     285,     0,   287,   288,   289,     0,   290,   291,   292,   293,
     294,   295,     0,     0,   297,   298,   299,     0,     0,     0,
       0,     0,     0,     0,   301,   302,   303,   304,   305,   306,
     307,   308,   309,     0,   310,     0,   311,   312,   313,   314,
     315,   316,   317,     0,   318,   319,   320,   321,     0,     0,
     322,   323,   324,   325,   326,     0,   327,   328,   329,     0,
     330,   331,   332,     0,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,     0,   343,     0,   344,   345,   346,
     347,   348,     0,   349,     0,   350,     0,     0,     0,   353,
     354,   355,   356,     0,   357,   358,     0,   359,   360,   361,
       0,   362,   363,   364,   365,   366,     0,   368,   369,   370,
     371,     0,   372,   373,   374,   375,   376,   377,   378,     0,
     379,     0,   381,   382,   383,   384,   385,   386,   387,     0,
     388,     0,   389,     0,     0,   392,     0,   394,   395,   396,
     397,   398,     0,     0,   399,   400,     0,   402,     0,     0,
     404,   405,   406,     0,     0,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,     0,
     441,     0,   442,   443,   444,   445,   446,   447,     0,   448,
     449,     0,     0,   450,   451,   452,     0,     0,   453,   454,
     455,     0,   457,     0,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,     0,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     0,   506,   507,     0,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,     0,   535,   536,   537,   538,
       0,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,     0,   554,   555,     0,
     556,     0,   558,   559,   560,   561,   562,     0,   563,   564,
     565,     0,     0,   566,   567,   568,   569,   570,     0,   571,
     572,   573,   574,   575,   576,   577,   578,     0,     0,   579,
     580,   581,   582,   583,     0,     0,   584,   585,   586,   587,
     588,   589,   590,     0,   591,     0,   593,   594,   595,   596,
       0,     0,   597,     0,     0,   598,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   617,   852,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5764,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
       0,   243,   244,   245,     0,     0,     0,     0,     0,     0,
       0,   246,   247,   248,     0,   249,   250,   251,   252,   253,
     254,   255,   256,     0,   853,   259,   854,   855,     0,   262,
     263,   264,   265,   266,   267,   268,     0,     0,   269,   270,
     856,   857,   273,     0,   274,   275,   276,   277,     0,     0,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,     0,   300,     0,     0,
       0,   301,   302,   303,   304,   305,   306,   858,   859,   309,
       0,   310,     0,   311,   312,   313,   314,   315,   316,   317,
       0,   318,   319,   320,   321,     0,     0,   322,   323,   860,
     325,   326,     0,   327,   328,   329,     0,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   338,   339,   340,   341,
       0,     0,   343,     0,   344,   345,   346,   861,   348,     0,
     349,     0,   350,   351,     0,   352,   353,   354,   355,   356,
       0,   357,     0,     0,     0,   360,   361,     0,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,  2632,   372,
     373,   374,   375,   376,   377,   378,     0,   379,   380,  2633,
     382,   383,   384,   385,   862,   863,     0,   864,     0,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,     0,
       0,   399,     0,   401,   402,   403,     0,   404,   405,   406,
       0,     0,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     865,   426,   866,   428,   429,   430,   431,   432,   433,   434,
       0,     0,   437,     0,   438,   439,   440,   441,     0,     0,
     443,   867,   445,   446,   447,     0,   448,   449,     0,     0,
     450,   451,   452,     0,  2634,   453,   454,  2635,   456,   457,
     458,     0,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,     0,   473,     0,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   868,   489,   490,   491,   492,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,   508,   509,   510,   511,   512,   513,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
       0,   524,   525,   526,   527,   528,     0,   529,   530,  2636,
     532,   533,   534,   535,   536,   870,   538,     0,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,     0,   553,     0,   554,   555,     0,   556,   557,   558,
     559,   560,   561,   562,     0,   563,   871,   872,     0,     0,
     566,   567,     0,   569,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,     0,     0,   579,   580,   581,   582,
     583,     0,     0,   584,   585,   586,   587,   588,     0,   873,
    2637,   591,   592,   593,   594,   595,   596,     0,     0,   597,
       0,     0,   598,   599,   600,   601,   602,   603,     0,     0,
    3812,     0,     0,     0,     0,     0,     0,     0,     0,   615,
     616,   617,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,  2638,   243,   244,   245,     0,
       0,     0,     0,     0,     0,     0,   246,   247,   248,     0,
     249,   250,   251,   252,   253,   254,   255,   256,     0,   853,
     259,   854,   855,     0,   262,   263,   264,   265,   266,   267,
     268,     0,     0,   269,   270,   856,   857,   273,     0,   274,
     275,   276,   277,     0,     0,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,     0,   300,     0,     0,     0,   301,   302,   303,   304,
     305,   306,   858,   859,   309,     0,   310,     0,   311,   312,
     313,   314,   315,   316,   317,     0,   318,   319,   320,   321,
       0,     0,   322,   323,   860,   325,   326,     0,   327,   328,
     329,     0,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   338,   339,   340,   341,     0,     0,   343,     0,   344,
     345,   346,   861,   348,     0,   349,     0,   350,   351,     0,
     352,   353,   354,   355,   356,     0,   357,     0,     0,     0,
     360,   361,     0,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,  2632,   372,   373,   374,   375,   376,   377,
     378,     0,   379,   380,  2633,   382,   383,   384,   385,   862,
     863,     0,   864,     0,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,     0,     0,   399,     0,   401,   402,
     403,     0,   404,   405,   406,     0,     0,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   865,   426,   866,   428,   429,
     430,   431,   432,   433,   434,     0,     0,   437,     0,   438,
     439,   440,   441,     0,     0,   443,   867,   445,   446,   447,
       0,   448,   449,     0,     0,   450,   451,   452,     0,  2634,
     453,   454,  2635,   456,   457,   458,     0,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
       0,   473,     0,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   868,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     0,   506,   507,   508,
     509,   510,   511,   512,   513,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,     0,   524,   525,   526,   527,
     528,     0,   529,   530,  2636,   532,   533,   534,   535,   536,
     870,   538,     0,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,     0,   553,     0,   554,
     555,     0,   556,   557,   558,   559,   560,   561,   562,     0,
     563,   871,   872,     0,     0,   566,   567,     0,   569,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,     0,
       0,   579,   580,   581,   582,   583,     0,     0,   584,   585,
     586,   587,   588,     0,   873,  2637,   591,   592,   593,   594,
     595,   596,     0,     0,   597,     0,     0,   598,   599,   600,
     601,   602,   603,     0,     0,   938,     0,  1554,   684,     0,
       0,     0,     0,   745,   615,   616,   617,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
    2638,   243,   244,   245,     0,     0,     0,     0,     0,     0,
       0,   246,   247,   248,     0,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,     0,   262,
     263,   264,   265,   266,   267,   268,     0,     0,   269,   270,
     271,   272,   273,     0,   274,   275,   276,   277,   278,     0,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,     0,   300,     0,     0,
       0,   301,   302,   303,   304,   305,   306,   307,   308,   309,
    2523,   310,     0,   311,   312,   313,   314,   315,   316,   317,
       0,   318,   319,   320,   321,     0,     0,   322,   323,   324,
     325,   326,     0,   327,   328,   329,     0,   330,   331,   332,
       0,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,  1779,   343,     0,   344,   345,   346,   347,   348,     0,
     349,     0,   350,   351,     0,   352,   353,   354,   355,   356,
       0,   357,   358,     0,   359,   360,   361,     0,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,     0,   372,
     373,   374,   375,   376,   377,   378,     0,   379,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,     0,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,     0,
       0,   399,   400,   401,   402,   403,     0,   404,   405,   406,
       0,     0,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,     0,   442,
     443,   444,   445,   446,   447,     0,   448,   449,  1780,     0,
     450,   451,   452,     0,     0,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
       0,   524,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,     0,   554,   555,     0,   556,   557,   558,
     559,   560,   561,   562,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,  1781,   571,   572,   573,   574,
     575,   576,   577,   578,     0,     0,   579,   580,   581,   582,
     583,     0,     0,   584,   585,   586,   587,   588,   589,   590,
       0,   591,   592,   593,   594,   595,   596,     0,     0,   597,
       0,     0,   598,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,   938,     0,  1554,   684,     0,     0,     0,     0,
     745,     0,     0,  1555,  1556,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,     0,   243,   244,
     245,     0,     0,     0,     0,     0,     0,     0,   246,   247,
     248,     0,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,     0,   262,   263,   264,   265,
     266,   267,   268,     0,     0,   269,   270,   271,   272,   273,
       0,   274,   275,   276,   277,   278,     0,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,     0,   300,     0,     0,     0,   301,   302,
     303,   304,   305,   306,   307,   308,   309,  2528,   310,     0,
     311,   312,   313,   314,   315,   316,   317,     0,   318,   319,
     320,   321,     0,     0,   322,   323,   324,   325,   326,     0,
     327,   328,   329,     0,   330,   331,   332,     0,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,  1779,   343,
       0,   344,   345,   346,   347,   348,     0,   349,     0,   350,
     351,     0,   352,   353,   354,   355,   356,     0,   357,   358,
       0,   359,   360,   361,     0,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,     0,   372,   373,   374,   375,
     376,   377,   378,     0,   379,   380,   381,   382,   383,   384,
     385,   386,   387,     0,   388,     0,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,     0,     0,   399,   400,
     401,   402,   403,     0,   404,   405,   406,     0,     0,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,     0,   442,   443,   444,   445,
     446,   447,     0,   448,   449,  1780,     0,   450,   451,   452,
       0,     0,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     0,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,     0,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
       0,   554,   555,     0,   556,   557,   558,   559,   560,   561,
     562,     0,   563,   564,   565,     0,     0,   566,   567,   568,
     569,   570,  1781,   571,   572,   573,   574,   575,   576,   577,
     578,     0,     0,   579,   580,   581,   582,   583,     0,     0,
     584,   585,   586,   587,   588,   589,   590,     0,   591,   592,
     593,   594,   595,   596,     0,     0,   597,     0,     0,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,   938,
       0,  1554,   684,     0,     0,     0,     0,   745,     0,     0,
    1555,  1556,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,     0,   243,   244,   245,     0,     0,
       0,     0,     0,     0,     0,   246,   247,   248,     0,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,     0,   262,   263,   264,   265,   266,   267,   268,
       0,     0,   269,   270,   271,   272,   273,     0,   274,   275,
     276,   277,   278,     0,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
       0,   300,     0,     0,     0,   301,   302,   303,   304,   305,
     306,   307,   308,   309,  3428,   310,     0,   311,   312,   313,
     314,   315,   316,   317,     0,   318,   319,   320,   321,     0,
       0,   322,   323,   324,   325,   326,     0,   327,   328,   329,
       0,   330,   331,   332,     0,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,  1779,   343,     0,   344,   345,
     346,   347,   348,     0,   349,     0,   350,   351,     0,   352,
     353,   354,   355,   356,     0,   357,   358,     0,   359,   360,
     361,     0,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,     0,   372,   373,   374,   375,   376,   377,   378,
       0,   379,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,     0,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,     0,     0,   399,   400,   401,   402,   403,
       0,   404,   405,   406,     0,     0,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,     0,   442,   443,   444,   445,   446,   447,     0,
     448,   449,  1780,     0,   450,   451,   452,     0,     0,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,     0,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     0,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,     0,   524,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,     0,   554,   555,
       0,   556,   557,   558,   559,   560,   561,   562,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,  1781,
     571,   572,   573,   574,   575,   576,   577,   578,     0,     0,
     579,   580,   581,   582,   583,     0,     0,   584,   585,   586,
     587,   588,   589,   590,     0,   591,   592,   593,   594,   595,
     596,     0,     0,   597,     0,     0,   598,   599,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,   938,     0,  1554,   684,
       0,     0,     0,     0,   745,     0,     0,  1555,  1556,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,     0,   243,   244,   245,     0,     0,     0,     0,     0,
       0,     0,   246,   247,   248,     0,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,     0,
     262,   263,   264,   265,   266,   267,   268,     0,     0,   269,
     270,   271,   272,   273,     0,   274,   275,   276,   277,   278,
       0,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,     0,   300,     0,
       0,     0,   301,   302,   303,   304,   305,   306,   307,   308,
     309,     0,   310,     0,   311,   312,   313,   314,   315,   316,
     317,     0,   318,   319,   320,   321,     0,     0,   322,   323,
     324,   325,   326,     0,   327,   328,   329,     0,   330,   331,
     332,     0,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,  1779,   343,     0,   344,   345,   346,   347,   348,
       0,   349,     0,   350,   351,     0,   352,   353,   354,   355,
     356,     0,   357,   358,     0,   359,   360,   361,     0,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,     0,
     372,   373,   374,   375,   376,   377,   378,     0,   379,   380,
     381,   382,   383,   384,   385,   386,   387,     0,   388,     0,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
       0,     0,   399,   400,   401,   402,   403,     0,   404,   405,
     406,     0,     0,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,     0,
     442,   443,   444,   445,   446,   447,     0,   448,   449,  1780,
       0,   450,   451,   452,     0,     0,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,     0,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     0,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,     0,   554,   555,     0,   556,   557,
     558,   559,   560,   561,   562,     0,   563,   564,   565,     0,
       0,   566,   567,   568,   569,   570,  1781,   571,   572,   573,
     574,   575,   576,   577,   578,     0,     0,   579,   580,   581,
     582,   583,     0,     0,   584,   585,   586,   587,   588,   589,
     590,     0,   591,   592,   593,   594,   595,   596,     0,     0,
     597,     0,     0,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   625,     0,     0,     0,     0,     0,     0,
       0,   745,     0,     0,  1555,  1556,     0,     0,     0,     0,
     235,   746,   237,   238,   239,   240,   241,   242,   747,   243,
     244,   245,     0,     0,     0,     0,     0,     0,     0,   246,
     247,   248,     0,   249,   250,   251,   252,     0,   748,   255,
     256,   257,   258,     0,   260,   261,     0,   262,   263,   264,
     265,   266,   267,   268,     0,     0,   269,   270,   271,   272,
     273,     0,   274,   275,   276,   277,   278,     0,     0,     0,
     280,   281,   282,   283,   284,   285,     0,   287,   288,   289,
       0,   290,   291,   292,   293,   294,   295,     0,     0,   297,
     298,   299,     0,     0,     0,     0,     0,     0,     0,   301,
     302,   303,   304,   305,   306,   307,   308,   309,     0,   310,
       0,   311,   312,   313,   314,   315,   316,   317,     0,   318,
     319,   320,   321,     0,     0,   322,   323,   324,   325,   326,
       0,   327,   328,   329,     0,   330,   331,   332,     0,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,     0,   344,   345,   749,   347,   348,     0,   349,     0,
     750,     0,   751,     0,   353,   354,   355,   356,     0,   357,
     358,     0,   359,   360,   361,     0,   362,   363,   364,   365,
     366,     0,   368,   369,   370,   371,   752,   372,   373,   374,
     375,   376,   377,   378,     0,   379,     0,   381,   382,   383,
     384,   385,   386,   387,     0,   388,     0,   389,     0,     0,
     392,     0,   394,   395,   396,   397,   753,     0,     0,   399,
     400,     0,   402,     0,     0,   404,   405,   406,     0,     0,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     427,   428,   754,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,     0,   441,     0,   442,   443,   444,
     445,   446,   447,     0,   448,   449,     0,     0,   450,   451,
     452,     0,     0,   453,   454,   455,     0,   457,     0,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,     0,
     755,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   756,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,     0,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,     0,   524,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
       0,   535,   536,   537,   538,     0,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,     0,   554,   555,     0,   556,     0,   558,   559,   560,
     561,   562,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,     0,   571,   572,   573,   574,   575,   576,
     577,   578,     0,     0,   579,   580,   581,   582,   583,     0,
       0,   584,   585,   586,   587,   588,   589,   590,     0,   591,
       0,   593,   594,   595,   596,     0,     0,   597,     0,     0,
     598,   599,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
    1691,     0,  6045,   684,     0,     0,     0,     0,   745,     0,
       0,   757,   758,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,  1692,   243,   244,   245,  1693,
    1694,  1695,  1696,  1697,  1698,  1699,   246,   247,   248,  1700,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,  1701,   262,   263,   264,   265,   266,   267,
     268,  1702,  1703,   269,   270,   271,   272,   273,  1704,   274,
     275,   276,   277,   278,  1705,   279,  1706,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,  1707,   290,   291,
     292,   293,   294,   295,  1708,   296,   297,   298,   299,  1709,
    1710,  1711,   300,  1712,  1713,  1714,   301,   302,   303,   304,
     305,   306,   307,   308,   309,  1715,   310,  1716,   311,   312,
     313,   314,   315,   316,   317,  1717,   318,   319,   320,   321,
    1718,  1719,   322,   323,   324,   325,   326,  1720,   327,   328,
     329,  1721,   330,   331,   332,  1722,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,  1723,   343,  1724,   344,
     345,   346,   347,   348,  1725,   349,  1726,   350,   351,  1727,
     352,   353,   354,   355,   356,  1728,   357,   358,  1729,   359,
     360,   361,  1730,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,  1731,   372,   373,   374,   375,   376,   377,
     378,  1732,   379,   380,   381,   382,   383,   384,   385,   386,
     387,  1733,   388,  1734,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,  1735,  1736,   399,   400,   401,   402,
     403,  1737,   404,   405,   406,  1738,  1739,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,  1740,   438,
     439,   440,   441,  1741,   442,   443,   444,   445,   446,   447,
    1742,   448,   449,  1743,  1744,   450,   451,   452,  1745,  1746,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,  1747,   470,   471,
     472,   473,   474,   475,   476,   477,  1748,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,  1749,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,  1750,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,  1751,   524,   525,   526,   527,
     528,  1752,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,  1753,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,  1754,   554,
     555,  1755,   556,   557,   558,   559,   560,   561,   562,  1756,
     563,   564,   565,  1757,  1758,   566,   567,   568,   569,   570,
    1759,   571,   572,   573,   574,   575,   576,   577,   578,  1760,
    1761,   579,   580,   581,   582,   583,  1762,  1763,   584,   585,
     586,   587,   588,   589,   590,  1764,   591,   592,   593,   594,
     595,   596,  1765,  1766,   597,  1767,  1768,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   617,  1691,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,  1692,   243,   244,   245,  1693,  1694,  1695,  1696,
    1697,  1698,  1699,   246,   247,   248,  1700,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
    1701,   262,   263,   264,   265,   266,   267,   268,  1702,  1703,
     269,   270,   271,   272,   273,  1704,   274,   275,   276,   277,
     278,  1705,   279,  1706,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,  1707,   290,   291,   292,   293,   294,
     295,  1708,   296,   297,   298,   299,  1709,  1710,  1711,   300,
    1712,  1713,  1714,   301,   302,   303,   304,   305,   306,   307,
     308,   309,  1715,   310,  1716,   311,   312,   313,   314,   315,
     316,   317,  1717,   318,   319,   320,   321,  1718,  1719,   322,
     323,   324,   325,   326,  1720,   327,   328,   329,  1721,   330,
     331,   332,  1722,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,  1723,   343,  1724,   344,   345,   346,   347,
     348,  1725,   349,  1726,   350,   351,  1727,   352,   353,   354,
     355,   356,  1728,   357,   358,  1729,   359,   360,   361,  1730,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
    1731,   372,   373,   374,   375,   376,   377,   378,  1732,   379,
     380,   381,   382,   383,   384,   385,   386,   387,  1733,   388,
    1734,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,  1735,  1736,   399,   400,   401,   402,   403,  1737,   404,
     405,   406,  1738,  1739,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,  1740,   438,   439,   440,   441,
    1741,   442,   443,   444,   445,   446,   447,  1742,   448,   449,
    1743,  1744,   450,   451,   452,  1745,  1746,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,  1747,   470,   471,   472,   473,   474,
     475,   476,   477,  1748,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,  1749,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,  1750,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,  1751,   524,   525,   526,   527,   528,  1752,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,  1753,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,  1754,   554,   555,  1755,   556,
     557,   558,   559,   560,   561,   562,  1756,   563,   564,   565,
    1757,  1758,   566,   567,   568,   569,   570,  1759,   571,   572,
     573,   574,   575,   576,   577,   578,  1760,  1761,   579,   580,
     581,   582,   583,  1762,  1763,   584,   585,   586,   587,   588,
     589,   590,  1764,   591,   592,   593,   594,   595,   596,  1765,
    1766,   597,  1767,  1768,   598,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,  1691,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,  3533,   240,   241,   242,  1692,
     243,   244,   245,  1693,  1694,  1695,  1696,  1697,  1698,  1699,
     246,   247,   248,  1700,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,  1701,   262,   263,
     264,   265,   266,   267,   268,  1702,  1703,   269,   270,   271,
     272,   273,  1704,   274,   275,   276,   277,   278,  1705,   279,
    1706,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,  1707,   290,   291,   292,   293,   294,   295,  1708,   296,
     297,   298,   299,  1709,  1710,  1711,   300,  1712,  1713,  1714,
     301,   302,   303,   304,   305,   306,   307,   308,   309,  1715,
     310,  1716,   311,   312,   313,   314,   315,   316,   317,  1717,
     318,   319,   320,   321,  1718,  1719,   322,   323,   324,  3534,
     326,  1720,   327,   328,   329,  1721,   330,   331,   332,  1722,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
    1723,   343,  1724,   344,   345,   346,   347,   348,  1725,   349,
    1726,   350,   351,  1727,   352,   353,   354,   355,   356,  1728,
     357,   358,  1729,   359,   360,   361,  1730,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,  1731,   372,   373,
     374,   375,   376,   377,   378,  1732,   379,   380,   381,   382,
     383,   384,   385,   386,   387,  1733,   388,  1734,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,  1735,  1736,
     399,   400,   401,   402,   403,  1737,   404,   405,   406,  1738,
    1739,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,  1740,   438,   439,   440,   441,  1741,   442,   443,
     444,   445,   446,   447,  1742,   448,   449,  1743,  1744,   450,
     451,   452,  1745,  1746,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,  1747,   470,   471,   472,   473,   474,   475,   476,   477,
    1748,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,  1749,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
    1750,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,  1751,
     524,   525,   526,   527,   528,  1752,  3535,   530,   531,   532,
     533,   534,   535,   536,   537,   538,  1753,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,  1754,   554,   555,  1755,   556,   557,   558,   559,
     560,   561,   562,  1756,   563,   564,   565,  1757,  1758,   566,
     567,   568,   569,   570,  1759,   571,   572,   573,   574,   575,
     576,   577,   578,  1760,  1761,   579,   580,   581,   582,   583,
    1762,  1763,   584,   585,   586,   587,   588,   589,   590,  1764,
     591,   592,   593,   594,   595,   596,  1765,  1766,   597,  1767,
    1768,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,     0,   243,   244,   245,
       0,     0,     0,     0,     0,     0,     0,   246,   247,   248,
       0,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,     0,   262,   263,   264,   265,   266,
     267,   268,     0,  1246,   269,   270,   271,   272,   273,     0,
     274,   275,   276,   277,  1249,     0,  1250,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
    1251,  1252,  1253,  1254,  1255,  1256,  1257,   301,   302,   303,
     304,   305,   306,   307,   308,   309,     0,   310,     0,   311,
     312,   313,   314,   315,   316,   317,     0,   318,   319,   320,
     321,     0,     0,   322,   323,   324,   325,   326,     0,   327,
     328,   329,     0,   330,   331,   332,     0,   333,   334,   335,
     336,   337,   338,   339,   340,   341,  1262,     0,   343,     0,
     344,   345,   346,   347,   348,     0,   349,     0,   350,   351,
       0,   352,   353,   354,   355,   356,     0,   357,  1265,     0,
     359,   360,   361,     0,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,     0,   372,   373,   374,   375,   376,
     377,   378,     0,   379,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,     0,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,     0,     0,   399,  1270,   401,
     402,   403,     0,   404,   405,   406,  1271,  1272,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,  1275,   437,     0,
     438,   439,   440,   441,     0,  1278,   443,   444,   445,   446,
     447,     0,   448,   449,     0,     0,   450,   451,   452,     0,
       0,   453,   454,   455,   456,   457,   458,  1281,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,  1282,   473,   474,   475,   476,   477,     0,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     0,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,     0,   524,   525,   526,
     527,   528,  1285,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,  1287,   553,     0,
     554,   555,     0,   556,   557,   558,   559,   560,   561,   562,
       0,   563,   564,   565,     0,     0,   566,   567,  1290,   569,
    1291,     0,   571,   572,   573,   574,   575,   576,   577,   578,
       0,     0,   579,   580,   581,   582,   583,  1294,     0,   584,
     585,   586,   587,   588,   589,   590,     0,   591,   592,   593,
     594,   595,   596,     0,     0,   597,     0,     0,   598,   599,
     600,   601,   602,   603,   604,  1296,  1297,  1298,  1299,   609,
    1300,  1301,  1302,  1303,   614,   615,   616,   617,   234,     0,
    1236,   684,     0,  1237,  1238,     0,   745,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,     0,   243,   244,   245,     0,     0,     0,
       0,     0,     0,     0,   246,   247,   248,     0,   249,   250,
     251,   252,   253,   254,   255,   256,   257,  1242,   259,  1243,
    1244,     0,   262,   263,   264,   265,   266,   267,   268,     0,
       0,   269,   270,  1247,  1248,   273,     0,   274,   275,   276,
     277,   278,     0,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,     0,
     300,     0,     0,     0,   301,   302,   303,   304,   305,   306,
    1258,  1259,   309,     0,   310,     0,   311,   312,   313,   314,
     315,   316,   317,     0,   318,   319,   320,   321,     0,     0,
     322,   323,   860,   325,   326,     0,   327,   328,   329,     0,
     330,   331,   332,     0,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,  1263,   343,     0,   344,   345,   346,
    1264,   348,     0,   349,     0,   350,   351,     0,   352,   353,
     354,   355,   356,     0,   357,   358,     0,   359,   360,   361,
       0,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,     0,   372,   373,   374,   375,   376,   377,   378,     0,
     379,   380,   381,   382,   383,   384,   385,  1267,  1268,     0,
    1269,     0,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,     0,     0,   399,   400,   401,   402,   403,     0,
     404,   405,   406,     0,     0,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,  1273,   426,  1274,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,  1277,   442,   443,  1279,   445,   446,   447,     0,   448,
     449,     0,     0,   450,   451,   452,     0,     0,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,     0,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,  1283,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     0,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,   535,   536,  1286,   538,
       0,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,     0,   554,   555,     0,
     556,   557,   558,   559,   560,   561,   562,     0,   563,  1288,
    1289,     0,     0,   566,   567,   568,   569,   570,  1292,   571,
     572,   573,   574,   575,   576,   577,   578,     0,     0,   579,
     580,   581,   582,   583,     0,     0,   584,   585,   586,   587,
     588,   589,  1295,     0,   591,   592,   593,   594,   595,   596,
       0,     0,   597,     0,     0,   598,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   617,   938,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     977,   243,   244,   245,     0,     0,     0,     0,     0,     0,
       0,   246,   247,   248,     0,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,     0,   262,
     263,   264,   265,   266,   267,   268,     0,     0,   269,   270,
     271,   272,   273,     0,   274,   275,   276,   277,   278,     0,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   939,   300,     0,     0,
     940,   301,   302,   303,   304,   305,   306,   307,   308,   309,
       0,   310,     0,   311,   312,   313,   314,   315,   316,   317,
       0,   318,   319,   320,   321,     0,     0,   322,   323,   324,
     325,   326,     0,   327,   328,   329,     0,   330,   331,   332,
       0,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,     0,   344,   345,   346,   347,   348,     0,
     349,     0,   350,   351,     0,   352,   353,   354,   355,   356,
       0,   357,   358,     0,   359,   360,   361,     0,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,     0,   372,
     373,   374,   375,   376,   377,   378,     0,   379,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,     0,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,     0,
       0,   399,   400,   401,   402,   403,     0,   404,   405,   406,
       0,     0,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,     0,   442,
     443,   444,   445,   446,   447,     0,   448,   449,     0,     0,
     450,   451,   452,     0,     0,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
       0,   524,   525,   526,   527,   528,   941,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,     0,   554,   555,     0,   556,   557,   558,
     559,   560,   561,   562,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,     0,   571,   572,   573,   574,
     575,   576,   577,   578,     0,     0,   579,   580,   581,   582,
     583,     0,     0,   584,   585,   586,   587,   588,   589,   590,
       0,   591,   592,   593,   594,   595,   596,     0,     0,   597,
       0,     0,   598,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,   938,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   998,   243,   244,
     245,     0,     0,     0,     0,     0,     0,     0,   246,   247,
     248,     0,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,     0,   262,   263,   264,   265,
     266,   267,   268,     0,     0,   269,   270,   271,   272,   273,
       0,   274,   275,   276,   277,   278,     0,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   939,   300,     0,     0,   940,   301,   302,
     303,   304,   305,   306,   307,   308,   309,     0,   310,     0,
     311,   312,   313,   314,   315,   316,   317,     0,   318,   319,
     320,   321,     0,     0,   322,   323,   324,   325,   326,     0,
     327,   328,   329,     0,   330,   331,   332,     0,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,     0,   343,
       0,   344,   345,   346,   347,   348,     0,   349,     0,   350,
     351,     0,   352,   353,   354,   355,   356,     0,   357,   358,
       0,   359,   360,   361,     0,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,     0,   372,   373,   374,   375,
     376,   377,   378,     0,   379,   380,   381,   382,   383,   384,
     385,   386,   387,     0,   388,     0,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,     0,     0,   399,   400,
     401,   402,   403,     0,   404,   405,   406,     0,     0,   407,
     408,   409,   410,   999,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,     0,   442,   443,   444,   445,
     446,   447,     0,   448,   449,     0,     0,   450,   451,   452,
       0,     0,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     0,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,     0,   524,   525,
     526,   527,   528,   941,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,     0,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
       0,   554,   555,     0,   556,   557,   558,   559,   560,   561,
     562,     0,   563,   564,   565,     0,     0,   566,   567,   568,
     569,   570,     0,   571,   572,   573,   574,   575,   576,   577,
     578,     0,     0,   579,   580,   581,   582,   583,     0,     0,
     584,   585,   586,   587,   588,   589,   590,     0,   591,   592,
     593,   594,   595,   596,     0,     0,   597,     0,     0,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,   938,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,     0,   243,   244,   245,     0,     0,
       0,     0,     0,     0,     0,   246,   247,   248,     0,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,     0,   262,   263,   264,   265,   266,   267,   268,
       0,     0,   269,   270,   271,   272,   273,     0,   274,   275,
     276,   277,   278,     0,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     939,   300,     0,     0,   940,   301,   302,   303,   304,   305,
     306,   307,   308,   309,     0,   310,     0,   311,   312,   313,
     314,   315,   316,   317,     0,   318,   319,   320,   321,     0,
       0,   322,   323,   324,   325,   326,     0,   327,   328,   329,
       0,   330,   331,   332,     0,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,     0,   344,   345,
     346,   347,   348,     0,   349,     0,   350,   351,     0,   352,
     353,   354,   355,   356,     0,   357,   358,     0,   359,   360,
     361,     0,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,     0,   372,   373,   374,   375,   376,   377,   378,
       0,   379,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,     0,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,     0,     0,   399,   400,   401,   402,   403,
       0,   404,   405,   406,     0,     0,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,     0,   442,   443,   444,   445,   446,   447,     0,
     448,   449,     0,     0,   450,   451,   452,     0,     0,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,     0,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     0,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,     0,   524,   525,   526,   527,   528,
     941,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,     0,   554,   555,
       0,   556,   557,   558,   559,   560,   561,   562,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,     0,
     571,   572,   573,   574,   575,   576,   577,   578,     0,     0,
     579,   580,   581,   582,   583,  2899,     0,   584,   585,   586,
     587,   588,   589,   590,     0,   591,   592,   593,   594,   595,
     596,     0,     0,   597,     0,     0,   598,   599,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,   938,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,     0,   243,   244,   245,     0,     0,     0,     0,     0,
       0,     0,   246,   247,   248,     0,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,     0,
     262,   263,   264,   265,   266,   267,   268,     0,     0,   269,
     270,   271,   272,   273,     0,   274,   275,   276,   277,   278,
       0,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   939,   300,     0,
       0,   940,   301,   302,   303,   304,   305,   306,   307,   308,
     309,     0,   310,     0,   311,   312,   313,   314,   315,   316,
     317,     0,   318,   319,   320,   321,     0,     0,   322,   323,
     324,   325,   326,     0,   327,   328,   329,     0,   330,   331,
     332,     0,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,     0,   343,     0,   344,   345,   346,   347,   348,
       0,   349,     0,   350,   351,     0,   352,   353,   354,   355,
     356,     0,   357,   358,  3883,   359,   360,   361,     0,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,     0,
     372,   373,   374,   375,   376,   377,   378,     0,   379,   380,
     381,   382,   383,   384,   385,   386,   387,     0,   388,     0,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
       0,     0,   399,   400,   401,   402,   403,     0,   404,   405,
     406,     0,     0,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,     0,
     442,   443,   444,   445,   446,   447,     0,   448,   449,     0,
       0,   450,   451,   452,     0,     0,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,     0,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     0,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,     0,   524,   525,   526,   527,   528,   941,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,     0,   554,   555,     0,   556,   557,
     558,   559,   560,   561,   562,     0,   563,   564,   565,     0,
       0,   566,   567,   568,   569,   570,     0,   571,   572,   573,
     574,   575,   576,   577,   578,     0,     0,   579,   580,   581,
     582,   583,     0,     0,   584,   585,   586,   587,   588,   589,
     590,     0,   591,   592,   593,   594,   595,   596,     0,     0,
     597,     0,     0,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   938,     0,     0,   684,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,     0,   243,
     244,   245,     0,     0,     0,     0,     0,     0,     0,   246,
     247,   248,     0,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,     0,   262,   263,   264,
     265,   266,   267,   268,     0,     0,   269,   270,   271,   272,
     273,     0,   274,   275,   276,   277,   278,     0,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,     0,   300,     0,     0,     0,   301,
     302,   303,   304,   305,   306,   307,   308,   309,     0,   310,
       0,   311,   312,   313,   314,   315,   316,   317,     0,   318,
     319,   320,   321,     0,     0,   322,   323,   324,   325,   326,
       0,   327,   328,   329,     0,   330,   331,   332,     0,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,  1779,
     343,     0,   344,   345,   346,   347,   348,     0,   349,     0,
     350,   351,     0,   352,   353,   354,   355,   356,     0,   357,
     358,     0,   359,   360,   361,     0,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,     0,   372,   373,   374,
     375,   376,   377,   378,     0,   379,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,     0,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,     0,     0,   399,
     400,   401,   402,   403,     0,   404,   405,   406,     0,     0,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,     0,   442,   443,   444,
     445,   446,   447,     0,   448,   449,  1780,     0,   450,   451,
     452,     0,     0,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,     0,   524,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,     0,   554,   555,     0,   556,   557,   558,   559,   560,
     561,   562,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,  1781,   571,   572,   573,   574,   575,   576,
     577,   578,     0,     0,   579,   580,   581,   582,   583,     0,
       0,   584,   585,   586,   587,   588,   589,   590,     0,   591,
     592,   593,   594,   595,   596,     0,     0,   597,     0,     0,
     598,   599,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
     938,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,     0,   243,   244,   245,     0,
       0,     0,     0,     0,     0,     0,   246,   247,   248,     0,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,     0,   262,   263,   264,   265,   266,   267,
     268,     0,     0,   269,   270,   271,   272,   273,     0,   274,
     275,   276,   277,   278,     0,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   939,   300,     0,     0,   940,   301,   302,   303,   304,
     305,   306,   307,   308,   309,     0,   310,     0,   311,   312,
     313,   314,   315,   316,   317,     0,   318,   319,   320,   321,
       0,     0,   322,   323,   324,   325,   326,     0,   327,   328,
     329,     0,   330,   331,   332,     0,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,     0,   343,     0,   344,
     345,   346,   347,   348,     0,   349,     0,   350,   351,     0,
     352,   353,   354,   355,   356,     0,   357,   358,     0,   359,
     360,   361,     0,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,     0,   372,   373,   374,   375,   376,   377,
     378,     0,   379,   380,   381,   382,   383,   384,   385,   386,
     387,     0,   388,     0,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,     0,     0,   399,   400,   401,   402,
     403,     0,   404,   405,   406,     0,     0,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,     0,   442,   443,   444,   445,   446,   447,
       0,   448,   449,     0,     0,   450,   451,   452,     0,     0,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     0,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,     0,   524,   525,   526,   527,
     528,   941,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,     0,   554,
     555,     0,   556,   557,   558,   559,   560,   561,   562,     0,
     563,   564,   565,     0,     0,   566,   567,   568,   569,   570,
       0,   571,   572,   573,   574,   575,   576,   577,   578,     0,
       0,   579,   580,   581,   582,   583,     0,     0,   584,   585,
     586,   587,   588,   589,   590,     0,   591,   592,   593,   594,
     595,   596,     0,     0,   597,     0,     0,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   617,   938,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,     0,   243,   244,   245,     0,     0,     0,     0,
       0,     0,     0,   246,   247,   248,     0,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
       0,   262,   263,   264,   265,   266,   267,   268,     0,     0,
     269,   270,   271,   272,   273,     0,   274,   275,   276,   277,
     278,     0,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   939,   300,
       0,     0,   940,   301,   302,   303,   304,   305,   306,   307,
     308,   309,     0,   310,     0,   311,   312,   313,   314,   315,
     316,   317,     0,   318,   319,   320,   321,     0,     0,   322,
     323,   324,   325,   326,     0,   327,   328,   329,     0,   330,
     331,   332,     0,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,     0,   344,   345,   346,   347,
     348,     0,   349,     0,   350,   351,     0,   352,   353,   354,
     355,   356,     0,   357,   358,     0,   359,   360,   361,     0,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
       0,   372,   373,   374,   375,   376,   377,   378,     0,   379,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
       0,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,     0,     0,   399,   400,   401,   402,   403,     0,   404,
     405,   406,     0,     0,   407,   408,   409,   410,  1091,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
       0,   442,   443,   444,   445,   446,   447,     0,   448,   449,
       0,     0,   450,   451,   452,     0,     0,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,     0,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     0,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,     0,   524,   525,   526,   527,   528,   941,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,     0,   554,   555,     0,   556,
     557,   558,   559,   560,   561,   562,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,     0,   571,   572,
     573,   574,   575,   576,   577,   578,     0,     0,   579,   580,
     581,   582,   583,     0,     0,   584,   585,   586,   587,   588,
     589,   590,     0,   591,   592,   593,   594,   595,   596,     0,
       0,   597,     0,     0,   598,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   938,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,     0,
     243,   244,   245,     0,     0,     0,     0,     0,     0,     0,
     246,   247,   248,     0,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,     0,   262,   263,
     264,   265,   266,   267,   268,     0,     0,   269,   270,   271,
     272,   273,     0,   274,   275,   276,   277,   278,     0,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   939,   300,     0,     0,   940,
     301,   302,   303,   304,   305,   306,   307,   308,   309,     0,
     310,     0,   311,   312,   313,   314,   315,   316,   317,     0,
     318,   319,   320,   321,     0,     0,   322,   323,   324,   325,
     326,     0,   327,   328,   329,     0,   330,   331,   332,     0,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
       0,   343,     0,   344,   345,   346,   347,   348,     0,   349,
       0,   350,   351,     0,   352,   353,   354,   355,   356,     0,
     357,   358,     0,   359,   360,   361,     0,   362,   363,   364,
     365,  1133,   367,   368,   369,   370,   371,     0,   372,   373,
     374,   375,   376,   377,   378,     0,   379,   380,   381,   382,
     383,   384,   385,   386,   387,     0,   388,     0,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,     0,     0,
     399,   400,   401,   402,   403,     0,   404,   405,   406,     0,
       0,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,     0,   442,   443,
     444,   445,   446,   447,     0,   448,   449,     0,     0,   450,
     451,   452,     0,     0,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,     0,
     524,   525,   526,   527,   528,   941,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,     0,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,     0,   554,   555,     0,   556,   557,   558,   559,
     560,   561,   562,     0,   563,   564,   565,     0,     0,   566,
     567,   568,   569,   570,     0,   571,   572,   573,   574,   575,
     576,   577,   578,     0,     0,   579,   580,   581,   582,   583,
       0,     0,   584,   585,   586,   587,   588,   589,   590,     0,
     591,   592,   593,   594,   595,   596,     0,     0,   597,     0,
       0,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   938,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,     0,   243,   244,   245,
       0,     0,     0,     0,     0,     0,     0,   246,   247,   248,
       0,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,     0,   262,   263,   264,   265,   266,
     267,   268,     0,     0,   269,   270,   271,   272,   273,     0,
     274,   275,   276,   277,   278,     0,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   939,   300,     0,     0,   940,   301,   302,   303,
     304,   305,   306,   307,   308,   309,     0,   310,     0,   311,
     312,   313,   314,   315,   316,   317,     0,   318,   319,   320,
     321,     0,     0,   322,   323,   324,   325,   326,     0,   327,
     328,   329,     0,   330,   331,   332,     0,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,   343,     0,
     344,   345,   346,   347,   348,     0,   349,     0,   350,   351,
       0,   352,   353,   354,   355,   356,     0,   357,   358,     0,
     359,   360,   361,     0,   362,   363,   364,   365,  1146,   367,
     368,   369,   370,   371,     0,   372,   373,   374,   375,   376,
     377,   378,     0,   379,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,     0,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,     0,     0,   399,   400,   401,
     402,   403,     0,   404,   405,   406,     0,     0,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,     0,   442,   443,   444,   445,   446,
     447,     0,   448,   449,     0,     0,   450,   451,   452,     0,
       0,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,     0,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     0,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,     0,   524,   525,   526,
     527,   528,   941,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,     0,
     554,   555,     0,   556,   557,   558,   559,   560,   561,   562,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,     0,   571,   572,   573,   574,   575,   576,   577,   578,
       0,     0,   579,   580,   581,   582,   583,     0,     0,   584,
     585,   586,   587,   588,   589,   590,     0,   591,   592,   593,
     594,   595,   596,     0,     0,   597,     0,     0,   598,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,   938,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,     0,   243,   244,   245,     0,     0,     0,
       0,     0,     0,     0,   246,   247,   248,     0,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,     0,   262,   263,   264,   265,   266,   267,   268,     0,
       0,   269,   270,   271,   272,   273,     0,   274,   275,   276,
     277,   278,     0,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   939,
     300,     0,     0,   940,   301,   302,   303,   304,   305,   306,
     307,   308,   309,     0,   310,     0,   311,   312,   313,   314,
     315,   316,   317,     0,   318,   319,   320,   321,     0,     0,
     322,   323,   324,   325,   326,     0,   327,   328,   329,     0,
     330,   331,   332,     0,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,     0,   343,     0,   344,   345,   346,
     347,   348,     0,   349,     0,   350,   351,     0,   352,   353,
     354,   355,   356,     0,   357,   358,     0,   359,   360,   361,
       0,   362,   363,   364,   365,  1158,   367,   368,   369,   370,
     371,     0,   372,   373,   374,   375,   376,   377,   378,     0,
     379,   380,   381,   382,   383,   384,   385,   386,   387,     0,
     388,     0,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,     0,     0,   399,   400,   401,   402,   403,     0,
     404,   405,   406,     0,     0,   407,   408,   409,   410,  1159,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,     0,   442,   443,   444,   445,   446,   447,     0,   448,
     449,     0,     0,   450,   451,   452,     0,     0,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,     0,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     0,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,     0,   524,   525,   526,   527,   528,   941,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
       0,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,     0,   554,   555,     0,
     556,   557,   558,   559,   560,   561,   562,     0,   563,   564,
     565,     0,     0,   566,   567,   568,   569,   570,     0,   571,
     572,   573,   574,   575,   576,   577,   578,     0,     0,   579,
     580,   581,   582,   583,     0,     0,   584,   585,   586,   587,
     588,   589,   590,     0,   591,   592,   593,   594,   595,   596,
       0,     0,   597,     0,     0,   598,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   617,   938,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
       0,   243,   244,   245,     3,     4,     0,     0,     0,     0,
       0,   246,   247,   248,     0,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,     0,   262,
     263,   264,   265,   266,   267,   268,     0,     0,   269,   270,
     271,   272,   273,     0,   274,   275,   276,   277,   278,     0,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,     0,   300,     0,     0,
       0,   301,   302,   303,   304,   305,   306,   307,   308,   309,
       0,   310,     0,   311,   312,   313,   314,   315,   316,   317,
       0,   318,   319,   320,   321,     0,     0,   322,   323,   324,
     325,   326,     0,   327,   328,   329,     0,   330,   331,   332,
       0,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,     0,   344,   345,   346,   347,   348,     0,
     349,     0,   350,   351,     0,   352,   353,   354,   355,   356,
       0,   357,   358,     0,   359,   360,   361,     0,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,     0,   372,
     373,   374,   375,   376,   377,   378,     0,   379,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,     0,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,     0,
       0,   399,   400,   401,   402,   403,     0,   404,   405,   406,
       0,     0,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,     0,   442,
     443,   444,   445,   446,   447,     0,   448,   449,     0,     0,
     450,   451,   452,     0,     0,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
       0,   524,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,     0,   554,   555,     0,   556,   557,   558,
     559,   560,   561,   562,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,     0,   571,   572,   573,   574,
     575,   576,   577,   578,     0,     0,   579,   580,   581,   582,
     583,     0,     0,   584,   585,   586,   587,   588,   589,   590,
       0,   591,   592,   593,   594,   595,   596,     0,     0,   597,
       0,     0,   598,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,   938,     0,     0,   684,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,     0,   243,   244,
     245,     0,     0,     0,     0,     0,     0,     0,   246,   247,
     248,     0,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,     0,   262,   263,   264,   265,
     266,   267,   268,     0,     0,   269,   270,   271,   272,   273,
       0,   274,   275,   276,   277,   278,     0,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,     0,   300,     0,     0,     0,   301,   302,
     303,   304,   305,   306,   307,   308,   309,  2508,   310,     0,
     311,   312,   313,   314,   315,   316,   317,     0,   318,   319,
     320,   321,     0,     0,   322,   323,   324,   325,   326,     0,
     327,   328,   329,     0,   330,   331,   332,     0,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,     0,   343,
       0,   344,   345,   346,   347,   348,     0,   349,     0,   350,
     351,     0,   352,   353,   354,   355,   356,     0,   357,   358,
       0,   359,   360,   361,     0,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,     0,   372,   373,   374,   375,
     376,   377,   378,     0,   379,   380,   381,   382,   383,   384,
     385,   386,   387,     0,   388,     0,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,     0,     0,   399,   400,
     401,   402,   403,     0,   404,   405,   406,     0,     0,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,     0,   442,   443,   444,   445,
     446,   447,     0,   448,   449,     0,     0,   450,   451,   452,
       0,     0,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     0,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,     0,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
       0,   554,   555,     0,   556,   557,   558,   559,   560,   561,
     562,     0,   563,   564,   565,     0,     0,   566,   567,   568,
     569,   570,     0,   571,   572,   573,   574,   575,   576,   577,
     578,     0,     0,   579,   580,   581,   582,   583,     0,     0,
     584,   585,   586,   587,   588,   589,   590,     0,   591,   592,
     593,   594,   595,   596,     0,     0,   597,     0,     0,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,   938,
       0,     0,   684,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,     0,   243,   244,   245,     0,     0,
       0,     0,     0,     0,     0,   246,   247,   248,     0,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,     0,   262,   263,   264,   265,   266,   267,   268,
       0,     0,   269,   270,   271,   272,   273,     0,   274,   275,
     276,   277,   278,     0,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
       0,   300,     0,     0,     0,   301,   302,   303,   304,   305,
     306,   307,   308,   309,     0,   310,     0,   311,   312,   313,
     314,   315,   316,   317,     0,   318,   319,   320,   321,     0,
       0,   322,   323,   324,   325,   326,     0,   327,   328,   329,
       0,   330,   331,   332,     0,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,     0,   344,   345,
     346,   347,   348,     0,   349,     0,   350,   351,     0,   352,
     353,   354,   355,   356,     0,   357,   358,     0,   359,   360,
     361,     0,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,     0,   372,   373,   374,   375,   376,   377,   378,
       0,   379,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,     0,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,     0,     0,   399,   400,   401,   402,   403,
       0,   404,   405,   406,     0,     0,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,     0,   442,   443,   444,   445,   446,   447,     0,
     448,   449,     0,     0,   450,   451,   452,     0,     0,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,     0,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     0,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,     0,   524,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,     0,   554,   555,
       0,   556,   557,   558,   559,   560,   561,   562,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,     0,
     571,   572,   573,   574,   575,   576,   577,   578,     0,     0,
     579,   580,   581,   582,   583,     0,     0,   584,   585,   586,
     587,   588,   589,   590,     0,   591,   592,   593,   594,   595,
     596,     0,     0,   597,     0,     0,   598,   599,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,   234,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,     0,   243,   244,   245,     0,     0,     0,     0,     0,
       0,     0,   246,   247,   248,     0,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,     0,
     262,   263,   264,   265,   266,   267,   268,     0,     0,   269,
     270,   271,   272,   273,     0,   274,   275,   276,   277,   278,
       0,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,     0,   300,     0,
       0,     0,   301,   302,   303,   304,   305,   306,   307,   308,
     309,     0,   310,     0,   311,   312,   313,   314,   315,   316,
     317,     0,   318,   319,   320,   321,     0,     0,   322,   323,
     324,   325,   326,     0,   327,   328,   329,     0,   330,   331,
     332,     0,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,     0,   343,     0,   344,   345,   346,   347,   348,
       0,   349,     0,   350,   351,     0,   352,   353,   354,   355,
     356,     0,   357,   358,     0,   359,   360,   361,     0,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,     0,
     372,   373,   374,   375,   376,   377,   378,     0,   379,   380,
     381,   382,   383,   384,   385,   386,   387,     0,   388,     0,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
       0,     0,   399,   400,   401,   402,   403,     0,   404,   405,
     406,     0,     0,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,     0,
     442,   443,   444,   445,   446,   447,     0,   448,   449,     0,
       0,   450,   451,   452,     0,     0,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,     0,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     0,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,     0,   554,   555,     0,   556,   557,
     558,   559,   560,   561,   562,     0,   563,   564,   565,     0,
       0,   566,   567,   568,   569,   570,     0,   571,   572,   573,
     574,   575,   576,   577,   578,     0,     0,   579,   580,   581,
     582,   583,     0,     0,   584,   585,   586,   587,   588,   589,
     590,     0,   591,   592,   593,   594,   595,   596,     0,     0,
     597,     0,     0,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   234,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,     0,   243,
     244,   245,     0,     0,     0,     0,     0,     0,     0,   246,
     247,   248,     0,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,     0,   262,   263,   264,
     265,   266,   267,   268,     0,     0,   269,   270,   271,   272,
     273,     0,   274,   275,   276,   277,   278,     0,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,     0,   300,     0,     0,     0,   301,
     302,   303,   304,   305,   306,   307,   308,   309,     0,   310,
       0,   311,   312,   313,   314,   315,   316,   317,     0,   318,
     319,   320,   321,     0,     0,   322,   323,   324,   325,   326,
       0,   327,   328,   329,     0,   330,   331,   332,     0,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,     0,   344,   345,   346,   347,   348,     0,   349,     0,
     350,   351,     0,   352,   353,   354,   355,   356,     0,   357,
     358,     0,   359,   360,   361,     0,   362,   363,   364,   365,
    1117,   367,   368,   369,   370,   371,     0,   372,   373,   374,
     375,   376,   377,   378,     0,   379,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,     0,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,     0,     0,   399,
     400,   401,   402,   403,     0,   404,   405,   406,     0,     0,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,     0,   442,   443,   444,
     445,   446,   447,     0,   448,   449,     0,     0,   450,   451,
     452,     0,     0,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,     0,   524,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,     0,   554,   555,     0,   556,   557,   558,   559,   560,
     561,   562,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,     0,   571,   572,   573,   574,   575,   576,
     577,   578,     0,     0,   579,   580,   581,   582,   583,     0,
       0,   584,   585,   586,   587,   588,   589,   590,     0,   591,
     592,   593,   594,   595,   596,     0,     0,   597,     0,     0,
     598,   599,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
     234,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,     0,   243,   244,   245,     0,
       0,     0,     0,     0,     0,     0,   246,   247,   248,     0,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,     0,   262,   263,   264,   265,   266,   267,
     268,     0,     0,   269,   270,   271,   272,   273,     0,   274,
     275,   276,   277,   278,     0,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,     0,   300,     0,     0,     0,   301,   302,   303,   304,
     305,   306,   307,   308,   309,     0,   310,     0,   311,   312,
     313,   314,   315,   316,   317,     0,   318,   319,   320,   321,
       0,     0,   322,   323,   324,   325,   326,     0,   327,   328,
     329,     0,   330,   331,   332,     0,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,     0,   343,     0,   344,
     345,   346,   347,   348,     0,   349,     0,   350,   351,     0,
     352,   353,   354,   355,   356,     0,   357,   358,     0,   359,
     360,   361,     0,   362,   363,   364,   365,  1130,   367,   368,
     369,   370,   371,     0,   372,   373,   374,   375,   376,   377,
     378,     0,   379,   380,   381,   382,   383,   384,   385,   386,
     387,     0,   388,     0,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,     0,     0,   399,   400,   401,   402,
     403,     0,   404,   405,   406,     0,     0,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,     0,   442,   443,   444,   445,   446,   447,
       0,   448,   449,     0,     0,   450,   451,   452,     0,     0,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     0,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,     0,   524,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,     0,   554,
     555,     0,   556,   557,   558,   559,   560,   561,   562,     0,
     563,   564,   565,     0,     0,   566,   567,   568,   569,   570,
       0,   571,   572,   573,   574,   575,   576,   577,   578,     0,
       0,   579,   580,   581,   582,   583,     0,     0,   584,   585,
     586,   587,   588,   589,   590,     0,   591,   592,   593,   594,
     595,   596,     0,     0,   597,     0,     0,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   617,   234,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,     0,   243,   244,   245,     0,     0,     0,     0,
       0,     0,     0,   246,   247,   248,     0,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
       0,   262,   263,   264,   265,   266,   267,   268,     0,     0,
     269,   270,   271,   272,   273,     0,   274,   275,   276,   277,
     278,     0,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,     0,   300,
       0,     0,     0,   301,   302,   303,   304,   305,   306,   307,
     308,   309,     0,   310,     0,   311,   312,   313,   314,   315,
     316,   317,     0,   318,   319,   320,   321,     0,     0,   322,
     323,   324,   325,   326,     0,   327,   328,   329,     0,   330,
     331,   332,     0,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,     0,   344,   345,   346,   347,
     348,     0,   349,     0,   350,   351,     0,   352,   353,   354,
     355,   356,     0,   357,   358,     0,   359,   360,   361,     0,
     362,   363,   364,   365,  1144,   367,   368,   369,   370,   371,
       0,   372,   373,   374,   375,   376,   377,   378,     0,   379,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
       0,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,     0,     0,   399,   400,   401,   402,   403,     0,   404,
     405,   406,     0,     0,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
       0,   442,   443,   444,   445,   446,   447,     0,   448,   449,
       0,     0,   450,   451,   452,     0,     0,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,     0,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     0,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,     0,   524,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,     0,   554,   555,     0,   556,
     557,   558,   559,   560,   561,   562,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,     0,   571,   572,
     573,   574,   575,   576,   577,   578,     0,     0,   579,   580,
     581,   582,   583,     0,     0,   584,   585,   586,   587,   588,
     589,   590,     0,   591,   592,   593,   594,   595,   596,     0,
       0,   597,     0,     0,   598,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   234,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,     0,
     243,   244,   245,     0,     0,     0,     0,     0,     0,     0,
     246,   247,   248,     0,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,     0,   262,   263,
     264,   265,   266,   267,   268,     0,     0,   269,   270,   271,
     272,   273,     0,   274,   275,   276,   277,   278,     0,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,     0,   300,     0,     0,     0,
     301,   302,   303,   304,   305,   306,   307,   308,   309,     0,
     310,     0,   311,   312,   313,   314,   315,   316,   317,     0,
     318,   319,   320,   321,     0,     0,   322,   323,   324,   325,
     326,     0,   327,   328,   329,     0,   330,   331,   332,     0,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
       0,   343,     0,   344,   345,   346,   347,   348,     0,   349,
       0,   350,   351,     0,   352,   353,   354,   355,   356,     0,
     357,   358,     0,   359,   360,   361,     0,   362,   363,   364,
     365,  1148,   367,   368,   369,   370,   371,     0,   372,   373,
     374,   375,   376,   377,   378,     0,   379,   380,   381,   382,
     383,   384,   385,   386,   387,     0,   388,     0,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,     0,     0,
     399,   400,   401,   402,   403,     0,   404,   405,   406,     0,
       0,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,     0,   442,   443,
     444,   445,   446,   447,     0,   448,   449,     0,     0,   450,
     451,   452,     0,     0,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,     0,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,     0,   554,   555,     0,   556,   557,   558,   559,
     560,   561,   562,     0,   563,   564,   565,     0,     0,   566,
     567,   568,   569,   570,     0,   571,   572,   573,   574,   575,
     576,   577,   578,     0,     0,   579,   580,   581,   582,   583,
       0,     0,   584,   585,   586,   587,   588,   589,   590,     0,
     591,   592,   593,   594,   595,   596,     0,     0,   597,     0,
       0,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   938,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,     0,   243,   244,   245,
       0,     0,     0,     0,     0,     0,     0,   246,   247,   248,
       0,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,     0,   262,   263,   264,   265,   266,
     267,   268,     0,     0,   269,   270,   271,   272,   273,     0,
     274,   275,   276,   277,   278,     0,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,     0,   300,     0,     0,     0,   301,   302,   303,
     304,   305,   306,   307,   308,   309,     0,   310,     0,   311,
     312,   313,   314,   315,   316,   317,     0,   318,   319,   320,
     321,     0,     0,   322,   323,   324,   325,   326,     0,   327,
     328,   329,     0,   330,   331,   332,     0,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,   343,     0,
     344,   345,   346,   347,   348,     0,   349,     0,   350,   351,
       0,   352,   353,   354,   355,   356,     0,   357,   358,     0,
     359,   360,   361,     0,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,     0,   372,   373,   374,   375,   376,
     377,   378,     0,   379,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,     0,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,     0,     0,   399,   400,   401,
     402,   403,     0,   404,   405,   406,     0,     0,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,     0,   442,   443,   444,   445,   446,
     447,     0,   448,   449,     0,     0,   450,   451,   452,     0,
       0,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,     0,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     0,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,     0,
     554,   555,     0,   556,   557,   558,   559,   560,   561,   562,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,     0,   571,   572,   573,   574,   575,   576,   577,   578,
       0,     0,   579,   580,   581,   582,   583,     0,     0,   584,
     585,   586,   587,   588,   589,   590,     0,   591,   592,   593,
     594,   595,   596,     0,     0,   597,     0,     0,   598,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,   625,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,     0,   243,   244,   245,     0,     0,     0,
       0,     0,     0,     0,   246,   247,   248,     0,   249,   250,
     251,   252,     0,   254,   255,   256,   257,   258,     0,   260,
     261,     0,   262,   263,   264,   265,   266,   267,   268,     0,
       0,   269,   270,   271,   272,   273,  2671,   274,   275,   276,
     277,   278,     0,     0,  2740,   280,   281,   282,   283,   284,
     285,     0,   287,   288,   289,  2672,   290,   291,   292,   293,
     294,   295,     0,     0,   297,   298,   299,     0,     0,     0,
       0,     0,     0,     0,   301,   302,   303,   304,   305,   306,
     307,   308,   309,     0,   310,     0,   311,   312,   313,   314,
     315,   316,   317,     0,   318,   319,   320,   321,     0,     0,
     322,   323,   324,   325,   326,     0,   327,   328,   329,     0,
     330,   331,   332,     0,  2741,   334,   335,   336,   337,   338,
     339,   340,   341,   342,     0,   343,     0,   344,   345,   346,
     347,   348,     0,   349,  2674,   350,     0,     0,     0,   353,
     354,   355,   356,     0,   357,   358,     0,   359,   360,   361,
       0,   362,   363,   364,   365,  2742,     0,   368,   369,   370,
     371,     0,   372,   373,   374,   375,   376,   377,   378,     0,
     379,     0,   381,   382,   383,   384,   385,   386,   387,     0,
     388,     0,   389,     0,     0,   392,     0,   394,   395,   396,
     397,   398,     0,     0,   399,   400,     0,   402,     0,     0,
     404,   405,   406,     0,     0,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,     0,
     441,     0,   442,   443,   444,   445,   446,   447,     0,   448,
     449,     0,     0,   450,   451,   452,     0,     0,   453,   454,
     455,     0,   457,     0,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,  2675,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     0,   506,   507,     0,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,     0,   535,   536,   537,   538,
       0,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,     0,   554,   555,     0,
     556,     0,   558,   559,   560,   561,   562,     0,   563,   564,
     565,     0,     0,   566,   567,   568,   569,   570,     0,   571,
     572,   573,   574,   575,   576,   577,   578,     0,  2676,   579,
     580,   581,   582,   583,     0,     0,   584,   585,   586,   587,
     588,   589,   590,     0,   591,     0,   593,   594,   595,   596,
       0,     0,   597,     0,     0,   598,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   617,   625,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
       0,   243,   244,   245,     0,     0,     0,     0,     0,     0,
       0,   246,   247,   248,     0,   249,   250,   251,   252,     0,
     254,   255,   256,   257,   258,     0,   260,   261,     0,   262,
     263,   264,   265,   266,   267,   268,     0,     0,   269,   270,
     271,   272,   273,  2671,   274,   275,   276,   277,   278,     0,
       0,     0,   280,   281,   282,   283,   284,   285,     0,   287,
     288,   289,  2672,   290,   291,   292,   293,   294,   295,     0,
       0,   297,   298,   299,     0,     0,     0,     0,     0,     0,
       0,   301,   302,   303,   304,   305,   306,   307,   308,   309,
       0,   310,     0,   311,   312,   313,   314,   315,   316,   317,
       0,   318,   319,   320,   321,     0,     0,   322,   323,   324,
     325,   326,     0,   327,   328,   329,     0,   330,   331,   332,
       0,  2741,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,     0,   344,   345,   346,   347,   348,     0,
     349,  2674,   350,     0,     0,     0,   353,   354,   355,   356,
       0,   357,   358,     0,   359,   360,   361,     0,   362,   363,
     364,   365,   366,     0,   368,   369,   370,   371,     0,   372,
     373,   374,   375,   376,   377,   378,     0,   379,     0,   381,
     382,   383,   384,   385,   386,   387,     0,   388,     0,   389,
       0,     0,   392,     0,   394,   395,   396,   397,   398,     0,
       0,   399,   400,     0,   402,  3746,     0,   404,   405,   406,
       0,     0,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,     0,   441,     0,   442,
     443,   444,   445,   446,   447,     0,   448,   449,     0,     0,
     450,   451,   452,     0,     0,   453,   454,   455,     0,   457,
       0,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,  2675,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,     0,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
       0,   524,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,     0,   535,   536,   537,   538,     0,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,     0,   554,   555,     0,   556,     0,   558,
     559,   560,   561,   562,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,     0,   571,   572,   573,   574,
     575,   576,   577,   578,     0,  2676,   579,   580,   581,   582,
     583,     0,     0,   584,   585,   586,   587,   588,   589,   590,
       0,   591,     0,   593,   594,   595,   596,     0,     0,   597,
       0,     0,   598,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,   625,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   803,   241,   242,   764,   243,   765,
     245,     0,     0,     0,     0,     0,     0,     0,   246,   247,
     248,     0,   249,   250,   251,   252,     0,   254,   255,   256,
     257,   258,     0,   260,   261,     0,   262,   263,   264,   265,
     266,   267,   268,     0,     0,   269,   270,   271,   272,   273,
       0,   274,   275,   276,   277,   278,     0,     0,     0,   280,
     281,   282,   283,   284,   285,     0,   287,   288,   289,     0,
     290,   291,   292,   293,   294,   295,   766,     0,   297,   298,
     299,     0,     0,     0,     0,     0,     0,     0,   301,   302,
     303,   304,   305,   306,   307,   308,   309,     0,   310,     0,
     311,   312,   313,   314,   315,   316,   317,     0,   318,   319,
     320,   321,     0,     0,   322,   323,   324,   325,   326,     0,
     327,   328,   329,     0,   330,   331,   332,     0,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,     0,   343,
       0,   344,   345,   346,   347,   348,     0,   349,     0,   350,
       0,     0,     0,   353,   354,   355,   356,   804,   357,   358,
       0,   359,   360,   361,     0,   362,   363,   364,   365,   366,
       0,   368,   369,   370,   371,     0,   372,   373,   374,   375,
     376,   377,   378,     0,   379,     0,   381,   382,   383,   384,
     385,   386,   387,     0,   388,     0,   389,     0,     0,   392,
       0,   394,   395,   396,   397,   398,     0,     0,   399,   400,
       0,   402,     0,     0,   404,   405,   406,     0,     0,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,     0,   441,     0,   442,   443,   444,   445,
     446,   447,     0,   448,   449,     0,     0,   450,   451,   452,
       0,     0,   453,   454,   455,     0,   457,     0,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   767,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     0,   506,
     507,     0,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   768,   524,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,     0,
     535,   536,   537,   538,     0,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
       0,   554,   555,     0,   556,     0,   558,   559,   560,   561,
     562,     0,   563,   564,   565,     0,     0,   566,   567,   568,
     569,   570,     0,   571,   572,   573,   574,   575,   576,   577,
     578,     0,     0,   579,   580,   581,   582,   583,     0,     0,
     584,   585,   586,   587,   588,   589,   590,     0,   591,     0,
     593,   594,   595,   596,     0,     0,   597,     0,     0,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,   625,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   764,   243,   765,   245,     0,     0,
       0,     0,     0,     0,     0,   246,   247,   248,     0,   249,
     250,   251,   252,     0,   254,   255,   256,   257,   258,     0,
     260,   261,     0,   262,   263,   264,   265,   266,   267,   268,
       0,     0,   269,   270,   271,   272,   273,     0,   274,   275,
     276,   277,   278,     0,     0,     0,   280,   281,   282,   283,
     284,   285,     0,   287,   288,   289,     0,   290,   291,   292,
     293,   294,   295,   766,     0,   297,   298,   299,     0,     0,
       0,     0,     0,     0,     0,   301,   302,   303,   304,   305,
     306,   307,   308,   309,     0,   310,     0,   311,   312,   313,
     314,   315,   316,   317,     0,   318,   319,   320,   321,     0,
       0,   322,   323,   324,   325,   326,     0,   327,   328,   329,
       0,   330,   331,   332,     0,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,     0,   344,   345,
     346,   347,   348,     0,   349,     0,   350,     0,     0,     0,
     353,   354,   355,   356,  3435,   357,   358,     0,   359,   360,
     361,     0,   362,   363,   364,   365,   366,     0,   368,   369,
     370,   371,     0,   372,   373,   374,   375,   376,   377,   378,
       0,   379,     0,   381,   382,   383,   384,   385,   386,   387,
       0,   388,     0,   389,     0,     0,   392,     0,   394,   395,
     396,   397,   398,     0,     0,   399,   400,     0,   402,     0,
       0,   404,   405,   406,     0,     0,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
       0,   441,     0,   442,   443,   444,   445,   446,   447,     0,
     448,   449,     0,     0,   450,   451,   452,     0,     0,   453,
     454,   455,     0,   457,     0,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,     0,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   767,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     0,   506,   507,     0,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   768,   524,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,     0,   535,   536,   537,
     538,     0,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,     0,   554,   555,
       0,   556,     0,   558,   559,   560,   561,   562,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,     0,
     571,   572,   573,   574,   575,   576,   577,   578,     0,     0,
     579,   580,   581,   582,   583,     0,     0,   584,   585,   586,
     587,   588,   589,   590,     0,   591,     0,   593,   594,   595,
     596,     0,     0,   597,     0,     0,   598,   599,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,   625,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,     0,   243,   244,   245,     0,     0,     0,     0,     0,
       0,     0,   246,   247,   248,     0,   249,   250,   251,   252,
       0,   254,   255,   256,   257,   258,     0,   260,   261,     0,
     262,   263,   264,   265,   266,   267,   268,     0,     0,   269,
     270,   271,   272,   273,  2671,   274,   275,   276,   277,   278,
       0,     0,     0,   280,   281,   282,   283,   284,   285,     0,
     287,   288,   289,  2672,   290,   291,   292,   293,   294,   295,
       0,     0,   297,   298,   299,     0,     0,     0,     0,     0,
       0,     0,   301,   302,   303,   304,   305,   306,   307,   308,
     309,     0,   310,     0,   311,   312,   313,   314,   315,   316,
     317,     0,   318,   319,   320,   321,     0,     0,   322,   323,
     324,   325,   326,     0,   327,   328,   329,     0,   330,   331,
     332,     0,  2741,   334,   335,   336,   337,   338,   339,   340,
     341,   342,     0,   343,     0,   344,   345,   346,   347,   348,
       0,   349,  2674,   350,     0,     0,     0,   353,   354,   355,
     356,     0,   357,   358,     0,   359,   360,   361,     0,   362,
     363,   364,   365,   366,     0,   368,   369,   370,   371,     0,
     372,   373,   374,   375,   376,   377,   378,     0,   379,     0,
     381,   382,   383,   384,   385,   386,   387,     0,   388,     0,
     389,     0,     0,   392,     0,   394,   395,   396,   397,   398,
       0,     0,   399,   400,     0,   402,     0,     0,   404,   405,
     406,     0,     0,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,     0,   441,     0,
     442,   443,   444,   445,   446,   447,     0,   448,   449,     0,
       0,   450,   451,   452,     0,     0,   453,   454,   455,     0,
     457,     0,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,  2675,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     0,   506,   507,     0,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,     0,   535,   536,   537,   538,     0,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,     0,   554,   555,     0,   556,     0,
     558,   559,   560,   561,   562,     0,   563,   564,   565,     0,
       0,   566,   567,   568,   569,   570,     0,   571,   572,   573,
     574,   575,   576,   577,   578,     0,  2676,   579,   580,   581,
     582,   583,     0,     0,   584,   585,   586,   587,   588,   589,
     590,     0,   591,     0,   593,   594,   595,   596,     0,     0,
     597,     0,     0,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   625,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   764,   243,
     765,   245,     0,     0,     0,     0,     0,     0,     0,   246,
     247,   248,     0,   249,   250,   251,   252,     0,   254,   255,
     256,   257,   258,     0,   260,   261,     0,   262,   263,   264,
     265,   266,   267,   268,     0,     0,   269,   270,   271,   272,
     273,     0,   274,   275,   276,   277,   278,     0,     0,     0,
     280,   281,   282,   283,   284,   285,     0,   287,   288,   289,
       0,   290,   291,   292,   293,   294,   295,   766,     0,   297,
     298,   299,     0,     0,     0,     0,     0,     0,     0,   301,
     302,   303,   304,   305,   306,   307,   308,   309,     0,   310,
       0,   311,   312,   313,   314,   315,   316,   317,     0,   318,
     319,   320,   321,     0,     0,   322,   323,   324,   325,   326,
       0,   327,   328,   329,     0,   330,   331,   332,     0,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,     0,   344,   345,   346,   347,   348,     0,   349,     0,
     350,     0,     0,     0,   353,   354,   355,   356,     0,   357,
     358,     0,   359,   360,   361,     0,   362,   363,   364,   365,
     366,     0,   368,   369,   370,   371,     0,   372,   373,   374,
     375,   376,   377,   378,     0,   379,     0,   381,   382,   383,
     384,   385,   386,   387,     0,   388,     0,   389,     0,     0,
     392,     0,   394,   395,   396,   397,   398,     0,     0,   399,
     400,     0,   402,     0,     0,   404,   405,   406,     0,     0,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,     0,   441,     0,   442,   443,   444,
     445,   446,   447,     0,   448,   449,     0,     0,   450,   451,
     452,     0,     0,   453,   454,   455,     0,   457,     0,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   767,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,     0,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   768,   524,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
       0,   535,   536,   537,   538,     0,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,     0,   554,   555,     0,   556,     0,   558,   559,   560,
     561,   562,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,     0,   571,   572,   573,   574,   575,   576,
     577,   578,     0,     0,   579,   580,   581,   582,   583,     0,
       0,   584,   585,   586,   587,   588,   589,   590,     0,   591,
       0,   593,   594,   595,   596,     0,     0,   597,     0,     0,
     598,   599,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
     625,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,  2975,   243,   244,   245,     0,
       0,     0,     0,     0,     0,     0,   246,   247,   248,     0,
     249,   250,   251,   252,     0,   254,   255,   256,   257,   258,
       0,   260,   261,     0,   262,   263,   264,   265,   266,   267,
     268,     0,     0,   269,   270,   271,   272,   273,     0,   274,
     275,   276,   277,   278,     0,     0,     0,   280,   281,   282,
     283,   284,   285,     0,   287,   288,   289,     0,   290,   291,
     292,   293,   294,   295,     0,     0,   297,   298,   299,     0,
       0,     0,  2806,     0,     0,     0,   301,   302,   303,   304,
     305,   306,   307,   308,   309,     0,   310,     0,   311,   312,
     313,   314,   315,   316,   317,     0,   318,   319,   320,   321,
       0,     0,   322,   323,   324,   325,   326,     0,   327,   328,
     329,     0,   330,   331,   332,     0,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,     0,   343,     0,   344,
     345,   346,   347,   348,     0,   349,     0,   350,     0,     0,
       0,   353,   354,   355,   356,     0,   357,   358,     0,   359,
     360,   361,     0,   362,   363,   364,   365,   366,     0,   368,
     369,   370,   371,     0,   372,   373,   374,   375,   376,   377,
     378,     0,   379,     0,   381,   382,   383,   384,   385,   386,
     387,     0,   388,     0,   389,     0,     0,   392,     0,   394,
     395,   396,   397,   398,     0,     0,   399,   400,     0,   402,
       0,     0,   404,   405,   406,     0,     0,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,     0,   441,     0,   442,   443,   444,   445,   446,   447,
       0,   448,   449,     0,   835,   450,   451,   452,     0,     0,
     453,   454,   455,     0,   457,     0,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     0,   506,   507,     0,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,     0,   524,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,     0,   535,   536,
     537,   538,     0,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,     0,   554,
     555,  2807,  2808,     0,   558,   559,   560,   561,   562,     0,
     563,   564,   565,     0,     0,   566,   567,   568,   569,   570,
       0,   571,   572,   573,   574,   575,   576,   577,   578,     0,
       0,   579,   580,   581,   582,   583,     0,     0,   584,   585,
     586,   587,   588,   589,   590,     0,   591,     0,   593,   594,
     595,   596,     0,     0,   597,     0,     0,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   617,   625,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,  1956,   243,   244,   245,     0,     0,     0,     0,
       0,     0,     0,   246,   247,   248,     0,   249,   250,   251,
     252,     0,   254,   255,   256,   257,   258,     0,   260,   261,
       0,   262,   263,   264,   265,   266,   267,   268,     0,     0,
     269,   270,   271,   272,   273,     0,   274,   275,   276,   277,
     278,     0,     0,     0,   280,   281,   282,   283,   284,   285,
       0,   287,   288,   289,     0,   290,   291,   292,   293,   294,
     295,     0,     0,   297,   298,   299,     0,     0,     0,     0,
       0,     0,     0,   301,   302,   303,  1957,   305,   306,   307,
     308,   309,     0,   310,     0,   311,   312,   313,   314,   315,
     316,   317,     0,   318,   319,   320,   321,     0,     0,   322,
    1958,   324,   325,   326,     0,   327,   328,   329,     0,   330,
     331,   332,     0,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,     0,   344,   345,   346,   347,
     348,     0,   349,  1959,   350,     0,     0,     0,  1960,   354,
     355,   356,     0,   357,   358,     0,   359,   360,   361,     0,
     362,   363,   364,   365,   366,     0,   368,   369,   370,   371,
       0,   372,   373,   374,   375,   376,   377,   378,     0,   379,
       0,   381,   382,   383,   384,   385,   386,   387,     0,   388,
       0,   389,     0,     0,   392,     0,   394,   395,  1961,  1962,
     398,     0,     0,   399,   400,     0,   402,     0,     0,   404,
     405,   406,     0,     0,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,     0,   441,
       0,   442,   443,   444,   445,   446,   447,     0,   448,   449,
       0,     0,   450,   451,   452,     0,     0,   453,   454,   455,
       0,   457,     0,   459,   460,   461,   462,   463,  1963,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,     0,   478,   479,   480,  1964,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     0,   506,   507,     0,   509,   510,   511,
    1965,   513,   514,   515,   516,   517,  1966,   519,   520,   521,
     522,   523,     0,  1967,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,     0,   535,   536,   537,   538,     0,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,     0,   554,   555,  1968,   556,
       0,  1969,   559,   560,   561,   562,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,     0,   571,   572,
    1970,   574,   575,   576,   577,   578,     0,     0,   579,   580,
     581,   582,   583,     0,     0,   584,   585,   586,   587,   588,
     589,   590,     0,   591,     0,   593,   594,   595,   596,     0,
       0,   597,     0,     0,   598,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   625,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,     0,
     243,   765,   245,     0,     0,     0,     0,     0,     0,     0,
     246,   247,   248,     0,   249,   250,   251,   252,     0,   254,
     255,   256,   257,   258,     0,   260,   261,     0,   262,   263,
     264,   265,   266,   267,   268,     0,     0,   269,   270,   271,
     272,   273,     0,   274,   275,   276,   277,   278,     0,     0,
       0,   280,   281,   282,   283,   284,   285,     0,   287,   288,
     289,     0,   290,   291,   292,   293,   294,   295,   766,     0,
     297,   298,   299,     0,     0,     0,     0,     0,     0,     0,
     301,   302,   303,   304,   305,   306,   307,   308,   309,     0,
     310,     0,   311,   312,   313,   314,   315,   316,   317,     0,
     318,   319,   320,   321,     0,     0,   322,   323,   324,   325,
     326,     0,   327,   328,   329,     0,   330,   331,   332,     0,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
       0,   343,     0,   344,   345,   346,   347,   348,     0,   349,
       0,   350,     0,     0,     0,   353,   354,   355,   356,     0,
     357,   358,     0,   359,   360,   361,     0,   362,   363,   364,
     365,   366,     0,   368,   369,   370,   371,     0,   372,   373,
     374,   375,   376,   377,   378,     0,   379,     0,   381,   382,
     383,   384,   385,   386,   387,     0,   388,     0,   389,     0,
       0,   392,     0,   394,   395,   396,   397,   398,     0,     0,
     399,   400,     0,   402,     0,     0,   404,   405,   406,     0,
       0,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,     0,   441,     0,   442,   443,
     444,   445,   446,   447,     0,   448,   449,     0,     0,   450,
     451,   452,     0,     0,   453,   454,   455,     0,   457,     0,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   767,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,     0,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   768,
     524,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,     0,   535,   536,   537,   538,     0,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,     0,   554,   555,     0,   556,     0,   558,   559,
     560,   561,   562,     0,   563,   564,   565,     0,     0,   566,
     567,   568,   569,   570,     0,   571,   572,   573,   574,   575,
     576,   577,   578,     0,     0,   579,   580,   581,   582,   583,
       0,     0,   584,   585,   586,   587,   588,   589,   590,     0,
     591,     0,   593,   594,   595,   596,     0,     0,   597,     0,
       0,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   625,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,     0,   243,   244,   245,
       0,     0,     0,     0,     0,     0,     0,   246,   247,   248,
       0,   249,   250,   251,   252,     0,   254,   255,   256,   257,
     258,     0,   260,   261,     0,   262,   263,   264,   265,   266,
     267,   268,     0,     0,   269,   270,   271,   272,   273,     0,
     274,   275,   276,   277,   278,     0,     0,     0,   280,   281,
     282,   283,   284,   285,     0,   287,   288,   289,     0,   290,
     291,   292,   293,   294,   295,     0,     0,   297,   298,   299,
       0,     0,     0,  2806,     0,     0,     0,   301,   302,   303,
     304,   305,   306,   307,   308,   309,     0,   310,     0,   311,
     312,   313,   314,   315,   316,   317,     0,   318,   319,   320,
     321,     0,     0,   322,   323,   324,   325,   326,     0,   327,
     328,   329,     0,   330,   331,   332,     0,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,   343,     0,
     344,   345,   346,   347,   348,     0,   349,     0,   350,     0,
       0,     0,   353,   354,   355,   356,     0,   357,   358,     0,
     359,   360,   361,     0,   362,   363,   364,   365,   366,     0,
     368,   369,   370,   371,     0,   372,   373,   374,   375,   376,
     377,   378,     0,   379,     0,   381,   382,   383,   384,   385,
     386,   387,     0,   388,     0,   389,     0,     0,   392,     0,
     394,   395,   396,   397,   398,     0,     0,   399,   400,     0,
     402,     0,     0,   404,   405,   406,     0,     0,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,     0,   441,     0,   442,   443,   444,   445,   446,
     447,     0,   448,   449,     0,   835,   450,   451,   452,     0,
       0,   453,   454,   455,     0,   457,     0,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,     0,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     0,   506,   507,
       0,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,     0,   535,
     536,   537,   538,     0,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,     0,
     554,   555,  2807,  2808,     0,   558,   559,   560,   561,   562,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,     0,   571,   572,   573,   574,   575,   576,   577,   578,
       0,     0,   579,   580,   581,   582,   583,     0,     0,   584,
     585,   586,   587,   588,   589,   590,     0,   591,     0,   593,
     594,   595,   596,     0,     0,   597,     0,     0,   598,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,   625,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   991,   243,   244,   245,     0,     0,     0,
       0,     0,     0,     0,   246,   247,   248,     0,   249,   250,
     251,   252,     0,   254,   255,   256,   257,   258,     0,   260,
     261,     0,   262,   263,   264,   265,   266,   267,   268,     0,
       0,   269,   270,   271,   272,   273,     0,   274,   275,   276,
     277,   278,     0,     0,     0,   280,   281,   282,   283,   284,
     285,     0,   287,   288,   289,     0,   290,   291,   292,   293,
     294,   295,     0,     0,   297,   298,   299,     0,     0,     0,
       0,     0,     0,     0,   301,   302,   303,   304,   305,   306,
     307,   308,   309,     0,   310,     0,   311,   312,   313,   314,
     315,   316,   317,     0,   318,   319,   320,   321,     0,     0,
     322,   323,   324,   325,   326,     0,   327,   328,   329,     0,
     330,   331,   332,     0,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,     0,   343,     0,   344,   345,   346,
     347,   348,     0,   349,     0,   350,     0,     0,     0,   353,
     354,   355,   356,     0,   357,   358,     0,   359,   360,   361,
       0,   362,   363,   364,   365,   992,     0,   368,   369,   370,
     371,     0,   372,   373,   374,   375,   376,   377,   378,     0,
     379,     0,   381,   382,   383,   384,   385,   386,   387,     0,
     388,     0,   389,     0,     0,   392,     0,   394,   395,   396,
     397,   398,     0,     0,   399,   400,     0,   402,     0,     0,
     404,   405,   406,     0,     0,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,     0,
     441,     0,   442,   443,   444,   445,   446,   447,     0,   448,
     449,     0,   835,   450,   451,   452,     0,     0,   453,   454,
     455,     0,   457,     0,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,     0,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     0,   506,   507,     0,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,     0,   535,   536,   537,   538,
       0,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,     0,   554,   555,     0,
     556,     0,   558,   559,   560,   561,   562,     0,   563,   564,
     565,     0,     0,   566,   567,   568,   569,   570,     0,   571,
     572,   573,   574,   575,   576,   577,   578,     0,     0,   579,
     580,   581,   582,   583,     0,     0,   584,   585,   586,   587,
     588,   589,   590,     0,   591,     0,   593,   594,   595,   596,
       0,     0,   597,     0,     0,   598,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   617,   625,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
    3514,   243,   244,   245,     0,     0,     0,     0,     0,     0,
       0,   246,   247,   248,     0,   249,   250,   251,   252,     0,
     254,   255,   256,   257,   258,     0,   260,   261,     0,   262,
     263,   264,   265,   266,   267,   268,     0,     0,   269,   270,
     271,   272,   273,     0,   274,   275,   276,   277,   278,     0,
       0,     0,   280,   281,   282,   283,   284,   285,     0,   287,
     288,   289,     0,   290,   291,   292,   293,   294,   295,     0,
       0,   297,   298,   299,     0,     0,     0,     0,     0,     0,
       0,   301,   302,   303,   304,   305,   306,   307,   308,   309,
       0,   310,     0,   311,   312,   313,   314,   315,   316,   317,
       0,   318,   319,   320,   321,     0,     0,   322,   323,   324,
     325,   326,     0,   327,   328,   329,     0,   330,   331,   332,
       0,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,     0,   344,   345,   346,   347,   348,     0,
     349,     0,   350,     0,     0,     0,   353,   354,   355,   356,
       0,   357,   358,     0,   359,   360,   361,     0,   362,   363,
     364,   365,   366,     0,   368,   369,   370,   371,     0,   372,
     373,   374,   375,   376,   377,   378,     0,   379,     0,   381,
     382,   383,   384,   385,   386,   387,     0,   388,     0,   389,
       0,     0,   392,     0,   394,   395,   396,   397,   398,     0,
       0,   399,   400,     0,   402,     0,     0,   404,   405,   406,
       0,     0,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,     0,   441,     0,   442,
     443,   444,   445,   446,   447,     0,   448,   449,     0,     0,
     450,   451,   452,     0,     0,   453,   454,   455,     0,   457,
       0,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,     0,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
       0,   524,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,     0,   535,   536,   537,   538,     0,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,     0,   554,   555,     0,   556,     0,   558,
     559,   560,   561,   562,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,     0,   571,   572,   573,   574,
     575,   576,   577,   578,     0,     0,   579,   580,   581,   582,
     583,  3515,     0,   584,   585,   586,   587,   588,   589,   590,
       0,   591,     0,   593,   594,   595,   596,     0,     0,   597,
       0,     0,   598,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,   625,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,  3527,   243,   244,
     245,     0,     0,     0,     0,     0,     0,     0,   246,   247,
     248,     0,   249,   250,   251,   252,     0,   254,   255,   256,
     257,   258,     0,   260,   261,     0,   262,   263,   264,   265,
     266,   267,   268,     0,     0,   269,   270,   271,   272,   273,
       0,   274,   275,   276,   277,   278,     0,     0,     0,   280,
     281,   282,   283,   284,   285,     0,   287,   288,   289,     0,
     290,   291,   292,   293,   294,   295,     0,     0,   297,   298,
     299,     0,     0,     0,     0,     0,     0,     0,   301,   302,
     303,   304,   305,   306,   307,   308,   309,     0,   310,     0,
     311,   312,   313,   314,   315,   316,   317,     0,   318,   319,
     320,   321,     0,     0,   322,   323,   324,   325,   326,     0,
     327,   328,   329,     0,   330,   331,   332,     0,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,     0,   343,
       0,   344,   345,   346,   347,   348,     0,   349,     0,   350,
       0,     0,     0,   353,   354,   355,   356,     0,   357,   358,
       0,   359,   360,   361,     0,   362,   363,   364,   365,   366,
       0,   368,   369,   370,   371,     0,   372,   373,   374,   375,
     376,   377,   378,     0,   379,     0,   381,   382,   383,   384,
     385,   386,   387,     0,   388,     0,   389,     0,     0,   392,
       0,   394,   395,   396,   397,   398,     0,     0,   399,   400,
       0,   402,     0,     0,   404,   405,   406,     0,     0,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,     0,   441,     0,   442,   443,   444,   445,
     446,   447,     0,   448,   449,     0,     0,   450,   451,   452,
       0,     0,   453,   454,   455,     0,   457,     0,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     0,   506,
     507,     0,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,     0,
     535,   536,   537,   538,     0,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
       0,   554,   555,     0,   556,     0,   558,   559,   560,   561,
     562,     0,   563,   564,   565,     0,     0,   566,   567,   568,
     569,   570,     0,   571,   572,   573,   574,   575,   576,   577,
     578,     0,     0,   579,   580,   581,   582,   583,  3528,     0,
     584,   585,   586,   587,   588,   589,   590,     0,   591,     0,
     593,   594,   595,   596,     0,     0,   597,     0,     0,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,   625,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   626,   243,   244,   245,     0,     0,
       0,     0,     0,     0,     0,   246,   247,   248,     0,   249,
     250,   251,   252,     0,   254,   255,   256,   257,   258,     0,
     260,   261,     0,   262,   263,   264,   265,   266,   267,   268,
       0,     0,   269,   270,   271,   272,   273,     0,   274,   275,
     276,   277,   278,     0,     0,     0,   280,   281,   282,   283,
     284,   285,     0,   287,   288,   289,     0,   290,   291,   292,
     293,   294,   295,     0,     0,   297,   298,   299,     0,     0,
       0,     0,     0,     0,     0,   301,   302,   303,   304,   305,
     306,   307,   308,   309,     0,   310,     0,   311,   312,   313,
     314,   315,   316,   317,     0,   318,   319,   320,   321,     0,
       0,   322,   323,   324,   325,   326,     0,   327,   328,   329,
       0,   330,   331,   332,     0,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,     0,   344,   345,
     346,   347,   348,     0,   349,     0,   350,     0,     0,     0,
     353,   354,   355,   356,     0,   357,   358,     0,   359,   360,
     361,     0,   362,   363,   364,   365,   366,     0,   368,   369,
     370,   371,     0,   372,   373,   374,   375,   376,   377,   378,
       0,   379,     0,   381,   382,   383,   384,   385,   386,   387,
       0,   388,     0,   389,     0,     0,   392,     0,   394,   395,
     396,   397,   398,     0,     0,   399,   400,     0,   402,     0,
       0,   404,   405,   406,     0,     0,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
       0,   441,     0,   442,   443,   444,   445,   446,   447,     0,
     448,   449,     0,     0,   450,   451,   452,     0,     0,   453,
     454,   455,     0,   457,     0,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,     0,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     0,   506,   507,     0,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,     0,   524,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,     0,   535,   536,   537,
     538,     0,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,     0,   554,   555,
       0,   556,     0,   558,   559,   560,   561,   562,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,     0,
     571,   572,   573,   574,   575,   576,   577,   578,     0,     0,
     579,   580,   581,   582,   583,     0,     0,   584,   585,   586,
     587,   588,   589,   590,     0,   591,     0,   593,   594,   595,
     596,     0,     0,   597,     0,     0,   598,   599,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,   625,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   675,   243,   244,   245,     0,     0,     0,     0,     0,
       0,     0,   246,   247,   248,     0,   249,   250,   251,   252,
       0,   254,   255,   256,   257,   258,     0,   260,   261,     0,
     262,   263,   264,   265,   266,   267,   268,     0,     0,   269,
     270,   271,   272,   273,     0,   274,   275,   276,   277,   278,
       0,     0,     0,   280,   281,   282,   283,   284,   285,     0,
     287,   288,   289,     0,   290,   291,   292,   293,   294,   295,
       0,     0,   297,   298,   299,     0,     0,     0,     0,     0,
       0,     0,   301,   302,   303,   304,   305,   306,   307,   308,
     309,     0,   310,     0,   311,   312,   313,   314,   315,   316,
     317,     0,   318,   319,   320,   321,     0,     0,   322,   323,
     324,   325,   326,     0,   327,   328,   329,     0,   330,   331,
     332,     0,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,     0,   343,     0,   344,   345,   346,   347,   348,
       0,   349,     0,   350,     0,     0,     0,   353,   354,   355,
     356,     0,   357,   358,     0,   359,   360,   361,     0,   362,
     363,   364,   365,   366,     0,   368,   369,   370,   371,     0,
     372,   373,   374,   375,   376,   377,   378,     0,   379,     0,
     381,   382,   383,   384,   385,   386,   387,     0,   388,     0,
     389,     0,     0,   392,     0,   394,   395,   396,   397,   398,
       0,     0,   399,   400,     0,   402,     0,     0,   404,   405,
     406,     0,     0,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,     0,   441,     0,
     442,   443,   444,   445,   446,   447,     0,   448,   449,     0,
       0,   450,   451,   452,     0,     0,   453,   454,   455,     0,
     457,     0,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     676,   477,     0,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     0,   506,   507,     0,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,     0,   535,   536,   537,   538,     0,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,     0,   554,   555,     0,   556,     0,
     558,   559,   560,   561,   562,     0,   563,   564,   565,     0,
       0,   566,   567,   568,   569,   570,     0,   571,   572,   573,
     574,   575,   576,   577,   578,     0,     0,   579,   580,   581,
     582,   583,     0,     0,   584,   585,   586,   587,   588,   589,
     590,     0,   591,     0,   593,   594,   595,   596,     0,     0,
     597,     0,     0,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   625,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   795,   243,
     244,   245,     0,     0,     0,     0,     0,     0,     0,   246,
     247,   248,     0,   249,   250,   251,   252,     0,   254,   255,
     256,   257,   258,     0,   260,   261,     0,   262,   263,   264,
     265,   266,   267,   268,     0,     0,   269,   270,   271,   272,
     273,     0,   274,   275,   276,   277,   278,     0,     0,     0,
     280,   281,   282,   283,   284,   285,     0,   287,   288,   289,
       0,   290,   291,   292,   293,   294,   295,     0,     0,   297,
     298,   299,     0,     0,     0,     0,     0,     0,     0,   301,
     302,   303,   304,   305,   306,   307,   308,   309,     0,   310,
       0,   311,   312,   313,   314,   315,   316,   317,     0,   318,
     319,   320,   321,     0,     0,   322,   323,   324,   325,   326,
       0,   327,   328,   329,     0,   330,   331,   332,     0,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,     0,   344,   345,   346,   347,   348,     0,   349,     0,
     350,     0,     0,     0,   353,   354,   355,   356,     0,   357,
     358,     0,   359,   360,   361,     0,   362,   363,   364,   365,
     366,     0,   368,   369,   370,   371,     0,   372,   373,   374,
     375,   376,   377,   378,     0,   379,     0,   381,   382,   383,
     384,   385,   386,   387,     0,   388,     0,   389,     0,     0,
     392,     0,   394,   395,   396,   397,   398,     0,     0,   399,
     400,     0,   402,     0,     0,   404,   405,   406,     0,     0,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,     0,   441,     0,   442,   443,   444,
     445,   446,   447,     0,   448,   449,     0,     0,   450,   451,
     452,     0,     0,   453,   454,   455,     0,   457,     0,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,     0,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,     0,   524,
     525,   526,   527,   796,     0,   529,   530,   531,   532,   533,
       0,   535,   536,   537,   538,     0,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,     0,   554,   555,     0,   556,     0,   558,   559,   560,
     561,   562,     0,   563,   797,   565,     0,     0,   798,   567,
     568,   569,   570,     0,   571,   572,   573,   574,   575,   576,
     577,   578,     0,     0,   579,   580,   581,   582,   583,     0,
       0,   584,   585,   586,   587,   588,   589,   590,     0,   591,
       0,   593,   594,   595,   596,     0,     0,   597,     0,     0,
     598,   599,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
     625,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   829,   243,   244,   245,     0,
       0,     0,     0,     0,     0,     0,   246,   247,   248,     0,
     249,   250,   251,   252,     0,   254,   255,   256,   257,   258,
       0,   260,   261,     0,   262,   263,   264,   265,   266,   267,
     268,     0,     0,   269,   270,   271,   272,   273,     0,   274,
     275,   276,   277,   278,     0,     0,     0,   280,   281,   282,
     283,   284,   285,     0,   287,   288,   289,     0,   290,   291,
     292,   293,   294,   295,     0,     0,   297,   298,   299,     0,
       0,     0,     0,     0,     0,     0,   301,   302,   303,   304,
     305,   306,   307,   308,   309,     0,   310,     0,   311,   312,
     313,   314,   315,   316,   317,     0,   318,   319,   320,   321,
       0,     0,   322,   323,   324,   325,   326,     0,   327,   328,
     329,     0,   330,   331,   332,     0,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,     0,   343,     0,   344,
     345,   346,   347,   348,     0,   349,     0,   350,     0,     0,
       0,   353,   354,   355,   356,     0,   357,   358,     0,   359,
     360,   361,     0,   362,   363,   364,   365,   366,     0,   368,
     369,   370,   371,     0,   372,   373,   374,   375,   376,   377,
     378,     0,   379,     0,   381,   382,   383,   384,   385,   386,
     387,     0,   388,     0,   389,     0,     0,   392,     0,   394,
     395,   396,   397,   398,     0,     0,   399,   400,     0,   402,
       0,     0,   404,   405,   406,     0,     0,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,     0,   441,     0,   442,   443,   444,   445,   446,   447,
       0,   448,   449,     0,     0,   450,   451,   452,     0,     0,
     453,   454,   455,     0,   457,     0,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     0,   506,   507,     0,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,     0,   524,   525,   526,   527,
     830,     0,   529,   530,   531,   532,   533,     0,   535,   536,
     537,   538,     0,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,     0,   554,
     555,     0,   556,     0,   558,   559,   560,   561,   562,     0,
     563,   831,   565,     0,     0,   832,   567,   568,   569,   570,
       0,   571,   572,   573,   574,   575,   576,   577,   578,     0,
       0,   579,   580,   581,   582,   583,     0,     0,   584,   585,
     586,   587,   588,   589,   590,     0,   591,     0,   593,   594,
     595,   596,     0,     0,   597,     0,     0,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   617,   625,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,     0,   243,   244,   245,     0,     0,     0,     0,
       0,     0,     0,   246,   247,   248,     0,   249,   250,   251,
     252,     0,   254,   255,   256,   257,   258,     0,   260,   261,
       0,   262,   263,   264,   265,   266,   267,   268,     0,     0,
     269,   270,   271,   272,   273,     0,   274,   275,   276,   277,
     278,     0,     0,     0,   280,   281,   282,   283,   284,   285,
       0,   287,   288,   289,     0,   290,   291,   292,   293,   294,
     295,     0,     0,   297,   298,   299,     0,     0,     0,     0,
       0,     0,     0,   301,   302,   303,   304,   305,   306,   307,
     308,   309,     0,   310,     0,   311,   312,   313,   314,   315,
     316,   317,     0,   318,   319,   320,   321,     0,     0,   322,
     323,   324,   325,   326,     0,   327,   328,   329,     0,   330,
     331,   332,     0,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,     0,   344,   345,   346,   347,
     348,     0,   349,     0,   350,     0,     0,     0,   353,   354,
     355,   356,     0,   357,   358,     0,   359,   360,   361,     0,
     362,   363,   364,   365,   366,     0,   368,   369,   370,   371,
       0,   372,   373,   374,   375,   376,   377,   378,     0,   379,
       0,   381,   382,   383,   384,   385,   386,   387,     0,   388,
       0,   389,     0,     0,   392,     0,   394,   395,   396,   397,
     398,     0,     0,   399,   400,     0,   402,     0,     0,   404,
     405,   406,     0,     0,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,     0,   441,
       0,   442,   443,   444,   445,   446,   447,     0,   448,   449,
       0,   835,   450,   451,   452,     0,     0,   453,   454,   455,
       0,   457,     0,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,     0,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     0,   506,   507,     0,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,     0,   524,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,     0,   535,   536,   537,   538,     0,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,     0,   554,   555,     0,   556,
       0,   558,   559,   560,   561,   562,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,     0,   571,   572,
     573,   574,   575,   576,   577,   578,     0,     0,   579,   580,
     581,   582,   583,     0,     0,   584,   585,   586,   587,   588,
     589,   590,     0,   591,     0,   593,   594,   595,   596,     0,
       0,   597,     0,     0,   598,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   625,     0,     0,     0,     0,     0,
       0,     0,     0,   893,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,     0,
     243,   244,   245,     0,     0,     0,     0,     0,     0,     0,
     246,   247,   248,     0,   249,   250,   251,   252,     0,   254,
     255,   256,   257,   258,     0,   260,   261,     0,   262,   263,
     264,   265,   266,   267,   268,     0,     0,   269,   270,   271,
     272,   273,     0,   274,   275,   276,   277,   278,     0,     0,
       0,   280,   281,   282,   283,   284,   285,     0,   287,   288,
     289,     0,   290,   291,   292,   293,   294,   295,     0,     0,
     297,   298,   299,     0,     0,     0,     0,     0,     0,     0,
     301,   302,   303,   304,   305,   306,   307,   308,   309,     0,
     310,     0,   311,   312,   313,   314,   315,   316,   317,     0,
     318,   319,   320,   321,     0,     0,   322,   323,   324,   325,
     326,     0,   327,   328,   329,     0,   330,   331,   332,     0,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
       0,   343,     0,   344,   345,   346,   347,   348,     0,   349,
       0,   350,     0,     0,     0,   353,   354,   355,   356,     0,
     357,   358,     0,   359,   360,   361,     0,   362,   363,   364,
     365,   366,     0,   368,   369,   370,   371,     0,   372,   373,
     374,   375,   376,   377,   378,     0,   379,     0,   381,   382,
     383,   384,   385,   386,   387,     0,   388,     0,   389,     0,
       0,   392,     0,   394,   395,   396,   397,   398,     0,     0,
     399,   400,     0,   402,     0,     0,   404,   405,   406,     0,
       0,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,     0,   441,     0,   442,   443,
     444,   445,   446,   447,     0,   448,   449,     0,     0,   450,
     451,   452,     0,     0,   453,   454,   455,     0,   457,     0,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,     0,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,     0,   535,   536,   537,   538,     0,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,     0,   554,   555,     0,   556,     0,   558,   559,
     560,   561,   562,     0,   563,   564,   565,     0,     0,   566,
     567,   568,   569,   570,     0,   571,   572,   573,   574,   575,
     576,   577,   578,     0,     0,   579,   580,   581,   582,   583,
       0,     0,   584,   585,   586,   587,   588,   589,   590,     0,
     591,     0,   593,   594,   595,   596,     0,     0,   597,     0,
       0,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   625,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   948,   243,   244,   245,
       0,     0,     0,     0,     0,     0,     0,   246,   247,   248,
       0,   249,   250,   251,   252,     0,   254,   255,   256,   257,
     258,     0,   260,   261,     0,   262,   263,   264,   265,   266,
     267,   268,     0,     0,   269,   270,   271,   272,   273,     0,
     274,   275,   276,   277,   278,     0,     0,     0,   280,   281,
     282,   283,   284,   285,     0,   287,   288,   289,     0,   290,
     291,   292,   293,   294,   295,     0,     0,   297,   298,   299,
       0,     0,     0,     0,     0,     0,     0,   301,   302,   303,
     304,   305,   306,   307,   308,   309,     0,   310,     0,   311,
     312,   313,   314,   315,   316,   317,     0,   318,   319,   320,
     321,     0,     0,   322,   323,   324,   325,   326,     0,   327,
     328,   329,     0,   330,   331,   332,     0,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,   343,     0,
     344,   345,   346,   347,   348,     0,   349,     0,   350,     0,
       0,     0,   353,   354,   355,   356,     0,   357,   358,     0,
     359,   360,   361,     0,   362,   363,   364,   365,   949,     0,
     368,   369,   370,   371,     0,   372,   373,   374,   375,   376,
     377,   378,     0,   379,     0,   381,   382,   383,   384,   385,
     386,   387,     0,   388,     0,   389,     0,     0,   392,     0,
     394,   395,   396,   397,   398,     0,     0,   399,   400,     0,
     402,     0,     0,   404,   405,   406,     0,     0,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,     0,   441,     0,   442,   443,   444,   445,   446,
     447,     0,   448,   449,     0,     0,   450,   451,   452,     0,
       0,   453,   454,   455,     0,   457,     0,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,     0,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     0,   506,   507,
       0,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,     0,   535,
     536,   537,   538,     0,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,     0,
     554,   555,     0,   556,     0,   558,   559,   560,   561,   562,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,     0,   571,   572,   573,   574,   575,   576,   577,   578,
       0,     0,   579,   580,   581,   582,   583,     0,     0,   584,
     585,   586,   587,   588,   589,   590,     0,   591,     0,   593,
     594,   595,   596,     0,     0,   597,     0,     0,   598,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,   625,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,  1109,   243,   244,   245,     0,     0,     0,
       0,     0,     0,     0,   246,   247,   248,     0,   249,   250,
     251,   252,     0,   254,   255,   256,   257,   258,     0,   260,
     261,     0,   262,   263,   264,   265,   266,   267,   268,     0,
       0,   269,   270,   271,   272,   273,     0,   274,   275,   276,
     277,   278,     0,     0,     0,   280,   281,   282,   283,   284,
     285,     0,   287,   288,   289,     0,   290,   291,   292,   293,
     294,   295,     0,     0,   297,   298,   299,     0,     0,     0,
       0,     0,     0,     0,   301,   302,   303,   304,   305,   306,
     307,   308,   309,     0,   310,     0,   311,   312,   313,   314,
     315,   316,   317,     0,   318,   319,   320,   321,     0,     0,
     322,   323,   324,   325,   326,     0,   327,   328,   329,     0,
     330,   331,   332,     0,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,     0,   343,     0,   344,   345,   346,
     347,   348,     0,   349,     0,   350,     0,     0,     0,   353,
     354,   355,   356,     0,   357,   358,     0,   359,   360,   361,
       0,   362,   363,   364,   365,   366,     0,   368,   369,   370,
     371,     0,   372,   373,   374,   375,   376,   377,   378,     0,
     379,     0,   381,   382,   383,   384,   385,   386,   387,     0,
     388,     0,   389,     0,     0,   392,     0,   394,   395,   396,
     397,   398,     0,     0,   399,   400,     0,   402,     0,     0,
     404,   405,   406,     0,     0,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,     0,
     441,     0,   442,   443,   444,   445,   446,   447,     0,   448,
     449,     0,     0,   450,   451,   452,     0,     0,   453,   454,
     455,     0,   457,     0,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,     0,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     0,   506,   507,     0,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,     0,   535,   536,   537,   538,
       0,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,     0,   554,   555,     0,
     556,     0,   558,   559,   560,   561,   562,     0,   563,   564,
     565,     0,     0,   566,   567,   568,   569,   570,     0,   571,
     572,   573,   574,   575,   576,   577,   578,     0,     0,   579,
     580,   581,   582,   583,     0,     0,   584,   585,   586,   587,
     588,   589,   590,     0,   591,     0,   593,   594,   595,   596,
       0,     0,   597,     0,     0,   598,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   617,   625,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
    1341,   243,   244,   245,     0,     0,     0,     0,     0,     0,
       0,   246,   247,   248,     0,   249,   250,   251,   252,     0,
     254,   255,   256,   257,   258,     0,   260,   261,     0,   262,
     263,   264,   265,   266,   267,   268,     0,     0,   269,   270,
     271,   272,   273,     0,   274,   275,   276,   277,   278,     0,
       0,     0,   280,   281,   282,   283,   284,   285,     0,   287,
     288,   289,     0,   290,   291,   292,   293,   294,   295,     0,
       0,   297,   298,   299,     0,     0,     0,     0,     0,     0,
       0,   301,   302,   303,   304,   305,   306,   307,   308,   309,
       0,   310,     0,   311,   312,   313,   314,   315,   316,   317,
       0,   318,   319,   320,   321,     0,     0,   322,   323,   324,
     325,   326,     0,   327,   328,   329,     0,   330,   331,   332,
       0,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,     0,   344,   345,   346,   347,   348,     0,
     349,     0,   350,     0,     0,     0,   353,   354,   355,   356,
       0,   357,   358,     0,   359,   360,   361,     0,   362,   363,
     364,   365,   366,     0,   368,   369,   370,   371,     0,   372,
     373,   374,   375,   376,   377,   378,     0,   379,     0,   381,
     382,   383,   384,   385,   386,   387,     0,   388,     0,   389,
       0,     0,   392,     0,   394,   395,   396,   397,   398,     0,
       0,   399,   400,     0,   402,     0,     0,   404,   405,   406,
       0,     0,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,     0,   441,     0,   442,
     443,   444,   445,   446,   447,     0,   448,   449,     0,     0,
     450,   451,   452,     0,     0,   453,   454,   455,     0,   457,
       0,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,     0,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
       0,   524,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,     0,   535,   536,   537,   538,     0,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,     0,   554,   555,     0,   556,     0,   558,
     559,   560,   561,   562,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,     0,   571,   572,   573,   574,
     575,   576,   577,   578,     0,     0,   579,   580,   581,   582,
     583,     0,     0,   584,   585,   586,   587,   588,   589,   590,
       0,   591,     0,   593,   594,   595,   596,     0,     0,   597,
       0,     0,   598,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,   625,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,     0,   243,   244,
     245,     0,     0,     0,     0,     0,     0,     0,   246,   247,
     248,     0,   249,   250,   251,   252,  1352,   254,   255,   256,
     257,   258,     0,   260,   261,     0,   262,   263,   264,   265,
     266,   267,   268,     0,     0,   815,   270,   271,   272,  1353,
       0,   274,   275,   276,   277,   278,     0,     0,     0,   280,
     281,   282,   283,   284,   285,     0,   287,   288,   289,     0,
     290,   291,   292,   293,   294,   295,     0,     0,   297,   298,
     299,     0,     0,     0,     0,     0,     0,     0,   301,   302,
     303,   304,   305,   306,   307,   308,   309,     0,   310,     0,
     311,   312,   313,   314,   315,   316,   317,     0,   318,   319,
     320,   321,     0,     0,   322,   323,   324,   325,   326,     0,
     327,   328,   329,     0,   330,   331,   332,     0,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,     0,   343,
       0,   344,   345,   346,   347,   348,     0,   349,     0,   350,
       0,     0,     0,   353,   354,   355,   356,     0,   357,   358,
       0,   359,   360,   361,     0,   362,   363,   364,   365,   366,
       0,   368,   369,   370,   371,     0,   372,   373,   374,   375,
     376,   377,   378,     0,   379,     0,   381,   382,   383,   384,
     385,   386,   387,     0,   388,     0,   389,     0,     0,   392,
       0,   394,   395,   396,   397,   398,     0,     0,   399,   400,
       0,   402,     0,     0,   404,   405,   406,     0,     0,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   818,   425,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,     0,   441,     0,   442,   443,   444,   445,
     446,   447,     0,   448,   449,     0,     0,   450,   451,   452,
       0,     0,   453,   454,   455,     0,   457,     0,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     0,   506,
     507,     0,   819,   510,   511,   512,   513,   514,   515,   516,
     517,   820,   519,   520,   521,   522,   523,     0,   524,   525,
     526,   527,  1345,     0,   529,   530,   531,   532,   533,     0,
     535,   536,   537,   538,     0,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
       0,   554,   555,     0,   556,     0,   558,   559,   560,   561,
     562,     0,   563,   822,   565,     0,     0,   823,   567,   568,
     569,   570,     0,   571,   572,   573,   574,   575,   576,   577,
     578,     0,     0,   579,   580,   581,   582,   583,     0,     0,
     584,   585,   586,   587,   588,   589,   590,     0,   591,     0,
     593,   594,   595,   596,     0,     0,   597,     0,     0,   598,
     599,   600,   601,   602,   824,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,   625,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,     0,   243,   244,   245,     0,     0,
       0,     0,     0,     0,     0,   246,   247,   248,     0,   249,
     250,   251,   252,     0,   254,   255,   256,   257,   258,     0,
     260,   261,     0,   262,   263,   264,   265,   266,   267,   268,
       0,     0,   269,   270,   271,   272,   273,     0,   274,   275,
     276,   277,   278,     0,     0,     0,   280,   281,   282,   283,
     284,   285,     0,   287,   288,   289,     0,   290,   291,   292,
     293,   294,   295,     0,     0,   297,   298,   299,     0,     0,
       0,     0,     0,     0,     0,   301,   302,   303,   304,   305,
     306,   307,   308,   309,     0,   310,     0,   311,   312,   313,
     314,   315,   316,   317,     0,   318,   319,   320,   321,     0,
       0,   322,   323,   324,   325,   326,     0,   327,   328,   329,
       0,   330,   331,   332,     0,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,     0,   344,   345,
     346,   347,   348,     0,   349,     0,   350,     0,     0,     0,
     353,   354,   355,   356,     0,   357,   358,     0,   359,   360,
     361,     0,   362,   363,   364,   365,  1498,     0,   368,   369,
     370,   371,     0,   372,   373,   374,   375,   376,   377,   378,
       0,   379,     0,   381,   382,   383,   384,   385,   386,   387,
       0,   388,     0,   389,     0,     0,   392,     0,   394,   395,
     396,   397,   398,     0,     0,   399,   400,     0,   402,     0,
       0,   404,   405,   406,     0,     0,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
       0,   441,     0,   442,   443,   444,   445,   446,   447,     0,
     448,   449,     0,   835,   450,   451,   452,     0,     0,   453,
     454,   455,     0,   457,     0,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,     0,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     0,   506,   507,     0,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,     0,   524,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,     0,   535,   536,   537,
     538,     0,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,     0,   554,   555,
       0,   556,     0,   558,   559,   560,   561,   562,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,     0,
     571,   572,   573,   574,   575,   576,   577,   578,     0,     0,
     579,   580,   581,   582,   583,     0,     0,   584,   585,   586,
     587,   588,   589,   590,     0,   591,     0,   593,   594,   595,
     596,     0,     0,   597,     0,     0,   598,   599,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,   625,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,  1559,   243,   244,   245,     0,     0,     0,     0,     0,
       0,     0,   246,   247,   248,     0,   249,   250,   251,   252,
       0,   254,   255,   256,   257,   258,     0,   260,   261,     0,
     262,   263,   264,   265,   266,   267,   268,     0,     0,   269,
     270,   271,   272,   273,     0,   274,   275,   276,   277,   278,
       0,     0,     0,   280,   281,   282,   283,   284,   285,     0,
     287,   288,   289,     0,   290,   291,   292,   293,   294,   295,
       0,     0,   297,   298,   299,     0,     0,     0,     0,     0,
       0,     0,   301,   302,   303,   304,   305,   306,   307,   308,
     309,     0,   310,     0,   311,   312,   313,   314,   315,   316,
     317,     0,   318,   319,   320,   321,     0,     0,   322,   323,
     324,   325,   326,     0,   327,   328,   329,     0,   330,   331,
     332,     0,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,     0,   343,     0,   344,   345,   346,   347,   348,
       0,   349,     0,   350,     0,     0,     0,   353,   354,   355,
     356,     0,   357,   358,     0,   359,   360,   361,     0,   362,
     363,   364,   365,  1560,     0,   368,   369,   370,   371,     0,
     372,   373,   374,   375,   376,   377,   378,     0,   379,     0,
     381,   382,   383,   384,   385,   386,   387,     0,   388,     0,
     389,     0,     0,   392,     0,   394,   395,   396,   397,   398,
       0,     0,   399,   400,     0,   402,     0,     0,   404,   405,
     406,     0,     0,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,     0,   441,     0,
     442,   443,   444,   445,   446,   447,     0,   448,   449,     0,
       0,   450,   451,   452,     0,     0,   453,   454,   455,     0,
     457,     0,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,     0,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     0,   506,   507,     0,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,     0,   535,   536,   537,   538,     0,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,     0,   554,   555,     0,   556,     0,
     558,   559,   560,   561,   562,     0,   563,   564,   565,     0,
       0,   566,   567,   568,   569,   570,     0,   571,   572,   573,
     574,   575,   576,   577,   578,     0,     0,   579,   580,   581,
     582,   583,     0,     0,   584,   585,   586,   587,   588,   589,
     590,     0,   591,     0,   593,   594,   595,   596,     0,     0,
     597,     0,     0,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   625,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   795,   243,
     244,   245,     0,     0,     0,     0,     0,     0,     0,   246,
     247,   248,     0,   249,   250,   251,   252,     0,   254,   255,
     256,   257,   258,     0,   260,   261,     0,   262,   263,   264,
     265,   266,   267,   268,     0,     0,   269,   270,   271,   272,
     273,     0,   274,   275,   276,   277,   278,     0,     0,     0,
     280,   281,   282,   283,   284,   285,     0,   287,   288,   289,
       0,   290,   291,   292,   293,   294,   295,     0,     0,   297,
     298,   299,     0,     0,     0,     0,     0,     0,     0,   301,
     302,   303,   304,   305,   306,   307,   308,   309,     0,   310,
       0,   311,   312,   313,   314,   315,   316,   317,     0,   318,
     319,   320,   321,     0,     0,   322,   323,   324,   325,   326,
       0,   327,   328,   329,     0,   330,   331,   332,     0,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,     0,   344,   345,   346,   347,   348,     0,   349,     0,
     350,     0,     0,     0,   353,   354,   355,   356,     0,   357,
     358,     0,   359,   360,   361,     0,   362,   363,   364,   365,
     366,     0,   368,   369,   370,   371,     0,   372,   373,   374,
     375,   376,   377,   378,     0,   379,     0,   381,   382,   383,
     384,   385,   386,   387,     0,   388,     0,   389,     0,     0,
     392,     0,   394,   395,   396,   397,   398,     0,     0,   399,
     400,     0,   402,     0,     0,   404,   405,   406,     0,     0,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,     0,   441,     0,   442,   443,   444,
     445,   446,   447,     0,   448,   449,     0,     0,   450,   451,
     452,     0,     0,   453,   454,   455,     0,   457,     0,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,     0,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,     0,   524,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
       0,   535,   536,   537,   538,     0,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,     0,   554,   555,     0,   556,     0,   558,   559,   560,
     561,   562,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,     0,   571,   572,   573,   574,   575,   576,
     577,   578,     0,     0,   579,   580,   581,   582,   583,     0,
       0,   584,   585,   586,   587,   588,   589,   590,     0,   591,
       0,   593,   594,   595,   596,     0,     0,   597,     0,     0,
     598,   599,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
     625,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,     0,   243,   244,   245,     0,
       0,     0,     0,     0,     0,     0,   246,   247,   248,     0,
     249,   250,   251,   252,     0,   254,   255,   256,   257,   258,
       0,   260,   261,     0,   262,   263,   264,   265,   266,   267,
     268,     0,     0,   269,   270,   271,   272,   273,     0,   274,
     275,   276,   277,   278,     0,     0,     0,   280,   281,   282,
     283,   284,   285,     0,   287,   288,   289,     0,   290,   291,
     292,   293,   294,   295,     0,     0,   297,   298,   299,     0,
       0,     0,     0,     0,     0,     0,   301,   302,   303,   304,
     305,   306,   307,   308,   309,     0,   310,     0,   311,   312,
     313,   314,   315,   316,   317,     0,   318,   319,   320,   321,
       0,     0,   322,   323,   324,   325,   326,     0,   327,   328,
     329,     0,   330,   331,   332,     0,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,     0,   343,     0,   344,
     345,   346,   347,   348,     0,   349,     0,   350,     0,     0,
       0,   353,   354,   355,  3286,     0,   357,   358,     0,   359,
     360,   361,     0,   362,   363,   364,   365,   366,     0,   368,
     369,   370,   371,     0,   372,   373,   374,   375,   376,   377,
     378,     0,   379,     0,   381,   382,   383,   384,   385,   386,
     387,     0,   388,     0,   389,     0,     0,   392,     0,   394,
     395,   396,   397,   398,     0,     0,   399,   400,     0,   402,
       0,     0,   404,   405,  3287,     0,     0,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,     0,   441,     0,   442,   443,   444,   445,   446,   447,
       0,   448,   449,     0,     0,   450,   451,   452,     0,     0,
     453,   454,   455,     0,   457,     0,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     0,   506,   507,     0,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,     0,   524,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,     0,   535,   536,
     537,   538,     0,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,     0,   554,
     555,  3288,   556,     0,   558,  3289,   560,  3290,   562,     0,
     563,   564,   565,     0,     0,   566,   567,   568,   569,   570,
       0,   571,   572,   573,   574,   575,   576,   577,   578,     0,
       0,   579,   580,  3291,   582,   583,     0,     0,   584,   585,
     586,   587,   588,   589,   590,     0,   591,     0,   593,   594,
     595,   596,     0,     0,   597,     0,     0,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   617,   625,     0,     0,
     684,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,     0,   243,   244,   245,     0,     0,     0,     0,
       0,     0,     0,   246,   247,   248,     0,   249,   250,   251,
     252,     0,   254,   255,   256,   257,   258,     0,   260,   261,
       0,   262,   263,   264,   265,   266,   267,   268,     0,     0,
     269,   270,   271,   272,   273,     0,   274,   275,   276,   277,
     278,     0,     0,     0,   280,   281,   282,   283,   284,   285,
       0,   287,   288,   289,     0,   290,   291,   292,   293,   294,
     295,     0,     0,   297,   298,   299,     0,     0,     0,     0,
       0,     0,     0,   301,   302,   303,   304,   305,   306,   307,
     308,   309,     0,   310,     0,   311,   312,   313,   314,   315,
     316,   317,     0,   318,   319,   320,   321,     0,     0,   322,
     323,   324,   325,   326,     0,   327,   328,   329,     0,   330,
     331,   332,     0,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,     0,   344,   345,   346,   347,
     348,     0,   349,     0,   350,     0,     0,     0,   353,   354,
     355,   356,     0,   357,   358,     0,   359,   360,   361,     0,
     362,   363,   364,   365,   366,     0,   368,   369,   370,   371,
       0,   372,   373,   374,   375,   376,   377,   378,     0,   379,
       0,   381,   382,   383,   384,   385,   386,   387,     0,   388,
       0,   389,     0,     0,   392,     0,   394,   395,   396,   397,
     398,     0,     0,   399,   400,     0,   402,     0,     0,   404,
     405,   406,     0,     0,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,     0,   441,
       0,   442,   443,   444,   445,   446,   447,     0,   448,   449,
       0,     0,   450,   451,   452,     0,     0,   453,   454,   455,
       0,   457,     0,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,     0,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     0,   506,   507,     0,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,     0,   524,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,     0,   535,   536,   537,   538,     0,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,     0,   554,   555,     0,   556,
       0,   558,   559,   560,   561,   562,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,     0,   571,   572,
     573,   574,   575,   576,   577,   578,     0,     0,   579,   580,
     581,   582,   583,     0,     0,   584,   585,   586,   587,   588,
     589,   590,     0,   591,     0,   593,   594,   595,   596,     0,
       0,   597,     0,     0,   598,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   625,     0,     0,     0,     0,     0,
       0,     0,   745,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,     0,
     243,   244,   245,     0,     0,     0,     0,     0,     0,     0,
     246,   247,   248,     0,   249,   250,   251,   252,     0,   254,
     255,   256,   257,   258,     0,   260,   261,     0,   262,   263,
     264,   265,   266,   267,   268,     0,     0,   269,   270,   271,
     272,   273,     0,   274,   275,   276,   277,   278,     0,     0,
       0,   280,   281,   282,   283,   284,   285,     0,   287,   288,
     289,     0,   290,   291,   292,   293,   294,   295,     0,     0,
     297,   298,   299,     0,     0,     0,     0,     0,     0,     0,
     301,   302,   303,   304,   305,   306,   307,   308,   309,     0,
     310,     0,   311,   312,   313,   314,   315,   316,   317,     0,
     318,   319,   320,   321,     0,     0,   322,   323,   324,   325,
     326,     0,   327,   328,   329,     0,   330,   331,   332,     0,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
       0,   343,     0,   344,   345,   346,   347,   348,     0,   349,
       0,   350,     0,     0,     0,   353,   354,   355,   356,     0,
     357,   358,     0,   359,   360,   361,     0,   362,   363,   364,
     365,   366,     0,   368,   369,   370,   371,     0,   372,   373,
     374,   375,   376,   377,   378,     0,   379,     0,   381,   382,
     383,   384,   385,   386,   387,     0,   388,     0,   389,     0,
       0,   392,     0,   394,   395,   396,   397,   398,     0,     0,
     399,   400,     0,   402,     0,     0,   404,   405,   406,     0,
       0,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,     0,   441,     0,   442,   443,
     444,   445,   446,   447,     0,   448,   449,     0,     0,   450,
     451,   452,     0,     0,   453,   454,   455,     0,   457,     0,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,     0,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,     0,   535,   536,   537,   538,     0,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,     0,   554,   555,     0,   556,     0,   558,   559,
     560,   561,   562,     0,   563,   564,   565,     0,     0,   566,
     567,   568,   569,   570,     0,   571,   572,   573,   574,   575,
     576,   577,   578,     0,     0,   579,   580,   581,   582,   583,
       0,     0,   584,   585,   586,   587,   588,   589,   590,     0,
     591,     0,   593,   594,   595,   596,     0,     0,   597,     0,
       0,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   625,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,     0,   243,   244,   245,
       0,     0,     0,     0,     0,  4063,     0,   246,   247,   248,
       0,   249,   250,   251,   252,     0,   254,   255,   256,   257,
     258,     0,   260,   261,     0,   262,   263,   264,   265,   266,
     267,   268,     0,     0,   269,   270,   271,   272,   273,     0,
     274,   275,   276,   277,   278,     0,     0,     0,   280,   281,
     282,   283,   284,   285,     0,   287,   288,   289,     0,   290,
     291,   292,   293,   294,   295,     0,     0,   297,   298,   299,
       0,     0,     0,     0,     0,     0,     0,   301,   302,   303,
     304,   305,   306,   307,   308,   309,     0,   310,     0,   311,
     312,   313,   314,   315,   316,   317,     0,   318,   319,   320,
     321,     0,     0,   322,   323,   324,   325,   326,     0,   327,
     328,   329,     0,   330,   331,   332,     0,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,   343,     0,
     344,   345,   346,   347,   348,     0,   349,     0,   350,     0,
       0,     0,   353,   354,   355,   356,     0,   357,   358,     0,
     359,   360,   361,     0,   362,   363,   364,   365,   366,     0,
     368,   369,   370,   371,     0,   372,   373,   374,   375,   376,
     377,   378,     0,   379,     0,   381,   382,   383,   384,   385,
     386,   387,     0,   388,     0,   389,     0,     0,   392,     0,
     394,   395,   396,   397,   398,     0,     0,   399,   400,     0,
     402,     0,     0,   404,   405,   406,     0,     0,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,     0,   441,     0,   442,   443,   444,   445,   446,
     447,     0,   448,   449,     0,     0,   450,   451,   452,     0,
       0,   453,   454,   455,     0,   457,     0,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,     0,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     0,   506,   507,
       0,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,     0,   535,
     536,   537,   538,     0,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,     0,
     554,   555,     0,   556,     0,   558,   559,   560,   561,   562,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,     0,   571,   572,   573,   574,   575,   576,   577,   578,
       0,     0,   579,   580,   581,   582,   583,     0,     0,   584,
     585,   586,   587,   588,   589,   590,     0,   591,     0,   593,
     594,   595,   596,     0,     0,   597,     0,     0,   598,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,   625,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,     0,   243,   244,   245,     0,     0,     0,
       0,     0,  4077,     0,   246,   247,   248,     0,   249,   250,
     251,   252,     0,   254,   255,   256,   257,   258,     0,   260,
     261,     0,   262,   263,   264,   265,   266,   267,   268,     0,
       0,   269,   270,   271,   272,   273,     0,   274,   275,   276,
     277,   278,     0,     0,     0,   280,   281,   282,   283,   284,
     285,     0,   287,   288,   289,     0,   290,   291,   292,   293,
     294,   295,     0,     0,   297,   298,   299,     0,     0,     0,
       0,     0,     0,     0,   301,   302,   303,   304,   305,   306,
     307,   308,   309,     0,   310,     0,   311,   312,   313,   314,
     315,   316,   317,     0,   318,   319,   320,   321,     0,     0,
     322,   323,   324,   325,   326,     0,   327,   328,   329,     0,
     330,   331,   332,     0,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,     0,   343,     0,   344,   345,   346,
     347,   348,     0,   349,     0,   350,     0,     0,     0,   353,
     354,   355,   356,     0,   357,   358,     0,   359,   360,   361,
       0,   362,   363,   364,   365,   366,     0,   368,   369,   370,
     371,     0,   372,   373,   374,   375,   376,   377,   378,     0,
     379,     0,   381,   382,   383,   384,   385,   386,   387,     0,
     388,     0,   389,     0,     0,   392,     0,   394,   395,   396,
     397,   398,     0,     0,   399,   400,     0,   402,     0,     0,
     404,   405,   406,     0,     0,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,     0,
     441,     0,   442,   443,   444,   445,   446,   447,     0,   448,
     449,     0,     0,   450,   451,   452,     0,     0,   453,   454,
     455,     0,   457,     0,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,     0,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     0,   506,   507,     0,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,     0,   535,   536,   537,   538,
       0,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,     0,   554,   555,     0,
     556,     0,   558,   559,   560,   561,   562,     0,   563,   564,
     565,     0,     0,   566,   567,   568,   569,   570,     0,   571,
     572,   573,   574,   575,   576,   577,   578,     0,     0,   579,
     580,   581,   582,   583,     0,     0,   584,   585,   586,   587,
     588,   589,   590,     0,   591,     0,   593,   594,   595,   596,
       0,     0,   597,     0,     0,   598,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   617,   625,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
       0,   243,   244,   245,     0,     0,     0,     0,     0,     0,
       0,   246,   247,   248,     0,   249,   250,   251,   252,     0,
     254,   255,   256,   257,   258,     0,   260,   261,     0,   262,
     263,   264,   265,   266,   267,   268,     0,     0,   269,   270,
     271,   272,   273,     0,   274,   275,   276,   277,   278,     0,
       0,     0,   280,   281,   282,   283,   284,   285,     0,   287,
     288,   289,     0,   290,   291,   292,   293,   294,   295,     0,
       0,   297,   298,   299,     0,     0,     0,     0,     0,     0,
       0,   301,   302,   303,   304,   305,   306,   307,   308,   309,
    4710,   310,     0,   311,   312,   313,   314,   315,   316,   317,
       0,   318,   319,   320,   321,     0,     0,   322,   323,   324,
     325,   326,     0,   327,   328,   329,     0,   330,   331,   332,
       0,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,     0,   344,   345,   346,   347,   348,     0,
     349,     0,   350,     0,     0,     0,   353,   354,   355,   356,
       0,   357,   358,     0,   359,   360,   361,     0,   362,   363,
     364,   365,   366,     0,   368,   369,   370,   371,     0,   372,
     373,   374,   375,   376,   377,   378,     0,   379,     0,   381,
     382,   383,   384,   385,   386,   387,     0,   388,     0,   389,
       0,     0,   392,     0,   394,   395,   396,   397,   398,     0,
       0,   399,   400,     0,   402,     0,     0,   404,   405,   406,
       0,     0,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,     0,   441,     0,   442,
     443,   444,   445,   446,   447,     0,   448,   449,     0,     0,
     450,   451,   452,     0,     0,   453,   454,   455,     0,   457,
       0,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,     0,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
       0,   524,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,     0,   535,   536,   537,   538,     0,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,     0,   554,   555,     0,   556,     0,   558,
     559,   560,   561,   562,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,     0,   571,   572,   573,   574,
     575,   576,   577,   578,     0,     0,   579,   580,   581,   582,
     583,     0,     0,   584,   585,   586,   587,   588,   589,   590,
       0,   591,     0,   593,   594,   595,   596,     0,     0,   597,
       0,     0,   598,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,   625,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,     0,   243,   244,
     245,     0,     0,     0,     0,     0,     0,     0,   246,   247,
     248,     0,   249,   250,   251,   252,     0,   254,   255,   256,
     257,   258,     0,   260,   261,     0,   262,   263,   264,   265,
     266,   267,   268,     0,     0,   269,   270,   271,   272,   273,
       0,   274,   275,   276,   277,   278,     0,     0,     0,   280,
     281,   282,   283,   284,   285,     0,   287,   288,   289,     0,
     290,   291,   292,   293,   294,   295,     0,     0,   297,   298,
     299,     0,     0,     0,  4780,     0,     0,     0,   301,   302,
     303,   304,   305,   306,   307,   308,   309,     0,   310,     0,
     311,   312,   313,   314,   315,   316,   317,     0,   318,   319,
     320,   321,     0,     0,   322,   323,   324,   325,   326,     0,
     327,   328,   329,     0,   330,   331,   332,     0,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,     0,   343,
       0,   344,   345,   346,   347,   348,     0,   349,     0,   350,
       0,     0,     0,   353,   354,   355,   356,     0,   357,   358,
       0,   359,   360,   361,     0,   362,   363,   364,   365,   366,
       0,   368,   369,   370,   371,     0,   372,   373,   374,   375,
     376,   377,   378,     0,   379,     0,   381,   382,   383,   384,
     385,   386,   387,     0,   388,     0,   389,     0,     0,   392,
       0,   394,   395,   396,   397,   398,     0,     0,   399,   400,
       0,   402,     0,     0,   404,   405,   406,     0,     0,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,     0,   441,     0,   442,   443,   444,   445,
     446,   447,     0,   448,   449,     0,     0,   450,   451,   452,
       0,     0,   453,   454,   455,     0,   457,     0,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     0,   506,
     507,     0,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,     0,
     535,   536,   537,   538,     0,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
       0,   554,   555,     0,   556,     0,   558,   559,   560,   561,
     562,     0,   563,   564,   565,     0,     0,   566,   567,   568,
     569,   570,     0,   571,   572,   573,   574,   575,   576,   577,
     578,     0,     0,   579,   580,   581,   582,   583,     0,     0,
     584,   585,   586,   587,   588,   589,   590,     0,   591,     0,
     593,   594,   595,   596,     0,     0,   597,     0,     0,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,   625,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,     0,   243,   244,   245,     0,     0,
       0,     0,     0,     0,     0,   246,   247,   248,     0,   249,
     250,   251,   252,     0,   254,   255,   256,   257,   258,     0,
     260,   261,     0,   262,   263,   264,   265,   266,   267,   268,
       0,     0,   269,   270,   271,   272,   273,     0,   274,   275,
     276,   277,   278,     0,     0,     0,   280,   281,   282,   283,
     284,   285,     0,   287,   288,   289,     0,   290,   291,   292,
     293,   294,   295,     0,     0,   297,   298,   299,     0,     0,
       0,     0,     0,     0,     0,   301,   302,   303,   304,   305,
     306,   307,   308,   309,     0,   310,     0,   311,   312,   313,
     314,   315,   316,   317,     0,   318,   319,   320,   321,     0,
       0,   322,   323,   324,   325,   326,     0,   327,   328,   329,
       0,   330,   331,   332,     0,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,     0,   344,   345,
     346,   347,   348,     0,   349,     0,   350,     0,     0,     0,
     353,   354,   355,   356,     0,   357,   358,     0,   359,   360,
     361,     0,   362,   363,   364,   365,   366,     0,   368,   369,
     370,   371,     0,   372,   373,   374,   375,   376,   377,   378,
       0,   379,     0,   381,   382,   383,   384,   385,   386,   387,
       0,   388,     0,   389,     0,     0,   392,     0,   394,   395,
     396,   397,   398,     0,     0,   399,   400,     0,   402,     0,
       0,   404,   405,   406,     0,     0,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
       0,   441,     0,   442,   443,   444,   445,   446,   447,     0,
     448,   449,     0,     0,   450,   451,   452,     0,     0,   453,
     454,   455,     0,   457,     0,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,     0,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     0,   506,   507,     0,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,     0,   524,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,     0,   535,   536,   537,
     538,     0,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,     0,   554,   555,
       0,   556,     0,   558,   559,   560,   561,   562,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,     0,
     571,   572,   573,   574,   575,   576,   577,   578,     0,     0,
     579,   580,   581,   582,   583,     0,     0,   584,   585,   586,
     587,   588,   589,   590,     0,   591,     0,   593,   594,   595,
     596,     0,     0,   597,     0,     0,   598,   599,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,   625,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,     0,   243,   244,   245,     0,     0,     0,     0,     0,
       0,     0,   246,   247,   248,     0,   249,   250,   251,   252,
       0,   254,   255,   256,   257,   258,     0,   260,   261,     0,
     262,   263,   264,   265,   266,   267,   268,     0,     0,   269,
     270,   271,   272,   273,     0,   274,   275,   276,   277,   278,
       0,     0,     0,   280,   281,   282,   283,   284,   285,     0,
     287,   288,   289,     0,   290,   291,   292,   293,   294,   295,
       0,     0,   297,   298,   299,     0,     0,     0,     0,     0,
       0,     0,   301,   302,   303,   304,   305,   306,   307,   308,
     309,     0,   310,     0,   311,   312,   313,   314,   315,   316,
     317,     0,   318,   319,   320,   321,     0,     0,   322,   323,
     324,   325,   326,     0,   327,   328,   329,     0,   330,   331,
     332,     0,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,     0,   343,     0,   344,   345,   346,   347,   348,
       0,   349,     0,   350,     0,     0,     0,   353,   354,   355,
     356,     0,   357,   358,     0,   359,   360,   361,     0,   362,
     363,   364,   365,   366,     0,   368,   369,   370,   371,     0,
     372,   373,   374,   375,   376,   377,   378,     0,   379,     0,
     381,   382,   383,   384,   385,   386,   387,     0,   388,     0,
     389,     0,     0,   392,     0,   394,   395,   396,   397,   398,
       0,     0,   399,   400,     0,   402,     0,     0,   404,   405,
     406,     0,     0,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,     0,   441,     0,
     442,   443,   444,   445,   446,   447,     0,   448,   449,     0,
       0,   450,   451,   452,     0,     0,   453,   454,   455,     0,
     457,     0,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,     0,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     0,   506,   507,     0,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,     0,   535,   536,   537,   538,     0,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,     0,   554,   555,     0,   556,     0,
     558,   559,   560,   561,   562,     0,   563,   564,   565,     0,
       0,   781,   567,   568,   569,   570,     0,   571,   572,   573,
     574,   575,   576,   577,   578,     0,     0,   579,   580,   581,
     582,   583,     0,     0,   584,   585,   586,   587,   588,   589,
     590,     0,   591,     0,   593,   594,   595,   596,     0,     0,
     597,     0,     0,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   625,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,     0,   243,
     244,   245,     0,     0,     0,     0,     0,     0,     0,   246,
     247,   248,     0,   249,   250,   251,   252,     0,   254,   255,
     256,   257,   258,     0,   260,   261,     0,   262,   263,   264,
     265,   266,   267,   268,     0,     0,   269,   270,   271,   272,
     273,     0,   274,   275,   276,   277,   278,     0,     0,     0,
     280,   281,   282,   283,   284,   285,     0,   287,   288,   289,
       0,   290,   291,   292,   293,   294,   295,     0,     0,   297,
     298,   299,     0,     0,     0,     0,     0,     0,     0,   301,
     302,   303,   304,   305,   306,   307,   308,   309,     0,   310,
       0,   311,   312,   313,   314,   315,   316,   317,     0,   318,
     319,   320,   321,     0,     0,   322,   323,   324,   325,   326,
       0,   327,   328,   329,     0,   330,   331,   332,     0,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,     0,   344,   345,   346,   347,   348,     0,   349,     0,
     350,     0,     0,     0,   353,   354,   355,   356,     0,   357,
     358,     0,   359,   360,   361,     0,   362,   363,   364,   365,
     366,     0,   368,   369,   370,   371,     0,   372,   373,   374,
     375,   376,   377,   378,     0,   379,     0,   381,   382,   383,
     384,   385,   386,   387,     0,   388,     0,   389,     0,     0,
     392,     0,   394,   395,   396,   397,   398,     0,     0,   399,
     400,     0,   402,     0,     0,   404,   405,   406,     0,     0,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,     0,   441,     0,   442,   443,   444,
     445,   446,   447,     0,   448,   449,     0,     0,   450,   451,
     452,     0,     0,   453,   454,   455,     0,   457,     0,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,     0,   509,   510,   511,   512,   513,   514,   515,
     516,   793,   518,   519,   520,   521,   522,   523,     0,   524,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
       0,   535,   536,   537,   538,     0,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,     0,   554,   555,     0,   556,     0,   558,   559,   560,
     561,   562,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,     0,   571,   572,   573,   574,   575,   576,
     577,   578,     0,     0,   579,   580,   581,   582,   583,     0,
       0,   584,   585,   586,   587,   588,   589,   590,     0,   591,
       0,   593,   594,   595,   596,     0,     0,   597,     0,     0,
     598,   599,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
     625,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,     0,   243,   244,   245,     0,
       0,     0,     0,     0,     0,     0,   246,   247,   248,     0,
     249,   250,   251,   252,     0,   254,   255,   256,   257,   258,
       0,   260,   261,     0,   262,   263,   264,   265,   266,   267,
     268,     0,     0,   815,   270,   271,   272,   273,     0,   274,
     275,   276,   277,   278,     0,     0,     0,   280,   281,   282,
     283,   284,   285,     0,   287,   288,   289,     0,   816,   291,
     292,   293,   294,   295,     0,     0,   297,   298,   299,     0,
       0,     0,     0,     0,     0,     0,   301,   302,   303,   304,
     305,   306,   307,   308,   309,     0,   310,     0,   311,   312,
     313,   314,   315,   316,   317,     0,   318,   319,   320,   321,
       0,     0,   322,   323,   324,   325,   326,     0,   327,   328,
     329,     0,   330,   331,   332,     0,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,     0,   343,     0,   344,
     345,   346,   347,   348,     0,   349,     0,   350,     0,     0,
       0,   353,   354,   355,   356,     0,   357,   358,     0,   359,
     360,   361,     0,   362,   363,   364,   365,   366,     0,   368,
     369,   370,   371,     0,   372,   373,   374,   375,   376,   377,
     378,     0,   379,     0,   381,   382,   383,   384,   385,   386,
     387,     0,   388,     0,   389,     0,     0,   392,     0,   394,
     395,   396,   397,   398,     0,     0,   399,   400,     0,   402,
       0,     0,   404,   405,   817,     0,     0,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   818,   425,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,     0,   441,     0,   442,   443,   444,   445,   446,   447,
       0,   448,   449,     0,     0,   450,   451,   452,     0,     0,
     453,   454,   455,     0,   457,     0,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     0,   506,   507,     0,
     819,   510,   511,   512,   513,   514,   515,   516,   517,   820,
     519,   520,   521,   522,   523,     0,   524,   525,   526,   527,
     821,     0,   529,   530,   531,   532,   533,     0,   535,   536,
     537,   538,     0,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,     0,   554,
     555,     0,   556,     0,   558,   559,   560,   561,   562,     0,
     563,   822,   565,     0,     0,   823,   567,   568,   569,   570,
       0,   571,   572,   573,   574,   575,   576,   577,   578,     0,
       0,   579,   580,   581,   582,   583,     0,     0,   584,   585,
     586,   587,   588,   589,   590,     0,   591,     0,   593,   594,
     595,   596,     0,     0,   597,     0,     0,   598,   599,   600,
     601,   602,   824,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   617,   625,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,     0,   243,   244,   245,     0,     0,     0,     0,
       0,     0,     0,   246,   247,   248,     0,   249,   250,   251,
     252,     0,   254,   255,   256,   257,   258,     0,   260,   261,
       0,   262,   263,   264,   265,   266,   267,   268,     0,     0,
     269,   270,   271,   272,   273,     0,   274,   275,   276,   277,
     278,     0,     0,     0,   280,   281,   282,   283,   284,   285,
       0,   287,   288,   289,     0,   290,   291,   292,   293,   294,
     295,     0,     0,   297,   298,   299,     0,     0,     0,     0,
       0,     0,     0,   301,   302,   303,   304,   305,   306,   307,
     308,   309,     0,   310,     0,   311,   312,   313,   314,   315,
     316,   317,     0,   318,   319,   320,   321,     0,     0,   322,
     323,   324,   325,   326,     0,   327,   328,   329,     0,   330,
     331,   332,     0,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,     0,   344,   345,   346,   347,
     348,     0,   349,     0,   350,     0,     0,     0,   353,   354,
     355,   356,     0,   357,   358,     0,   359,   360,   361,     0,
     362,   363,   364,   365,   366,     0,   368,   369,   370,   371,
       0,   372,   373,   374,   375,   376,   377,   378,     0,   379,
       0,   381,   382,   383,   384,   385,   386,   387,     0,   388,
       0,   389,     0,     0,   392,     0,   394,   395,   396,   397,
     398,     0,     0,   399,   400,     0,   402,     0,     0,   404,
     405,   406,     0,     0,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,     0,   441,
       0,   442,   443,   444,   445,   446,   447,     0,   448,   449,
       0,     0,   450,   451,   452,     0,     0,   453,   454,   455,
       0,   457,     0,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,     0,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   847,   492,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     0,   506,   507,     0,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,     0,   524,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,     0,   535,   536,   537,   538,     0,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,     0,   554,   555,     0,   556,
       0,   558,   559,   560,   561,   562,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,     0,   571,   572,
     573,   574,   575,   576,   577,   578,     0,     0,   579,   580,
     581,   582,   583,     0,     0,   584,   585,   586,   587,   588,
     589,   590,     0,   591,     0,   593,   594,   595,   596,     0,
       0,   597,     0,     0,   598,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   625,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,     0,
     243,   244,   245,     0,     0,     0,     0,     0,     0,     0,
     246,   247,   248,     0,   249,   250,   251,   252,     0,   254,
     255,   256,   257,   258,     0,   260,   261,     0,   262,   263,
     264,   265,   266,   267,   268,     0,     0,   269,   270,   271,
     272,   273,     0,   274,   275,   276,   277,   278,     0,     0,
       0,   280,   281,   282,   283,   284,   285,     0,   287,   288,
     289,     0,   290,   291,   292,   293,   294,   295,     0,     0,
     297,   298,   299,     0,     0,     0,     0,     0,     0,     0,
     301,   302,   303,   304,   305,   306,   307,   308,   309,     0,
     310,     0,   311,   312,   313,   314,   315,   316,   317,     0,
     318,   319,   320,   321,     0,     0,   322,   323,   324,   325,
     326,     0,   327,   328,   329,     0,   330,   331,   332,     0,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
       0,   343,     0,   344,   345,   346,   347,   348,     0,   349,
       0,   350,     0,     0,     0,   353,   354,   355,   356,     0,
     357,   358,     0,   359,   360,   361,     0,   362,   363,   364,
     365,   973,     0,   368,   369,   370,   371,     0,   372,   373,
     374,   375,   376,   377,   378,     0,   379,     0,   381,   382,
     383,   384,   385,   386,   387,     0,   388,     0,   389,     0,
       0,   392,     0,   394,   395,   396,   397,   398,     0,     0,
     399,   400,     0,   402,     0,     0,   404,   405,   406,     0,
       0,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,     0,   441,     0,   442,   443,
     444,   445,   446,   447,     0,   448,   449,     0,     0,   450,
     451,   452,     0,     0,   453,   454,   455,     0,   457,     0,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,     0,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,     0,   535,   536,   537,   538,     0,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,     0,   554,   555,     0,   556,     0,   558,   559,
     560,   561,   562,     0,   563,   564,   565,     0,     0,   566,
     567,   568,   569,   570,     0,   571,   572,   573,   574,   575,
     576,   577,   578,     0,     0,   579,   580,   581,   582,   583,
       0,     0,   584,   585,   586,   587,   588,   589,   590,     0,
     591,     0,   593,   594,   595,   596,     0,     0,   597,     0,
       0,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   625,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,     0,   243,   244,   245,
       0,     0,     0,     0,     0,     0,     0,   246,   247,   248,
       0,   249,   250,   251,   252,     0,   254,   255,   256,   257,
     258,     0,   260,   261,     0,   262,   263,   264,   265,   266,
     267,   268,     0,     0,   269,   270,   271,   272,   273,     0,
     274,   275,   276,   277,   278,     0,     0,     0,   280,   281,
     282,   283,   284,   285,     0,   287,   288,   289,     0,   290,
     291,   292,   293,   294,   295,     0,     0,   297,   298,   299,
       0,     0,     0,     0,     0,     0,     0,   301,   302,   303,
     304,   305,   306,   307,   308,   309,     0,   310,     0,   311,
     312,   313,   314,   315,   316,   317,     0,   318,   319,   320,
     321,     0,     0,   322,   323,   324,   325,   326,     0,   327,
     328,   329,     0,   330,   331,   332,     0,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,   343,     0,
     344,   345,   346,   347,   348,     0,   349,     0,   350,     0,
       0,     0,   353,   354,   355,   356,     0,   357,   358,     0,
     359,   360,   361,     0,   362,   363,   364,   365,   983,     0,
     368,   369,   370,   371,     0,   372,   373,   374,   375,   376,
     377,   378,     0,   379,     0,   381,   382,   383,   384,   385,
     386,   387,     0,   388,     0,   389,     0,     0,   392,     0,
     394,   395,   396,   397,   398,     0,     0,   399,   400,     0,
     402,     0,     0,   404,   405,   406,     0,     0,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,     0,   441,     0,   442,   443,   444,   445,   446,
     447,     0,   448,   449,     0,     0,   450,   451,   452,     0,
       0,   453,   454,   455,     0,   457,     0,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,     0,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     0,   506,   507,
       0,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,     0,   535,
     536,   537,   538,     0,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,     0,
     554,   555,     0,   556,     0,   558,   559,   560,   561,   562,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,     0,   571,   572,   573,   574,   575,   576,   577,   578,
       0,     0,   579,   580,   581,   582,   583,     0,     0,   584,
     585,   586,   587,   588,   589,   590,     0,   591,     0,   593,
     594,   595,   596,     0,     0,   597,     0,     0,   598,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,   625,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,     0,   243,   244,   245,     0,     0,     0,
       0,     0,     0,     0,   246,   247,   248,     0,   249,   250,
     251,   252,     0,   254,   255,   256,   257,   258,     0,   260,
     261,     0,   262,   263,   264,   265,   266,   267,   268,     0,
       0,   269,   270,   271,   272,   273,     0,   274,   275,   276,
     277,   278,     0,     0,     0,   280,   281,   282,   283,   284,
     285,     0,   287,   288,   289,     0,   290,   291,   292,   293,
     294,   295,     0,     0,   297,   298,   299,     0,     0,     0,
       0,     0,     0,     0,   301,   302,   303,   304,   305,   306,
     307,   308,   309,     0,   310,     0,   311,   312,   313,   314,
     315,   316,   317,     0,   318,   319,   320,   321,     0,     0,
     322,   323,   324,   325,   326,     0,   327,   328,   329,     0,
     330,   331,   332,     0,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,     0,   343,     0,   344,   345,   346,
     347,   348,     0,   349,     0,   350,     0,     0,     0,   353,
     354,   355,   356,     0,   357,   358,     0,   359,   360,   361,
       0,   362,   363,   364,   365,   986,     0,   368,   369,   370,
     371,     0,   372,   373,   374,   375,   376,   377,   378,     0,
     379,     0,   381,   382,   383,   384,   385,   386,   387,     0,
     388,     0,   389,     0,     0,   392,     0,   394,   395,   396,
     397,   398,     0,     0,   399,   400,     0,   402,     0,     0,
     404,   405,   406,     0,     0,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,     0,
     441,     0,   442,   443,   444,   445,   446,   447,     0,   448,
     449,     0,     0,   450,   451,   452,     0,     0,   453,   454,
     455,     0,   457,     0,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,     0,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     0,   506,   507,     0,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,     0,   535,   536,   537,   538,
       0,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,     0,   554,   555,     0,
     556,     0,   558,   559,   560,   561,   562,     0,   563,   564,
     565,     0,     0,   566,   567,   568,   569,   570,     0,   571,
     572,   573,   574,   575,   576,   577,   578,     0,     0,   579,
     580,   581,   582,   583,     0,     0,   584,   585,   586,   587,
     588,   589,   590,     0,   591,     0,   593,   594,   595,   596,
       0,     0,   597,     0,     0,   598,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   617,   625,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
       0,   243,   244,   245,     0,     0,     0,     0,     0,     0,
       0,   246,   247,   248,     0,   249,   250,   251,   252,     0,
     254,   255,   256,   257,   258,     0,   260,   261,     0,   262,
     263,   264,   265,   266,   267,   268,     0,     0,   269,   270,
     271,   272,   273,     0,   274,   275,   276,   277,   278,     0,
       0,     0,   280,   281,   282,   283,   284,   285,     0,   287,
     288,   289,     0,   290,   291,   292,   293,   294,   295,     0,
       0,   297,   298,   299,     0,     0,     0,     0,     0,     0,
       0,   301,   302,   303,   304,   305,   306,   307,   308,   309,
       0,   310,     0,   311,   312,   313,   314,   315,   316,   317,
       0,   318,   319,   320,   321,     0,     0,   322,   323,   324,
     325,   326,     0,   327,   328,   329,     0,   330,   331,   332,
       0,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,     0,   344,   345,   346,   347,   348,     0,
     349,     0,   350,     0,     0,     0,   353,   354,   355,   356,
       0,   357,   358,     0,   359,   360,   361,     0,   362,   363,
     364,   365,  1002,     0,   368,   369,   370,   371,     0,   372,
     373,   374,   375,   376,   377,   378,     0,   379,     0,   381,
     382,   383,   384,   385,   386,   387,     0,   388,     0,   389,
       0,     0,   392,     0,   394,   395,   396,   397,   398,     0,
       0,   399,   400,     0,   402,     0,     0,   404,   405,   406,
       0,     0,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,     0,   441,     0,   442,
     443,   444,   445,   446,   447,     0,   448,   449,     0,     0,
     450,   451,   452,     0,     0,   453,   454,   455,     0,   457,
       0,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,     0,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
       0,   524,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,     0,   535,   536,   537,   538,     0,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,     0,   554,   555,     0,   556,     0,   558,
     559,   560,   561,   562,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,     0,   571,   572,   573,   574,
     575,   576,   577,   578,     0,     0,   579,   580,   581,   582,
     583,     0,     0,   584,   585,   586,   587,   588,   589,   590,
       0,   591,     0,   593,   594,   595,   596,     0,     0,   597,
       0,     0,   598,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,   625,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,     0,   243,   244,
     245,     0,     0,     0,     0,     0,     0,     0,   246,   247,
     248,     0,   249,   250,   251,   252,     0,   254,   255,   256,
     257,   258,     0,   260,   261,     0,   262,   263,   264,   265,
     266,   267,   268,     0,     0,   269,   270,   271,   272,   273,
       0,   274,   275,   276,   277,   278,     0,     0,     0,   280,
     281,   282,   283,   284,   285,     0,   287,   288,   289,     0,
     290,   291,   292,   293,   294,   295,     0,     0,   297,   298,
     299,     0,     0,     0,     0,     0,     0,     0,   301,   302,
     303,   304,   305,   306,   307,   308,   309,     0,   310,     0,
     311,   312,   313,   314,   315,   316,   317,     0,   318,   319,
     320,   321,     0,     0,   322,   323,   324,   325,   326,     0,
     327,   328,   329,     0,   330,   331,   332,     0,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,     0,   343,
       0,   344,   345,   346,   347,   348,     0,   349,     0,   350,
       0,     0,     0,   353,   354,   355,   356,     0,   357,   358,
       0,   359,   360,   361,     0,   362,   363,   364,   365,  1058,
       0,   368,   369,   370,   371,     0,   372,   373,   374,   375,
     376,   377,   378,     0,   379,     0,   381,   382,   383,   384,
     385,   386,   387,     0,   388,     0,   389,     0,     0,   392,
       0,   394,   395,   396,   397,   398,     0,     0,   399,   400,
       0,   402,     0,     0,   404,   405,   406,     0,     0,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,     0,   441,     0,   442,   443,   444,   445,
     446,   447,     0,   448,   449,     0,     0,   450,   451,   452,
       0,     0,   453,   454,   455,     0,   457,     0,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     0,   506,
     507,     0,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,     0,
     535,   536,   537,   538,     0,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
       0,   554,   555,     0,   556,     0,   558,   559,   560,   561,
     562,     0,   563,   564,   565,     0,     0,   566,   567,   568,
     569,   570,     0,   571,   572,   573,   574,   575,   576,   577,
     578,     0,     0,   579,   580,   581,   582,   583,     0,     0,
     584,   585,   586,   587,   588,   589,   590,     0,   591,     0,
     593,   594,   595,   596,     0,     0,   597,     0,     0,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,   625,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,     0,   243,   244,   245,     0,     0,
       0,     0,     0,     0,     0,   246,   247,   248,     0,   249,
     250,   251,   252,     0,   254,   255,   256,   257,   258,     0,
     260,   261,     0,   262,   263,   264,   265,   266,   267,   268,
       0,     0,   269,   270,   271,   272,   273,     0,   274,   275,
     276,   277,   278,     0,     0,     0,   280,   281,   282,   283,
     284,   285,     0,   287,   288,   289,     0,   290,   291,   292,
     293,   294,   295,     0,     0,   297,   298,   299,     0,     0,
       0,     0,     0,     0,     0,   301,   302,   303,   304,   305,
     306,   307,   308,   309,     0,   310,     0,   311,   312,   313,
     314,   315,   316,   317,     0,   318,   319,   320,   321,     0,
       0,   322,   323,   324,   325,   326,     0,   327,   328,   329,
       0,   330,   331,   332,     0,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,     0,   344,   345,
     346,   347,   348,     0,   349,     0,   350,     0,     0,     0,
     353,   354,   355,   356,     0,   357,   358,     0,   359,   360,
     361,     0,   362,   363,   364,   365,  1063,     0,   368,   369,
     370,   371,     0,   372,   373,   374,   375,   376,   377,   378,
       0,   379,     0,   381,   382,   383,   384,   385,   386,   387,
       0,   388,     0,   389,     0,     0,   392,     0,   394,   395,
     396,   397,   398,     0,     0,   399,   400,     0,   402,     0,
       0,   404,   405,   406,     0,     0,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
       0,   441,     0,   442,   443,   444,   445,   446,   447,     0,
     448,   449,     0,     0,   450,   451,   452,     0,     0,   453,
     454,   455,     0,   457,     0,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,     0,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     0,   506,   507,     0,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,     0,   524,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,     0,   535,   536,   537,
     538,     0,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,     0,   554,   555,
       0,   556,     0,   558,   559,   560,   561,   562,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,     0,
     571,   572,   573,   574,   575,   576,   577,   578,     0,     0,
     579,   580,   581,   582,   583,     0,     0,   584,   585,   586,
     587,   588,   589,   590,     0,   591,     0,   593,   594,   595,
     596,     0,     0,   597,     0,     0,   598,   599,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,   625,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,     0,   243,   244,   245,     0,     0,     0,     0,     0,
       0,     0,   246,   247,   248,     0,   249,   250,   251,   252,
       0,   254,   255,   256,   257,   258,     0,   260,   261,     0,
     262,   263,   264,   265,   266,   267,   268,     0,     0,   269,
     270,   271,   272,   273,     0,   274,   275,   276,   277,   278,
       0,     0,     0,   280,   281,   282,   283,   284,   285,     0,
     287,   288,   289,     0,   290,   291,   292,   293,   294,   295,
       0,     0,   297,   298,   299,     0,     0,     0,     0,     0,
       0,     0,   301,   302,   303,   304,   305,   306,   307,   308,
     309,     0,   310,     0,   311,   312,   313,   314,   315,   316,
     317,     0,   318,   319,   320,   321,     0,     0,   322,   323,
     324,   325,   326,     0,   327,   328,   329,     0,   330,   331,
     332,     0,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,     0,   343,     0,   344,   345,   346,   347,   348,
       0,   349,     0,   350,     0,     0,     0,   353,   354,   355,
     356,     0,   357,   358,     0,   359,   360,   361,     0,   362,
     363,   364,   365,  1080,     0,   368,   369,   370,   371,     0,
     372,   373,   374,   375,   376,   377,   378,     0,   379,     0,
     381,   382,   383,   384,   385,   386,   387,     0,   388,     0,
     389,     0,     0,   392,     0,   394,   395,   396,   397,   398,
       0,     0,   399,   400,     0,   402,     0,     0,   404,   405,
     406,     0,     0,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,     0,   441,     0,
     442,   443,   444,   445,   446,   447,     0,   448,   449,     0,
       0,   450,   451,   452,     0,     0,   453,   454,   455,     0,
     457,     0,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,     0,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     0,   506,   507,     0,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,     0,   535,   536,   537,   538,     0,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,     0,   554,   555,     0,   556,     0,
     558,   559,   560,   561,   562,     0,   563,   564,   565,     0,
       0,   566,   567,   568,   569,   570,     0,   571,   572,   573,
     574,   575,   576,   577,   578,     0,     0,   579,   580,   581,
     582,   583,     0,     0,   584,   585,   586,   587,   588,   589,
     590,     0,   591,     0,   593,   594,   595,   596,     0,     0,
     597,     0,     0,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   625,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,     0,   243,
     244,   245,     0,     0,     0,     0,     0,     0,     0,   246,
     247,   248,     0,   249,   250,   251,   252,     0,   254,   255,
     256,   257,   258,     0,   260,   261,     0,   262,   263,   264,
     265,   266,   267,   268,     0,     0,   269,   270,   271,   272,
     273,     0,   274,   275,   276,   277,   278,     0,     0,     0,
     280,   281,   282,   283,   284,   285,     0,   287,   288,   289,
       0,   290,   291,   292,   293,   294,   295,     0,     0,   297,
     298,   299,     0,     0,     0,     0,     0,     0,     0,   301,
     302,   303,   304,   305,   306,   307,   308,   309,     0,   310,
       0,   311,   312,   313,   314,   315,   316,   317,     0,   318,
     319,   320,   321,     0,     0,   322,   323,   324,   325,   326,
       0,   327,   328,   329,     0,   330,   331,   332,     0,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,     0,   344,   345,   346,   347,   348,     0,   349,     0,
     350,     0,     0,     0,   353,   354,   355,   356,     0,   357,
     358,     0,   359,   360,   361,     0,   362,   363,   364,   365,
    1083,     0,   368,   369,   370,   371,     0,   372,   373,   374,
     375,   376,   377,   378,     0,   379,     0,   381,   382,   383,
     384,   385,   386,   387,     0,   388,     0,   389,     0,     0,
     392,     0,   394,   395,   396,   397,   398,     0,     0,   399,
     400,     0,   402,     0,     0,   404,   405,   406,     0,     0,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,     0,   441,     0,   442,   443,   444,
     445,   446,   447,     0,   448,   449,     0,     0,   450,   451,
     452,     0,     0,   453,   454,   455,     0,   457,     0,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,     0,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,     0,   524,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
       0,   535,   536,   537,   538,     0,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,     0,   554,   555,     0,   556,     0,   558,   559,   560,
     561,   562,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,     0,   571,   572,   573,   574,   575,   576,
     577,   578,     0,     0,   579,   580,   581,   582,   583,     0,
       0,   584,   585,   586,   587,   588,   589,   590,     0,   591,
       0,   593,   594,   595,   596,     0,     0,   597,     0,     0,
     598,   599,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
     625,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,     0,   243,   244,   245,     0,
       0,     0,     0,     0,     0,     0,   246,   247,   248,     0,
     249,   250,   251,   252,     0,   254,   255,   256,   257,   258,
       0,   260,   261,     0,   262,   263,   264,   265,   266,   267,
     268,     0,     0,   269,   270,   271,   272,   273,     0,   274,
     275,   276,   277,   278,     0,     0,     0,   280,   281,   282,
     283,   284,   285,     0,   287,   288,   289,     0,   290,   291,
     292,   293,   294,   295,     0,     0,   297,   298,   299,     0,
       0,     0,     0,     0,     0,     0,   301,   302,   303,   304,
     305,   306,   307,   308,   309,     0,   310,     0,   311,   312,
     313,   314,   315,   316,   317,     0,   318,   319,   320,   321,
       0,     0,   322,   323,   324,   325,   326,     0,   327,   328,
     329,     0,   330,   331,   332,     0,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,     0,   343,     0,   344,
     345,   346,   347,   348,     0,   349,     0,   350,     0,     0,
       0,   353,   354,   355,   356,     0,   357,   358,     0,   359,
     360,   361,     0,   362,   363,   364,   365,  1085,     0,   368,
     369,   370,   371,     0,   372,   373,   374,   375,   376,   377,
     378,     0,   379,     0,   381,   382,   383,   384,   385,   386,
     387,     0,   388,     0,   389,     0,     0,   392,     0,   394,
     395,   396,   397,   398,     0,     0,   399,   400,     0,   402,
       0,     0,   404,   405,   406,     0,     0,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,     0,   441,     0,   442,   443,   444,   445,   446,   447,
       0,   448,   449,     0,     0,   450,   451,   452,     0,     0,
     453,   454,   455,     0,   457,     0,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     0,   506,   507,     0,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,     0,   524,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,     0,   535,   536,
     537,   538,     0,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,     0,   554,
     555,     0,   556,     0,   558,   559,   560,   561,   562,     0,
     563,   564,   565,     0,     0,   566,   567,   568,   569,   570,
       0,   571,   572,   573,   574,   575,   576,   577,   578,     0,
       0,   579,   580,   581,   582,   583,     0,     0,   584,   585,
     586,   587,   588,   589,   590,     0,   591,     0,   593,   594,
     595,   596,     0,     0,   597,     0,     0,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   617,   625,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,     0,   243,   244,   245,     0,     0,     0,     0,
       0,     0,     0,   246,   247,   248,     0,   249,   250,   251,
     252,     0,   254,   255,   256,   257,   258,     0,   260,   261,
       0,   262,   263,   264,   265,   266,   267,   268,     0,     0,
     269,   270,   271,   272,   273,     0,   274,   275,   276,   277,
     278,     0,     0,     0,   280,   281,   282,   283,   284,   285,
       0,   287,   288,   289,     0,   290,   291,   292,   293,   294,
     295,     0,     0,   297,   298,   299,     0,     0,     0,     0,
       0,     0,     0,   301,   302,   303,   304,   305,   306,   307,
     308,   309,     0,   310,     0,   311,   312,   313,   314,   315,
     316,   317,     0,   318,   319,   320,   321,     0,     0,   322,
     323,   324,   325,   326,     0,   327,   328,   329,     0,   330,
     331,   332,     0,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,     0,   344,   345,   346,   347,
     348,     0,   349,     0,   350,     0,     0,     0,   353,   354,
     355,   356,     0,   357,   358,     0,   359,   360,   361,     0,
     362,   363,   364,   365,  1122,     0,   368,   369,   370,   371,
       0,   372,   373,   374,   375,   376,   377,   378,     0,   379,
       0,   381,   382,   383,   384,   385,   386,   387,     0,   388,
       0,   389,     0,     0,   392,     0,   394,   395,   396,   397,
     398,     0,     0,   399,   400,     0,   402,     0,     0,   404,
     405,   406,     0,     0,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,     0,   441,
       0,   442,   443,   444,   445,   446,   447,     0,   448,   449,
       0,     0,   450,   451,   452,     0,     0,   453,   454,   455,
       0,   457,     0,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,     0,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     0,   506,   507,     0,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,     0,   524,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,     0,   535,   536,   537,   538,     0,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,     0,   554,   555,     0,   556,
       0,   558,   559,   560,   561,   562,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,     0,   571,   572,
     573,   574,   575,   576,   577,   578,     0,     0,   579,   580,
     581,   582,   583,     0,     0,   584,   585,   586,   587,   588,
     589,   590,     0,   591,     0,   593,   594,   595,   596,     0,
       0,   597,     0,     0,   598,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   625,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,     0,
     243,   244,   245,     0,     0,     0,     0,     0,     0,     0,
     246,   247,   248,     0,   249,   250,   251,   252,     0,   254,
     255,   256,   257,   258,     0,   260,   261,     0,   262,   263,
     264,   265,   266,   267,   268,     0,     0,   269,   270,   271,
     272,   273,     0,   274,   275,   276,   277,   278,     0,     0,
       0,   280,   281,   282,   283,   284,   285,     0,   287,   288,
     289,     0,   290,   291,   292,   293,   294,   295,     0,     0,
     297,   298,   299,     0,     0,     0,     0,     0,     0,     0,
     301,   302,   303,   304,   305,   306,   307,   308,   309,     0,
     310,     0,   311,   312,   313,   314,   315,   316,   317,     0,
     318,   319,   320,   321,     0,     0,   322,   323,   324,   325,
     326,     0,   327,   328,   329,     0,   330,   331,   332,     0,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
       0,   343,     0,   344,   345,   346,   347,   348,     0,   349,
       0,   350,     0,     0,     0,   353,   354,   355,   356,     0,
     357,   358,     0,   359,   360,   361,     0,   362,   363,   364,
     365,  1150,     0,   368,   369,   370,   371,     0,   372,   373,
     374,   375,   376,   377,   378,     0,   379,     0,   381,   382,
     383,   384,   385,   386,   387,     0,   388,     0,   389,     0,
       0,   392,     0,   394,   395,   396,   397,   398,     0,     0,
     399,   400,     0,   402,     0,     0,   404,   405,   406,     0,
       0,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,     0,   441,     0,   442,   443,
     444,   445,   446,   447,     0,   448,   449,     0,     0,   450,
     451,   452,     0,     0,   453,   454,   455,     0,   457,     0,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,     0,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,     0,   535,   536,   537,   538,     0,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,     0,   554,   555,     0,   556,     0,   558,   559,
     560,   561,   562,     0,   563,   564,   565,     0,     0,   566,
     567,   568,   569,   570,     0,   571,   572,   573,   574,   575,
     576,   577,   578,     0,     0,   579,   580,   581,   582,   583,
       0,     0,   584,   585,   586,   587,   588,   589,   590,     0,
     591,     0,   593,   594,   595,   596,     0,     0,   597,     0,
       0,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   625,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,     0,   243,   244,   245,
       0,     0,     0,     0,     0,     0,     0,   246,   247,   248,
       0,   249,   250,   251,   252,     0,   254,   255,   256,   257,
     258,     0,   260,   261,     0,   262,   263,   264,   265,   266,
     267,   268,     0,     0,   269,   270,   271,   272,   273,     0,
     274,   275,   276,   277,   278,     0,     0,     0,   280,   281,
     282,   283,   284,   285,     0,   287,   288,   289,     0,   290,
     291,   292,   293,   294,   295,     0,     0,   297,   298,   299,
       0,     0,     0,     0,     0,     0,     0,   301,   302,   303,
     304,   305,   306,   307,   308,   309,     0,   310,     0,   311,
     312,   313,   314,   315,   316,   317,     0,   318,   319,   320,
     321,     0,     0,   322,   323,   324,   325,   326,     0,   327,
     328,   329,     0,   330,   331,   332,     0,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,   343,     0,
     344,   345,   346,   347,   348,     0,   349,     0,   350,     0,
       0,     0,   353,   354,   355,   356,     0,   357,   358,     0,
     359,   360,   361,     0,   362,   363,   364,   365,  1152,     0,
     368,   369,   370,   371,     0,   372,   373,   374,   375,   376,
     377,   378,     0,   379,     0,   381,   382,   383,   384,   385,
     386,   387,     0,   388,     0,   389,     0,     0,   392,     0,
     394,   395,   396,   397,   398,     0,     0,   399,   400,     0,
     402,     0,     0,   404,   405,   406,     0,     0,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,     0,   441,     0,   442,   443,   444,   445,   446,
     447,     0,   448,   449,     0,     0,   450,   451,   452,     0,
       0,   453,   454,   455,     0,   457,     0,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,     0,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     0,   506,   507,
       0,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,     0,   535,
     536,   537,   538,     0,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,     0,
     554,   555,     0,   556,     0,   558,   559,   560,   561,   562,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,     0,   571,   572,   573,   574,   575,   576,   577,   578,
       0,     0,   579,   580,   581,   582,   583,     0,     0,   584,
     585,   586,   587,   588,   589,   590,     0,   591,     0,   593,
     594,   595,   596,     0,     0,   597,     0,     0,   598,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,   625,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,     0,   243,   244,   245,     0,     0,     0,
       0,     0,     0,     0,   246,   247,   248,     0,   249,   250,
     251,   252,     0,   254,   255,   256,   257,   258,     0,   260,
     261,     0,   262,   263,   264,   265,   266,   267,   268,     0,
       0,   269,   270,   271,   272,   273,     0,   274,   275,   276,
     277,   278,     0,     0,     0,   280,   281,   282,   283,   284,
     285,     0,   287,   288,   289,     0,   290,   291,   292,   293,
     294,   295,     0,     0,   297,   298,   299,     0,     0,     0,
       0,     0,     0,     0,   301,   302,   303,   304,   305,   306,
     307,   308,   309,     0,   310,     0,   311,   312,   313,   314,
     315,   316,   317,     0,   318,   319,   320,   321,     0,     0,
     322,   323,   324,   325,   326,     0,   327,   328,   329,     0,
     330,   331,   332,     0,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,     0,   343,     0,   344,   345,   346,
     347,   348,     0,   349,     0,   350,     0,     0,     0,   353,
     354,   355,   356,     0,   357,   358,     0,   359,   360,   361,
       0,   362,   363,   364,   365,  1162,     0,   368,   369,   370,
     371,     0,   372,   373,   374,   375,   376,   377,   378,     0,
     379,     0,   381,   382,   383,   384,   385,   386,   387,     0,
     388,     0,   389,     0,     0,   392,     0,   394,   395,   396,
     397,   398,     0,     0,   399,   400,     0,   402,     0,     0,
     404,   405,   406,     0,     0,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,     0,
     441,     0,   442,   443,   444,   445,   446,   447,     0,   448,
     449,     0,     0,   450,   451,   452,     0,     0,   453,   454,
     455,     0,   457,     0,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,     0,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     0,   506,   507,     0,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,     0,   535,   536,   537,   538,
       0,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,     0,   554,   555,     0,
     556,     0,   558,   559,   560,   561,   562,     0,   563,   564,
     565,     0,     0,   566,   567,   568,   569,   570,     0,   571,
     572,   573,   574,   575,   576,   577,   578,     0,     0,   579,
     580,   581,   582,   583,     0,     0,   584,   585,   586,   587,
     588,   589,   590,     0,   591,     0,   593,   594,   595,   596,
       0,     0,   597,     0,     0,   598,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   617,   625,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
       0,   243,   244,   245,     0,     0,     0,     0,     0,     0,
       0,   246,   247,   248,     0,   249,   250,   251,   252,     0,
     254,   255,   256,   257,   258,     0,   260,   261,     0,   262,
     263,   264,   265,   266,   267,   268,     0,     0,   269,   270,
     271,   272,   273,     0,   274,   275,   276,   277,   278,     0,
       0,     0,   280,   281,   282,   283,   284,   285,     0,   287,
     288,   289,     0,   290,   291,   292,   293,   294,   295,     0,
       0,   297,   298,   299,     0,     0,     0,     0,     0,     0,
       0,   301,   302,   303,   304,   305,   306,   307,   308,   309,
       0,   310,     0,   311,   312,   313,   314,   315,   316,   317,
       0,   318,   319,   320,   321,     0,     0,   322,   323,   324,
     325,   326,     0,   327,   328,   329,     0,   330,   331,   332,
       0,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,     0,   344,   345,   346,   347,   348,     0,
     349,     0,   350,     0,     0,     0,   353,   354,   355,   356,
       0,   357,   358,     0,   359,   360,   361,     0,   362,   363,
     364,   365,  1165,     0,   368,   369,   370,   371,     0,   372,
     373,   374,   375,   376,   377,   378,     0,   379,     0,   381,
     382,   383,   384,   385,   386,   387,     0,   388,     0,   389,
       0,     0,   392,     0,   394,   395,   396,   397,   398,     0,
       0,   399,   400,     0,   402,     0,     0,   404,   405,   406,
       0,     0,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,     0,   441,     0,   442,
     443,   444,   445,   446,   447,     0,   448,   449,     0,     0,
     450,   451,   452,     0,     0,   453,   454,   455,     0,   457,
       0,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,     0,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
       0,   524,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,     0,   535,   536,   537,   538,     0,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,     0,   554,   555,     0,   556,     0,   558,
     559,   560,   561,   562,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,     0,   571,   572,   573,   574,
     575,   576,   577,   578,     0,     0,   579,   580,   581,   582,
     583,     0,     0,   584,   585,   586,   587,   588,   589,   590,
       0,   591,     0,   593,   594,   595,   596,     0,     0,   597,
       0,     0,   598,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,   625,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,     0,   243,   244,
     245,     0,     0,     0,     0,     0,     0,     0,   246,   247,
     248,     0,   249,   250,   251,   252,     0,   254,   255,   256,
     257,   258,     0,   260,   261,     0,   262,   263,   264,   265,
     266,   267,   268,     0,     0,   269,   270,   271,   272,   273,
       0,   274,   275,   276,   277,   278,     0,     0,     0,   280,
     281,   282,   283,   284,   285,     0,   287,   288,   289,     0,
     290,   291,   292,   293,   294,   295,     0,     0,   297,   298,
     299,     0,     0,     0,     0,     0,     0,     0,   301,   302,
     303,   304,   305,   306,   307,   308,   309,     0,   310,     0,
     311,   312,   313,   314,   315,   316,   317,     0,   318,   319,
     320,   321,     0,     0,   322,   323,   324,   325,   326,     0,
     327,   328,   329,     0,   330,   331,   332,     0,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,     0,   343,
       0,   344,   345,   346,   347,   348,     0,   349,     0,   350,
       0,     0,     0,   353,   354,   355,   356,     0,   357,   358,
       0,   359,   360,   361,     0,   362,   363,   364,   365,  1168,
       0,   368,   369,   370,   371,     0,   372,   373,   374,   375,
     376,   377,   378,     0,   379,     0,   381,   382,   383,   384,
     385,   386,   387,     0,   388,     0,   389,     0,     0,   392,
       0,   394,   395,   396,   397,   398,     0,     0,   399,   400,
       0,   402,     0,     0,   404,   405,   406,     0,     0,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,     0,   441,     0,   442,   443,   444,   445,
     446,   447,     0,   448,   449,     0,     0,   450,   451,   452,
       0,     0,   453,   454,   455,     0,   457,     0,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     0,   506,
     507,     0,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,     0,
     535,   536,   537,   538,     0,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
       0,   554,   555,     0,   556,     0,   558,   559,   560,   561,
     562,     0,   563,   564,   565,     0,     0,   566,   567,   568,
     569,   570,     0,   571,   572,   573,   574,   575,   576,   577,
     578,     0,     0,   579,   580,   581,   582,   583,     0,     0,
     584,   585,   586,   587,   588,   589,   590,     0,   591,     0,
     593,   594,   595,   596,     0,     0,   597,     0,     0,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,   625,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,     0,   243,   244,   245,     0,     0,
       0,     0,     0,     0,     0,   246,   247,   248,     0,   249,
     250,   251,   252,     0,   254,   255,   256,   257,   258,     0,
     260,   261,     0,   262,   263,   264,   265,   266,   267,   268,
       0,     0,   815,   270,   271,   272,   273,     0,   274,   275,
     276,   277,   278,     0,     0,     0,   280,   281,   282,   283,
     284,   285,     0,   287,   288,   289,     0,   290,   291,   292,
     293,   294,   295,     0,     0,   297,   298,   299,     0,     0,
       0,     0,     0,     0,     0,   301,   302,   303,   304,   305,
     306,   307,   308,   309,     0,   310,     0,   311,   312,   313,
     314,   315,   316,   317,     0,   318,   319,   320,   321,     0,
       0,   322,   323,   324,   325,   326,     0,   327,   328,   329,
       0,   330,   331,   332,     0,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,     0,   344,   345,
     346,   347,   348,     0,   349,     0,   350,     0,     0,     0,
     353,   354,   355,   356,     0,   357,   358,     0,   359,   360,
     361,     0,   362,   363,   364,   365,   366,     0,   368,   369,
     370,   371,     0,   372,   373,   374,   375,   376,   377,   378,
       0,   379,     0,   381,   382,   383,   384,   385,   386,   387,
       0,   388,     0,   389,     0,     0,   392,     0,   394,   395,
     396,   397,   398,     0,     0,   399,   400,     0,   402,     0,
       0,   404,   405,   406,     0,     0,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   818,   425,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
       0,   441,     0,   442,   443,   444,   445,   446,   447,     0,
     448,   449,     0,     0,   450,   451,   452,     0,     0,   453,
     454,   455,     0,   457,     0,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,     0,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     0,   506,   507,     0,   819,
     510,   511,   512,   513,   514,   515,   516,   517,   820,   519,
     520,   521,   522,   523,     0,   524,   525,   526,   527,  1345,
       0,   529,   530,   531,   532,   533,     0,   535,   536,   537,
     538,     0,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,     0,   554,   555,
       0,   556,     0,   558,   559,   560,   561,   562,     0,   563,
     822,   565,     0,     0,   823,   567,   568,   569,   570,     0,
     571,   572,   573,   574,   575,   576,   577,   578,     0,     0,
     579,   580,   581,   582,   583,     0,     0,   584,   585,   586,
     587,   588,   589,   590,     0,   591,     0,   593,   594,   595,
     596,     0,     0,   597,     0,     0,   598,   599,   600,   601,
     602,   824,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,   625,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,     0,   243,   244,   245,     0,     0,     0,     0,     0,
       0,     0,   246,   247,   248,     0,   249,   250,   251,   252,
       0,   254,   255,   256,   257,   258,     0,   260,   261,     0,
     262,   263,   264,   265,   266,   267,   268,     0,     0,   269,
     270,   271,   272,   273,     0,   274,   275,   276,   277,   278,
       0,     0,     0,   280,   281,   282,   283,   284,   285,     0,
     287,   288,   289,     0,   290,   291,   292,   293,   294,   295,
       0,     0,   297,   298,   299,     0,     0,     0,     0,     0,
       0,     0,   301,   302,   303,   304,   305,   306,   307,   308,
     309,     0,   310,     0,   311,   312,   313,   314,   315,   316,
     317,     0,   318,   319,   320,   321,     0,     0,   322,   323,
     324,   325,   326,     0,   327,   328,   329,     0,   330,   331,
     332,     0,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,     0,   343,     0,   344,   345,   346,   347,   348,
       0,   349,     0,   350,     0,     0,     0,   353,   354,   355,
     356,     0,   357,   358,     0,   359,   360,   361,     0,   362,
     363,   364,   365,  1822,     0,   368,   369,   370,   371,     0,
     372,   373,   374,   375,   376,   377,   378,     0,   379,     0,
     381,   382,   383,   384,   385,   386,   387,     0,   388,     0,
     389,     0,     0,   392,     0,   394,   395,   396,   397,   398,
       0,     0,   399,   400,     0,   402,     0,     0,   404,   405,
     406,     0,     0,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,     0,   441,     0,
     442,   443,   444,   445,   446,   447,     0,   448,   449,     0,
       0,   450,   451,   452,     0,     0,   453,   454,   455,     0,
     457,     0,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,     0,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     0,   506,   507,     0,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,     0,   535,   536,   537,   538,     0,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,     0,   554,   555,     0,   556,     0,
     558,   559,   560,   561,   562,     0,   563,   564,   565,     0,
       0,   566,   567,   568,   569,   570,     0,   571,   572,   573,
     574,   575,   576,   577,   578,     0,     0,   579,   580,   581,
     582,   583,     0,     0,   584,   585,   586,   587,   588,   589,
     590,     0,   591,     0,   593,   594,   595,   596,     0,     0,
     597,     0,     0,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   625,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,     0,   243,
     244,   245,     0,     0,     0,     0,     0,     0,     0,   246,
     247,   248,     0,   249,   250,   251,   252,     0,   254,   255,
     256,   257,   258,     0,   260,   261,     0,   262,   263,   264,
     265,   266,   267,   268,     0,     0,   269,   270,   271,   272,
     273,     0,   274,   275,   276,   277,   278,     0,     0,     0,
     280,   281,   282,   283,   284,   285,     0,   287,   288,   289,
       0,   290,   291,   292,   293,   294,   295,     0,     0,   297,
     298,   299,     0,     0,     0,     0,     0,     0,     0,   301,
     302,   303,   304,   305,   306,   307,   308,   309,     0,   310,
       0,   311,   312,   313,   314,   315,   316,   317,     0,   318,
     319,   320,   321,     0,     0,   322,   323,   324,   325,   326,
       0,   327,   328,   329,     0,   330,   331,   332,     0,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,     0,   344,   345,   346,   347,   348,     0,   349,     0,
     350,     0,     0,     0,   353,   354,   355,   356,     0,   357,
     358,     0,   359,   360,   361,     0,   362,   363,   364,   365,
    1856,     0,   368,   369,   370,   371,     0,   372,   373,   374,
     375,   376,   377,   378,     0,   379,     0,   381,   382,   383,
     384,   385,   386,   387,     0,   388,     0,   389,     0,     0,
     392,     0,   394,   395,   396,   397,   398,     0,     0,   399,
     400,     0,   402,     0,     0,   404,   405,   406,     0,     0,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,     0,   441,     0,   442,   443,   444,
     445,   446,   447,     0,   448,   449,     0,     0,   450,   451,
     452,     0,     0,   453,   454,   455,     0,   457,     0,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,     0,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,     0,   524,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
       0,   535,   536,   537,   538,     0,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,     0,   554,   555,     0,   556,     0,   558,   559,   560,
     561,   562,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,     0,   571,   572,   573,   574,   575,   576,
     577,   578,     0,     0,   579,   580,   581,   582,   583,     0,
       0,   584,   585,   586,   587,   588,   589,   590,     0,   591,
       0,   593,   594,   595,   596,     0,     0,   597,     0,     0,
     598,   599,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
     625,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,     0,   243,   244,   245,     0,
       0,     0,     0,     0,     0,     0,   246,   247,   248,     0,
     249,   250,   251,   252,     0,   254,   255,   256,   257,   258,
       0,   260,   261,     0,   262,   263,   264,   265,   266,   267,
     268,     0,     0,   269,   270,   271,   272,   273,     0,   274,
     275,   276,   277,   278,     0,     0,     0,   280,   281,   282,
     283,   284,   285,     0,   287,   288,   289,     0,   290,   291,
     292,   293,   294,   295,     0,     0,   297,   298,   299,     0,
       0,     0,     0,     0,     0,     0,   301,   302,   303,   304,
     305,   306,   307,   308,   309,     0,   310,     0,   311,   312,
     313,   314,   315,   316,   317,     0,   318,   319,   320,   321,
       0,     0,   322,   323,   324,   325,   326,     0,   327,   328,
     329,     0,   330,   331,   332,     0,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,     0,   343,     0,   344,
     345,   346,   347,   348,     0,   349,     0,   350,     0,     0,
       0,   353,   354,   355,   356,     0,   357,   358,     0,   359,
     360,   361,     0,   362,   363,   364,   365,  1858,     0,   368,
     369,   370,   371,     0,   372,   373,   374,   375,   376,   377,
     378,     0,   379,     0,   381,   382,   383,   384,   385,   386,
     387,     0,   388,     0,   389,     0,     0,   392,     0,   394,
     395,   396,   397,   398,     0,     0,   399,   400,     0,   402,
       0,     0,   404,   405,   406,     0,     0,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,     0,   441,     0,   442,   443,   444,   445,   446,   447,
       0,   448,   449,     0,     0,   450,   451,   452,     0,     0,
     453,   454,   455,     0,   457,     0,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     0,   506,   507,     0,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,     0,   524,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,     0,   535,   536,
     537,   538,     0,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,     0,   554,
     555,     0,   556,     0,   558,   559,   560,   561,   562,     0,
     563,   564,   565,     0,     0,   566,   567,   568,   569,   570,
       0,   571,   572,   573,   574,   575,   576,   577,   578,     0,
       0,   579,   580,   581,   582,   583,     0,     0,   584,   585,
     586,   587,   588,   589,   590,     0,   591,     0,   593,   594,
     595,   596,     0,     0,   597,     0,     0,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   617,   625,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,     0,   243,   244,   245,     0,     0,     0,     0,
       0,     0,     0,   246,   247,   248,     0,   249,   250,   251,
     252,     0,   254,   255,   256,   257,   258,     0,   260,   261,
       0,   262,   263,   264,   265,   266,   267,   268,     0,     0,
     269,   270,   271,   272,   273,     0,   274,   275,   276,   277,
     278,     0,     0,     0,   280,   281,   282,   283,   284,   285,
       0,   287,   288,   289,     0,   290,   291,   292,   293,   294,
     295,     0,     0,   297,   298,   299,     0,     0,     0,     0,
       0,     0,     0,   301,   302,   303,   304,   305,   306,   307,
     308,   309,     0,   310,     0,   311,   312,   313,   314,   315,
     316,   317,     0,   318,   319,   320,   321,     0,     0,   322,
     323,   324,   325,   326,     0,   327,   328,   329,     0,   330,
     331,   332,     0,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,     0,   344,   345,   346,   347,
     348,     0,   349,     0,   350,     0,     0,     0,   353,   354,
     355,   356,     0,   357,   358,     0,   359,   360,   361,     0,
     362,   363,   364,   365,  1897,     0,   368,   369,   370,   371,
       0,   372,   373,   374,   375,   376,   377,   378,     0,   379,
       0,   381,   382,   383,   384,   385,   386,   387,     0,   388,
       0,   389,     0,     0,   392,     0,   394,   395,   396,   397,
     398,     0,     0,   399,   400,     0,   402,     0,     0,   404,
     405,   406,     0,     0,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,     0,   441,
       0,   442,   443,   444,   445,   446,   447,     0,   448,   449,
       0,     0,   450,   451,   452,     0,     0,   453,   454,   455,
       0,   457,     0,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,     0,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     0,   506,   507,     0,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,     0,   524,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,     0,   535,   536,   537,   538,     0,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,     0,   554,   555,     0,   556,
       0,   558,   559,   560,   561,   562,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,     0,   571,   572,
     573,   574,   575,   576,   577,   578,     0,     0,   579,   580,
     581,   582,   583,     0,     0,   584,   585,   586,   587,   588,
     589,   590,     0,   591,     0,   593,   594,   595,   596,     0,
       0,   597,     0,     0,   598,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   625,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,     0,
     243,   244,   245,     0,     0,     0,     0,     0,     0,     0,
     246,   247,   248,     0,   249,   250,   251,   252,     0,   254,
     255,   256,   257,   258,     0,   260,   261,     0,   262,   263,
     264,   265,   266,   267,   268,     0,     0,   269,   270,   271,
     272,   273,     0,   274,   275,   276,   277,   278,     0,     0,
       0,   280,   281,   282,   283,   284,   285,     0,   287,   288,
     289,     0,   290,   291,   292,   293,   294,   295,     0,     0,
     297,   298,   299,     0,     0,     0,     0,     0,     0,     0,
     301,   302,   303,   304,   305,   306,   307,   308,   309,     0,
     310,     0,   311,   312,   313,   314,   315,   316,   317,     0,
     318,   319,   320,   321,     0,     0,   322,   323,   324,   325,
     326,     0,   327,   328,   329,     0,   330,   331,   332,     0,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
       0,   343,     0,   344,   345,   346,   347,   348,     0,   349,
       0,   350,     0,     0,     0,   353,   354,   355,   356,     0,
     357,   358,     0,   359,   360,   361,     0,   362,   363,   364,
     365,  1899,     0,   368,   369,   370,   371,     0,   372,   373,
     374,   375,   376,   377,   378,     0,   379,     0,   381,   382,
     383,   384,   385,   386,   387,     0,   388,     0,   389,     0,
       0,   392,     0,   394,   395,   396,   397,   398,     0,     0,
     399,   400,     0,   402,     0,     0,   404,   405,   406,     0,
       0,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,     0,   441,     0,   442,   443,
     444,   445,   446,   447,     0,   448,   449,     0,     0,   450,
     451,   452,     0,     0,   453,   454,   455,     0,   457,     0,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,     0,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,     0,   535,   536,   537,   538,     0,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,     0,   554,   555,     0,   556,     0,   558,   559,
     560,   561,   562,     0,   563,   564,   565,     0,     0,   566,
     567,   568,   569,   570,     0,   571,   572,   573,   574,   575,
     576,   577,   578,     0,     0,   579,   580,   581,   582,   583,
       0,     0,   584,   585,   586,   587,   588,   589,   590,     0,
     591,     0,   593,   594,   595,   596,     0,     0,   597,     0,
       0,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   625,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,     0,   243,   244,   245,
       0,     0,     0,     0,     0,     0,     0,   246,   247,   248,
       0,   249,   250,   251,   252,     0,   254,   255,   256,   257,
     258,     0,   260,   261,     0,   262,   263,   264,   265,   266,
     267,   268,     0,     0,   269,   270,   271,   272,   273,     0,
     274,   275,   276,   277,   278,     0,     0,     0,   280,   281,
     282,   283,   284,   285,     0,   287,   288,   289,     0,   290,
     291,   292,   293,   294,   295,     0,     0,   297,   298,   299,
       0,     0,     0,     0,     0,     0,     0,   301,   302,   303,
     304,   305,   306,   307,   308,   309,     0,   310,     0,   311,
     312,   313,   314,   315,   316,   317,     0,   318,   319,   320,
     321,     0,     0,   322,   323,   324,   325,   326,     0,   327,
     328,   329,     0,   330,   331,   332,     0,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,   343,     0,
     344,   345,   346,   347,   348,     0,   349,     0,   350,     0,
       0,     0,   353,   354,   355,   356,     0,   357,   358,     0,
     359,   360,   361,     0,   362,   363,   364,   365,  1901,     0,
     368,   369,   370,   371,     0,   372,   373,   374,   375,   376,
     377,   378,     0,   379,     0,   381,   382,   383,   384,   385,
     386,   387,     0,   388,     0,   389,     0,     0,   392,     0,
     394,   395,   396,   397,   398,     0,     0,   399,   400,     0,
     402,     0,     0,   404,   405,   406,     0,     0,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,     0,   441,     0,   442,   443,   444,   445,   446,
     447,     0,   448,   449,     0,     0,   450,   451,   452,     0,
       0,   453,   454,   455,     0,   457,     0,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,     0,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     0,   506,   507,
       0,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,     0,   535,
     536,   537,   538,     0,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,     0,
     554,   555,     0,   556,     0,   558,   559,   560,   561,   562,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,     0,   571,   572,   573,   574,   575,   576,   577,   578,
       0,     0,   579,   580,   581,   582,   583,     0,     0,   584,
     585,   586,   587,   588,   589,   590,     0,   591,     0,   593,
     594,   595,   596,     0,     0,   597,     0,     0,   598,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,   625,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,     0,   243,   244,   245,     0,     0,     0,
       0,     0,     0,     0,   246,   247,   248,     0,   249,   250,
     251,   252,     0,   254,   255,   256,   257,   258,     0,   260,
     261,     0,   262,   263,   264,   265,   266,   267,   268,     0,
       0,   269,   270,   271,   272,   273,     0,   274,   275,   276,
     277,   278,     0,     0,     0,   280,   281,   282,   283,   284,
     285,     0,   287,   288,   289,     0,   290,   291,   292,   293,
     294,   295,     0,     0,   297,   298,   299,     0,     0,     0,
       0,     0,     0,     0,   301,   302,   303,   304,   305,   306,
     307,   308,   309,     0,   310,     0,   311,   312,   313,   314,
     315,   316,   317,     0,   318,   319,   320,   321,     0,     0,
     322,   323,   324,   325,   326,     0,   327,   328,   329,     0,
     330,   331,   332,     0,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,     0,   343,     0,   344,   345,   346,
     347,   348,     0,   349,     0,   350,     0,     0,     0,   353,
     354,   355,   356,     0,   357,   358,     0,   359,   360,   361,
       0,   362,   363,   364,   365,   366,     0,   368,   369,   370,
     371,     0,   372,   373,   374,   375,   376,   377,   378,     0,
     379,     0,   381,   382,   383,   384,   385,   386,   387,     0,
     388,     0,   389,     0,     0,   392,     0,   394,   395,   396,
     397,   398,     0,     0,   399,   400,     0,   402,     0,     0,
     404,   405,   406,     0,     0,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,     0,
     441,     0,   442,   443,   444,   445,   446,   447,     0,   448,
     449,     0,     0,   450,   451,   452,     0,     0,   453,   454,
     455,     0,   457,     0,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,     0,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     0,   506,   507,     0,   509,   510,
     511,   512,   513,   514,   515,   516,  1994,   518,   519,   520,
     521,   522,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,     0,   535,   536,   537,   538,
       0,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,     0,   554,   555,     0,
     556,     0,   558,   559,   560,   561,   562,     0,   563,   564,
     565,     0,     0,   566,   567,   568,   569,   570,     0,   571,
     572,   573,   574,   575,   576,   577,   578,     0,     0,   579,
     580,   581,   582,   583,     0,     0,   584,   585,   586,   587,
     588,   589,   590,     0,   591,     0,   593,   594,   595,   596,
       0,     0,   597,     0,     0,   598,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   617,   625,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
       0,   243,   244,   245,     0,     0,     0,     0,     0,  2624,
       0,   246,   247,   248,     0,   249,   250,   251,   252,     0,
     254,   255,   256,   257,   258,     0,   260,   261,     0,   262,
     263,   264,   265,   266,   267,   268,     0,     0,   269,   270,
     271,   272,   273,     0,   274,   275,   276,   277,   278,     0,
       0,     0,   280,   281,   282,   283,   284,   285,     0,   287,
     288,   289,     0,   290,   291,   292,   293,   294,   295,     0,
       0,   297,   298,   299,     0,     0,     0,     0,     0,     0,
       0,   301,   302,   303,   304,   305,   306,   307,   308,   309,
       0,   310,     0,   311,   312,   313,   314,   315,   316,   317,
       0,   318,   319,   320,   321,     0,     0,   322,   323,   324,
     325,   326,     0,   327,   328,   329,     0,   330,   331,   332,
       0,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,     0,   344,   345,   346,   347,   348,     0,
     349,     0,   350,     0,     0,     0,   353,   354,   355,   356,
       0,   357,   358,     0,   359,   360,   361,     0,   362,   363,
     364,   365,   366,     0,   368,   369,   370,   371,     0,   372,
     373,   374,   375,   376,   377,   378,     0,   379,     0,   381,
     382,   383,   384,   385,   386,   387,     0,   388,     0,   389,
       0,     0,   392,     0,   394,   395,   396,   397,   398,     0,
       0,   399,   400,     0,   402,     0,     0,   404,   405,   406,
       0,     0,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,     0,   441,     0,   442,
     443,   444,   445,   446,   447,     0,   448,   449,     0,     0,
     450,   451,   452,     0,     0,   453,   454,   455,     0,   457,
       0,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,     0,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
       0,   524,   525,   526,   527,   528,     0,     0,   530,   531,
     532,   533,     0,   535,   536,   537,   538,     0,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,     0,   554,   555,     0,   556,     0,   558,
     559,   560,   561,   562,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,     0,   571,   572,   573,   574,
     575,   576,   577,   578,     0,     0,   579,   580,   581,   582,
     583,     0,     0,   584,   585,   586,   587,   588,   589,   590,
       0,   591,     0,   593,   594,   595,   596,     0,     0,   597,
       0,     0,   598,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,   625,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,     0,   243,   244,
     245,     0,     0,     0,     0,     0,     0,     0,   246,   247,
     248,     0,   249,   250,   251,   252,     0,   254,   255,   256,
     257,   258,     0,   260,   261,     0,   262,   263,   264,   265,
     266,   267,   268,     0,     0,   815,   270,   271,   272,   273,
       0,   274,   275,   276,   277,   278,     0,     0,     0,   280,
     281,   282,   283,   284,   285,     0,   287,   288,   289,     0,
     290,   291,   292,   293,   294,   295,     0,     0,   297,   298,
     299,     0,     0,     0,     0,     0,     0,     0,   301,   302,
     303,   304,   305,   306,   307,   308,   309,     0,   310,     0,
     311,   312,   313,   314,   315,   316,   317,     0,   318,   319,
     320,   321,     0,     0,   322,   323,   324,   325,   326,     0,
     327,   328,   329,     0,   330,   331,   332,     0,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,     0,   343,
       0,   344,   345,   346,   347,   348,     0,   349,     0,   350,
       0,     0,     0,   353,   354,   355,   356,     0,   357,   358,
       0,   359,   360,   361,     0,   362,   363,   364,   365,   366,
       0,   368,   369,   370,   371,     0,   372,   373,   374,   375,
     376,   377,   378,     0,   379,     0,   381,   382,   383,   384,
     385,   386,   387,     0,   388,     0,   389,     0,     0,   392,
       0,   394,   395,   396,   397,   398,     0,     0,   399,   400,
       0,   402,     0,     0,   404,   405,   406,     0,     0,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   818,   425,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,     0,   441,     0,   442,   443,   444,   445,
     446,   447,     0,   448,   449,     0,     0,   450,   451,   452,
       0,     0,   453,   454,   455,     0,   457,     0,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     0,   506,
     507,     0,   819,   510,   511,   512,   513,   514,   515,   516,
     517,   820,   519,   520,   521,   522,   523,     0,   524,   525,
     526,   527,  1345,     0,   529,   530,   531,   532,   533,     0,
     535,   536,   537,   538,     0,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
       0,   554,   555,     0,   556,     0,  2658,   559,   560,   561,
     562,     0,   563,   822,   565,     0,     0,   823,   567,   568,
     569,   570,     0,   571,   572,   573,   574,   575,   576,   577,
     578,     0,     0,   579,   580,   581,   582,   583,     0,     0,
     584,   585,   586,   587,   588,   589,   590,     0,   591,     0,
     593,   594,   595,   596,     0,     0,   597,     0,     0,   598,
     599,   600,   601,   602,   824,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,   625,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,     0,   243,   244,   245,     0,     0,
       0,     0,     0,     0,     0,   246,   247,   248,     0,   249,
     250,   251,   252,     0,   254,   255,   256,   257,   258,     0,
     260,   261,     0,   262,   263,   264,   265,   266,   267,   268,
       0,     0,   815,   270,   271,   272,   273,     0,   274,   275,
     276,   277,   278,     0,     0,     0,   280,   281,   282,   283,
     284,   285,     0,   287,   288,   289,     0,   290,   291,   292,
     293,   294,   295,     0,     0,   297,   298,   299,     0,     0,
       0,     0,     0,     0,     0,   301,   302,   303,   304,   305,
     306,   307,   308,   309,     0,   310,     0,   311,   312,   313,
     314,   315,   316,   317,     0,   318,   319,   320,   321,     0,
       0,   322,   323,   324,   325,   326,     0,   327,   328,   329,
       0,   330,   331,   332,     0,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,     0,   344,   345,
     346,   347,   348,     0,   349,     0,   350,     0,     0,     0,
     353,   354,   355,   356,     0,   357,   358,     0,   359,   360,
     361,     0,   362,   363,   364,   365,   366,     0,   368,   369,
     370,   371,     0,   372,   373,   374,   375,   376,   377,   378,
       0,   379,     0,   381,   382,   383,   384,   385,   386,   387,
       0,   388,     0,   389,     0,     0,   392,     0,   394,   395,
     396,   397,   398,     0,     0,   399,   400,     0,   402,     0,
       0,   404,   405,   406,     0,     0,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   818,   425,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
       0,   441,     0,   442,   443,   444,   445,   446,   447,     0,
     448,   449,     0,     0,   450,   451,   452,     0,     0,   453,
     454,   455,     0,   457,     0,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,     0,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     0,   506,   507,     0,   819,
     510,   511,   512,   513,   514,   515,   516,   517,  2723,   519,
     520,   521,   522,   523,     0,   524,   525,   526,   527,  2724,
       0,   529,   530,   531,   532,   533,     0,   535,   536,   537,
     538,     0,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,     0,   554,   555,
       0,   556,     0,   558,   559,   560,   561,   562,     0,   563,
     822,   565,     0,     0,  2725,   567,   568,   569,   570,     0,
     571,   572,   573,   574,   575,   576,   577,   578,     0,     0,
     579,   580,   581,   582,   583,     0,     0,   584,   585,   586,
     587,   588,   589,   590,     0,   591,     0,   593,   594,   595,
     596,     0,     0,   597,     0,     0,   598,   599,   600,   601,
     602,   824,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,   625,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,     0,   243,   244,   245,     0,     0,     0,     0,     0,
       0,     0,   246,   247,   248,     0,   249,   250,   251,   252,
       0,   254,   255,   256,   257,   258,     0,   260,   261,     0,
     262,   263,   264,   265,   266,   267,   268,     0,     0,   815,
     270,   271,   272,   273,     0,   274,   275,   276,   277,   278,
       0,     0,     0,   280,   281,   282,   283,   284,   285,     0,
     287,   288,   289,     0,   290,   291,   292,   293,   294,   295,
       0,     0,   297,   298,   299,     0,     0,     0,     0,     0,
       0,     0,   301,   302,   303,   304,   305,   306,   307,   308,
     309,     0,   310,     0,   311,   312,   313,   314,   315,   316,
     317,     0,   318,   319,   320,   321,     0,     0,   322,   323,
     324,   325,   326,     0,   327,   328,   329,     0,   330,   331,
     332,     0,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,     0,   343,     0,   344,   345,   346,   347,   348,
       0,   349,     0,   350,     0,     0,     0,   353,   354,   355,
     356,     0,   357,   358,     0,   359,   360,   361,     0,   362,
     363,   364,   365,   366,     0,   368,   369,   370,   371,     0,
     372,   373,   374,   375,   376,   377,   378,     0,   379,     0,
     381,   382,   383,   384,   385,   386,   387,     0,   388,     0,
     389,     0,     0,   392,     0,   394,   395,   396,   397,   398,
       0,     0,   399,   400,     0,   402,     0,     0,   404,   405,
     406,     0,     0,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     818,   425,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,     0,   441,     0,
     442,   443,   444,   445,   446,   447,     0,   448,   449,     0,
       0,   450,   451,   452,     0,     0,   453,   454,   455,     0,
     457,     0,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,     0,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     0,   506,   507,     0,   819,   510,   511,   512,
     513,   514,   515,   516,   517,  2803,   519,   520,   521,   522,
     523,     0,   524,   525,   526,   527,  2724,     0,   529,   530,
     531,   532,   533,     0,   535,   536,   537,   538,     0,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,     0,   554,   555,     0,   556,     0,
     558,   559,   560,   561,   562,     0,   563,   822,   565,     0,
       0,  2725,   567,   568,   569,   570,     0,   571,   572,   573,
     574,   575,   576,   577,   578,     0,     0,   579,   580,   581,
     582,   583,     0,     0,   584,   585,   586,   587,   588,   589,
     590,     0,   591,     0,   593,   594,   595,   596,     0,     0,
     597,     0,     0,   598,   599,   600,   601,   602,   824,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   625,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,     0,   243,
     244,   245,     0,     0,     0,     0,     0,     0,     0,   246,
     247,   248,     0,   249,   250,   251,   252,     0,   254,   255,
     256,   257,   258,     0,   260,   261,     0,   262,   263,   264,
     265,   266,   267,   268,     0,     0,   815,   270,   271,   272,
     273,     0,   274,   275,   276,   277,   278,     0,     0,     0,
     280,   281,   282,   283,   284,   285,     0,   287,   288,   289,
       0,   290,   291,   292,   293,   294,   295,     0,     0,   297,
     298,   299,     0,     0,     0,     0,     0,     0,     0,   301,
     302,   303,   304,   305,   306,   307,   308,   309,     0,   310,
       0,   311,   312,   313,   314,   315,   316,   317,     0,   318,
     319,   320,   321,     0,     0,   322,   323,   324,   325,   326,
       0,   327,   328,   329,     0,   330,   331,   332,     0,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,     0,   344,   345,   346,   347,   348,     0,   349,     0,
     350,     0,     0,     0,   353,   354,   355,   356,     0,   357,
     358,     0,   359,   360,   361,     0,   362,   363,   364,   365,
     366,     0,   368,   369,   370,   371,     0,   372,   373,   374,
     375,   376,   377,   378,     0,   379,     0,   381,   382,   383,
     384,   385,   386,   387,     0,   388,     0,   389,     0,     0,
     392,     0,   394,   395,   396,   397,   398,     0,     0,   399,
     400,     0,   402,     0,     0,   404,   405,   406,     0,     0,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   818,   425,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,     0,   441,     0,   442,   443,   444,
     445,   446,   447,     0,   448,   449,     0,     0,   450,   451,
     452,     0,     0,   453,   454,   455,     0,   457,     0,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,     0,   819,   510,   511,   512,   513,   514,   515,
     516,   517,  2827,   519,   520,   521,   522,   523,     0,   524,
     525,   526,   527,  2724,     0,   529,   530,   531,   532,   533,
       0,   535,   536,   537,   538,     0,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,     0,   554,   555,     0,   556,     0,   558,   559,   560,
     561,   562,     0,   563,   822,   565,     0,     0,  2725,   567,
     568,   569,   570,     0,   571,   572,   573,   574,   575,   576,
     577,   578,     0,     0,   579,   580,   581,   582,   583,     0,
       0,   584,   585,   586,   587,   588,   589,   590,     0,   591,
       0,   593,   594,   595,   596,     0,     0,   597,     0,     0,
     598,   599,   600,   601,   602,   824,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
     625,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,     0,   243,   244,   245,     0,
       0,     0,     0,     0,     0,     0,   246,   247,   248,     0,
     249,   250,   251,   252,     0,   254,   255,   256,   257,   258,
       0,   260,   261,     0,   262,   263,   264,   265,   266,   267,
     268,     0,     0,   269,   270,   271,   272,   273,     0,   274,
     275,   276,   277,   278,     0,     0,     0,   280,   281,   282,
     283,   284,   285,     0,   287,   288,   289,     0,   290,   291,
     292,   293,   294,   295,     0,     0,   297,   298,   299,     0,
       0,     0,     0,     0,     0,     0,   301,   302,   303,   304,
     305,   306,   307,   308,   309,     0,   310,     0,   311,   312,
     313,   314,   315,   316,   317,     0,   318,   319,   320,   321,
       0,     0,   322,   323,   324,   325,   326,     0,   327,   328,
     329,     0,   330,   331,   332,     0,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,     0,   343,     0,   344,
     345,   346,   347,   348,     0,   349,     0,   350,     0,     0,
       0,   353,   354,   355,   356,     0,   357,   358,     0,   359,
     360,   361,     0,   362,   363,   364,   365,  3020,     0,   368,
     369,   370,   371,     0,   372,   373,   374,   375,   376,   377,
     378,     0,   379,     0,   381,   382,   383,   384,   385,   386,
     387,     0,   388,     0,   389,     0,     0,   392,     0,   394,
     395,   396,   397,   398,     0,     0,   399,   400,     0,   402,
       0,     0,   404,   405,   406,     0,     0,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,     0,   441,     0,   442,   443,   444,   445,   446,   447,
       0,   448,   449,     0,     0,   450,   451,   452,     0,     0,
     453,   454,   455,     0,   457,     0,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     0,   506,   507,     0,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,     0,   524,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,     0,   535,   536,
     537,   538,     0,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,     0,   554,
     555,     0,   556,     0,   558,   559,   560,   561,   562,     0,
     563,   564,   565,     0,     0,   566,   567,   568,   569,   570,
       0,   571,   572,   573,   574,   575,   576,   577,   578,     0,
       0,   579,   580,   581,   582,   583,     0,     0,   584,   585,
     586,   587,   588,   589,   590,     0,   591,     0,   593,   594,
     595,   596,     0,     0,   597,     0,     0,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   617,   625,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,     0,   243,   244,   245,     0,     0,     0,     0,
       0,     0,     0,   246,   247,   248,     0,   249,   250,   251,
     252,     0,   254,   255,   256,   257,   258,     0,   260,   261,
       0,   262,   263,   264,   265,   266,   267,   268,     0,     0,
     269,   270,   271,   272,   273,     0,   274,   275,   276,   277,
     278,     0,     0,     0,   280,   281,   282,   283,   284,   285,
       0,   287,   288,   289,     0,   290,   291,   292,   293,   294,
     295,     0,     0,   297,   298,   299,     0,     0,     0,     0,
       0,     0,     0,   301,   302,   303,   304,   305,   306,   307,
     308,   309,     0,   310,     0,   311,   312,   313,   314,   315,
     316,   317,     0,   318,   319,   320,   321,     0,     0,   322,
     323,   324,   325,   326,     0,   327,   328,   329,     0,   330,
     331,   332,     0,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,     0,   344,   345,   346,   347,
     348,     0,   349,     0,   350,     0,     0,     0,   353,   354,
     355,   356,     0,   357,   358,     0,   359,   360,   361,     0,
     362,   363,   364,   365,  3024,     0,   368,   369,   370,   371,
       0,   372,   373,   374,   375,   376,   377,   378,     0,   379,
       0,   381,   382,   383,   384,   385,   386,   387,     0,   388,
       0,   389,     0,     0,   392,     0,   394,   395,   396,   397,
     398,     0,     0,   399,   400,     0,   402,     0,     0,   404,
     405,   406,     0,     0,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,     0,   441,
       0,   442,   443,   444,   445,   446,   447,     0,   448,   449,
       0,     0,   450,   451,   452,     0,     0,   453,   454,   455,
       0,   457,     0,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,     0,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     0,   506,   507,     0,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,     0,   524,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,     0,   535,   536,   537,   538,     0,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,     0,   554,   555,     0,   556,
       0,   558,   559,   560,   561,   562,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,     0,   571,   572,
     573,   574,   575,   576,   577,   578,     0,     0,   579,   580,
     581,   582,   583,     0,     0,   584,   585,   586,   587,   588,
     589,   590,     0,   591,     0,   593,   594,   595,   596,     0,
       0,   597,     0,     0,   598,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   625,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,     0,
     243,   244,   245,     0,     0,     0,     0,     0,     0,     0,
     246,   247,   248,     0,   249,   250,   251,   252,     0,   254,
     255,   256,   257,   258,     0,   260,   261,     0,   262,   263,
     264,   265,   266,   267,   268,     0,     0,   269,   270,   271,
     272,   273,     0,   274,   275,   276,   277,   278,     0,     0,
       0,   280,   281,   282,   283,   284,   285,     0,   287,   288,
     289,     0,   290,   291,   292,   293,   294,   295,     0,     0,
     297,   298,   299,     0,     0,     0,     0,     0,     0,     0,
     301,   302,   303,   304,   305,   306,   307,   308,   309,     0,
     310,     0,   311,   312,   313,   314,   315,   316,   317,     0,
     318,   319,   320,   321,     0,     0,   322,   323,   324,   325,
     326,     0,   327,   328,   329,     0,   330,   331,   332,     0,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
       0,   343,     0,   344,   345,   346,   347,   348,     0,   349,
       0,   350,     0,     0,     0,   353,   354,   355,   356,     0,
     357,   358,     0,   359,   360,   361,     0,   362,   363,   364,
     365,  3082,     0,   368,   369,   370,   371,     0,   372,   373,
     374,   375,   376,   377,   378,     0,   379,     0,   381,   382,
     383,   384,   385,   386,   387,     0,   388,     0,   389,     0,
       0,   392,     0,   394,   395,   396,   397,   398,     0,     0,
     399,   400,     0,   402,     0,     0,   404,   405,   406,     0,
       0,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,     0,   441,     0,   442,   443,
     444,   445,   446,   447,     0,   448,   449,     0,     0,   450,
     451,   452,     0,     0,   453,   454,   455,     0,   457,     0,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,     0,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,     0,   535,   536,   537,   538,     0,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,     0,   554,   555,     0,   556,     0,   558,   559,
     560,   561,   562,     0,   563,   564,   565,     0,     0,   566,
     567,   568,   569,   570,     0,   571,   572,   573,   574,   575,
     576,   577,   578,     0,     0,   579,   580,   581,   582,   583,
       0,     0,   584,   585,   586,   587,   588,   589,   590,     0,
     591,     0,   593,   594,   595,   596,     0,     0,   597,     0,
       0,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   625,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,     0,   243,   244,   245,
       0,     0,     0,     0,     0,     0,     0,   246,   247,   248,
       0,   249,   250,   251,   252,     0,   254,   255,   256,   257,
     258,     0,   260,   261,     0,   262,   263,   264,   265,   266,
     267,   268,     0,     0,   269,   270,   271,   272,   273,     0,
     274,   275,   276,   277,   278,     0,     0,     0,   280,   281,
     282,   283,   284,   285,     0,   287,   288,   289,     0,   290,
     291,   292,   293,   294,   295,     0,     0,   297,   298,   299,
       0,     0,     0,     0,     0,     0,     0,   301,   302,   303,
     304,   305,   306,   307,   308,   309,     0,   310,     0,   311,
     312,   313,   314,   315,   316,   317,     0,   318,   319,   320,
     321,     0,     0,   322,   323,   324,   325,   326,     0,   327,
     328,   329,     0,   330,   331,   332,     0,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,   343,     0,
     344,   345,   346,   347,   348,     0,   349,     0,   350,     0,
       0,     0,   353,   354,   355,   356,     0,   357,   358,     0,
     359,   360,   361,     0,   362,   363,   364,   365,  3446,     0,
     368,   369,   370,   371,     0,   372,   373,   374,   375,   376,
     377,   378,     0,   379,     0,   381,   382,   383,   384,   385,
     386,   387,     0,   388,     0,   389,     0,     0,   392,     0,
     394,   395,   396,   397,   398,     0,     0,   399,   400,     0,
     402,     0,     0,   404,   405,   406,     0,     0,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,     0,   441,     0,   442,   443,   444,   445,   446,
     447,     0,   448,   449,     0,     0,   450,   451,   452,     0,
       0,   453,   454,   455,     0,   457,     0,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,     0,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     0,   506,   507,
       0,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,     0,   535,
     536,   537,   538,     0,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,     0,
     554,   555,     0,   556,     0,   558,   559,   560,   561,   562,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,     0,   571,   572,   573,   574,   575,   576,   577,   578,
       0,     0,   579,   580,   581,   582,   583,     0,     0,   584,
     585,   586,   587,   588,   589,   590,     0,   591,     0,   593,
     594,   595,   596,     0,     0,   597,     0,     0,   598,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,   625,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,     0,   243,   244,   245,     0,     0,     0,
       0,     0,     0,     0,   246,   247,   248,     0,   249,   250,
     251,   252,     0,   254,   255,   256,   257,   258,     0,   260,
     261,     0,   262,   263,   264,   265,   266,   267,   268,     0,
       0,   815,   270,   271,   272,   273,     0,   274,   275,   276,
     277,   278,     0,     0,     0,   280,   281,   282,   283,   284,
     285,     0,   287,   288,   289,     0,   290,   291,   292,   293,
     294,   295,     0,     0,   297,   298,   299,     0,     0,     0,
       0,     0,     0,     0,   301,   302,   303,   304,   305,   306,
     307,   308,   309,     0,   310,     0,   311,   312,   313,   314,
     315,   316,   317,     0,   318,   319,   320,   321,     0,     0,
     322,   323,   324,   325,   326,     0,   327,   328,   329,     0,
     330,   331,   332,     0,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,     0,   343,     0,   344,   345,   346,
     347,   348,     0,   349,     0,   350,     0,     0,     0,   353,
     354,   355,   356,     0,   357,   358,     0,   359,   360,   361,
       0,   362,   363,   364,   365,   366,     0,   368,   369,   370,
     371,     0,   372,   373,   374,   375,   376,   377,   378,     0,
     379,     0,   381,   382,   383,   384,   385,   386,   387,     0,
     388,     0,   389,     0,     0,   392,     0,   394,   395,   396,
     397,   398,     0,     0,   399,   400,     0,   402,     0,     0,
     404,   405,   406,     0,     0,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   818,   425,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,     0,
     441,     0,   442,   443,   444,   445,   446,   447,     0,   448,
     449,     0,     0,   450,   451,   452,     0,     0,   453,   454,
     455,     0,   457,     0,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,     0,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     0,   506,   507,     0,   819,   510,
     511,   512,   513,   514,   515,   516,   517,   820,   519,   520,
     521,   522,   523,     0,   524,   525,   526,   527,  2724,     0,
     529,   530,   531,   532,   533,     0,   535,   536,   537,   538,
       0,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,     0,   554,   555,     0,
     556,     0,   558,   559,   560,   561,   562,     0,   563,   822,
     565,     0,     0,  2725,   567,   568,   569,   570,     0,   571,
     572,   573,   574,   575,   576,   577,   578,     0,     0,   579,
     580,   581,   582,   583,     0,     0,   584,   585,   586,   587,
     588,   589,   590,     0,   591,     0,   593,   594,   595,   596,
       0,     0,   597,     0,     0,   598,   599,   600,   601,   602,
     824,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   617,   625,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
       0,   243,   244,   245,     0,     0,     0,     0,     0,     0,
       0,   246,   247,   248,     0,   249,   250,   251,   252,     0,
     254,   255,   256,   257,   258,     0,   260,   261,     0,   262,
     263,   264,   265,   266,   267,   268,     0,     0,   269,   270,
     271,   272,   273,     0,   274,   275,   276,   277,   278,     0,
       0,     0,   280,   281,   282,   283,   284,   285,     0,   287,
     288,   289,     0,   290,   291,   292,   293,   294,   295,     0,
       0,   297,   298,   299,     0,     0,     0,     0,     0,     0,
       0,   301,   302,   303,   304,   305,   306,   307,   308,   309,
       0,   310,     0,   311,   312,   313,   314,   315,   316,   317,
       0,   318,   319,   320,   321,     0,     0,   322,   323,   324,
     325,   326,     0,   327,   328,   329,     0,   330,   331,   332,
       0,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,     0,   344,   345,   346,   347,   348,     0,
     349,     0,   350,     0,     0,     0,   353,   354,   355,   356,
       0,   357,   358,     0,   359,   360,   361,     0,   362,   363,
     364,   365,  3503,     0,   368,   369,   370,   371,     0,   372,
     373,   374,   375,   376,   377,   378,     0,   379,     0,   381,
     382,   383,   384,   385,   386,   387,     0,   388,     0,   389,
       0,     0,   392,     0,   394,   395,   396,   397,   398,     0,
       0,   399,   400,     0,   402,     0,     0,   404,   405,   406,
       0,     0,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,     0,   441,     0,   442,
     443,   444,   445,   446,   447,     0,   448,   449,     0,     0,
     450,   451,   452,     0,     0,   453,   454,   455,     0,   457,
       0,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,     0,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
       0,   524,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,     0,   535,   536,   537,   538,     0,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,     0,   554,   555,     0,   556,     0,   558,
     559,   560,   561,   562,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,     0,   571,   572,   573,   574,
     575,   576,   577,   578,     0,     0,   579,   580,   581,   582,
     583,     0,     0,   584,   585,   586,   587,   588,   589,   590,
       0,   591,     0,   593,   594,   595,   596,     0,     0,   597,
       0,     0,   598,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,   625,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,     0,   243,   244,
     245,     0,     0,     0,     0,     0,     0,     0,   246,   247,
     248,     0,   249,   250,   251,   252,     0,   254,   255,   256,
     257,   258,     0,   260,   261,     0,   262,   263,   264,   265,
     266,   267,   268,     0,     0,   269,   270,   271,   272,   273,
       0,   274,   275,   276,   277,   278,     0,     0,     0,   280,
     281,   282,   283,   284,   285,     0,   287,   288,   289,     0,
     290,   291,   292,   293,   294,   295,     0,     0,   297,   298,
     299,     0,     0,     0,     0,     0,     0,     0,   301,   302,
     303,   304,   305,   306,   307,   308,   309,     0,   310,     0,
     311,   312,   313,   314,   315,   316,   317,     0,   318,   319,
     320,   321,     0,     0,   322,   323,   324,   325,   326,     0,
     327,   328,   329,     0,   330,   331,   332,     0,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,     0,   343,
       0,   344,   345,   346,   347,   348,     0,   349,     0,   350,
       0,     0,     0,   353,   354,   355,   356,     0,   357,   358,
       0,   359,   360,   361,     0,   362,   363,   364,   365,  3517,
       0,   368,   369,   370,   371,     0,   372,   373,   374,   375,
     376,   377,   378,     0,   379,     0,   381,   382,   383,   384,
     385,   386,   387,     0,   388,     0,   389,     0,     0,   392,
       0,   394,   395,   396,   397,   398,     0,     0,   399,   400,
       0,   402,     0,     0,   404,   405,   406,     0,     0,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,     0,   441,     0,   442,   443,   444,   445,
     446,   447,     0,   448,   449,     0,     0,   450,   451,   452,
       0,     0,   453,   454,   455,     0,   457,     0,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     0,   506,
     507,     0,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,     0,
     535,   536,   537,   538,     0,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
       0,   554,   555,     0,   556,     0,   558,   559,   560,   561,
     562,     0,   563,   564,   565,     0,     0,   566,   567,   568,
     569,   570,     0,   571,   572,   573,   574,   575,   576,   577,
     578,     0,     0,   579,   580,   581,   582,   583,     0,     0,
     584,   585,   586,   587,   588,   589,   590,     0,   591,     0,
     593,   594,   595,   596,     0,     0,   597,     0,     0,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,   625,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,     0,   243,   244,   245,     0,     0,
       0,     0,     0,     0,     0,   246,   247,   248,     0,   249,
     250,   251,   252,     0,   254,   255,   256,   257,   258,     0,
     260,   261,     0,   262,   263,   264,   265,   266,   267,   268,
       0,     0,   269,   270,   271,   272,   273,     0,   274,   275,
     276,   277,   278,     0,     0,     0,   280,   281,   282,   283,
     284,   285,     0,   287,   288,   289,     0,   290,   291,   292,
     293,   294,   295,     0,     0,   297,   298,   299,     0,     0,
       0,     0,     0,     0,     0,   301,   302,   303,   304,   305,
     306,   307,   308,   309,     0,   310,     0,   311,   312,   313,
     314,   315,   316,   317,     0,   318,   319,   320,   321,     0,
       0,   322,   323,   324,   325,   326,     0,   327,   328,   329,
       0,   330,   331,   332,     0,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,     0,   344,   345,
     346,   347,   348,     0,   349,     0,   350,     0,     0,     0,
     353,   354,   355,   356,     0,   357,   358,     0,   359,   360,
     361,     0,   362,   363,   364,   365,  3519,     0,   368,   369,
     370,   371,     0,   372,   373,   374,   375,   376,   377,   378,
       0,   379,     0,   381,   382,   383,   384,   385,   386,   387,
       0,   388,     0,   389,     0,     0,   392,     0,   394,   395,
     396,   397,   398,     0,     0,   399,   400,     0,   402,     0,
       0,   404,   405,   406,     0,     0,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
       0,   441,     0,   442,   443,   444,   445,   446,   447,     0,
     448,   449,     0,     0,   450,   451,   452,     0,     0,   453,
     454,   455,     0,   457,     0,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,     0,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     0,   506,   507,     0,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,     0,   524,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,     0,   535,   536,   537,
     538,     0,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,     0,   554,   555,
       0,   556,     0,   558,   559,   560,   561,   562,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,     0,
     571,   572,   573,   574,   575,   576,   577,   578,     0,     0,
     579,   580,   581,   582,   583,     0,     0,   584,   585,   586,
     587,   588,   589,   590,     0,   591,     0,   593,   594,   595,
     596,     0,     0,   597,     0,     0,   598,   599,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,   625,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,     0,   243,   244,   245,     0,     0,     0,     0,     0,
       0,     0,   246,   247,   248,     0,   249,   250,   251,   252,
       0,   254,   255,   256,   257,   258,     0,   260,   261,     0,
     262,   263,   264,   265,   266,   267,   268,     0,     0,   269,
     270,   271,   272,   273,     0,   274,   275,   276,   277,   278,
       0,     0,     0,   280,   281,   282,   283,   284,   285,     0,
     287,   288,   289,     0,   290,   291,   292,   293,   294,   295,
       0,     0,   297,   298,   299,     0,     0,     0,     0,     0,
       0,     0,   301,   302,   303,   304,   305,   306,   307,   308,
     309,     0,   310,     0,   311,   312,   313,   314,   315,   316,
     317,     0,   318,   319,   320,   321,     0,     0,   322,   323,
     324,   325,   326,     0,   327,   328,   329,     0,   330,   331,
     332,     0,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,     0,   343,     0,   344,   345,   346,   347,   348,
       0,   349,     0,   350,     0,     0,     0,   353,   354,   355,
     356,     0,   357,   358,     0,   359,   360,   361,     0,   362,
     363,   364,   365,  3667,     0,   368,   369,   370,   371,     0,
     372,   373,   374,   375,   376,   377,   378,     0,   379,     0,
     381,   382,   383,   384,   385,   386,   387,     0,   388,     0,
     389,     0,     0,   392,     0,   394,   395,   396,   397,   398,
       0,     0,   399,   400,     0,   402,     0,     0,   404,   405,
     406,     0,     0,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,     0,   441,     0,
     442,   443,   444,   445,   446,   447,     0,   448,   449,     0,
       0,   450,   451,   452,     0,     0,   453,   454,   455,     0,
     457,     0,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,     0,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     0,   506,   507,     0,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,     0,   535,   536,   537,   538,     0,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,     0,   554,   555,     0,   556,     0,
     558,   559,   560,   561,   562,     0,   563,   564,   565,     0,
       0,   566,   567,   568,   569,   570,     0,   571,   572,   573,
     574,   575,   576,   577,   578,     0,     0,   579,   580,   581,
     582,   583,     0,     0,   584,   585,   586,   587,   588,   589,
     590,     0,   591,     0,   593,   594,   595,   596,     0,     0,
     597,     0,     0,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   625,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,     0,   243,
     244,   245,     0,     0,     0,     0,     0,     0,     0,   246,
     247,   248,     0,   249,   250,   251,   252,     0,   254,   255,
     256,   257,   258,     0,   260,   261,     0,   262,   263,   264,
     265,   266,   267,   268,     0,     0,   269,   270,   271,   272,
     273,     0,   274,   275,   276,   277,   278,     0,     0,     0,
     280,   281,   282,   283,   284,   285,     0,   287,   288,   289,
       0,   290,   291,   292,   293,   294,   295,     0,     0,   297,
     298,   299,     0,     0,     0,     0,     0,     0,     0,   301,
     302,   303,   304,   305,   306,   307,   308,   309,     0,   310,
       0,   311,   312,   313,   314,   315,   316,   317,     0,   318,
     319,   320,   321,     0,     0,   322,  3707,   324,   325,   326,
       0,   327,   328,   329,     0,   330,   331,   332,     0,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,     0,   344,   345,   346,   347,   348,     0,   349,     0,
     350,     0,     0,     0,   353,   354,   355,   356,     0,   357,
     358,     0,   359,   360,   361,     0,   362,   363,   364,   365,
     366,     0,   368,   369,   370,   371,     0,   372,   373,   374,
     375,   376,   377,   378,     0,   379,     0,   381,   382,   383,
     384,   385,   386,   387,     0,   388,     0,   389,     0,     0,
     392,     0,   394,   395,   396,   397,   398,     0,     0,   399,
     400,     0,   402,     0,     0,   404,   405,   406,     0,     0,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,     0,   441,     0,   442,   443,   444,
     445,   446,   447,     0,   448,   449,     0,     0,   450,   451,
     452,     0,     0,   453,   454,   455,     0,   457,     0,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,     0,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,     0,   524,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
       0,   535,   536,   537,   538,     0,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,     0,   554,   555,     0,   556,     0,   558,   559,   560,
     561,   562,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,     0,   571,   572,   573,   574,   575,   576,
     577,   578,     0,     0,   579,   580,   581,   582,   583,     0,
       0,   584,   585,   586,   587,   588,   589,   590,     0,   591,
       0,   593,   594,   595,   596,     0,     0,   597,     0,     0,
     598,   599,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
     625,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,     0,   243,   244,   245,     0,
       0,     0,     0,     0,     0,     0,   246,   247,   248,     0,
     249,   250,   251,   252,     0,   254,   255,   256,   257,   258,
       0,   260,   261,     0,   262,   263,   264,   265,   266,   267,
     268,     0,     0,   269,   270,   271,   272,   273,     0,   274,
     275,   276,   277,   278,     0,     0,     0,   280,   281,   282,
     283,   284,   285,     0,   287,   288,   289,     0,   290,   291,
     292,   293,   294,   295,     0,     0,   297,   298,   299,     0,
       0,     0,     0,     0,     0,     0,   301,   302,   303,   304,
     305,   306,   307,   308,   309,     0,   310,     0,   311,   312,
     313,   314,   315,   316,   317,     0,   318,   319,   320,   321,
       0,     0,   322,   323,   324,   325,   326,     0,   327,   328,
     329,     0,   330,   331,   332,     0,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,     0,   343,     0,   344,
     345,   346,   347,   348,     0,   349,     0,   350,     0,     0,
       0,   353,   354,   355,   356,     0,   357,   358,     0,   359,
     360,   361,     0,   362,   363,   364,   365,  4893,     0,   368,
     369,   370,   371,     0,   372,   373,   374,   375,   376,   377,
     378,     0,   379,     0,   381,   382,   383,   384,   385,   386,
     387,     0,   388,     0,   389,     0,     0,   392,     0,   394,
     395,   396,   397,   398,     0,     0,   399,   400,     0,   402,
       0,     0,   404,   405,   406,     0,     0,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,     0,   441,     0,   442,   443,   444,   445,   446,   447,
       0,   448,   449,     0,     0,   450,   451,   452,     0,     0,
     453,   454,   455,     0,   457,     0,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     0,   506,   507,     0,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,     0,   524,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,     0,   535,   536,
     537,   538,     0,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,     0,   554,
     555,     0,   556,     0,   558,   559,   560,   561,   562,     0,
     563,   564,   565,     0,     0,   566,   567,   568,   569,   570,
       0,   571,   572,   573,   574,   575,   576,   577,   578,     0,
       0,   579,   580,   581,   582,   583,     0,     0,   584,   585,
     586,   587,   588,   589,   590,     0,   591,     0,   593,   594,
     595,   596,     0,     0,   597,     0,     0,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   617,   852,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,     0,   243,   244,   245,     0,     0,     0,     0,
       0,     0,     0,   246,   247,   248,     0,   249,   250,   251,
     252,   253,   254,   255,   256,     0,   853,   259,   854,   855,
       0,   262,   263,   264,   265,   266,   267,   268,     0,     0,
     269,   270,   856,   857,   273,     0,   274,   275,   276,   277,
       0,     0,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,     0,   300,
       0,     0,     0,   301,   302,   303,   304,   305,   306,   858,
     859,   309,     0,   310,     0,   311,   312,   313,   314,   315,
     316,   317,     0,   318,   319,   320,   321,     0,     0,   322,
     323,   860,   325,   326,     0,   327,   328,   329,     0,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   338,   339,
     340,   341,     0,     0,   343,     0,   344,   345,   346,   861,
     348,     0,   349,     0,   350,   351,     0,   352,   353,   354,
     355,   356,     0,   357,     0,     0,     0,   360,   361,     0,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
    2632,   372,   373,   374,   375,   376,   377,   378,     0,   379,
     380,  2633,   382,   383,   384,   385,   862,   863,     0,   864,
       0,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,     0,     0,   399,     0,   401,   402,   403,     0,   404,
     405,   406,     0,     0,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   865,   426,   866,   428,   429,   430,   431,   432,
     433,   434,     0,     0,   437,     0,   438,   439,   440,   441,
       0,     0,   443,   867,   445,   446,   447,     0,   448,   449,
       0,     0,   450,   451,   452,     0,     0,   453,   454,  2635,
     456,   457,   458,     0,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,     0,   473,     0,
     475,   476,   477,     0,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   868,   489,   490,   491,   492,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     0,   506,   507,   508,   509,   510,   511,
     512,   513,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,     0,   524,   525,   526,   527,   528,     0,   529,
     530,  2636,   532,   533,   534,   535,   536,   870,   538,     0,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,     0,   553,     0,   554,   555,     0,   556,
     557,   558,   559,   560,   561,   562,     0,   563,   871,   872,
       0,     0,   566,   567,     0,   569,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,     0,     0,   579,   580,
     581,   582,   583,     0,     0,   584,   585,   586,   587,   588,
       0,   873,  2637,   591,   592,   593,   594,   595,   596,     0,
       0,   597,     0,     0,   598,   599,   600,   601,   602,   603,
     625,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   615,   616,   617,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,     0,   243,   244,   245,     0,
       0,     0,     0,     0,     0,     0,   246,   247,   248,     0,
     249,   250,   251,   252,     0,   254,   255,   256,   257,   258,
       0,   260,   261,     0,   262,   263,   264,   265,   266,   267,
     268,     0,     0,   269,   270,   271,   272,   273,     0,   274,
     275,   276,   277,   278,     0,     0,     0,   280,   281,   282,
     283,   284,   285,     0,   287,   288,   289,     0,   290,   291,
     292,   293,   294,   295,     0,     0,   297,   298,   299,     0,
       0,     0,     0,     0,     0,     0,   301,   302,   303,   304,
     305,   306,   307,   308,   309,     0,   310,     0,   311,   312,
     313,   314,   315,   316,   317,     0,   318,   319,   320,   321,
       0,     0,   322,   323,   324,   325,   326,     0,   327,   328,
     329,     0,   330,   331,   332,     0,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,     0,   343,     0,   344,
     345,   346,   347,   348,     0,   349,     0,   350,     0,     0,
       0,   353,   354,   355,   356,     0,   357,   358,     0,   359,
       0,   361,     0,   362,   363,   364,   365,   366,     0,   368,
     369,   370,   371,     0,   372,   373,   374,   375,   376,   377,
     378,     0,   379,     0,   381,   382,   383,   384,   385,   386,
     387,     0,   388,     0,   389,     0,     0,   392,     0,   394,
     395,   396,   397,   398,     0,     0,   399,   400,     0,   402,
       0,     0,   404,   405,   406,     0,     0,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,     0,   441,     0,   442,   443,   444,   445,   446,   447,
       0,   448,   449,     0,     0,   450,   451,   452,     0,     0,
     453,   454,   455,     0,   457,     0,   459,   460,   461,   462,
     463,   464,   465,   466,     0,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     0,   506,   507,     0,
     509,   510,   511,   512,   513,   514,     0,   516,   517,   518,
     519,   520,   521,   522,   523,     0,   524,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,     0,   535,   536,
     537,   538,     0,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,     0,   554,
     555,     0,   556,     0,   558,   559,   560,   561,   562,     0,
     563,   564,   565,     0,     0,   566,   567,   568,   569,   570,
       0,   571,   572,   573,   574,   575,   576,   577,   578,     0,
       0,   579,   580,   581,   582,   583,     0,     0,   584,   585,
     586,   587,   588,   589,   590,     0,   591,     0,   593,   594,
     595,   596,     0,     0,   597,     0,     0,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   617,   852,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,     0,   243,   244,   245,     0,     0,     0,     0,
       0,     0,     0,   246,   247,   248,     0,   249,   250,   251,
     252,   253,   254,   255,   256,     0,   853,   259,   854,   855,
       0,   262,   263,   264,   265,   266,   267,   268,     0,     0,
     269,   270,   856,   857,   273,     0,   274,   275,   276,   277,
       0,     0,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,     0,   300,
       0,     0,     0,   301,   302,   303,   304,   305,   306,   858,
     859,   309,     0,   310,     0,   311,   312,   313,   314,   315,
     316,   317,     0,   318,   319,   320,   321,     0,     0,   322,
     323,   860,   325,   326,     0,   327,   328,   329,     0,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   338,   339,
     340,   341,     0,     0,   343,     0,   344,   345,   346,   861,
     348,     0,   349,     0,   350,   351,     0,   352,   353,   354,
     355,   356,     0,   357,     0,     0,     0,   360,   361,     0,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
       0,   372,   373,   374,   375,   376,   377,   378,     0,   379,
     380,     0,   382,   383,   384,   385,   862,   863,     0,   864,
       0,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,     0,     0,   399,     0,   401,   402,   403,     0,   404,
     405,   406,     0,     0,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   865,   426,   866,   428,   429,   430,   431,   432,
     433,   434,     0,     0,   437,     0,   438,   439,   440,   441,
    2719,     0,   443,   867,   445,   446,   447,     0,   448,   449,
       0,     0,   450,   451,   452,     0,     0,   453,   454,     0,
     456,   457,   458,     0,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,     0,   473,     0,
     475,   476,   477,     0,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   868,   489,   490,   491,   492,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     0,   506,   507,   508,   509,   510,   511,
     512,   513,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,     0,   524,   525,   526,   527,   528,     0,   529,
     530,  2636,   532,   533,   534,   535,   536,   870,   538,     0,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,     0,   553,     0,   554,   555,  4442,   556,
     557,   558,   559,   560,   561,   562,     0,   563,   871,   872,
       0,     0,   566,   567,     0,   569,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,     0,     0,   579,   580,
     581,   582,   583,     0,     0,   584,   585,   586,   587,   588,
       0,   873,     0,   591,   592,   593,   594,   595,   596,     0,
       0,   597,     0,     0,   598,   599,   600,   601,   602,   603,
     852,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   615,   616,   617,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,     0,   243,   244,   245,     0,
       0,     0,     0,     0,     0,     0,   246,   247,   248,     0,
     249,   250,   251,   252,   253,   254,   255,   256,     0,   853,
     259,   854,   855,     0,   262,   263,   264,   265,   266,   267,
     268,     0,     0,   269,   270,   856,   857,   273,     0,   274,
     275,   276,   277,     0,     0,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,     0,   300,     0,     0,     0,   301,   302,   303,   304,
     305,   306,   858,   859,   309,     0,   310,     0,   311,   312,
     313,   314,   315,   316,   317,     0,   318,   319,   320,   321,
       0,     0,   322,   323,   860,   325,   326,     0,   327,   328,
     329,     0,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   338,   339,   340,   341,     0,     0,   343,     0,   344,
     345,   346,   861,   348,     0,   349,     0,   350,   351,     0,
     352,   353,   354,   355,   356,     0,   357,     0,     0,     0,
     360,   361,     0,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,     0,   372,   373,   374,   375,   376,   377,
     378,     0,   379,   380,     0,   382,   383,   384,   385,   862,
     863,     0,   864,     0,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,     0,     0,   399,     0,   401,   402,
     403,     0,   404,   405,   406,     0,     0,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   865,   426,   866,   428,   429,
     430,   431,   432,   433,   434,  2793,     0,   437,     0,   438,
     439,   440,   441,     0,     0,   443,   867,   445,   446,   447,
       0,   448,   449,     0,     0,   450,   451,   452,     0,     0,
     453,   454,     0,   456,   457,   458,     0,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
       0,   473,     0,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   868,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     0,   506,   507,   508,
     509,   510,   511,   512,   513,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,     0,   524,   525,   526,   527,
     528,     0,   529,   530,   869,   532,   533,   534,   535,   536,
     870,   538,     0,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,     0,   553,     0,   554,
     555,     0,   556,   557,   558,   559,   560,   561,   562,     0,
     563,   871,   872,     0,     0,   566,   567,     0,   569,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,     0,
       0,   579,   580,   581,   582,   583,     0,     0,   584,   585,
     586,   587,   588,     0,   873,     0,   591,   592,   593,   594,
     595,   596,     0,     0,   597,     0,     0,   598,   599,   600,
     601,   602,   603,   852,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   615,   616,   617,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,     0,   243,
     244,   245,     0,     0,     0,     0,     0,     0,     0,   246,
     247,   248,     0,   249,   250,   251,   252,   253,   254,   255,
     256,     0,   853,   259,   854,   855,     0,   262,   263,   264,
     265,   266,   267,   268,     0,     0,   269,   270,   856,   857,
     273,     0,   274,   275,   276,   277,     0,     0,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,     0,   300,     0,     0,     0,   301,
     302,   303,   304,   305,   306,   858,   859,   309,     0,   310,
       0,   311,   312,   313,   314,   315,   316,   317,     0,   318,
     319,   320,   321,     0,     0,   322,   323,   860,   325,   326,
       0,   327,   328,   329,     0,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   338,   339,   340,   341,     0,     0,
     343,     0,   344,   345,   346,   861,   348,     0,   349,     0,
     350,   351,     0,   352,   353,   354,   355,   356,     0,   357,
       0,     0,     0,   360,   361,     0,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,     0,   372,   373,   374,
     375,   376,   377,   378,     0,   379,   380,     0,   382,   383,
     384,   385,   862,   863,     0,   864,     0,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,     0,     0,   399,
       0,   401,   402,   403,     0,   404,   405,   406,     0,     0,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   865,   426,
     866,   428,   429,   430,   431,   432,   433,   434,  4238,     0,
     437,     0,   438,   439,   440,   441,     0,     0,   443,   867,
     445,   446,   447,     0,   448,   449,     0,     0,   450,   451,
     452,     0,     0,   453,   454,     0,   456,   457,   458,     0,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,     0,   473,     0,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     868,   489,   490,   491,   492,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,   508,   509,   510,   511,   512,   513,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,     0,   524,
     525,   526,   527,   528,     0,   529,   530,   869,   532,   533,
     534,   535,   536,   870,   538,     0,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,     0,
     553,     0,   554,   555,     0,   556,   557,   558,   559,   560,
     561,   562,     0,   563,   871,   872,     0,     0,   566,   567,
       0,   569,     0,     0,   571,   572,   573,   574,   575,   576,
     577,   578,     0,     0,   579,   580,   581,   582,   583,     0,
       0,   584,   585,   586,   587,   588,     0,   873,     0,   591,
     592,   593,   594,   595,   596,     0,     0,   597,     0,     0,
     598,   599,   600,   601,   602,   603,   852,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   615,   616,   617,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,     0,   243,   244,   245,     0,     0,     0,     0,     0,
       0,     0,   246,   247,   248,     0,   249,   250,   251,   252,
     253,   254,   255,   256,     0,   853,   259,   854,   855,     0,
     262,   263,   264,   265,   266,   267,   268,     0,     0,   269,
     270,   856,   857,   273,     0,   274,   275,   276,   277,     0,
       0,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,     0,   300,     0,
       0,     0,   301,   302,   303,   304,   305,   306,   858,   859,
     309,     0,   310,     0,   311,   312,   313,   314,   315,   316,
     317,     0,   318,   319,   320,   321,     0,     0,   322,   323,
     860,   325,   326,     0,   327,   328,   329,     0,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   338,   339,   340,
     341,     0,     0,   343,     0,   344,   345,   346,   861,   348,
    5709,   349,     0,   350,   351,     0,   352,   353,   354,   355,
     356,     0,   357,     0,     0,     0,   360,   361,     0,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,     0,
     372,   373,   374,   375,   376,   377,   378,     0,   379,   380,
       0,   382,   383,   384,   385,   862,   863,     0,   864,     0,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
       0,     0,   399,     0,   401,   402,   403,     0,   404,   405,
     406,     0,     0,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   865,   426,   866,   428,   429,   430,   431,   432,   433,
     434,     0,     0,   437,     0,   438,   439,   440,   441,     0,
       0,   443,   867,   445,   446,   447,     0,   448,   449,     0,
       0,   450,   451,   452,     0,     0,   453,   454,     0,   456,
     457,   458,     0,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,     0,   473,     0,   475,
     476,   477,     0,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   868,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     0,   506,   507,   508,   509,   510,   511,   512,
     513,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
     869,   532,   533,   534,   535,   536,   870,   538,     0,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,     0,   553,     0,   554,   555,     0,   556,   557,
     558,   559,   560,   561,   562,     0,   563,   871,   872,     0,
       0,   566,   567,     0,   569,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,     0,     0,   579,   580,   581,
     582,   583,     0,     0,   584,   585,   586,   587,   588,     0,
     873,     0,   591,   592,   593,   594,   595,   596,     0,     0,
     597,     0,     0,   598,   599,   600,   601,   602,   603,   852,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     615,   616,   617,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,     0,   243,   244,   245,     0,     0,
       0,     0,     0,     0,     0,   246,   247,   248,     0,   249,
     250,   251,   252,   253,   254,   255,   256,     0,   853,   259,
     854,   855,     0,   262,   263,   264,   265,   266,   267,   268,
       0,     0,   269,   270,   856,   857,   273,     0,   274,   275,
     276,   277,     0,     0,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
       0,   300,     0,     0,     0,   301,   302,   303,   304,   305,
     306,   858,   859,   309,     0,   310,     0,   311,   312,   313,
     314,   315,   316,   317,     0,   318,   319,   320,   321,     0,
       0,   322,   323,   860,   325,   326,     0,   327,   328,   329,
       0,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     338,   339,   340,   341,     0,     0,   343,     0,   344,   345,
     346,   861,   348,     0,   349,     0,   350,   351,     0,   352,
     353,   354,   355,   356,     0,   357,     0,     0,     0,   360,
     361,     0,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,     0,   372,   373,   374,   375,   376,   377,   378,
       0,   379,   380,     0,   382,   383,   384,   385,   862,   863,
       0,   864,     0,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,     0,     0,   399,     0,   401,   402,   403,
       0,   404,   405,   406,     0,     0,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   865,   426,   866,   428,   429,   430,
     431,   432,   433,   434,     0,     0,   437,     0,   438,   439,
     440,   441,     0,     0,   443,   867,   445,   446,   447,     0,
     448,   449,     0,     0,   450,   451,   452,     0,     0,   453,
     454,     0,   456,   457,   458,     0,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,     0,
     473,     0,   475,   476,   477,     0,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   868,   489,   490,   491,
     492,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     0,   506,   507,   508,   509,
     510,   511,   512,   513,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,     0,   524,   525,   526,   527,   528,
       0,   529,   530,   869,   532,   533,   534,   535,   536,   870,
     538,     0,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,     0,   553,     0,   554,   555,
       0,   556,   557,   558,   559,   560,   561,   562,     0,   563,
     871,   872,     0,     0,   566,   567,     0,   569,     0,     0,
     571,   572,   573,   574,   575,   576,   577,   578,     0,     0,
     579,   580,   581,   582,   583,     0,     0,   584,   585,   586,
     587,   588,     0,   873,     0,   591,   592,   593,   594,   595,
     596,     0,     0,   597,     0,     0,   598,   599,   600,   601,
     602,   603,   852,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   615,   616,   617,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,     0,   243,   244,
     245,     0,     0,     0,     0,     0,     0,     0,   246,   247,
     248,     0,   249,   250,   251,   252,   253,   254,   255,   256,
       0,   853,   259,   854,   855,     0,   262,   263,   264,   265,
     266,   267,   268,     0,     0,   269,   270,   856,   857,   273,
       0,   274,   275,   276,   277,     0,     0,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,     0,   300,     0,     0,     0,   301,   302,
     303,   304,   305,   306,   858,   859,   309,     0,   310,     0,
     311,   312,   313,   314,   315,   316,   317,     0,   318,   319,
     320,   321,     0,     0,   322,   323,   860,   325,   326,     0,
     327,   328,   329,     0,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   338,   339,   340,   341,     0,     0,   343,
       0,   344,   345,   346,   861,   348,     0,   349,     0,   350,
     351,     0,   352,   353,   354,   355,   356,     0,   357,     0,
       0,     0,   360,   361,     0,   362,   363,   364,   365,  1124,
     367,   368,   369,   370,   371,     0,   372,   373,   374,   375,
     376,   377,   378,     0,   379,   380,     0,   382,   383,   384,
     385,   862,   863,     0,   864,     0,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,     0,     0,   399,     0,
     401,   402,   403,     0,   404,   405,   406,     0,     0,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   865,   426,   866,
     428,   429,   430,   431,   432,   433,   434,     0,     0,   437,
       0,   438,   439,   440,   441,     0,     0,   443,   867,   445,
     446,   447,     0,   448,   449,     0,     0,   450,   451,   452,
       0,     0,   453,   454,     0,   456,   457,   458,     0,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,     0,   473,     0,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   868,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     0,   506,
     507,   508,   509,   510,   511,   512,   513,     0,   515,   516,
     517,   518,   519,   520,   521,   522,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,   869,   532,   533,   534,
     535,   536,   870,   538,     0,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,     0,   553,
       0,   554,   555,     0,   556,   557,   558,   559,   560,   561,
     562,     0,   563,   871,   872,     0,     0,   566,   567,     0,
     569,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,     0,     0,   579,   580,   581,   582,   583,     0,     0,
     584,   585,   586,   587,   588,     0,   873,     0,   591,   592,
     593,   594,   595,   596,     0,     0,   597,     0,     0,   598,
     599,   600,   601,   602,   603,   852,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   615,   616,   617,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
       0,   243,   244,   245,     0,     0,     0,     0,     0,     0,
       0,   246,   247,   248,     0,   249,   250,   251,   252,   253,
     254,   255,   256,     0,   853,   259,   854,   855,     0,   262,
     263,   264,   265,   266,   267,   268,     0,     0,   269,   270,
     856,   857,   273,     0,   274,   275,   276,   277,     0,     0,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,     0,   300,     0,     0,
       0,   301,   302,   303,   304,   305,   306,   858,   859,   309,
       0,   310,     0,   311,   312,   313,   314,   315,   316,   317,
       0,   318,   319,   320,   321,     0,     0,   322,   323,   860,
     325,   326,     0,   327,   328,   329,     0,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   338,   339,   340,   341,
       0,     0,   343,     0,   344,   345,   346,   861,   348,     0,
     349,     0,   350,   351,     0,   352,   353,   354,   355,   356,
       0,   357,     0,     0,     0,   360,   361,     0,   362,   363,
     364,   365,  1156,   367,   368,   369,   370,   371,     0,   372,
     373,   374,   375,   376,   377,   378,     0,   379,   380,     0,
     382,   383,   384,   385,   862,   863,     0,   864,     0,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,     0,
       0,   399,     0,   401,   402,   403,     0,   404,   405,   406,
       0,     0,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     865,   426,   866,   428,   429,   430,   431,   432,   433,   434,
       0,     0,   437,     0,   438,   439,   440,   441,     0,     0,
     443,   867,   445,   446,   447,     0,   448,   449,     0,     0,
     450,   451,   452,     0,     0,   453,   454,     0,   456,   457,
     458,     0,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,     0,   473,     0,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   868,   489,   490,   491,   492,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,   508,   509,   510,   511,   512,   513,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
       0,   524,   525,   526,   527,   528,     0,   529,   530,   869,
     532,   533,   534,   535,   536,   870,   538,     0,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,     0,   553,     0,   554,   555,     0,   556,   557,   558,
     559,   560,   561,   562,     0,   563,   871,   872,     0,     0,
     566,   567,     0,   569,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,     0,     0,   579,   580,   581,   582,
     583,     0,     0,   584,   585,   586,   587,   588,     0,   873,
       0,   591,   592,   593,   594,   595,   596,     0,     0,   597,
       0,     0,   598,   599,   600,   601,   602,   603,   852,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   615,
     616,   617,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,     0,   243,   244,   245,     0,     0,     0,
       0,     0,     0,     0,   246,   247,   248,     0,   249,   250,
     251,   252,   253,   254,   255,   256,     0,   853,   259,   854,
     855,     0,   262,   263,   264,   265,   266,   267,   268,     0,
       0,   269,   270,   856,   857,   273,     0,   274,   275,   276,
     277,     0,     0,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,     0,
     300,     0,     0,     0,   301,   302,   303,   304,   305,   306,
     858,   859,   309,     0,   310,     0,   311,   312,   313,   314,
     315,   316,   317,     0,   318,   319,   320,   321,     0,     0,
     322,   323,   860,   325,   326,     0,   327,   328,   329,     0,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   338,
     339,   340,   341,     0,     0,   343,     0,   344,   345,   346,
     861,   348,     0,   349,     0,   350,   351,     0,   352,   353,
     354,   355,   356,     0,   357,     0,     0,     0,   360,   361,
       0,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,     0,   372,   373,   374,   375,   376,   377,   378,     0,
     379,   380,     0,   382,   383,   384,   385,   862,   863,     0,
     864,     0,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,     0,     0,   399,     0,   401,   402,   403,     0,
     404,   405,   406,     0,     0,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   865,   426,   866,   428,   429,   430,   431,
     432,   433,   434,     0,     0,   437,     0,   438,   439,   440,
     441,     0,     0,   443,   867,   445,   446,   447,     0,   448,
     449,     0,     0,   450,   451,   452,     0,     0,   453,   454,
       0,   456,   457,   458,     0,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,     0,   473,
       0,   475,   476,   477,     0,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   868,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     0,   506,   507,   508,   509,   510,
     511,   512,   513,     0,   515,   516,   517,   518,   519,   520,
     521,   522,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,  2636,   532,   533,   534,   535,   536,   870,   538,
       0,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,     0,   553,     0,   554,   555,     0,
     556,   557,   558,   559,   560,   561,   562,     0,   563,   871,
     872,     0,     0,   566,   567,     0,   569,     0,     0,   571,
     572,   573,   574,   575,   576,   577,   578,     0,     0,   579,
     580,   581,   582,   583,     0,     0,   584,   585,   586,   587,
     588,     0,   873,     0,   591,   592,   593,   594,   595,   596,
       0,     0,   597,     0,     0,   598,   599,   600,   601,   602,
     603,   852,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   615,   616,   617,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,     0,   243,   244,   245,
       0,     0,     0,     0,     0,     0,     0,   246,   247,   248,
       0,   249,   250,   251,   252,   253,   254,   255,   256,     0,
     853,   259,   854,   855,     0,   262,   263,   264,   265,   266,
     267,   268,     0,     0,   269,   270,   856,   857,   273,     0,
     274,   275,   276,   277,     0,     0,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,     0,   300,     0,     0,     0,   301,   302,   303,
     304,   305,   306,   858,   859,   309,     0,   310,     0,   311,
     312,   313,   314,   315,   316,   317,     0,   318,   319,   320,
     321,     0,     0,   322,   323,   860,   325,   326,     0,   327,
     328,   329,     0,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   338,   339,   340,   341,     0,     0,   343,     0,
     344,   345,   346,   861,   348,     0,   349,     0,   350,   351,
       0,   352,   353,   354,   355,   356,     0,   357,     0,     0,
       0,   360,   361,     0,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,     0,   372,   373,   374,   375,   376,
     377,   378,     0,   379,   380,     0,   382,   383,   384,   385,
     862,   863,     0,   864,     0,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,     0,     0,   399,     0,   401,
     402,   403,     0,   404,   405,   406,     0,     0,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   865,   426,   866,   428,
     429,   430,   431,   432,   433,   434,     0,     0,   437,     0,
     438,   439,   440,   441,     0,     0,   443,   867,   445,   446,
     447,     0,   448,   449,     0,     0,   450,   451,   452,     0,
       0,   453,   454,     0,   456,   457,   458,     0,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,     0,   473,     0,   475,   476,   477,     0,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   868,   489,
     490,   491,   492,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     0,   506,   507,
     508,   509,   510,   511,   512,   513,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   532,   533,   534,   535,
     536,   870,   538,     0,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,     0,   553,     0,
     554,   555,     0,   556,   557,   558,   559,   560,   561,   562,
       0,   563,   871,   872,     0,     0,   566,   567,     0,   569,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
       0,     0,   579,   580,   581,   582,   583,     0,     0,   584,
     585,   586,   587,   588,     0,   873,     0,   591,   592,   593,
     594,   595,   596,     0,     0,   597,     0,     0,   598,   599,
     600,   601,   602,   603,   852,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   615,   616,   617,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,     0,
     243,   244,   245,     0,     0,     0,     0,     0,     0,     0,
     246,   247,   248,     0,   249,   250,   251,   252,   253,   254,
     255,   256,     0,     0,   259,     0,     0,     0,   262,   263,
     264,   265,   266,   267,   268,     0,     0,   269,   270,     0,
       0,   273,     0,   274,   275,   276,   277,     0,     0,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,     0,   300,     0,     0,     0,
     301,   302,   303,   304,   305,   306,     0,     0,   309,     0,
     310,     0,   311,   312,   313,   314,   315,   316,   317,     0,
     318,   319,   320,   321,     0,     0,   322,   323,   324,   325,
     326,     0,   327,   328,   329,     0,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   338,   339,   340,   341,     0,
       0,   343,     0,   344,   345,   346,     0,   348,     0,   349,
       0,   350,   351,     0,   352,   353,   354,   355,   356,     0,
     357,     0,     0,     0,   360,   361,     0,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,     0,   372,   373,
     374,   375,   376,   377,   378,     0,   379,   380,     0,   382,
     383,   384,   385,     0,     0,     0,     0,     0,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,     0,     0,
     399,     0,   401,   402,   403,     0,   404,   405,   406,     0,
       0,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     426,     0,   428,   429,   430,   431,   432,   433,   434,     0,
       0,   437,     0,   438,   439,   440,   441,     0,     0,   443,
       0,   445,   446,   447,     0,   448,   449,     0,     0,   450,
     451,   452,     0,     0,   453,   454,     0,   456,   457,   458,
       0,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,     0,   473,     0,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,   508,   509,   510,   511,   512,   513,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   532,
     533,   534,   535,   536,     0,   538,     0,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
       0,   553,     0,   554,   555,     0,   556,   557,   558,   559,
     560,   561,   562,     0,   563,     0,     0,     0,     0,   566,
     567,     0,   569,     0,     0,   571,   572,   573,   574,   575,
     576,   577,   578,     0,     0,   579,   580,   581,   582,   583,
       0,     0,   584,   585,   586,   587,   588,     0,     0,     0,
     591,   592,   593,   594,   595,   596,     0,     0,   597,     0,
       0,   598,   599,   600,   601,   602,   603,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   615,   616,
     617
};

static const yytype_int16 yycheck[] =
{
       6,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      56,     0,   211,     0,   206,     0,  1014,     0,     0,     0,
     653,     0,   214,    21,     0,   217,     0,    21,     0,  1012,
     211,   984,   913,   816,    36,   766,   767,   768,    22,     8,
    1136,   772,  1020,  1613,    28,    51,    15,  1001,   813,   708,
    1484,   189,   869,   907,  1456,   909,   985,  1016,   632,  1546,
    2676,  1530,   840,   722,   887,  1197,   197,  1010,   685,    44,
     726,  2618,   858,   859,  1523,  2995,   792,  2619,  2968,  1240,
    1086,   867,  1228,  1535,    45,  3295,  3142,  3297,  1852,  3033,
     823,   839,  3119,  2865,   216,   872,  1530,  3386,   730,  3587,
    1982,  3480,   925,  3781,   951,  2000,  1060,  2576,   230,  2980,
    1064,   685,     6,  4091,    23,  1069,  3507,  1681,  1576,  1577,
    3830,  1523,  1580,  2887,  3733,  1079,   634,    36,  3396,  3533,
    1075,  3535,  4138,   207,  4181,  3808,  2046,  3346,  1092,  3340,
    3797,  4134,   216,  4614,   191,  1090,   706,   731,  1413,   709,
     175,  4413,  1513,   721,     2,  5075,   230,   950,   732,  1923,
    4418,  1648,  1649,  4931,  4430,    35,  3360,  4375,  2933,  1123,
    2935,  2936,    42,  1020,  2022,  2940,  2941,  2942,  4216,  2944,
    2945,  2946,   975,  5202,  2640,  2641,    50,   980,   936,  4874,
    1642,   197,    41,  3394,  4630,  2535,  4632,  4712,  2603,  4923,
     206,   207,   819,   191,  2976,  2605,  3406,  3252,   214,  4417,
     216,   217,  1573,  3795,  2498,  4113,   790,  1669,  2502,   934,
    5250,   910,  1496,  4679,   230,   910,  3345,     0,  3347,  1590,
      15,    13,  5117,     0,     0,     0,     0,  4922,    11,    11,
    5238,     0,  2582,    37,    11,   819,  4556,   856,   857,     6,
     225,    77,     6,     6,   113,    28,     6,   866,  5462,  5478,
     975,    28,    15,    16,    24,   980,    93,    62,   118,     6,
     844,     6,    46,    53,  5159,    84,  1024,     6,    15,    16,
      15,    16,     6,     6,    62,     6,    34,    13,   118,     6,
     167,    90,   172,   145,     6,     6,     6,  1476,     6,    42,
       6,    90,    42,   189,   196,   984,   172,    62,   111,     3,
     173,     5,     6,    28,   993,    62,     6,    11,    44,    71,
      35,   167,    50,  1054,  1003,     5,    28,   172,     6,   188,
     904,    11,    39,    35,  5191,    28,   172,   184,    90,    22,
     281,     5,    35,    13,   151,   120,    53,    11,   286,   151,
     281,    77,    11,   281,    79,   846,    75,  4505,  4506,  4507,
    4407,  4509,  4510,  4511,  4512,  4513,   307,    62,   118,    29,
    5166,  5167,   172,  1831,   321,   272,   307,   287,   138,   307,
     267,   287,   118,  1099,     6,   173,   267,   120,   278,    62,
     120,   292,   251,  4431,   172,   254,   300,   149,   376,   172,
      62,   133,   109,  4918,   375,   172,   172,   172,   172,   333,
    1369,    24,   416,   172,  1357,  1413,   174,   169,   206,  1425,
     267,   334,   172,   196,   118,    62,   375,    62,    38,   196,
     196,   196,   196,   221,   167,   121,    62,   196,   353,    97,
      57,   172,  5661,   231,  1076,   220,  1020,   271,  5652,   416,
     300,    46,   276,   122,   653,   302,   459,   329,  1417,    13,
     362,   345,    28,   358,   167,  1834,  1574,    79,   151,   490,
     342,   204,  1258,  1259,   120,   499,   328,    79,    90,    79,
     504,   502,  5480,  1591,  1143,  1854,   490,   190,    90,   391,
      44,   375,  5377,  1279,   341,   390,   271,     6,   502,   371,
    1216,   504,   209,   327,   703,   172,   192,   366,  1355,    79,
     127,    79,  1289,  1360,  1361,  5239,   179,   172,   128,   346,
     178,   215,   500,    77,   439,   138,  2995,   179,   452,   651,
     288,    31,   445,   504,   267,   657,    79,   504,   271,   271,
     276,   438,   446,   237,    79,  1204,   276,   669,   217,   459,
     440,   211,   347,   500,   329,   504,  1215,   123,   464,   500,
     267,  1309,   500,   444,   352,   284,  1525,   319,  5425,   500,
    1229,   378,   500,   140,   123,  5199,   378,   651,    22,    10,
     416,  5800,    13,   657,   362,   134,    17,    18,    19,  1337,
     500,   478,   347,  1177,    13,   669,   446,   444,   276,   152,
     347,   404,   224,   504,   748,   749,   750,  4216,   125,   753,
     754,   755,   504,   459,   500,   375,  1233,   416,   477,   763,
     348,   430,    10,   500,   504,    13,   632,  5063,  1414,    17,
      18,    19,   421,  4242,   500,  1580,  1815,   500,  1247,  1248,
     638,   638,   638,   638,   210,   651,    34,   638,   500,   638,
     500,   657,   347,  1607,  1501,   500,  1610,   364,   401,  1233,
     490,   401,  5660,   669,  1511,  1274,   416,    13,   416,  5888,
     385,   445,   498,   451,   347,   358,   502,   504,   438,   685,
    1171,   433,  5886,   385,   690,   347,   732,  1632,  1633,   695,
    1619,   416,   385,   699,   700,   378,  1679,  1680,    44,    31,
     706,  5011,   708,   709,   504,   490,   500,   461,  4386,   504,
     347,   736,   347,   498,   496,   721,   722,   502,   491,   492,
     500,   347,  1378,  1997,   491,   492,   732,   499,   482,   504,
     503,    77,   461,   731,  1677,  1352,   503,   503,   503,   503,
     490,   498,  5961,   500,   503,   502,   500,   500,  5472,  4427,
    4141,  1598,   502,   482,  1443,  1602,  1603,   504,  1443,   449,
    4658,  4249,   746,   500,   748,   500,   750,  4255,  1561,  4426,
     496,   500,   756,   504,  5804,   913,   500,   500,  1352,   500,
    1597,  1390,  1391,   500,   790,  6004,  1360,  1361,   500,   500,
     500,   760,   500,  5791,   500,   459,   442,   491,   492,   243,
    5819,  5597,   368,   778,   416,  1686,  1521,   813,   814,   504,
     500,   491,   492,   819,   416,  1813,   416,  1308,   482,  1951,
    1499,   416,  4431,   493,   494,   495,   496,   491,   492,  1925,
     218,   504,   491,   492,   172,  1034,  4984,   504,   844,  1031,
     846,   504,   504,  1035,   344,  1037,   416,  4056,   416,   504,
     445,  5736,   504,  1034,   901,  3627,  3628,   288,   113,  1574,
    3632,    24,  1958,   869,  5749,   840,  4067,   504,  3337,   504,
    4071,  3340,   438,   416,  1970,    36,  1591,    24,   504,     3,
    3907,   416,  1561,   392,   393,   891,    71,  1832,   455,   438,
     123,  5659,  5890,  1384,  1025,  4477,  3941,  3768,   904,  5355,
     288,   112,   455,   111,   903,   903,   903,   903,   903,   903,
     903,   903,   903,   901,   903,   111,   903,  3386,   903,  5723,
     903,   903,   903,   440,   903,  3394,  4126,   903,   927,   903,
     111,   903,  5656,   188,   166,  1568,  4055,   111,  4057,   493,
     494,   495,   496,   918,  5568,  4336,  3711,   148,  1795,  5573,
    5574,   123,    87,  3409,  5639,  3411,  4335,   118,   933,  1450,
    3365,  5476,  5960,   407,   149,    89,  3366,   216,   817,  3309,
    5655,    67,   821,    10,   101,   138,    13,  5862,   167,   123,
      17,    18,    19,   847,   169,   287,   122,   292,  1496,   200,
      62,   138,   436,  3765,     6,   130,   251,    34,    51,   254,
    5811,   123,    10,   123,   286,    13,  1012,  1013,  1014,    17,
      18,    19,   344,   214,  1020,    41,   184,   461,   142,  1025,
       3,  5229,  6041,     0,  1030,  1031,   358,     6,   360,  1035,
     184,  1037,   358,  5801,  1178,  1041,  5363,  1181,   210,  1183,
    1999,  1185,   341,  1187,    21,    34,   172,  1191,  4242,   134,
    1577,  1057,    22,  1580,   181,     6,   500,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   210,    86,  5792,   169,
     196,  2069,   491,   492,   493,   494,   495,   496,   416,    56,
     172,   217,   314,  4462,  2043,   307,   267,  5093,   210,   421,
     210,   292,  5903,  3482,  1100,  5133,  1102,  1103,  5534,   267,
     488,   489,   490,   491,   492,   493,   494,   495,   496,  4398,
    6030,   366,   438,  3397,   118,   281,   240,   416,    28,   989,
     990,    22,   290,   184,   200,   210,     6,   290,  5896,   249,
    1861,   292,   326,    10,   319,   118,    13,  1143,   191,   174,
     267,   307,   118,   196,   163,   491,   492,   493,   494,   495,
     496,   362,   490,    10,   343,   302,    13,   459,   286,  6079,
      17,    18,    19,   152,   502,  1171,   287,    44,   194,   173,
     305,   267,     3,   404,    51,  5222,   372,    34,   302,  1177,
     233,   218,   345,   346,  1967,  1968,  5444,    22,   196,   177,
    5994,  5959,   403,   404,   341,   267,   404,    24,  1204,   504,
      77,   292,  6013,  5971,  1778,   438,   267,  1213,  5470,  1215,
     218,  1180,   375,  1182,   191,  1184,  5474,  1186,  4138,  1188,
    1189,  1190,   477,  1229,  5490,  5811,  1195,  1233,   375,  4907,
     404,   432,   307,    10,  4944,  5443,  1895,  6005,  2640,  1245,
      17,    18,    19,  5570,    87,   500,   368,  4920,   433,   237,
    1909,   288,   424,   288,   183,   504,  4913,  2709,    89,   247,
    1108,   177,  1308,  1922,   276,  5473,   438,  6035,   272,   146,
    1276,  2740,  1928,   243,   409,   347,   444,  3733,   500,   152,
     288,    22,  4673,   407,    26,   409,   413,   130,   271,   500,
     444,  6059,  2040,   276,   438,   271,   443,   276,  1304,  1305,
    1306,  1957,  1308,   375,  1831,  1961,   500,    49,   275,  2574,
    1966,   138,   143,  1969,   191,   112,   438,  5903,   438,   196,
    1888,   237,  1328,    87,   416,   276,   301,   380,   404,   490,
     188,   173,  1892,   459,   500,  2787,   375,   498,   459,   500,
     501,   502,   243,   504,  3192,  3193,  1352,  1907,  1373,  3197,
    1910,  1935,  1920,  3742,  1360,  1361,   233,    22,  2922,   394,
    5353,   218,  5833,    22,  5894,  5895,   130,  3823,  2729,  1568,
     498,   202,  5820,  5414,   502,  5416,    24,   181,  1384,  5420,
    5421,  1428,  1429,   444,  1431,   450,   362,  2020,  4656,  3237,
    3238,  3301,   362,   251,   123,     3,     0,   118,     6,   328,
    1960,   311,   362,   200,  1964,  1965,  4615,  1413,   243,   138,
     501,   288,  5459,   504,   133,   382,   135,   333,  4619,   358,
     408,  5468,   410,  4624,  1430,   500,  4627,  6013,  1434,  1435,
     359,   288,   362,   375,  5989,   500,   440,   407,    42,    63,
    1428,  1429,  3012,  1431,  1450,   267,   120,    71,   436,    28,
    1456,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     370,   362,   305,  4490,   306,   504,   436,  4871,    90,   211,
    1445,  5518,  1447,  4500,   174,   302,  6006,    31,   309,  4399,
     488,   489,   490,   491,   492,   493,   494,   495,   496,  1997,
     138,   461,   408,    97,   410,   368,   118,  6052,   408,  4443,
     410,    79,   243,   380,    58,   113,   407,  1998,   366,  2000,
     148,   288,    90,   287,   341,  2006,  2499,  1523,   118,   341,
     436,  2012,  2013,  2014,  5133,  5797,  5798,   362,   223,    27,
     500,   404,  2023,   152,  5982,   436,   452,   131,  2029,   381,
     500,   305,  2501,   375,   148,   251,   220,   141,   375,   353,
     222,  5557,   271,   196,   133,   155,   120,   161,  1564,  4324,
     461,   500,   504,   167,  4329,   362,   409,  5240,   172,   164,
     500,  5228,   407,   446,   178,   222,  2574,   181,   243,   300,
     188,   185,  3031,  1582,   243,   175,   459,   316,  1587,   189,
    1664,  1597,    90,  5571,  5641,   267,   234,   271,  4067,   500,
     431,   436,  4071,   480,   636,   302,   403,   404,   439,   482,
     214,   442,   216,   237,   491,   492,   493,   494,   495,   496,
     267,   362,   247,   323,   318,  3027,   461,   500,  4400,  3031,
     234,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     290,  5682,  4406,   251,   341,   409,   254,   368,   167,   271,
    2823,   732,   302,   375,   302,   329,   220,   329,  1664,   178,
     366,   638,   416,  1638,  1663,   500,   407,   262,  1667,  4138,
     110,   271,   504,  1679,  1680,  1681,   174,   196,   375,   283,
      13,    98,   286,   404,    22,   459,  2664,   150,   292,   175,
    5962,   341,  4612,   341,   499,   436,   728,   362,   341,   504,
     318,  1893,   345,   362,  1903,  1904,   378,   271,   302,   790,
     384,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     461,   120,    24,  1904,   418,   446,   118,   375,    30,   360,
    2903,   378,   375,   456,   324,   198,   164,   161,   459,   301,
      28,  5788,   407,   167,    77,   349,  4362,   341,   407,   368,
     504,  1882,    22,  5731,   731,   732,   173,    22,   366,   500,
    4216,   482,  1836,   844,   418,   329,   438,   357,   462,   301,
    1844,   436,  1778,  2771,   358,   167,   808,   436,  1852,   500,
     370,   504,   504,  5461,  1790,   404,  4242,   302,   161,   206,
     421,   438,   343,   301,    28,  1801,   461,   401,   226,  2797,
     418,   451,   461,   500,   221,   204,  5479,  1813,   248,    22,
     234,  1817,   252,   375,   231,   405,   459,  2664,   161,  2636,
     404,  2020,  1896,   904,   167,   323,   341,   446,   432,   302,
    1836,  5488,   351,  2616,   368,   500,   138,  5884,  1844,   482,
     459,   500,   259,   375,   462,   133,  1852,    24,    82,  1923,
     360,    85,   456,    30,   458,   459,   302,    91,  5059,   283,
     375,   234,   360,   482,  1870,   121,   161,   375,   267,   477,
     404,   357,   271,  1879,   292,   121,  1882,   363,   418,  1885,
    2833,   500,  1888,  1889,   370,   119,  1892,  1893,  5267,  1895,
    1896,   234,     0,  5899,   358,   341,   360,   501,  2896,   503,
     504,  1907,   375,  1909,  1910,   243,   302,  5130,   459,  5956,
     283,   421,   446,  1919,  1920,    10,  1922,  1923,    13,   405,
    4976,   419,   462,   421,   901,    10,   903,   425,    13,  4398,
    4399,   482,    17,    18,    19,   352,   192,  1935,  2883,   234,
     283,   427,   176,   459,   500,   341,   192,   365,    34,    44,
     440,  5174,    37,   504,  1960,   189,    51,   421,  1964,  1965,
    3056,   138,  5672,   504,  2962,    24,   500,   201,  1937,   333,
    1939,    30,  1941,   243,  1943,  4431,  1945,  4897,   243,   375,
    1949,  5654,    77,  4873,  1982,  1982,  1982,  1982,   504,  1991,
    2837,  1982,  1998,  1982,  2000,   302,  5653,   450,  2845,  2005,
    2006,  2848,  1977,  6009,  3406,   369,  2012,  2013,  2014,   501,
     500,  2017,   504,  2019,  3416,  2021,  2022,  2023,  2024,  2025,
    2026,  4892,  4912,  2029,   362,  2031,  2032,   302,  3923,  2035,
     243,  5087,    97,  5089,   341,  2916,  2917,  2918,  5442,   440,
     404,   403,  3612,  2049,  2050,  2051,  2052,   500,  3497,   503,
     246,  5261,   117,   174,  2999,  3000,  3001,  3002,   321,  3004,
    2739,  2067,  2553,  2069,  3225,  2813,   341,   421,   375,   407,
    4835,   286,  4837,  4838,  4839,   271,   291,   439,  2737,   138,
    2811,  1990,  2813,   300,  3029,   368,   207,   152,   452,  4861,
    2664,  4863,   362,  2886,  3048,  3497,   191,   362,   436,   500,
    3864,   196,  5493,  1582,  3952,  3953,  3954,  3955,  1587,    71,
    3958,  3959,  3960,  3961,  3962,  3963,  3964,  3965,  3966,  3967,
    5793,   404,   302,   461,    92,   302,  3690,  3585,    71,   459,
     459,   280,  3696,   218,    77,    22,  5515,   407,   233,   452,
     345,    28,   407,  4612,   333,   459,   302,    90,    13,   362,
    4619,   368,   482,   482,  2833,  4624,   118,   391,  4627,  5079,
     394,   341,   500,   446,   341,  4047,   436,   135,  4016,  4017,
     375,   436,   168,  5093,   504,   118,   459,   120,  5467,    44,
     369,    24,  3634,   365,  1663,   341,   459,   404,  1667,   345,
     504,   461,  2871,   288,   407,   375,   461,   459,   375,   482,
    1177,   172,    98,   288,  2210,  2861,   202,  2863,   346,   110,
     247,  2867,    77,  5423,   176,   404,  5889,   500,  3216,   375,
     482,   302,  5900,   436,  3222,   196,  2905,  3679,    90,   446,
     500,   504,   461,   176,   271,   500,   148,   375,   500,  3400,
     341,  5729,   459,   302,  2250,   261,    89,   461,   461,   161,
    5277,    79,   224,   482,    37,   167,   337,   167,   341,  3106,
     341,   204,    90,   452,  1241,   482,   416,   168,   482,   285,
      47,   500,   337,   167,   375,     5,    59,   173,   500,     3,
     190,    11,   341,   500,  1261,   380,   500,   500,   131,    19,
     440,  3022,   375,    70,   375,   138,   190,  2303,   141,   979,
      26,   202,   214,   368,  4714,   250,   459,    37,   286,   271,
     206,  4721,   500,   291,   276,   177,   375,  3804,   998,   461,
       5,  1001,   234,    49,   421,   221,    11,   110,   271,   482,
    5250,  1308,  6067,   276,  6069,   231,  5379,   343,   200,   404,
     482,  5384,  5385,  5734,  5735,   365,  5556,   248,   495,  2981,
       5,   252,     5,   500,  6089,   502,    11,   319,    11,   247,
    6038,   493,    98,   259,   148,    89,   498,   495,   500,   247,
     502,   283,   500,   335,   502,   237,   319,   161,    22,    94,
     292,   446,   493,   167,    28,   480,   200,   498,  5308,   500,
     286,   502,   335,   408,   459,   410,   491,   492,   493,   494,
     495,   496,   250,   488,   489,   490,   491,   492,   493,   494,
     495,   496,    68,    69,  5179,  3296,   199,   482,   142,   498,
     975,  3137,  3138,   502,    10,   980,   421,    13,  4897,   291,
     214,    17,    18,    19,   498,   500,   500,   173,   502,   263,
     264,   265,   266,  3205,    86,  3207,  3208,  3103,    34,   190,
     234,  1428,  1429,   224,  1431,  3302,   352,    58,   501,   302,
     243,   504,   450,   501,  5855,   248,   504,    15,    16,   252,
     206,   433,  2478,  2479,  2480,  2481,  2482,  2483,  2484,  2485,
    2486,   365,  2488,   501,   267,   221,   504,    32,    33,   501,
     433,  2497,   504,  2499,   337,   231,   452,   501,   341,   283,
     504,  2700,   501,   358,   359,   504,  4354,  2699,   292,  2701,
    2702,   501,   501,   500,   504,   504,   240,    11,   301,  2700,
     432,   501,   501,   259,   504,   504,   501,   501,   403,   504,
     504,  2537,   375,   286,   501,  2541,   500,   504,  2544,   382,
    2546,   362,  2536,  2549,  3321,  3322,   408,  2553,   410,   501,
     286,  5495,   504,   501,  3483,  2629,   504,  5948,   408,   421,
     410,   501,   504,   346,   504,  2696,  3299,   500,  2574,   501,
    2576,   433,   504,  2647,   436,    58,   501,  2651,   302,   504,
    3509,  2655,   358,   359,  3407,  5357,   369,  2593,   501,   452,
    5059,   504,   501,  5365,  5366,   504,  2602,  2603,   501,   501,
      86,   504,   504,  3351,   501,    47,   389,   504,  2682,   501,
    5079,   502,   504,   337,  2736,   479,   352,   341,  4188,   501,
     220,   345,   504,  2629,  5093,  3258,  2621,   358,   359,  3588,
    2636,  3417,   218,   501,  2640,  2641,   504,  5557,   289,  5849,
     501,  2647,  2716,   504,  4408,  2651,   289,   501,   432,  2655,
     504,   375,   501,   436,   501,   504,   286,   504,  2664,   148,
     501,  3793,  2736,   504,  2666,   501,  2668,   501,   504,   167,
     504,  5727,   161,   500,   286,   502,  2682,  5133,   167,  2685,
     479,   501,  2576,   407,   504,   409,   501,   289,    61,   504,
    2696,    47,  2698,  2699,  2768,  2701,  2702,   220,  2704,  4186,
    2822,  4188,   288,  3194,   440,   501,  5100,  5101,   504,  4178,
    2716,   501,  4164,   501,   504,  3206,   504,  2033,   501,   501,
    2036,  2795,   504,    96,  4126,   214,   501,  2801,  3302,   504,
    2736,  2737,   479,  2708,  3732,   459,   171,   501,  5658,  2745,
     504,  2815,   493,   501,   501,   234,   504,   504,  2822,   501,
    3241,  2825,   504,   358,   359,   501,   148,  2831,   504,   504,
    3906,  2767,  2768,   501,   501,  2771,   504,   504,  3774,   161,
    4222,   500,  3431,  3432,   449,   167,   501,  2851,  3434,   504,
    2902,  5250,  3736,  2857,   157,  3730,  2567,  2568,  2569,  2795,
    2864,  2797,   500,  3284,   283,  2801,   315,  5253,  5340,    10,
    6010,   500,    13,   292,  2878,  3484,    36,   501,   501,  2815,
     504,   504,   501,  5697,  5698,   504,  2822,  2891,   501,  2825,
     193,   504,   214,   501,   501,  2831,   504,   504,  2902,   500,
     273,     3,  2807,    44,   501,   501,   501,   504,   504,  5308,
      51,   498,   234,   500,  3461,  2851,   272,   273,   500,    58,
     502,  2857,  3583,    25,  5826,  5827,   229,  3588,  2864,   746,
    6070,   748,   501,   750,   501,   504,    77,   504,   501,   756,
     757,   758,  2878,   172,   501,   501,  2860,   504,   504,   501,
     501,  3560,   504,   504,  5804,  2891,   501,  3461,   216,   504,
    2896,   283,   501,   216,   267,   504,  2902,  5787,   271,   459,
     292,   461,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   408,   500,   410,  2920,  2921,  2922,    89,  3577,   501,
    2926,   501,   504,  3639,   504,   368,    54,    55,   501,   302,
     303,   504,   500,  4420,   501,   146,   408,   504,   410,   133,
    3599,   135,   368,   432,   502,   463,   501,  2953,  2954,   504,
    4111,   501,   501,   500,   504,   504,  2962,  3149,  1935,  3151,
    3152,   404,   341,   501,   501,   159,   504,   504,   341,   500,
     196,   143,   345,  5893,   459,   153,   461,   350,   404,  5899,
     191,  4415,   459,   500,   461,   196,   359,  4436,   501,  2995,
    3988,   504,   501,   501,   367,   504,   504,   501,  5467,   502,
     504,   501,   375,   446,   504,  1982,  5553,  4139,  4140,   498,
     153,  4143,   501,   502,   387,  3146,   459,   286,   286,  3014,
     446,  3027,   233,   396,   196,  3031,   501,   400,   196,   504,
     202,  3762,   501,   459,  4436,   504,  3995,   341,   501,   482,
     432,   504,   501,  3117,   501,   504,   501,   504,   153,   504,
     501,  2028,   501,   504,   153,   504,   482,   500,   501,  3258,
     503,  3135,   501,   501,   951,   504,   504,  3914,  3142,   263,
     264,   265,   266,   133,   500,   135,   270,   288,   196,   153,
     501,   454,   276,   504,   501,   286,   167,   504,  5557,  6009,
     501,   341,   501,   504,  3753,   504,  3755,   501,  4041,   503,
     501,  2995,   503,  4038,  4603,  4040,  4605,   153,  4072,    37,
    4074,  3117,  3890,  1445,  5041,  1447,  5043,   232,   120,   440,
     286,  3738,   500,  3740,  3780,  4084,   280,  3133,     0,  3135,
     167,    59,   501,  1020,    71,   271,  3142,   309,    37,   271,
    3146,   463,  3148,  3149,   286,  3151,  3152,  3153,  3194,  4997,
     500,   271,    47,    47,   271,  3161,   426,   271,  4728,    89,
    3166,  3360,  4121,   302,  3738,   452,  3740,    10,   452,   380,
      13,   167,   421,   322,    17,    18,    19,   153,   153,   153,
     500,   353,   110,   153,   463,   153,  3192,  3193,  3194,  5658,
    5806,  3197,   153,   504,   153,  3241,   153,   153,   153,  3205,
    3206,  3207,  3208,   153,   153,  3822,    37,   167,   153,   153,
    3216,   153,   153,   153,   286,  3221,  3222,  4215,  3224,  4217,
    3226,  3877,   404,   500,    37,    97,   232,   286,    59,   423,
     402,  3237,  3238,  4187,   167,  3241,   167,   500,  2215,  4708,
     434,     6,     6,  4241,   500,   500,  3905,   167,  3822,   500,
       6,     6,   500,   500,  3260,   500,  3262,    10,  3264,   431,
      13,   500,   500,   500,    17,    18,    19,   439,   500,   480,
     442,   199,   500,   500,     6,   500,   148,   500,  3284,   110,
     491,   492,   493,   494,   495,   496,   500,   500,   500,   161,
       6,   278,   500,   500,  3340,   167,  3302,   500,   500,   460,
     172,   500,    10,   500,   500,    13,   178,   500,   500,   181,
     500,   500,   298,   185,   216,   243,   504,   504,    37,   101,
     248,   232,    37,   500,   252,    36,   414,  4459,  3289,  3290,
    3291,  3337,   414,  4156,  3340,  5804,    44,  4123,   498,   267,
     498,   416,   214,    51,  3390,   176,  3352,   416,   416,   500,
     416,  3357,   172,   167,   504,    24,   283,   167,   281,   375,
      67,    30,   234,   416,   416,   362,  3372,   416,   199,    77,
     362,   451,   416,   301,   416,   218,   502,   416,  4332,   362,
    3386,  4310,   234,   416,  3458,    78,   416,   490,  3394,   416,
      90,  6007,   153,   362,   286,  4242,   367,   229,   416,   416,
    3406,   276,   126,  3409,   416,  3411,    75,   439,   407,   307,
    3416,   283,   243,   286,   286,   358,   281,   248,   346,   189,
     292,   252,   500,   416,  5893,  3431,  3432,   416,    90,   500,
    5899,  3437,   126,   302,  5282,   153,   267,   504,   146,  4320,
     440,   369,   196,  3337,   416,   288,  3340,   126,   112,   440,
     416,   416,  3458,   416,   416,  3461,  3947,    58,  3464,   126,
      58,   389,   131,  5311,   416,   218,  3472,   256,  1355,   138,
     301,   290,   141,  1360,  1361,   326,   326,   349,   416,   326,
     416,   416,   416,   191,  3558,   307,   307,   416,   196,    46,
    3981,  3497,  3386,    46,   416,   416,   504,   416,   416,   168,
    3394,  1388,   416,   416,   407,   218,   416,   416,   436,   416,
    1397,    24,  1399,   501,   218,   346,  1403,    30,   286,   416,
     505,   218,   218,  1410,   286,   233,   218,  3533,  3534,  3535,
     218,   218,   404,   202,  3733,   288,   218,  4028,   369,   416,
    6009,  4943,    10,   218,   218,    13,   426,   500,    37,   153,
     286,   153,  3558,   118,   271,   440,   153,   153,   389,   153,
     432,  3567,    75,  3569,   133,  2542,   135,   451,   240,   271,
     271,  3577,   286,   271,    37,   167,    44,    37,   224,   364,
     288,   153,   153,    51,   456,   500,   458,   459,   500,   153,
     159,   440,   500,  3599,   440,   153,   280,   275,   267,  2576,
     416,   455,   271,   256,   172,   436,   256,   500,    13,    77,
     414,  3685,   281,   504,  1501,   416,   162,   500,   131,   500,
      10,   290,   181,    13,  1511,   138,   498,   418,   141,   501,
     502,   503,   366,   302,   504,   501,   498,  4484,   189,   189,
     501,   479,   479,   501,  2621,   488,   489,   490,   491,   492,
     493,   494,   495,   496,    44,   168,   501,  3663,   456,   501,
     501,    51,   214,   254,   504,   287,   378,   222,  1555,  1556,
     504,   440,   380,    37,   440,   344,   345,   295,   146,  3685,
      58,   362,   440,   501,  3690,   500,   222,    77,   451,   202,
    3696,   222,  4651,   276,   263,   264,   265,   266,   276,  3705,
     500,   270,   271,   167,   286,    47,   375,   276,   384,   276,
     416,  1598,   286,   416,   232,  1602,  1603,   416,   232,   358,
     232,  4380,  4381,   191,   271,   250,  3732,  3733,   196,   126,
     286,   416,  3738,   504,  3740,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   407,   286,   286,  3753,   196,  3755,
    4882,  4568,   504,   286,   267,   341,   146,   190,   271,   375,
     372,   416,   416,   329,   459,   233,   292,    37,   281,  3775,
     501,   218,   480,   224,   443,   440,   325,   290,   153,   440,
    4634,   490,   281,   491,   492,   493,   494,   495,   496,   302,
    3864,   167,   452,    37,   405,  3801,   169,   326,   153,   372,
    5234,   191,   153,   153,   281,   440,   196,   459,    37,  3883,
     500,   500,  3807,   271,   271,    10,  3822,  3823,    13,   286,
     288,    26,  4478,  4479,  4480,  4481,  4482,   286,   341,   224,
     187,   344,   345,   187,  3908,   281,  3811,   167,    37,  3845,
     168,   224,   372,   233,    37,   167,   286,  1125,  3843,    44,
     271,   196,   196,  1131,   423,   196,    51,   196,  3864,   196,
     504,   504,   375,  1141,   463,   434,   504,  1145,    61,   502,
     504,  1149,  4719,  1151,    25,  5362,   179,  3883,   416,  1157,
     500,  4646,    77,   172,   253,  1163,  4024,   286,  1166,  4843,
     504,    58,   280,   501,   501,   501,   459,   172,   288,  3905,
     298,   501,  3908,    96,   308,   133,   501,   500,  1795,   172,
     270,   501,   380,   416,   501,  3890,   504,   501,   479,  3925,
     501,   501,  3928,   297,   501,   504,   501,   247,  3934,   172,
     443,   501,   181,   438,   482,   242,  3942,   499,  3944,   481,
     500,  3947,   446,   286,    58,  3951,  3952,  3953,  3954,  3955,
     504,   146,  3958,  3959,  3960,  3961,  3962,  3963,  3964,  3965,
    3966,  3967,   501,   500,   157,  3971,  3972,  3973,   500,   456,
    3976,   490,   500,   500,   286,  3981,  4022,   499,   289,   500,
    3986,   286,  3988,   500,  3990,   500,   200,     0,  5836,  5837,
     380,   500,  3998,   153,   416,  4001,   191,  4003,   416,   416,
     193,   196,   208,   276,  4637,    37,   156,  4013,   416,   271,
    4016,  4017,   480,   153,    85,  4021,  4022,  4216,   367,   375,
     153,   153,  4028,   491,   492,   493,   494,   495,   496,    61,
     232,   224,   367,   367,   200,   156,   229,  3014,   233,   286,
     490,   156,   456,  4242,   416,   362,  4705,   440,   234,  4047,
    4047,  4047,  4047,  4059,   309,   309,  4047,   437,  4047,   156,
     391,  4067,   244,  4554,    96,  4071,   244,   244,   416,  4030,
    4031,  4032,  4033,   126,   362,   362,   416,   362,   271,   362,
     416,   271,   375,   416,    97,  4159,   153,   416,    46,   416,
     480,   416,   416,   288,  5496,   416,   499,  4103,   416,   501,
     416,   491,   492,   493,   494,   495,   496,   416,   416,    53,
     303,   218,   416,   218,  4120,   501,   501,   501,   184,   290,
    4126,  2008,  2009,   504,   501,   157,   426,     3,  2015,  2016,
     167,  4862,  4138,    47,  4793,   148,   111,   504,   501,   167,
     501,   500,    37,    32,    33,   153,  4802,  4803,   161,  4805,
     416,   153,   345,  4159,   167,    99,   167,   350,  2045,   172,
     184,   193,   281,   440,   490,   178,   359,   153,   181,   440,
     362,   362,   185,  4067,   367,   362,   289,  4071,   362,   362,
     124,   500,   375,   372,   151,   380,  5184,   151,  5069,   504,
     144,   218,   224,   218,   387,   218,   218,   229,   142,  5769,
     218,   214,   146,   396,  4210,    13,   218,   400,    97,  4215,
    4216,  4217,   218,  4287,   218,   218,  4290,  3194,   498,   298,
     504,   234,   501,   501,   168,   501,   419,   171,   117,   501,
     451,  4890,  4431,     0,   172,  4241,  4242,   270,   456,   271,
     501,   501,   186,   501,  4138,   504,   499,   221,   500,   296,
     501,   221,   500,   406,   500,   293,    58,   185,   500,   413,
     349,   454,    88,   152,  3241,   458,   445,   426,   167,    37,
     283,   303,  4256,   286,   224,   440,   440,   416,   208,   292,
      58,  4287,   407,  4267,  4290,   480,  3263,   153,   391,   176,
     426,   367,   416,   156,   416,   341,   491,   492,   493,   494,
     495,   496,  3279,   362,  5400,   416,  5402,   416,   416,    58,
     362,   459,   500,   345,   407,   446,   501,  4391,   350,   167,
     501,   501,    77,   286,   500,   153,   111,   359,  1435,   501,
      97,   426,   276,   218,  4408,   367,   349,   218,   218,   218,
     222,   203,   500,   375,   500,   500,   416,   463,  4354,   286,
      37,   307,   501,   284,   286,   387,     3,   504,   504,   500,
    3337,   426,   504,  3340,   396,    43,   416,   501,   400,   178,
     500,   372,   111,   172,  4380,  4381,   218,   172,  4384,    58,
     457,   148,   457,   327,   501,  4391,   504,   419,   298,   501,
     500,   404,  4398,  4399,   161,   501,  5052,   501,  5530,   501,
     167,   501,  4408,   221,   500,   172,   500,  5063,   413,  3386,
     458,   178,   281,  3390,   181,  4489,   490,  3394,   185,   432,
    5301,   416,   454,   459,   172,  4431,   458,   426,  5211,  4424,
    4436,  4437,  4438,  5411,    77,  5567,   202,   190,  4637,   190,
     276,   276,  4448,   456,    58,   458,   459,   214,   337,   490,
     407,   416,    71,   504,   416,   504,   416,   153,   156,   501,
     218,  5094,   125,   416,   174,   500,   118,   234,    37,   196,
     281,   500,   372,    37,   440,  5134,   169,   271,   372,   368,
     281,  5613,  5614,  4489,    58,   498,   459,    83,   501,   502,
     503,   407,    37,   286,   167,   172,   336,   504,   459,   205,
     500,   289,   216,   172,  4398,  4399,   500,   307,   501,  4515,
     445,   388,  5145,   501,   365,   404,   283,    37,    37,   286,
    4526,    80,   500,   500,    90,   292,   134,   286,   335,   501,
     197,    37,   501,   416,   167,   153,   153,    37,   416,    59,
    5538,   500,   276,   440,   245,   500,   153,   372,  4554,   500,
     111,  4557,   500,   500,   500,   500,    37,   446,   500,  4565,
    4566,   450,  4568,   172,  5411,    85,  4572,  4573,   501,   290,
     459,  4577,   501,   426,   386,  4581,   386,   501,  4584,  4585,
     167,    58,   349,  4589,   110,   500,   504,   500,   500,  4595,
     110,   111,    37,   482,   455,   504,   445,   500,   118,   500,
     189,   407,   440,   407,   167,  5603,  4612,   267,   500,   200,
     286,   500,     6,  4619,   160,   501,   463,   359,  4624,   359,
    1898,  4627,  4628,    71,   289,   500,   134,  5605,  1906,  4635,
    5762,    71,   503,   455,   139,   459,   459,   404,   375,   444,
    4646,   164,   445,    51,   504,   500,   164,    34,  4654,   246,
     500,   172,   332,  4648,  4649,   407,   176,   407,   202,   286,
     276,   286,    37,  5319,   372,   432,   500,    37,  4674,  4671,
    5623,   500,   197,  4747,   289,   174,   289,  2564,  2565,   199,
     174,   500,   152,  2570,   501,  4759,  4692,    58,   293,   456,
      58,   458,   459,    37,   342,   412,    58,  5829,  5830,  4705,
     416,   395,   123,   501,   501,   438,     6,   139,   372,   500,
     149,   276,   358,   500,   500,  2602,  2603,   412,  4612,    23,
     358,   504,   504,   243,  4730,  4619,    34,    80,   248,  4713,
    4624,   498,   252,  4627,   501,   502,   503,   272,   375,  4723,
     500,  4747,   416,   172,   294,   272,  4752,   267,  5404,   152,
     386,   271,    10,  4759,   358,    13,   386,   118,   504,    17,
      18,    19,   446,   445,   500,   174,   501,   459,   459,  4775,
     174,   446,   440,   445,   500,   903,  4782,  2664,  5260,  1666,
     943,   301,  2979,   990,  3302,  1361,    44,  4793,   989,  2871,
    4215,  3509,  4190,    51,  2780,  5753,  2951,  5288,  2897,  3724,
    5187,  5603,  5870,  4378,  5234,  4188,  5210,  4852,  3438,  3093,
    5733,  5093,  5858,  5633,  5632,  5893,  5773,  4897,  4824,    77,
    4399,  3442,  4425,  5397,  4410,  5577,   346,  4368,  2965,  2965,
    3807,  5322,  4210,  3534,  3772,  4394,  4891,  5411,  5329,  5217,
     985,  5572,  3816,  4461,  4850,  5508,  5972,  6082,  6064,   369,
    5201,  3732,  4433,  5785,  5147,  5150,  5382,  5586,  1825,    18,
    4866,  2748,   634,    28,  3881,  4871,  3843,  1205,  4489,   389,
    5968,   391,  5352,  1868,   394,  2981,  2641,  3416,  4436,  3827,
    5260,  1865,  5496,  1903,  4890,  1879,   719,  1985,  1985,  2896,
     686,  4897,  5870,  3666,  4241,  5094,  3585,  5811,  6013,  2927,
     834,  4465,  4976,  2583,  5395,  5396,  4467,  1778,  6032,  4650,
    5349,  4118,  5726,  1338,  4909,  2022,   436,    40,    40,  3357,
    3372,  1377,  1438,  2593,  2031,  5714,  1437,  5550,  3340,  3337,
    1440,  4056,  4073,   191,  5133,  1480,  5569,  4943,   196,  4945,
    5060,  5308,  5307,  4119,  3337,  5708,  5145,  5991,  5840,  5537,
    2837,  1394,  5144,  5286,  3990,  5551,  3162,  5552,  2845,  2494,
    2024,  2848,  3263,  2926,  5145,  3261,   891,  2497,  2581,    -1,
    4976,    -1,    -1,  2860,    -1,   233,    -1,    -1,    -1,    -1,
     500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4994,    -1,
      -1,  4997,    -1,    -1,  5000,  5001,  5002,  5189,    -1,    -1,
      -1,    -1,    -1,  4897,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5087,    -1,  5089,    -1,    -1,  6016,  5025,
    5026,    -1,    -1,  5029,    -1,    -1,    -1,    -1,    -1,    -1,
     288,  5605,    -1,    -1,    -1,  5526,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5049,    -1,  4022,    -1,    -1,    -1,  5055,
      -1,    -1,    -1,  5059,    -1,  5546,    -1,  5548,    -1,  5065,
    5066,    -1,    -1,    -1,    -1,    -1,  6064,    -1,  6051,    -1,
    4047,    -1,    -1,  5079,    -1,    -1,  5082,    -1,    -1,    -1,
      -1,  5087,    -1,  5089,  6082,    -1,    -1,  5093,    -1,    -1,
    4067,    -1,    -1,    -1,  4071,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5072,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   380,    -1,    -1,    -1,     6,  5133,  5134,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5144,    -1,
      -1,    -1,    -1,    23,    -1,    25,    -1,    -1,    -1,    29,
      -1,    -1,    -1,    -1,    34,    35,    36,    61,    38,    -1,
      -1,    41,    42,    -1,    44,  5059,    46,    -1,    -1,    -1,
      -1,    -1,    -1,    53,    54,    55,    -1,    -1,  5184,  5753,
      -1,    -1,    -1,  5189,  6065,  5079,    -1,    -1,    -1,    -1,
      -1,    -1,    96,    -1,    -1,    -1,    -1,    -1,    -1,  5093,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3106,
    5215,    -1,   480,  5954,  5955,    -1,    -1,    -1,    -1,    -1,
     488,   489,   490,   491,   492,   493,   494,   495,   496,    -1,
      -1,    -1,    -1,    -1,  5250,    -1,    -1,  5253,    -1,    -1,
      -1,  5246,    -1,   157,    -1,    -1,  2534,    -1,    -1,    -1,
      -1,  5260,  5260,  5260,  5260,  5260,  5260,  5260,  5260,  5260,
      -1,  5260,    -1,  5260,  5249,  5260,  5282,  5260,  5260,  5260,
    5286,  5260,  5288,  5329,  5260,    -1,  5260,   695,  5260,   193,
      -1,    -1,    -1,    -1,    -1,    -1,  5870,    -1,    -1,    -1,
      -1,    -1,  5308,    -1,    -1,  5311,    -1,    -1,    -1,    24,
      -1,    -1,    -1,   721,    -1,    30,  5322,   197,   198,   199,
      -1,    -1,   202,  5329,    -1,   229,   206,    -1,   208,    -1,
      45,   211,    -1,    -1,   214,    -1,    -1,   217,    -1,    -1,
     220,    -1,   222,    -1,    -1,   225,    -1,    -1,    -1,   229,
      -1,   231,    -1,    -1,    -1,    -1,  5250,    -1,    24,    -1,
      75,    -1,    -1,   267,    30,    -1,    -1,   271,    -1,    -1,
    5569,    37,    -1,  5379,    -1,    -1,    -1,    -1,  5384,  5385,
      -1,    -1,    -1,  5389,    -1,    -1,    -1,    -1,    -1,  5395,
    5396,  5397,    -1,    59,    -1,    -1,    -1,    -1,   302,   303,
      -1,    -1,    -1,    -1,    -1,  5411,    -1,    -1,    -1,    75,
      -1,    -1,    -1,  3300,  5308,  3302,   131,    -1,    -1,    -1,
      -1,  4398,    -1,   138,    -1,  5431,   141,    -1,    -1,    -1,
      -1,  3318,    -1,  5439,    -1,    -1,  5442,   341,    -1,    -1,
      -1,   345,    -1,    -1,   110,    -1,   350,  4424,    -1,    -1,
      -1,    -1,    -1,   168,    -1,   359,    -1,    -1,    -1,    -1,
    5951,  5467,    -1,   367,    -1,   131,    -1,    -1,    -1,    -1,
      -1,   375,   138,    -1,  5469,   141,    -1,  3364,  3365,    -1,
      -1,    -1,    -1,   387,    -1,    -1,  2593,   202,    -1,    -1,
    5496,  5497,   396,    -1,    -1,    -1,   400,    -1,    -1,    -1,
      -1,    -1,   168,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5520,    -1,    -1,    -1,    -1,    -1,
    5526,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5537,  5538,   199,    -1,  5541,   202,    -1,    -1,    -1,
    5546,    -1,  5548,    -1,  5550,    -1,    -1,    -1,  5740,    -1,
     454,  5557,   267,    -1,    -1,    -1,   271,    -1,    -1,  5554,
      -1,    -1,    -1,    -1,    -1,  6056,   281,    -1,    -1,    -1,
      -1,    -1,  5578,  5467,    -1,   290,    -1,   243,    -1,    -1,
      -1,    -1,   248,    -1,    -1,    -1,   252,   302,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5603,    -1,  5605,
      -1,   267,    -1,    -1,    -1,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   281,    -1,    -1,    -1,    -1,
    5812,  5813,  1030,    -1,   290,    -1,   341,    -1,    -1,   344,
     345,    -1,    -1,  1041,    -1,   301,   302,    -1,    -1,    -1,
      -1,    -1,  4619,    -1,    -1,    -1,    -1,  4624,    -1,  1057,
    4627,    -1,  5658,  5727,    -1,    -1,    -1,    -1,    -1,    -1,
     375,    -1,    -1,  5557,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4648,  4649,    -1,    -1,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5696,  5697,  5698,    -1,    -1,    -1,    -1,    -1,  5704,    -1,
      -1,    -1,    -1,   369,    -1,    -1,    -1,    -1,  5714,   375,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5724,    -1,
      -1,  5727,    -1,   389,    -1,    -1,    -1,    -1,   443,    -1,
      -1,    -1,    -1,    -1,  5740,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5753,    -1,    -1,
      -1,    -1,    -1,   633,    -1,    -1,    -1,    -1,    -1,   639,
      -1,   641,    -1,   643,  5658,    -1,   646,  3045,    -1,    -1,
     436,    -1,  3050,   653,  3052,    -1,    -1,   443,   658,    -1,
     660,    -1,    -1,    -1,  3062,    -1,   666,  3065,  5794,  3067,
    3068,  5786,    -1,  3071,    -1,    -1,    -1,  3075,  5804,  3077,
      -1,    -1,  3080,    -1,    -1,  1213,  5812,  5813,    -1,    -1,
     690,    -1,  5818,  5811,  5820,  5811,  5811,    -1,    -1,   699,
    5811,    -1,  5811,   703,    -1,    -1,   706,    -1,    -1,   709,
    5836,  5837,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   725,  3733,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5903,    -1,    -1,
      -1,    -1,    -1,    -1,  5870,    -1,  3144,    -1,    -1,  3756,
      -1,    -1,    -1,    -1,    61,    -1,    -1,    -1,    -1,    -1,
    6072,  6073,    -1,    -1,    -1,    -1,    -1,  5893,    -1,    -1,
      -1,    -1,    -1,  5899,    -1,    -1,    -1,    -1,   778,    -1,
      -1,    -1,    -1,    -1,    -1,  5903,    -1,  5903,  5903,    96,
    5804,  5917,  5903,   793,  5903,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5937,  4909,   813,   814,    -1,   816,   817,    -1,    -1,
      -1,   821,    -1,    -1,    -1,  5951,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   835,    -1,    -1,    -1,    -1,
     840,    -1,    -1,    -1,    -1,    -1,   846,    -1,    -1,    -1,
     157,    -1,    -1,    -1,    -1,    -1,  5982,    -1,    -1,     6,
      -1,    -1,    -1,  5989,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5893,
      -1,    -1,    -1,  6009,    -1,  5899,   193,    -1,    -1,    -1,
    6016,   891,    -1,    -1,    -1,  6013,    -1,  6013,  6013,    -1,
      -1,    -1,  6013,    -1,  6013,   905,    -1,  3914,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   918,    -1,
      10,    -1,   229,    13,    -1,  6051,  6052,    17,    18,    19,
    6056,    -1,    -1,   933,  6060,    -1,    -1,    -1,  6064,    -1,
      -1,    -1,    -1,    -1,    34,    -1,  6072,  6073,    -1,    -1,
      -1,    -1,   952,    -1,    44,    -1,  6082,   957,   958,    -1,
      -1,    51,  5059,    -1,   271,  3192,  3193,    -1,    -1,    -1,
    3197,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    -1,   989,
     990,    -1,    -1,    -1,    -1,  6009,   303,    -1,    -1,    -1,
      24,    -1,    -1,    -1,    -1,    -1,    30,    -1,    -1,    -1,
    3237,  3238,  1012,  1013,    -1,    -1,    -1,    -1,    24,    -1,
      -1,    45,    -1,    -1,    30,  1025,    -1,  1027,    -1,    -1,
      -1,  1031,    -1,    -1,  1034,  1035,  1564,  1037,   345,    45,
     347,    -1,  1042,   350,    -1,    -1,    -1,    -1,    -1,  3447,
     197,    75,   359,    -1,    -1,    -1,    -1,    -1,    -1,   206,
     367,    -1,    -1,    -1,    -1,    -1,  1066,   214,   375,    75,
     217,    -1,    -1,  1073,  1074,    -1,    -1,    -1,    -1,    -1,
     387,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   396,
      -1,    -1,    -1,   400,  1094,  1095,  1096,    -1,  1098,    -1,
    1100,   191,  1102,  1103,    -1,   129,   196,   131,    -1,    -1,
      -1,    -1,    -1,    -1,   138,    -1,    -1,   141,  5215,    -1,
    3518,    -1,  3520,   129,    -1,   131,    -1,    -1,   218,   219,
      -1,    -1,   138,    -1,    -1,   141,  1136,    -1,  1138,  1139,
      -1,    -1,    -1,   233,   168,    10,    -1,   454,    13,  5246,
      -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   168,  5260,    -1,    -1,    -1,    -1,    -1,    34,
      -1,  1171,    -1,    -1,    -1,    -1,    -1,    -1,   202,    44,
      -1,    -1,    -1,    -1,   274,    24,    51,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    -1,    -1,   202,  1197,   288,  1199,
      -1,   291,    -1,  1203,    -1,  1205,    -1,    -1,    -1,  4216,
      -1,    -1,    77,    -1,    -1,    -1,    -1,    -1,    -1,  1219,
      -1,    -1,    -1,    -1,    -1,  1225,    -1,    -1,  1228,    -1,
      -1,  1231,  5329,    -1,    -1,  4242,    75,    -1,    -1,    -1,
      -1,    -1,    -1,   267,    -1,  1245,    -1,   271,    -1,  4256,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   281,    -1,    -1,
    4267,   267,  1790,    -1,  3662,   271,   290,    -1,    -1,    -1,
    3668,    -1,    -1,  1801,    -1,   281,  1276,    -1,   302,    -1,
      -1,    -1,    -1,    -1,   290,    -1,    -1,    -1,    -1,  1817,
     380,    -1,   131,    -1,    -1,    -1,   302,    -1,    -1,   138,
      -1,    -1,   141,    -1,  1304,  1305,  1306,    -1,  1308,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   341,    -1,    -1,
     344,   345,    -1,    -1,    -1,    -1,   191,    -1,  1328,   168,
      -1,   196,    -1,    -1,    -1,   341,  4343,  4344,   344,   345,
      -1,    10,  1870,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,   375,    -1,   218,   219,    -1,    -1,  1885,    -1,    -1,
    1888,  1889,    -1,   202,    -1,    34,  1366,    -1,   233,   375,
    5467,    -1,  5469,    -1,    -1,    44,    -1,    -1,    -1,    -1,
      -1,    -1,    51,    -1,  1384,    -1,    -1,    -1,    -1,    -1,
     480,  1919,  1920,    -1,    -1,    -1,    -1,    -1,   488,   489,
     490,   491,   492,   493,   494,   495,   496,    -1,    77,   274,
      -1,   501,    -1,    -1,   504,    -1,    -1,    -1,    -1,   443,
      -1,    -1,    -1,   288,  4431,    -1,   291,    -1,   267,    -1,
    1430,    -1,   271,    -1,  1434,  1435,    -1,   443,    -1,    -1,
      -1,    -1,   281,    -1,    -1,  1445,  1446,  1447,  1448,    -1,
    1450,   290,    -1,    -1,  3852,    -1,  3854,  5554,  3856,    -1,
      -1,    -1,    -1,   302,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1473,    -1,    -1,    -1,  4484,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   341,    -1,    -1,   344,   345,    -1,  1508,    -1,
      -1,    -1,    -1,  1513,    -1,   380,  1516,    -1,    -1,    -1,
      -1,  2049,   191,    -1,    -1,    -1,    -1,   196,    -1,  1529,
    1530,    -1,    -1,    -1,    -1,    -1,   375,    -1,  1538,    -1,
      -1,  1541,    -1,   690,    -1,    -1,    -1,    -1,    -1,   218,
     219,    -1,   699,    -1,    -1,    -1,    -1,    -1,    -1,   706,
      -1,    -1,   709,    -1,   233,    -1,    -1,    -1,  1568,    -1,
    1570,    -1,    -1,  1573,    -1,    10,  1576,  1577,    13,    -1,
    1580,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,
    1590,    -1,    -1,  1593,    -1,    -1,  1596,    -1,    -1,    34,
      -1,    -1,    -1,    -1,   443,   274,    -1,    -1,    -1,    44,
      -1,    -1,    -1,    -1,    -1,   480,    51,    -1,    -1,   288,
    1620,    -1,   291,   488,   489,   490,   491,   492,   493,   494,
     495,   496,    -1,    -1,    -1,    -1,    -1,    -1,  1638,   504,
      -1,    -1,    77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1650,  1651,  1652,  1653,  1654,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1668,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1679,
    1680,  1681,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5786,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4713,    -1,    -1,    -1,
      -1,   380,  4719,    -1,  5811,    -1,  4723,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3952,  3953,  3954,  3955,    -1,
      -1,  3958,  3959,  3960,  3961,  3962,  3963,  3964,  3965,  3966,
    3967,    -1,    -1,  4750,  4751,    -1,    -1,    -1,  4755,  4756,
      -1,    -1,    -1,    -1,    -1,    -1,   191,    -1,    -1,  3986,
      -1,   196,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1777,    -1,    -1,
      -1,    -1,    -1,   218,   219,    -1,    -1,    -1,  1788,  4016,
    4017,    -1,    -1,    -1,    -1,    -1,  1796,  1797,   233,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5903,    -1,    -1,    -1,
      -1,   480,  1812,    -1,    -1,    -1,    -1,    -1,    -1,   488,
     489,   490,   491,   492,   493,   494,   495,   496,    -1,    -1,
    1830,  1831,  4059,    -1,    -1,   504,    -1,    -1,    -1,   274,
      -1,    -1,    -1,    -1,    -1,    -1,  1846,  1847,  1848,  1849,
      -1,    -1,    -1,   288,    -1,  1855,   291,    -1,    -1,    -1,
      -1,    10,  1862,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1025,  1879,
      -1,    -1,  1882,    -1,  1031,    34,    -1,    -1,  1035,    -1,
    1037,    -1,  1892,  1893,    -1,    44,    -1,    -1,    -1,    -1,
      -1,    -1,    51,  1903,  1904,    10,    -1,  1907,    13,    -1,
    1910,    -1,    17,    18,    19,    -1,  6013,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1925,  1926,    -1,    77,    34,
      -1,    -1,  1932,    -1,  1934,    -1,    -1,    -1,    -1,    44,
      -1,    -1,    -1,    -1,    -1,   380,    51,    -1,    -1,    -1,
      -1,  1951,    -1,  1100,    -1,  1102,  1103,    -1,  1958,    -1,
    1960,    -1,    -1,  1963,  1964,  1965,    -1,  1967,  1968,    -1,
    1970,    -1,    77,    -1,    -1,    -1,    -1,  1977,    -1,    -1,
      -1,    -1,    -1,    -1,  1984,    -1,    -1,    -1,    -1,    -1,
    1990,  1991,    -1,    -1,  1994,    -1,    -1,    -1,  1998,    -1,
    2000,    -1,    -1,    -1,    -1,  2005,  2006,    -1,    -1,    -1,
      -1,    -1,  2012,  2013,  2014,    -1,    -1,  2017,    -1,  2019,
    2020,  2021,  2022,  2023,  2024,  2025,  2026,    -1,    -1,  2029,
      -1,  2031,  2032,    -1,    -1,  2035,    -1,    -1,    -1,    -1,
      -1,    -1,   191,    -1,    -1,   480,    -1,   196,    -1,    -1,
    2050,  2051,  2052,   488,   489,   490,   491,   492,   493,   494,
     495,   496,    -1,    -1,    -1,    -1,   501,  2067,    -1,   218,
     219,    -1,    -1,    -1,    -1,  4473,    -1,    -1,  4476,    -1,
      -1,    -1,    -1,    -1,   233,    -1,   191,    -1,    -1,    -1,
      -1,   196,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4502,    -1,    -1,  2107,    -1,    -1,
      -1,    -1,    -1,   218,   219,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   274,  5133,  4354,   233,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   198,   199,    -1,   288,
     202,    -1,   291,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    24,    -1,    -1,    -1,    -1,    -1,    30,    -1,    -1,
     222,    -1,    -1,    -1,    -1,    -1,    -1,   229,    -1,   274,
    2698,    -1,    10,    -1,    -1,    13,  2704,    -1,    -1,    17,
      18,    19,    -1,   288,    -1,    -1,   291,    -1,    -1,    -1,
      -1,    -1,    10,    -1,    -1,    13,    34,    -1,    17,    17,
      18,    19,    75,    -1,    -1,    -1,    44,    26,    -1,    -1,
    2210,    -1,    -1,    51,    -1,    -1,    34,  2745,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    44,    -1,    -1,    -1,
      -1,   380,    -1,    51,    -1,    -1,    -1,    10,    -1,    77,
      13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,
    2250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   131,    77,
      -1,    34,    -1,    -1,    -1,   138,    -1,    -1,   141,    -1,
      -1,    44,    -1,    -1,    -1,   380,    -1,    -1,    51,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4690,    -1,    -1,   168,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2303,    77,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   202,
    4557,   480,    -1,  4731,  4732,    -1,    -1,    -1,    -1,   488,
     489,   490,   491,   492,   493,   494,   495,   496,    -1,    -1,
      -1,    -1,   501,   191,    -1,    -1,    -1,    -1,   196,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   191,    -1,   480,    -1,    -1,   196,    -1,
     218,   219,    -1,   488,   489,   490,   491,   492,   493,   494,
     495,   496,    -1,    -1,   267,   233,   501,    -1,   271,    -1,
     218,   219,    -1,    -1,  5411,    -1,    -1,    -1,   281,    -1,
      -1,    -1,    -1,    -1,    -1,   233,    -1,   290,   191,    -1,
      -1,    -1,    -1,   196,    -1,    -1,  2954,  4825,  4826,   302,
      -1,    -1,    -1,    -1,    -1,    -1,   274,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   218,   219,    -1,    -1,    -1,
     288,    -1,    -1,   291,    -1,    -1,   274,    -1,    -1,    -1,
     233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   341,    -1,
     288,   344,   345,   291,    -1,    -1,    -1,    -1,  2478,  2479,
    2480,  2481,  2482,  2483,  2484,  2485,  2486,    -1,  2488,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2496,  2497,    -1,  2499,
      -1,   274,   375,    -1,    -1,    -1,  2506,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   288,    -1,    -1,   291,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2535,    -1,  2537,    -1,    -1,
    2540,  2541,   380,    -1,  2544,    -1,  2546,    -1,    -1,  2549,
      -1,    -1,    -1,  2553,    -1,    -1,    -1,  4955,    -1,    -1,
    4958,  4959,   380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     443,    -1,    -1,    -1,    -1,    -1,  2576,  4975,    -1,   641,
      -1,   643,  2582,  2583,   646,    -1,    -1,    -1,  5595,    -1,
      -1,    -1,    -1,  2593,    -1,    -1,    -1,    -1,   660,    -1,
      -1,    -1,  2602,  2603,   666,  3133,    -1,   380,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2616,    -1,    -1,    -1,
    3148,    -1,    -1,    -1,  2624,  3153,  2626,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     488,   489,   490,   491,   492,   493,   494,   495,   496,    -1,
      -1,    -1,   480,   501,    -1,    -1,  2666,    -1,  2668,    -1,
     488,   489,   490,   491,   492,   493,   494,   495,   496,    -1,
      -1,    -1,    -1,   501,    -1,  2685,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2696,    -1,    -1,  2699,
    2700,  2701,  2702,    -1,    -1,  2705,    -1,   480,  2708,    -1,
      -1,    -1,    -1,    -1,    -1,   488,   489,   490,   491,   492,
     493,   494,   495,   496,    -1,    -1,    -1,    -1,   501,  2729,
      -1,    -1,  1879,    -1,    -1,  1882,    -1,    -1,    -1,    -1,
    2740,    -1,    -1,    -1,    -1,  1892,  1893,    -1,  2748,  2749,
      -1,    -1,    -1,    -1,    -1,  2755,    -1,    -1,    -1,    -1,
    1907,    -1,    -1,  1910,  2764,    -1,    -1,    -1,    -1,    -1,
    4997,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2786,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2807,    -1,    -1,
      -1,    -1,    -1,  1960,    -1,    -1,   635,  1964,  1965,    -1,
    2820,    10,  5049,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    10,    -1,  2843,    13,    34,  2846,    24,    17,    18,
      19,    -1,    -1,    30,    -1,    44,    -1,    -1,    -1,    -1,
      -1,    -1,    51,    -1,    -1,    34,   685,   686,    -1,    -1,
      -1,    -1,  2872,  2873,    -1,    44,    -1,    -1,    -1,    -1,
      -1,    -1,    51,    -1,    -1,    -1,    -1,  2887,    77,  2889,
    2890,    -1,    -1,    -1,    -1,   957,   958,    -1,    75,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2920,  2921,  2922,    -1,    -1,    -1,  2926,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2934,    -1,  3464,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3472,    -1,    -1,  2947,    -1,    -1,
      -1,    -1,    -1,  2953,   131,  2955,  5354,    -1,    -1,    -1,
      -1,   138,   781,    -1,   141,  1027,    -1,    -1,  2968,    -1,
      -1,    -1,    -1,  2973,    -1,    -1,    -1,    -1,    -1,  2979,
    1042,    -1,  2982,    -1,    -1,    -1,    -1,    -1,   807,    -1,
      -1,   168,    -1,    -1,  2994,  2995,   815,    -1,    -1,   818,
     819,   820,   191,    -1,    -1,  3005,    -1,   196,  5406,  6016,
      -1,  1073,  1074,    -1,    -1,  3015,    -1,  3017,    -1,    -1,
      -1,    -1,   191,    -1,    -1,   202,    -1,   196,    -1,   218,
     219,    -1,    -1,    -1,    -1,    -1,  1098,    -1,    -1,  3567,
      -1,  3569,    -1,    -1,   233,    -1,    -1,    -1,    -1,   218,
     219,    -1,    -1,    -1,    -1,  5282,  3056,  6064,  3058,    -1,
    3060,    -1,    -1,    -1,   233,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6082,  1138,  1139,    -1,    -1,
      -1,    -1,    -1,    -1,  5311,   274,    -1,    -1,    -1,    -1,
     267,    -1,    -1,  3093,   271,    -1,    -1,    -1,    -1,   288,
      -1,    -1,   291,    -1,   281,   274,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   290,    -1,    -1,    -1,    -1,    -1,   288,
      -1,  5519,   291,    -1,    -1,   302,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3663,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3146,  3147,    -1,  3149,
      -1,  3151,  3152,    -1,  3154,    -1,    -1,    -1,    -1,    -1,
      -1,  3161,    10,    -1,   341,    13,  3166,   344,   345,    17,
      18,    19,    -1,    -1,    -1,    -1,    -1,  3705,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    34,    -1,    -1,    -1,
      -1,   380,  3192,  3193,  3194,    -1,    44,  3197,   375,    -1,
      -1,  1020,    -1,    51,    -1,  3205,  3206,  3207,  3208,    -1,
      -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3221,    -1,    -1,  3224,    -1,  3226,    -1,    -1,    77,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3237,  3238,    -1,
      -1,  3241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3258,    -1,
    3260,    -1,  3262,    -1,  3264,    -1,   443,    -1,    -1,    -1,
      -1,    -1,    -1,  3801,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3284,    -1,    -1,    -1,  3288,    -1,
      -1,   480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   488,
     489,   490,   491,   492,   493,   494,   495,   496,    -1,  3309,
    5537,   480,   501,    -1,    -1,    -1,    -1,  3845,    -1,   488,
     489,   490,   491,   492,   493,   494,   495,   496,    -1,    -1,
      -1,    -1,   501,    -1,    -1,    -1,    -1,  3337,    -1,    -1,
    3340,  3341,    -1,   191,    -1,  3345,  3346,  3347,   196,    -1,
      -1,    -1,  3352,    -1,    -1,    -1,    -1,  3357,    10,    -1,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,
     218,   219,  3372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    34,    -1,    -1,   233,  3386,    -1,    -1,    -1,
    3390,  1210,    44,  3393,  3394,    -1,  3396,    -1,    -1,    51,
    3928,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1233,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3951,    -1,    77,   274,    -1,    -1,  2576,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3437,    -1,    -1,
     288,    -1,    -1,   291,    -1,    -1,    -1,    -1,  3976,    -1,
      -1,    -1,    -1,    -1,  1516,  5853,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3467,  3468,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5704,    -1,  1541,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1310,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1319,    -1,    -1,    -1,    -1,    -1,    51,    -1,    -1,    -1,
      24,    -1,    -1,    -1,  1333,    -1,    30,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   380,  1352,    -1,    -1,  1355,  1356,    -1,   191,
      -1,  1360,  1361,    -1,   196,    -1,    -1,    -1,    -1,  2696,
      -1,    -1,  2699,    -1,  2701,  2702,    -1,    -1,  1620,    -1,
      -1,    75,    -1,    -1,    -1,    -1,   218,   219,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3575,    -1,    -1,    -1,    -1,
      -1,   233,    -1,    -1,    -1,  3585,    -1,    -1,  1650,  1651,
    1652,  1653,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5836,
    5837,    -1,    -1,    -1,    -1,    -1,    -1,   131,    -1,    24,
      -1,    -1,   274,    -1,   138,    30,    -1,   141,    -1,    -1,
      -1,    -1,   480,    -1,    -1,    -1,   288,    -1,    -1,   291,
     488,   489,   490,   491,   492,   493,   494,   495,   496,    -1,
      -1,    -1,    -1,   501,   168,    -1,    -1,    24,    -1,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    -1,    -1,    -1,    -1,
      75,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   202,    -1,
    3690,    -1,    -1,    -1,    -1,    -1,  3696,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3707,    75,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   131,    -1,   380,    -1,
      -1,    -1,    -1,   138,  1796,  1797,   141,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3744,  3745,  3746,    -1,    -1,    -1,
    1812,    -1,    -1,   267,    -1,    -1,    -1,   271,    -1,    -1,
      -1,  3761,    -1,   168,   131,    -1,    -1,   281,    -1,    -1,
      -1,   138,    -1,    -1,   141,  3775,   290,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1846,  1847,  1848,  1849,   302,    -1,
      -1,    -1,    -1,  3793,  3794,  3795,    -1,   202,  1617,  3799,
      -1,   168,    -1,    -1,    -1,    -1,  1625,    -1,    -1,    -1,
      -1,  3811,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   341,   480,    -1,
     344,   345,    -1,    -1,    -1,   202,   488,   489,   490,   491,
     492,   493,   494,   495,   496,    -1,    -1,    -1,  2995,   501,
      -1,    -1,    -1,    -1,    -1,    -1,  4384,    -1,    -1,    -1,
      -1,   375,   267,    -1,  1926,    -1,   271,  3867,    -1,    -1,
    1932,    -1,    -1,    -1,    -1,    -1,   281,    -1,    -1,    -1,
      -1,  3881,  3882,    -1,    -1,   290,    -1,    -1,    -1,    -1,
    3890,    -1,    -1,    -1,    -1,    -1,    -1,   302,    -1,    -1,
     267,    -1,    -1,  3903,   271,    -1,  3906,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   281,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   290,    -1,  3925,    -1,    -1,    -1,   443,
      -1,    -1,    -1,    -1,  3934,   302,   341,    -1,    -1,   344,
     345,    -1,  3942,    -1,  3944,    -1,    -1,  3947,    -1,    -1,
      -1,    -1,  3952,  3953,  3954,  3955,    -1,    -1,  3958,  3959,
    3960,  3961,  3962,  3963,  3964,  3965,  3966,  3967,    -1,    -1,
     375,  3971,  3972,  3973,   341,    -1,    -1,   344,   345,    -1,
      -1,  3981,    -1,    -1,    -1,    -1,  3986,    -1,    -1,    -1,
    3990,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3998,  3146,
      -1,  4001,  3149,  4003,  3151,  3152,    -1,    -1,   375,    -1,
      -1,    -1,    -1,  4013,    -1,    -1,  4016,  4017,    -1,    -1,
    1839,  4021,  4022,    -1,  1843,    -1,  4026,    61,  4028,    -1,
      -1,    -1,    -1,    -1,    -1,  4035,  4036,  4037,   443,    -1,
      -1,    -1,    -1,    -1,    -1,  2107,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4055,  4056,  4057,    -1,  4059,
    4060,    -1,    96,  4063,    -1,    10,    -1,  4067,    13,    -1,
      -1,  4071,    17,    18,    19,    -1,   443,  4077,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    44,
      -1,    -1,    -1,  4103,    -1,    -1,    51,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4118,    -1,
    4120,    -1,    10,   157,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    77,    -1,    -1,    -1,    -1,    -1,  4138,  4139,
    4140,    -1,    -1,  4143,    -1,    -1,    34,    -1,    -1,    -1,
     695,    -1,    -1,    -1,    -1,    -1,    44,    -1,    -1,   193,
      -1,    -1,    -1,    51,  4692,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   721,    -1,  4178,  4179,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,
    3337,    -1,  2011,  3340,    -1,   229,    -1,  4197,    -1,    -1,
      -1,    -1,  4730,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4752,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   267,    -1,    -1,    -1,   271,    -1,  3386,
      -1,    -1,    -1,    -1,    -1,    -1,   191,  3394,    -1,    -1,
    4250,   196,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,
      17,    18,    19,    -1,    -1,    -1,    -1,    -1,   302,   303,
      -1,    -1,    -1,   218,   219,    -1,    -1,    34,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    44,   233,    -1,
      -1,    -1,    -1,    -1,    51,    -1,  4824,    -1,    -1,    -1,
      -1,    -1,    -1,   191,    -1,  4305,    -1,   341,   196,    -1,
      -1,   345,    -1,    -1,    -1,    -1,   350,    -1,    -1,    -1,
      77,    -1,    -1,    -1,   869,   359,    -1,    -1,    -1,   274,
     218,   219,    -1,   367,    -1,    -1,    -1,    -1,  4338,    -1,
      -1,   375,    -1,   288,    -1,   233,   291,    -1,    -1,    -1,
      -1,    -1,  4352,   387,  4354,    -1,    -1,    -1,    -1,    -1,
      -1,  4361,   396,    -1,    -1,    -1,   400,  4367,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4378,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   274,    -1,    -1,    -1,
      -1,    -1,    -1,  4393,    -1,    -1,    -1,    -1,  4398,  4399,
     288,    -1,    -1,   291,    -1,    -1,  4406,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4415,    -1,  4945,    -1,    -1,
     454,    -1,    -1,    -1,    -1,  4425,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   191,   380,    -1,  4437,  4438,   196,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4448,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4459,
    4460,   218,   219,    -1,    -1,    -1,    -1,  1012,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   233,  4477,  2540,    -1,
      -1,    -1,    -1,    -1,    -1,  1030,    -1,    -1,    -1,    -1,
      -1,    -1,   380,    -1,    -1,    -1,  1041,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1057,    -1,    -1,  4515,    -1,   274,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4526,    -1,    -1,    -1,
      -1,   288,    -1,    -1,   291,   480,    -1,  5065,    -1,    -1,
      -1,    -1,    -1,   488,   489,   490,   491,   492,   493,   494,
     495,   496,    -1,    -1,  4554,    -1,   501,  4557,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4565,  4566,    -1,    -1,    -1,
      -1,    -1,  4572,  4573,    -1,    22,    -1,  4577,    -1,    -1,
      27,  4581,    -1,    -1,  4584,  4585,    -1,    -1,    -1,  4589,
    4590,    -1,   480,    -1,    -1,  4595,  4596,  4597,  4598,  4599,
     488,   489,   490,   491,   492,   493,   494,   495,   496,    -1,
      -1,    -1,  4612,   501,    -1,  4615,    -1,    -1,    65,  4619,
      -1,    -1,    -1,   380,  4624,    -1,    -1,  4627,  4628,    -1,
    4630,    78,  4632,    -1,    -1,  4635,    -1,  4637,    -1,    -1,
      -1,    -1,    -1,  2705,    -1,    -1,  4646,    94,    -1,    -1,
    4650,    -1,    -1,    -1,  4654,    -1,  4656,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,    -1,    -1,  1213,    -1,
      -1,  4671,    -1,    -1,  4674,    -1,    -1,    -1,    10,    -1,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,   136,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2516,    -1,    -1,
     147,    -1,    34,    -1,    -1,    -1,    -1,    -1,  4708,   156,
      -1,    -1,    44,    -1,    -1,    -1,    -1,    -1,    -1,    51,
      -1,    -1,   169,   480,  4724,    -1,    -1,   174,    -1,    -1,
      -1,   488,   489,   490,   491,   492,   493,   494,   495,   496,
      -1,    -1,    -1,    -1,   501,    77,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   200,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4775,    -1,    -1,    -1,    -1,
      -1,  2843,  4782,    -1,  2846,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     247,    -1,    -1,    -1,  4804,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4819,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   288,    -1,    -1,    -1,  2664,    -1,    -1,    -1,    -1,
    4850,  5379,    -1,    -1,    -1,    -1,  5384,  5385,    -1,   191,
      -1,    -1,    -1,    -1,   196,    -1,  4866,    -1,    -1,    -1,
      -1,    -1,  2934,  4873,    -1,   322,   323,    -1,    -1,   326,
      -1,    -1,  4882,    -1,    -1,  2947,   218,   219,    -1,    -1,
      -1,    -1,    -1,  2955,    -1,    -1,    -1,  4897,    -1,    -1,
      -1,   233,    -1,    -1,  2723,    -1,   353,    -1,    -1,   356,
    4910,  1456,  4912,    -1,    -1,   362,    -1,    -1,    -1,    -1,
    4067,    -1,   369,    -1,  4071,   372,    -1,    -1,    -1,    -1,
      -1,    -1,  2994,    -1,    -1,    -1,    -1,    -1,  4938,    -1,
      -1,    -1,   274,    -1,   391,    -1,    -1,    -1,    -1,  4949,
      -1,   398,    -1,  3015,    -1,    -1,   288,   404,    -1,   291,
     407,    -1,    -1,    -1,   411,    -1,    -1,    -1,    -1,  5497,
      -1,    -1,   419,    -1,    -1,    -1,    -1,    -1,  1523,   426,
      -1,    -1,    -1,    -1,  2803,    -1,    -1,    -1,    -1,    -1,
      -1,  4138,    -1,    -1,  4994,    -1,  3058,  4997,  3060,    -1,
    5000,  5001,  5002,    -1,    -1,   452,    -1,    -1,  2827,    -1,
      -1,    -1,    -1,  5541,    -1,    -1,    -1,    -1,    -1,  1564,
      -1,    -1,    -1,    -1,    -1,  5025,  5026,    -1,    -1,  5029,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   380,  5049,
      -1,    -1,  1597,    -1,    -1,  5055,    -1,    -1,    -1,  5059,
      -1,    -1,    -1,  5063,    -1,    -1,  5066,    -1,  5068,    -1,
      -1,    -1,    -1,    -1,    -1,  2894,    -1,    -1,    -1,  5079,
      -1,    -1,  5082,    -1,    -1,  3147,    -1,    -1,    -1,    -1,
      -1,    -1,  3154,  5093,  5094,  5095,    -1,  5097,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2931,    -1,  2933,    -1,  2935,  2936,    -1,    -1,
      -1,  2940,  2941,  2942,    -1,  2944,  2945,  2946,    -1,    -1,
      -1,    -1,    -1,    -1,  1679,  1680,  1681,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5144,  5145,    -1,    -1,   480,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   488,   489,   490,   491,
     492,   493,   494,   495,   496,    -1,    -1,    -1,    10,   501,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,  2998,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5189,
      -1,    -1,    34,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5201,    44,    -1,  3023,    -1,  5206,    -1,    -1,    51,
      -1,  5211,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5230,    -1,    -1,    -1,  5234,    77,    -1,  5237,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1790,    -1,    -1,  5248,  5249,
    5250,  4398,  4399,    -1,    -1,    -1,  1801,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1817,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5282,    -1,    -1,    -1,  5286,    -1,  5288,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5308,    -1,
      -1,  5311,    -1,    -1,    -1,  5315,    -1,    -1,    -1,    -1,
      -1,    -1,  5322,    -1,    -1,  1870,    -1,    -1,    -1,  5329,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1885,    -1,    -1,  1888,  1889,    -1,    -1,    -1,    -1,   191,
      -1,    -1,    -1,    -1,   196,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5364,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1919,  1920,   218,   219,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5389,
      -1,   233,    -1,    -1,    -1,  5395,  5396,    -1,    -1,    -1,
    5400,  5401,  5402,  5403,    -1,  3467,  3468,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     0,    -1,
      -1,  5431,   274,    -1,    -1,    -1,    -1,    -1,    -1,  5439,
      -1,    -1,    -1,    -1,    -1,    -1,   288,    -1,    20,   291,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    30,    -1,
      32,    33,    -1,    -1,  5464,  4612,    -1,  5467,    -1,    -1,
      -1,    -1,  4619,    -1,    -1,    -1,  2021,  4624,    50,  2024,
    4627,  4628,    -1,  3302,    -1,    -1,    -1,    -1,    60,    -1,
      -1,    -1,  5492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      72,    -1,    74,    75,  2049,    -1,    -1,    -1,    -1,    81,
      -1,    83,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5520,    -1,    -1,    95,    -1,    97,  5526,    -1,    -1,    -1,
    5530,    -1,    -1,    -1,  5534,    -1,    -1,  5537,   380,    -1,
      -1,    -1,   114,    -1,    -1,   117,  5546,    -1,  5548,    -1,
    5550,  5551,    -1,    -1,    -1,    -1,    -1,  5557,    -1,    -1,
     132,    -1,   134,    -1,    -1,    -1,   138,  5567,    -1,  5569,
      -1,    -1,   144,    -1,    -1,    -1,    -1,    -1,  5578,    -1,
     152,    -1,   154,    -1,    -1,    -1,    -1,    -1,    -1,   161,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,    -1,    -1,    -1,
      -1,    -1,    -1,  5613,  5614,    -1,    -1,    -1,    -1,   206,
     207,    -1,    -1,   195,    -1,    -1,    -1,   214,    -1,   216,
     217,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   480,    -1,
      -1,    -1,  3461,   230,  5644,  3707,   488,   489,   490,   491,
     492,   493,   494,   495,   496,    -1,    -1,    -1,  5658,   501,
      -1,    -1,    -1,   235,   236,    -1,    -1,    -1,    -1,   241,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   255,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5696,  5697,  5698,    -1,
      -1,   273,    -1,    -1,  5704,    -1,    -1,    -1,  5708,    -1,
      -1,    -1,    -1,    -1,  5714,    -1,    -1,    -1,    -1,  4866,
    3539,    -1,    -1,  5723,  5724,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5740,    -1,    -1,    -1,    -1,   317,    -1,    -1,    -1,    -1,
    4897,    -1,    -1,    -1,    -1,  5755,    -1,    -1,    -1,   331,
      -1,    -1,  5762,    -1,    -1,   337,   338,    -1,   340,    -1,
      -1,    -1,    -1,   345,    -1,    -1,    -1,    -1,  3597,   351,
      -1,    -1,   354,    -1,    -1,    -1,    -1,  5787,    -1,   361,
      -1,    -1,    -1,    -1,  5794,   367,   368,    -1,    -1,    -1,
      -1,    -1,    -1,   375,  5804,  3867,    -1,   379,    -1,    -1,
      -1,    -1,  5812,  5813,  5814,    -1,    -1,   389,  5818,    -1,
    5820,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5829,
    5830,  5831,   404,    -1,    -1,    -1,  5836,  5837,    -1,    -1,
      -1,    -1,  5842,    -1,    -1,    -1,  3665,    -1,    -1,    -1,
      -1,    -1,   424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   435,  5864,    -1,    -1,    -1,    -1,   441,
      -1,    -1,    -1,    -1,   446,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   459,    -1,    -1,
      -1,    -1,  3711,  5893,  5894,  5895,    -1,    -1,    -1,  5899,
      -1,    -1,    -1,    -1,  3723,  3724,    -1,    -1,    -1,    -1,
     482,    -1,  5059,    -1,  3733,    -1,    -1,  5917,    -1,  3738,
      -1,  3740,    -1,    -1,    -1,    -1,    -1,    -1,   500,    -1,
      -1,   503,  5079,    -1,    -1,    -1,    -1,  5937,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5093,    -1,    -1,    -1,
      -1,  5951,    -1,    -1,  2499,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3786,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5982,    -1,    -1,    -1,    -1,  5987,  5988,  5989,
    5990,  5991,    -1,    -1,  5994,    -1,    -1,  5144,    -1,    -1,
      -1,    -1,  3821,  3822,    -1,    -1,  6006,    -1,    -1,  6009,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6032,     0,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5189,    -1,    -1,   632,    -1,    -1,    -1,    -1,
      -1,  6051,  6052,    20,    -1,    -1,  6056,    -1,    -1,    -1,
    6060,    -1,    -1,    30,   651,    32,    33,    -1,    -1,    -1,
     657,    -1,  6072,  6073,    -1,    -1,  6076,    -1,    -1,    -1,
      -1,    -1,   669,    50,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2636,    -1,    60,    -1,  2640,  2641,    -1,   685,    -1,
      -1,    -1,    -1,  5250,    -1,    72,    -1,    74,    75,    -1,
      -1,    -1,   699,   700,    81,    -1,    83,    -1,    -1,   706,
      -1,   708,   709,    -1,    -1,    -1,    -1,    -1,    95,    -1,
      97,    -1,    -1,    -1,    -1,   722,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   732,    -1,   114,    -1,    -1,
     117,    -1,    -1,  2698,    -1,    -1,    -1,    -1,    -1,  2704,
      -1,  5308,    -1,    -1,    -1,   132,    -1,   134,    -1,    -1,
      -1,   138,    -1,    -1,    -1,    -1,    -1,   144,  3997,    -1,
      -1,    -1,    -1,    -1,    -1,   152,    -1,   154,    -1,    -1,
      -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,
    2745,    -1,    -1,   790,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   195,    -1,
      -1,    -1,   819,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,
      17,    18,    19,    -1,    -1,    -1,    -1,   844,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    34,   235,   236,
      -1,    -1,    -1,    -1,   241,    -1,  4338,    44,    -1,    -1,
      -1,    -1,    -1,    -1,    51,    -1,    -1,    -1,   255,    -1,
    4352,    -1,  5439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   273,    -1,    -1,    -1,
      77,    -1,    -1,    -1,    -1,    -1,    -1,   904,    -1,    -1,
    5467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   331,    -1,    -1,    -1,    -1,    -1,
     337,   338,    -1,   340,    -1,    -1,    -1,  2922,   345,    -1,
      -1,    -1,    -1,    -1,   351,    -1,    -1,   354,    -1,    -1,
      -1,    -1,    -1,    -1,   361,    -1,    -1,  4216,    -1,    -1,
     367,   368,    -1,    -1,    -1,    -1,    -1,    -1,   375,  2954,
    5557,    -1,   379,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   389,  4242,   191,    -1,    -1,  1014,    -1,   196,
      -1,    -1,    -1,  1020,    -1,    -1,    -1,   404,  4257,    -1,
      -1,  4260,    -1,  4262,  1031,    -1,    -1,    -1,  1035,    -1,
    1037,   218,   219,    -1,    -1,    -1,    -1,   424,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   233,    -1,   435,    -1,
      -1,    -1,    -1,    -1,   441,    -1,    -1,    -1,    -1,   446,
      -1,    -1,  3027,    -1,    -1,    -1,  3031,    -1,    -1,  4308,
      -1,    -1,   459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4324,    -1,   274,    -1,    -1,
    4329,  5658,    -1,    -1,    -1,   482,   483,   484,   485,   486,
     487,   288,    -1,    -1,   291,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   500,    -1,    -1,   503,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1143,    -1,    10,    -1,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    -1,    -1,    -1,  3133,    -1,
      -1,    -1,    44,  5740,    -1,    -1,    -1,    -1,    -1,    51,
      -1,    -1,    -1,  3148,    -1,    -1,    -1,    -1,  3153,  4428,
      -1,    10,  4431,   380,    13,    -1,    -1,  1204,    17,    18,
      19,    -1,    -1,    -1,    -1,    77,    -1,    -1,  1215,    10,
      -1,    -1,    13,    -1,    -1,    34,    17,    18,    19,    -1,
      -1,    -1,  1229,    -1,    -1,    44,  1233,    -1,    -1,    -1,
      -1,    -1,    51,    34,    -1,    -1,    -1,  5804,    -1,    -1,
      -1,    -1,    -1,    44,    -1,  5812,  5813,    -1,    -1,    -1,
      51,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    -1,
      -1,    -1,    -1,    -1,    -1,  4504,  4505,  4506,  4507,    -1,
    4509,  4510,  4511,  4512,  4513,    -1,    77,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   480,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   488,   489,   490,   491,   492,   493,   494,   495,   496,
      -1,    -1,    -1,    -1,   501,    -1,    -1,    -1,    -1,   191,
      -1,    -1,  4804,    -1,   196,    -1,  5893,    -1,    -1,    -1,
      -1,    -1,  5899,    -1,    -1,    -1,    -1,  4819,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1352,   218,   219,    -1,    -1,
    5917,    -1,    -1,  1360,  1361,    -1,    -1,    -1,    -1,    -1,
      -1,   233,    -1,    -1,    -1,  4604,    -1,  4606,    -1,    -1,
      -1,    -1,   191,    -1,    -1,    -1,    -1,   196,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     191,    -1,    -1,    -1,    -1,   196,    -1,    -1,    -1,   218,
     219,    -1,   274,    -1,    -1,    -1,  1413,    -1,    -1,    -1,
      -1,    51,    -1,    -1,   233,    -1,   288,   218,   219,   291,
      -1,    -1,  5989,    -1,    -1,    -1,    -1,    -1,  4910,    -1,
      -1,    -1,   233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3406,  6009,    -1,  3409,    -1,  3411,    -1,    -1,    -1,
      -1,  3416,    -1,    -1,    -1,   274,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   288,
      -1,    -1,   291,   274,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6052,    -1,   288,    -1,    -1,
     291,    -1,    -1,  6060,    -1,    -1,    -1,    -1,    -1,  3464,
      -1,    -1,    -1,    -1,    -1,  6072,  6073,  3472,   380,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,    -1,  3497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    13,    -1,    34,    -1,    17,    18,    19,
      -1,    -1,    -1,    -1,    -1,    44,    -1,    -1,    -1,    -1,
      -1,   380,    51,    -1,    34,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    44,    -1,    -1,    -1,    -1,   380,
      -1,    51,    -1,  4822,  4823,    -1,    -1,    -1,    77,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4835,    -1,  4837,  4838,
    4839,    -1,  3567,    -1,  3569,    -1,    -1,    77,   480,    -1,
      -1,    -1,    -1,  5095,    -1,  5097,   488,   489,   490,   491,
     492,   493,   494,   495,   496,    -1,    -1,    -1,    -1,   501,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    51,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1664,    -1,    -1,
      -1,   480,    -1,    -1,  4903,    -1,    -1,    -1,    -1,   488,
     489,   490,   491,   492,   493,   494,   495,   496,    -1,   480,
      -1,    -1,   501,    -1,    -1,    -1,    -1,   488,   489,   490,
     491,   492,   493,   494,   495,   496,    -1,    -1,  3663,    -1,
     501,    -1,   191,  4942,    -1,    -1,    -1,   196,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   191,    -1,    -1,    -1,  3690,   196,    -1,    -1,   218,
     219,  3696,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3705,    -1,    -1,    -1,   233,  4984,    -1,    -1,   218,   219,
      -1,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,   233,    -1,    -1,  5248,    -1,  3733,    -1,
      -1,  1778,    -1,    -1,    -1,    -1,    34,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   274,    44,    -1,    -1,    -1,
      -1,    -1,    -1,    51,    -1,    -1,    -1,    -1,    -1,   288,
      -1,    -1,   291,    -1,   274,    -1,  1813,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   288,    77,
      -1,   291,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1836,
      -1,    -1,    -1,    -1,    -1,    -1,  3801,  1844,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1852,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3823,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3845,    -1,    -1,    -1,    -1,  1892,  1893,    -1,  1895,  1896,
      -1,   380,    -1,    -1,  5133,    -1,    -1,    -1,    -1,    -1,
    1907,    -1,  1909,  1910,    -1,    -1,     8,    -1,    -1,    -1,
     380,    -1,    14,    15,    -1,  1922,  1923,    -1,    20,  5401,
      22,  5403,    -1,    -1,    -1,    -1,    28,    -1,    30,    -1,
      -1,    -1,    -1,   191,    -1,    -1,    -1,    -1,   196,    -1,
    5179,    -1,    -1,    -1,    -1,    -1,    -1,    49,    50,  5188,
      -1,    -1,    -1,  1960,    -1,    -1,    -1,  1964,  1965,    -1,
     218,   219,    -1,  3928,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   233,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3951,    -1,    -1,    -1,
      -1,   480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   488,
     489,   490,   491,   492,   493,   494,   495,   496,    -1,    -1,
     480,  3976,   501,    -1,    -1,    -1,   274,    -1,   488,   489,
     490,   491,   492,   493,   494,   495,   496,    -1,    -1,    -1,
     288,   501,    -1,   291,    -1,    -1,    -1,    10,    -1,    -1,
      13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   695,    -1,    -1,    -1,    -1,
      -1,    34,  2069,    -1,    -1,    38,    -1,    -1,    -1,    -1,
      -1,    44,    -1,    -1,    -1,    -1,    -1,    -1,    51,    -1,
      -1,   721,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   200,    -1,
      -1,    -1,   204,    -1,    77,    -1,    -1,    -1,    -1,    -1,
     212,    -1,    -1,   215,    -1,    -1,   218,   219,    -1,   221,
      -1,   223,   380,    -1,   226,    -1,   228,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   128,    -1,    -1,    -1,    -1,
      -1,  4126,  5644,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5411,    -1,    -1,    -1,  5415,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   191,    -1,
      -1,    -1,   480,   196,    -1,    -1,    -1,    -1,    -1,   869,
     488,   489,   490,   491,   492,   493,   494,   495,   496,    -1,
      -1,   499,    -1,    -1,    -1,   218,   219,    -1,    -1,    -1,
      -1,  4216,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    10,  5755,    -1,    13,    -1,  4242,    -1,    17,
      18,    19,    -1,   695,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    34,    -1,    -1,    -1,
      -1,   274,    -1,    -1,    -1,    -1,    44,    -1,    -1,   721,
      -1,    -1,    -1,    51,    -1,   288,    -1,    -1,   291,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5605,    -1,    -1,    -1,
    5609,    -1,  5611,    -1,    -1,    -1,  5615,  5616,    -1,    -1,
      -1,    -1,  5864,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1030,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1041,    -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,
      -1,    -1,  5894,  5895,    -1,    -1,    -1,  1057,    -1,  4384,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   191,    -1,    -1,    -1,   869,   196,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4431,   440,    -1,    -1,
      -1,  4436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     218,   219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   233,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    10,    -1,    -1,    13,   480,    -1,    -1,
      17,    18,    19,    -1,    -1,   488,   489,   490,   491,   492,
     493,   494,   495,   496,  6006,    -1,    -1,    34,    -1,    -1,
      -1,   633,    -1,    -1,    -1,    -1,   274,    44,    -1,    -1,
      -1,    -1,   644,    -1,    51,    -1,   648,    -1,    -1,    -1,
     288,    -1,    -1,   655,   656,    -1,    -1,   659,    -1,   661,
     662,    -1,    -1,    -1,    -1,    -1,    -1,  2574,    -1,    -1,
      77,    -1,    -1,  1213,   676,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   694,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4568,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   715,    -1,   717,    -1,    -1,  1030,    -1,
      -1,    -1,  2629,    -1,    -1,   727,    -1,    -1,    -1,  1041,
      -1,  5870,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2647,    -1,   380,    -1,  2651,  1057,    -1,    -1,  2655,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2664,   760,    -1,
     167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2682,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   191,    -1,    -1,    -1,    -1,   196,
      -1,    -1,  2699,    -1,  2701,  2702,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2716,
      -1,   218,   219,    -1,    -1,  1355,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   233,  4692,    -1,  2736,
    2737,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   480,    -1,    -1,   847,    -1,    -1,    -1,    -1,
     488,   489,   490,   491,   492,   493,   494,   495,   496,    -1,
    2767,  2768,    -1,    -1,  2771,  4730,    -1,   274,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6016,    -1,    -1,
      -1,   288,    -1,  6022,   291,    -1,    -1,  4752,  2795,    -1,
    2797,    -1,    -1,    -1,  2801,    -1,    -1,    -1,    -1,    -1,
      -1,  1213,    -1,    -1,    -1,    -1,    -1,    -1,  2815,    -1,
      -1,    -1,    -1,    -1,    -1,  2822,  1456,    -1,  2825,    -1,
      -1,    -1,    -1,    -1,  2831,  6064,    -1,    -1,   930,    -1,
      -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,    -1,    -1,  6082,  2851,    -1,  6085,    -1,    -1,    -1,
    2857,    -1,    -1,    -1,    -1,    34,    -1,  2864,    -1,  4824,
      -1,    -1,    -1,    -1,    -1,    44,    -1,    -1,    -1,    -1,
      -1,  2878,    51,   380,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1523,  2891,    -1,    -1,    -1,    -1,  2896,
      -1,    -1,    -1,    -1,    -1,  2902,    -1,    -1,    77,    -1,
      -1,    -1,  1004,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1564,    -1,  1028,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1043,    -1,  1045,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1055,    -1,  2962,    -1,  1597,    -1,    -1,
    1062,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   480,    -1,    -1,    -1,    -1,  4943,    -1,
    4945,   488,   489,   490,   491,   492,   493,   494,   495,   496,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1104,    -1,  1106,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   191,    -1,    -1,    -1,    -1,   196,    10,    -1,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   218,
     219,    -1,    34,    -1,  1456,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    44,    -1,   233,    -1,    -1,    -1,    -1,    51,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1180,    -1,
    1182,    -1,  1184,    -1,  1186,    77,  1188,  1189,  1190,    -1,
      -1,    -1,    -1,  1195,    -1,   274,    -1,    -1,    -1,    -1,
    5065,    -1,    -1,    -1,    -1,  1207,    -1,    -1,    -1,   288,
    3117,  1523,   291,    -1,    -1,    -1,    -1,    -1,  1220,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3135,    -1,
      -1,    -1,    -1,    -1,    -1,  3142,    -1,   316,    -1,    -1,
      -1,    -1,  3149,    -1,  3151,  3152,    -1,    -1,    -1,    -1,
    1790,    -1,  1564,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1801,    -1,    -1,    10,    -1,    -1,    13,  5133,    -1,
      -1,    17,    18,    19,   166,    -1,    -1,  1817,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1597,    -1,    -1,    34,    -1,
      -1,    37,    -1,    -1,    -1,    -1,    -1,    -1,    44,   191,
      -1,   380,    -1,    -1,   196,    51,    -1,    -1,    -1,  3216,
      -1,    -1,    -1,    -1,    -1,  3222,    -1,    -1,   397,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   218,   219,    -1,    -1,
    1870,    77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   233,    -1,    -1,    -1,  1885,    -1,    -1,  1888,  1889,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,
      13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1377,    -1,    -1,    -1,  1919,
    1920,    34,   274,    -1,    -1,    -1,    -1,    -1,  5253,    -1,
      -1,    44,    -1,    -1,    -1,  3302,   288,    10,    51,   291,
      13,   480,    -1,    -1,    17,    18,    19,    -1,    -1,   488,
     489,   490,   491,   492,   493,   494,   495,   496,    -1,    -1,
      -1,    34,   314,    -1,    77,    -1,    -1,    -1,    -1,    -1,
      -1,    44,    -1,    -1,    -1,    -1,    -1,    -1,    51,    -1,
      -1,    -1,    -1,    -1,    -1,   191,    -1,    -1,    -1,    -1,
     196,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    77,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   218,   219,    -1,    -1,    -1,    -1,  1790,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   233,   380,  1801,
      -1,    -1,    -1,    -1,    -1,  1497,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1817,    -1,    -1,    -1,  2049,
      -1,    -1,    -1,    -1,  5379,    -1,    -1,    -1,    -1,  5384,
    5385,    -1,    -1,    -1,  3431,  3432,    -1,    -1,   274,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   191,    -1,
      -1,    -1,   288,   196,    -1,   291,    -1,    -1,    -1,    -1,
      -1,  3458,    -1,    -1,  3461,    -1,    -1,    -1,  1870,   172,
      -1,    -1,    -1,    -1,    -1,   218,   219,  1569,    -1,    -1,
      -1,    -1,    -1,  1885,    -1,    -1,  1888,  1889,   191,    -1,
     233,    -1,    -1,   196,    -1,    -1,    -1,    -1,   480,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   218,   219,  1919,  1920,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     233,   274,    -1,    -1,    -1,    -1,  3533,  3534,  3535,    -1,
      -1,  5496,  5497,    -1,   380,   288,    -1,    -1,   291,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3558,    -1,    -1,    -1,    -1,    -1,   310,    -1,    -1,
      -1,   274,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,
    3577,    17,    18,    19,    -1,   288,  5541,    -1,   291,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,  3599,    -1,    -1,    -1,    -1,    -1,    44,    -1,
      -1,    -1,    -1,    -1,    -1,    51,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,
      -1,    77,    -1,    -1,   480,    -1,    -1,  2049,    -1,    -1,
      -1,    -1,   488,   489,   490,   491,   492,   493,   494,   495,
     496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    10,    -1,   380,    13,    -1,
      -1,    -1,    17,    18,    19,    -1,    -1,    -1,  3685,    -1,
      -1,    -1,    -1,    -1,  1786,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    -1,    -1,    -1,    -1,    -1,    -1,    44,
      -1,    -1,    -1,    -1,    -1,    -1,    51,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1821,
      -1,    -1,    -1,    -1,    -1,  3732,    -1,   480,    -1,    -1,
      -1,  3738,    77,  3740,    -1,   488,   489,   490,   491,   492,
     493,   494,   495,   496,    -1,   191,  3753,    -1,  3755,    -1,
     196,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1864,    -1,  1866,    -1,    -1,   480,    -1,    -1,
      -1,    -1,   218,   219,    -1,   488,   489,   490,   491,   492,
     493,   494,   495,   496,  1886,    -1,    -1,   233,    51,    10,
      -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1912,    -1,  1914,    34,    -1,  3822,    -1,    51,    -1,    -1,
      -1,    -1,    -1,    44,    -1,    -1,    -1,  1929,   274,  1931,
      51,    -1,    -1,    -1,    -1,  1937,    -1,  1939,    -1,  1941,
      -1,  1943,   288,  1945,    -1,   291,   191,  1949,    -1,    -1,
      -1,   196,    -1,    -1,    -1,    -1,    77,  3864,    -1,    -1,
      -1,    -1,    -1,   207,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   216,   218,   219,    -1,  3883,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   230,    -1,   233,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3905,    -1,
      -1,  3908,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   274,
      -1,    -1,    -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   288,    -1,    -1,   291,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     191,    -1,    -1,    -1,    -1,   196,    -1,    -1,    -1,    -1,
      -1,  3988,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,    -1,    -1,  2636,   218,   219,    -1,
    2640,  2641,    -1,    -1,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,   233,    -1,    -1,    -1,    -1,    -1,    44,    -1,
      -1,    -1,    -1,    -1,    -1,    51,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   480,   380,    -1,    -1,    -1,    -1,
      -1,    -1,   488,   489,   490,   491,   492,   493,   494,   495,
     496,    77,    -1,   274,    -1,    -1,    -1,    -1,  2698,    -1,
      -1,    -1,    -1,    -1,  2704,    -1,    -1,   288,    -1,    -1,
     291,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6051,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2745,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   480,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   488,   489,   490,   491,   492,   493,   494,
     495,   496,  4159,    -1,    -1,    -1,    -1,    51,    -1,   380,
      -1,    -1,    -1,    -1,    -1,   191,    -1,    -1,    -1,    -1,
     196,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   412,   218,   219,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4210,    -1,    -1,    -1,   233,  4215,    -1,
    4217,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2636,    -1,    -1,    -1,  2640,  2641,
      -1,    -1,    -1,    -1,  4241,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   274,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   480,
      -1,    -1,   288,    -1,    -1,   291,    -1,   488,   489,   490,
     491,   492,   493,   494,   495,   496,    -1,    -1,    -1,    -1,
    4287,    -1,    -1,  4290,    -1,    -1,  2698,    -1,   632,    -1,
      -1,    -1,  2704,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   651,    -1,    -1,
      -1,    -1,    -1,   657,  2954,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   669,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2745,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   685,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   380,    -1,   700,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   708,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4380,  4381,    -1,    -1,    -1,   722,    -1,
      -1,    -1,    -1,    -1,  4391,    -1,    -1,  3027,   732,    -1,
      -1,  3031,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   695,    -1,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   790,    -1,    44,    -1,
      -1,    -1,    -1,    -1,   480,    51,    -1,    -1,   721,    -1,
      -1,   695,   488,   489,   490,   491,   492,   493,   494,   495,
     496,    -1,    -1,    -1,    -1,   819,    -1,    -1,    -1,    -1,
      -1,    77,  4489,    -1,    -1,    -1,    -1,   721,    -1,    -1,
      -1,    -1,    -1,  3133,    -1,    -1,    -1,    -1,    -1,    -1,
     844,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3148,    -1,
      -1,    -1,    -1,  3153,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2630,  2631,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2954,    -1,    -1,    -1,    -1,  2649,  2650,    -1,
    2652,  2653,    -1,    -1,    -1,  2657,  2658,    -1,    -1,    -1,
     904,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2672,    -1,    -1,    -1,    -1,    -1,   172,  2679,    -1,    -1,
      -1,  2683,  2684,    -1,    -1,  2687,  2688,    -1,    -1,    -1,
      -1,    -1,  2694,    -1,    -1,   191,    -1,    -1,    -1,    -1,
     196,    -1,    -1,    -1,  2706,    -1,   869,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3027,  2718,    -1,    -1,  3031,
      -1,  2723,   218,   219,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   869,  2738,   233,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2747,    -1,    -1,  2750,    -1,
    2752,  2753,  2754,    -1,    -1,    -1,    -1,  2759,  2760,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2769,    -1,    -1,
    1014,    -1,    -1,  2775,    -1,    -1,  1020,  2779,   274,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2791,
    2792,    -1,   288,    -1,  2796,   291,    -1,    -1,  4705,    -1,
    2802,  2803,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    51,    -1,    -1,  2816,    -1,    -1,  2819,    -1,    -1,
      -1,  3133,    -1,    -1,  2826,  2827,    -1,    -1,    -1,    -1,
    2832,    -1,    -1,    -1,    -1,    -1,  3148,    -1,    -1,    -1,
    4747,  3153,  2844,    -1,    -1,  2847,    -1,    -1,    -1,    -1,
    2852,    -1,  4759,    -1,    -1,    -1,  2858,  2859,    -1,    -1,
      -1,    -1,    -1,    -1,  2866,    -1,  3406,  1030,  2870,  3409,
      -1,  3411,  2874,  2875,  2876,  2877,  3416,  2879,  1041,    -1,
      -1,    -1,    -1,    -1,   380,    -1,  4793,    -1,    -1,    -1,
    2892,  2893,    -1,  2895,  1057,    -1,  1030,    -1,    -1,  1143,
      -1,   695,    -1,    -1,  2906,  2907,  2908,  1041,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1057,  3464,    -1,    -1,   721,    -1,    -1,
      -1,    -1,  3472,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3497,    -1,    -1,
    1204,  2963,    -1,    -1,  4871,    -1,    -1,    -1,    -1,  2971,
      -1,  1215,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4890,   480,  1229,    -1,    -1,  2990,  1233,
      -1,    -1,   488,   489,   490,   491,   492,   493,   494,   495,
     496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,
      13,    -1,    -1,    -1,    17,    18,    19,  3567,    -1,  3569,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3040,    -1,
      -1,    34,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1213,    44,    -1,    -1,    -1,    -1,    -1,  3059,    51,  3061,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4976,
      -1,    -1,    -1,    -1,    -1,   869,    -1,    -1,    -1,  1213,
      -1,    -1,    -1,    -1,    77,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3406,    -1,    -1,  3409,    -1,  3411,
      -1,    -1,    -1,    -1,  3416,    -1,    -1,    -1,  1352,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1360,  1361,    -1,    -1,
      -1,    -1,    -1,  3663,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,
      -1,    -1,  3464,  3155,    -1,    -1,    -1,    -1,    -1,    -1,
    3472,    -1,    -1,    -1,    -1,  3705,    -1,    -1,    -1,  1413,
      -1,    -1,    -1,    -1,    44,    -1,    -1,    -1,    -1,   172,
    5087,    51,  5089,    -1,    -1,  3497,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3733,    -1,    -1,    -1,    -1,   191,    -1,
      -1,    -1,    -1,   196,    -1,    -1,    -1,    77,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   218,   219,  5134,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1030,  5144,    -1,    -1,
     233,    -1,    -1,    -1,    -1,    -1,    -1,  1041,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3567,    -1,  3569,    -1,    -1,
      -1,  3801,    -1,  1057,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5184,    -1,    -1,
      -1,   274,  5189,  3823,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1456,    -1,   288,    -1,    -1,   291,    -1,
      -1,    -1,    -1,    -1,    -1,  3845,    -1,    -1,    -1,    51,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   191,  1456,    -1,    -1,    -1,   196,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   218,   219,
      -1,  3663,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1523,    -1,    -1,   233,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,    -1,    -1,    -1,   380,  3928,  1523,
      -1,    -1,    -1,  3705,    -1,    -1,    34,    -1,    -1,    -1,
      -1,  1564,    -1,    -1,   274,    -1,    44,    -1,    -1,    -1,
      -1,  3951,    -1,    51,    -1,    -1,    -1,    -1,   288,  1213,
    1664,  3733,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1564,    -1,    -1,    -1,  1597,    -1,  3976,  3439,    -1,    77,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   695,    -1,  3459,    -1,    -1,
      -1,    -1,    -1,  1597,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3476,    -1,    -1,    -1,  3480,    -1,
      -1,   721,    -1,  3485,  3486,  3487,    -1,   480,    -1,  3801,
    5397,    -1,    -1,    -1,    -1,   488,   489,   490,   491,   492,
     493,   494,   495,   496,  5411,    10,    -1,    -1,    13,    -1,
     380,  3823,    17,    18,    19,    -1,    -1,    -1,    -1,  3521,
    3522,  3523,  3524,    -1,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,  3845,  1778,  5442,    -1,    -1,    -1,    44,
      -1,    -1,    -1,    -1,    -1,    -1,    51,    -1,    -1,  3551,
      -1,    -1,    -1,   191,    -1,    -1,    -1,  3559,   196,  3561,
    3562,  3563,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1813,
      -1,    -1,    77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     218,   219,    -1,    -1,    -1,    -1,  4126,    -1,    -1,    -1,
      -1,    -1,  1836,    -1,    -1,   233,    -1,    -1,    -1,    -1,
    1844,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1852,    -1,
     480,    -1,    -1,    -1,    -1,    -1,  3928,    -1,   488,   489,
     490,   491,   492,   493,   494,   495,   496,  1790,    -1,   869,
      -1,  5538,    -1,    -1,    -1,    -1,   274,    -1,  1801,  3951,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     288,  1895,  1896,   291,  1817,    -1,  1790,    -1,    -1,    -1,
      -1,    -1,  1456,    -1,  3976,  1909,    -1,  1801,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3677,  4216,    -1,  1922,  1923,
      -1,    -1,    -1,  1817,  3686,    -1,   191,    -1,    -1,    -1,
      -1,   196,    -1,    -1,    -1,    -1,  5603,    -1,  5605,    -1,
      -1,    -1,  4242,    -1,    -1,    -1,    -1,  1870,    -1,    -1,
    3712,  3713,    -1,   218,   219,  3717,    -1,    -1,    -1,    -1,
      -1,    -1,  1885,    -1,    -1,  1888,  1889,    -1,   233,  1523,
      -1,    -1,    -1,    -1,    -1,    -1,  1870,  3739,    -1,    -1,
      -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1885,    -1,    -1,  1888,  1889,  1919,  1920,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   274,
    1564,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   288,    -1,  1919,  1920,    -1,    -1,  3791,
    1030,    -1,    -1,    -1,  3796,    -1,    24,    -1,    -1,    -1,
    3802,  1041,    30,  1597,    -1,    -1,    -1,    -1,    -1,    37,
      -1,    -1,    -1,    -1,  4126,    -1,    -1,  1057,    -1,    -1,
    5727,    -1,    -1,    -1,    -1,  2069,    -1,    -1,    -1,    -1,
    3832,    59,    -1,  5740,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   480,    -1,  4384,    -1,  5753,    75,    -1,    -1,
     488,   489,   490,   491,   492,   493,   494,   495,   496,  3861,
      -1,  3863,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,    -1,    -1,
      -1,    -1,   110,    -1,    -1,    -1,  2049,    -1,    -1,    -1,
      -1,  4431,    -1,    -1,    -1,    -1,  4436,    -1,    -1,    -1,
      -1,    -1,  3904,   131,  4216,  5812,  5813,    -1,    -1,    -1,
     138,    -1,    -1,   141,    -1,  2049,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4242,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     168,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   695,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5870,    -1,    -1,    -1,    -1,    -1,    10,
      -1,   199,    13,  1213,   202,   480,    17,    18,    19,   721,
      -1,    -1,    -1,   488,   489,   490,   491,   492,   493,   494,
     495,   496,    -1,    34,    -1,    -1,  1790,    -1,    -1,    -1,
      -1,    -1,    -1,    44,    -1,    -1,    -1,  1801,    -1,    -1,
      51,    -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,
     248,    -1,    -1,  1817,   252,    -1,    -1,    -1,  4568,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    -1,    -1,   267,
      -1,    -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   281,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4384,   301,   302,    -1,  1870,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1885,    -1,    -1,  1888,  1889,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   146,    -1,    -1,    -1,  6016,
      -1,    -1,    -1,   341,    -1,    -1,   344,   345,   346,  4431,
      -1,    -1,    -1,    -1,  4436,  1919,  1920,   869,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4142,   369,    -1,  4145,    -1,  4147,    -1,   375,    -1,    -1,
     191,    -1,  4692,    -1,    -1,   196,    -1,  6064,  4160,    -1,
      -1,   389,    -1,    -1,    -1,  6072,  6073,    -1,    -1,    -1,
    4172,    -1,    -1,    -1,  4176,  6082,    -1,   218,   219,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4730,    -1,   233,  4195,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,    -1,
      -1,  4213,  4752,    -1,    -1,   443,  1456,  4219,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   274,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4244,    -1,    -1,    -1,  4248,   288,    -1,    -1,
     291,    -1,    -1,    -1,    -1,  2049,  4568,    -1,    -1,    -1,
      -1,  4263,  4264,  4265,  4266,    -1,    -1,    -1,    -1,    -1,
      -1,  4273,  4274,  4275,  4276,    -1,    -1,    -1,    -1,    -1,
    4282,  4283,    -1,  1523,  4824,    -1,  4288,  4289,  1030,  4291,
    4292,  4293,  4294,  4295,  4296,  4297,    -1,    -1,    -1,  1041,
      -1,    -1,    -1,    -1,    -1,  4307,    -1,    -1,    -1,  4311,
    4312,  4313,  4314,    -1,    -1,  1057,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1564,    -1,    -1,    -1,    -1,    -1,
    2574,    -1,    -1,  4335,    -1,    -1,    -1,    -1,    -1,   380,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4353,    -1,    -1,    -1,    -1,    -1,  1597,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4692,    -1,    -1,    -1,    -1,  2629,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2647,    -1,  4945,    -1,  2651,    -1,    -1,
      -1,  2655,    -1,    -1,    -1,    -1,    -1,    -1,  4730,    -1,
    2664,    -1,    -1,    -1,    -1,    -1,    -1,  4429,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2682,   480,
    4752,    -1,    -1,    -1,    -1,    -1,    -1,   488,   489,   490,
     491,   492,   493,   494,   495,   496,    -1,    -1,    -1,    -1,
    4462,    -1,    -1,    -1,    -1,    -1,    -1,  4469,    -1,  4471,
      -1,  1213,  2716,  2636,    -1,    -1,    -1,  2640,  2641,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4493,  2736,  2737,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2636,    -1,    -1,    -1,  2640,  2641,    -1,    -1,
      -1,    -1,  4824,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2767,  2768,  5065,    -1,  2771,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2698,    -1,    -1,    -1,    -1,
      -1,  2704,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,
    1790,  2795,    -1,  2797,    27,    -1,    -1,  2801,    -1,    -1,
      -1,  1801,    -1,    -1,  2698,    -1,    -1,    -1,    -1,    -1,
    2704,  2815,    -1,    -1,    -1,    -1,    -1,  1817,  2822,    -1,
      -1,  2825,  2745,    -1,    -1,    -1,    -1,  2831,    -1,    -1,
      -1,    -1,    -1,  5133,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,  2851,    -1,    -1,
      -1,  2745,    -1,  2857,    -1,    -1,    -1,    -1,    -1,    -1,
    2864,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1870,    -1,    -1,  4945,  2878,    -1,    -1,    -1,    -1,   112,
      -1,    -1,    -1,    -1,    -1,  1885,    -1,  2891,  1888,  1889,
      -1,    -1,  2896,    -1,    -1,    -1,    -1,    -1,  2902,    -1,
      -1,    -1,    -1,   136,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,  1919,
    1920,    -1,    -1,   156,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4693,  4694,  4695,    -1,    -1,   169,  4699,  4700,  4701,
    4702,   174,    -1,    -1,  4706,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5253,  1456,    -1,    -1,    -1,  2962,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   200,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4742,  4743,  4744,  4745,  4746,    -1,  4748,  4749,    -1,    -1,
      -1,    -1,   225,  5065,    -1,    -1,    -1,    -1,  4760,  4761,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,
      -1,  1523,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2954,  4794,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2049,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2954,  5133,  1564,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5379,
      -1,    -1,  2636,    -1,  5384,  5385,  2640,  2641,    -1,   322,
     323,    -1,    -1,   326,    -1,  1597,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3027,    -1,    -1,    -1,  3031,    -1,
      -1,    -1,    -1,  3117,    -1,    -1,    -1,    -1,    -1,    -1,
     353,    -1,    -1,   356,    -1,    -1,    -1,    -1,    -1,   362,
      -1,  3135,    -1,  3027,  4896,    -1,   369,  3031,  3142,   372,
      -1,    -1,    -1,    -1,  2698,    -1,    -1,    -1,    -1,    -1,
    2704,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   391,    -1,
      -1,    -1,    -1,    -1,    -1,   398,    -1,    -1,    -1,    -1,
      -1,   404,    -1,    -1,   407,    -1,    -1,   208,   411,    -1,
      -1,  5253,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   220,
      -1,  2745,    -1,   426,    -1,    -1,    -1,  5497,    -1,  4961,
     231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3133,    -1,  3216,    -1,    -1,    -1,    -1,    -1,  3222,   452,
      -1,    -1,    -1,    -1,    -1,  3148,    -1,    -1,    -1,    -1,
    3153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3133,
      -1,  5541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3148,    -1,    -1,    -1,    -1,  3153,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1790,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3302,  1801,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5379,    -1,    -1,
    5072,    -1,  5384,  5385,    -1,  1817,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1870,    -1,
      -1,    -1,    -1,  5135,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1885,    -1,    -1,  1888,  1889,    -1,    -1,
      -1,    -1,  5154,    -1,    -1,    -1,    -1,    -1,  5160,  5161,
    2954,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5170,    -1,
      -1,    -1,    -1,    -1,    -1,  5177,    -1,  1919,  1920,    -1,
      -1,    -1,    -1,    -1,    -1,  5497,    -1,  3431,  3432,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5212,  5213,    -1,    -1,  3458,    -1,    -1,  3461,    -1,    -1,
      -1,    -1,    -1,  5225,    -1,  5227,    -1,    -1,    -1,  5541,
      -1,    -1,    -1,  3027,    -1,    -1,    -1,  3031,    -1,    -1,
    5242,    -1,    -1,  3406,    -1,    -1,  3409,    -1,  3411,    -1,
      -1,    -1,    -1,  3416,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5267,    -1,    -1,    -1,    -1,
      -1,    -1,  3406,  5275,    -1,  3409,    10,  3411,    -1,    13,
      -1,    -1,  3416,    17,    18,    19,    -1,    -1,    -1,  3533,
    3534,  3535,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      34,  3464,    -1,    -1,    -1,    -1,    -1,  2049,    -1,  3472,
      44,    -1,    -1,    -1,  3558,    -1,    -1,    51,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3464,    -1,    -1,  3577,  3497,    -1,    -1,    -1,  3472,  3133,
      -1,    -1,  5344,    77,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3148,  3599,    -1,    -1,    -1,  3153,
      -1,    -1,   633,  3497,    -1,    -1,  5368,    -1,   639,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5378,    -1,    -1,    -1,
      -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,    -1,    -1,    -1,    -1,    -1,  2636,    -1,    -1,    -1,
    2640,  2641,    -1,    -1,  3567,    34,  3569,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    44,    -1,    -1,    -1,    -1,
      -1,    -1,    51,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3567,    -1,  3569,    -1,    -1,    -1,    -1,
      -1,  3685,    -1,  5445,    -1,    -1,    -1,    -1,    77,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   191,  2698,    -1,
      -1,    -1,   196,    -1,  2704,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   218,   219,    -1,    -1,  3732,    -1,
      -1,    -1,    -1,    -1,  3738,    -1,  3740,    -1,    -1,   233,
    3663,    -1,    -1,    -1,    -1,  2745,    -1,    -1,    -1,  3753,
      -1,  3755,    -1,  5515,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3663,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,
     274,    -1,  3705,    -1,    -1,   816,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   288,    -1,    -1,   291,    -1,    -1,
      -1,    -1,   191,    -1,   835,    -1,    -1,   196,    -1,    -1,
    3733,  3705,    -1,    -1,  5576,    -1,    -1,    -1,  3822,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5590,   218,
     219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3733,
      -1,    -1,    -1,    -1,   233,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3406,    -1,    -1,  3409,    -1,  3411,    -1,    -1,
    3864,    -1,  3416,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   905,    -1,    -1,    -1,  3801,  3883,
      -1,    -1,    -1,    -1,    -1,   274,   380,  5649,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   288,
    3823,  3905,   291,    -1,  3908,    -1,    -1,  3801,    -1,    -1,
    3464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3472,    -1,
      -1,   952,  3845,    -1,    -1,    -1,    -1,    -1,    -1,  3823,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3497,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3845,    -1,    -1,  2954,    -1,    -1,    -1,    -1,    -1,
      -1,   455,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5739,    -1,    -1,
      -1,    -1,    -1,    -1,  3988,    -1,   480,    -1,    -1,    -1,
      -1,   380,    -1,    -1,   488,   489,   490,   491,   492,   493,
     494,   495,   496,    -1,    -1,  3928,    -1,    -1,    -1,  5771,
      -1,    -1,    -1,  3567,    -1,  3569,    -1,    -1,    -1,    -1,
    5782,    -1,    -1,    -1,    -1,    -1,    -1,  3027,  3951,    -1,
      -1,  3031,    -1,    -1,  3928,  1066,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3976,    -1,    -1,    -1,  3951,    -1,    -1,
      -1,    -1,    -1,  1094,  1095,  1096,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3976,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   488,
     489,   490,   491,   492,   493,   494,   495,   496,    10,  3663,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,
      -1,  5883,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    34,  3133,  2636,    -1,    -1,    -1,  2640,  2641,
      -1,    -1,    44,    -1,    -1,    -1,    -1,    -1,  3148,    51,
      -1,  3705,    -1,  3153,    -1,  4159,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1203,    -1,    -1,    77,    -1,    -1,    -1,  3733,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1219,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2698,  1228,    -1,    -1,
      -1,    -1,  2704,  4126,    -1,    -1,  4210,    -1,    -1,    -1,
      -1,  4215,    -1,  4217,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4126,    -1,    -1,    -1,    -1,  4241,    -1,    -1,
      -1,    -1,    -1,  2745,    -1,    -1,    -1,  3801,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3823,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4287,    -1,    -1,  4290,    -1,    -1,   191,
      -1,  3845,    -1,  4216,   196,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   218,   219,    -1,  4242,
      -1,    -1,  4216,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   233,    -1,    -1,    -1,  1366,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4242,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   274,    -1,  3928,    -1,  4380,  4381,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   288,  4391,    -1,   291,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3951,    -1,    -1,
      -1,    -1,    -1,    -1,  4408,    -1,  3406,    -1,    -1,  3409,
      -1,  3411,    -1,    -1,    -1,  1446,  3416,    -1,    -1,    -1,
      -1,    -1,  3976,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2954,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4384,    -1,    -1,  3464,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3472,    -1,    -1,    -1,    -1,    -1,   380,    -1,
      -1,    -1,    -1,    -1,    -1,  4489,    -1,    -1,    -1,    -1,
    4384,    -1,    -1,    -1,    -1,    -1,    -1,  3497,  1529,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1538,  4431,    -1,
      -1,    -1,    -1,  4436,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3027,    -1,    -1,    -1,  3031,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4431,    -1,  1570,
      -1,    -1,  4436,    -1,    -1,  1576,  1577,    -1,    -1,  1580,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1593,    -1,    -1,  1596,    -1,  3567,    -1,  3569,
      -1,    -1,  4126,    -1,    -1,    -1,    -1,    -1,   480,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   488,   489,   490,   491,
     492,   493,   494,   495,   496,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1654,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3133,    -1,    -1,    -1,    -1,    -1,  1668,    -1,    -1,
     813,   814,    -1,    -1,    -1,  4568,  3148,    -1,    -1,    -1,
      -1,  3153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4216,  3663,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4568,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4242,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4705,    -1,    -1,    -1,  3705,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   891,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3733,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4747,    -1,    -1,  1777,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4759,    -1,  1788,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4692,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4793,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4692,  1830,
    1831,  3801,    -1,    -1,    -1,    -1,    -1,  4730,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3823,  1855,    -1,    -1,    -1,    -1,  4752,
    4384,  1862,    -1,    -1,    -1,    -1,  4730,    -1,    -1,  1012,
    1013,    -1,    -1,    -1,    -1,  3845,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4752,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4871,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4431,    -1,    -1,
      -1,    -1,  4436,    -1,    -1,    -1,  4890,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4824,    -1,  1934,  3406,    -1,    -1,  3409,    -1,  3411,
      -1,    -1,    -1,    -1,  3416,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3928,    -1,
    4824,    -1,    -1,    -1,    -1,    -1,  1967,  1968,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3951,    -1,  1984,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3472,    -1,  4976,    -1,    -1,    -1,  3976,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3497,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4568,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4945,    22,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4945,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3567,    65,  3569,    -1,    -1,
      -1,    -1,  1245,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      -1,    -1,    -1,  5087,    -1,  5089,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1276,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,    -1,    -1,    -1,    -1,    -1,   118,
      -1,    -1,    -1,    -1,    -1,    -1,  4126,    -1,    -1,    -1,
    5134,  1304,  1305,  1306,    -1,  1308,    -1,   136,  4692,    -1,
      -1,    -1,  5065,    -1,    -1,    -1,    -1,    -1,   147,    -1,
      -1,    -1,    -1,    -1,    -1,  1328,    -1,   156,    -1,    -1,
      -1,  3663,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     169,  5065,    -1,    -1,    -1,    -1,  4730,    -1,   177,    -1,
    5184,    -1,   181,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4752,    -1,
      -1,   200,    -1,  3705,    -1,    -1,    -1,    -1,    -1,    -1,
    5133,    -1,    -1,    -1,    -1,    -1,  4216,    -1,    -1,    -1,
      -1,    -1,    22,    -1,    -1,    -1,    -1,    27,    -1,    -1,
      -1,  3733,    -1,    -1,    -1,    -1,    -1,    -1,   237,  5133,
      -1,    -1,  4242,    -1,    -1,    -1,    -1,    -1,   247,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1430,    -1,    -1,
      -1,  1434,  1435,    -1,    -1,    65,    -1,    -1,    -1,    -1,
    4824,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   288,
      -1,    -1,   291,    -1,    94,    -1,    -1,    -1,    -1,  3801,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   112,   312,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3823,    -1,    -1,    -1,    -1,    -1,   326,  1320,    -1,
    5253,    -1,    -1,    -1,   333,    -1,   136,    -1,    -1,    -1,
      -1,    -1,    -1,  3845,    -1,    -1,    -1,   147,    -1,    -1,
      -1,    -1,    -1,    -1,   353,    -1,   156,    -1,    -1,  5253,
      -1,    -1,    -1,   362,    -1,    -1,    -1,    -1,    -1,   169,
     369,    -1,    -1,   372,   174,    -1,    -1,    -1,    -1,    -1,
      -1,   181,  1374,    -1,  4384,    -1,    -1,    -1,    -1,    -1,
      -1,  4945,   391,  5397,    -1,    -1,    -1,    -1,    -1,   398,
     200,    -1,    -1,    -1,    -1,   404,    -1,  5411,   407,   408,
      -1,   410,   411,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3928,   426,    -1,    -1,
      -1,  4431,    -1,    -1,   433,    -1,  4436,   436,  5442,    -1,
     439,    -1,    -1,    -1,    -1,    -1,    -1,   247,    -1,  3951,
      -1,    -1,    -1,   452,    -1,    -1,  5379,    -1,    -1,    -1,
      -1,  5384,  5385,    -1,    -1,  2496,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3976,  2506,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5379,    -1,    -1,   288,    -1,
    5384,  5385,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   301,    -1,    -1,  2535,    -1,  1679,  1680,  1681,    -1,
      -1,  5065,   312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   322,   323,    -1,    -1,   326,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5538,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2582,  2583,   353,    -1,    -1,   356,    -1,    -1,    -1,
     360,    -1,   362,    -1,    -1,    -1,    -1,    -1,  4568,   369,
      -1,    -1,   372,    -1,  5497,    -1,    -1,    -1,    -1,  5133,
      -1,    -1,    -1,    -1,    -1,  2616,    -1,    -1,    -1,    -1,
      -1,   391,    -1,    -1,    -1,    -1,    -1,    -1,   398,  5603,
      -1,  5605,    -1,  5497,   404,    -1,    -1,   407,    -1,    -1,
      -1,   411,    -1,    -1,    -1,    -1,    -1,    -1,  5541,   419,
      -1,   421,    -1,    -1,  4126,    -1,   426,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   439,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5541,    -1,    -1,
      -1,    -1,   452,    -1,    20,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    30,    -1,    32,    33,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4692,  1685,    60,    -1,    -1,  1689,    -1,  5253,
      -1,    -1,    -1,    -1,    -1,    -1,    72,    -1,    74,    75,
      -1,    -1,    -1,    -1,  4216,    81,    -1,    83,  2749,    -1,
      -1,    -1,    -1,  5727,    -1,    -1,    -1,    -1,    -1,    95,
    4730,    97,    -1,  2764,    -1,    -1,    -1,    -1,    -1,    -1,
    4242,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   114,  5753,
      -1,   117,  4752,    -1,    -1,  2786,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   132,    -1,   134,    -1,
      -1,    -1,   138,    -1,    -1,    -1,    -1,    -1,   144,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   152,    -1,   154,    -1,
      -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4824,  5379,    -1,    -1,    -1,   195,
    5384,  5385,  2005,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2872,  2873,    -1,  2017,    -1,  2019,    -1,  2021,    -1,
      -1,  2024,  2025,  2026,    -1,    -1,    -1,    -1,    -1,  2032,
      -1,    -1,  2035,    -1,    -1,    -1,  5870,    -1,    -1,   235,
     236,    -1,    -1,    -1,    -1,   241,    -1,  2050,  2051,  2052,
      -1,    -1,  4384,    -1,    -1,    -1,    -1,    -1,    -1,   255,
      -1,    -1,    -1,    -1,  2067,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   273,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4431,
      -1,    -1,    -1,    -1,  4436,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2973,  5497,    -1,  4945,    -1,    -1,    -1,    -1,
      -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   331,    -1,    -1,    -1,    -1,
      -1,   337,   338,    -1,   340,    -1,    -1,    -1,    -1,   345,
      -1,    -1,   348,    -1,    -1,   351,    -1,  5541,   354,    -1,
      -1,    -1,    -1,    -1,    -1,   361,    -1,    -1,    -1,    -1,
      -1,   367,   368,    -1,    -1,    -1,    -1,    -1,    -1,   375,
      -1,  2003,  6016,   379,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   389,    -1,    -1,  2018,    22,    -1,    -1,
    2022,    -1,    27,    -1,    -1,    -1,    -1,  2210,   404,    -1,
      -1,    -1,    -1,    -1,    -1,  2037,  2038,  2039,    -1,  2041,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   424,    -1,
    6064,    -1,    -1,    -1,    -1,  5065,  4568,    -1,    -1,   435,
      65,    -1,    -1,    -1,    -1,   441,    -1,  2250,  6082,    -1,
     446,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   459,    -1,    90,    -1,    -1,    -1,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   482,   112,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2303,    -1,    -1,  5133,   500,    -1,    -1,   503,    -1,    -1,
      -1,   136,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   156,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4692,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   200,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4730,    -1,
     225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4752,    -1,   247,  5253,    -1,    -1,    -1,  3288,    -1,    -1,
      -1,    -1,    -1,    27,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3309,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   288,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2478,  2479,  2480,  2481,  2482,
    2483,  2484,  2485,  2486,    78,  2488,    -1,   312,    -1,    -1,
      -1,    -1,  4824,    -1,  2497,    -1,  2499,   322,   323,    -1,
      94,   326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,    -1,
      -1,    -1,    -1,    -1,   118,    -1,    -1,    -1,   353,    -1,
      -1,   356,    -1,    -1,  2537,   360,    -1,   362,  2541,    -1,
      -1,  2544,   136,  2546,   369,    -1,  2549,   372,    -1,  5379,
      -1,    -1,    -1,   147,  5384,  5385,    -1,    -1,    -1,    -1,
      -1,    -1,   156,    -1,    -1,    -1,   391,    -1,    -1,    -1,
      -1,    -1,    -1,   398,    -1,   169,    -1,    -1,    -1,   404,
     174,    -1,   407,    -1,    -1,    -1,   411,   181,    -1,    -1,
      -1,    -1,    -1,    -1,   419,    -1,   421,    -1,    -1,  2602,
    2603,   426,    -1,    -1,    -1,    -1,   200,    -1,    -1,    -1,
      -1,    -1,    -1,  4945,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   452,    -1,    -1,
      -1,   225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5497,    -1,    -1,
      -1,    -1,    -1,  2495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2685,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   288,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5541,    -1,    -1,  3575,    -1,    -1,    -1,   312,    -1,
      -1,    -1,    -1,    -1,  3585,    -1,    -1,    -1,   322,   323,
      -1,    -1,   326,  5065,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   353,
      -1,    -1,   356,    -1,    -1,    -1,   360,  2589,   362,    -1,
      -1,    -1,    -1,    -1,    -1,   369,    -1,    -1,   372,  2601,
      -1,    -1,    -1,    -1,  2606,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   391,    -1,    -1,
      -1,  5133,    -1,    -1,   398,    -1,    -1,    -1,    -1,   403,
     404,    -1,    -1,   407,    -1,    -1,    -1,   411,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   421,    -1,    -1,
      -1,    -1,   426,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   439,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   452,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3744,  3745,  3746,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3761,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2920,  2921,  2922,
      -1,  5253,    -1,  2926,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3794,  3795,    -1,    -1,    -1,  3799,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2953,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3903,    -1,    -1,  3906,    -1,  5379,    -1,    -1,
      -1,    -1,  5384,  5385,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3161,    -1,
      -1,    -1,    -1,  3166,    -1,  5497,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4035,  4036,  4037,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3194,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3205,    -1,  3207,  3208,    -1,    -1,    -1,  5541,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3221,    -1,
      -1,  3224,    -1,  3226,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3260,    -1,  3262,
      -1,  3264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3164,    -1,    -1,    -1,    -1,    -1,    -1,  3352,
      -1,    -1,    -1,    -1,  3357,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3184,  3185,    -1,  3187,    -1,    -1,    -1,  3372,
    3192,  3193,    -1,  3195,    -1,  3197,    -1,    -1,    -1,  3201,
      -1,    -1,  3204,    -1,    -1,    -1,    -1,  3209,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3218,    -1,    -1,    -1,
      -1,  3223,    -1,    -1,    -1,    -1,    -1,    -1,  3230,  3231,
    3232,  3233,    -1,    -1,    -1,  3237,  3238,    -1,  3240,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3437,  3257,    -1,  3259,    -1,    -1,
      -1,    -1,    -1,    -1,  3266,  3267,  3268,  3269,  3270,  3271,
    3272,  3273,  3274,  3275,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3310,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4361,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4393,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4425,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4460,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4477,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3452,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3690,    -1,    -1,
      -1,    -1,    -1,  3696,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4596,  4597,  4598,  4599,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3775,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3694,  3695,    -1,    -1,    -1,  3699,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3728,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3925,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3934,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3942,
      -1,  3944,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3971,  3972,
    3973,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3990,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3998,    -1,    -1,  4001,    -1,
    4003,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4013,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4021,  4022,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4938,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4949,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4103,    -1,  3924,    -1,    -1,    -1,    -1,    -1,  3930,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4120,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3948,  3949,    -1,    -1,
    3952,  3953,  3954,  3955,    -1,    -1,  3958,  3959,  3960,  3961,
    3962,  3963,  3964,  3965,  3966,  3967,  3968,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3991,
      -1,    -1,  3994,    -1,  3996,    -1,    -1,  3999,  4000,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4015,  4016,  4017,  4018,    -1,  4020,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4085,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4135,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5206,    -1,    -1,    -1,    -1,
    5211,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5230,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4437,  4438,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4448,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5364,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4515,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4526,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4565,  4566,    -1,    -1,    -1,    -1,    -1,  4572,
    4573,    -1,    -1,    -1,  4577,  4397,    -1,    -1,  4581,    -1,
      -1,  4584,  4585,    -1,    -1,    -1,  4589,    -1,    -1,    -1,
      -1,    -1,  4595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5464,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5492,  4635,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4646,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4654,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4674,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4516,    -1,    -1,    -1,  4520,    -1,
    4522,  4523,    -1,    -1,    -1,    -1,  4528,  4529,  4530,  4531,
      -1,    -1,    -1,  4535,  4536,  4537,  4538,  4539,  4540,  4541,
    4542,  4543,  4544,  4545,  4546,  4547,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4571,
      -1,    -1,  4574,    -1,  4576,    -1,    -1,  4579,    -1,    -1,
    4582,  4583,    -1,    -1,  4586,  4587,    -1,    -1,    -1,    -1,
      -1,    -1,  4775,    -1,    -1,    -1,    -1,    -1,    -1,  4782,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4645,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4659,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4850,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4994,    -1,    -1,    -1,    -1,    -1,  5000,  5001,  5002,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5025,  5026,    -1,    -1,  5029,    -1,    -1,    -1,
      -1,  4853,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5055,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5066,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5082,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4940,  4941,
      -1,    -1,    -1,    -1,    -1,    -1,  4948,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4990,    -1,
      -1,    -1,    -1,    -1,  4996,  4997,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5015,    -1,  5017,    -1,    -1,    -1,  5021,
    5022,  5023,  5024,    -1,    -1,  5027,  5028,    -1,    -1,    -1,
    5032,    -1,    -1,    -1,  5036,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5049,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5067,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5081,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5091,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5286,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5329,    -1,    -1,    -1,
      -1,    -1,    -1,  5155,    -1,  5157,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5192,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5389,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5431,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5279,    -1,  5281,
    5282,  5283,  5284,  5285,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5296,  5297,  5298,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5311,
      -1,    -1,  5314,    -1,    -1,    -1,  5318,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5336,    -1,    -1,  5520,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5351,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5550,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5578,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5696,  5697,  5698,    -1,    -1,    -1,  5521,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5714,    -1,  5535,    -1,  5537,    -1,    -1,    -1,    -1,
      -1,  5724,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5589,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5794,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5625,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5818,    -1,  5820,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5691,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5738,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5937,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5982,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5823,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5836,  5837,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5850,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6051,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5891,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5916,    -1,     3,    -1,     5,     6,
      -1,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
    5932,  5933,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    39,    40,    41,    -1,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    -1,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    -1,    72,    73,    74,    75,    76,
    5992,    78,    -1,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      -1,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,    -1,   145,   146,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,    -1,   170,   171,    -1,   173,   174,   175,   176,
     177,    -1,   179,   180,    -1,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,    -1,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,    -1,   229,   230,   231,   232,   233,    -1,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,    -1,   284,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,    -1,   413,   414,   415,    -1,
      -1,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,    -1,   433,   434,   435,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,    -1,
     457,    -1,    -1,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   491,   492,   493,    -1,    -1,    -1,
      -1,    -1,    -1,   500,   501,     3,    -1,     5,     6,    -1,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    36,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      78,    -1,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,   171,    -1,   173,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,   231,   232,   233,    -1,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,    -1,   284,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,    -1,   413,   414,   415,    -1,    -1,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,    -1,   433,   434,   435,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,    -1,    -1,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,    -1,   482,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   491,   492,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   500,   501,     3,    -1,     5,     6,    -1,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      39,    40,    41,    -1,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    -1,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    -1,    72,    73,    74,    75,    76,    -1,    78,
      -1,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    -1,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,    -1,   145,   146,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
      -1,   170,   171,    -1,   173,   174,   175,   176,   177,    -1,
     179,   180,    -1,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,    -1,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,    -1,
     229,   230,   231,   232,   233,    -1,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,    -1,   284,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,    -1,   413,   414,   415,    -1,    -1,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,    -1,   433,   434,   435,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,    -1,    -1,   457,    -1,
      -1,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   491,   492,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   500,   501,     3,    -1,     5,     6,    -1,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    78,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,    -1,   413,   414,   415,    -1,    -1,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,    -1,   433,   434,   435,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,    -1,    -1,   457,    -1,    -1,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   491,   492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     500,   501,     3,    -1,     5,     6,    -1,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    39,    40,
      41,    -1,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    -1,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      -1,    72,    73,    74,    75,    76,    -1,    78,    -1,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    95,    96,    -1,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,    -1,   145,   146,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,    -1,   170,
     171,    -1,   173,   174,   175,   176,   177,    -1,   179,   180,
      -1,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,    -1,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,    -1,   229,   230,
     231,   232,   233,    -1,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,    -1,   284,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,    -1,   413,   414,   415,    -1,    -1,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,    -1,   433,   434,   435,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
     491,   492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,
     501,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    37,    -1,
      39,    40,    41,    -1,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    54,    55,    -1,    57,    58,
      59,    60,    61,    62,    63,    -1,    -1,    66,    67,    68,
      69,    70,    -1,    72,    73,    74,    75,    76,    -1,    -1,
      -1,    80,    81,    82,    83,    84,    85,    -1,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    -1,    98,
      99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     109,   110,   111,   112,   113,   114,   115,   116,   117,    -1,
     119,    -1,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,    -1,   145,   146,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
      -1,   170,    -1,    -1,   173,   174,   175,   176,   177,    -1,
     179,   180,    -1,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,    -1,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,    -1,   215,    -1,   217,    -1,
      -1,   220,   221,   222,   223,   224,   225,   226,    -1,    -1,
     229,   230,   231,   232,    -1,    -1,   235,   236,   237,    -1,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,    -1,   284,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,    -1,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,    -1,   405,    -1,   407,   408,
     409,   410,   411,    -1,   413,   414,   415,    -1,    -1,   418,
     419,   420,   421,   422,    -1,   424,   425,   426,   427,   428,
     429,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,    -1,   451,   452,   453,   454,    -1,    -1,   457,    -1,
      -1,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   501,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    41,    -1,    43,    44,    45,    46,
      47,    48,    49,    50,    -1,    52,    53,    54,    55,    -1,
      57,    58,    59,    60,    61,    62,    63,    -1,    -1,    66,
      67,    68,    69,    70,    -1,    72,    73,    74,    75,    -1,
      -1,    78,    -1,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      -1,    98,    99,   100,   101,    -1,    -1,    -1,   105,    -1,
      -1,    -1,   109,   110,   111,   112,   113,   114,   115,   116,
     117,    -1,   119,    -1,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,    -1,   145,   146,
     147,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,    -1,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,    -1,   170,   171,    -1,   173,   174,   175,   176,
     177,    -1,   179,    -1,    -1,    -1,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,    -1,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,    -1,   229,    -1,   231,   232,   233,    -1,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,    -1,
      -1,   278,   279,   280,   281,   282,    -1,   284,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,    -1,   314,    -1,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,    -1,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,    -1,   413,   414,   415,    -1,
      -1,   418,   419,    -1,   421,    -1,    -1,   424,   425,   426,
     427,   428,   429,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,    -1,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,    -1,
     457,    -1,    -1,   460,   461,   462,   463,   464,   465,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     477,   478,   479,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,   501,    39,    40,    41,    -1,    43,
      44,    45,    46,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    -1,    -1,    78,    -1,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    98,    99,   100,   101,    -1,    -1,
      -1,   105,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,    -1,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,   171,    -1,   173,
     174,   175,   176,   177,    -1,   179,    -1,    -1,    -1,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,    -1,   229,    -1,   231,   232,   233,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,    -1,    -1,   278,   279,   280,   281,   282,    -1,
     284,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,    -1,
     314,    -1,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,    -1,   400,    -1,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,    -1,   413,
     414,   415,    -1,    -1,   418,   419,    -1,   421,    -1,    -1,
     424,   425,   426,   427,   428,   429,   430,   431,    -1,    -1,
     434,   435,   436,   437,   438,    -1,    -1,   441,   442,   443,
     444,   445,    -1,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,    -1,   457,    -1,    -1,   460,   461,   462,   463,
     464,   465,     3,    -1,     5,     6,    -1,     8,     9,    10,
      11,    12,    -1,   477,   478,   479,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    36,    -1,   501,    39,    40,
      41,    -1,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    -1,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      -1,    72,    73,    74,    75,    76,    -1,    78,    -1,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    95,    96,    -1,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,    -1,   145,   146,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,    -1,   170,
     171,    -1,   173,   174,   175,   176,   177,    -1,   179,   180,
      -1,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,    -1,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,    -1,   229,   230,
     231,   232,   233,    -1,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,    -1,   284,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,    -1,   413,   414,   415,    -1,    -1,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,    -1,   433,   434,   435,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,    -1,    -1,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     491,   492,    -1,    -1,    -1,     3,    -1,     5,     6,   500,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    36,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      78,    -1,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,   171,   172,   173,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,   232,   233,    -1,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,    -1,   284,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,    -1,   413,   414,   415,    -1,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,    -1,   433,   434,   435,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,    -1,    -1,   457,
      -1,    -1,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   491,   492,    -1,    -1,    -1,     3,    -1,
       5,     6,   500,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    -1,    -1,    -1,
      35,    36,    -1,    -1,    39,    40,    41,    -1,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    -1,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    -1,    72,    73,    74,
      75,    76,    -1,    78,    -1,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    -1,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,    -1,
     145,   146,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,    -1,   170,   171,    -1,   173,   174,
     175,   176,   177,    -1,   179,   180,    -1,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,    -1,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,    -1,   229,   230,   231,   232,   233,    -1,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,    -1,   284,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,    -1,   413,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,    -1,   433,   434,
     435,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
      -1,    -1,   457,    -1,    -1,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   491,   492,    -1,    -1,
      -1,     3,    -1,     5,     6,   500,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      -1,    -1,    -1,    35,    36,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    78,    -1,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,   171,
      -1,   173,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,   231,
     232,   233,    -1,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,    -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
      -1,   413,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
      -1,   433,   434,   435,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   491,
     492,    -1,    -1,    -1,     3,    -1,     5,     6,   500,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      39,    40,    41,    -1,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    -1,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    -1,    72,    73,    74,    75,    76,    -1,    78,
      -1,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    -1,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,    -1,   145,   146,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
      -1,   170,   171,    -1,   173,   174,   175,   176,   177,    -1,
     179,   180,    -1,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,    -1,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,    -1,
     229,   230,   231,   232,   233,    -1,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,    -1,   284,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,    -1,   413,   414,   415,    -1,    -1,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,    -1,   433,   434,   435,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,    -1,    -1,   457,    -1,
      -1,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   491,   492,    -1,    -1,    -1,    -1,    -1,   498,
     499,   500,     3,    -1,     5,     6,    -1,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    39,    40,
      41,    -1,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    -1,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      -1,    72,    73,    74,    75,    76,    -1,    78,    -1,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    95,    96,    -1,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,    -1,   145,   146,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,    -1,   170,
     171,    -1,   173,   174,   175,   176,   177,    -1,   179,   180,
      -1,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,    -1,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,    -1,   229,   230,
     231,   232,   233,    -1,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,    -1,   284,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,    -1,   413,   414,   415,    -1,    -1,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,    -1,   433,   434,   435,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     491,   492,   493,    -1,    -1,     3,    -1,     5,     6,   500,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    -1,    -1,    -1,    -1,    36,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      78,    -1,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,   171,    -1,   173,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,   231,   232,   233,    -1,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,    -1,   284,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,    -1,   413,   414,   415,    -1,    -1,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,    -1,   433,   434,   435,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,    -1,    -1,   457,
      -1,    -1,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   491,   492,    -1,    -1,    -1,     3,    -1,
       5,     6,   500,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    36,    -1,    -1,    39,    40,    41,    -1,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    -1,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    -1,    72,    73,    74,
      75,    76,    -1,    78,    -1,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    -1,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,    -1,
     145,   146,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,    -1,   170,   171,    -1,   173,   174,
     175,   176,   177,    -1,   179,   180,    -1,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,    -1,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,    -1,   229,   230,   231,   232,   233,    -1,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,    -1,   284,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,    -1,   413,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,    -1,   433,   434,
     435,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,    -1,   457,    -1,    -1,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   491,   492,    -1,    -1,
      -1,     3,    -1,     5,     6,   500,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    36,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    78,    -1,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,   171,
     172,   173,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,   231,
     232,   233,    -1,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,    -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
      -1,   413,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
      -1,   433,   434,   435,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   491,
     492,    -1,    -1,    -1,     3,    -1,     5,     6,   500,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      39,    40,    41,    -1,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    -1,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    -1,    72,    73,    74,    75,    76,    -1,    78,
      -1,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    -1,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,    -1,   145,   146,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
      -1,   170,   171,    -1,   173,   174,   175,   176,   177,    -1,
     179,   180,    -1,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,    -1,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,    -1,
     229,   230,   231,   232,   233,    -1,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,    -1,   284,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,    -1,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,    -1,   433,   434,   435,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,    -1,    -1,   457,    -1,
      -1,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   491,   492,    -1,    -1,    -1,     3,    -1,     5,
       6,   500,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      36,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    78,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,   231,   232,   233,    -1,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,    -1,   413,   414,   415,
      -1,    -1,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,    -1,   433,   434,   435,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,    -1,
      -1,   457,    -1,    -1,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   491,   492,    -1,    -1,    -1,
       3,    -1,     5,     6,   500,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    36,    -1,    -1,    39,    40,    41,    -1,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    -1,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    -1,    72,
      73,    74,    75,    76,    -1,    78,    -1,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    -1,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,    -1,   145,   146,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,    -1,   170,   171,    -1,
     173,   174,   175,   176,   177,    -1,   179,   180,    -1,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,    -1,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,    -1,   229,   230,   231,   232,
     233,    -1,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
      -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,    -1,
     413,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,    -1,
     433,   434,   435,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   491,   492,
      -1,    -1,    -1,     3,    -1,     5,     6,   500,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    78,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,    -1,   413,   414,   415,    -1,    -1,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,    -1,   433,   434,   435,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,    -1,    -1,   457,    -1,    -1,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   491,   492,    -1,    -1,    -1,     3,    -1,     5,     6,
     500,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    39,    40,    41,    -1,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    -1,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    -1,    72,    73,    74,    75,    76,
      -1,    78,    -1,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      -1,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,    -1,   145,   146,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,    -1,   170,   171,    -1,   173,   174,   175,   176,
     177,    -1,   179,   180,    -1,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,    -1,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,    -1,   229,   230,   231,   232,   233,    -1,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,    -1,   284,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,    -1,   413,   414,   415,    -1,
      -1,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,    -1,   433,   434,   435,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,    -1,    -1,
     457,    -1,    -1,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   491,   492,    -1,    -1,    -1,     3,
      -1,     5,     6,   500,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    36,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    78,    -1,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,   171,    -1,   173,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,   231,   232,   233,
      -1,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,    -1,
     284,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,    -1,   413,
     414,   415,    -1,    -1,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,    -1,   433,
     434,   435,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,    -1,    -1,   457,    -1,    -1,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   491,   492,    -1,
      -1,    -1,     3,    -1,     5,     6,   500,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    39,    40,
      41,    -1,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    -1,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      -1,    72,    73,    74,    75,    76,    -1,    78,    -1,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    95,    96,    -1,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,    -1,   145,   146,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,    -1,   170,
     171,    -1,   173,   174,   175,   176,   177,    -1,   179,   180,
      -1,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,    -1,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,    -1,   229,   230,
     231,   232,   233,    -1,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,    -1,   284,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,    -1,   413,   414,   415,    -1,    -1,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,    -1,   433,   434,   435,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     491,   492,    -1,    -1,    -1,     3,    -1,     5,     6,   500,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    36,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      78,    -1,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,   171,    -1,   173,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,   231,   232,   233,    -1,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,    -1,   284,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,    -1,   413,   414,   415,    -1,    -1,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,    -1,   433,   434,   435,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,    -1,    -1,   457,
      -1,    -1,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   491,   492,    -1,    -1,    -1,     3,    -1,
       5,     6,   500,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    36,    -1,    -1,    39,    40,    41,    -1,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    -1,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    -1,    72,    73,    74,
      75,    76,    -1,    78,    -1,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    -1,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,    -1,
     145,   146,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,    -1,   170,   171,    -1,   173,   174,
     175,   176,   177,    -1,   179,   180,    -1,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,    -1,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,    -1,   229,   230,   231,   232,   233,    -1,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,    -1,   284,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,    -1,   413,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,    -1,   433,   434,
     435,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
      -1,    -1,   457,    -1,    -1,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   491,   492,    -1,    -1,
      -1,     3,    -1,     5,     6,   500,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    36,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    78,    -1,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,   171,
      -1,   173,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,   231,
     232,   233,    -1,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,    -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
      -1,   413,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
      -1,   433,   434,   435,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   491,
     492,    -1,    -1,    -1,     3,    -1,     5,     6,   500,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      39,    40,    41,    -1,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    -1,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    -1,    72,    73,    74,    75,    76,    -1,    78,
      -1,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    -1,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,    -1,   145,   146,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
      -1,   170,   171,    -1,   173,   174,   175,   176,   177,    -1,
     179,   180,    -1,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,    -1,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,    -1,
     229,   230,   231,   232,   233,    -1,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,    -1,   284,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,    -1,   413,   414,   415,    -1,    -1,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,    -1,    -1,   457,    -1,
      -1,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   491,   492,    -1,    -1,    -1,     3,    -1,     5,
       6,   500,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      36,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    78,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,    -1,    -1,   220,   221,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,   231,   232,   233,    -1,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,    -1,   275,
     276,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,    -1,   413,   414,   415,
      -1,    -1,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,    -1,   433,   434,   435,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,    -1,
      -1,   457,    -1,    -1,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   491,   492,    -1,    -1,    -1,
       3,    -1,     5,     6,   500,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    36,    -1,    -1,    39,    40,    41,    -1,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    -1,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    -1,    72,
      73,    74,    75,    76,    -1,    78,    -1,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    -1,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,    -1,   119,    -1,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,    -1,   145,   146,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,    -1,   170,   171,    -1,
     173,   174,   175,   176,   177,    -1,   179,   180,    -1,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,    -1,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,    -1,   229,   230,   231,   232,
     233,    -1,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
      -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,    -1,
     413,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   491,   492,
       3,    -1,     5,     6,    -1,     8,     9,   500,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    36,    -1,    -1,    39,    40,    41,    -1,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    -1,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    -1,    72,
      73,    74,    75,    76,    -1,    78,    -1,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    -1,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,    -1,   119,    -1,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,    -1,   145,   146,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,    -1,   170,   171,    -1,
     173,   174,   175,   176,   177,    -1,   179,   180,    -1,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,    -1,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,    -1,   229,   230,   231,   232,
     233,    -1,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
      -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,    -1,
     413,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   491,   492,
       3,    -1,     5,     6,    -1,     8,     9,   500,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    36,    -1,    -1,    39,    40,    41,    -1,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    -1,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    -1,    72,
      73,    74,    75,    76,    -1,    78,    -1,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    -1,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,    -1,   119,    -1,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,    -1,   145,   146,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,    -1,   170,   171,    -1,
     173,   174,   175,   176,   177,    -1,   179,   180,    -1,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,    -1,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,    -1,   229,   230,   231,   232,
     233,    -1,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
      -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,    -1,
     413,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,    -1,    -1,    -1,
      -1,     3,    -1,     5,     6,    -1,     8,     9,    -1,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,   500,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    36,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    78,    -1,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,   171,
      -1,   173,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,   231,
     232,   233,    -1,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,    -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
      -1,   413,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,    -1,    -1,
      -1,    -1,     3,    -1,     5,     6,    -1,     8,     9,    -1,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,   500,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    39,    40,
      41,    -1,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    -1,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      -1,    72,    73,    74,    75,    76,    -1,    78,    -1,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    95,    96,    -1,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,    -1,   119,    -1,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,    -1,   145,   146,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,    -1,   170,
     171,    -1,   173,   174,   175,   176,   177,    -1,   179,   180,
      -1,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,    -1,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,    -1,   229,   230,
     231,   232,   233,    -1,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,    -1,   284,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,    -1,   413,   414,   415,    -1,    -1,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    78,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,    -1,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,    -1,   413,   414,   415,    -1,    -1,   418,   419,
     420,   421,   422,    -1,   424,   425,   426,   427,   428,   429,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,    -1,    -1,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
      -1,    -1,   482,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     500,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    41,    -1,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    -1,    57,    58,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    70,    -1,    72,    73,    74,    75,    76,    -1,    78,
      -1,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    -1,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,    -1,
     119,    -1,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,    -1,   145,   146,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
      -1,   170,   171,    -1,   173,   174,   175,   176,   177,    -1,
     179,   180,    -1,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,    -1,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,   233,    -1,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,    -1,   284,   285,    -1,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,    -1,   413,   414,   415,    -1,    -1,   418,
     419,   420,   421,   422,    -1,   424,   425,   426,   427,   428,
     429,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,    -1,    -1,   457,    -1,
      -1,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   500,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      78,    -1,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,   171,    -1,   173,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,   231,   232,   233,    -1,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,    -1,   284,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,    -1,   413,   414,   415,    -1,    -1,
     418,   419,   420,   421,   422,    -1,   424,   425,   426,   427,
     428,   429,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,    -1,    -1,   457,
      -1,    -1,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   500,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    41,    -1,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    -1,
      57,    58,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    69,    70,    -1,    72,    73,    74,    75,    76,
      -1,    78,    -1,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      -1,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,    -1,   119,    -1,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,    -1,   145,   146,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,    -1,   170,   171,    -1,   173,   174,   175,   176,
     177,    -1,   179,   180,    -1,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,    -1,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,    -1,   229,   230,   231,   232,   233,    -1,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,    -1,   284,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,    -1,   413,   414,   415,    -1,
      -1,   418,   419,   420,   421,   422,    -1,   424,   425,   426,
     427,   428,   429,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,    -1,    -1,
     457,    -1,    -1,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   500,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    78,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,   231,   232,   233,    -1,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,    -1,   413,   414,   415,
      -1,    -1,   418,   419,   420,   421,   422,    -1,   424,   425,
     426,   427,   428,   429,   430,   431,    -1,    -1,   434,   435,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,    -1,
      -1,   457,    -1,    -1,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   500,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    -1,    57,    58,    59,    60,    61,    62,    63,    -1,
      65,    66,    67,    68,    69,    70,    -1,    72,    73,    74,
      75,    76,    -1,    78,    -1,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    -1,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,    -1,   119,    -1,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,    -1,
     145,   146,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,    -1,   170,   171,    -1,   173,   174,
     175,   176,   177,    -1,   179,   180,    -1,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,    -1,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,    -1,   229,   230,   231,   232,   233,    -1,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,    -1,   284,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,    -1,   413,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,    -1,   424,
     425,   426,   427,   428,   429,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
      -1,    -1,   457,    -1,    -1,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,    -1,    -1,    -1,    -1,     3,
      -1,     5,     6,    -1,    -1,    -1,    -1,    11,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   500,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    78,    -1,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    98,    99,   100,   101,    -1,    -1,
      -1,   105,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,   171,    -1,   173,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,   231,   232,   233,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,    -1,
     284,   285,   286,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,    -1,   413,
     414,   415,    -1,    -1,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,    -1,    -1,
     434,   435,   436,   437,   438,    -1,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,    -1,    -1,   457,    -1,    -1,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,   491,   492,   493,
      -1,    -1,    -1,    -1,    -1,    -1,   500,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    32,
      33,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    -1,    57,    58,    59,    60,    61,    62,
      63,    -1,    -1,    66,    67,    68,    69,    70,    -1,    72,
      73,    74,    75,    76,    -1,    78,    -1,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    -1,    98,    99,   100,   101,    -1,
      -1,    -1,   105,    -1,    -1,    -1,   109,   110,   111,   112,
     113,   114,   115,   116,   117,    -1,   119,    -1,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,    -1,   145,   146,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,    -1,   170,   171,    -1,
     173,   174,   175,   176,   177,    -1,   179,   180,    -1,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,    -1,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,    -1,   229,   230,   231,   232,
     233,    -1,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
      -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,    -1,
     413,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
      -1,   424,   425,   426,   427,   428,   429,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,    -1,    -1,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,    -1,    -1,   482,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    78,    -1,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    98,    99,   100,   101,
      -1,    -1,    -1,   105,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,   171,
      -1,   173,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,   231,
     232,   233,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,    -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
      -1,   413,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,    -1,   424,   425,   426,   427,   428,   429,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      41,    -1,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    54,    55,    -1,    57,    58,    59,    60,
      61,    62,    63,    -1,    -1,    66,    67,    68,    69,    70,
      -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    -1,
      91,    92,    93,    94,    95,    96,    -1,    -1,    99,   100,
     101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,
     111,   112,   113,   114,   115,   116,   117,    -1,   119,    -1,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,    -1,   145,   146,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,    -1,   170,
      -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,   180,
      -1,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
      -1,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
     201,   202,   203,    -1,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,
      -1,   222,   223,   224,   225,   226,    -1,    -1,   229,   230,
      -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,    -1,   284,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,    -1,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
     411,    -1,   413,   414,   415,    -1,    -1,   418,   419,   420,
     421,   422,    -1,   424,   425,   426,   427,   428,   429,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,    -1,
     451,   452,   453,   454,    -1,    -1,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,    -1,
      -1,   482,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    -1,    99,
     100,   101,    -1,    -1,    -1,   105,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,
     220,    -1,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,    -1,   275,    -1,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,    -1,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,    -1,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,   411,    -1,   413,   414,   415,    -1,    -1,   418,   419,
     420,   421,   422,    -1,   424,   425,   426,   427,   428,   429,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,    -1,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
      -1,   451,   452,   453,   454,    -1,    -1,   457,    -1,    -1,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     500,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    41,    -1,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    54,    55,    -1,    57,    58,
      59,    60,    61,    62,    63,    -1,    -1,    66,    67,    68,
      69,    70,    -1,    72,    73,    74,    75,    76,    -1,    -1,
      -1,    80,    81,    82,    83,    84,    85,    -1,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    -1,    -1,
      99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     109,   110,   111,   112,   113,   114,   115,   116,   117,    -1,
     119,    -1,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,    -1,   145,   146,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
      -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,
     179,   180,    -1,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,    -1,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,   201,   202,   203,    -1,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,    -1,   215,    -1,   217,    -1,
      -1,   220,    -1,   222,   223,   224,   225,   226,    -1,    -1,
     229,   230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,    -1,   284,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,    -1,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,    -1,   405,    -1,   407,   408,
     409,   410,   411,    -1,   413,   414,   415,    -1,    -1,   418,
     419,   420,   421,   422,    -1,   424,   425,   426,   427,   428,
     429,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,    -1,   451,   452,   453,   454,    -1,    -1,   457,    -1,
      -1,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   500,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,    -1,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
      -1,    -1,   220,    -1,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,    -1,   284,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,    -1,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,    -1,   407,
     408,   409,   410,   411,    -1,   413,   414,   415,    -1,    -1,
     418,   419,   420,   421,   422,    -1,   424,   425,   426,   427,
     428,   429,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,    -1,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,    -1,   451,   452,   453,   454,    -1,    -1,   457,
      -1,    -1,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   500,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    41,    -1,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    54,    55,    -1,
      57,    58,    59,    60,    61,    62,    63,    -1,    -1,    66,
      67,    68,    69,    70,    -1,    72,    73,    74,    75,    76,
      -1,    -1,    -1,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   109,   110,   111,   112,   113,   114,   115,   116,
     117,    -1,   119,    -1,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,    -1,   145,   146,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,    -1,   170,    -1,    -1,    -1,   174,   175,   176,
     177,    -1,   179,   180,    -1,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,    -1,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,   201,   202,   203,    -1,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,    -1,   215,    -1,
     217,    -1,    -1,   220,    -1,   222,   223,   224,   225,   226,
      -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,    -1,   275,    -1,
     277,   278,   279,   280,   281,   282,    -1,   284,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,    -1,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,    -1,
     407,   408,   409,   410,   411,    -1,   413,   414,   415,    -1,
      -1,   418,   419,   420,   421,   422,    -1,   424,   425,   426,
     427,   428,   429,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,    -1,   451,   452,   453,   454,    -1,    -1,
     457,    -1,    -1,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   500,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,    -1,    -1,    -1,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
      -1,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,    -1,   405,
      -1,   407,   408,   409,   410,   411,    -1,   413,   414,   415,
      -1,    -1,   418,   419,   420,   421,   422,    -1,   424,   425,
     426,   427,   428,   429,   430,   431,    -1,    -1,   434,   435,
     436,   437,   438,    -1,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,    -1,   451,   452,   453,   454,    -1,
      -1,   457,    -1,    -1,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,     5,     6,    -1,    -1,    -1,    10,    11,
      -1,    -1,    -1,    -1,   500,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,    -1,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
     272,   273,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,    -1,   296,   297,   298,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,    -1,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,    -1,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,    -1,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   477,   478,   479,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     3,    -1,     5,     6,    -1,
      -1,    -1,    10,    11,    -1,    -1,    -1,    -1,    -1,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    -1,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
      -1,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,   272,   273,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,    -1,   296,   297,
     298,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,    -1,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,    -1,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,    -1,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,
     478,   479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,
      -1,    -1,    -1,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    -1,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    -1,    -1,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    -1,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,    -1,    -1,   163,
     164,   165,   166,    -1,   168,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,    -1,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
      -1,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,    -1,
     284,   285,    -1,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,    -1,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,   452,   453,
     454,   455,    -1,   457,    -1,    -1,    -1,    -1,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,
     220,    -1,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,    -1,   275,    -1,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,    -1,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,    -1,   405,    -1,   407,   408,   409,
     410,   411,    -1,   413,   414,   415,    -1,    -1,   418,   419,
     420,   421,   422,    -1,   424,   425,   426,   427,   428,   429,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,    -1,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
      -1,   451,   452,   453,   454,    -1,    -1,   457,    -1,    -1,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,    -1,    -1,    -1,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
      -1,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,    -1,   405,
      -1,   407,   408,   409,   410,   411,    -1,   413,   414,   415,
      -1,    -1,   418,   419,   420,   421,   422,    -1,   424,   425,
     426,   427,   428,   429,   430,   431,    -1,    -1,   434,   435,
     436,   437,   438,    -1,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,    -1,   451,   452,   453,   454,    -1,
      -1,   457,    -1,    -1,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   488,   489,   490,   491,   492,   493,   494,   495,
     496,     3,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,    -1,
      -1,    -1,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,    -1,
     232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,    -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,    -1,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,    -1,   407,   408,   409,   410,   411,
      -1,   413,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,    -1,   424,   425,   426,   427,   428,   429,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,    -1,   451,
     452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,    -1,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
      -1,    -1,   220,    -1,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,    -1,   284,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,    -1,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,    -1,   407,
     408,   409,   410,   411,    -1,   413,   414,   415,    -1,    -1,
     418,   419,   420,   421,   422,    -1,   424,   425,   426,   427,
     428,   429,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,    -1,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,    -1,   451,   452,   453,   454,    -1,    -1,   457,
      -1,    -1,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,    -1,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,    -1,
     284,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,    -1,   297,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,    -1,   407,   408,   409,   410,   411,    -1,   413,
     414,   415,    -1,    -1,   418,   419,   420,   421,   422,    -1,
     424,   425,   426,   427,   428,   429,   430,   431,    -1,    -1,
     434,   435,   436,   437,   438,    -1,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,   449,    -1,   451,   452,   453,
     454,    -1,    -1,   457,    -1,    -1,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,
     220,    -1,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,    -1,   275,    -1,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,    -1,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,    -1,   405,    -1,   407,   408,   409,
     410,   411,    -1,   413,   414,   415,    -1,    -1,   418,   419,
     420,   421,   422,    -1,   424,   425,   426,   427,   428,   429,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,    -1,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
      -1,   451,   452,   453,   454,    -1,    -1,   457,    -1,    -1,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,    -1,    -1,    -1,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
      -1,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,    -1,   405,
      -1,   407,   408,   409,   410,   411,    -1,   413,   414,   415,
      -1,    -1,   418,   419,   420,   421,   422,    -1,   424,   425,
     426,   427,   428,   429,   430,   431,    -1,    -1,   434,   435,
     436,   437,   438,    -1,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,    -1,   451,   452,   453,   454,    -1,
      -1,   457,    -1,    -1,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   488,   489,   490,   491,   492,   493,   494,   495,
     496,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   493,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,    -1,
      -1,    -1,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,    -1,
     232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,    -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,    -1,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,    -1,   407,   408,   409,   410,   411,
      -1,   413,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,    -1,   424,   425,   426,   427,   428,   429,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,    -1,   451,
     452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   493,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    54,
      55,    -1,    57,    58,    59,    60,    61,    62,    63,    -1,
      -1,    66,    67,    68,    69,    70,    -1,    72,    73,    74,
      75,    76,    -1,    -1,    -1,    80,    81,    82,    83,    84,
      85,    -1,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,   114,
     115,   116,   117,    -1,   119,    -1,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,    -1,
     145,   146,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,   174,
     175,   176,   177,    -1,   179,   180,    -1,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,    -1,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,    -1,
     215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,
     225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,    -1,   284,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,    -1,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,    -1,   407,   408,   409,   410,   411,    -1,   413,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,    -1,   424,
     425,   426,   427,   428,   429,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,    -1,   451,   452,   453,   454,
      -1,    -1,   457,    -1,    -1,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    47,
      48,    49,    50,    -1,    52,    53,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    -1,    -1,
      78,    -1,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      98,    99,   100,   101,    -1,    -1,    -1,   105,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
      -1,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,   171,    -1,   173,   174,   175,   176,   177,
      -1,   179,    -1,    -1,    -1,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
      -1,   229,    -1,   231,   232,   233,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,    -1,    -1,
     278,   279,   280,   281,   282,    -1,   284,   285,    -1,    -1,
     288,   289,   290,    -1,   292,   293,   294,   295,   296,   297,
     298,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,    -1,   314,    -1,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,    -1,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,    -1,   413,   414,   415,    -1,    -1,
     418,   419,    -1,   421,    -1,    -1,   424,   425,   426,   427,
     428,   429,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,    -1,    -1,   441,   442,   443,   444,   445,    -1,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,    -1,   457,
      -1,    -1,   460,   461,   462,   463,   464,   465,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,
     478,   479,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,   493,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,
      43,    44,    45,    46,    47,    48,    49,    50,    -1,    52,
      53,    54,    55,    -1,    57,    58,    59,    60,    61,    62,
      63,    -1,    -1,    66,    67,    68,    69,    70,    -1,    72,
      73,    74,    75,    -1,    -1,    78,    -1,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    -1,    98,    99,   100,   101,    -1,
      -1,    -1,   105,    -1,    -1,    -1,   109,   110,   111,   112,
     113,   114,   115,   116,   117,    -1,   119,    -1,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,    -1,   145,   146,   147,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,    -1,   170,   171,    -1,
     173,   174,   175,   176,   177,    -1,   179,    -1,    -1,    -1,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,    -1,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,    -1,   229,    -1,   231,   232,
     233,    -1,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,    -1,    -1,   278,   279,   280,   281,   282,
      -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,   292,
     293,   294,   295,   296,   297,   298,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
      -1,   314,    -1,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,    -1,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,    -1,
     413,   414,   415,    -1,    -1,   418,   419,    -1,   421,    -1,
      -1,   424,   425,   426,   427,   428,   429,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,    -1,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,   462,
     463,   464,   465,    -1,    -1,     3,    -1,     5,     6,    -1,
      -1,    -1,    -1,    11,   477,   478,   479,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
     493,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      78,    -1,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      98,    99,   100,   101,    -1,    -1,    -1,   105,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,   171,    -1,   173,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,   231,   232,   233,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,    -1,   284,   285,   286,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,    -1,   413,   414,   415,    -1,    -1,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,    -1,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,    -1,    -1,   457,
      -1,    -1,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,     3,    -1,     5,     6,    -1,    -1,    -1,    -1,
      11,    -1,    -1,   491,   492,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      41,    -1,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    -1,    57,    58,    59,    60,
      61,    62,    63,    -1,    -1,    66,    67,    68,    69,    70,
      -1,    72,    73,    74,    75,    76,    -1,    78,    -1,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    95,    96,    -1,    98,    99,   100,
     101,    -1,    -1,    -1,   105,    -1,    -1,    -1,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,    -1,   145,   146,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,    -1,   170,
     171,    -1,   173,   174,   175,   176,   177,    -1,   179,   180,
      -1,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,    -1,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,    -1,   229,   230,
     231,   232,   233,    -1,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,    -1,   284,   285,   286,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,    -1,   413,   414,   415,    -1,    -1,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     3,
      -1,     5,     6,    -1,    -1,    -1,    -1,    11,    -1,    -1,
     491,   492,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    78,    -1,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    98,    99,   100,   101,    -1,    -1,
      -1,   105,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,   171,    -1,   173,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,   231,   232,   233,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,    -1,
     284,   285,   286,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,    -1,   413,
     414,   415,    -1,    -1,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,    -1,    -1,
     434,   435,   436,   437,   438,    -1,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,    -1,    -1,   457,    -1,    -1,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,     3,    -1,     5,     6,
      -1,    -1,    -1,    -1,    11,    -1,    -1,   491,   492,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    41,    -1,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    -1,
      57,    58,    59,    60,    61,    62,    63,    -1,    -1,    66,
      67,    68,    69,    70,    -1,    72,    73,    74,    75,    76,
      -1,    78,    -1,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      -1,    98,    99,   100,   101,    -1,    -1,    -1,   105,    -1,
      -1,    -1,   109,   110,   111,   112,   113,   114,   115,   116,
     117,    -1,   119,    -1,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,    -1,   145,   146,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,    -1,   170,   171,    -1,   173,   174,   175,   176,
     177,    -1,   179,   180,    -1,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,    -1,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,    -1,   229,   230,   231,   232,   233,    -1,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,    -1,   284,   285,   286,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,    -1,   413,   414,   415,    -1,
      -1,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,    -1,    -1,
     457,    -1,    -1,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    11,    -1,    -1,   491,   492,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,    -1,   172,    -1,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,
     220,    -1,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,    -1,   275,    -1,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,    -1,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,    -1,   405,    -1,   407,   408,   409,
     410,   411,    -1,   413,   414,   415,    -1,    -1,   418,   419,
     420,   421,   422,    -1,   424,   425,   426,   427,   428,   429,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,    -1,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
      -1,   451,   452,   453,   454,    -1,    -1,   457,    -1,    -1,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
       3,    -1,     5,     6,    -1,    -1,    -1,    -1,    11,    -1,
      -1,   491,   492,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    78,    -1,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,   171,
      -1,   173,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,   231,
     232,   233,    -1,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,    -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
      -1,   413,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,    -1,   424,   425,   426,   427,   428,   429,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,     3,    -1,
       5,     6,    -1,     8,     9,    -1,    11,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    -1,    57,    58,    59,    60,    61,    62,    63,    -1,
      -1,    66,    67,    68,    69,    70,    -1,    72,    73,    74,
      75,    76,    -1,    78,    -1,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    -1,    98,    99,   100,   101,    -1,    -1,    -1,
     105,    -1,    -1,    -1,   109,   110,   111,   112,   113,   114,
     115,   116,   117,    -1,   119,    -1,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,    -1,
     145,   146,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,    -1,   170,   171,    -1,   173,   174,
     175,   176,   177,    -1,   179,   180,    -1,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,    -1,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,    -1,   229,   230,   231,   232,   233,    -1,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,    -1,   284,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,    -1,   413,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
      -1,    -1,   457,    -1,    -1,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      78,    -1,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      98,    99,   100,   101,    -1,    -1,   104,   105,    -1,    -1,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,   171,    -1,   173,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,   231,   232,   233,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,    -1,   284,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,    -1,   413,   414,   415,    -1,    -1,
     418,   419,   420,   421,   422,    -1,   424,   425,   426,   427,
     428,   429,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,    -1,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,    -1,    -1,   457,
      -1,    -1,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      41,    -1,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    -1,    57,    58,    59,    60,
      61,    62,    63,    -1,    -1,    66,    67,    68,    69,    70,
      -1,    72,    73,    74,    75,    76,    -1,    78,    -1,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    95,    96,    -1,    98,    99,   100,
     101,    -1,    -1,   104,   105,    -1,    -1,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,    -1,   119,    -1,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,    -1,   145,   146,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,    -1,   170,
     171,    -1,   173,   174,   175,   176,   177,    -1,   179,   180,
      -1,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,    -1,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,    -1,   229,   230,
     231,   232,   233,    -1,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,    -1,   284,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,    -1,   413,   414,   415,    -1,    -1,   418,   419,   420,
     421,   422,    -1,   424,   425,   426,   427,   428,   429,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    78,    -1,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    98,    99,   100,   101,    -1,    -1,
     104,   105,    -1,    -1,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,   171,    -1,   173,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,   231,   232,   233,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,    -1,
     284,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,    -1,   413,
     414,   415,    -1,    -1,   418,   419,   420,   421,   422,    -1,
     424,   425,   426,   427,   428,   429,   430,   431,    -1,    -1,
     434,   435,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,    -1,    -1,   457,    -1,    -1,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    41,    -1,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    -1,
      57,    58,    59,    60,    61,    62,    63,    -1,    -1,    66,
      67,    68,    69,    70,    -1,    72,    73,    74,    75,    76,
      -1,    78,    -1,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      -1,    98,    99,   100,   101,    -1,    -1,   104,   105,    -1,
      -1,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,    -1,   119,    -1,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,    -1,   145,   146,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,    -1,   170,   171,    -1,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,    -1,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,    -1,   229,   230,   231,   232,   233,    -1,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,    -1,   284,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,    -1,   413,   414,   415,    -1,
      -1,   418,   419,   420,   421,   422,    -1,   424,   425,   426,
     427,   428,   429,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,    -1,    -1,
     457,    -1,    -1,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,     3,    -1,    -1,     6,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    78,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    98,    99,
     100,   101,    -1,    -1,    -1,   105,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,   231,   232,   233,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,   286,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,    -1,   413,   414,   415,    -1,    -1,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,    -1,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,    -1,    -1,   457,    -1,    -1,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    -1,    57,    58,    59,    60,    61,    62,
      63,    -1,    -1,    66,    67,    68,    69,    70,    -1,    72,
      73,    74,    75,    76,    -1,    78,    -1,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    -1,    98,    99,   100,   101,    -1,
      -1,   104,   105,    -1,    -1,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,    -1,   119,    -1,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,    -1,   145,   146,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,    -1,   170,   171,    -1,
     173,   174,   175,   176,   177,    -1,   179,   180,    -1,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,    -1,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,    -1,   229,   230,   231,   232,
     233,    -1,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
      -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,    -1,
     413,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
      -1,   424,   425,   426,   427,   428,   429,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    78,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    98,    99,   100,   101,    -1,    -1,   104,   105,
      -1,    -1,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,   231,   232,   233,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,    -1,   413,   414,   415,
      -1,    -1,   418,   419,   420,   421,   422,    -1,   424,   425,
     426,   427,   428,   429,   430,   431,    -1,    -1,   434,   435,
     436,   437,   438,    -1,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,    -1,
      -1,   457,    -1,    -1,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    41,    -1,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    -1,    57,    58,
      59,    60,    61,    62,    63,    -1,    -1,    66,    67,    68,
      69,    70,    -1,    72,    73,    74,    75,    76,    -1,    78,
      -1,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    -1,    98,
      99,   100,   101,    -1,    -1,   104,   105,    -1,    -1,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,    -1,
     119,    -1,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,    -1,   145,   146,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
      -1,   170,   171,    -1,   173,   174,   175,   176,   177,    -1,
     179,   180,    -1,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,    -1,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,    -1,
     229,   230,   231,   232,   233,    -1,   235,   236,   237,    -1,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,    -1,   284,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,    -1,   413,   414,   415,    -1,    -1,   418,
     419,   420,   421,   422,    -1,   424,   425,   426,   427,   428,
     429,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,    -1,    -1,   457,    -1,
      -1,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    78,    -1,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    98,    99,   100,   101,
      -1,    -1,   104,   105,    -1,    -1,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,   171,
      -1,   173,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,   231,
     232,   233,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,    -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
      -1,   413,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,    -1,   424,   425,   426,   427,   428,   429,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    -1,    57,    58,    59,    60,    61,    62,    63,    -1,
      -1,    66,    67,    68,    69,    70,    -1,    72,    73,    74,
      75,    76,    -1,    78,    -1,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    -1,    98,    99,   100,   101,    -1,    -1,   104,
     105,    -1,    -1,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,    -1,   119,    -1,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,    -1,
     145,   146,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,    -1,   170,   171,    -1,   173,   174,
     175,   176,   177,    -1,   179,   180,    -1,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,    -1,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,    -1,   229,   230,   231,   232,   233,    -1,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,    -1,   284,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,    -1,   413,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,    -1,   424,
     425,   426,   427,   428,   429,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
      -1,    -1,   457,    -1,    -1,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    32,    33,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      78,    -1,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      98,    99,   100,   101,    -1,    -1,    -1,   105,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,   171,    -1,   173,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,   231,   232,   233,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,    -1,   284,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,    -1,   413,   414,   415,    -1,    -1,
     418,   419,   420,   421,   422,    -1,   424,   425,   426,   427,
     428,   429,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,    -1,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,    -1,    -1,   457,
      -1,    -1,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,     3,    -1,    -1,     6,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      41,    -1,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    -1,    57,    58,    59,    60,
      61,    62,    63,    -1,    -1,    66,    67,    68,    69,    70,
      -1,    72,    73,    74,    75,    76,    -1,    78,    -1,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    95,    96,    -1,    98,    99,   100,
     101,    -1,    -1,    -1,   105,    -1,    -1,    -1,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,    -1,   145,   146,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,    -1,   170,
     171,    -1,   173,   174,   175,   176,   177,    -1,   179,   180,
      -1,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,    -1,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,    -1,   229,   230,
     231,   232,   233,    -1,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,    -1,   284,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,    -1,   413,   414,   415,    -1,    -1,   418,   419,   420,
     421,   422,    -1,   424,   425,   426,   427,   428,   429,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     3,
      -1,    -1,     6,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    78,    -1,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    98,    99,   100,   101,    -1,    -1,
      -1,   105,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,   171,    -1,   173,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,   231,   232,   233,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,    -1,
     284,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,    -1,   413,
     414,   415,    -1,    -1,   418,   419,   420,   421,   422,    -1,
     424,   425,   426,   427,   428,   429,   430,   431,    -1,    -1,
     434,   435,   436,   437,   438,    -1,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,    -1,    -1,   457,    -1,    -1,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    41,    -1,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    -1,
      57,    58,    59,    60,    61,    62,    63,    -1,    -1,    66,
      67,    68,    69,    70,    -1,    72,    73,    74,    75,    76,
      -1,    78,    -1,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      -1,    98,    99,   100,   101,    -1,    -1,    -1,   105,    -1,
      -1,    -1,   109,   110,   111,   112,   113,   114,   115,   116,
     117,    -1,   119,    -1,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,    -1,   145,   146,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,    -1,   170,   171,    -1,   173,   174,   175,   176,
     177,    -1,   179,   180,    -1,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,    -1,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,    -1,   229,   230,   231,   232,   233,    -1,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,    -1,   284,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,    -1,   413,   414,   415,    -1,
      -1,   418,   419,   420,   421,   422,    -1,   424,   425,   426,
     427,   428,   429,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,    -1,    -1,
     457,    -1,    -1,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    78,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    98,    99,
     100,   101,    -1,    -1,    -1,   105,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,   231,   232,   233,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,    -1,   413,   414,   415,    -1,    -1,   418,   419,
     420,   421,   422,    -1,   424,   425,   426,   427,   428,   429,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,    -1,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,    -1,    -1,   457,    -1,    -1,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    -1,    57,    58,    59,    60,    61,    62,
      63,    -1,    -1,    66,    67,    68,    69,    70,    -1,    72,
      73,    74,    75,    76,    -1,    78,    -1,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    -1,    98,    99,   100,   101,    -1,
      -1,    -1,   105,    -1,    -1,    -1,   109,   110,   111,   112,
     113,   114,   115,   116,   117,    -1,   119,    -1,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,    -1,   145,   146,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,    -1,   170,   171,    -1,
     173,   174,   175,   176,   177,    -1,   179,   180,    -1,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,    -1,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,    -1,   229,   230,   231,   232,
     233,    -1,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
      -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,    -1,
     413,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
      -1,   424,   425,   426,   427,   428,   429,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    78,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    98,    99,   100,   101,    -1,    -1,    -1,   105,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,   231,   232,   233,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,    -1,   413,   414,   415,
      -1,    -1,   418,   419,   420,   421,   422,    -1,   424,   425,
     426,   427,   428,   429,   430,   431,    -1,    -1,   434,   435,
     436,   437,   438,    -1,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,    -1,
      -1,   457,    -1,    -1,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    41,    -1,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    -1,    57,    58,
      59,    60,    61,    62,    63,    -1,    -1,    66,    67,    68,
      69,    70,    -1,    72,    73,    74,    75,    76,    -1,    78,
      -1,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    -1,    98,
      99,   100,   101,    -1,    -1,    -1,   105,    -1,    -1,    -1,
     109,   110,   111,   112,   113,   114,   115,   116,   117,    -1,
     119,    -1,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,    -1,   145,   146,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
      -1,   170,   171,    -1,   173,   174,   175,   176,   177,    -1,
     179,   180,    -1,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,    -1,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,    -1,
     229,   230,   231,   232,   233,    -1,   235,   236,   237,    -1,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,    -1,   284,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,    -1,   413,   414,   415,    -1,    -1,   418,
     419,   420,   421,   422,    -1,   424,   425,   426,   427,   428,
     429,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,    -1,    -1,   457,    -1,
      -1,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    78,    -1,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    98,    99,   100,   101,
      -1,    -1,    -1,   105,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,   171,
      -1,   173,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,   231,
     232,   233,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,    -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
      -1,   413,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,    -1,   424,   425,   426,   427,   428,   429,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    54,
      55,    -1,    57,    58,    59,    60,    61,    62,    63,    -1,
      -1,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    -1,    -1,    79,    80,    81,    82,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,   114,
     115,   116,   117,    -1,   119,    -1,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,    -1,
     145,   146,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,    -1,    -1,   174,
     175,   176,   177,    -1,   179,   180,    -1,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,    -1,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,    -1,
     215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,
     225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,    -1,   284,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,    -1,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,    -1,   407,   408,   409,   410,   411,    -1,   413,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,    -1,   424,
     425,   426,   427,   428,   429,   430,   431,    -1,   433,   434,
     435,   436,   437,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,    -1,   451,   452,   453,   454,
      -1,    -1,   457,    -1,    -1,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    -1,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,    -1,    -1,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,    -1,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
      -1,    -1,   220,    -1,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,    -1,   232,   233,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,    -1,   284,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,    -1,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,    -1,   407,
     408,   409,   410,   411,    -1,   413,   414,   415,    -1,    -1,
     418,   419,   420,   421,   422,    -1,   424,   425,   426,   427,
     428,   429,   430,   431,    -1,   433,   434,   435,   436,   437,
     438,    -1,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,    -1,   451,   452,   453,   454,    -1,    -1,   457,
      -1,    -1,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      41,    -1,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    54,    55,    -1,    57,    58,    59,    60,
      61,    62,    63,    -1,    -1,    66,    67,    68,    69,    70,
      -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    -1,
      91,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,
     111,   112,   113,   114,   115,   116,   117,    -1,   119,    -1,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,    -1,   145,   146,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,    -1,   170,
      -1,    -1,    -1,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
      -1,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
     201,   202,   203,    -1,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,
      -1,   222,   223,   224,   225,   226,    -1,    -1,   229,   230,
      -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,    -1,   284,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,    -1,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,    -1,   407,   408,   409,   410,
     411,    -1,   413,   414,   415,    -1,    -1,   418,   419,   420,
     421,   422,    -1,   424,   425,   426,   427,   428,   429,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,    -1,
     451,   452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,    -1,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,    -1,
     284,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,    -1,   297,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,    -1,   407,   408,   409,   410,   411,    -1,   413,
     414,   415,    -1,    -1,   418,   419,   420,   421,   422,    -1,
     424,   425,   426,   427,   428,   429,   430,   431,    -1,    -1,
     434,   435,   436,   437,   438,    -1,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,   449,    -1,   451,   452,   453,
     454,    -1,    -1,   457,    -1,    -1,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    41,    -1,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    54,    55,    -1,
      57,    58,    59,    60,    61,    62,    63,    -1,    -1,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      -1,    -1,    -1,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   109,   110,   111,   112,   113,   114,   115,   116,
     117,    -1,   119,    -1,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,    -1,   145,   146,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,   169,   170,    -1,    -1,    -1,   174,   175,   176,
     177,    -1,   179,   180,    -1,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,    -1,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,   201,   202,   203,    -1,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,    -1,   215,    -1,
     217,    -1,    -1,   220,    -1,   222,   223,   224,   225,   226,
      -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,    -1,   275,    -1,
     277,   278,   279,   280,   281,   282,    -1,   284,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,    -1,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,    -1,
     407,   408,   409,   410,   411,    -1,   413,   414,   415,    -1,
      -1,   418,   419,   420,   421,   422,    -1,   424,   425,   426,
     427,   428,   429,   430,   431,    -1,   433,   434,   435,   436,
     437,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,    -1,   451,   452,   453,   454,    -1,    -1,
     457,    -1,    -1,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,
     220,    -1,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,    -1,   275,    -1,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,    -1,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,    -1,   405,    -1,   407,   408,   409,
     410,   411,    -1,   413,   414,   415,    -1,    -1,   418,   419,
     420,   421,   422,    -1,   424,   425,   426,   427,   428,   429,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,    -1,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
      -1,   451,   452,   453,   454,    -1,    -1,   457,    -1,    -1,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    54,    55,    -1,    57,    58,    59,    60,    61,    62,
      63,    -1,    -1,    66,    67,    68,    69,    70,    -1,    72,
      73,    74,    75,    76,    -1,    -1,    -1,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    -1,    -1,    99,   100,   101,    -1,
      -1,    -1,   105,    -1,    -1,    -1,   109,   110,   111,   112,
     113,   114,   115,   116,   117,    -1,   119,    -1,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,    -1,   145,   146,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,
      -1,   174,   175,   176,   177,    -1,   179,   180,    -1,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,    -1,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,
     223,   224,   225,   226,    -1,    -1,   229,   230,    -1,   232,
      -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,    -1,   275,    -1,   277,   278,   279,   280,   281,   282,
      -1,   284,   285,    -1,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,    -1,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,   411,    -1,
     413,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
      -1,   424,   425,   426,   427,   428,   429,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,    -1,   451,   452,
     453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,    -1,    -1,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
      -1,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,   411,    -1,   413,   414,   415,
      -1,    -1,   418,   419,   420,   421,   422,    -1,   424,   425,
     426,   427,   428,   429,   430,   431,    -1,    -1,   434,   435,
     436,   437,   438,    -1,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,    -1,   451,   452,   453,   454,    -1,
      -1,   457,    -1,    -1,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    41,    -1,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    54,    55,    -1,    57,    58,
      59,    60,    61,    62,    63,    -1,    -1,    66,    67,    68,
      69,    70,    -1,    72,    73,    74,    75,    76,    -1,    -1,
      -1,    80,    81,    82,    83,    84,    85,    -1,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     109,   110,   111,   112,   113,   114,   115,   116,   117,    -1,
     119,    -1,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,    -1,   145,   146,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
      -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,
     179,   180,    -1,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,    -1,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,   201,   202,   203,    -1,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,    -1,   215,    -1,   217,    -1,
      -1,   220,    -1,   222,   223,   224,   225,   226,    -1,    -1,
     229,   230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,    -1,   284,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,    -1,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,    -1,   405,    -1,   407,   408,
     409,   410,   411,    -1,   413,   414,   415,    -1,    -1,   418,
     419,   420,   421,   422,    -1,   424,   425,   426,   427,   428,
     429,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,    -1,   451,   452,   453,   454,    -1,    -1,   457,    -1,
      -1,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    -1,    99,   100,   101,
      -1,    -1,    -1,   105,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,    -1,
      -1,    -1,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,    -1,
     232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,    -1,   284,   285,    -1,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,    -1,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,   411,
      -1,   413,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,    -1,   424,   425,   426,   427,   428,   429,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,    -1,   451,
     452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    54,
      55,    -1,    57,    58,    59,    60,    61,    62,    63,    -1,
      -1,    66,    67,    68,    69,    70,    -1,    72,    73,    74,
      75,    76,    -1,    -1,    -1,    80,    81,    82,    83,    84,
      85,    -1,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,   114,
     115,   116,   117,    -1,   119,    -1,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,    -1,
     145,   146,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,   174,
     175,   176,   177,    -1,   179,   180,    -1,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,    -1,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,    -1,
     215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,
     225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,    -1,   284,
     285,    -1,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,    -1,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,    -1,   407,   408,   409,   410,   411,    -1,   413,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,    -1,   424,
     425,   426,   427,   428,   429,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,    -1,   451,   452,   453,   454,
      -1,    -1,   457,    -1,    -1,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,    -1,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
      -1,    -1,   220,    -1,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,    -1,   284,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,    -1,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,    -1,   407,
     408,   409,   410,   411,    -1,   413,   414,   415,    -1,    -1,
     418,   419,   420,   421,   422,    -1,   424,   425,   426,   427,
     428,   429,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,    -1,   451,   452,   453,   454,    -1,    -1,   457,
      -1,    -1,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      41,    -1,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    54,    55,    -1,    57,    58,    59,    60,
      61,    62,    63,    -1,    -1,    66,    67,    68,    69,    70,
      -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    -1,
      91,    92,    93,    94,    95,    96,    -1,    -1,    99,   100,
     101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,
     111,   112,   113,   114,   115,   116,   117,    -1,   119,    -1,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,    -1,   145,   146,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,    -1,   170,
      -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,   180,
      -1,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
      -1,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
     201,   202,   203,    -1,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,
      -1,   222,   223,   224,   225,   226,    -1,    -1,   229,   230,
      -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,    -1,   284,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,    -1,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,    -1,   407,   408,   409,   410,
     411,    -1,   413,   414,   415,    -1,    -1,   418,   419,   420,
     421,   422,    -1,   424,   425,   426,   427,   428,   429,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,    -1,
     451,   452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,    -1,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,    -1,
     284,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,    -1,   297,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,    -1,   407,   408,   409,   410,   411,    -1,   413,
     414,   415,    -1,    -1,   418,   419,   420,   421,   422,    -1,
     424,   425,   426,   427,   428,   429,   430,   431,    -1,    -1,
     434,   435,   436,   437,   438,    -1,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,   449,    -1,   451,   452,   453,
     454,    -1,    -1,   457,    -1,    -1,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    41,    -1,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    54,    55,    -1,
      57,    58,    59,    60,    61,    62,    63,    -1,    -1,    66,
      67,    68,    69,    70,    -1,    72,    73,    74,    75,    76,
      -1,    -1,    -1,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   109,   110,   111,   112,   113,   114,   115,   116,
     117,    -1,   119,    -1,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,    -1,   145,   146,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,    -1,   170,    -1,    -1,    -1,   174,   175,   176,
     177,    -1,   179,   180,    -1,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,    -1,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,   201,   202,   203,    -1,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,    -1,   215,    -1,
     217,    -1,    -1,   220,    -1,   222,   223,   224,   225,   226,
      -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,    -1,   275,    -1,
     277,   278,   279,   280,   281,   282,    -1,   284,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,    -1,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,    -1,
     407,   408,   409,   410,   411,    -1,   413,   414,   415,    -1,
      -1,   418,   419,   420,   421,   422,    -1,   424,   425,   426,
     427,   428,   429,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,    -1,   451,   452,   453,   454,    -1,    -1,
     457,    -1,    -1,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,
     220,    -1,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,    -1,   275,    -1,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,    -1,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,    -1,   405,    -1,   407,   408,   409,
     410,   411,    -1,   413,   414,   415,    -1,    -1,   418,   419,
     420,   421,   422,    -1,   424,   425,   426,   427,   428,   429,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,    -1,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
      -1,   451,   452,   453,   454,    -1,    -1,   457,    -1,    -1,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    54,    55,    -1,    57,    58,    59,    60,    61,    62,
      63,    -1,    -1,    66,    67,    68,    69,    70,    -1,    72,
      73,    74,    75,    76,    -1,    -1,    -1,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    -1,    -1,    99,   100,   101,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,
     113,   114,   115,   116,   117,    -1,   119,    -1,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,    -1,   145,   146,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,
      -1,   174,   175,   176,   177,    -1,   179,   180,    -1,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,    -1,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,
     223,   224,   225,   226,    -1,    -1,   229,   230,    -1,   232,
      -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,    -1,   275,    -1,   277,   278,   279,   280,   281,   282,
      -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,    -1,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,    -1,   407,   408,   409,   410,   411,    -1,
     413,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
      -1,   424,   425,   426,   427,   428,   429,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,    -1,   451,   452,
     453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,    -1,    -1,    -1,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
      -1,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
      -1,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,    -1,   405,
      -1,   407,   408,   409,   410,   411,    -1,   413,   414,   415,
      -1,    -1,   418,   419,   420,   421,   422,    -1,   424,   425,
     426,   427,   428,   429,   430,   431,    -1,    -1,   434,   435,
     436,   437,   438,    -1,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,    -1,   451,   452,   453,   454,    -1,
      -1,   457,    -1,    -1,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    41,    -1,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    54,    55,    -1,    57,    58,
      59,    60,    61,    62,    63,    -1,    -1,    66,    67,    68,
      69,    70,    -1,    72,    73,    74,    75,    76,    -1,    -1,
      -1,    80,    81,    82,    83,    84,    85,    -1,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    -1,    -1,
      99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     109,   110,   111,   112,   113,   114,   115,   116,   117,    -1,
     119,    -1,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,    -1,   145,   146,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
      -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,
     179,   180,    -1,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,    -1,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,   201,   202,   203,    -1,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,    -1,   215,    -1,   217,    -1,
      -1,   220,    -1,   222,   223,   224,   225,   226,    -1,    -1,
     229,   230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,    -1,   284,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,    -1,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,    -1,   405,    -1,   407,   408,
     409,   410,   411,    -1,   413,   414,   415,    -1,    -1,   418,
     419,   420,   421,   422,    -1,   424,   425,   426,   427,   428,
     429,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,    -1,   451,   452,   453,   454,    -1,    -1,   457,    -1,
      -1,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,    -1,
      -1,    -1,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,    -1,
     232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,    -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,    -1,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,    -1,   407,   408,   409,   410,   411,
      -1,   413,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,    -1,   424,   425,   426,   427,   428,   429,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,    -1,   451,
     452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    54,
      55,    -1,    57,    58,    59,    60,    61,    62,    63,    -1,
      -1,    66,    67,    68,    69,    70,    -1,    72,    73,    74,
      75,    76,    -1,    -1,    -1,    80,    81,    82,    83,    84,
      85,    -1,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,   114,
     115,   116,   117,    -1,   119,    -1,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,    -1,
     145,   146,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,   174,
     175,   176,   177,    -1,   179,   180,    -1,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,    -1,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,    -1,
     215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,
     225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,    -1,   284,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,    -1,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,    -1,   407,   408,   409,   410,   411,    -1,   413,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,    -1,   424,
     425,   426,   427,   428,   429,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,    -1,   451,   452,   453,   454,
      -1,    -1,   457,    -1,    -1,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,    -1,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
      -1,    -1,   220,    -1,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,    -1,   284,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,    -1,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,    -1,   407,
     408,   409,   410,   411,    -1,   413,   414,   415,    -1,    -1,
     418,   419,   420,   421,   422,    -1,   424,   425,   426,   427,
     428,   429,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,    -1,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,    -1,   451,   452,   453,   454,    -1,    -1,   457,
      -1,    -1,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      41,    -1,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    -1,    54,    55,    -1,    57,    58,    59,    60,
      61,    62,    63,    -1,    -1,    66,    67,    68,    69,    70,
      -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    -1,
      91,    92,    93,    94,    95,    96,    -1,    -1,    99,   100,
     101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,
     111,   112,   113,   114,   115,   116,   117,    -1,   119,    -1,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,    -1,   145,   146,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,    -1,   170,
      -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,   180,
      -1,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
      -1,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
     201,   202,   203,    -1,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,
      -1,   222,   223,   224,   225,   226,    -1,    -1,   229,   230,
      -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,    -1,   284,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,    -1,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,    -1,   407,   408,   409,   410,
     411,    -1,   413,   414,   415,    -1,    -1,   418,   419,   420,
     421,   422,    -1,   424,   425,   426,   427,   428,   429,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,    -1,
     451,   452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,    -1,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,    -1,
     284,   285,    -1,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,    -1,   297,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,    -1,   407,   408,   409,   410,   411,    -1,   413,
     414,   415,    -1,    -1,   418,   419,   420,   421,   422,    -1,
     424,   425,   426,   427,   428,   429,   430,   431,    -1,    -1,
     434,   435,   436,   437,   438,    -1,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,   449,    -1,   451,   452,   453,
     454,    -1,    -1,   457,    -1,    -1,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    41,    -1,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    54,    55,    -1,
      57,    58,    59,    60,    61,    62,    63,    -1,    -1,    66,
      67,    68,    69,    70,    -1,    72,    73,    74,    75,    76,
      -1,    -1,    -1,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   109,   110,   111,   112,   113,   114,   115,   116,
     117,    -1,   119,    -1,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,    -1,   145,   146,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,    -1,   170,    -1,    -1,    -1,   174,   175,   176,
     177,    -1,   179,   180,    -1,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,    -1,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,   201,   202,   203,    -1,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,    -1,   215,    -1,
     217,    -1,    -1,   220,    -1,   222,   223,   224,   225,   226,
      -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,    -1,   275,    -1,
     277,   278,   279,   280,   281,   282,    -1,   284,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,    -1,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,    -1,
     407,   408,   409,   410,   411,    -1,   413,   414,   415,    -1,
      -1,   418,   419,   420,   421,   422,    -1,   424,   425,   426,
     427,   428,   429,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,    -1,   451,   452,   453,   454,    -1,    -1,
     457,    -1,    -1,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,
     220,    -1,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,    -1,   275,    -1,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,    -1,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,    -1,   405,    -1,   407,   408,   409,
     410,   411,    -1,   413,   414,   415,    -1,    -1,   418,   419,
     420,   421,   422,    -1,   424,   425,   426,   427,   428,   429,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,    -1,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
      -1,   451,   452,   453,   454,    -1,    -1,   457,    -1,    -1,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    54,    55,    -1,    57,    58,    59,    60,    61,    62,
      63,    -1,    -1,    66,    67,    68,    69,    70,    -1,    72,
      73,    74,    75,    76,    -1,    -1,    -1,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    -1,    -1,    99,   100,   101,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,
     113,   114,   115,   116,   117,    -1,   119,    -1,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,    -1,   145,   146,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,
      -1,   174,   175,   176,   177,    -1,   179,   180,    -1,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,    -1,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,
     223,   224,   225,   226,    -1,    -1,   229,   230,    -1,   232,
      -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,    -1,   275,    -1,   277,   278,   279,   280,   281,   282,
      -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,    -1,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,   411,    -1,
     413,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
      -1,   424,   425,   426,   427,   428,   429,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,    -1,   451,   452,
     453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,     3,    -1,    -1,
       6,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,    -1,    -1,    -1,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
      -1,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,    -1,   405,
      -1,   407,   408,   409,   410,   411,    -1,   413,   414,   415,
      -1,    -1,   418,   419,   420,   421,   422,    -1,   424,   425,
     426,   427,   428,   429,   430,   431,    -1,    -1,   434,   435,
     436,   437,   438,    -1,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,    -1,   451,   452,   453,   454,    -1,
      -1,   457,    -1,    -1,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    41,    -1,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    54,    55,    -1,    57,    58,
      59,    60,    61,    62,    63,    -1,    -1,    66,    67,    68,
      69,    70,    -1,    72,    73,    74,    75,    76,    -1,    -1,
      -1,    80,    81,    82,    83,    84,    85,    -1,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    -1,    -1,
      99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     109,   110,   111,   112,   113,   114,   115,   116,   117,    -1,
     119,    -1,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,    -1,   145,   146,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
      -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,
     179,   180,    -1,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,    -1,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,   201,   202,   203,    -1,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,    -1,   215,    -1,   217,    -1,
      -1,   220,    -1,   222,   223,   224,   225,   226,    -1,    -1,
     229,   230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,    -1,   284,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,    -1,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,    -1,   405,    -1,   407,   408,
     409,   410,   411,    -1,   413,   414,   415,    -1,    -1,   418,
     419,   420,   421,   422,    -1,   424,   425,   426,   427,   428,
     429,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,    -1,   451,   452,   453,   454,    -1,    -1,   457,    -1,
      -1,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    37,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,    -1,
      -1,    -1,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,    -1,
     232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,    -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,    -1,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,    -1,   407,   408,   409,   410,   411,
      -1,   413,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,    -1,   424,   425,   426,   427,   428,   429,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,    -1,   451,
     452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    37,    -1,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    54,
      55,    -1,    57,    58,    59,    60,    61,    62,    63,    -1,
      -1,    66,    67,    68,    69,    70,    -1,    72,    73,    74,
      75,    76,    -1,    -1,    -1,    80,    81,    82,    83,    84,
      85,    -1,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,   114,
     115,   116,   117,    -1,   119,    -1,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,    -1,
     145,   146,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,   174,
     175,   176,   177,    -1,   179,   180,    -1,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,    -1,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,    -1,
     215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,
     225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,    -1,   284,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,    -1,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,    -1,   407,   408,   409,   410,   411,    -1,   413,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,    -1,   424,
     425,   426,   427,   428,   429,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,    -1,   451,   452,   453,   454,
      -1,    -1,   457,    -1,    -1,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,    -1,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
      -1,    -1,   220,    -1,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,    -1,   284,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,    -1,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,    -1,   407,
     408,   409,   410,   411,    -1,   413,   414,   415,    -1,    -1,
     418,   419,   420,   421,   422,    -1,   424,   425,   426,   427,
     428,   429,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,    -1,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,    -1,   451,   452,   453,   454,    -1,    -1,   457,
      -1,    -1,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      41,    -1,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    54,    55,    -1,    57,    58,    59,    60,
      61,    62,    63,    -1,    -1,    66,    67,    68,    69,    70,
      -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    -1,
      91,    92,    93,    94,    95,    96,    -1,    -1,    99,   100,
     101,    -1,    -1,    -1,   105,    -1,    -1,    -1,   109,   110,
     111,   112,   113,   114,   115,   116,   117,    -1,   119,    -1,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,    -1,   145,   146,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,    -1,   170,
      -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,   180,
      -1,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
      -1,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
     201,   202,   203,    -1,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,
      -1,   222,   223,   224,   225,   226,    -1,    -1,   229,   230,
      -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,    -1,   284,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,    -1,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,    -1,   407,   408,   409,   410,
     411,    -1,   413,   414,   415,    -1,    -1,   418,   419,   420,
     421,   422,    -1,   424,   425,   426,   427,   428,   429,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,    -1,
     451,   452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,    -1,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,    -1,
     284,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,    -1,   297,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,    -1,   407,   408,   409,   410,   411,    -1,   413,
     414,   415,    -1,    -1,   418,   419,   420,   421,   422,    -1,
     424,   425,   426,   427,   428,   429,   430,   431,    -1,    -1,
     434,   435,   436,   437,   438,    -1,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,   449,    -1,   451,   452,   453,
     454,    -1,    -1,   457,    -1,    -1,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    41,    -1,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    54,    55,    -1,
      57,    58,    59,    60,    61,    62,    63,    -1,    -1,    66,
      67,    68,    69,    70,    -1,    72,    73,    74,    75,    76,
      -1,    -1,    -1,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   109,   110,   111,   112,   113,   114,   115,   116,
     117,    -1,   119,    -1,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,    -1,   145,   146,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,    -1,   170,    -1,    -1,    -1,   174,   175,   176,
     177,    -1,   179,   180,    -1,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,    -1,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,   201,   202,   203,    -1,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,    -1,   215,    -1,
     217,    -1,    -1,   220,    -1,   222,   223,   224,   225,   226,
      -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,    -1,   275,    -1,
     277,   278,   279,   280,   281,   282,    -1,   284,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,    -1,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,    -1,
     407,   408,   409,   410,   411,    -1,   413,   414,   415,    -1,
      -1,   418,   419,   420,   421,   422,    -1,   424,   425,   426,
     427,   428,   429,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,    -1,   451,   452,   453,   454,    -1,    -1,
     457,    -1,    -1,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,
     220,    -1,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,    -1,   275,    -1,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,    -1,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,    -1,   405,    -1,   407,   408,   409,
     410,   411,    -1,   413,   414,   415,    -1,    -1,   418,   419,
     420,   421,   422,    -1,   424,   425,   426,   427,   428,   429,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,    -1,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
      -1,   451,   452,   453,   454,    -1,    -1,   457,    -1,    -1,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    54,    55,    -1,    57,    58,    59,    60,    61,    62,
      63,    -1,    -1,    66,    67,    68,    69,    70,    -1,    72,
      73,    74,    75,    76,    -1,    -1,    -1,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    -1,    -1,    99,   100,   101,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,
     113,   114,   115,   116,   117,    -1,   119,    -1,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,    -1,   145,   146,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,
      -1,   174,   175,   176,   177,    -1,   179,   180,    -1,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,    -1,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,
     223,   224,   225,   226,    -1,    -1,   229,   230,    -1,   232,
      -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,    -1,   275,    -1,   277,   278,   279,   280,   281,   282,
      -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,    -1,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,    -1,   407,   408,   409,   410,   411,    -1,
     413,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
      -1,   424,   425,   426,   427,   428,   429,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,    -1,   451,   452,
     453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,    -1,    -1,    -1,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
      -1,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,    -1,   405,
      -1,   407,   408,   409,   410,   411,    -1,   413,   414,   415,
      -1,    -1,   418,   419,   420,   421,   422,    -1,   424,   425,
     426,   427,   428,   429,   430,   431,    -1,    -1,   434,   435,
     436,   437,   438,    -1,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,    -1,   451,   452,   453,   454,    -1,
      -1,   457,    -1,    -1,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    41,    -1,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    54,    55,    -1,    57,    58,
      59,    60,    61,    62,    63,    -1,    -1,    66,    67,    68,
      69,    70,    -1,    72,    73,    74,    75,    76,    -1,    -1,
      -1,    80,    81,    82,    83,    84,    85,    -1,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    -1,    -1,
      99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     109,   110,   111,   112,   113,   114,   115,   116,   117,    -1,
     119,    -1,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,    -1,   145,   146,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
      -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,
     179,   180,    -1,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,    -1,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,   201,   202,   203,    -1,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,    -1,   215,    -1,   217,    -1,
      -1,   220,    -1,   222,   223,   224,   225,   226,    -1,    -1,
     229,   230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,    -1,   284,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,    -1,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,    -1,   405,    -1,   407,   408,
     409,   410,   411,    -1,   413,   414,   415,    -1,    -1,   418,
     419,   420,   421,   422,    -1,   424,   425,   426,   427,   428,
     429,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,    -1,   451,   452,   453,   454,    -1,    -1,   457,    -1,
      -1,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,    -1,
      -1,    -1,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,    -1,
     232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,    -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,    -1,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,    -1,   407,   408,   409,   410,   411,
      -1,   413,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,    -1,   424,   425,   426,   427,   428,   429,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,    -1,   451,
     452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    54,
      55,    -1,    57,    58,    59,    60,    61,    62,    63,    -1,
      -1,    66,    67,    68,    69,    70,    -1,    72,    73,    74,
      75,    76,    -1,    -1,    -1,    80,    81,    82,    83,    84,
      85,    -1,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,   114,
     115,   116,   117,    -1,   119,    -1,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,    -1,
     145,   146,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,   174,
     175,   176,   177,    -1,   179,   180,    -1,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,    -1,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,    -1,
     215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,
     225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,    -1,   284,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,    -1,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,    -1,   407,   408,   409,   410,   411,    -1,   413,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,    -1,   424,
     425,   426,   427,   428,   429,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,    -1,   451,   452,   453,   454,
      -1,    -1,   457,    -1,    -1,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,    -1,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
      -1,    -1,   220,    -1,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,    -1,   284,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,    -1,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,    -1,   407,
     408,   409,   410,   411,    -1,   413,   414,   415,    -1,    -1,
     418,   419,   420,   421,   422,    -1,   424,   425,   426,   427,
     428,   429,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,    -1,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,    -1,   451,   452,   453,   454,    -1,    -1,   457,
      -1,    -1,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      41,    -1,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    54,    55,    -1,    57,    58,    59,    60,
      61,    62,    63,    -1,    -1,    66,    67,    68,    69,    70,
      -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    -1,
      91,    92,    93,    94,    95,    96,    -1,    -1,    99,   100,
     101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,
     111,   112,   113,   114,   115,   116,   117,    -1,   119,    -1,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,    -1,   145,   146,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,    -1,   170,
      -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,   180,
      -1,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
      -1,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
     201,   202,   203,    -1,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,
      -1,   222,   223,   224,   225,   226,    -1,    -1,   229,   230,
      -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,    -1,   284,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,    -1,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,    -1,   407,   408,   409,   410,
     411,    -1,   413,   414,   415,    -1,    -1,   418,   419,   420,
     421,   422,    -1,   424,   425,   426,   427,   428,   429,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,    -1,
     451,   452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,    -1,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,    -1,
     284,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,    -1,   297,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,    -1,   407,   408,   409,   410,   411,    -1,   413,
     414,   415,    -1,    -1,   418,   419,   420,   421,   422,    -1,
     424,   425,   426,   427,   428,   429,   430,   431,    -1,    -1,
     434,   435,   436,   437,   438,    -1,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,   449,    -1,   451,   452,   453,
     454,    -1,    -1,   457,    -1,    -1,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    41,    -1,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    54,    55,    -1,
      57,    58,    59,    60,    61,    62,    63,    -1,    -1,    66,
      67,    68,    69,    70,    -1,    72,    73,    74,    75,    76,
      -1,    -1,    -1,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   109,   110,   111,   112,   113,   114,   115,   116,
     117,    -1,   119,    -1,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,    -1,   145,   146,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,    -1,   170,    -1,    -1,    -1,   174,   175,   176,
     177,    -1,   179,   180,    -1,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,    -1,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,   201,   202,   203,    -1,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,    -1,   215,    -1,
     217,    -1,    -1,   220,    -1,   222,   223,   224,   225,   226,
      -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,    -1,   275,    -1,
     277,   278,   279,   280,   281,   282,    -1,   284,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,    -1,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,    -1,
     407,   408,   409,   410,   411,    -1,   413,   414,   415,    -1,
      -1,   418,   419,   420,   421,   422,    -1,   424,   425,   426,
     427,   428,   429,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,    -1,   451,   452,   453,   454,    -1,    -1,
     457,    -1,    -1,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,
     220,    -1,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,    -1,   275,    -1,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,    -1,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,    -1,   405,    -1,   407,   408,   409,
     410,   411,    -1,   413,   414,   415,    -1,    -1,   418,   419,
     420,   421,   422,    -1,   424,   425,   426,   427,   428,   429,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,    -1,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
      -1,   451,   452,   453,   454,    -1,    -1,   457,    -1,    -1,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    54,    55,    -1,    57,    58,    59,    60,    61,    62,
      63,    -1,    -1,    66,    67,    68,    69,    70,    -1,    72,
      73,    74,    75,    76,    -1,    -1,    -1,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    -1,    -1,    99,   100,   101,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,
     113,   114,   115,   116,   117,    -1,   119,    -1,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,    -1,   145,   146,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,
      -1,   174,   175,   176,   177,    -1,   179,   180,    -1,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,    -1,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,
     223,   224,   225,   226,    -1,    -1,   229,   230,    -1,   232,
      -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,    -1,   275,    -1,   277,   278,   279,   280,   281,   282,
      -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,    -1,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,    -1,   407,   408,   409,   410,   411,    -1,
     413,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
      -1,   424,   425,   426,   427,   428,   429,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,    -1,   451,   452,
     453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,    -1,    -1,    -1,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
      -1,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,    -1,   405,
      -1,   407,   408,   409,   410,   411,    -1,   413,   414,   415,
      -1,    -1,   418,   419,   420,   421,   422,    -1,   424,   425,
     426,   427,   428,   429,   430,   431,    -1,    -1,   434,   435,
     436,   437,   438,    -1,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,    -1,   451,   452,   453,   454,    -1,
      -1,   457,    -1,    -1,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    41,    -1,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    54,    55,    -1,    57,    58,
      59,    60,    61,    62,    63,    -1,    -1,    66,    67,    68,
      69,    70,    -1,    72,    73,    74,    75,    76,    -1,    -1,
      -1,    80,    81,    82,    83,    84,    85,    -1,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    -1,    -1,
      99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     109,   110,   111,   112,   113,   114,   115,   116,   117,    -1,
     119,    -1,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,    -1,   145,   146,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
      -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,
     179,   180,    -1,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,    -1,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,   201,   202,   203,    -1,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,    -1,   215,    -1,   217,    -1,
      -1,   220,    -1,   222,   223,   224,   225,   226,    -1,    -1,
     229,   230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,    -1,   284,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,    -1,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,    -1,   405,    -1,   407,   408,
     409,   410,   411,    -1,   413,   414,   415,    -1,    -1,   418,
     419,   420,   421,   422,    -1,   424,   425,   426,   427,   428,
     429,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,    -1,   451,   452,   453,   454,    -1,    -1,   457,    -1,
      -1,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,    -1,
      -1,    -1,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,    -1,
     232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,    -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,    -1,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,    -1,   407,   408,   409,   410,   411,
      -1,   413,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,    -1,   424,   425,   426,   427,   428,   429,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,    -1,   451,
     452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    54,
      55,    -1,    57,    58,    59,    60,    61,    62,    63,    -1,
      -1,    66,    67,    68,    69,    70,    -1,    72,    73,    74,
      75,    76,    -1,    -1,    -1,    80,    81,    82,    83,    84,
      85,    -1,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,   114,
     115,   116,   117,    -1,   119,    -1,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,    -1,
     145,   146,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,   174,
     175,   176,   177,    -1,   179,   180,    -1,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,    -1,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,    -1,
     215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,
     225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,    -1,   284,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,    -1,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,    -1,   407,   408,   409,   410,   411,    -1,   413,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,    -1,   424,
     425,   426,   427,   428,   429,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,    -1,   451,   452,   453,   454,
      -1,    -1,   457,    -1,    -1,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,    -1,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
      -1,    -1,   220,    -1,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,    -1,   284,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,    -1,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,    -1,   407,
     408,   409,   410,   411,    -1,   413,   414,   415,    -1,    -1,
     418,   419,   420,   421,   422,    -1,   424,   425,   426,   427,
     428,   429,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,    -1,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,    -1,   451,   452,   453,   454,    -1,    -1,   457,
      -1,    -1,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      41,    -1,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    54,    55,    -1,    57,    58,    59,    60,
      61,    62,    63,    -1,    -1,    66,    67,    68,    69,    70,
      -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    -1,
      91,    92,    93,    94,    95,    96,    -1,    -1,    99,   100,
     101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,
     111,   112,   113,   114,   115,   116,   117,    -1,   119,    -1,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,    -1,   145,   146,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,    -1,   170,
      -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,   180,
      -1,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
      -1,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
     201,   202,   203,    -1,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,
      -1,   222,   223,   224,   225,   226,    -1,    -1,   229,   230,
      -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,    -1,   284,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,    -1,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,    -1,   407,   408,   409,   410,
     411,    -1,   413,   414,   415,    -1,    -1,   418,   419,   420,
     421,   422,    -1,   424,   425,   426,   427,   428,   429,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,    -1,
     451,   452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,    -1,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,    -1,
     284,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,    -1,   297,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,    -1,   407,   408,   409,   410,   411,    -1,   413,
     414,   415,    -1,    -1,   418,   419,   420,   421,   422,    -1,
     424,   425,   426,   427,   428,   429,   430,   431,    -1,    -1,
     434,   435,   436,   437,   438,    -1,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,   449,    -1,   451,   452,   453,
     454,    -1,    -1,   457,    -1,    -1,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    41,    -1,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    54,    55,    -1,
      57,    58,    59,    60,    61,    62,    63,    -1,    -1,    66,
      67,    68,    69,    70,    -1,    72,    73,    74,    75,    76,
      -1,    -1,    -1,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   109,   110,   111,   112,   113,   114,   115,   116,
     117,    -1,   119,    -1,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,    -1,   145,   146,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,    -1,   170,    -1,    -1,    -1,   174,   175,   176,
     177,    -1,   179,   180,    -1,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,    -1,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,   201,   202,   203,    -1,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,    -1,   215,    -1,
     217,    -1,    -1,   220,    -1,   222,   223,   224,   225,   226,
      -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,    -1,   275,    -1,
     277,   278,   279,   280,   281,   282,    -1,   284,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,    -1,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,    -1,
     407,   408,   409,   410,   411,    -1,   413,   414,   415,    -1,
      -1,   418,   419,   420,   421,   422,    -1,   424,   425,   426,
     427,   428,   429,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,    -1,   451,   452,   453,   454,    -1,    -1,
     457,    -1,    -1,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,
     220,    -1,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,    -1,   275,    -1,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,    -1,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,    -1,   405,    -1,   407,   408,   409,
     410,   411,    -1,   413,   414,   415,    -1,    -1,   418,   419,
     420,   421,   422,    -1,   424,   425,   426,   427,   428,   429,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,    -1,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
      -1,   451,   452,   453,   454,    -1,    -1,   457,    -1,    -1,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    54,    55,    -1,    57,    58,    59,    60,    61,    62,
      63,    -1,    -1,    66,    67,    68,    69,    70,    -1,    72,
      73,    74,    75,    76,    -1,    -1,    -1,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    -1,    -1,    99,   100,   101,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,
     113,   114,   115,   116,   117,    -1,   119,    -1,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,    -1,   145,   146,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,
      -1,   174,   175,   176,   177,    -1,   179,   180,    -1,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,    -1,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,
     223,   224,   225,   226,    -1,    -1,   229,   230,    -1,   232,
      -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,    -1,   275,    -1,   277,   278,   279,   280,   281,   282,
      -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,    -1,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,    -1,   407,   408,   409,   410,   411,    -1,
     413,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
      -1,   424,   425,   426,   427,   428,   429,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,    -1,   451,   452,
     453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,    -1,    -1,    -1,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
      -1,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,    -1,   405,
      -1,   407,   408,   409,   410,   411,    -1,   413,   414,   415,
      -1,    -1,   418,   419,   420,   421,   422,    -1,   424,   425,
     426,   427,   428,   429,   430,   431,    -1,    -1,   434,   435,
     436,   437,   438,    -1,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,    -1,   451,   452,   453,   454,    -1,
      -1,   457,    -1,    -1,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    41,    -1,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    54,    55,    -1,    57,    58,
      59,    60,    61,    62,    63,    -1,    -1,    66,    67,    68,
      69,    70,    -1,    72,    73,    74,    75,    76,    -1,    -1,
      -1,    80,    81,    82,    83,    84,    85,    -1,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    -1,    -1,
      99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     109,   110,   111,   112,   113,   114,   115,   116,   117,    -1,
     119,    -1,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,    -1,   145,   146,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
      -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,
     179,   180,    -1,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,    -1,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,   201,   202,   203,    -1,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,    -1,   215,    -1,   217,    -1,
      -1,   220,    -1,   222,   223,   224,   225,   226,    -1,    -1,
     229,   230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,    -1,   284,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,    -1,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,    -1,   405,    -1,   407,   408,
     409,   410,   411,    -1,   413,   414,   415,    -1,    -1,   418,
     419,   420,   421,   422,    -1,   424,   425,   426,   427,   428,
     429,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,    -1,   451,   452,   453,   454,    -1,    -1,   457,    -1,
      -1,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,    -1,
      -1,    -1,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,    -1,
     232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,    -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,    -1,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,    -1,   407,   408,   409,   410,   411,
      -1,   413,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,    -1,   424,   425,   426,   427,   428,   429,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,    -1,   451,
     452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    54,
      55,    -1,    57,    58,    59,    60,    61,    62,    63,    -1,
      -1,    66,    67,    68,    69,    70,    -1,    72,    73,    74,
      75,    76,    -1,    -1,    -1,    80,    81,    82,    83,    84,
      85,    -1,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,   114,
     115,   116,   117,    -1,   119,    -1,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,    -1,
     145,   146,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,   174,
     175,   176,   177,    -1,   179,   180,    -1,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,    -1,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,    -1,
     215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,
     225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,    -1,   284,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,    -1,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,    -1,   407,   408,   409,   410,   411,    -1,   413,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,    -1,   424,
     425,   426,   427,   428,   429,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,    -1,   451,   452,   453,   454,
      -1,    -1,   457,    -1,    -1,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    37,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,    -1,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
      -1,    -1,   220,    -1,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,    -1,   284,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,    -1,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,    -1,    -1,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,    -1,   407,
     408,   409,   410,   411,    -1,   413,   414,   415,    -1,    -1,
     418,   419,   420,   421,   422,    -1,   424,   425,   426,   427,
     428,   429,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,    -1,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,    -1,   451,   452,   453,   454,    -1,    -1,   457,
      -1,    -1,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      41,    -1,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    54,    55,    -1,    57,    58,    59,    60,
      61,    62,    63,    -1,    -1,    66,    67,    68,    69,    70,
      -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    -1,
      91,    92,    93,    94,    95,    96,    -1,    -1,    99,   100,
     101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,
     111,   112,   113,   114,   115,   116,   117,    -1,   119,    -1,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,    -1,   145,   146,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,    -1,   170,
      -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,   180,
      -1,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
      -1,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
     201,   202,   203,    -1,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,
      -1,   222,   223,   224,   225,   226,    -1,    -1,   229,   230,
      -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,    -1,   284,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,    -1,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,    -1,   407,   408,   409,   410,
     411,    -1,   413,   414,   415,    -1,    -1,   418,   419,   420,
     421,   422,    -1,   424,   425,   426,   427,   428,   429,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,    -1,
     451,   452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,    -1,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,    -1,
     284,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,    -1,   297,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,    -1,   407,   408,   409,   410,   411,    -1,   413,
     414,   415,    -1,    -1,   418,   419,   420,   421,   422,    -1,
     424,   425,   426,   427,   428,   429,   430,   431,    -1,    -1,
     434,   435,   436,   437,   438,    -1,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,   449,    -1,   451,   452,   453,
     454,    -1,    -1,   457,    -1,    -1,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    41,    -1,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    54,    55,    -1,
      57,    58,    59,    60,    61,    62,    63,    -1,    -1,    66,
      67,    68,    69,    70,    -1,    72,    73,    74,    75,    76,
      -1,    -1,    -1,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   109,   110,   111,   112,   113,   114,   115,   116,
     117,    -1,   119,    -1,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,    -1,   145,   146,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,    -1,   170,    -1,    -1,    -1,   174,   175,   176,
     177,    -1,   179,   180,    -1,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,    -1,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,   201,   202,   203,    -1,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,    -1,   215,    -1,
     217,    -1,    -1,   220,    -1,   222,   223,   224,   225,   226,
      -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,    -1,   275,    -1,
     277,   278,   279,   280,   281,   282,    -1,   284,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,    -1,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,    -1,
     407,   408,   409,   410,   411,    -1,   413,   414,   415,    -1,
      -1,   418,   419,   420,   421,   422,    -1,   424,   425,   426,
     427,   428,   429,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,    -1,   451,   452,   453,   454,    -1,    -1,
     457,    -1,    -1,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,
     220,    -1,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,    -1,   275,    -1,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,    -1,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,    -1,   405,    -1,   407,   408,   409,
     410,   411,    -1,   413,   414,   415,    -1,    -1,   418,   419,
     420,   421,   422,    -1,   424,   425,   426,   427,   428,   429,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,    -1,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
      -1,   451,   452,   453,   454,    -1,    -1,   457,    -1,    -1,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    54,    55,    -1,    57,    58,    59,    60,    61,    62,
      63,    -1,    -1,    66,    67,    68,    69,    70,    -1,    72,
      73,    74,    75,    76,    -1,    -1,    -1,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    -1,    -1,    99,   100,   101,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,
     113,   114,   115,   116,   117,    -1,   119,    -1,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,    -1,   145,   146,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,
      -1,   174,   175,   176,   177,    -1,   179,   180,    -1,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,    -1,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,
     223,   224,   225,   226,    -1,    -1,   229,   230,    -1,   232,
      -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,    -1,   275,    -1,   277,   278,   279,   280,   281,   282,
      -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,    -1,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,    -1,   407,   408,   409,   410,   411,    -1,
     413,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
      -1,   424,   425,   426,   427,   428,   429,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,    -1,   451,   452,
     453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,    -1,    -1,    -1,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
      -1,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,    -1,   405,
      -1,   407,   408,   409,   410,   411,    -1,   413,   414,   415,
      -1,    -1,   418,   419,   420,   421,   422,    -1,   424,   425,
     426,   427,   428,   429,   430,   431,    -1,    -1,   434,   435,
     436,   437,   438,    -1,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,    -1,   451,   452,   453,   454,    -1,
      -1,   457,    -1,    -1,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    41,    -1,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    54,    55,    -1,    57,    58,
      59,    60,    61,    62,    63,    -1,    -1,    66,    67,    68,
      69,    70,    -1,    72,    73,    74,    75,    76,    -1,    -1,
      -1,    80,    81,    82,    83,    84,    85,    -1,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    -1,    -1,
      99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     109,   110,   111,   112,   113,   114,   115,   116,   117,    -1,
     119,    -1,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,    -1,   145,   146,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
      -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,
     179,   180,    -1,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,    -1,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,   201,   202,   203,    -1,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,    -1,   215,    -1,   217,    -1,
      -1,   220,    -1,   222,   223,   224,   225,   226,    -1,    -1,
     229,   230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,    -1,   284,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,    -1,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,    -1,   405,    -1,   407,   408,
     409,   410,   411,    -1,   413,   414,   415,    -1,    -1,   418,
     419,   420,   421,   422,    -1,   424,   425,   426,   427,   428,
     429,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,    -1,   451,   452,   453,   454,    -1,    -1,   457,    -1,
      -1,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,    -1,
      -1,    -1,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,    -1,
     232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,    -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,    -1,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,    -1,   407,   408,   409,   410,   411,
      -1,   413,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,    -1,   424,   425,   426,   427,   428,   429,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,    -1,   451,
     452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    54,
      55,    -1,    57,    58,    59,    60,    61,    62,    63,    -1,
      -1,    66,    67,    68,    69,    70,    -1,    72,    73,    74,
      75,    76,    -1,    -1,    -1,    80,    81,    82,    83,    84,
      85,    -1,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,   114,
     115,   116,   117,    -1,   119,    -1,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,    -1,
     145,   146,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,   174,
     175,   176,   177,    -1,   179,   180,    -1,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,    -1,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,    -1,
     215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,
     225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,    -1,   284,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,    -1,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,    -1,   407,   408,   409,   410,   411,    -1,   413,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,    -1,   424,
     425,   426,   427,   428,   429,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,    -1,   451,   452,   453,   454,
      -1,    -1,   457,    -1,    -1,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,    -1,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
      -1,    -1,   220,    -1,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,    -1,   284,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,    -1,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,    -1,   407,
     408,   409,   410,   411,    -1,   413,   414,   415,    -1,    -1,
     418,   419,   420,   421,   422,    -1,   424,   425,   426,   427,
     428,   429,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,    -1,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,    -1,   451,   452,   453,   454,    -1,    -1,   457,
      -1,    -1,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      41,    -1,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    54,    55,    -1,    57,    58,    59,    60,
      61,    62,    63,    -1,    -1,    66,    67,    68,    69,    70,
      -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    -1,
      91,    92,    93,    94,    95,    96,    -1,    -1,    99,   100,
     101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,
     111,   112,   113,   114,   115,   116,   117,    -1,   119,    -1,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,    -1,   145,   146,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,    -1,   170,
      -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,   180,
      -1,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
      -1,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
     201,   202,   203,    -1,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,
      -1,   222,   223,   224,   225,   226,    -1,    -1,   229,   230,
      -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,    -1,   284,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,    -1,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,    -1,   407,   408,   409,   410,
     411,    -1,   413,   414,   415,    -1,    -1,   418,   419,   420,
     421,   422,    -1,   424,   425,   426,   427,   428,   429,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,    -1,
     451,   452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,    -1,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,    -1,
     284,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,    -1,   297,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,    -1,   407,   408,   409,   410,   411,    -1,   413,
     414,   415,    -1,    -1,   418,   419,   420,   421,   422,    -1,
     424,   425,   426,   427,   428,   429,   430,   431,    -1,    -1,
     434,   435,   436,   437,   438,    -1,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,   449,    -1,   451,   452,   453,
     454,    -1,    -1,   457,    -1,    -1,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    41,    -1,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    54,    55,    -1,
      57,    58,    59,    60,    61,    62,    63,    -1,    -1,    66,
      67,    68,    69,    70,    -1,    72,    73,    74,    75,    76,
      -1,    -1,    -1,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   109,   110,   111,   112,   113,   114,   115,   116,
     117,    -1,   119,    -1,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,    -1,   145,   146,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,    -1,   170,    -1,    -1,    -1,   174,   175,   176,
     177,    -1,   179,   180,    -1,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,    -1,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,   201,   202,   203,    -1,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,    -1,   215,    -1,
     217,    -1,    -1,   220,    -1,   222,   223,   224,   225,   226,
      -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,    -1,   275,    -1,
     277,   278,   279,   280,   281,   282,    -1,   284,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,    -1,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,    -1,
     407,   408,   409,   410,   411,    -1,   413,   414,   415,    -1,
      -1,   418,   419,   420,   421,   422,    -1,   424,   425,   426,
     427,   428,   429,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,    -1,   451,   452,   453,   454,    -1,    -1,
     457,    -1,    -1,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,
     220,    -1,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,    -1,   275,    -1,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,    -1,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,    -1,   405,    -1,   407,   408,   409,
     410,   411,    -1,   413,   414,   415,    -1,    -1,   418,   419,
     420,   421,   422,    -1,   424,   425,   426,   427,   428,   429,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,    -1,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
      -1,   451,   452,   453,   454,    -1,    -1,   457,    -1,    -1,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    54,    55,    -1,    57,    58,    59,    60,    61,    62,
      63,    -1,    -1,    66,    67,    68,    69,    70,    -1,    72,
      73,    74,    75,    76,    -1,    -1,    -1,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    -1,    -1,    99,   100,   101,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,
     113,   114,   115,   116,   117,    -1,   119,    -1,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,    -1,   145,   146,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,
      -1,   174,   175,   176,   177,    -1,   179,   180,    -1,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,    -1,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,
     223,   224,   225,   226,    -1,    -1,   229,   230,    -1,   232,
      -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,    -1,   275,    -1,   277,   278,   279,   280,   281,   282,
      -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,    -1,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,    -1,   407,   408,   409,   410,   411,    -1,
     413,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
      -1,   424,   425,   426,   427,   428,   429,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,    -1,   451,   452,
     453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      -1,    -1,    78,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    98,    99,   100,   101,    -1,    -1,    -1,   105,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,    -1,    -1,    -1,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,    -1,   229,    -1,   231,   232,   233,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
      -1,    -1,   278,   279,   280,   281,   282,    -1,   284,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,    -1,   314,    -1,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,    -1,   400,    -1,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,    -1,   413,   414,   415,
      -1,    -1,   418,   419,    -1,   421,    -1,    -1,   424,   425,
     426,   427,   428,   429,   430,   431,    -1,    -1,   434,   435,
     436,   437,   438,    -1,    -1,   441,   442,   443,   444,   445,
      -1,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
      -1,   457,    -1,    -1,   460,   461,   462,   463,   464,   465,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   477,   478,   479,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    54,    55,    -1,    57,    58,    59,    60,    61,    62,
      63,    -1,    -1,    66,    67,    68,    69,    70,    -1,    72,
      73,    74,    75,    76,    -1,    -1,    -1,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    -1,    -1,    99,   100,   101,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,
     113,   114,   115,   116,   117,    -1,   119,    -1,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,    -1,   145,   146,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,
      -1,   174,   175,   176,   177,    -1,   179,   180,    -1,   182,
      -1,   184,    -1,   186,   187,   188,   189,   190,    -1,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,
     223,   224,   225,   226,    -1,    -1,   229,   230,    -1,   232,
      -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,    -1,   275,    -1,   277,   278,   279,   280,   281,   282,
      -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,    -1,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,    -1,   407,   408,   409,   410,   411,    -1,
     413,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
      -1,   424,   425,   426,   427,   428,   429,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,    -1,   451,   452,
     453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      -1,    -1,    78,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    98,    99,   100,   101,    -1,    -1,    -1,   105,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,    -1,    -1,    -1,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,    -1,   229,    -1,   231,   232,   233,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,    -1,   284,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,   297,   298,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,    -1,   314,    -1,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,    -1,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,    -1,   413,   414,   415,
      -1,    -1,   418,   419,    -1,   421,    -1,    -1,   424,   425,
     426,   427,   428,   429,   430,   431,    -1,    -1,   434,   435,
     436,   437,   438,    -1,    -1,   441,   442,   443,   444,   445,
      -1,   447,    -1,   449,   450,   451,   452,   453,   454,    -1,
      -1,   457,    -1,    -1,   460,   461,   462,   463,   464,   465,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   477,   478,   479,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,
      43,    44,    45,    46,    47,    48,    49,    50,    -1,    52,
      53,    54,    55,    -1,    57,    58,    59,    60,    61,    62,
      63,    -1,    -1,    66,    67,    68,    69,    70,    -1,    72,
      73,    74,    75,    -1,    -1,    78,    -1,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    -1,    98,    99,   100,   101,    -1,
      -1,    -1,   105,    -1,    -1,    -1,   109,   110,   111,   112,
     113,   114,   115,   116,   117,    -1,   119,    -1,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,    -1,   145,   146,   147,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,    -1,   170,   171,    -1,
     173,   174,   175,   176,   177,    -1,   179,    -1,    -1,    -1,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,    -1,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,    -1,   229,    -1,   231,   232,
     233,    -1,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,    -1,   272,
     273,   274,   275,    -1,    -1,   278,   279,   280,   281,   282,
      -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,   297,   298,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
      -1,   314,    -1,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,    -1,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,    -1,
     413,   414,   415,    -1,    -1,   418,   419,    -1,   421,    -1,
      -1,   424,   425,   426,   427,   428,   429,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,    -1,    -1,   441,   442,
     443,   444,   445,    -1,   447,    -1,   449,   450,   451,   452,
     453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,   462,
     463,   464,   465,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   477,   478,   479,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    -1,    -1,    78,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    98,    99,
     100,   101,    -1,    -1,    -1,   105,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,    -1,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
      -1,    -1,    -1,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,    -1,   229,
      -1,   231,   232,   233,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,    -1,    -1,   278,   279,
     280,   281,   282,    -1,   284,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,   297,   298,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,    -1,   314,    -1,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,    -1,
     400,    -1,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,    -1,   413,   414,   415,    -1,    -1,   418,   419,
      -1,   421,    -1,    -1,   424,   425,   426,   427,   428,   429,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,    -1,
      -1,   441,   442,   443,   444,   445,    -1,   447,    -1,   449,
     450,   451,   452,   453,   454,    -1,    -1,   457,    -1,    -1,
     460,   461,   462,   463,   464,   465,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,   478,   479,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    41,    -1,    43,    44,    45,    46,
      47,    48,    49,    50,    -1,    52,    53,    54,    55,    -1,
      57,    58,    59,    60,    61,    62,    63,    -1,    -1,    66,
      67,    68,    69,    70,    -1,    72,    73,    74,    75,    -1,
      -1,    78,    -1,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      -1,    98,    99,   100,   101,    -1,    -1,    -1,   105,    -1,
      -1,    -1,   109,   110,   111,   112,   113,   114,   115,   116,
     117,    -1,   119,    -1,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,    -1,   145,   146,
     147,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,    -1,    -1,   160,    -1,   162,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,   176,
     177,    -1,   179,    -1,    -1,    -1,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,    -1,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,    -1,   229,    -1,   231,   232,   233,    -1,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,    -1,
      -1,   278,   279,   280,   281,   282,    -1,   284,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
     297,   298,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,    -1,   314,    -1,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,    -1,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,    -1,   413,   414,   415,    -1,
      -1,   418,   419,    -1,   421,    -1,    -1,   424,   425,   426,
     427,   428,   429,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,    -1,    -1,   441,   442,   443,   444,   445,    -1,
     447,    -1,   449,   450,   451,   452,   453,   454,    -1,    -1,
     457,    -1,    -1,   460,   461,   462,   463,   464,   465,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     477,   478,   479,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    -1,    -1,    78,    -1,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    98,    99,   100,   101,    -1,    -1,
      -1,   105,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,    -1,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,   171,    -1,   173,
     174,   175,   176,   177,    -1,   179,    -1,    -1,    -1,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,    -1,   229,    -1,   231,   232,   233,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,    -1,    -1,   278,   279,   280,   281,   282,    -1,
     284,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,   297,   298,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,    -1,
     314,    -1,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,    -1,   400,    -1,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,    -1,   413,
     414,   415,    -1,    -1,   418,   419,    -1,   421,    -1,    -1,
     424,   425,   426,   427,   428,   429,   430,   431,    -1,    -1,
     434,   435,   436,   437,   438,    -1,    -1,   441,   442,   443,
     444,   445,    -1,   447,    -1,   449,   450,   451,   452,   453,
     454,    -1,    -1,   457,    -1,    -1,   460,   461,   462,   463,
     464,   465,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   477,   478,   479,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      41,    -1,    43,    44,    45,    46,    47,    48,    49,    50,
      -1,    52,    53,    54,    55,    -1,    57,    58,    59,    60,
      61,    62,    63,    -1,    -1,    66,    67,    68,    69,    70,
      -1,    72,    73,    74,    75,    -1,    -1,    78,    -1,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    95,    96,    -1,    98,    99,   100,
     101,    -1,    -1,    -1,   105,    -1,    -1,    -1,   109,   110,
     111,   112,   113,   114,   115,   116,   117,    -1,   119,    -1,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,    -1,   145,   146,   147,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,    -1,    -1,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,    -1,   170,
     171,    -1,   173,   174,   175,   176,   177,    -1,   179,    -1,
      -1,    -1,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,    -1,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,    -1,   229,    -1,
     231,   232,   233,    -1,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,    -1,    -1,   278,   279,   280,
     281,   282,    -1,   284,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,   297,   298,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,    -1,   314,    -1,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,    -1,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,    -1,   413,   414,   415,    -1,    -1,   418,   419,    -1,
     421,    -1,    -1,   424,   425,   426,   427,   428,   429,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,    -1,    -1,
     441,   442,   443,   444,   445,    -1,   447,    -1,   449,   450,
     451,   452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,
     461,   462,   463,   464,   465,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   477,   478,   479,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    47,
      48,    49,    50,    -1,    52,    53,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    -1,    -1,
      78,    -1,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      98,    99,   100,   101,    -1,    -1,    -1,   105,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
      -1,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,   171,    -1,   173,   174,   175,   176,   177,
      -1,   179,    -1,    -1,    -1,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
      -1,   229,    -1,   231,   232,   233,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,    -1,    -1,
     278,   279,   280,   281,   282,    -1,   284,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,   297,
     298,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,    -1,   314,    -1,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,    -1,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,    -1,   413,   414,   415,    -1,    -1,
     418,   419,    -1,   421,    -1,    -1,   424,   425,   426,   427,
     428,   429,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,    -1,    -1,   441,   442,   443,   444,   445,    -1,   447,
      -1,   449,   450,   451,   452,   453,   454,    -1,    -1,   457,
      -1,    -1,   460,   461,   462,   463,   464,   465,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,
     478,   479,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,
      45,    46,    47,    48,    49,    50,    -1,    52,    53,    54,
      55,    -1,    57,    58,    59,    60,    61,    62,    63,    -1,
      -1,    66,    67,    68,    69,    70,    -1,    72,    73,    74,
      75,    -1,    -1,    78,    -1,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    -1,    98,    99,   100,   101,    -1,    -1,    -1,
     105,    -1,    -1,    -1,   109,   110,   111,   112,   113,   114,
     115,   116,   117,    -1,   119,    -1,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,    -1,
     145,   146,   147,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,    -1,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,    -1,   170,   171,    -1,   173,   174,
     175,   176,   177,    -1,   179,    -1,    -1,    -1,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,    -1,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,    -1,   229,    -1,   231,   232,   233,    -1,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,    -1,    -1,   278,   279,   280,   281,   282,    -1,   284,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,   297,   298,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,    -1,   314,
      -1,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,    -1,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,    -1,   413,   414,
     415,    -1,    -1,   418,   419,    -1,   421,    -1,    -1,   424,
     425,   426,   427,   428,   429,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,    -1,    -1,   441,   442,   443,   444,
     445,    -1,   447,    -1,   449,   450,   451,   452,   453,   454,
      -1,    -1,   457,    -1,    -1,   460,   461,   462,   463,   464,
     465,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   477,   478,   479,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    -1,    -1,    78,    -1,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    98,    99,   100,   101,
      -1,    -1,    -1,   105,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,    -1,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,   171,
      -1,   173,   174,   175,   176,   177,    -1,   179,    -1,    -1,
      -1,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,    -1,   229,    -1,   231,
     232,   233,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,    -1,    -1,   278,   279,   280,   281,
     282,    -1,   284,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,   297,   298,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,    -1,   314,    -1,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,    -1,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
      -1,   413,   414,   415,    -1,    -1,   418,   419,    -1,   421,
      -1,    -1,   424,   425,   426,   427,   428,   429,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,    -1,    -1,   441,
     442,   443,   444,   445,    -1,   447,    -1,   449,   450,   451,
     452,   453,   454,    -1,    -1,   457,    -1,    -1,   460,   461,
     462,   463,   464,   465,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   477,   478,   479,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    41,    -1,    43,    44,    45,    46,    47,    48,
      49,    50,    -1,    -1,    53,    -1,    -1,    -1,    57,    58,
      59,    60,    61,    62,    63,    -1,    -1,    66,    67,    -1,
      -1,    70,    -1,    72,    73,    74,    75,    -1,    -1,    78,
      -1,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    -1,    98,
      99,   100,   101,    -1,    -1,    -1,   105,    -1,    -1,    -1,
     109,   110,   111,   112,   113,   114,    -1,    -1,   117,    -1,
     119,    -1,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,    -1,   145,   146,   147,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,    -1,
      -1,   160,    -1,   162,   163,   164,    -1,   166,    -1,   168,
      -1,   170,   171,    -1,   173,   174,   175,   176,   177,    -1,
     179,    -1,    -1,    -1,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,   201,   202,   203,    -1,   205,   206,    -1,   208,
     209,   210,   211,    -1,    -1,    -1,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,    -1,
     229,    -1,   231,   232,   233,    -1,   235,   236,   237,    -1,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,    -1,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,    -1,    -1,   278,
      -1,   280,   281,   282,    -1,   284,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,    -1,   296,   297,   298,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,    -1,   314,    -1,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,    -1,   384,    -1,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
      -1,   400,    -1,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,    -1,   413,    -1,    -1,    -1,    -1,   418,
     419,    -1,   421,    -1,    -1,   424,   425,   426,   427,   428,
     429,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
      -1,    -1,   441,   442,   443,   444,   445,    -1,    -1,    -1,
     449,   450,   451,   452,   453,   454,    -1,    -1,   457,    -1,
      -1,   460,   461,   462,   463,   464,   465,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,   478,
     479
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,    20,    30,    32,    33,    50,    60,    72,    74,    75,
      81,    83,    95,    97,   114,   117,   132,   134,   138,   144,
     152,   154,   161,   178,   195,   235,   236,   241,   255,   273,
     317,   331,   337,   338,   340,   345,   351,   354,   361,   367,
     368,   375,   379,   389,   404,   424,   435,   441,   446,   459,
     482,   483,   484,   485,   486,   487,   500,   507,   508,   509,
     510,   511,   512,   518,   519,   521,   522,   523,   524,   526,
     530,   542,   547,   548,   551,   552,   553,   572,   575,   576,
     591,   638,   641,   642,   645,   648,   649,   650,   658,   665,
     667,   668,   671,   674,   675,   679,   688,   692,   693,   694,
     697,   699,   700,   701,   702,   710,   712,   732,   736,   738,
     739,   749,   751,   758,   759,   762,   763,   764,   765,   766,
     775,   777,   779,   782,   786,   787,   797,   798,   801,   806,
     820,   852,   855,   856,   857,   862,   865,   867,   869,   871,
     872,   875,   876,   879,   881,   882,   886,   887,   888,   891,
     892,   893,   894,   895,   902,   904,   905,   906,   907,   913,
     915,   916,   922,   923,   924,   927,   928,   929,   930,   932,
     933,   935,   936,   938,   939,   941,   953,   955,   958,   960,
     961,   970,   972,   977,   982,   990,   994,   995,   996,   997,
     998,   999,  1005,  1041,   418,   462,   908,    27,    78,    94,
     112,   118,   136,   147,   156,   169,   174,   181,   200,   225,
     247,   288,   312,   322,   323,   326,   353,   356,   360,   362,
     369,   372,   391,   398,   403,   404,   407,   411,   421,   426,
     439,   452,   664,   908,     3,    20,    21,    22,    23,    24,
      25,    26,    27,    29,    30,    31,    39,    40,    41,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    57,    58,    59,    60,    61,    62,    63,    66,
      67,    68,    69,    70,    72,    73,    74,    75,    76,    78,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      91,    92,    93,    94,    95,    96,    98,    99,   100,   101,
     105,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     119,   121,   122,   123,   124,   125,   126,   127,   129,   130,
     131,   132,   135,   136,   137,   138,   139,   141,   142,   143,
     145,   146,   147,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   160,   162,   163,   164,   165,   166,   168,
     170,   171,   173,   174,   175,   176,   177,   179,   180,   182,
     183,   184,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   197,   198,   199,   200,   201,   202,   203,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   215,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   229,
     230,   231,   232,   233,   235,   236,   237,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   272,   273,
     274,   275,   277,   278,   279,   280,   281,   282,   284,   285,
     288,   289,   290,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     311,   312,   313,   314,   315,   316,   317,   318,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   369,   370,   371,   372,   373,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   402,   403,   405,   406,   407,   408,
     409,   410,   411,   413,   414,   415,   418,   419,   420,   421,
     422,   424,   425,   426,   427,   428,   429,   430,   431,   434,
     435,   436,   437,   438,   441,   442,   443,   444,   445,   446,
     447,   449,   450,   451,   452,   453,   454,   457,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,  1102,  1172,
    1184,  1185,  1189,  1190,  1191,     3,    28,   991,  1169,  1184,
    1189,   450,   500,   946,   286,   318,   908,    53,   500,   583,
      22,    40,    65,    78,   112,   118,   136,   147,   156,   169,
     177,   181,   237,   288,   291,   312,   326,   353,   362,   372,
     391,   398,   407,   408,   410,   411,   426,   433,   436,   439,
     592,   647,   754,   807,   821,    28,   317,  1169,   991,    28,
     311,   370,   408,   410,     6,   224,   863,   864,  1175,    22,
      27,    65,    78,    94,   112,   136,   147,   156,   169,   174,
     181,   200,   247,   288,   301,   312,   323,   326,   353,   356,
     360,   362,   369,   372,   391,   398,   404,   407,   411,   419,
     421,   426,   439,   452,   664,   767,   769,   770,   908,  1169,
      97,   450,   500,   642,   645,   648,   941,   954,   958,   961,
     970,   977,   982,   990,   994,    11,    21,    28,    48,   164,
     170,   172,   196,   226,   262,   320,   339,   491,   492,   783,
     784,   991,  1174,  1176,    28,    30,    97,   335,   368,   788,
     789,   790,  1184,   169,  1184,  1171,  1175,   404,  1008,   783,
    1184,   418,  1169,   301,   247,   112,   200,   362,   403,   404,
     500,   873,   874,   361,  1184,    28,   373,   414,   418,   534,
     543,   544,  1184,    25,   178,   788,   789,   318,   908,  1184,
     223,    28,   133,  1010,  1011,    66,    91,   237,   257,   353,
     362,   373,   414,   418,   465,   531,   532,   533,   534,    28,
     373,   414,   418,   534,   418,   287,  1053,  1054,  1167,  1184,
    1008,   493,  1184,   173,   500,   947,   500,   333,  1000,  1001,
    1169,  1000,     3,    52,    54,    55,    68,    69,   115,   116,
     137,   165,   212,   213,   215,   258,   260,   279,   330,   377,
     383,   414,   415,   447,  1076,  1078,  1080,  1082,  1084,  1086,
    1087,  1088,  1090,  1091,  1092,  1094,  1095,  1185,  1189,  1010,
    1011,  1012,  1180,    12,  1181,  1182,  1184,  1181,  1181,   995,
     996,   999,     0,   503,   500,   946,   148,   214,   292,   432,
    1013,  1014,   995,   997,   998,   123,   210,   249,   438,   504,
      34,   912,   837,  1172,   772,  1184,   772,  1169,   321,   772,
     421,  1169,   111,   404,   825,  1172,  1184,  1191,     3,   104,
     108,   374,  1177,  1178,  1186,  1189,  1190,  1191,    28,   190,
    1167,   280,   452,    10,    17,    18,    19,    73,   160,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   859,   861,
    1132,  1133,  1184,   190,  1169,   825,  1169,    28,  1177,  1178,
     825,  1169,  1169,   190,  1167,  1169,   190,   772,  1169,   345,
     375,    28,   190,  1053,  1169,   365,  1169,   772,    28,   244,
    1177,  1178,   190,  1167,   224,   120,   220,   271,   329,   909,
     910,   911,   500,   498,   502,  1158,  1160,   940,   941,   942,
     943,  1186,  1167,  1169,  1184,    27,    65,    79,    90,   112,
     136,   174,   200,   225,   288,   323,   353,   356,   398,   407,
     419,   426,   767,   768,   769,   770,  1175,   912,   957,   961,
     970,   977,   982,   994,  1167,   250,   772,   500,   190,   772,
    1169,   772,   421,   190,  1169,   111,   404,   408,   410,  1177,
    1178,   408,   410,    73,   160,   859,   343,  1169,  1169,  1177,
     190,   527,  1184,   190,  1169,   190,   772,  1169,  1169,   365,
     772,   244,  1177,   333,   369,   404,   452,   247,    94,   200,
      27,    90,   174,   323,   360,   419,   421,   425,   659,    28,
    1169,   992,   541,  1175,  1186,   864,   250,   190,   837,   838,
     190,   868,   190,  1169,   190,   774,  1076,   421,   111,   404,
     190,   824,   825,   190,  1178,  1179,    86,   452,    73,   160,
     190,   860,   861,    58,   190,   824,   190,  1179,   190,   824,
     190,  1169,   190,  1169,   365,   868,   190,   774,   190,   244,
    1179,   224,   190,   771,   772,   190,  1168,  1169,   190,  1169,
     912,   500,   959,   592,   954,   446,   940,   946,  1176,   784,
     785,    28,   785,  1176,   785,    28,   785,  1176,   785,   785,
     785,  1176,  1174,  1174,   991,   785,   321,   500,   403,   500,
     615,   615,   615,   286,   416,   504,   615,   362,  1053,  1055,
     504,   903,  1175,   500,   956,    58,   452,   940,    86,   808,
     808,  1184,    47,   479,   220,   502,   289,   289,   286,   172,
    1175,   416,   912,   167,   780,   286,     5,     8,     9,    10,
      12,    36,    52,    54,    55,    64,    65,    68,    69,    76,
      78,   102,   103,   104,   105,   106,   107,   108,   115,   116,
     118,   153,   158,   159,   165,   180,   182,   212,   213,   215,
     230,   238,   239,   258,   260,   269,   271,   276,   277,   279,
     288,   299,   313,   330,   358,   374,   383,   399,   414,   415,
     420,   422,   423,   433,   439,   447,   467,   468,   469,   470,
     472,   473,   474,   475,   480,   491,   492,   493,   500,   995,
    1079,  1082,  1085,  1086,  1087,  1089,  1090,  1091,  1094,  1095,
    1099,  1101,  1102,  1103,  1105,  1128,  1129,  1130,  1134,  1152,
    1157,  1164,  1165,  1172,  1173,  1174,  1175,  1184,  1163,  1164,
    1175,    28,   549,  1166,  1167,   373,   531,   118,   540,  1175,
     541,  1175,    47,    70,   531,   479,   384,   910,   289,   172,
     416,   490,    47,   479,   220,   911,   500,  1167,   493,  1160,
    1055,   940,   171,   948,  1099,  1137,  1000,   504,   500,   949,
     449,  1093,  1093,  1093,   500,  1081,  1081,   315,   500,  1083,
      68,    69,  1093,  1081,  1078,   461,   482,   500,  1096,   500,
    1096,    36,  1077,   500,   113,   188,   251,   254,   366,   477,
     500,  1097,  1098,   502,   773,  1081,  1163,  1161,   501,   501,
     509,   940,   950,   951,   952,  1167,    28,   133,  1009,  1009,
      58,  1009,   161,   167,   234,   283,  1017,  1019,  1020,  1035,
    1037,  1038,  1039,  1013,  1014,   172,   216,   216,  1053,  1056,
     500,    67,   267,   302,   341,   375,   500,   835,   302,   337,
     341,   375,   773,   302,   341,   375,     3,    89,   142,   240,
     302,   337,   341,   375,   407,   409,   459,   542,   545,   917,
     918,   919,   920,   802,    24,   138,   302,   341,   375,   443,
     558,  1169,    24,   138,   375,   438,   525,   463,   190,  1053,
      61,    96,   157,   193,   229,   267,   271,   302,   303,   341,
     350,   359,   367,   375,   387,   396,   400,   454,   542,   546,
     841,   853,   880,   500,   822,  1160,   341,   525,   196,   153,
      24,    30,    45,    75,   131,   138,   141,   168,   202,   267,
     271,   281,   290,   302,   341,   344,   345,   375,   443,   554,
     556,   557,   682,   880,     5,   491,   492,   656,  1176,    28,
     190,  1167,   772,   772,   500,   858,   302,   375,   502,   153,
     286,   302,   341,   375,   853,   880,    24,   138,   302,   341,
     375,   196,   520,   341,   459,   482,   513,   520,   302,   341,
     375,   853,   880,   286,   302,   341,   153,    37,    59,   110,
     199,   243,   248,   252,   267,   301,   341,   346,   369,   375,
     389,   436,   554,   653,   654,   302,   341,   451,   682,   690,
     153,   302,   341,   375,    24,    89,   131,   138,   141,   302,
     337,   341,   375,   382,   544,   532,   534,   196,   153,    45,
     129,   267,   341,   375,   554,   555,   302,   341,   345,   375,
      87,   130,   305,   409,   286,    24,    30,   138,   302,   341,
     375,   573,   574,   520,   167,   341,   513,   520,   153,   341,
     375,   554,  1169,   232,   120,   287,   464,   504,   909,    28,
     133,   448,   493,   501,   830,  1099,  1138,  1139,  1185,  1099,
    1159,     3,    28,    32,    33,    34,    35,    36,    37,    38,
      42,    56,    64,    65,    71,    77,    79,    90,    97,   102,
     103,   104,   106,   107,   108,   118,   120,   128,   133,   134,
     140,   144,   148,   159,   161,   167,   169,   172,   178,   181,
     185,   196,   204,   214,   216,   227,   228,   234,   238,   239,
     271,   276,   283,   286,   287,   291,   292,   310,   319,   335,
     349,   368,   374,   385,   401,   404,   412,   416,   417,   423,
     432,   433,   439,   440,   448,   455,   456,   458,   459,   493,
    1170,  1187,  1189,  1190,  1191,  1192,  1158,   501,   504,   159,
     286,   423,   538,   541,   656,   944,   440,   937,   286,   837,
     500,   772,  1169,  1076,   825,   280,    73,   160,   861,   825,
     825,   167,  1076,   772,  1169,  1169,   501,   615,  1169,    71,
    1076,   271,   172,   500,   740,   513,    37,   931,  1169,   271,
     513,   463,   190,  1167,   513,   772,   772,   740,   436,   592,
     286,   167,   459,   849,   513,   271,    47,   528,   271,   426,
     689,   271,   949,    89,   302,   666,    87,   130,   305,   409,
      37,   740,   167,   190,   513,   452,   190,  1167,   190,   643,
    1167,  1167,   452,   772,   808,  1172,   421,  1172,  1172,  1169,
     167,  1169,   664,    39,    53,   109,   209,   267,   364,   153,
      62,   347,   504,   559,   153,   500,   153,   513,   153,   504,
     559,   463,   153,   504,   559,   153,   504,   190,   771,   190,
     772,   190,   772,   153,   504,   559,  1179,   153,   559,   153,
     153,   559,   153,   559,   153,    87,   130,   305,   409,   167,
     153,   559,   153,   167,   190,   153,   504,   559,   153,   504,
     559,   153,   286,  1137,   404,   501,   954,   785,   991,   785,
     991,   785,   991,   785,   991,   785,   991,   991,   991,   785,
     991,   500,   616,   617,  1184,   616,    28,   112,   136,   169,
     174,   224,   225,   304,   323,   356,   362,   369,   404,   407,
     426,   793,  1166,  1179,   790,  1169,   196,   504,   973,  1175,
    1076,  1141,    37,  1179,   808,   501,  1167,  1169,   232,  1184,
     167,   167,   793,  1179,   361,  1184,   541,   286,   500,  1161,
     498,   995,  1142,  1099,  1156,   500,   500,   167,   500,   500,
     995,   500,   500,   500,   500,   500,   500,   500,  1099,   500,
     500,   500,   500,   500,   500,   500,   500,   278,   606,   500,
     500,   500,   500,   500,   500,   500,   500,  1099,  1099,  1099,
     995,  1099,  1137,  1160,  1175,   500,  1175,     3,    10,    13,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   163,   164,
     165,   166,   168,   169,   170,   171,   173,   174,   175,   176,
     177,   179,   180,   182,   183,   184,   186,   187,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   215,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   252,   253,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   284,   285,   287,
     288,   289,   290,   291,   293,   294,   295,   296,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   450,   451,   452,   453,   454,   455,   457,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   478,   479,   480,   488,   489,
     490,   491,   492,   493,   494,   495,   496,  1132,  1134,  1136,
    1188,  1193,   460,  1115,   298,  1099,   216,   504,  1006,   500,
    1175,  1160,  1006,   121,   192,   550,   504,    70,   118,   541,
      37,     3,   118,   237,   539,   656,  1095,  1175,  1175,    92,
     135,  1111,   101,   118,   535,   536,   538,   656,   118,   535,
     232,  1167,    93,   346,   776,   501,   946,    34,    44,    51,
      77,   191,   196,   218,   233,   288,   291,   380,   501,   504,
    1001,  1168,    37,   500,  1137,  1174,  1093,  1093,    36,  1077,
     414,   414,  1174,  1174,   498,   498,  1174,   416,   416,   416,
     500,   416,  1174,  1170,   502,  1081,   172,  1042,    15,   490,
    1158,  1183,   501,   504,   949,   997,   997,  1015,  1016,  1099,
     997,   164,   262,  1026,   222,   267,   329,   378,   438,    28,
    1021,  1099,   491,   492,  1022,  1023,  1099,  1101,  1035,  1036,
    1020,  1019,  1017,  1018,   167,  1038,   281,  1040,  1017,  1035,
    1056,   962,  1167,  1056,    37,  1184,   375,  1137,    67,   416,
     416,   362,   196,   207,   292,   295,   377,   448,   493,   828,
     829,   830,   832,   834,   836,  1076,  1185,   416,   451,   416,
     362,   416,   416,   362,   234,   416,    78,   416,   407,   531,
     302,   917,   919,   490,   921,   167,   178,   196,   351,   803,
     804,    71,    90,   149,   169,   319,   433,   612,   613,    90,
     118,   271,   416,    90,   416,   118,   271,   362,    90,   131,
     141,   302,   341,   737,   362,   672,    27,    65,   136,   174,
     288,   323,   356,   419,   426,   767,   768,  1169,   153,   341,
     375,   554,   286,   656,   367,   229,   416,  1184,   416,   276,
     656,   122,   217,   362,   373,   418,   533,   772,   347,   375,
     841,   854,   126,   501,   823,   828,   416,   439,   407,  1167,
      79,   149,   190,   599,   612,  1184,    79,    90,   877,   307,
     286,   358,   360,   421,    90,   877,    31,   344,   358,   360,
     421,   358,  1167,   168,   202,   281,   772,   500,   416,   416,
     189,   500,   563,    22,   243,   407,   436,   461,   563,    90,
     504,   126,     5,     5,   302,   196,   153,   341,   375,   554,
     880,   440,   440,   268,  1076,   416,   362,   500,   859,  1169,
    1167,   416,   416,   362,   854,   126,   105,   404,   405,   889,
     890,  1054,  1167,  1184,   890,   416,   416,   740,   890,   112,
     375,   545,   416,   515,   545,   416,   416,   362,   854,   126,
    1167,   416,   416,  1167,  1078,   656,    58,   655,   656,   656,
     110,   248,   252,    58,   416,   513,   256,   362,   513,   267,
     654,   416,   416,   276,  1175,   682,   772,   416,   416,   362,
     391,   326,  1175,   326,   416,   326,   416,   326,   740,   740,
     407,  1053,   307,   307,    90,   416,   877,   362,   416,   416,
     563,   563,   772,   772,   772,   772,  1167,    46,   445,    46,
      46,   416,    46,   416,   445,   362,   500,   504,   545,   439,
     698,  1178,   416,   515,   545,  1167,   416,   877,   362,   302,
     341,   329,   342,   371,   537,   909,  1138,  1138,  1139,   501,
      15,    16,   504,  1013,  1014,   499,   505,  1167,   942,  1169,
    1167,   218,  1076,   218,   286,   218,   218,   656,   772,   772,
     218,   218,   218,  1076,   218,   218,   218,   286,   416,   172,
     416,   577,   426,   500,    37,   153,   772,   741,   742,  1187,
     917,  1076,   286,   153,   669,  1169,   271,   307,   500,   514,
     754,   440,   333,   452,  1167,    28,   890,   740,   514,   153,
    1178,    97,   178,   529,   591,   649,   712,   786,   806,   913,
     153,  1175,   690,   691,   153,   286,  1175,  1178,   240,   772,
     772,   772,   772,   145,   328,   500,   698,   271,   514,  1167,
     271,   651,   653,   271,    37,   281,   307,   500,   615,   615,
     190,   646,  1167,   167,   190,   809,  1169,   500,   744,   835,
    1169,   500,   826,   826,    37,  1076,    26,    49,   211,   713,
     224,   459,   461,   993,   364,   838,   837,  1076,  1169,   500,
     774,  1076,   824,   825,  1179,  1178,   153,   559,   153,   440,
     153,   440,   860,   861,   559,   824,  1179,   824,  1169,  1169,
    1076,   774,  1179,   698,   153,   771,   772,  1168,  1169,  1169,
     772,   501,   190,  1167,   954,   991,   991,   991,   991,   991,
     991,   616,   501,   504,   501,   175,   324,   357,   370,   405,
    1168,   771,   111,   372,   824,  1168,   280,   791,   792,  1184,
     824,   824,  1168,  1166,  1166,  1168,   771,   416,   459,   799,
     148,   234,   695,   696,    22,   151,   358,   378,   974,  1053,
     275,   975,   501,   504,   957,   416,  1167,   873,   874,   789,
     788,   789,   172,   179,   800,  1184,    27,    79,   136,   174,
     225,   323,   356,   426,   767,   768,  1137,   499,  1137,  1142,
    1143,   455,  1153,  1154,  1099,  1137,   500,  1174,  1174,     3,
     113,   188,   251,   254,   366,   477,  1144,  1145,  1175,  1137,
    1137,  1137,  1174,  1174,  1099,  1099,   859,  1099,  1138,  1140,
    1147,   358,   491,   492,   500,  1100,  1101,  1134,  1148,   501,
    1137,  1099,  1140,  1149,  1099,    56,   172,   228,   417,  1099,
    1137,  1150,   133,   271,   995,  1137,   256,  1101,  1099,  1109,
    1110,  1111,   256,  1099,  1111,   501,   504,  1174,  1097,  1076,
    1099,  1099,  1099,  1099,  1187,   414,    42,   401,  1162,   772,
    1099,   500,   995,  1151,   133,   135,   159,   263,   264,   265,
     266,   270,   271,   276,   423,   434,  1146,  1099,   500,  1099,
     416,    51,   191,   196,   233,   380,  1099,  1099,  1099,  1099,
    1099,  1099,  1099,  1099,  1099,  1099,    28,    35,   385,  1131,
     181,   162,  1116,   358,   500,  1128,   177,   237,   404,   408,
     410,   436,  1007,  1167,  1165,  1042,  1138,  1042,  1167,   418,
     500,  1175,   504,   501,   189,   189,   559,   952,   941,   945,
    1099,   501,   247,   271,  1002,  1137,   501,   501,   498,   479,
     479,   501,   501,  1174,   499,  1174,   501,   188,   251,  1098,
     251,  1098,  1098,  1174,   254,   501,  1170,   227,   359,   476,
     500,   995,  1043,  1044,  1045,  1053,  1059,  1069,  1102,  1104,
    1105,  1184,   456,  1064,  1180,   952,   950,   504,    38,   128,
     440,   818,   358,   359,   491,   492,  1023,  1025,  1101,   378,
     222,   287,   504,     5,  1024,  1174,  1024,   358,   359,  1025,
    1166,   275,   382,   976,  1036,  1018,   440,   971,   118,   300,
     500,   963,   994,    37,   440,  1184,   500,   978,   979,   980,
    1184,   501,  1178,  1169,  1169,   295,    58,  1185,   501,   830,
     832,   829,   832,  1185,   292,   501,   504,   773,  1178,  1169,
    1169,  1178,  1169,  1169,  1178,   451,  1169,  1169,   118,   538,
     656,   353,   439,   788,   362,   178,   788,   500,  1169,   440,
     810,   222,   222,   440,   606,   637,   190,  1169,   276,  1178,
    1169,  1169,  1099,   276,  1169,  1169,    31,   344,   416,   416,
    1169,   416,   673,   837,   500,  1076,   825,    73,   160,   861,
     825,   825,   167,  1076,   772,  1169,   184,   267,   302,   341,
     444,   676,   677,   678,  1053,   416,   877,   362,   276,   122,
     217,  1178,  1169,   286,  1169,   286,   501,   504,  1177,  1179,
    1169,   341,   554,   190,   599,   271,  1076,  1169,  1174,  1184,
    1167,  1169,   232,  1169,    28,   439,  1169,   190,  1169,   190,
    1184,   360,   421,   360,   421,   232,  1169,    28,   439,  1169,
     232,   358,  1167,    24,   138,   375,   683,   684,   685,   686,
    1187,  1178,  1169,   118,   173,   272,   440,   562,   565,   566,
    1187,   250,  1169,    75,   284,  1169,   557,   286,   416,   407,
    1167,   416,   877,   362,   126,  1169,  1169,   504,   501,   504,
    1178,  1169,   883,   884,  1187,   286,   341,   416,   706,  1178,
    1169,  1169,   286,  1053,   196,   504,   615,   615,  1160,  1178,
    1169,  1169,  1177,     3,    89,   143,   202,   309,   431,   439,
     442,   516,  1178,  1169,  1169,   286,   341,  1178,  1169,   341,
     375,   554,   653,   656,   772,  1169,   656,   772,  1169,   656,
    1178,  1169,   375,  1178,  1169,  1169,  1176,  1168,  1168,  1178,
     849,  1169,  1168,  1169,   341,   375,   554,   555,  1167,  1167,
    1169,  1169,  1169,  1169,  1178,  1169,    24,    30,   138,   302,
     341,   375,   302,   341,   375,   740,   341,   375,   341,   375,
     341,   880,  1068,  1184,   190,   750,  1184,   190,  1184,  1178,
    1169,  1169,  1175,  1169,   883,    24,   574,   372,  1177,   341,
     375,   554,  1169,  1169,  1169,   416,   416,    84,   430,   329,
     504,  1013,  1013,  1013,  1099,  1099,   448,  1139,   501,  1099,
    1159,   937,   276,   778,  1175,    37,   778,   136,   772,   778,
     778,   218,   440,   440,   778,   778,   778,   224,   778,   778,
     778,   772,   325,   578,   578,   200,   404,   711,  1099,  1076,
     772,   501,   504,   490,   603,  1187,  1169,    62,   172,   362,
     451,   670,   677,   678,   153,   281,   233,   593,   595,   597,
     599,   609,   612,    25,   196,   353,   402,   516,   517,   167,
    1169,   452,  1167,    37,   707,   405,   849,   527,  1184,   528,
     592,   821,  1169,   169,   772,   500,   639,   640,  1104,  1184,
     326,  1175,   740,   740,   740,   740,   500,   740,  1066,  1067,
    1068,   372,   153,   500,   153,   153,   152,   994,   772,   281,
     593,  1184,   440,   632,   459,   564,   271,    37,   615,  1175,
     271,   286,     3,   745,   746,   740,    26,   501,   827,   828,
     833,    37,   224,   350,   419,   458,   839,   840,   841,   842,
     839,   286,   224,   281,   123,   210,   424,   438,   714,   715,
    1169,   187,   187,   167,   559,    37,   513,   168,   925,   926,
     559,   559,   771,   772,  1169,   772,  1169,   559,   559,   559,
     559,   224,   559,   372,   167,   559,   559,   286,   559,   271,
     501,   617,   196,   196,   196,   196,   196,   463,  1168,   656,
     657,   504,   502,   181,   794,   795,  1178,    25,   800,   416,
     500,   172,   151,   378,   151,   378,   358,   438,   253,  1076,
    1178,   459,   644,   808,   808,   172,   286,   794,    58,   559,
     837,   772,  1076,   825,   280,   825,   825,  1076,   772,  1169,
     501,   499,   499,   504,  1099,   140,  1154,  1155,    37,   501,
    1099,   501,   501,   501,   172,   501,   501,   501,   501,   501,
     501,   504,   504,   501,   310,   501,   501,   500,  1100,  1100,
    1137,    13,    17,    18,    19,   196,   218,   288,   488,   489,
     490,   491,   492,   493,   494,   495,   496,  1134,  1100,   501,
     501,   167,   172,   380,   501,   501,    37,  1150,  1137,  1150,
    1150,   172,   501,   133,   501,  1187,   308,  1113,    37,   501,
     504,  1099,  1187,   504,  1099,  1161,  1099,   501,   479,  1100,
    1100,   146,  1137,   172,   133,   135,   159,   270,   276,   423,
     434,  1146,   270,   146,   859,  1099,   401,  1162,  1099,  1151,
    1099,   416,   500,   995,   500,   500,   297,  1120,   500,  1137,
     408,   410,   408,   410,  1167,  1008,  1008,  1008,  1064,  1013,
    1064,   910,  1174,  1097,   536,   952,   247,   500,   501,  1174,
    1096,  1096,   499,   499,   501,   995,  1059,  1069,   172,   500,
     995,  1044,  1045,    37,  1046,  1047,  1184,   504,    98,   173,
     206,   221,   231,   259,   352,  1050,  1047,    37,  1046,  1049,
    1184,  1047,   482,  1063,  1160,  1099,   181,  1027,  1016,   288,
    1132,  1135,   481,   819,     5,  1174,  1025,   287,   459,   438,
    1022,   242,  1043,   456,  1065,   446,   403,   439,   964,   965,
     966,  1184,   286,   967,  1184,  1044,   980,   981,   504,  1042,
     490,  1161,   836,   773,   832,   832,    58,   834,   495,  1179,
    1179,   286,  1168,   289,   286,  1099,   613,  1169,   500,   500,
     500,   637,   200,   500,   730,   153,   559,   416,  1178,  1169,
     541,  1076,   772,   772,  1076,   660,  1169,   184,   444,   416,
     416,   660,   676,   682,   341,   375,   554,  1169,  1169,  1169,
     208,   276,   156,   828,   301,   375,   416,   271,   153,    85,
     601,   602,   730,   375,    24,   138,   345,   346,   375,   558,
     567,   568,   682,   878,   367,   153,   559,   153,   559,  1169,
    1169,  1169,  1169,   367,   367,   232,   685,   686,   685,   501,
     504,   687,  1175,   200,   501,   504,   490,   502,  1169,   156,
    1178,  1169,   341,   375,   554,  1169,  1169,  1169,   286,   302,
     341,   375,    24,   138,   302,   341,   375,  1076,   268,  1076,
     501,   504,   490,  1167,   416,  1179,   440,   703,   156,   615,
     362,   889,   456,   622,   622,   615,   234,   309,   276,  1175,
     309,  1179,   437,   156,   416,   416,   362,   391,   849,   849,
     849,   301,   375,    90,   416,   877,   362,   118,   167,   569,
     163,   808,   416,   416,   244,   244,   244,   416,   416,   362,
     416,   416,   362,   416,   362,   416,   362,   416,   126,   559,
    1076,   271,  1175,   375,   878,   153,   559,   416,   416,   501,
    1169,   416,   877,   362,   416,  1178,  1169,   501,   501,   501,
    1139,   499,  1076,   772,   218,   778,  1169,  1169,  1169,   218,
     392,   393,   579,  1175,   579,   184,   501,   501,   172,   740,
     742,   268,   288,   491,   492,   656,   743,   832,  1135,  1175,
    1192,    71,    77,    90,   118,   120,   176,   204,   271,   276,
     319,   335,   433,   604,   605,   608,   152,   455,   513,   541,
    1169,   541,   290,   680,  1167,  1167,  1167,   501,   504,  1179,
     181,   353,  1179,  1174,   426,  1167,   615,     3,   167,   708,
     849,    47,   528,   404,   689,   111,   949,  1099,   172,   504,
    1168,   564,   747,   748,  1175,   501,   504,  1169,   167,   616,
    1167,   643,  1167,  1169,   644,   500,   594,  1167,   501,  1169,
     459,   461,   633,   563,    37,   153,   994,   632,   416,   153,
    1053,   490,   501,   504,   714,   501,   504,   118,   490,   843,
    1175,   541,   404,   831,   832,   167,   848,    50,   348,   844,
     845,   842,   845,   123,   210,   368,   438,   900,  1169,   281,
     286,   291,   184,   994,  1076,   500,   501,   504,   559,   440,
     559,   440,   559,  1169,  1169,   698,   772,   153,   362,   362,
     362,   362,   362,  1168,   504,   792,  1184,  1178,   459,   504,
     796,   289,  1055,   372,   151,   151,   111,   267,  1167,  1169,
    1179,   793,   800,  1178,   218,   218,   218,   218,   656,   218,
     218,   218,   218,   218,  1142,   412,  1099,   144,  1076,   501,
    1099,  1146,  1099,  1099,   501,  1137,   504,  1076,  1100,  1100,
    1100,  1100,   133,   135,   271,  1100,  1100,  1100,  1100,  1100,
    1100,  1100,  1100,  1100,  1100,  1099,  1099,  1099,  1076,   501,
     501,   501,  1137,   501,   504,    58,  1101,  1114,   501,  1187,
    1110,   316,   397,  1112,   501,   504,   451,  1106,    37,   501,
    1175,  1099,    34,    34,  1099,   501,  1099,   172,   270,  1099,
     501,   146,  1100,  1100,   146,   146,  1099,  1099,  1014,   456,
     500,  1121,  1184,   501,  1137,   504,  1008,  1008,  1008,  1008,
    1167,  1167,  1167,  1027,   501,  1027,   501,   957,   499,  1047,
    1049,  1047,   500,   471,  1101,   501,  1184,   500,  1044,   221,
     296,  1051,  1044,  1051,   221,  1050,  1051,   221,   406,  1057,
     500,  1184,   500,   293,    58,   185,  1034,   500,   819,   164,
     226,   287,   459,   413,   101,  1099,   349,   969,   445,   501,
     504,  1161,    88,   969,   286,   501,   504,   979,  1065,  1099,
     501,   495,   836,   426,   175,   357,   363,   370,   405,   427,
     805,   167,   805,   501,   500,   620,   621,   813,  1104,  1184,
     616,   616,   730,  1169,   616,   120,   204,   267,   271,   731,
    1169,  1169,    37,   440,   440,   224,   773,  1178,  1169,   416,
     877,   362,   416,   208,  1169,    58,   407,  1169,   153,   599,
     118,  1184,   680,   391,   176,   155,   189,   271,   563,   513,
     111,   176,   271,   391,   394,   563,   601,   654,   375,   568,
     426,  1169,  1184,   367,   684,  1169,   566,   743,  1187,  1169,
     301,   375,   416,   877,   362,   416,   156,   416,   416,   362,
     174,   288,   394,   752,   753,   174,   288,   760,   761,   416,
     416,   362,   501,   501,   501,   884,   268,   656,   832,   885,
    1135,  1175,  1192,   341,  1169,   500,   459,   704,  1169,   622,
     105,  1184,   500,   622,  1176,  1175,  1175,  1175,  1169,  1169,
    1169,  1169,  1176,    58,   407,  1169,  1169,  1169,  1169,   446,
    1169,  1169,   167,   167,   343,   167,   190,  1178,  1169,  1169,
    1178,  1169,  1169,  1169,  1169,  1169,  1169,  1169,   286,    77,
     560,   153,    26,    49,   426,  1184,  1169,  1175,   682,  1169,
    1169,  1169,  1169,  1013,   501,   218,   778,   218,   218,   218,
     778,   513,   440,   584,   585,   660,   730,   459,   461,   772,
     500,   772,  1169,  1100,    31,    58,   607,   121,   192,   120,
     276,   222,  1167,   606,   174,   323,   726,   733,   734,  1184,
     669,   500,   307,   500,   594,   610,   203,   627,   597,  1179,
    1179,  1076,   500,   564,    28,   123,   210,   368,   438,   709,
     416,   705,  1178,   190,  1167,   691,   463,   286,   501,  1043,
     640,   849,   501,   504,  1068,   680,   698,   501,   651,    37,
     281,   307,   500,   959,   596,   598,   600,   612,  1184,   307,
     628,   629,   594,   627,   563,   284,   286,   634,   994,   646,
     644,   564,  1175,  1169,   810,   743,     3,   746,   286,   833,
    1099,  1099,   504,   500,   839,   426,   504,    43,  1099,   416,
     500,   616,  1167,   715,   660,   501,   925,   926,  1169,  1169,
     559,   372,   559,  1168,  1168,  1168,  1168,  1168,   656,   178,
     795,   800,   501,  1169,   111,   800,   172,   559,   276,   781,
    1175,   781,   781,   781,   218,   781,   781,   781,   781,   781,
    1099,   501,   501,   501,   172,   501,  1099,   172,   133,   135,
     172,   167,   146,   501,   466,  1108,  1137,   334,   445,    58,
    1114,  1101,   457,   457,   501,  1099,   267,  1099,   504,  1107,
    1078,  1099,  1099,  1099,  1099,    34,    34,  1099,  1099,   146,
     501,   501,  1099,  1122,  1184,   501,  1099,  1167,  1167,  1167,
    1167,  1034,  1175,  1034,  1175,   501,  1060,  1061,  1104,   500,
    1113,  1046,   500,  1168,  1044,   286,   440,  1052,  1044,   221,
    1044,  1172,  1067,   500,  1067,  1184,  1009,  1099,   458,  1117,
     859,   413,   281,  1164,   994,   300,   994,   966,   286,   500,
     968,  1099,   490,   980,   969,   426,   501,   416,   788,   172,
     730,  1099,   501,   504,   459,    77,   812,   816,   812,   501,
     501,   501,   121,   192,   202,   120,   442,   559,  1076,  1169,
    1169,  1169,  1169,  1169,  1169,  1169,  1179,  1169,   599,   603,
    1176,   607,   190,   190,   276,   656,   607,   276,  1176,  1184,
    1076,   559,   559,   490,    58,   407,  1169,  1169,  1169,  1169,
    1169,  1178,  1169,  1169,  1174,  1174,  1076,   504,  1174,  1174,
     504,  1178,  1169,  1169,   416,  1099,    71,  1099,  1179,  1169,
     416,   416,   172,   196,   459,  1168,  1168,   772,  1168,   153,
     156,   772,  1175,  1175,  1076,   559,   559,   416,   501,   218,
     778,   778,   778,   778,   500,   580,   581,   513,   125,   174,
     207,   174,  1099,   271,   605,   118,    37,   849,   615,   849,
    1172,    34,   152,   196,   681,   685,   281,   593,   569,   150,
     198,   500,   372,   440,   616,    37,  1179,   703,   528,   271,
     500,   169,  1169,   639,  1175,   372,   564,   152,   994,   772,
     281,   593,   644,   501,   504,   459,   603,    58,   632,   569,
     628,    83,   407,   635,   459,   914,    37,   635,   172,   286,
     500,  1167,  1175,   830,   850,   851,  1185,   845,  1076,   167,
     846,  1167,   172,   416,   870,   336,   716,   205,   661,   559,
     501,   559,   559,  1169,   289,   216,   559,   794,   781,  1099,
     501,  1100,   172,  1099,  1099,  1099,   500,   501,   504,   501,
    1114,   501,   445,   388,   501,   501,  1099,  1099,  1099,   501,
     307,  1123,   501,  1117,  1117,   365,  1003,   501,   504,    37,
    1062,   118,  1074,  1075,  1100,    80,  1168,   501,  1099,   500,
    1044,  1052,   500,   501,  1067,   501,   100,   182,   355,   500,
    1028,  1029,  1030,  1031,  1032,  1033,  1099,  1118,  1119,  1184,
    1013,   501,   991,   964,    90,   811,   813,   134,   455,   983,
     984,  1099,   794,   286,   794,   501,   197,   618,   621,   288,
     859,   772,   772,   817,   335,   618,   618,   501,   416,   375,
     975,    37,   153,   153,   560,   743,  1179,  1169,   416,   500,
     825,   859,   861,   753,   500,   500,   761,  1169,   501,   500,
     501,   375,   975,  1169,  1169,   500,   500,   500,   459,   482,
     934,   343,   934,   934,   167,  1169,   560,  1169,   778,   586,
     587,  1187,    53,    99,   124,   142,   146,   168,   171,   186,
     276,   327,   582,   580,  1175,   825,    37,   866,   866,   501,
     189,   500,   440,   636,   245,   619,   636,   500,   734,   726,
     500,   501,   504,  1167,   501,   372,    28,    82,    85,    91,
     119,   176,   189,   201,   391,   394,   611,   611,  1166,  1169,
    1169,   501,   994,   704,   153,   111,   680,   172,  1169,    37,
    1169,   644,   594,  1167,   501,   598,   290,  1184,   633,   628,
     632,   123,   138,   316,  1169,    63,    71,   237,   994,   772,
    1053,   811,   172,   729,   832,   501,   504,   426,   144,   510,
     844,   847,  1064,   386,   386,   501,   261,   285,   717,   718,
     719,   167,   722,   660,   267,   444,   662,   663,  1169,   800,
     167,  1100,  1109,  1137,   267,   478,    58,  1013,    57,   127,
     110,  1004,  1063,  1060,   500,  1100,   501,   504,    37,  1070,
    1071,  1184,   501,  1168,  1137,   501,   500,   376,   500,   501,
     504,   504,    37,  1018,   445,  1169,   501,   504,   272,   438,
     246,   271,   984,   796,   805,   559,   812,   500,   849,   500,
     563,   818,  1167,   849,   849,  1169,   407,   189,   440,   561,
     375,   975,  1169,  1141,   167,   756,   756,  1141,  1141,  1099,
     407,  1137,  1137,   570,   571,  1186,   771,   772,   771,   772,
    1168,   559,   501,   504,   493,   500,   538,   588,   656,   931,
    1175,   931,   271,   276,   327,   931,   931,  1064,   866,    41,
     194,   267,   614,   500,   652,  1099,   200,   173,   306,   381,
     286,   623,   624,   625,   501,  1172,     6,   735,   685,   594,
     627,  1169,   501,   680,   160,   755,   564,   914,  1167,   463,
    1043,   680,   994,   959,   628,   594,   627,   603,   500,   634,
     632,   633,   359,   359,    71,   289,    71,   644,   810,   501,
    1167,   730,   839,   850,  1076,   503,   134,   459,   459,   718,
     358,   404,   720,   139,   723,   455,   725,   444,   660,   680,
     559,  1099,   501,   501,   445,  1137,   183,   328,   359,  1124,
     164,   164,   616,  1067,   504,  1075,  1187,   501,   504,   167,
    1076,   501,   501,  1137,   500,  1137,  1029,  1119,  1121,  1036,
     994,  1064,   813,   375,    34,   985,   246,   172,   616,   636,
     859,   818,   819,   615,   636,   636,  1169,   652,  1099,   407,
     501,   292,   365,   332,   757,   757,   501,   501,   501,  1169,
     501,   501,   501,   504,  1174,   934,   587,   538,   589,   590,
    1175,  1175,   276,   616,   493,   616,  1175,  1175,   202,   653,
     501,   407,   123,   438,   286,   625,   286,   624,   500,   501,
     504,   569,   372,   680,   772,    37,    37,   500,  1169,   914,
     644,   632,   569,   628,   500,   630,   631,  1104,  1184,   635,
     633,   634,   289,   289,   500,   197,   814,   167,   845,    29,
     211,   901,   174,   174,   931,   358,   390,   724,   500,   152,
      51,   101,   429,  1099,  1125,  1126,  1125,  1125,   501,    58,
      58,   375,   501,  1101,  1071,   293,     3,   118,   271,   276,
    1072,  1073,    37,  1048,   342,  1058,   501,  1028,   501,   978,
    1099,   412,   985,   794,   501,   622,   501,   819,   619,   730,
     730,   975,  1169,   825,    58,   975,   416,   570,   772,   501,
     504,   616,   501,   395,  1169,    62,   267,   347,   375,   626,
     626,   501,     6,   372,  1169,   752,   994,   680,   633,   628,
     632,  1099,   501,   504,   816,   816,   634,   635,   811,   500,
     606,   139,   272,   500,   896,   898,   902,   961,   970,   977,
     994,  1005,   825,   825,   721,  1184,  1099,   726,  1126,   358,
     166,   314,   166,   314,   149,  1127,  1127,  1127,   616,   616,
    1184,  1113,  1100,  1100,   276,  1073,  1184,   500,   501,  1064,
     123,   134,   438,   986,   987,   412,   559,   730,   623,   975,
     772,   500,   590,    23,   118,   276,  1169,   680,   914,   634,
     632,   633,   501,   631,   772,   817,   817,   635,   501,   813,
     815,   564,   358,   897,   898,   899,   995,   996,   504,   504,
     501,  1172,    34,   101,   181,   267,   413,   375,   375,   416,
     440,    80,  1099,   272,   375,   134,   210,   988,   730,  1137,
     615,   615,   680,   635,   633,   634,   816,   814,   501,   504,
     635,   725,   501,   503,   416,   172,   500,  1126,   358,   294,
    1184,  1184,  1172,  1173,  1184,  1070,   501,   978,   272,   118,
     300,   446,   500,   989,   501,   634,   635,   817,   606,   813,
    1064,   152,   899,   386,   386,     5,   727,   728,  1174,  1175,
    1187,   500,   118,   501,   446,   964,   500,   965,   635,   564,
     726,   459,   459,   501,   504,  1138,  1173,   445,  1137,   501,
     635,  1172,   174,   174,   728,  1013,   440,   989,   501,   300,
     989,  1064,   500,   825,   825,   501,  1184,   964,   727,   445,
     501,   989
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_int16 yyr1[] =
{
       0,   506,   507,   507,   507,   507,   507,   507,   508,   508,
     509,   509,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   511,   512,   513,
     513,   513,   514,   514,   515,   515,   516,   516,   516,   516,
     516,   516,   516,   516,   516,   517,   517,   517,   517,   517,
     517,   518,   519,   519,   520,   520,   521,   521,   521,   521,
     522,   522,   522,   522,   522,   522,   523,   524,   525,   525,
     526,   526,   526,   526,   527,   527,   528,   528,   529,   529,
     529,   529,   529,   529,   530,   530,   530,   531,   531,   531,
     532,   532,   532,   532,   533,   533,   533,   533,   533,   533,
     533,   533,   533,   533,   533,   534,   534,   535,   535,   536,
     536,   537,   537,   537,   537,   538,   538,   538,   538,   539,
     539,   539,   539,   539,   539,   539,   540,   540,   540,   541,
     541,   542,   543,   543,   543,   543,   544,   544,   545,   545,
     546,   546,   547,   547,   547,   547,   547,   548,   549,   549,
     550,   550,   551,   552,   552,   552,   552,   552,   553,   553,
     553,   553,   553,   553,   553,   553,   553,   553,   553,   553,
     553,   553,   553,   553,   553,   553,   553,   553,   553,   554,
     554,   555,   555,   555,   556,   557,   557,   557,   557,   557,
     557,   557,   557,   557,   557,   557,   557,   557,   557,   557,
     557,   557,   557,   557,   557,   557,   557,   557,   557,   557,
     557,   557,   557,   557,   557,   557,   557,   557,   557,   557,
     557,   557,   557,   557,   557,   557,   557,   557,   557,   557,
     557,   557,   557,   557,   557,   557,   557,   557,   557,   557,
     557,   557,   557,   557,   557,   558,   558,   559,   559,   559,
     560,   560,   561,   561,   562,   562,   562,   562,   563,   564,
     564,   565,   565,   566,   566,   566,   566,   567,   567,   568,
     568,   568,   568,   569,   569,   569,   569,   570,   571,   571,
     572,   573,   573,   574,   574,   574,   574,   575,   575,   576,
     576,   577,   577,   578,   578,   579,   579,   579,   580,   580,
     581,   581,   582,   582,   582,   582,   582,   582,   582,   582,
     582,   582,   582,   582,   582,   583,   583,   584,   584,   585,
     585,   586,   586,   587,   588,   588,   588,   588,   588,   589,
     589,   590,   591,   591,   591,   591,   591,   591,   592,   592,
     592,   592,   592,   592,   592,   592,   593,   593,   594,   594,
     595,   595,   596,   596,   597,   597,   597,   598,   598,   599,
     600,   600,   601,   601,   602,   602,   603,   603,   604,   604,
     604,   604,   605,   605,   605,   605,   605,   605,   605,   605,
     605,   606,   606,   606,   607,   607,   608,   608,   608,   608,
     609,   610,   610,   610,   611,   611,   611,   611,   611,   611,
     611,   611,   611,   611,   612,   612,   613,   613,   613,   613,
     613,   613,   613,   614,   614,   615,   615,   616,   616,   617,
     618,   618,   619,   619,   619,   619,   620,   620,   621,   621,
     622,   622,   623,   623,   623,   623,   623,   624,   625,   626,
     626,   626,   626,   626,   627,   627,   628,   628,   629,   630,
     630,   631,   631,   631,   632,   632,   633,   633,   633,   634,
     634,   634,   634,   635,   635,   636,   636,   637,   638,   638,
     639,   639,   640,   640,   640,   641,   641,   642,   642,   643,
     644,   644,   644,   645,   645,   646,   647,   647,   648,   649,
     649,   650,   650,   651,   651,   652,   652,   653,   653,   654,
     654,   654,   654,   654,   654,   654,   654,   654,   654,   654,
     654,   654,   654,   654,   654,   655,   655,   656,   656,   656,
     656,   657,   657,   658,   658,   659,   659,   660,   660,   661,
     661,   662,   662,   663,   663,   664,   664,   665,   666,   666,
     667,   667,   668,   668,   669,   669,   670,   670,   670,   670,
     671,   672,   672,   673,   674,   674,   674,   674,   674,   674,
     674,   674,   674,   674,   674,   674,   674,   675,   676,   676,
     676,   676,   677,   677,   678,   678,   679,   679,   680,   680,
     681,   681,   682,   683,   683,   684,   684,   684,   684,   685,
     686,   687,   688,   688,   689,   689,   690,   690,   691,   691,
     692,   692,   692,   693,   693,   693,   693,   694,   695,   695,
     696,   696,   697,   697,   698,   698,   699,   699,   700,   701,
     702,   703,   703,   704,   704,   705,   705,   706,   706,   707,
     707,   708,   708,   709,   709,   709,   709,   709,   710,   711,
     711,   712,   712,   713,   713,   713,   714,   714,   715,   715,
     715,   715,   715,   716,   716,   717,   717,   718,   719,   719,
     720,   720,   721,   722,   722,   723,   723,   724,   724,   725,
     725,   726,   726,   727,   727,   727,   728,   728,   728,   728,
     729,   729,   730,   730,   731,   731,   731,   731,   731,   731,
     732,   732,   733,   733,   734,   735,   735,   736,   737,   737,
     737,   737,   738,   739,   739,   739,   739,   739,   739,   739,
     739,   739,   739,   739,   739,   739,   739,   739,   739,   740,
     741,   741,   742,   742,   743,   743,   743,   743,   743,   743,
     744,   745,   745,   746,   747,   747,   748,   748,   749,   749,
     749,   749,   750,   750,   751,   752,   752,   753,   753,   753,
     753,   753,   754,   754,   755,   755,   756,   756,   756,   757,
     757,   758,   759,   759,   760,   760,   761,   761,   762,   762,
     763,   763,   764,   765,   766,   766,   766,   766,   766,   766,
     766,   766,   766,   766,   766,   766,   767,   767,   767,   767,
     767,   767,   767,   767,   767,   767,   767,   767,   767,   768,
     768,   768,   768,   768,   769,   769,   769,   769,   769,   769,
     769,   769,   770,   770,   770,   771,   771,   772,   772,   773,
     773,   774,   774,   775,   776,   776,   776,   777,   777,   777,
     777,   777,   777,   777,   777,   777,   777,   777,   777,   777,
     777,   777,   777,   777,   777,   778,   778,   779,   779,   779,
     779,   779,   779,   779,   779,   779,   779,   780,   780,   781,
     781,   782,   782,   783,   783,   783,   783,   783,   783,   783,
     783,   783,   783,   783,   783,   783,   783,   783,   783,   784,
     784,   785,   785,   786,   787,   787,   788,   788,   788,   788,
     788,   789,   789,   790,   790,   790,   790,   790,   791,   791,
     792,   792,   793,   793,   793,   793,   793,   793,   793,   793,
     793,   793,   793,   793,   793,   793,   793,   793,   793,   793,
     793,   793,   793,   794,   794,   795,   795,   796,   796,   797,
     798,   798,   799,   799,   800,   800,   801,   802,   802,   803,
     803,   803,   804,   804,   804,   805,   805,   805,   805,   805,
     805,   806,   806,   807,   807,   808,   808,   809,   809,   810,
     810,   811,   811,   812,   812,   813,   813,   813,   814,   814,
     815,   815,   816,   816,   817,   817,   818,   818,   818,   819,
     819,   819,   820,   820,   820,   820,   821,   821,   822,   822,
     823,   823,   824,   824,   825,   825,   825,   825,   826,   826,
     827,   827,   828,   828,   828,   828,   828,   829,   829,   829,
     829,   829,   830,   831,   832,   832,   832,   833,   833,   833,
     834,   835,   835,   835,   835,   836,   836,   837,   838,   838,
     839,   839,   840,   840,   841,   841,   841,   841,   841,   841,
     841,   841,   841,   841,   841,   841,   841,   841,   841,   841,
     841,   842,   842,   842,   842,   842,   843,   843,   844,   845,
     845,   845,   846,   846,   847,   847,   848,   848,   849,   849,
     850,   851,   851,   852,   852,   852,   853,   853,   854,   854,
     855,   855,   855,   855,   855,   855,   856,   856,   857,   857,
     858,   858,   858,   858,   859,   859,   860,   860,   861,   862,
     863,   863,   864,   864,   865,   865,   865,   866,   866,   866,
     867,   868,   868,   869,   870,   870,   870,   870,   871,   872,
     872,   872,   872,   873,   873,   874,   874,   874,   875,   875,
     876,   876,   876,   876,   876,   876,   876,   876,   876,   876,
     876,   876,   876,   876,   876,   876,   876,   876,   876,   876,
     876,   876,   876,   876,   876,   876,   876,   876,   876,   876,
     876,   876,   876,   876,   876,   876,   876,   876,   876,   876,
     876,   876,   876,   876,   876,   876,   876,   876,   876,   876,
     876,   876,   876,   876,   876,   877,   877,   878,   878,   879,
     879,   879,   879,   879,   879,   880,   880,   881,   881,   881,
     881,   881,   881,   881,   881,   881,   881,   881,   881,   881,
     881,   881,   881,   881,   881,   881,   881,   881,   881,   881,
     881,   881,   881,   881,   882,   883,   883,   884,   884,   885,
     885,   885,   885,   885,   886,   887,   887,   887,   887,   887,
     887,   887,   887,   887,   887,   887,   887,   887,   887,   887,
     887,   887,   887,   887,   887,   887,   887,   887,   887,   888,
     888,   888,   889,   889,   889,   889,   889,   889,   889,   890,
     890,   891,   891,   891,   891,   892,   893,   893,   893,   893,
     893,   893,   893,   893,   893,   894,   894,   895,   896,   896,
     896,   897,   897,   898,   898,   898,   898,   898,   899,   899,
     900,   900,   900,   900,   901,   901,   901,   902,   903,   903,
     904,   905,   905,   906,   906,   906,   906,   906,   906,   906,
     906,   906,   906,   906,   906,   907,   907,   908,   908,   908,
     909,   909,   909,   909,   909,   910,   910,   910,   911,   911,
     912,   912,   912,   913,   913,   913,   913,   914,   914,   914,
     914,   915,   916,   917,   917,   918,   918,   919,   919,   919,
     920,   920,   920,   920,   920,   920,   920,   921,   921,   922,
     922,   922,   922,   923,   924,   924,   924,   924,   925,   925,
     926,   927,   928,   928,   929,   930,   930,   930,   930,   930,
     930,   930,   931,   931,   932,   933,   933,   933,   933,   933,
     933,   934,   934,   935,   936,   936,   936,   936,   937,   937,
     938,   938,   939,   939,   940,   940,   941,   941,   942,   943,
     943,   944,   944,   944,   945,   945,   946,   946,   947,   947,
     948,   948,   949,   949,   950,   951,   951,   952,   952,   953,
     953,   953,   953,   954,   954,   954,   954,   954,   954,   954,
     954,   954,   954,   955,   956,   956,   957,   957,   957,   957,
     957,   958,   958,   958,   959,   959,   960,   960,   960,   960,
     961,   962,   962,   963,   963,   963,   963,   963,   964,   964,
     965,   965,   966,   967,   967,   967,   968,   968,   968,   969,
     969,   970,   971,   971,   972,   973,   973,   974,   974,   974,
     974,   974,   974,   974,   974,   975,   975,   976,   976,   976,
     977,   978,   978,   979,   979,   980,   981,   981,   982,   983,
     983,   984,   984,   984,   984,   984,   985,   985,   986,   987,
     988,   988,   988,   988,   988,   989,   990,   991,   992,   992,
     992,   992,   992,   992,   993,   993,   993,   994,   994,   995,
     995,   996,   996,   996,   996,   996,   996,   996,   996,   997,
     997,   998,   998,   998,   998,   998,   998,   998,   999,   999,
     999,  1000,  1000,  1001,  1002,  1002,  1002,  1003,  1003,  1003,
    1004,  1004,  1004,  1005,  1005,  1006,  1006,  1007,  1007,  1007,
    1007,  1007,  1007,  1007,  1007,  1007,  1008,  1008,  1009,  1009,
    1009,  1010,  1010,  1011,  1011,  1012,  1012,  1013,  1013,  1014,
    1015,  1015,  1016,  1016,  1017,  1017,  1017,  1017,  1018,  1018,
    1019,  1019,  1019,  1019,  1019,  1019,  1020,  1020,  1021,  1021,
    1022,  1023,  1023,  1023,  1024,  1024,  1025,  1025,  1026,  1026,
    1027,  1027,  1028,  1028,  1029,  1029,  1029,  1029,  1029,  1030,
    1031,  1032,  1033,  1034,  1034,  1035,  1035,  1036,  1036,  1037,
    1037,  1038,  1039,  1039,  1039,  1039,  1040,  1040,  1041,  1041,
    1042,  1042,  1043,  1043,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1045,  1045,  1045,  1045,  1045,  1045,
    1046,  1046,  1046,  1046,  1047,  1047,  1048,  1048,  1049,  1049,
    1049,  1049,  1049,  1050,  1050,  1050,  1050,  1051,  1051,  1052,
    1052,  1053,  1053,  1054,  1054,  1054,  1055,  1055,  1056,  1056,
    1056,  1057,  1058,  1058,  1059,  1059,  1060,  1061,  1061,  1062,
    1062,  1063,  1063,  1064,  1064,  1065,  1065,  1065,  1066,  1066,
    1067,  1067,  1068,  1069,  1069,  1070,  1070,  1071,  1071,  1071,
    1072,  1072,  1073,  1073,  1073,  1073,  1074,  1074,  1075,  1075,
    1076,  1076,  1076,  1076,  1076,  1076,  1077,  1077,  1077,  1078,
    1078,  1078,  1078,  1078,  1078,  1078,  1079,  1079,  1079,  1079,
    1080,  1080,  1081,  1081,  1082,  1082,  1082,  1082,  1082,  1082,
    1082,  1082,  1082,  1082,  1082,  1083,  1083,  1084,  1084,  1085,
    1085,  1086,  1087,  1088,  1088,  1089,  1089,  1090,  1091,  1092,
    1092,  1092,  1092,  1092,  1092,  1093,  1093,  1094,  1094,  1094,
    1094,  1095,  1096,  1096,  1096,  1097,  1097,  1097,  1097,  1097,
    1097,  1097,  1097,  1097,  1097,  1097,  1097,  1097,  1097,  1098,
    1098,  1099,  1099,  1099,  1099,  1099,  1099,  1099,  1099,  1099,
    1099,  1099,  1099,  1099,  1099,  1099,  1099,  1099,  1099,  1099,
    1099,  1099,  1099,  1099,  1099,  1099,  1099,  1099,  1099,  1099,
    1099,  1099,  1099,  1099,  1099,  1099,  1099,  1099,  1099,  1099,
    1099,  1099,  1099,  1099,  1099,  1099,  1099,  1099,  1099,  1099,
    1099,  1099,  1099,  1099,  1099,  1099,  1099,  1099,  1099,  1099,
    1099,  1099,  1099,  1099,  1099,  1099,  1100,  1100,  1100,  1100,
    1100,  1100,  1100,  1100,  1100,  1100,  1100,  1100,  1100,  1100,
    1100,  1100,  1100,  1100,  1100,  1100,  1100,  1100,  1101,  1101,
    1101,  1101,  1101,  1101,  1101,  1101,  1101,  1101,  1101,  1101,
    1101,  1101,  1102,  1102,  1102,  1102,  1102,  1102,  1102,  1103,
    1103,  1104,  1104,  1105,  1105,  1105,  1105,  1105,  1105,  1105,
    1105,  1105,  1105,  1105,  1105,  1105,  1105,  1105,  1105,  1105,
    1105,  1105,  1105,  1105,  1105,  1105,  1105,  1105,  1105,  1105,
    1105,  1105,  1105,  1105,  1105,  1105,  1105,  1105,  1105,  1105,
    1105,  1105,  1105,  1105,  1105,  1105,  1105,  1105,  1105,  1106,
    1106,  1107,  1107,  1107,  1107,  1108,  1109,  1109,  1110,  1110,
    1111,  1111,  1112,  1112,  1112,  1113,  1113,  1113,  1113,  1114,
    1114,  1115,  1115,  1116,  1116,  1117,  1117,  1118,  1118,  1119,
    1120,  1120,  1120,  1121,  1122,  1122,  1123,  1123,  1124,  1124,
    1124,  1124,  1125,  1125,  1126,  1126,  1126,  1126,  1126,  1127,
    1127,  1127,  1127,  1127,  1128,  1128,  1128,  1129,  1129,  1130,
    1131,  1131,  1131,  1132,  1132,  1133,  1133,  1133,  1133,  1133,
    1133,  1133,  1133,  1133,  1133,  1133,  1133,  1134,  1134,  1135,
    1135,  1136,  1136,  1136,  1136,  1136,  1136,  1137,  1137,  1138,
    1138,  1139,  1139,  1139,  1140,  1140,  1141,  1141,  1142,  1142,
    1142,  1143,  1143,  1144,  1145,  1145,  1145,  1145,  1145,  1145,
    1145,  1145,  1146,  1146,  1146,  1146,  1147,  1147,  1148,  1149,
    1149,  1149,  1149,  1149,  1150,  1150,  1150,  1151,  1151,  1152,
    1153,  1153,  1154,  1155,  1155,  1156,  1156,  1157,  1157,  1158,
    1158,  1158,  1158,  1159,  1159,  1160,  1160,  1161,  1161,  1162,
    1162,  1163,  1163,  1164,  1164,  1165,  1165,  1165,  1165,  1166,
    1166,  1167,  1167,  1168,  1168,  1169,  1170,  1171,  1172,  1172,
    1173,  1173,  1173,  1173,  1173,  1173,  1173,  1173,  1173,  1173,
    1173,  1173,  1173,  1174,  1175,  1176,  1176,  1176,  1177,  1178,
    1178,  1178,  1178,  1179,  1179,  1180,  1181,  1182,  1182,  1183,
    1183,  1184,  1184,  1184,  1185,  1185,  1185,  1186,  1186,  1186,
    1186,  1187,  1187,  1187,  1187,  1187,  1188,  1188,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1190,  1190,  1190,
    1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,
    1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,
    1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,
    1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,
    1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1191,  1191,
    1191,  1191,  1191,  1191,  1191,  1191,  1191,  1191,  1191,  1191,
    1191,  1191,  1191,  1191,  1191,  1191,  1191,  1191,  1191,  1191,
    1191,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     1,     2,     2,     2,     2,     2,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     2,     5,     1,
       1,     0,     2,     0,     2,     0,     2,     2,     3,     3,
       1,     3,     3,     2,     1,     1,     2,     2,     2,     3,
       3,     5,     5,     5,     0,     3,     5,     5,     5,     5,
       3,     5,     3,     5,     3,     5,     5,     6,     1,     1,
       6,     4,     9,     7,     1,     0,     2,     0,     1,     1,
       1,     1,     1,     1,     2,     3,     3,     2,     5,     1,
       3,     3,     3,     3,     1,     3,     3,     2,     2,     2,
       2,     3,     3,     3,     3,     1,     3,     1,     3,     1,
       1,     2,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     3,     5,     1,     1,     1,     1,     1,     0,     1,
       1,     2,     1,     2,     3,     2,     1,     1,     2,     1,
       2,     1,     2,     3,     4,     3,     2,     4,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     4,     6,
       4,     6,    10,    13,     4,     6,     4,    10,    13,     4,
       6,     4,     6,     5,     7,    11,    14,     5,     7,     1,
       3,     4,     4,     4,     3,     2,     5,     3,     6,     4,
       6,     6,     5,     7,     6,     6,     5,     5,     6,     5,
       9,     4,     5,     7,     6,     4,     8,     4,     2,     4,
       3,     6,     4,     3,     3,     3,     2,     2,     3,     4,
       4,     3,     3,     3,     3,     3,     3,     4,     4,     3,
       2,     3,     2,     2,     3,     4,     3,     2,     2,     3,
       4,     4,     4,     5,     1,     3,     2,     1,     1,     0,
       2,     0,     2,     0,     1,     1,     1,     3,     3,     2,
       0,     1,     3,     3,     1,     5,     3,     1,     2,     1,
       3,     2,     3,     6,     6,    10,     1,     2,     1,     3,
       4,     1,     3,     4,     6,     4,     8,     2,     2,    11,
       9,     1,     1,     1,     0,     1,     1,     1,     1,     3,
       2,     0,     1,     1,     3,     3,     1,     1,     3,     3,
       3,     3,     4,     3,     2,     1,     0,     3,     0,     1,
       0,     1,     3,     2,     1,     1,     1,     3,     0,     1,
       3,     1,    13,    16,    12,    15,    14,    17,     1,     1,
       2,     2,     2,     2,     1,     0,     1,     0,     3,     0,
       1,     3,     1,     3,     1,     1,     1,     1,     1,     5,
       2,     4,     2,     2,     1,     0,     2,     0,     3,     1,
       1,     2,     2,     1,     4,     4,     5,     2,     5,     7,
       5,     2,     3,     0,     1,     2,     1,     2,     2,     2,
       3,     3,     3,     0,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     1,     5,     9,     3,     9,
       4,    10,    11,     2,     0,     3,     0,     1,     3,     1,
       4,     0,     2,     2,     2,     0,     1,     3,     3,     6,
       4,     0,     1,     1,     2,     2,     0,     3,     3,     2,
       1,     1,     3,     3,     4,     0,     1,     0,     6,     1,
       3,     3,     3,     5,     2,     0,     2,     2,     0,     3,
       4,     4,     0,     2,     0,     4,     0,     3,     8,    11,
       1,     3,     1,     1,     3,     6,     8,     7,    10,     6,
       2,     3,     0,     8,    11,     5,     1,     0,     6,     5,
       8,     4,     6,     1,     0,     3,     0,     1,     2,     2,
       2,     1,     2,     3,     1,     2,     2,     2,     2,     3,
       3,     3,     1,     3,     1,     1,     0,     1,     2,     2,
       1,     1,     3,     6,    10,     1,     0,     1,     2,     2,
       0,     2,     2,     1,     0,     1,     0,     7,     2,     0,
       3,     5,     5,     8,     2,     0,     2,     2,     2,     1,
       5,     2,     0,     2,     6,     6,     6,    10,     6,     6,
       6,     9,     9,     6,     6,     9,     6,     7,     2,     2,
       2,     2,     1,     2,     1,     0,     7,     6,     4,     0,
       1,     3,     4,     1,     3,     1,     2,     2,     2,     2,
       1,     1,    10,    13,     2,     0,     2,     2,     1,     0,
       5,     4,     4,    11,    14,    12,    15,    11,     2,     1,
       4,     0,     8,    11,     1,     1,     7,     9,     8,    10,
       8,     4,     0,     5,     0,     2,     0,     2,     0,     2,
       0,     2,     0,     1,     1,     1,     1,     1,     8,     1,
       1,    17,    21,     1,     1,     2,     1,     3,     1,     1,
       1,     3,     1,     2,     0,     1,     2,     4,     1,     1,
       1,     1,     1,     3,     0,     1,     0,     1,     1,     4,
       0,     1,     1,     1,     3,     0,     1,     1,     1,     1,
       2,     0,     0,     2,     2,     1,     2,     2,     2,     2,
      11,    13,     1,     3,     5,     1,     3,     5,     1,     2,
       2,     1,     8,     6,     5,     4,     4,     3,     7,     8,
       6,     6,     6,     6,     6,     4,     7,     5,     8,     3,
       1,     3,     3,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     3,     3,     1,     0,     1,     3,     7,     9,
       9,     8,     3,     0,    13,     1,     3,     5,     5,     3,
       6,     2,     1,     0,     2,     0,     2,     4,     0,     1,
       0,     6,     8,     8,     1,     3,     5,     5,     7,     9,
       7,     9,     5,     6,     6,     4,     6,     4,     6,     8,
       4,     6,     4,     6,     5,     7,     1,     1,     1,     2,
       1,     2,     1,     1,     1,     3,     3,     3,     3,     1,
       1,     1,     1,     1,     2,     2,     1,     3,     2,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     2,     2,
       3,     1,     3,     5,     2,     2,     0,     6,     6,     6,
       6,     6,     6,     6,     6,     8,     9,     8,     6,     6,
       9,     9,     9,     7,    10,     1,     1,     8,     8,     8,
       8,     8,     8,     8,     9,     8,     8,     2,     0,     1,
       1,     2,     2,     1,     2,     3,     3,     3,     3,     4,
       4,     3,     3,     3,     4,     4,     3,     4,     4,     1,
       1,     1,     0,     8,     8,    11,     1,     1,     2,     4,
       5,     1,     3,     2,     2,     2,     2,     2,     1,     3,
       1,     3,     1,     2,     2,     4,     3,     2,     2,     2,
       2,     2,     2,     3,     2,     2,     2,     2,     5,     5,
       5,     5,     5,     1,     3,     1,     2,     3,     0,     6,
       6,     9,     3,     0,     3,     0,     5,     2,     0,     3,
       3,     3,     7,     7,    10,     1,     1,     1,     1,     1,
       1,    16,    19,     1,     0,     1,     0,     1,     0,     2,
       0,     1,     3,     4,     5,     2,     2,     4,     4,     0,
       1,     3,     2,     0,     1,     0,     1,     1,     0,     2,
       2,     0,     9,    12,     7,     7,     2,     0,     3,     2,
       1,     3,     1,     3,     2,     1,     1,     2,     3,     2,
       1,     3,     3,     3,     2,     2,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     4,     5,     1,     3,     3,
       1,     3,     3,     5,     6,     1,     3,     2,     1,     3,
       1,     0,     1,     2,     4,     5,     1,     1,     1,     1,
       3,     3,     2,     2,     1,     2,     2,     2,     2,     1,
       2,     2,     2,     2,     1,     1,     1,     3,     2,     1,
       4,     0,     3,     0,     1,     1,     3,     5,     2,     0,
       2,     1,     3,     5,     5,     5,     1,     2,     1,     0,
       4,     6,     4,     6,     4,     6,     4,     6,     4,     6,
       3,     5,     5,     5,     1,     3,     1,     3,     2,     2,
       1,     2,     1,     2,    11,    10,    10,     2,     2,     0,
       9,     2,     0,    10,    11,    11,     5,     5,     8,     4,
       4,     7,     7,     1,     1,     1,     1,     1,     5,     5,
       6,     6,     6,     6,     6,     8,     8,     6,     6,     7,
       9,     9,     8,    10,     6,     6,     6,     6,     6,     6,
       6,     8,     6,     8,     6,     8,     7,     9,     6,     8,
       7,     9,     8,    10,     8,    10,     9,    11,     8,    10,
       9,    11,     8,     8,     7,     6,     6,     6,     6,     8,
       8,     8,     8,     6,     9,     1,     0,     2,     0,     8,
       8,     8,    10,     9,     8,     1,     0,     6,     6,     6,
       6,     6,     6,     6,     9,     9,     6,     6,     6,     8,
       6,     8,     8,     8,     8,     6,     8,     6,     8,     7,
       9,     7,     9,     6,     7,     1,     3,     3,     3,     1,
       1,     1,     1,     1,     7,     6,     6,     6,     6,     6,
       6,     7,     7,     6,     9,     9,     6,     6,     6,     6,
       6,     6,     8,     8,     8,     6,     7,     6,     6,     4,
       7,     6,     4,     4,     4,     3,     4,     3,     1,     1,
       3,     5,     5,     5,     5,     8,     5,     5,     6,     7,
       7,     7,     4,     4,     5,     4,     6,    13,     1,     1,
       3,     3,     1,     1,     1,     1,     1,     1,     1,     0,
       1,     1,     1,     1,     1,     1,     0,     3,     2,     0,
       2,     2,     2,     3,     3,     3,     3,     2,     3,     2,
       5,     4,     3,     3,     3,     3,     3,     1,     1,     0,
       3,     2,     2,     1,     2,     1,     3,     2,     1,     0,
       2,     3,     0,     9,    11,    12,    14,     3,     4,     4,
       0,     2,     5,     1,     0,     1,     2,     3,     3,     3,
       1,     2,     1,     1,     1,     1,     1,     1,     0,     5,
       4,     6,     6,     4,     3,     5,     7,     9,     1,     3,
       1,     5,     4,     4,     6,     4,     6,     6,     5,     7,
       9,     6,     1,     0,     6,    11,    11,    11,    13,     9,
      11,     1,     1,    10,     4,     6,     2,     5,     2,     0,
       6,     5,     3,     5,     1,     3,     1,     1,     2,     1,
       1,     1,     1,     0,     1,     0,     1,     0,     1,     0,
       1,     0,     3,     0,     2,     1,     3,     1,     0,     2,
       4,     3,     5,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     5,     3,     0,     1,     1,     1,     1,
       1,     3,     9,    12,     3,     0,     2,     3,     2,     3,
       7,     1,     3,     1,     4,     4,     7,     2,     1,     1,
       1,     3,     2,     8,     5,     0,     4,     3,     0,     2,
       0,     7,     2,     0,     5,     3,     0,     2,     2,     2,
       3,     1,     3,     1,     2,     1,     0,     1,     2,     0,
       8,     1,     3,     3,     5,     2,     1,     3,     9,     1,
       2,     5,     5,     6,     6,     7,     2,     0,     3,     1,
       2,     5,     5,     8,     3,     4,     7,     1,     0,     3,
       2,     2,     2,     2,     0,     2,     2,     1,     1,     3,
       3,     1,     2,     4,     4,     2,     3,     5,     5,     1,
       1,     9,     9,     1,     2,     4,     4,     4,     2,     2,
       3,     1,     3,     9,     1,     2,     0,     7,     7,     0,
      10,     6,     0,     1,     0,     2,     0,     3,     3,     4,
       4,     4,     4,     3,     2,     1,     1,     0,     1,     1,
       0,     1,     5,     1,     0,     1,     1,     1,     0,     3,
       1,     3,     4,     3,     2,     2,     1,     1,     1,     0,
       2,     4,     5,     6,     4,     5,     2,     3,     1,     1,
       1,     1,     2,     2,     1,     1,     1,     1,     1,     1,
       4,     0,     1,     3,     1,     1,     1,     1,     1,     2,
       4,     4,     5,     2,     0,     1,     3,     1,     0,     1,
       2,     3,     2,     4,     2,     3,     2,     0,     4,     5,
       2,     0,     1,     3,     2,     3,     2,     3,     2,     3,
       2,     3,     1,     4,     3,     4,     5,     4,     5,     4,
       5,     2,     4,     1,     1,     0,     2,     0,     1,     4,
       5,     4,     0,     2,     2,     2,     1,     1,     0,     5,
       2,     1,     1,     2,     2,     4,     1,     3,     1,     2,
       3,     6,     4,     0,     2,     6,     2,     1,     3,     4,
       0,     2,     0,     2,     0,     2,     4,     0,     1,     0,
       1,     3,     3,     7,    12,     1,     3,     2,     3,     3,
       1,     2,     2,     2,     2,     1,     1,     3,     3,     2,
       2,     3,     5,     6,     2,     3,     3,     4,     0,     1,
       1,     1,     1,     1,     2,     4,     1,     1,     1,     1,
       2,     3,     3,     0,     1,     1,     1,     1,     1,     2,
       2,     2,     2,     2,     1,     3,     0,     1,     1,     1,
       1,     5,     2,     1,     1,     1,     1,     4,     1,     2,
       2,     1,     3,     3,     2,     1,     0,     5,     2,     5,
       2,     1,     3,     3,     0,     1,     1,     1,     1,     1,
       1,     3,     3,     3,     3,     3,     3,     3,     0,     1,
       4,     1,     3,     3,     5,     2,     2,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       2,     3,     3,     2,     2,     3,     5,     4,     6,     3,
       5,     4,     6,     4,     6,     5,     7,     3,     2,     4,
       2,     3,     3,     4,     3,     4,     3,     4,     5,     6,
       6,     7,     6,     7,     3,     4,     4,     6,     3,     3,
       4,     3,     4,     4,     5,     1,     1,     3,     2,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     2,     5,     6,     3,     4,     1,     1,
       2,     4,     1,     1,     1,     2,     2,     2,     2,     1,
       1,     4,     3,     5,     6,     8,     6,     6,     4,     4,
       1,     1,     1,     5,     1,     1,     4,     1,     4,     1,
       4,     1,     4,     1,     1,     1,     1,     1,     1,     6,
       4,     4,     6,     4,     4,     4,     4,     4,     6,     5,
       5,     5,     4,     6,     4,     4,     4,     4,     5,     7,
       7,     9,     5,     4,     6,     5,     7,     7,     7,     2,
       3,     3,     3,     4,     0,     4,     1,     3,     3,     1,
       1,     1,     2,     2,     0,     2,     3,     3,     4,     2,
       2,     5,     0,     5,     0,     2,     0,     1,     3,     3,
       2,     2,     0,     6,     1,     0,     3,     0,     3,     3,
       3,     0,     1,     4,     2,     2,     2,     2,     2,     3,
       2,     2,     3,     0,     4,     3,     5,     4,     3,     5,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     1,
       4,     1,     4,     1,     2,     1,     2,     1,     3,     1,
       3,     1,     3,     3,     1,     0,     1,     3,     3,     3,
       2,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     7,     5,     3,     5,
       5,     3,     3,     5,     3,     2,     1,     1,     3,     5,
       1,     2,     4,     2,     0,     1,     0,     1,     2,     2,
       2,     3,     5,     1,     0,     1,     2,     0,     2,     1,
       0,     1,     0,     1,     3,     3,     2,     1,     1,     1,
       3,     1,     2,     1,     3,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     1,     2,     6,     2,     3,     5,
       1,     1,     1,     1,     1,     1,     2,     2,     1,     1,
       1,     1,     1,     1,     3,    10,     4,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF

/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

# ifndef YY_LOCATION_PRINT
#  if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static int
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  int res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#   define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

#  else
#   define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#  endif
# endif /* !defined YY_LOCATION_PRINT */


# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  YY_USE (yylocationp);
  YY_USE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yykind < YYNTOKENS)
    YYPRINT (yyo, yytoknum[yykind], *yyvaluep);
# endif
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  YY_LOCATION_PRINT (yyo, *yylocationp);
  YYFPRINTF (yyo, ": ");
  yy_symbol_value_print (yyo, yykind, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp,
                 int yyrule, core_yyscan_t yyscanner)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)],
                       &(yylsp[(yyi + 1) - (yynrhs)]), yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif






/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YY_USE (yyvaluep);
  YY_USE (yylocationp);
  YY_USE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}






/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* Lookahead token kind.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs = 0;

    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

    /* The location stack: array, bottom, top.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls = yylsa;
    YYLTYPE *yylsp = yyls;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

  /* The locations where the error started and ended.  */
  YYLTYPE yyerror_range[3];



#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    goto yyexhaustedlab;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yyls1, yysize * YYSIZEOF (*yylsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
        yyls = yyls1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      yyerror_range[1] = yylloc;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location. */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  yyerror_range[1] = yyloc;
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 2: /* parse_toplevel: stmtmulti  */
#line 860 "gram.y"
                        {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
				(void) yynerrs;		/* suppress compiler warning */
			}
#line 28175 "gram.c"
    break;

  case 3: /* parse_toplevel: MODE_TYPE_NAME Typename  */
#line 865 "gram.y"
                        {
				pg_yyget_extra(yyscanner)->parsetree = list_make1((yyvsp[0].typnam));
			}
#line 28183 "gram.c"
    break;

  case 4: /* parse_toplevel: MODE_PLPGSQL_EXPR PLpgSQL_Expr  */
#line 869 "gram.y"
                        {
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((yyvsp[0].node), 0));
			}
#line 28192 "gram.c"
    break;

  case 5: /* parse_toplevel: MODE_PLPGSQL_ASSIGN1 PLAssignStmt  */
#line 874 "gram.y"
                        {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 1;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 28204 "gram.c"
    break;

  case 6: /* parse_toplevel: MODE_PLPGSQL_ASSIGN2 PLAssignStmt  */
#line 882 "gram.y"
                        {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 2;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 28216 "gram.c"
    break;

  case 7: /* parse_toplevel: MODE_PLPGSQL_ASSIGN3 PLAssignStmt  */
#line 890 "gram.y"
                        {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 3;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 28228 "gram.c"
    break;

  case 8: /* stmtmulti: stmtmulti ';' toplevel_stmt  */
#line 910 "gram.y"
                                {
					if ((yyvsp[-2].list) != NIL)
					{
						/* update length of previous stmt */
						updateRawStmtEnd(llast_node(RawStmt, (yyvsp[-2].list)), (yylsp[-1]));
					}
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), makeRawStmt((yyvsp[0].node), (yylsp[-1]) + 1));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 28244 "gram.c"
    break;

  case 9: /* stmtmulti: toplevel_stmt  */
#line 922 "gram.y"
                                {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1(makeRawStmt((yyvsp[0].node), 0));
					else
						(yyval.list) = NIL;
				}
#line 28255 "gram.c"
    break;

  case 136: /* stmt: %empty  */
#line 1065 "gram.y"
                                { (yyval.node) = NULL; }
#line 28261 "gram.c"
    break;

  case 137: /* CallStmt: CALL func_application  */
#line 1075 "gram.y"
                                {
					CallStmt   *n = makeNode(CallStmt);

					n->funccall = castNode(FuncCall, (yyvsp[0].node));
					(yyval.node) = (Node *) n;
				}
#line 28272 "gram.c"
    break;

  case 138: /* CreateRoleStmt: CREATE ROLE RoleId opt_with OptRoleList  */
#line 1091 "gram.y"
                                {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28285 "gram.c"
    break;

  case 142: /* OptRoleList: OptRoleList CreateOptRoleElem  */
#line 1113 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28291 "gram.c"
    break;

  case 143: /* OptRoleList: %empty  */
#line 1114 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 28297 "gram.c"
    break;

  case 144: /* AlterOptRoleList: AlterOptRoleList AlterOptRoleElem  */
#line 1118 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28303 "gram.c"
    break;

  case 145: /* AlterOptRoleList: %empty  */
#line 1119 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 28309 "gram.c"
    break;

  case 146: /* AlterOptRoleElem: PASSWORD Sconst  */
#line 1124 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("password",
									 (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 28318 "gram.c"
    break;

  case 147: /* AlterOptRoleElem: PASSWORD NULL_P  */
#line 1129 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("password", NULL, (yylsp[-1]));
				}
#line 28326 "gram.c"
    break;

  case 148: /* AlterOptRoleElem: ENCRYPTED PASSWORD Sconst  */
#line 1133 "gram.y"
                                {
					/*
					 * These days, passwords are always stored in encrypted
					 * form, so there is no difference between PASSWORD and
					 * ENCRYPTED PASSWORD.
					 */
					(yyval.defelt) = makeDefElem("password",
									 (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 28340 "gram.c"
    break;

  case 149: /* AlterOptRoleElem: UNENCRYPTED PASSWORD Sconst  */
#line 1143 "gram.y"
                                {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNENCRYPTED PASSWORD is no longer supported"),
							 errhint("Remove UNENCRYPTED to store the password in encrypted form instead."),
							 parser_errposition((yylsp[-2]))));
				}
#line 28352 "gram.c"
    break;

  case 150: /* AlterOptRoleElem: INHERIT  */
#line 1151 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("inherit", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 28360 "gram.c"
    break;

  case 151: /* AlterOptRoleElem: CONNECTION LIMIT SignedIconst  */
#line 1155 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 28368 "gram.c"
    break;

  case 152: /* AlterOptRoleElem: VALID UNTIL Sconst  */
#line 1159 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("validUntil", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 28376 "gram.c"
    break;

  case 153: /* AlterOptRoleElem: USER role_list  */
#line 1164 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 28384 "gram.c"
    break;

  case 154: /* AlterOptRoleElem: IDENT  */
#line 1168 "gram.y"
                                {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "bypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nobypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *) makeBoolean(false), (yylsp[0]));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 28433 "gram.c"
    break;

  case 155: /* CreateOptRoleElem: AlterOptRoleElem  */
#line 1215 "gram.y"
                                                                { (yyval.defelt) = (yyvsp[0].defelt); }
#line 28439 "gram.c"
    break;

  case 156: /* CreateOptRoleElem: SYSID Iconst  */
#line 1218 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("sysid", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-1]));
				}
#line 28447 "gram.c"
    break;

  case 157: /* CreateOptRoleElem: ADMIN role_list  */
#line 1222 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 28455 "gram.c"
    break;

  case 158: /* CreateOptRoleElem: ROLE role_list  */
#line 1226 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 28463 "gram.c"
    break;

  case 159: /* CreateOptRoleElem: IN_P ROLE role_list  */
#line 1230 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("addroleto", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 28471 "gram.c"
    break;

  case 160: /* CreateOptRoleElem: IN_P GROUP_P role_list  */
#line 1234 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("addroleto", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 28479 "gram.c"
    break;

  case 161: /* CreateUserStmt: CREATE USER RoleId opt_with OptRoleList  */
#line 1248 "gram.y"
                                {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28492 "gram.c"
    break;

  case 162: /* AlterRoleStmt: ALTER ROLE RoleSpec opt_with AlterOptRoleList  */
#line 1267 "gram.y"
                                 {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 28505 "gram.c"
    break;

  case 163: /* AlterRoleStmt: ALTER USER RoleSpec opt_with AlterOptRoleList  */
#line 1276 "gram.y"
                                 {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 28518 "gram.c"
    break;

  case 164: /* opt_in_database: %empty  */
#line 1287 "gram.y"
                                                                        { (yyval.str) = NULL; }
#line 28524 "gram.c"
    break;

  case 165: /* opt_in_database: IN_P DATABASE name  */
#line 1288 "gram.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 28530 "gram.c"
    break;

  case 166: /* AlterRoleSetStmt: ALTER ROLE RoleSpec opt_in_database SetResetClause  */
#line 1293 "gram.y"
                                {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 28543 "gram.c"
    break;

  case 167: /* AlterRoleSetStmt: ALTER ROLE ALL opt_in_database SetResetClause  */
#line 1302 "gram.y"
                                {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 28556 "gram.c"
    break;

  case 168: /* AlterRoleSetStmt: ALTER USER RoleSpec opt_in_database SetResetClause  */
#line 1311 "gram.y"
                                {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 28569 "gram.c"
    break;

  case 169: /* AlterRoleSetStmt: ALTER USER ALL opt_in_database SetResetClause  */
#line 1320 "gram.y"
                                {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 28582 "gram.c"
    break;

  case 170: /* DropRoleStmt: DROP ROLE role_list  */
#line 1342 "gram.y"
                                {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28594 "gram.c"
    break;

  case 171: /* DropRoleStmt: DROP ROLE IF_P EXISTS role_list  */
#line 1350 "gram.y"
                                {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28606 "gram.c"
    break;

  case 172: /* DropRoleStmt: DROP USER role_list  */
#line 1358 "gram.y"
                                {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28618 "gram.c"
    break;

  case 173: /* DropRoleStmt: DROP USER IF_P EXISTS role_list  */
#line 1366 "gram.y"
                                {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->roles = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 28630 "gram.c"
    break;

  case 174: /* DropRoleStmt: DROP GROUP_P role_list  */
#line 1374 "gram.y"
                                {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28642 "gram.c"
    break;

  case 175: /* DropRoleStmt: DROP GROUP_P IF_P EXISTS role_list  */
#line 1382 "gram.y"
                                {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28654 "gram.c"
    break;

  case 176: /* CreateGroupStmt: CREATE GROUP_P RoleId opt_with OptRoleList  */
#line 1400 "gram.y"
                                {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28667 "gram.c"
    break;

  case 177: /* AlterGroupStmt: ALTER GROUP_P RoleSpec add_drop USER role_list  */
#line 1419 "gram.y"
                                {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-3].rolespec);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 28681 "gram.c"
    break;

  case 178: /* add_drop: ADD_P  */
#line 1430 "gram.y"
                                                                                        { (yyval.ival) = +1; }
#line 28687 "gram.c"
    break;

  case 179: /* add_drop: DROP  */
#line 1431 "gram.y"
                                                                                                { (yyval.ival) = -1; }
#line 28693 "gram.c"
    break;

  case 180: /* CreateSchemaStmt: CREATE SCHEMA OptSchemaName AUTHORIZATION RoleSpec OptSchemaEltList  */
#line 1443 "gram.y"
                                {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* One can omit the schema name or the authorization id. */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 28708 "gram.c"
    break;

  case 181: /* CreateSchemaStmt: CREATE SCHEMA ColId OptSchemaEltList  */
#line 1454 "gram.y"
                                {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 28723 "gram.c"
    break;

  case 182: /* CreateSchemaStmt: CREATE SCHEMA IF_P NOT EXISTS OptSchemaName AUTHORIZATION RoleSpec OptSchemaEltList  */
#line 1465 "gram.y"
                                {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* schema name can be omitted here, too */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 28743 "gram.c"
    break;

  case 183: /* CreateSchemaStmt: CREATE SCHEMA IF_P NOT EXISTS ColId OptSchemaEltList  */
#line 1481 "gram.y"
                                {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* ...but not here */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 28763 "gram.c"
    break;

  case 184: /* OptSchemaName: ColId  */
#line 1499 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 28769 "gram.c"
    break;

  case 185: /* OptSchemaName: %empty  */
#line 1500 "gram.y"
                                                                                        { (yyval.str) = NULL; }
#line 28775 "gram.c"
    break;

  case 186: /* OptSchemaEltList: OptSchemaEltList schema_stmt  */
#line 1505 "gram.y"
                                {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 28785 "gram.c"
    break;

  case 187: /* OptSchemaEltList: %empty  */
#line 1511 "gram.y"
                                { (yyval.list) = NIL; }
#line 28791 "gram.c"
    break;

  case 194: /* VariableSetStmt: SET set_rest  */
#line 1539 "gram.y"
                                {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 28802 "gram.c"
    break;

  case 195: /* VariableSetStmt: SET LOCAL set_rest  */
#line 1546 "gram.y"
                                {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 28813 "gram.c"
    break;

  case 196: /* VariableSetStmt: SET SESSION set_rest  */
#line 1553 "gram.y"
                                {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 28824 "gram.c"
    break;

  case 197: /* set_rest: TRANSACTION transaction_mode_list  */
#line 1563 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 28837 "gram.c"
    break;

  case 198: /* set_rest: SESSION CHARACTERISTICS AS TRANSACTION transaction_mode_list  */
#line 1572 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 28850 "gram.c"
    break;

  case 200: /* generic_set: var_name TO var_list  */
#line 1585 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 28863 "gram.c"
    break;

  case 201: /* generic_set: var_name '=' var_list  */
#line 1594 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 28876 "gram.c"
    break;

  case 202: /* generic_set: var_name TO DEFAULT  */
#line 1603 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 28888 "gram.c"
    break;

  case 203: /* generic_set: var_name '=' DEFAULT  */
#line 1611 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 28900 "gram.c"
    break;

  case 204: /* set_rest_more: generic_set  */
#line 1621 "gram.y"
                                                                                        {(yyval.vsetstmt) = (yyvsp[0].vsetstmt);}
#line 28906 "gram.c"
    break;

  case 205: /* set_rest_more: var_name FROM CURRENT_P  */
#line 1623 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 28918 "gram.c"
    break;

  case 206: /* set_rest_more: TIME ZONE zone_value  */
#line 1632 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 28934 "gram.c"
    break;

  case 207: /* set_rest_more: CATALOG_P Sconst  */
#line 1644 "gram.y"
                                {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 28946 "gram.c"
    break;

  case 208: /* set_rest_more: SCHEMA Sconst  */
#line 1652 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 28959 "gram.c"
    break;

  case 209: /* set_rest_more: NAMES opt_encoding  */
#line 1661 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 28975 "gram.c"
    break;

  case 210: /* set_rest_more: ROLE NonReservedWord_or_Sconst  */
#line 1673 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 28988 "gram.c"
    break;

  case 211: /* set_rest_more: SESSION AUTHORIZATION NonReservedWord_or_Sconst  */
#line 1682 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 29001 "gram.c"
    break;

  case 212: /* set_rest_more: SESSION AUTHORIZATION DEFAULT  */
#line 1691 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 29013 "gram.c"
    break;

  case 213: /* set_rest_more: XML_P OPTION document_or_content  */
#line 1699 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 29026 "gram.c"
    break;

  case 214: /* set_rest_more: TRANSACTION SNAPSHOT Sconst  */
#line 1709 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 29039 "gram.c"
    break;

  case 215: /* var_name: ColId  */
#line 1719 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 29045 "gram.c"
    break;

  case 216: /* var_name: var_name '.' ColId  */
#line 1721 "gram.y"
                                { (yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str)); }
#line 29051 "gram.c"
    break;

  case 217: /* var_list: var_value  */
#line 1724 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 29057 "gram.c"
    break;

  case 218: /* var_list: var_list ',' var_value  */
#line 1725 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 29063 "gram.c"
    break;

  case 219: /* var_value: opt_boolean_or_string  */
#line 1729 "gram.y"
                                { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 29069 "gram.c"
    break;

  case 220: /* var_value: NumericOnly  */
#line 1731 "gram.y"
                                { (yyval.node) = makeAConst((yyvsp[0].node), (yylsp[0])); }
#line 29075 "gram.c"
    break;

  case 221: /* iso_level: READ UNCOMMITTED  */
#line 1734 "gram.y"
                                                                                { (yyval.str) = "read uncommitted"; }
#line 29081 "gram.c"
    break;

  case 222: /* iso_level: READ COMMITTED  */
#line 1735 "gram.y"
                                                                                        { (yyval.str) = "read committed"; }
#line 29087 "gram.c"
    break;

  case 223: /* iso_level: REPEATABLE READ  */
#line 1736 "gram.y"
                                                                                        { (yyval.str) = "repeatable read"; }
#line 29093 "gram.c"
    break;

  case 224: /* iso_level: SERIALIZABLE  */
#line 1737 "gram.y"
                                                                                        { (yyval.str) = "serializable"; }
#line 29099 "gram.c"
    break;

  case 225: /* opt_boolean_or_string: TRUE_P  */
#line 1741 "gram.y"
                                                                                                { (yyval.str) = "true"; }
#line 29105 "gram.c"
    break;

  case 226: /* opt_boolean_or_string: FALSE_P  */
#line 1742 "gram.y"
                                                                                                { (yyval.str) = "false"; }
#line 29111 "gram.c"
    break;

  case 227: /* opt_boolean_or_string: ON  */
#line 1743 "gram.y"
                                                                                                { (yyval.str) = "on"; }
#line 29117 "gram.c"
    break;

  case 228: /* opt_boolean_or_string: NonReservedWord_or_Sconst  */
#line 1749 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 29123 "gram.c"
    break;

  case 229: /* zone_value: Sconst  */
#line 1762 "gram.y"
                                {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 29131 "gram.c"
    break;

  case 230: /* zone_value: IDENT  */
#line 1766 "gram.y"
                                {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 29139 "gram.c"
    break;

  case 231: /* zone_value: ConstInterval Sconst opt_interval  */
#line 1770 "gram.y"
                                {
					TypeName   *t = (yyvsp[-2].typnam);

					if ((yyvsp[0].list) != NIL)
					{
						A_Const	   *n = (A_Const *) linitial((yyvsp[0].list));

						if ((n->val.ival.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 29160 "gram.c"
    break;

  case 232: /* zone_value: ConstInterval '(' Iconst ')' Sconst  */
#line 1787 "gram.y"
                                {
					TypeName   *t = (yyvsp[-4].typnam);

					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 29172 "gram.c"
    break;

  case 233: /* zone_value: NumericOnly  */
#line 1794 "gram.y"
                                                                                        { (yyval.node) = makeAConst((yyvsp[0].node), (yylsp[0])); }
#line 29178 "gram.c"
    break;

  case 234: /* zone_value: DEFAULT  */
#line 1795 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 29184 "gram.c"
    break;

  case 235: /* zone_value: LOCAL  */
#line 1796 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 29190 "gram.c"
    break;

  case 236: /* opt_encoding: Sconst  */
#line 1800 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 29196 "gram.c"
    break;

  case 237: /* opt_encoding: DEFAULT  */
#line 1801 "gram.y"
                                                                                                { (yyval.str) = NULL; }
#line 29202 "gram.c"
    break;

  case 238: /* opt_encoding: %empty  */
#line 1802 "gram.y"
                                                                                                { (yyval.str) = NULL; }
#line 29208 "gram.c"
    break;

  case 239: /* NonReservedWord_or_Sconst: NonReservedWord  */
#line 1806 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 29214 "gram.c"
    break;

  case 240: /* NonReservedWord_or_Sconst: Sconst  */
#line 1807 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 29220 "gram.c"
    break;

  case 241: /* VariableResetStmt: RESET reset_rest  */
#line 1811 "gram.y"
                                                                                        { (yyval.node) = (Node *) (yyvsp[0].vsetstmt); }
#line 29226 "gram.c"
    break;

  case 242: /* reset_rest: generic_reset  */
#line 1815 "gram.y"
                                                                                        { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 29232 "gram.c"
    break;

  case 243: /* reset_rest: TIME ZONE  */
#line 1817 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.vsetstmt) = n;
				}
#line 29244 "gram.c"
    break;

  case 244: /* reset_rest: TRANSACTION ISOLATION LEVEL  */
#line 1825 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.vsetstmt) = n;
				}
#line 29256 "gram.c"
    break;

  case 245: /* reset_rest: SESSION AUTHORIZATION  */
#line 1833 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 29268 "gram.c"
    break;

  case 246: /* generic_reset: var_name  */
#line 1844 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.vsetstmt) = n;
				}
#line 29280 "gram.c"
    break;

  case 247: /* generic_reset: ALL  */
#line 1852 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET_ALL;
					(yyval.vsetstmt) = n;
				}
#line 29291 "gram.c"
    break;

  case 248: /* SetResetClause: SET set_rest  */
#line 1862 "gram.y"
                                                                        { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 29297 "gram.c"
    break;

  case 249: /* SetResetClause: VariableResetStmt  */
#line 1863 "gram.y"
                                                                        { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 29303 "gram.c"
    break;

  case 250: /* FunctionSetResetClause: SET set_rest_more  */
#line 1868 "gram.y"
                                                                        { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 29309 "gram.c"
    break;

  case 251: /* FunctionSetResetClause: VariableResetStmt  */
#line 1869 "gram.y"
                                                                        { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 29315 "gram.c"
    break;

  case 252: /* VariableShowStmt: SHOW var_name  */
#line 1875 "gram.y"
                                {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29326 "gram.c"
    break;

  case 253: /* VariableShowStmt: SHOW TIME ZONE  */
#line 1882 "gram.y"
                                {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 29337 "gram.c"
    break;

  case 254: /* VariableShowStmt: SHOW TRANSACTION ISOLATION LEVEL  */
#line 1889 "gram.y"
                                {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 29348 "gram.c"
    break;

  case 255: /* VariableShowStmt: SHOW SESSION AUTHORIZATION  */
#line 1896 "gram.y"
                                {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 29359 "gram.c"
    break;

  case 256: /* VariableShowStmt: SHOW ALL  */
#line 1903 "gram.y"
                                {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 29370 "gram.c"
    break;

  case 257: /* ConstraintsSetStmt: SET CONSTRAINTS constraints_set_list constraints_set_mode  */
#line 1914 "gram.y"
                                {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);

					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 29382 "gram.c"
    break;

  case 258: /* constraints_set_list: ALL  */
#line 1924 "gram.y"
                                                                                                        { (yyval.list) = NIL; }
#line 29388 "gram.c"
    break;

  case 259: /* constraints_set_list: qualified_name_list  */
#line 1925 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 29394 "gram.c"
    break;

  case 260: /* constraints_set_mode: DEFERRED  */
#line 1929 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 29400 "gram.c"
    break;

  case 261: /* constraints_set_mode: IMMEDIATE  */
#line 1930 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 29406 "gram.c"
    break;

  case 262: /* CheckPointStmt: CHECKPOINT  */
#line 1939 "gram.y"
                                {
					CheckPointStmt *n = makeNode(CheckPointStmt);

					(yyval.node) = (Node *) n;
				}
#line 29416 "gram.c"
    break;

  case 263: /* DiscardStmt: DISCARD ALL  */
#line 1955 "gram.y"
                                {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 29427 "gram.c"
    break;

  case 264: /* DiscardStmt: DISCARD TEMP  */
#line 1962 "gram.y"
                                {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 29438 "gram.c"
    break;

  case 265: /* DiscardStmt: DISCARD TEMPORARY  */
#line 1969 "gram.y"
                                {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 29449 "gram.c"
    break;

  case 266: /* DiscardStmt: DISCARD PLANS  */
#line 1976 "gram.y"
                                {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 29460 "gram.c"
    break;

  case 267: /* DiscardStmt: DISCARD SEQUENCES  */
#line 1983 "gram.y"
                                {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
#line 29471 "gram.c"
    break;

  case 268: /* AlterTableStmt: ALTER TABLE relation_expr alter_table_cmds  */
#line 2003 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 29485 "gram.c"
    break;

  case 269: /* AlterTableStmt: ALTER TABLE IF_P EXISTS relation_expr alter_table_cmds  */
#line 2013 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 29499 "gram.c"
    break;

  case 270: /* AlterTableStmt: ALTER TABLE relation_expr partition_cmd  */
#line 2023 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 29513 "gram.c"
    break;

  case 271: /* AlterTableStmt: ALTER TABLE IF_P EXISTS relation_expr partition_cmd  */
#line 2033 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 29527 "gram.c"
    break;

  case 272: /* AlterTableStmt: ALTER TABLE ALL IN_P TABLESPACE name SET TABLESPACE name opt_nowait  */
#line 2043 "gram.y"
                                {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 29543 "gram.c"
    break;

  case 273: /* AlterTableStmt: ALTER TABLE ALL IN_P TABLESPACE name OWNED BY role_list SET TABLESPACE name opt_nowait  */
#line 2055 "gram.y"
                                {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 29559 "gram.c"
    break;

  case 274: /* AlterTableStmt: ALTER INDEX qualified_name alter_table_cmds  */
#line 2067 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 29573 "gram.c"
    break;

  case 275: /* AlterTableStmt: ALTER INDEX IF_P EXISTS qualified_name alter_table_cmds  */
#line 2077 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 29587 "gram.c"
    break;

  case 276: /* AlterTableStmt: ALTER INDEX qualified_name index_partition_cmd  */
#line 2087 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 29601 "gram.c"
    break;

  case 277: /* AlterTableStmt: ALTER INDEX ALL IN_P TABLESPACE name SET TABLESPACE name opt_nowait  */
#line 2097 "gram.y"
                                {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 29617 "gram.c"
    break;

  case 278: /* AlterTableStmt: ALTER INDEX ALL IN_P TABLESPACE name OWNED BY role_list SET TABLESPACE name opt_nowait  */
#line 2109 "gram.y"
                                {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 29633 "gram.c"
    break;

  case 279: /* AlterTableStmt: ALTER SEQUENCE qualified_name alter_table_cmds  */
#line 2121 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 29647 "gram.c"
    break;

  case 280: /* AlterTableStmt: ALTER SEQUENCE IF_P EXISTS qualified_name alter_table_cmds  */
#line 2131 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 29661 "gram.c"
    break;

  case 281: /* AlterTableStmt: ALTER VIEW qualified_name alter_table_cmds  */
#line 2141 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 29675 "gram.c"
    break;

  case 282: /* AlterTableStmt: ALTER VIEW IF_P EXISTS qualified_name alter_table_cmds  */
#line 2151 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 29689 "gram.c"
    break;

  case 283: /* AlterTableStmt: ALTER MATERIALIZED VIEW qualified_name alter_table_cmds  */
#line 2161 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 29703 "gram.c"
    break;

  case 284: /* AlterTableStmt: ALTER MATERIALIZED VIEW IF_P EXISTS qualified_name alter_table_cmds  */
#line 2171 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 29717 "gram.c"
    break;

  case 285: /* AlterTableStmt: ALTER MATERIALIZED VIEW ALL IN_P TABLESPACE name SET TABLESPACE name opt_nowait  */
#line 2181 "gram.y"
                                {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 29733 "gram.c"
    break;

  case 286: /* AlterTableStmt: ALTER MATERIALIZED VIEW ALL IN_P TABLESPACE name OWNED BY role_list SET TABLESPACE name opt_nowait  */
#line 2193 "gram.y"
                                {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 29749 "gram.c"
    break;

  case 287: /* AlterTableStmt: ALTER FOREIGN TABLE relation_expr alter_table_cmds  */
#line 2205 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 29763 "gram.c"
    break;

  case 288: /* AlterTableStmt: ALTER FOREIGN TABLE IF_P EXISTS relation_expr alter_table_cmds  */
#line 2215 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 29777 "gram.c"
    break;

  case 289: /* alter_table_cmds: alter_table_cmd  */
#line 2227 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 29783 "gram.c"
    break;

  case 290: /* alter_table_cmds: alter_table_cmds ',' alter_table_cmd  */
#line 2228 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 29789 "gram.c"
    break;

  case 291: /* partition_cmd: ATTACH PARTITION qualified_name PartitionBoundSpec  */
#line 2234 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = (yyvsp[0].partboundspec);
					cmd->concurrent = false;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 29806 "gram.c"
    break;

  case 292: /* partition_cmd: DETACH PARTITION qualified_name opt_concurrently  */
#line 2248 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = NULL;
					cmd->concurrent = (yyvsp[0].boolean);
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 29823 "gram.c"
    break;

  case 293: /* partition_cmd: DETACH PARTITION qualified_name FINALIZE  */
#line 2261 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartitionFinalize;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = NULL;
					cmd->concurrent = false;
					n->def = (Node *) cmd;
					(yyval.node) = (Node *) n;
				}
#line 29839 "gram.c"
    break;

  case 294: /* index_partition_cmd: ATTACH PARTITION qualified_name  */
#line 2277 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[0].range);
					cmd->bound = NULL;
					cmd->concurrent = false;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 29856 "gram.c"
    break;

  case 295: /* alter_table_cmd: ADD_P columnDef  */
#line 2294 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 29869 "gram.c"
    break;

  case 296: /* alter_table_cmd: ADD_P IF_P NOT EXISTS columnDef  */
#line 2304 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 29882 "gram.c"
    break;

  case 297: /* alter_table_cmd: ADD_P COLUMN columnDef  */
#line 2314 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 29895 "gram.c"
    break;

  case 298: /* alter_table_cmd: ADD_P COLUMN IF_P NOT EXISTS columnDef  */
#line 2324 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 29908 "gram.c"
    break;

  case 299: /* alter_table_cmd: ALTER opt_column ColId alter_column_default  */
#line 2334 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 29921 "gram.c"
    break;

  case 300: /* alter_table_cmd: ALTER opt_column ColId DROP NOT NULL_P  */
#line 2344 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				}
#line 29933 "gram.c"
    break;

  case 301: /* alter_table_cmd: ALTER opt_column ColId SET NOT NULL_P  */
#line 2353 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				}
#line 29945 "gram.c"
    break;

  case 302: /* alter_table_cmd: ALTER opt_column ColId DROP EXPRESSION  */
#line 2362 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropExpression;
					n->name = (yyvsp[-2].str);
					(yyval.node) = (Node *) n;
				}
#line 29957 "gram.c"
    break;

  case 303: /* alter_table_cmd: ALTER opt_column ColId DROP EXPRESSION IF_P EXISTS  */
#line 2371 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropExpression;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 29970 "gram.c"
    break;

  case 304: /* alter_table_cmd: ALTER opt_column ColId SET STATISTICS SignedIconst  */
#line 2381 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *) n;
				}
#line 29983 "gram.c"
    break;

  case 305: /* alter_table_cmd: ALTER opt_column Iconst SET STATISTICS SignedIconst  */
#line 2391 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					if ((yyvsp[-3].ival) <= 0 || (yyvsp[-3].ival) > PG_INT16_MAX)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("column number must be in range from 1 to %d", PG_INT16_MAX),
								 parser_errposition((yylsp[-3]))));

					n->subtype = AT_SetStatistics;
					n->num = (int16) (yyvsp[-3].ival);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *) n;
				}
#line 30002 "gram.c"
    break;

  case 306: /* alter_table_cmd: ALTER opt_column ColId SET reloptions  */
#line 2407 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30015 "gram.c"
    break;

  case 307: /* alter_table_cmd: ALTER opt_column ColId RESET reloptions  */
#line 2417 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30028 "gram.c"
    break;

  case 308: /* alter_table_cmd: ALTER opt_column ColId SET STORAGE ColId  */
#line 2427 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 30041 "gram.c"
    break;

  case 309: /* alter_table_cmd: ALTER opt_column ColId SET column_compression  */
#line 2437 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetCompression;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 30054 "gram.c"
    break;

  case 310: /* alter_table_cmd: ALTER opt_column ColId ADD_P GENERATED generated_when AS IDENTITY_P OptParenthesizedSeqOptList  */
#line 2447 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					c->contype = CONSTR_IDENTITY;
					c->generated_when = (yyvsp[-3].ival);
					c->options = (yyvsp[0].list);
					c->location = (yylsp[-4]);

					n->subtype = AT_AddIdentity;
					n->name = (yyvsp[-6].str);
					n->def = (Node *) c;

					(yyval.node) = (Node *) n;
				}
#line 30074 "gram.c"
    break;

  case 311: /* alter_table_cmd: ALTER opt_column ColId alter_identity_column_option_list  */
#line 2464 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetIdentity;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30087 "gram.c"
    break;

  case 312: /* alter_table_cmd: ALTER opt_column ColId DROP IDENTITY_P  */
#line 2474 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-2].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30100 "gram.c"
    break;

  case 313: /* alter_table_cmd: ALTER opt_column ColId DROP IDENTITY_P IF_P EXISTS  */
#line 2484 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30113 "gram.c"
    break;

  case 314: /* alter_table_cmd: DROP opt_column IF_P EXISTS ColId opt_drop_behavior  */
#line 2494 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30127 "gram.c"
    break;

  case 315: /* alter_table_cmd: DROP opt_column ColId opt_drop_behavior  */
#line 2505 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30141 "gram.c"
    break;

  case 316: /* alter_table_cmd: ALTER opt_column ColId opt_set_data TYPE_P Typename opt_collate_clause alter_using  */
#line 2519 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);

					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 30160 "gram.c"
    break;

  case 317: /* alter_table_cmd: ALTER opt_column ColId alter_generic_options  */
#line 2535 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30173 "gram.c"
    break;

  case 318: /* alter_table_cmd: ADD_P TableConstraint  */
#line 2545 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 30185 "gram.c"
    break;

  case 319: /* alter_table_cmd: ALTER CONSTRAINT name ConstraintAttributeSpec  */
#line 2554 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 30204 "gram.c"
    break;

  case 320: /* alter_table_cmd: VALIDATE CONSTRAINT name  */
#line 2570 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30216 "gram.c"
    break;

  case 321: /* alter_table_cmd: DROP CONSTRAINT IF_P EXISTS name opt_drop_behavior  */
#line 2579 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30230 "gram.c"
    break;

  case 322: /* alter_table_cmd: DROP CONSTRAINT name opt_drop_behavior  */
#line 2590 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30244 "gram.c"
    break;

  case 323: /* alter_table_cmd: SET WITHOUT OIDS  */
#line 2601 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropOids;
					(yyval.node) = (Node *) n;
				}
#line 30255 "gram.c"
    break;

  case 324: /* alter_table_cmd: CLUSTER ON name  */
#line 2609 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30267 "gram.c"
    break;

  case 325: /* alter_table_cmd: SET WITHOUT CLUSTER  */
#line 2618 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 30279 "gram.c"
    break;

  case 326: /* alter_table_cmd: SET LOGGED  */
#line 2627 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetLogged;
					(yyval.node) = (Node *) n;
				}
#line 30290 "gram.c"
    break;

  case 327: /* alter_table_cmd: SET UNLOGGED  */
#line 2635 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetUnLogged;
					(yyval.node) = (Node *) n;
				}
#line 30301 "gram.c"
    break;

  case 328: /* alter_table_cmd: ENABLE_P TRIGGER name  */
#line 2643 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30313 "gram.c"
    break;

  case 329: /* alter_table_cmd: ENABLE_P ALWAYS TRIGGER name  */
#line 2652 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30325 "gram.c"
    break;

  case 330: /* alter_table_cmd: ENABLE_P REPLICA TRIGGER name  */
#line 2661 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30337 "gram.c"
    break;

  case 331: /* alter_table_cmd: ENABLE_P TRIGGER ALL  */
#line 2670 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *) n;
				}
#line 30348 "gram.c"
    break;

  case 332: /* alter_table_cmd: ENABLE_P TRIGGER USER  */
#line 2678 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *) n;
				}
#line 30359 "gram.c"
    break;

  case 333: /* alter_table_cmd: DISABLE_P TRIGGER name  */
#line 2686 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30371 "gram.c"
    break;

  case 334: /* alter_table_cmd: DISABLE_P TRIGGER ALL  */
#line 2695 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *) n;
				}
#line 30382 "gram.c"
    break;

  case 335: /* alter_table_cmd: DISABLE_P TRIGGER USER  */
#line 2703 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *) n;
				}
#line 30393 "gram.c"
    break;

  case 336: /* alter_table_cmd: ENABLE_P RULE name  */
#line 2711 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30405 "gram.c"
    break;

  case 337: /* alter_table_cmd: ENABLE_P ALWAYS RULE name  */
#line 2720 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30417 "gram.c"
    break;

  case 338: /* alter_table_cmd: ENABLE_P REPLICA RULE name  */
#line 2729 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30429 "gram.c"
    break;

  case 339: /* alter_table_cmd: DISABLE_P RULE name  */
#line 2738 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30441 "gram.c"
    break;

  case 340: /* alter_table_cmd: INHERIT qualified_name  */
#line 2747 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *) n;
				}
#line 30453 "gram.c"
    break;

  case 341: /* alter_table_cmd: NO INHERIT qualified_name  */
#line 2756 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *) n;
				}
#line 30465 "gram.c"
    break;

  case 342: /* alter_table_cmd: OF any_name  */
#line 2765 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName   *def = makeTypeNameFromNameList((yyvsp[0].list));

					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *) n;
				}
#line 30479 "gram.c"
    break;

  case 343: /* alter_table_cmd: NOT OF  */
#line 2776 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropOf;
					(yyval.node) = (Node *) n;
				}
#line 30490 "gram.c"
    break;

  case 344: /* alter_table_cmd: OWNER TO RoleSpec  */
#line 2784 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ChangeOwner;
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 30502 "gram.c"
    break;

  case 345: /* alter_table_cmd: SET ACCESS METHOD name  */
#line 2793 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetAccessMethod;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30514 "gram.c"
    break;

  case 346: /* alter_table_cmd: SET TABLESPACE name  */
#line 2802 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30526 "gram.c"
    break;

  case 347: /* alter_table_cmd: SET reloptions  */
#line 2811 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetRelOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30538 "gram.c"
    break;

  case 348: /* alter_table_cmd: RESET reloptions  */
#line 2820 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ResetRelOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30550 "gram.c"
    break;

  case 349: /* alter_table_cmd: REPLICA IDENTITY_P replica_identity  */
#line 2829 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 30562 "gram.c"
    break;

  case 350: /* alter_table_cmd: ENABLE_P ROW LEVEL SECURITY  */
#line 2838 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 30573 "gram.c"
    break;

  case 351: /* alter_table_cmd: DISABLE_P ROW LEVEL SECURITY  */
#line 2846 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 30584 "gram.c"
    break;

  case 352: /* alter_table_cmd: FORCE ROW LEVEL SECURITY  */
#line 2854 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ForceRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 30595 "gram.c"
    break;

  case 353: /* alter_table_cmd: NO FORCE ROW LEVEL SECURITY  */
#line 2862 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_NoForceRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 30606 "gram.c"
    break;

  case 354: /* alter_table_cmd: alter_generic_options  */
#line 2869 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_GenericOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30618 "gram.c"
    break;

  case 355: /* alter_column_default: SET DEFAULT a_expr  */
#line 2879 "gram.y"
                                                                { (yyval.node) = (yyvsp[0].node); }
#line 30624 "gram.c"
    break;

  case 356: /* alter_column_default: DROP DEFAULT  */
#line 2880 "gram.y"
                                                                { (yyval.node) = NULL; }
#line 30630 "gram.c"
    break;

  case 357: /* opt_drop_behavior: CASCADE  */
#line 2884 "gram.y"
                                                                        { (yyval.dbehavior) = DROP_CASCADE; }
#line 30636 "gram.c"
    break;

  case 358: /* opt_drop_behavior: RESTRICT  */
#line 2885 "gram.y"
                                                                        { (yyval.dbehavior) = DROP_RESTRICT; }
#line 30642 "gram.c"
    break;

  case 359: /* opt_drop_behavior: %empty  */
#line 2886 "gram.y"
                                                                { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 30648 "gram.c"
    break;

  case 360: /* opt_collate_clause: COLLATE any_name  */
#line 2891 "gram.y"
                                {
					CollateClause *n = makeNode(CollateClause);

					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 30661 "gram.c"
    break;

  case 361: /* opt_collate_clause: %empty  */
#line 2899 "gram.y"
                                                                { (yyval.node) = NULL; }
#line 30667 "gram.c"
    break;

  case 362: /* alter_using: USING a_expr  */
#line 2903 "gram.y"
                                                                { (yyval.node) = (yyvsp[0].node); }
#line 30673 "gram.c"
    break;

  case 363: /* alter_using: %empty  */
#line 2904 "gram.y"
                                                                { (yyval.node) = NULL; }
#line 30679 "gram.c"
    break;

  case 364: /* replica_identity: NOTHING  */
#line 2909 "gram.y"
                                {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 30691 "gram.c"
    break;

  case 365: /* replica_identity: FULL  */
#line 2917 "gram.y"
                                {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 30703 "gram.c"
    break;

  case 366: /* replica_identity: DEFAULT  */
#line 2925 "gram.y"
                                {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 30715 "gram.c"
    break;

  case 367: /* replica_identity: USING INDEX name  */
#line 2933 "gram.y"
                                {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30727 "gram.c"
    break;

  case 368: /* reloptions: '(' reloption_list ')'  */
#line 2943 "gram.y"
                                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 30733 "gram.c"
    break;

  case 369: /* opt_reloptions: WITH reloptions  */
#line 2946 "gram.y"
                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 30739 "gram.c"
    break;

  case 370: /* opt_reloptions: %empty  */
#line 2947 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 30745 "gram.c"
    break;

  case 371: /* reloption_list: reloption_elem  */
#line 2951 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 30751 "gram.c"
    break;

  case 372: /* reloption_list: reloption_list ',' reloption_elem  */
#line 2952 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 30757 "gram.c"
    break;

  case 373: /* reloption_elem: ColLabel '=' def_arg  */
#line 2958 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 30765 "gram.c"
    break;

  case 374: /* reloption_elem: ColLabel  */
#line 2962 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 30773 "gram.c"
    break;

  case 375: /* reloption_elem: ColLabel '.' ColLabel '=' def_arg  */
#line 2966 "gram.y"
                                {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC, (yylsp[-4]));
				}
#line 30782 "gram.c"
    break;

  case 376: /* reloption_elem: ColLabel '.' ColLabel  */
#line 2971 "gram.y"
                                {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC, (yylsp[-2]));
				}
#line 30790 "gram.c"
    break;

  case 377: /* alter_identity_column_option_list: alter_identity_column_option  */
#line 2978 "gram.y"
                                { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 30796 "gram.c"
    break;

  case 378: /* alter_identity_column_option_list: alter_identity_column_option_list alter_identity_column_option  */
#line 2980 "gram.y"
                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30802 "gram.c"
    break;

  case 379: /* alter_identity_column_option: RESTART  */
#line 2985 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 30810 "gram.c"
    break;

  case 380: /* alter_identity_column_option: RESTART opt_with NumericOnly  */
#line 2989 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("restart", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 30818 "gram.c"
    break;

  case 381: /* alter_identity_column_option: SET SeqOptElem  */
#line 2993 "gram.y"
                                {
					if (strcmp((yyvsp[0].defelt)->defname, "as") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "restart") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "owned_by") == 0)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("sequence option \"%s\" not supported here", (yyvsp[0].defelt)->defname),
								 parser_errposition((yylsp[0]))));
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 30833 "gram.c"
    break;

  case 382: /* alter_identity_column_option: SET GENERATED generated_when  */
#line 3004 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("generated", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 30841 "gram.c"
    break;

  case 383: /* PartitionBoundSpec: FOR VALUES WITH '(' hash_partbound ')'  */
#line 3012 "gram.y"
                                {
					ListCell   *lc;
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_HASH;
					n->modulus = n->remainder = -1;

					foreach (lc, (yyvsp[-1].list))
					{
						DefElem    *opt = lfirst_node(DefElem, lc);

						if (strcmp(opt->defname, "modulus") == 0)
						{
							if (n->modulus != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("modulus for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->modulus = defGetInt32(opt);
						}
						else if (strcmp(opt->defname, "remainder") == 0)
						{
							if (n->remainder != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("remainder for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->remainder = defGetInt32(opt);
						}
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized hash partition bound specification \"%s\"",
											opt->defname),
									 parser_errposition(opt->location)));
					}

					if (n->modulus == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("modulus for hash partition must be specified")));
					if (n->remainder == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("remainder for hash partition must be specified")));

					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 30896 "gram.c"
    break;

  case 384: /* PartitionBoundSpec: FOR VALUES IN_P '(' expr_list ')'  */
#line 3065 "gram.y"
                                {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_LIST;
					n->is_default = false;
					n->listdatums = (yyvsp[-1].list);
					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 30911 "gram.c"
    break;

  case 385: /* PartitionBoundSpec: FOR VALUES FROM '(' expr_list ')' TO '(' expr_list ')'  */
#line 3078 "gram.y"
                                {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_RANGE;
					n->is_default = false;
					n->lowerdatums = (yyvsp[-5].list);
					n->upperdatums = (yyvsp[-1].list);
					n->location = (yylsp[-7]);

					(yyval.partboundspec) = n;
				}
#line 30927 "gram.c"
    break;

  case 386: /* PartitionBoundSpec: DEFAULT  */
#line 3092 "gram.y"
                                {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->is_default = true;
					n->location = (yylsp[0]);

					(yyval.partboundspec) = n;
				}
#line 30940 "gram.c"
    break;

  case 387: /* hash_partbound_elem: NonReservedWord Iconst  */
#line 3104 "gram.y"
                        {
				(yyval.defelt) = makeDefElem((yyvsp[-1].str), (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-1]));
			}
#line 30948 "gram.c"
    break;

  case 388: /* hash_partbound: hash_partbound_elem  */
#line 3111 "gram.y"
                        {
				(yyval.list) = list_make1((yyvsp[0].defelt));
			}
#line 30956 "gram.c"
    break;

  case 389: /* hash_partbound: hash_partbound ',' hash_partbound_elem  */
#line 3115 "gram.y"
                        {
				(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
			}
#line 30964 "gram.c"
    break;

  case 390: /* AlterCompositeTypeStmt: ALTER TYPE_P any_name alter_type_cmds  */
#line 3129 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TYPE;
					(yyval.node) = (Node *) n;
				}
#line 30978 "gram.c"
    break;

  case 391: /* alter_type_cmds: alter_type_cmd  */
#line 3141 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 30984 "gram.c"
    break;

  case 392: /* alter_type_cmds: alter_type_cmds ',' alter_type_cmd  */
#line 3142 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 30990 "gram.c"
    break;

  case 393: /* alter_type_cmd: ADD_P ATTRIBUTE TableFuncElement opt_drop_behavior  */
#line 3148 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 31003 "gram.c"
    break;

  case 394: /* alter_type_cmd: DROP ATTRIBUTE IF_P EXISTS ColId opt_drop_behavior  */
#line 3158 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31017 "gram.c"
    break;

  case 395: /* alter_type_cmd: DROP ATTRIBUTE ColId opt_drop_behavior  */
#line 3169 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31031 "gram.c"
    break;

  case 396: /* alter_type_cmd: ALTER ATTRIBUTE ColId opt_set_data TYPE_P Typename opt_collate_clause opt_drop_behavior  */
#line 3180 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);

					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 31051 "gram.c"
    break;

  case 397: /* ClosePortalStmt: CLOSE cursor_name  */
#line 3207 "gram.y"
                                {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);

					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31062 "gram.c"
    break;

  case 398: /* ClosePortalStmt: CLOSE ALL  */
#line 3214 "gram.y"
                                {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);

					n->portalname = NULL;
					(yyval.node) = (Node *) n;
				}
#line 31073 "gram.c"
    break;

  case 399: /* CopyStmt: COPY opt_binary qualified_name opt_column_list copy_from opt_program copy_file_name copy_delimiter opt_with copy_options where_clause  */
#line 3250 "gram.y"
                                {
					CopyStmt *n = makeNode(CopyStmt);

					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-6].boolean);
					n->is_program = (yyvsp[-5].boolean);
					n->filename = (yyvsp[-4].str);
					n->whereClause = (yyvsp[0].node);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					if (!n->is_from && n->whereClause != NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("WHERE clause not allowed with COPY TO"),
								 parser_errposition((yylsp[0]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-3].defelt))
						n->options = lappend(n->options, (yyvsp[-3].defelt));
					if ((yyvsp[-1].list))
						n->options = list_concat(n->options, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 31111 "gram.c"
    break;

  case 400: /* CopyStmt: COPY '(' PreparableStmt ')' TO opt_program copy_file_name opt_with copy_options  */
#line 3284 "gram.y"
                                {
					CopyStmt *n = makeNode(CopyStmt);

					n->relation = NULL;
					n->query = (yyvsp[-6].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-4]))));

					(yyval.node) = (Node *) n;
				}
#line 31135 "gram.c"
    break;

  case 401: /* copy_from: FROM  */
#line 3306 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 31141 "gram.c"
    break;

  case 402: /* copy_from: TO  */
#line 3307 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 31147 "gram.c"
    break;

  case 403: /* opt_program: PROGRAM  */
#line 3311 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 31153 "gram.c"
    break;

  case 404: /* opt_program: %empty  */
#line 3312 "gram.y"
                                                                                        { (yyval.boolean) = false; }
#line 31159 "gram.c"
    break;

  case 405: /* copy_file_name: Sconst  */
#line 3321 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 31165 "gram.c"
    break;

  case 406: /* copy_file_name: STDIN  */
#line 3322 "gram.y"
                                                                                                { (yyval.str) = NULL; }
#line 31171 "gram.c"
    break;

  case 407: /* copy_file_name: STDOUT  */
#line 3323 "gram.y"
                                                                                                { (yyval.str) = NULL; }
#line 31177 "gram.c"
    break;

  case 408: /* copy_options: copy_opt_list  */
#line 3326 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 31183 "gram.c"
    break;

  case 409: /* copy_options: '(' copy_generic_opt_list ')'  */
#line 3327 "gram.y"
                                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 31189 "gram.c"
    break;

  case 410: /* copy_opt_list: copy_opt_list copy_opt_item  */
#line 3332 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 31195 "gram.c"
    break;

  case 411: /* copy_opt_list: %empty  */
#line 3333 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 31201 "gram.c"
    break;

  case 412: /* copy_opt_item: BINARY  */
#line 3338 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("binary"), (yylsp[0]));
				}
#line 31209 "gram.c"
    break;

  case 413: /* copy_opt_item: FREEZE  */
#line 3342 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("freeze", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 31217 "gram.c"
    break;

  case 414: /* copy_opt_item: DELIMITER opt_as Sconst  */
#line 3346 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("delimiter", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 31225 "gram.c"
    break;

  case 415: /* copy_opt_item: NULL_P opt_as Sconst  */
#line 3350 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("null", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 31233 "gram.c"
    break;

  case 416: /* copy_opt_item: CSV  */
#line 3354 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("csv"), (yylsp[0]));
				}
#line 31241 "gram.c"
    break;

  case 417: /* copy_opt_item: HEADER_P  */
#line 3358 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("header", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 31249 "gram.c"
    break;

  case 418: /* copy_opt_item: QUOTE opt_as Sconst  */
#line 3362 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("quote", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 31257 "gram.c"
    break;

  case 419: /* copy_opt_item: ESCAPE opt_as Sconst  */
#line 3366 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("escape", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 31265 "gram.c"
    break;

  case 420: /* copy_opt_item: FORCE QUOTE columnList  */
#line 3370 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("force_quote", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 31273 "gram.c"
    break;

  case 421: /* copy_opt_item: FORCE QUOTE '*'  */
#line 3374 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("force_quote", (Node *) makeNode(A_Star), (yylsp[-2]));
				}
#line 31281 "gram.c"
    break;

  case 422: /* copy_opt_item: FORCE NOT NULL_P columnList  */
#line 3378 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *) (yyvsp[0].list), (yylsp[-3]));
				}
#line 31289 "gram.c"
    break;

  case 423: /* copy_opt_item: FORCE NULL_P columnList  */
#line 3382 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("force_null", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 31297 "gram.c"
    break;

  case 424: /* copy_opt_item: ENCODING Sconst  */
#line 3386 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("encoding", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 31305 "gram.c"
    break;

  case 425: /* opt_binary: BINARY  */
#line 3395 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("binary"), (yylsp[0]));
				}
#line 31313 "gram.c"
    break;

  case 426: /* opt_binary: %empty  */
#line 3398 "gram.y"
                                                                                                { (yyval.defelt) = NULL; }
#line 31319 "gram.c"
    break;

  case 427: /* copy_delimiter: opt_using DELIMITERS Sconst  */
#line 3403 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("delimiter", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 31327 "gram.c"
    break;

  case 428: /* copy_delimiter: %empty  */
#line 3406 "gram.y"
                                                                                                { (yyval.defelt) = NULL; }
#line 31333 "gram.c"
    break;

  case 431: /* copy_generic_opt_list: copy_generic_opt_elem  */
#line 3417 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 31341 "gram.c"
    break;

  case 432: /* copy_generic_opt_list: copy_generic_opt_list ',' copy_generic_opt_elem  */
#line 3421 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 31349 "gram.c"
    break;

  case 433: /* copy_generic_opt_elem: ColLabel copy_generic_opt_arg  */
#line 3428 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 31357 "gram.c"
    break;

  case 434: /* copy_generic_opt_arg: opt_boolean_or_string  */
#line 3434 "gram.y"
                                                                { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 31363 "gram.c"
    break;

  case 435: /* copy_generic_opt_arg: NumericOnly  */
#line 3435 "gram.y"
                                                                        { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 31369 "gram.c"
    break;

  case 436: /* copy_generic_opt_arg: '*'  */
#line 3436 "gram.y"
                                                                                { (yyval.node) = (Node *) makeNode(A_Star); }
#line 31375 "gram.c"
    break;

  case 437: /* copy_generic_opt_arg: '(' copy_generic_opt_arg_list ')'  */
#line 3437 "gram.y"
                                                                        { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 31381 "gram.c"
    break;

  case 438: /* copy_generic_opt_arg: %empty  */
#line 3438 "gram.y"
                                                                        { (yyval.node) = NULL; }
#line 31387 "gram.c"
    break;

  case 439: /* copy_generic_opt_arg_list: copy_generic_opt_arg_list_item  */
#line 3443 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 31395 "gram.c"
    break;

  case 440: /* copy_generic_opt_arg_list: copy_generic_opt_arg_list ',' copy_generic_opt_arg_list_item  */
#line 3447 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 31403 "gram.c"
    break;

  case 441: /* copy_generic_opt_arg_list_item: opt_boolean_or_string  */
#line 3454 "gram.y"
                                                { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 31409 "gram.c"
    break;

  case 442: /* CreateStmt: CREATE OptTemp TABLE qualified_name '(' OptTableElementList ')' OptInherit OptPartitionSpec table_access_method_clause OptWith OnCommitOption OptTableSpace  */
#line 3468 "gram.y"
                                {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-9].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 31431 "gram.c"
    break;

  case 443: /* CreateStmt: CREATE OptTemp TABLE IF_P NOT EXISTS qualified_name '(' OptTableElementList ')' OptInherit OptPartitionSpec table_access_method_clause OptWith OnCommitOption OptTableSpace  */
#line 3488 "gram.y"
                                {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-9].range)->relpersistence = (yyvsp[-14].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 31453 "gram.c"
    break;

  case 444: /* CreateStmt: CREATE OptTemp TABLE qualified_name OF any_name OptTypedTableElementList OptPartitionSpec table_access_method_clause OptWith OnCommitOption OptTableSpace  */
#line 3508 "gram.y"
                                {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-8].range)->relpersistence = (yyvsp[-10].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 31476 "gram.c"
    break;

  case 445: /* CreateStmt: CREATE OptTemp TABLE IF_P NOT EXISTS qualified_name OF any_name OptTypedTableElementList OptPartitionSpec table_access_method_clause OptWith OnCommitOption OptTableSpace  */
#line 3529 "gram.y"
                                {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-8].range)->relpersistence = (yyvsp[-13].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 31499 "gram.c"
    break;

  case 446: /* CreateStmt: CREATE OptTemp TABLE qualified_name PARTITION OF qualified_name OptTypedTableElementList PartitionBoundSpec OptPartitionSpec table_access_method_clause OptWith OnCommitOption OptTableSpace  */
#line 3550 "gram.y"
                                {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-10].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 31522 "gram.c"
    break;

  case 447: /* CreateStmt: CREATE OptTemp TABLE IF_P NOT EXISTS qualified_name PARTITION OF qualified_name OptTypedTableElementList PartitionBoundSpec OptPartitionSpec table_access_method_clause OptWith OnCommitOption OptTableSpace  */
#line 3571 "gram.y"
                                {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-10].range)->relpersistence = (yyvsp[-15].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 31545 "gram.c"
    break;

  case 448: /* OptTemp: TEMPORARY  */
#line 3602 "gram.y"
                                                                { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 31551 "gram.c"
    break;

  case 449: /* OptTemp: TEMP  */
#line 3603 "gram.y"
                                                                        { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 31557 "gram.c"
    break;

  case 450: /* OptTemp: LOCAL TEMPORARY  */
#line 3604 "gram.y"
                                                                { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 31563 "gram.c"
    break;

  case 451: /* OptTemp: LOCAL TEMP  */
#line 3605 "gram.y"
                                                                { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 31569 "gram.c"
    break;

  case 452: /* OptTemp: GLOBAL TEMPORARY  */
#line 3607 "gram.y"
                                {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 31580 "gram.c"
    break;

  case 453: /* OptTemp: GLOBAL TEMP  */
#line 3614 "gram.y"
                                {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 31591 "gram.c"
    break;

  case 454: /* OptTemp: UNLOGGED  */
#line 3620 "gram.y"
                                                                        { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 31597 "gram.c"
    break;

  case 455: /* OptTemp: %empty  */
#line 3621 "gram.y"
                                                                        { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 31603 "gram.c"
    break;

  case 456: /* OptTableElementList: TableElementList  */
#line 3625 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 31609 "gram.c"
    break;

  case 457: /* OptTableElementList: %empty  */
#line 3626 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 31615 "gram.c"
    break;

  case 458: /* OptTypedTableElementList: '(' TypedTableElementList ')'  */
#line 3630 "gram.y"
                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 31621 "gram.c"
    break;

  case 459: /* OptTypedTableElementList: %empty  */
#line 3631 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 31627 "gram.c"
    break;

  case 460: /* TableElementList: TableElement  */
#line 3636 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 31635 "gram.c"
    break;

  case 461: /* TableElementList: TableElementList ',' TableElement  */
#line 3640 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 31643 "gram.c"
    break;

  case 462: /* TypedTableElementList: TypedTableElement  */
#line 3647 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 31651 "gram.c"
    break;

  case 463: /* TypedTableElementList: TypedTableElementList ',' TypedTableElement  */
#line 3651 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 31659 "gram.c"
    break;

  case 464: /* TableElement: columnDef  */
#line 3657 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 31665 "gram.c"
    break;

  case 465: /* TableElement: TableLikeClause  */
#line 3658 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 31671 "gram.c"
    break;

  case 466: /* TableElement: TableConstraint  */
#line 3659 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 31677 "gram.c"
    break;

  case 467: /* TypedTableElement: columnOptions  */
#line 3663 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 31683 "gram.c"
    break;

  case 468: /* TypedTableElement: TableConstraint  */
#line 3664 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 31689 "gram.c"
    break;

  case 469: /* columnDef: ColId Typename opt_column_compression create_generic_options ColQualList  */
#line 3668 "gram.y"
                                {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-4].str);
					n->typeName = (yyvsp[-3].typnam);
					n->compression = (yyvsp[-2].str);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 31714 "gram.c"
    break;

  case 470: /* columnOptions: ColId ColQualList  */
#line 3691 "gram.y"
                                {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-1].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 31737 "gram.c"
    break;

  case 471: /* columnOptions: ColId WITH OPTIONS ColQualList  */
#line 3710 "gram.y"
                                {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 31760 "gram.c"
    break;

  case 472: /* column_compression: COMPRESSION ColId  */
#line 3731 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 31766 "gram.c"
    break;

  case 473: /* column_compression: COMPRESSION DEFAULT  */
#line 3732 "gram.y"
                                                                                { (yyval.str) = pstrdup("default"); }
#line 31772 "gram.c"
    break;

  case 474: /* opt_column_compression: column_compression  */
#line 3736 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 31778 "gram.c"
    break;

  case 475: /* opt_column_compression: %empty  */
#line 3737 "gram.y"
                                                                                                { (yyval.str) = NULL; }
#line 31784 "gram.c"
    break;

  case 476: /* ColQualList: ColQualList ColConstraint  */
#line 3741 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 31790 "gram.c"
    break;

  case 477: /* ColQualList: %empty  */
#line 3742 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 31796 "gram.c"
    break;

  case 478: /* ColConstraint: CONSTRAINT name ColConstraintElem  */
#line 3747 "gram.y"
                                {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));

					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 31808 "gram.c"
    break;

  case 479: /* ColConstraint: ColConstraintElem  */
#line 3754 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 31814 "gram.c"
    break;

  case 480: /* ColConstraint: ConstraintAttr  */
#line 3755 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 31820 "gram.c"
    break;

  case 481: /* ColConstraint: COLLATE any_name  */
#line 3757 "gram.y"
                                {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);

					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 31838 "gram.c"
    break;

  case 482: /* ColConstraintElem: NOT NULL_P  */
#line 3789 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 31850 "gram.c"
    break;

  case 483: /* ColConstraintElem: NULL_P  */
#line 3797 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 31862 "gram.c"
    break;

  case 484: /* ColConstraintElem: UNIQUE opt_unique_null_treatment opt_definition OptConsTableSpace  */
#line 3805 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-3]);
					n->nulls_not_distinct = !(yyvsp[-2].boolean);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31879 "gram.c"
    break;

  case 485: /* ColConstraintElem: PRIMARY KEY opt_definition OptConsTableSpace  */
#line 3818 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31895 "gram.c"
    break;

  case 486: /* ColConstraintElem: CHECK '(' a_expr ')' opt_no_inherit  */
#line 3830 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 31912 "gram.c"
    break;

  case 487: /* ColConstraintElem: DEFAULT b_expr  */
#line 3843 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *) n;
				}
#line 31926 "gram.c"
    break;

  case 488: /* ColConstraintElem: GENERATED generated_when AS IDENTITY_P OptParenthesizedSeqOptList  */
#line 3853 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_IDENTITY;
					n->generated_when = (yyvsp[-3].ival);
					n->options = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 31940 "gram.c"
    break;

  case 489: /* ColConstraintElem: GENERATED generated_when AS '(' a_expr ')' STORED  */
#line 3863 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_GENERATED;
					n->generated_when = (yyvsp[-5].ival);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->location = (yylsp[-6]);

					/*
					 * Can't do this in the grammar because of shift/reduce
					 * conflicts.  (IDENTITY allows both ALWAYS and BY
					 * DEFAULT, but generated columns only allow ALWAYS.)  We
					 * can also give a more useful error message and location.
					 */
					if ((yyvsp[-5].ival) != ATTRIBUTE_IDENTITY_ALWAYS)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("for a generated column, GENERATED ALWAYS must be specified"),
								 parser_errposition((yylsp[-5]))));

					(yyval.node) = (Node *) n;
				}
#line 31968 "gram.c"
    break;

  case 490: /* ColConstraintElem: REFERENCES qualified_name opt_column_list key_match key_actions  */
#line 3887 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable = (yyvsp[-3].range);
					n->fk_attrs = NIL;
					n->pk_attrs = (yyvsp[-2].list);
					n->fk_matchtype = (yyvsp[-1].ival);
					n->fk_upd_action = ((yyvsp[0].keyactions))->updateAction->action;
					n->fk_del_action = ((yyvsp[0].keyactions))->deleteAction->action;
					n->fk_del_set_cols = ((yyvsp[0].keyactions))->deleteAction->cols;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 31989 "gram.c"
    break;

  case 491: /* opt_unique_null_treatment: NULLS_P DISTINCT  */
#line 3906 "gram.y"
                                                        { (yyval.boolean) = true; }
#line 31995 "gram.c"
    break;

  case 492: /* opt_unique_null_treatment: NULLS_P NOT DISTINCT  */
#line 3907 "gram.y"
                                                { (yyval.boolean) = false; }
#line 32001 "gram.c"
    break;

  case 493: /* opt_unique_null_treatment: %empty  */
#line 3908 "gram.y"
                                                                { (yyval.boolean) = true; }
#line 32007 "gram.c"
    break;

  case 494: /* generated_when: ALWAYS  */
#line 3912 "gram.y"
                                                { (yyval.ival) = ATTRIBUTE_IDENTITY_ALWAYS; }
#line 32013 "gram.c"
    break;

  case 495: /* generated_when: BY DEFAULT  */
#line 3913 "gram.y"
                                        { (yyval.ival) = ATTRIBUTE_IDENTITY_BY_DEFAULT; }
#line 32019 "gram.c"
    break;

  case 496: /* ConstraintAttr: DEFERRABLE  */
#line 3933 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 32031 "gram.c"
    break;

  case 497: /* ConstraintAttr: NOT DEFERRABLE  */
#line 3941 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 32043 "gram.c"
    break;

  case 498: /* ConstraintAttr: INITIALLY DEFERRED  */
#line 3949 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 32055 "gram.c"
    break;

  case 499: /* ConstraintAttr: INITIALLY IMMEDIATE  */
#line 3957 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 32067 "gram.c"
    break;

  case 500: /* TableLikeClause: LIKE qualified_name TableLikeOptionList  */
#line 3969 "gram.y"
                                {
					TableLikeClause *n = makeNode(TableLikeClause);

					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					n->relationOid = InvalidOid;
					(yyval.node) = (Node *) n;
				}
#line 32080 "gram.c"
    break;

  case 501: /* TableLikeOptionList: TableLikeOptionList INCLUDING TableLikeOption  */
#line 3980 "gram.y"
                                                                                { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 32086 "gram.c"
    break;

  case 502: /* TableLikeOptionList: TableLikeOptionList EXCLUDING TableLikeOption  */
#line 3981 "gram.y"
                                                                                { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 32092 "gram.c"
    break;

  case 503: /* TableLikeOptionList: %empty  */
#line 3982 "gram.y"
                                                                                        { (yyval.ival) = 0; }
#line 32098 "gram.c"
    break;

  case 504: /* TableLikeOption: COMMENTS  */
#line 3986 "gram.y"
                                                                { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 32104 "gram.c"
    break;

  case 505: /* TableLikeOption: COMPRESSION  */
#line 3987 "gram.y"
                                                        { (yyval.ival) = CREATE_TABLE_LIKE_COMPRESSION; }
#line 32110 "gram.c"
    break;

  case 506: /* TableLikeOption: CONSTRAINTS  */
#line 3988 "gram.y"
                                                        { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 32116 "gram.c"
    break;

  case 507: /* TableLikeOption: DEFAULTS  */
#line 3989 "gram.y"
                                                                { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 32122 "gram.c"
    break;

  case 508: /* TableLikeOption: IDENTITY_P  */
#line 3990 "gram.y"
                                                        { (yyval.ival) = CREATE_TABLE_LIKE_IDENTITY; }
#line 32128 "gram.c"
    break;

  case 509: /* TableLikeOption: GENERATED  */
#line 3991 "gram.y"
                                                                { (yyval.ival) = CREATE_TABLE_LIKE_GENERATED; }
#line 32134 "gram.c"
    break;

  case 510: /* TableLikeOption: INDEXES  */
#line 3992 "gram.y"
                                                                { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 32140 "gram.c"
    break;

  case 511: /* TableLikeOption: STATISTICS  */
#line 3993 "gram.y"
                                                        { (yyval.ival) = CREATE_TABLE_LIKE_STATISTICS; }
#line 32146 "gram.c"
    break;

  case 512: /* TableLikeOption: STORAGE  */
#line 3994 "gram.y"
                                                                { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 32152 "gram.c"
    break;

  case 513: /* TableLikeOption: ALL  */
#line 3995 "gram.y"
                                                                { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 32158 "gram.c"
    break;

  case 514: /* TableConstraint: CONSTRAINT name ConstraintElem  */
#line 4005 "gram.y"
                                {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));

					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 32170 "gram.c"
    break;

  case 515: /* TableConstraint: ConstraintElem  */
#line 4012 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 32176 "gram.c"
    break;

  case 516: /* ConstraintElem: CHECK '(' a_expr ')' ConstraintAttributeSpec  */
#line 4017 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *) n;
				}
#line 32194 "gram.c"
    break;

  case 517: /* ConstraintElem: UNIQUE opt_unique_null_treatment '(' columnList ')' opt_c_include opt_definition OptConsTableSpace ConstraintAttributeSpec  */
#line 4032 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-8]);
					n->nulls_not_distinct = !(yyvsp[-7].boolean);
					n->keys = (yyvsp[-5].list);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 32215 "gram.c"
    break;

  case 518: /* ConstraintElem: UNIQUE ExistingIndex ConstraintAttributeSpec  */
#line 4049 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 32235 "gram.c"
    break;

  case 519: /* ConstraintElem: PRIMARY KEY '(' columnList ')' opt_c_include opt_definition OptConsTableSpace ConstraintAttributeSpec  */
#line 4066 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-8]);
					n->keys = (yyvsp[-5].list);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 32255 "gram.c"
    break;

  case 520: /* ConstraintElem: PRIMARY KEY ExistingIndex ConstraintAttributeSpec  */
#line 4082 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 32275 "gram.c"
    break;

  case 521: /* ConstraintElem: EXCLUDE access_method_clause '(' ExclusionConstraintList ')' opt_c_include opt_definition OptConsTableSpace OptWhereClause ConstraintAttributeSpec  */
#line 4100 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-9]);
					n->access_method = (yyvsp[-8].str);
					n->exclusions = (yyvsp[-6].list);
					n->including = (yyvsp[-4].list);
					n->options = (yyvsp[-3].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-2].str);
					n->where_clause = (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 32297 "gram.c"
    break;

  case 522: /* ConstraintElem: FOREIGN KEY '(' columnList ')' REFERENCES qualified_name opt_column_list key_match key_actions ConstraintAttributeSpec  */
#line 4119 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable = (yyvsp[-4].range);
					n->fk_attrs = (yyvsp[-7].list);
					n->pk_attrs = (yyvsp[-3].list);
					n->fk_matchtype = (yyvsp[-2].ival);
					n->fk_upd_action = ((yyvsp[-1].keyactions))->updateAction->action;
					n->fk_del_action = ((yyvsp[-1].keyactions))->deleteAction->action;
					n->fk_del_set_cols = ((yyvsp[-1].keyactions))->deleteAction->cols;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *) n;
				}
#line 32321 "gram.c"
    break;

  case 523: /* opt_no_inherit: NO INHERIT  */
#line 4140 "gram.y"
                                                                                {  (yyval.boolean) = true; }
#line 32327 "gram.c"
    break;

  case 524: /* opt_no_inherit: %empty  */
#line 4141 "gram.y"
                                                                                        {  (yyval.boolean) = false; }
#line 32333 "gram.c"
    break;

  case 525: /* opt_column_list: '(' columnList ')'  */
#line 4145 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 32339 "gram.c"
    break;

  case 526: /* opt_column_list: %empty  */
#line 4146 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 32345 "gram.c"
    break;

  case 527: /* columnList: columnElem  */
#line 4150 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 32351 "gram.c"
    break;

  case 528: /* columnList: columnList ',' columnElem  */
#line 4151 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 32357 "gram.c"
    break;

  case 529: /* columnElem: ColId  */
#line 4155 "gram.y"
                                {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 32365 "gram.c"
    break;

  case 530: /* opt_c_include: INCLUDE '(' columnList ')'  */
#line 4160 "gram.y"
                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 32371 "gram.c"
    break;

  case 531: /* opt_c_include: %empty  */
#line 4161 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 32377 "gram.c"
    break;

  case 532: /* key_match: MATCH FULL  */
#line 4165 "gram.y"
                        {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 32385 "gram.c"
    break;

  case 533: /* key_match: MATCH PARTIAL  */
#line 4169 "gram.y"
                        {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 32397 "gram.c"
    break;

  case 534: /* key_match: MATCH SIMPLE  */
#line 4177 "gram.y"
                        {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 32405 "gram.c"
    break;

  case 535: /* key_match: %empty  */
#line 4181 "gram.y"
                        {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 32413 "gram.c"
    break;

  case 536: /* ExclusionConstraintList: ExclusionConstraintElem  */
#line 4187 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 32419 "gram.c"
    break;

  case 537: /* ExclusionConstraintList: ExclusionConstraintList ',' ExclusionConstraintElem  */
#line 4189 "gram.y"
                                                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 32425 "gram.c"
    break;

  case 538: /* ExclusionConstraintElem: index_elem WITH any_operator  */
#line 4193 "gram.y"
                        {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 32433 "gram.c"
    break;

  case 539: /* ExclusionConstraintElem: index_elem WITH OPERATOR '(' any_operator ')'  */
#line 4198 "gram.y"
                        {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 32441 "gram.c"
    break;

  case 540: /* OptWhereClause: WHERE '(' a_expr ')'  */
#line 4204 "gram.y"
                                                                                { (yyval.node) = (yyvsp[-1].node); }
#line 32447 "gram.c"
    break;

  case 541: /* OptWhereClause: %empty  */
#line 4205 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 32453 "gram.c"
    break;

  case 542: /* key_actions: key_update  */
#line 4210 "gram.y"
                                {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[0].keyaction);
					n->deleteAction = palloc(sizeof(KeyAction));
					n->deleteAction->action = FKCONSTR_ACTION_NOACTION;
					n->deleteAction->cols = NIL;
					(yyval.keyactions) = n;
				}
#line 32467 "gram.c"
    break;

  case 543: /* key_actions: key_delete  */
#line 4220 "gram.y"
                                {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = palloc(sizeof(KeyAction));
					n->updateAction->action = FKCONSTR_ACTION_NOACTION;
					n->updateAction->cols = NIL;
					n->deleteAction = (yyvsp[0].keyaction);
					(yyval.keyactions) = n;
				}
#line 32481 "gram.c"
    break;

  case 544: /* key_actions: key_update key_delete  */
#line 4230 "gram.y"
                                {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[-1].keyaction);
					n->deleteAction = (yyvsp[0].keyaction);
					(yyval.keyactions) = n;
				}
#line 32493 "gram.c"
    break;

  case 545: /* key_actions: key_delete key_update  */
#line 4238 "gram.y"
                                {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[0].keyaction);
					n->deleteAction = (yyvsp[-1].keyaction);
					(yyval.keyactions) = n;
				}
#line 32505 "gram.c"
    break;

  case 546: /* key_actions: %empty  */
#line 4246 "gram.y"
                                {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = palloc(sizeof(KeyAction));
					n->updateAction->action = FKCONSTR_ACTION_NOACTION;
					n->updateAction->cols = NIL;
					n->deleteAction = palloc(sizeof(KeyAction));
					n->deleteAction->action = FKCONSTR_ACTION_NOACTION;
					n->deleteAction->cols = NIL;
					(yyval.keyactions) = n;
				}
#line 32521 "gram.c"
    break;

  case 547: /* key_update: ON UPDATE key_action  */
#line 4260 "gram.y"
                                {
					if (((yyvsp[0].keyaction))->cols)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("a column list with %s is only supported for ON DELETE actions",
										((yyvsp[0].keyaction))->action == FKCONSTR_ACTION_SETNULL ? "SET NULL" : "SET DEFAULT"),
								 parser_errposition((yylsp[-2]))));
					(yyval.keyaction) = (yyvsp[0].keyaction);
				}
#line 32535 "gram.c"
    break;

  case 548: /* key_delete: ON DELETE_P key_action  */
#line 4272 "gram.y"
                                {
					(yyval.keyaction) = (yyvsp[0].keyaction);
				}
#line 32543 "gram.c"
    break;

  case 549: /* key_action: NO ACTION  */
#line 4279 "gram.y"
                                {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_NOACTION;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 32555 "gram.c"
    break;

  case 550: /* key_action: RESTRICT  */
#line 4287 "gram.y"
                                {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_RESTRICT;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 32567 "gram.c"
    break;

  case 551: /* key_action: CASCADE  */
#line 4295 "gram.y"
                                {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_CASCADE;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 32579 "gram.c"
    break;

  case 552: /* key_action: SET NULL_P opt_column_list  */
#line 4303 "gram.y"
                                {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_SETNULL;
					n->cols = (yyvsp[0].list);
					(yyval.keyaction) = n;
				}
#line 32591 "gram.c"
    break;

  case 553: /* key_action: SET DEFAULT opt_column_list  */
#line 4311 "gram.y"
                                {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_SETDEFAULT;
					n->cols = (yyvsp[0].list);
					(yyval.keyaction) = n;
				}
#line 32603 "gram.c"
    break;

  case 554: /* OptInherit: INHERITS '(' qualified_name_list ')'  */
#line 4320 "gram.y"
                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 32609 "gram.c"
    break;

  case 555: /* OptInherit: %empty  */
#line 4321 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 32615 "gram.c"
    break;

  case 556: /* OptPartitionSpec: PartitionSpec  */
#line 4325 "gram.y"
                                { (yyval.partspec) = (yyvsp[0].partspec); }
#line 32621 "gram.c"
    break;

  case 557: /* OptPartitionSpec: %empty  */
#line 4326 "gram.y"
                                                        { (yyval.partspec) = NULL; }
#line 32627 "gram.c"
    break;

  case 558: /* PartitionSpec: PARTITION BY ColId '(' part_params ')'  */
#line 4330 "gram.y"
                                {
					PartitionSpec *n = makeNode(PartitionSpec);

					n->strategy = (yyvsp[-3].str);
					n->partParams = (yyvsp[-1].list);
					n->location = (yylsp[-5]);

					(yyval.partspec) = n;
				}
#line 32641 "gram.c"
    break;

  case 559: /* part_params: part_elem  */
#line 4341 "gram.y"
                                                                        { (yyval.list) = list_make1((yyvsp[0].partelem)); }
#line 32647 "gram.c"
    break;

  case 560: /* part_params: part_params ',' part_elem  */
#line 4342 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].partelem)); }
#line 32653 "gram.c"
    break;

  case 561: /* part_elem: ColId opt_collate opt_class  */
#line 4346 "gram.y"
                                {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = (yyvsp[-2].str);
					n->expr = NULL;
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 32668 "gram.c"
    break;

  case 562: /* part_elem: func_expr_windowless opt_collate opt_class  */
#line 4357 "gram.y"
                                {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-2].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 32683 "gram.c"
    break;

  case 563: /* part_elem: '(' a_expr ')' opt_collate opt_class  */
#line 4368 "gram.y"
                                {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-3].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.partelem) = n;
				}
#line 32698 "gram.c"
    break;

  case 564: /* table_access_method_clause: USING name  */
#line 4381 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 32704 "gram.c"
    break;

  case 565: /* table_access_method_clause: %empty  */
#line 4382 "gram.y"
                                                                                        { (yyval.str) = NULL; }
#line 32710 "gram.c"
    break;

  case 566: /* OptWith: WITH reloptions  */
#line 4387 "gram.y"
                                                                { (yyval.list) = (yyvsp[0].list); }
#line 32716 "gram.c"
    break;

  case 567: /* OptWith: WITHOUT OIDS  */
#line 4388 "gram.y"
                                                                { (yyval.list) = NIL; }
#line 32722 "gram.c"
    break;

  case 568: /* OptWith: %empty  */
#line 4389 "gram.y"
                                                                        { (yyval.list) = NIL; }
#line 32728 "gram.c"
    break;

  case 569: /* OnCommitOption: ON COMMIT DROP  */
#line 4392 "gram.y"
                                                        { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 32734 "gram.c"
    break;

  case 570: /* OnCommitOption: ON COMMIT DELETE_P ROWS  */
#line 4393 "gram.y"
                                                                { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 32740 "gram.c"
    break;

  case 571: /* OnCommitOption: ON COMMIT PRESERVE ROWS  */
#line 4394 "gram.y"
                                                                { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 32746 "gram.c"
    break;

  case 572: /* OnCommitOption: %empty  */
#line 4395 "gram.y"
                                                                                { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 32752 "gram.c"
    break;

  case 573: /* OptTableSpace: TABLESPACE name  */
#line 4398 "gram.y"
                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 32758 "gram.c"
    break;

  case 574: /* OptTableSpace: %empty  */
#line 4399 "gram.y"
                                                                                                { (yyval.str) = NULL; }
#line 32764 "gram.c"
    break;

  case 575: /* OptConsTableSpace: USING INDEX TABLESPACE name  */
#line 4402 "gram.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 32770 "gram.c"
    break;

  case 576: /* OptConsTableSpace: %empty  */
#line 4403 "gram.y"
                                                                                                { (yyval.str) = NULL; }
#line 32776 "gram.c"
    break;

  case 577: /* ExistingIndex: USING INDEX name  */
#line 4406 "gram.y"
                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 32782 "gram.c"
    break;

  case 578: /* CreateStatsStmt: CREATE STATISTICS any_name opt_name_list ON stats_params FROM from_list  */
#line 4426 "gram.y"
                                {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);

					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 32798 "gram.c"
    break;

  case 579: /* CreateStatsStmt: CREATE STATISTICS IF_P NOT EXISTS any_name opt_name_list ON stats_params FROM from_list  */
#line 4439 "gram.y"
                                {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);

					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 32814 "gram.c"
    break;

  case 580: /* stats_params: stats_param  */
#line 4459 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].selem)); }
#line 32820 "gram.c"
    break;

  case 581: /* stats_params: stats_params ',' stats_param  */
#line 4460 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].selem)); }
#line 32826 "gram.c"
    break;

  case 582: /* stats_param: ColId  */
#line 4464 "gram.y"
                                {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = (yyvsp[0].str);
					(yyval.selem)->expr = NULL;
				}
#line 32836 "gram.c"
    break;

  case 583: /* stats_param: func_expr_windowless  */
#line 4470 "gram.y"
                                {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = NULL;
					(yyval.selem)->expr = (yyvsp[0].node);
				}
#line 32846 "gram.c"
    break;

  case 584: /* stats_param: '(' a_expr ')'  */
#line 4476 "gram.y"
                                {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = NULL;
					(yyval.selem)->expr = (yyvsp[-1].node);
				}
#line 32856 "gram.c"
    break;

  case 585: /* AlterStatsStmt: ALTER STATISTICS any_name SET STATISTICS SignedIconst  */
#line 4493 "gram.y"
                                {
					AlterStatsStmt *n = makeNode(AlterStatsStmt);

					n->defnames = (yyvsp[-3].list);
					n->missing_ok = false;
					n->stxstattarget = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 32869 "gram.c"
    break;

  case 586: /* AlterStatsStmt: ALTER STATISTICS IF_P EXISTS any_name SET STATISTICS SignedIconst  */
#line 4502 "gram.y"
                                {
					AlterStatsStmt *n = makeNode(AlterStatsStmt);

					n->defnames = (yyvsp[-3].list);
					n->missing_ok = true;
					n->stxstattarget = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 32882 "gram.c"
    break;

  case 587: /* CreateAsStmt: CREATE OptTemp TABLE create_as_target AS SelectStmt opt_with_data  */
#line 4524 "gram.y"
                                {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 32900 "gram.c"
    break;

  case 588: /* CreateAsStmt: CREATE OptTemp TABLE IF_P NOT EXISTS create_as_target AS SelectStmt opt_with_data  */
#line 4538 "gram.y"
                                {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-8].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 32918 "gram.c"
    break;

  case 589: /* create_as_target: qualified_name opt_column_list table_access_method_clause OptWith OnCommitOption OptTableSpace  */
#line 4556 "gram.y"
                                {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-5].range);
					(yyval.into)->colNames = (yyvsp[-4].list);
					(yyval.into)->accessMethod = (yyvsp[-3].str);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 32934 "gram.c"
    break;

  case 590: /* opt_with_data: WITH DATA_P  */
#line 4570 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 32940 "gram.c"
    break;

  case 591: /* opt_with_data: WITH NO DATA_P  */
#line 4571 "gram.y"
                                                                                        { (yyval.boolean) = false; }
#line 32946 "gram.c"
    break;

  case 592: /* opt_with_data: %empty  */
#line 4572 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 32952 "gram.c"
    break;

  case 593: /* CreateMatViewStmt: CREATE OptNoLog MATERIALIZED VIEW create_mv_target AS SelectStmt opt_with_data  */
#line 4585 "gram.y"
                                {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 32970 "gram.c"
    break;

  case 594: /* CreateMatViewStmt: CREATE OptNoLog MATERIALIZED VIEW IF_P NOT EXISTS create_mv_target AS SelectStmt opt_with_data  */
#line 4599 "gram.y"
                                {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-9].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 32988 "gram.c"
    break;

  case 595: /* create_mv_target: qualified_name opt_column_list table_access_method_clause opt_reloptions OptTableSpace  */
#line 4616 "gram.y"
                                {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->accessMethod = (yyvsp[-2].str);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 33004 "gram.c"
    break;

  case 596: /* OptNoLog: UNLOGGED  */
#line 4629 "gram.y"
                                                                { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 33010 "gram.c"
    break;

  case 597: /* OptNoLog: %empty  */
#line 4630 "gram.y"
                                                                        { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 33016 "gram.c"
    break;

  case 598: /* RefreshMatViewStmt: REFRESH MATERIALIZED VIEW opt_concurrently qualified_name opt_with_data  */
#line 4643 "gram.y"
                                {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);

					n->concurrent = (yyvsp[-2].boolean);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 33029 "gram.c"
    break;

  case 599: /* CreateSeqStmt: CREATE OptTemp SEQUENCE qualified_name OptSeqOptList  */
#line 4664 "gram.y"
                                {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);

					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 33044 "gram.c"
    break;

  case 600: /* CreateSeqStmt: CREATE OptTemp SEQUENCE IF_P NOT EXISTS qualified_name OptSeqOptList  */
#line 4675 "gram.y"
                                {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);

					(yyvsp[-1].range)->relpersistence = (yyvsp[-6].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 33059 "gram.c"
    break;

  case 601: /* AlterSeqStmt: ALTER SEQUENCE qualified_name SeqOptList  */
#line 4689 "gram.y"
                                {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);

					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 33072 "gram.c"
    break;

  case 602: /* AlterSeqStmt: ALTER SEQUENCE IF_P EXISTS qualified_name SeqOptList  */
#line 4698 "gram.y"
                                {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);

					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 33085 "gram.c"
    break;

  case 603: /* OptSeqOptList: SeqOptList  */
#line 4709 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 33091 "gram.c"
    break;

  case 604: /* OptSeqOptList: %empty  */
#line 4710 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 33097 "gram.c"
    break;

  case 605: /* OptParenthesizedSeqOptList: '(' SeqOptList ')'  */
#line 4713 "gram.y"
                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 33103 "gram.c"
    break;

  case 606: /* OptParenthesizedSeqOptList: %empty  */
#line 4714 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 33109 "gram.c"
    break;

  case 607: /* SeqOptList: SeqOptElem  */
#line 4717 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 33115 "gram.c"
    break;

  case 608: /* SeqOptList: SeqOptList SeqOptElem  */
#line 4718 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 33121 "gram.c"
    break;

  case 609: /* SeqOptElem: AS SimpleTypename  */
#line 4722 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("as", (Node *) (yyvsp[0].typnam), (yylsp[-1]));
				}
#line 33129 "gram.c"
    break;

  case 610: /* SeqOptElem: CACHE NumericOnly  */
#line 4726 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("cache", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 33137 "gram.c"
    break;

  case 611: /* SeqOptElem: CYCLE  */
#line 4730 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("cycle", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 33145 "gram.c"
    break;

  case 612: /* SeqOptElem: NO CYCLE  */
#line 4734 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("cycle", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 33153 "gram.c"
    break;

  case 613: /* SeqOptElem: INCREMENT opt_by NumericOnly  */
#line 4738 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("increment", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 33161 "gram.c"
    break;

  case 614: /* SeqOptElem: LOGGED  */
#line 4742 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("logged", NULL, (yylsp[0]));
				}
#line 33169 "gram.c"
    break;

  case 615: /* SeqOptElem: MAXVALUE NumericOnly  */
#line 4746 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 33177 "gram.c"
    break;

  case 616: /* SeqOptElem: MINVALUE NumericOnly  */
#line 4750 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("minvalue", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 33185 "gram.c"
    break;

  case 617: /* SeqOptElem: NO MAXVALUE  */
#line 4754 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("maxvalue", NULL, (yylsp[-1]));
				}
#line 33193 "gram.c"
    break;

  case 618: /* SeqOptElem: NO MINVALUE  */
#line 4758 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("minvalue", NULL, (yylsp[-1]));
				}
#line 33201 "gram.c"
    break;

  case 619: /* SeqOptElem: OWNED BY any_name  */
#line 4762 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("owned_by", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 33209 "gram.c"
    break;

  case 620: /* SeqOptElem: SEQUENCE NAME_P any_name  */
#line 4766 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("sequence_name", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 33217 "gram.c"
    break;

  case 621: /* SeqOptElem: START opt_with NumericOnly  */
#line 4770 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("start", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 33225 "gram.c"
    break;

  case 622: /* SeqOptElem: RESTART  */
#line 4774 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 33233 "gram.c"
    break;

  case 623: /* SeqOptElem: RESTART opt_with NumericOnly  */
#line 4778 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("restart", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 33241 "gram.c"
    break;

  case 624: /* SeqOptElem: UNLOGGED  */
#line 4782 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("unlogged", NULL, (yylsp[0]));
				}
#line 33249 "gram.c"
    break;

  case 627: /* NumericOnly: FCONST  */
#line 4792 "gram.y"
                                                                                        { (yyval.node) = (Node *) makeFloat((yyvsp[0].str)); }
#line 33255 "gram.c"
    break;

  case 628: /* NumericOnly: '+' FCONST  */
#line 4793 "gram.y"
                                                                                { (yyval.node) = (Node *) makeFloat((yyvsp[0].str)); }
#line 33261 "gram.c"
    break;

  case 629: /* NumericOnly: '-' FCONST  */
#line 4795 "gram.y"
                                {
					Float	   *f = makeFloat((yyvsp[0].str));

					doNegateFloat(f);
					(yyval.node) = (Node *) f;
				}
#line 33272 "gram.c"
    break;

  case 630: /* NumericOnly: SignedIconst  */
#line 4801 "gram.y"
                                                                                { (yyval.node) = (Node *) makeInteger((yyvsp[0].ival)); }
#line 33278 "gram.c"
    break;

  case 631: /* NumericOnly_list: NumericOnly  */
#line 4804 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 33284 "gram.c"
    break;

  case 632: /* NumericOnly_list: NumericOnly_list ',' NumericOnly  */
#line 4805 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 33290 "gram.c"
    break;

  case 633: /* CreatePLangStmt: CREATE opt_or_replace opt_trusted opt_procedural LANGUAGE name  */
#line 4818 "gram.y"
                        {
				/*
				 * We now interpret parameterless CREATE LANGUAGE as
				 * CREATE EXTENSION.  "OR REPLACE" is silently translated
				 * to "IF NOT EXISTS", which isn't quite the same, but
				 * seems more useful than throwing an error.  We just
				 * ignore TRUSTED, as the previous code would have too.
				 */
				CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

				n->if_not_exists = (yyvsp[-4].boolean);
				n->extname = (yyvsp[0].str);
				n->options = NIL;
				(yyval.node) = (Node *) n;
			}
#line 33310 "gram.c"
    break;

  case 634: /* CreatePLangStmt: CREATE opt_or_replace opt_trusted opt_procedural LANGUAGE name HANDLER handler_name opt_inline_handler opt_validator  */
#line 4835 "gram.y"
                        {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);

				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *) n;
			}
#line 33326 "gram.c"
    break;

  case 635: /* opt_trusted: TRUSTED  */
#line 4849 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 33332 "gram.c"
    break;

  case 636: /* opt_trusted: %empty  */
#line 4850 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 33338 "gram.c"
    break;

  case 637: /* handler_name: name  */
#line 4858 "gram.y"
                                                                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 33344 "gram.c"
    break;

  case 638: /* handler_name: name attrs  */
#line 4859 "gram.y"
                                                                { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 33350 "gram.c"
    break;

  case 639: /* opt_inline_handler: INLINE_P handler_name  */
#line 4863 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 33356 "gram.c"
    break;

  case 640: /* opt_inline_handler: %empty  */
#line 4864 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 33362 "gram.c"
    break;

  case 641: /* validator_clause: VALIDATOR handler_name  */
#line 4868 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 33368 "gram.c"
    break;

  case 642: /* validator_clause: NO VALIDATOR  */
#line 4869 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 33374 "gram.c"
    break;

  case 643: /* opt_validator: validator_clause  */
#line 4873 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 33380 "gram.c"
    break;

  case 644: /* opt_validator: %empty  */
#line 4874 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 33386 "gram.c"
    break;

  case 647: /* CreateTableSpaceStmt: CREATE TABLESPACE name OptTableSpaceOwner LOCATION Sconst opt_reloptions  */
#line 4890 "gram.y"
                                {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);

					n->tablespacename = (yyvsp[-4].str);
					n->owner = (yyvsp[-3].rolespec);
					n->location = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 33400 "gram.c"
    break;

  case 648: /* OptTableSpaceOwner: OWNER RoleSpec  */
#line 4901 "gram.y"
                                                { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 33406 "gram.c"
    break;

  case 649: /* OptTableSpaceOwner: %empty  */
#line 4902 "gram.y"
                                                                { (yyval.rolespec) = NULL; }
#line 33412 "gram.c"
    break;

  case 650: /* DropTableSpaceStmt: DROP TABLESPACE name  */
#line 4916 "gram.y"
                                {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);

					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 33424 "gram.c"
    break;

  case 651: /* DropTableSpaceStmt: DROP TABLESPACE IF_P EXISTS name  */
#line 4924 "gram.y"
                                {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);

					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 33436 "gram.c"
    break;

  case 652: /* CreateExtensionStmt: CREATE EXTENSION name opt_with create_extension_opt_list  */
#line 4942 "gram.y"
                                {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 33449 "gram.c"
    break;

  case 653: /* CreateExtensionStmt: CREATE EXTENSION IF_P NOT EXISTS name opt_with create_extension_opt_list  */
#line 4951 "gram.y"
                                {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 33462 "gram.c"
    break;

  case 654: /* create_extension_opt_list: create_extension_opt_list create_extension_opt_item  */
#line 4963 "gram.y"
                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 33468 "gram.c"
    break;

  case 655: /* create_extension_opt_list: %empty  */
#line 4965 "gram.y"
                                { (yyval.list) = NIL; }
#line 33474 "gram.c"
    break;

  case 656: /* create_extension_opt_item: SCHEMA name  */
#line 4970 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("schema", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 33482 "gram.c"
    break;

  case 657: /* create_extension_opt_item: VERSION_P NonReservedWord_or_Sconst  */
#line 4974 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("new_version", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 33490 "gram.c"
    break;

  case 658: /* create_extension_opt_item: FROM NonReservedWord_or_Sconst  */
#line 4978 "gram.y"
                                {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE EXTENSION ... FROM is no longer supported"),
							 parser_errposition((yylsp[-1]))));
				}
#line 33501 "gram.c"
    break;

  case 659: /* create_extension_opt_item: CASCADE  */
#line 4985 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("cascade", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 33509 "gram.c"
    break;

  case 660: /* AlterExtensionStmt: ALTER EXTENSION name UPDATE alter_extension_opt_list  */
#line 4997 "gram.y"
                                {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 33521 "gram.c"
    break;

  case 661: /* alter_extension_opt_list: alter_extension_opt_list alter_extension_opt_item  */
#line 5008 "gram.y"
                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 33527 "gram.c"
    break;

  case 662: /* alter_extension_opt_list: %empty  */
#line 5010 "gram.y"
                                { (yyval.list) = NIL; }
#line 33533 "gram.c"
    break;

  case 663: /* alter_extension_opt_item: TO NonReservedWord_or_Sconst  */
#line 5015 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("new_version", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 33541 "gram.c"
    break;

  case 664: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop object_type_name name  */
#line 5028 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = (yyvsp[-1].objtype);
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 33555 "gram.c"
    break;

  case 665: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop object_type_any_name any_name  */
#line 5038 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = (yyvsp[-1].objtype);
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 33569 "gram.c"
    break;

  case 666: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop AGGREGATE aggregate_with_argtypes  */
#line 5048 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 33583 "gram.c"
    break;

  case 667: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop CAST '(' Typename AS Typename ')'  */
#line 5058 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 33597 "gram.c"
    break;

  case 668: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop DOMAIN_P Typename  */
#line 5068 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 33611 "gram.c"
    break;

  case 669: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop FUNCTION function_with_argtypes  */
#line 5078 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 33625 "gram.c"
    break;

  case 670: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop OPERATOR operator_with_argtypes  */
#line 5088 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 33639 "gram.c"
    break;

  case 671: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop OPERATOR CLASS any_name USING name  */
#line 5098 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *) n;
				}
#line 33653 "gram.c"
    break;

  case 672: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop OPERATOR FAMILY any_name USING name  */
#line 5108 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *) n;
				}
#line 33667 "gram.c"
    break;

  case 673: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop PROCEDURE function_with_argtypes  */
#line 5118 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 33681 "gram.c"
    break;

  case 674: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop ROUTINE function_with_argtypes  */
#line 5128 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 33695 "gram.c"
    break;

  case 675: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop TRANSFORM FOR Typename LANGUAGE name  */
#line 5138 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-2].typnam), makeString((yyvsp[0].str)));
					(yyval.node) = (Node *) n;
				}
#line 33709 "gram.c"
    break;

  case 676: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop TYPE_P Typename  */
#line 5148 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 33723 "gram.c"
    break;

  case 677: /* CreateFdwStmt: CREATE FOREIGN DATA_P WRAPPER name opt_fdw_options create_generic_options  */
#line 5167 "gram.y"
                                {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);

					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 33736 "gram.c"
    break;

  case 678: /* fdw_option: HANDLER handler_name  */
#line 5178 "gram.y"
                                                                        { (yyval.defelt) = makeDefElem("handler", (Node *) (yyvsp[0].list), (yylsp[-1])); }
#line 33742 "gram.c"
    break;

  case 679: /* fdw_option: NO HANDLER  */
#line 5179 "gram.y"
                                                                                { (yyval.defelt) = makeDefElem("handler", NULL, (yylsp[-1])); }
#line 33748 "gram.c"
    break;

  case 680: /* fdw_option: VALIDATOR handler_name  */
#line 5180 "gram.y"
                                                                        { (yyval.defelt) = makeDefElem("validator", (Node *) (yyvsp[0].list), (yylsp[-1])); }
#line 33754 "gram.c"
    break;

  case 681: /* fdw_option: NO VALIDATOR  */
#line 5181 "gram.y"
                                                                                { (yyval.defelt) = makeDefElem("validator", NULL, (yylsp[-1])); }
#line 33760 "gram.c"
    break;

  case 682: /* fdw_options: fdw_option  */
#line 5185 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 33766 "gram.c"
    break;

  case 683: /* fdw_options: fdw_options fdw_option  */
#line 5186 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 33772 "gram.c"
    break;

  case 684: /* opt_fdw_options: fdw_options  */
#line 5190 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 33778 "gram.c"
    break;

  case 685: /* opt_fdw_options: %empty  */
#line 5191 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 33784 "gram.c"
    break;

  case 686: /* AlterFdwStmt: ALTER FOREIGN DATA_P WRAPPER name opt_fdw_options alter_generic_options  */
#line 5202 "gram.y"
                                {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);

					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 33797 "gram.c"
    break;

  case 687: /* AlterFdwStmt: ALTER FOREIGN DATA_P WRAPPER name fdw_options  */
#line 5211 "gram.y"
                                {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);

					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 33810 "gram.c"
    break;

  case 688: /* create_generic_options: OPTIONS '(' generic_option_list ')'  */
#line 5223 "gram.y"
                                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 33816 "gram.c"
    break;

  case 689: /* create_generic_options: %empty  */
#line 5224 "gram.y"
                                                                                                        { (yyval.list) = NIL; }
#line 33822 "gram.c"
    break;

  case 690: /* generic_option_list: generic_option_elem  */
#line 5229 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 33830 "gram.c"
    break;

  case 691: /* generic_option_list: generic_option_list ',' generic_option_elem  */
#line 5233 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 33838 "gram.c"
    break;

  case 692: /* alter_generic_options: OPTIONS '(' alter_generic_option_list ')'  */
#line 5240 "gram.y"
                                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 33844 "gram.c"
    break;

  case 693: /* alter_generic_option_list: alter_generic_option_elem  */
#line 5245 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 33852 "gram.c"
    break;

  case 694: /* alter_generic_option_list: alter_generic_option_list ',' alter_generic_option_elem  */
#line 5249 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 33860 "gram.c"
    break;

  case 695: /* alter_generic_option_elem: generic_option_elem  */
#line 5256 "gram.y"
                                {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 33868 "gram.c"
    break;

  case 696: /* alter_generic_option_elem: SET generic_option_elem  */
#line 5260 "gram.y"
                                {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 33877 "gram.c"
    break;

  case 697: /* alter_generic_option_elem: ADD_P generic_option_elem  */
#line 5265 "gram.y"
                                {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 33886 "gram.c"
    break;

  case 698: /* alter_generic_option_elem: DROP generic_option_name  */
#line 5270 "gram.y"
                                {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP, (yylsp[0]));
				}
#line 33894 "gram.c"
    break;

  case 699: /* generic_option_elem: generic_option_name generic_option_arg  */
#line 5277 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 33902 "gram.c"
    break;

  case 700: /* generic_option_name: ColLabel  */
#line 5283 "gram.y"
                                                                { (yyval.str) = (yyvsp[0].str); }
#line 33908 "gram.c"
    break;

  case 701: /* generic_option_arg: Sconst  */
#line 5288 "gram.y"
                                                                { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 33914 "gram.c"
    break;

  case 702: /* CreateForeignServerStmt: CREATE SERVER name opt_type opt_foreign_server_version FOREIGN DATA_P WRAPPER name create_generic_options  */
#line 5300 "gram.y"
                                {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);

					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 33930 "gram.c"
    break;

  case 703: /* CreateForeignServerStmt: CREATE SERVER IF_P NOT EXISTS name opt_type opt_foreign_server_version FOREIGN DATA_P WRAPPER name create_generic_options  */
#line 5313 "gram.y"
                                {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);

					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 33946 "gram.c"
    break;

  case 704: /* opt_type: TYPE_P Sconst  */
#line 5327 "gram.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 33952 "gram.c"
    break;

  case 705: /* opt_type: %empty  */
#line 5328 "gram.y"
                                                                { (yyval.str) = NULL; }
#line 33958 "gram.c"
    break;

  case 706: /* foreign_server_version: VERSION_P Sconst  */
#line 5333 "gram.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 33964 "gram.c"
    break;

  case 707: /* foreign_server_version: VERSION_P NULL_P  */
#line 5334 "gram.y"
                                                        { (yyval.str) = NULL; }
#line 33970 "gram.c"
    break;

  case 708: /* opt_foreign_server_version: foreign_server_version  */
#line 5338 "gram.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 33976 "gram.c"
    break;

  case 709: /* opt_foreign_server_version: %empty  */
#line 5339 "gram.y"
                                                                { (yyval.str) = NULL; }
#line 33982 "gram.c"
    break;

  case 710: /* AlterForeignServerStmt: ALTER SERVER name foreign_server_version alter_generic_options  */
#line 5350 "gram.y"
                                {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 33996 "gram.c"
    break;

  case 711: /* AlterForeignServerStmt: ALTER SERVER name foreign_server_version  */
#line 5360 "gram.y"
                                {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 34009 "gram.c"
    break;

  case 712: /* AlterForeignServerStmt: ALTER SERVER name alter_generic_options  */
#line 5369 "gram.y"
                                {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34021 "gram.c"
    break;

  case 713: /* CreateForeignTableStmt: CREATE FOREIGN TABLE qualified_name '(' OptTableElementList ')' OptInherit SERVER name create_generic_options  */
#line 5389 "gram.y"
                                {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34044 "gram.c"
    break;

  case 714: /* CreateForeignTableStmt: CREATE FOREIGN TABLE IF_P NOT EXISTS qualified_name '(' OptTableElementList ')' OptInherit SERVER name create_generic_options  */
#line 5410 "gram.y"
                                {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34067 "gram.c"
    break;

  case 715: /* CreateForeignTableStmt: CREATE FOREIGN TABLE qualified_name PARTITION OF qualified_name OptTypedTableElementList PartitionBoundSpec SERVER name create_generic_options  */
#line 5431 "gram.y"
                                {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34091 "gram.c"
    break;

  case 716: /* CreateForeignTableStmt: CREATE FOREIGN TABLE IF_P NOT EXISTS qualified_name PARTITION OF qualified_name OptTypedTableElementList PartitionBoundSpec SERVER name create_generic_options  */
#line 5453 "gram.y"
                                {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34115 "gram.c"
    break;

  case 717: /* ImportForeignSchemaStmt: IMPORT_P FOREIGN SCHEMA name import_qualification FROM SERVER name INTO name create_generic_options  */
#line 5486 "gram.y"
                        {
				ImportForeignSchemaStmt *n = makeNode(ImportForeignSchemaStmt);

				n->server_name = (yyvsp[-3].str);
				n->remote_schema = (yyvsp[-7].str);
				n->local_schema = (yyvsp[-1].str);
				n->list_type = (yyvsp[-6].importqual)->type;
				n->table_list = (yyvsp[-6].importqual)->table_names;
				n->options = (yyvsp[0].list);
				(yyval.node) = (Node *) n;
			}
#line 34131 "gram.c"
    break;

  case 718: /* import_qualification_type: LIMIT TO  */
#line 5500 "gram.y"
                                                        { (yyval.ival) = FDW_IMPORT_SCHEMA_LIMIT_TO; }
#line 34137 "gram.c"
    break;

  case 719: /* import_qualification_type: EXCEPT  */
#line 5501 "gram.y"
                                                        { (yyval.ival) = FDW_IMPORT_SCHEMA_EXCEPT; }
#line 34143 "gram.c"
    break;

  case 720: /* import_qualification: import_qualification_type '(' relation_expr_list ')'  */
#line 5506 "gram.y"
                        {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));

				n->type = (yyvsp[-3].ival);
				n->table_names = (yyvsp[-1].list);
				(yyval.importqual) = n;
			}
#line 34155 "gram.c"
    break;

  case 721: /* import_qualification: %empty  */
#line 5514 "gram.y"
                        {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = FDW_IMPORT_SCHEMA_ALL;
				n->table_names = NIL;
				(yyval.importqual) = n;
			}
#line 34166 "gram.c"
    break;

  case 722: /* CreateUserMappingStmt: CREATE USER MAPPING FOR auth_ident SERVER name create_generic_options  */
#line 5530 "gram.y"
                                {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 34180 "gram.c"
    break;

  case 723: /* CreateUserMappingStmt: CREATE USER MAPPING IF_P NOT EXISTS FOR auth_ident SERVER name create_generic_options  */
#line 5540 "gram.y"
                                {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 34194 "gram.c"
    break;

  case 724: /* auth_ident: RoleSpec  */
#line 5552 "gram.y"
                                        { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 34200 "gram.c"
    break;

  case 725: /* auth_ident: USER  */
#line 5553 "gram.y"
                                                        { (yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0])); }
#line 34206 "gram.c"
    break;

  case 726: /* DropUserMappingStmt: DROP USER MAPPING FOR auth_ident SERVER name  */
#line 5566 "gram.y"
                                {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);

					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 34219 "gram.c"
    break;

  case 727: /* DropUserMappingStmt: DROP USER MAPPING IF_P EXISTS FOR auth_ident SERVER name  */
#line 5575 "gram.y"
                                {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);

					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 34232 "gram.c"
    break;

  case 728: /* AlterUserMappingStmt: ALTER USER MAPPING FOR auth_ident SERVER name alter_generic_options  */
#line 5593 "gram.y"
                                {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34245 "gram.c"
    break;

  case 729: /* CreatePolicyStmt: CREATE POLICY name ON qualified_name RowSecurityDefaultPermissive RowSecurityDefaultForCmd RowSecurityDefaultToRole RowSecurityOptionalExpr RowSecurityOptionalWithCheck  */
#line 5620 "gram.y"
                                {
					CreatePolicyStmt *n = makeNode(CreatePolicyStmt);

					n->policy_name = (yyvsp[-7].str);
					n->table = (yyvsp[-5].range);
					n->permissive = (yyvsp[-4].boolean);
					n->cmd_name = (yyvsp[-3].str);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 34262 "gram.c"
    break;

  case 730: /* AlterPolicyStmt: ALTER POLICY name ON qualified_name RowSecurityOptionalToRole RowSecurityOptionalExpr RowSecurityOptionalWithCheck  */
#line 5637 "gram.y"
                                {
					AlterPolicyStmt *n = makeNode(AlterPolicyStmt);

					n->policy_name = (yyvsp[-5].str);
					n->table = (yyvsp[-3].range);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 34277 "gram.c"
    break;

  case 731: /* RowSecurityOptionalExpr: USING '(' a_expr ')'  */
#line 5650 "gram.y"
                                                { (yyval.node) = (yyvsp[-1].node); }
#line 34283 "gram.c"
    break;

  case 732: /* RowSecurityOptionalExpr: %empty  */
#line 5651 "gram.y"
                                                        { (yyval.node) = NULL; }
#line 34289 "gram.c"
    break;

  case 733: /* RowSecurityOptionalWithCheck: WITH CHECK '(' a_expr ')'  */
#line 5655 "gram.y"
                                                                { (yyval.node) = (yyvsp[-1].node); }
#line 34295 "gram.c"
    break;

  case 734: /* RowSecurityOptionalWithCheck: %empty  */
#line 5656 "gram.y"
                                                                        { (yyval.node) = NULL; }
#line 34301 "gram.c"
    break;

  case 735: /* RowSecurityDefaultToRole: TO role_list  */
#line 5660 "gram.y"
                                                        { (yyval.list) = (yyvsp[0].list); }
#line 34307 "gram.c"
    break;

  case 736: /* RowSecurityDefaultToRole: %empty  */
#line 5661 "gram.y"
                                                        { (yyval.list) = list_make1(makeRoleSpec(ROLESPEC_PUBLIC, -1)); }
#line 34313 "gram.c"
    break;

  case 737: /* RowSecurityOptionalToRole: TO role_list  */
#line 5665 "gram.y"
                                                        { (yyval.list) = (yyvsp[0].list); }
#line 34319 "gram.c"
    break;

  case 738: /* RowSecurityOptionalToRole: %empty  */
#line 5666 "gram.y"
                                                        { (yyval.list) = NULL; }
#line 34325 "gram.c"
    break;

  case 739: /* RowSecurityDefaultPermissive: AS IDENT  */
#line 5671 "gram.y"
                                {
					if (strcmp((yyvsp[0].str), "permissive") == 0)
						(yyval.boolean) = true;
					else if (strcmp((yyvsp[0].str), "restrictive") == 0)
						(yyval.boolean) = false;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized row security option \"%s\"", (yyvsp[0].str)),
								 errhint("Only PERMISSIVE or RESTRICTIVE policies are supported currently."),
								 parser_errposition((yylsp[0]))));

				}
#line 34343 "gram.c"
    break;

  case 740: /* RowSecurityDefaultPermissive: %empty  */
#line 5684 "gram.y"
                                                        { (yyval.boolean) = true; }
#line 34349 "gram.c"
    break;

  case 741: /* RowSecurityDefaultForCmd: FOR row_security_cmd  */
#line 5688 "gram.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 34355 "gram.c"
    break;

  case 742: /* RowSecurityDefaultForCmd: %empty  */
#line 5689 "gram.y"
                                                        { (yyval.str) = "all"; }
#line 34361 "gram.c"
    break;

  case 743: /* row_security_cmd: ALL  */
#line 5693 "gram.y"
                                                        { (yyval.str) = "all"; }
#line 34367 "gram.c"
    break;

  case 744: /* row_security_cmd: SELECT  */
#line 5694 "gram.y"
                                                { (yyval.str) = "select"; }
#line 34373 "gram.c"
    break;

  case 745: /* row_security_cmd: INSERT  */
#line 5695 "gram.y"
                                                { (yyval.str) = "insert"; }
#line 34379 "gram.c"
    break;

  case 746: /* row_security_cmd: UPDATE  */
#line 5696 "gram.y"
                                                { (yyval.str) = "update"; }
#line 34385 "gram.c"
    break;

  case 747: /* row_security_cmd: DELETE_P  */
#line 5697 "gram.y"
                                                { (yyval.str) = "delete"; }
#line 34391 "gram.c"
    break;

  case 748: /* CreateAmStmt: CREATE ACCESS METHOD name TYPE_P am_type HANDLER handler_name  */
#line 5708 "gram.y"
                                {
					CreateAmStmt *n = makeNode(CreateAmStmt);

					n->amname = (yyvsp[-4].str);
					n->handler_name = (yyvsp[0].list);
					n->amtype = (yyvsp[-2].chr);
					(yyval.node) = (Node *) n;
				}
#line 34404 "gram.c"
    break;

  case 749: /* am_type: INDEX  */
#line 5719 "gram.y"
                                                { (yyval.chr) = AMTYPE_INDEX; }
#line 34410 "gram.c"
    break;

  case 750: /* am_type: TABLE  */
#line 5720 "gram.y"
                                                { (yyval.chr) = AMTYPE_TABLE; }
#line 34416 "gram.c"
    break;

  case 751: /* CreateTrigStmt: CREATE opt_or_replace TRIGGER name TriggerActionTime TriggerEvents ON qualified_name TriggerReferencing TriggerForSpec TriggerWhen EXECUTE FUNCTION_or_PROCEDURE func_name '(' TriggerFuncArgs ')'  */
#line 5734 "gram.y"
                                {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);

					n->replace = (yyvsp[-15].boolean);
					n->isconstraint = false;
					n->trigname = (yyvsp[-13].str);
					n->relation = (yyvsp[-9].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-12].ival);
					n->events = intVal(linitial((yyvsp[-11].list)));
					n->columns = (List *) lsecond((yyvsp[-11].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = (yyvsp[-8].list);
					n->deferrable = false;
					n->initdeferred = false;
					n->constrrel = NULL;
					(yyval.node) = (Node *) n;
				}
#line 34441 "gram.c"
    break;

  case 752: /* CreateTrigStmt: CREATE opt_or_replace CONSTRAINT TRIGGER name AFTER TriggerEvents ON qualified_name OptConstrFromTable ConstraintAttributeSpec FOR EACH ROW TriggerWhen EXECUTE FUNCTION_or_PROCEDURE func_name '(' TriggerFuncArgs ')'  */
#line 5758 "gram.y"
                                {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);

					n->replace = (yyvsp[-19].boolean);
					if (n->replace) /* not supported, see CreateTrigger */
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE OR REPLACE CONSTRAINT TRIGGER is not supported")));
					n->isconstraint = true;
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = true;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = NIL;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *) n;
				}
#line 34471 "gram.c"
    break;

  case 753: /* TriggerActionTime: BEFORE  */
#line 5786 "gram.y"
                                                                                        { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 34477 "gram.c"
    break;

  case 754: /* TriggerActionTime: AFTER  */
#line 5787 "gram.y"
                                                                                        { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 34483 "gram.c"
    break;

  case 755: /* TriggerActionTime: INSTEAD OF  */
#line 5788 "gram.y"
                                                                                { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 34489 "gram.c"
    break;

  case 756: /* TriggerEvents: TriggerOneEvent  */
#line 5793 "gram.y"
                                { (yyval.list) = (yyvsp[0].list); }
#line 34495 "gram.c"
    break;

  case 757: /* TriggerEvents: TriggerEvents OR TriggerOneEvent  */
#line 5795 "gram.y"
                                {
					int			events1 = intVal(linitial((yyvsp[-2].list)));
					int			events2 = intVal(linitial((yyvsp[0].list)));
					List	   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List	   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 34518 "gram.c"
    break;

  case 758: /* TriggerOneEvent: INSERT  */
#line 5817 "gram.y"
                                { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 34524 "gram.c"
    break;

  case 759: /* TriggerOneEvent: DELETE_P  */
#line 5819 "gram.y"
                                { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 34530 "gram.c"
    break;

  case 760: /* TriggerOneEvent: UPDATE  */
#line 5821 "gram.y"
                                { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 34536 "gram.c"
    break;

  case 761: /* TriggerOneEvent: UPDATE OF columnList  */
#line 5823 "gram.y"
                                { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 34542 "gram.c"
    break;

  case 762: /* TriggerOneEvent: TRUNCATE  */
#line 5825 "gram.y"
                                { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 34548 "gram.c"
    break;

  case 763: /* TriggerReferencing: REFERENCING TriggerTransitions  */
#line 5829 "gram.y"
                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 34554 "gram.c"
    break;

  case 764: /* TriggerReferencing: %empty  */
#line 5830 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 34560 "gram.c"
    break;

  case 765: /* TriggerTransitions: TriggerTransition  */
#line 5834 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 34566 "gram.c"
    break;

  case 766: /* TriggerTransitions: TriggerTransitions TriggerTransition  */
#line 5835 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 34572 "gram.c"
    break;

  case 767: /* TriggerTransition: TransitionOldOrNew TransitionRowOrTable opt_as TransitionRelName  */
#line 5840 "gram.y"
                                {
					TriggerTransition *n = makeNode(TriggerTransition);

					n->name = (yyvsp[0].str);
					n->isNew = (yyvsp[-3].boolean);
					n->isTable = (yyvsp[-2].boolean);
					(yyval.node) = (Node *) n;
				}
#line 34585 "gram.c"
    break;

  case 768: /* TransitionOldOrNew: NEW  */
#line 5851 "gram.y"
                                                                                                        { (yyval.boolean) = true; }
#line 34591 "gram.c"
    break;

  case 769: /* TransitionOldOrNew: OLD  */
#line 5852 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 34597 "gram.c"
    break;

  case 770: /* TransitionRowOrTable: TABLE  */
#line 5856 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 34603 "gram.c"
    break;

  case 771: /* TransitionRowOrTable: ROW  */
#line 5865 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 34609 "gram.c"
    break;

  case 772: /* TransitionRelName: ColId  */
#line 5869 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 34615 "gram.c"
    break;

  case 773: /* TriggerForSpec: FOR TriggerForOptEach TriggerForType  */
#line 5874 "gram.y"
                                {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 34623 "gram.c"
    break;

  case 774: /* TriggerForSpec: %empty  */
#line 5878 "gram.y"
                                {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = false;
				}
#line 34635 "gram.c"
    break;

  case 777: /* TriggerForType: ROW  */
#line 5893 "gram.y"
                                                                                                        { (yyval.boolean) = true; }
#line 34641 "gram.c"
    break;

  case 778: /* TriggerForType: STATEMENT  */
#line 5894 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 34647 "gram.c"
    break;

  case 779: /* TriggerWhen: WHEN '(' a_expr ')'  */
#line 5898 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[-1].node); }
#line 34653 "gram.c"
    break;

  case 780: /* TriggerWhen: %empty  */
#line 5899 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 34659 "gram.c"
    break;

  case 783: /* TriggerFuncArgs: TriggerFuncArg  */
#line 5908 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 34665 "gram.c"
    break;

  case 784: /* TriggerFuncArgs: TriggerFuncArgs ',' TriggerFuncArg  */
#line 5909 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 34671 "gram.c"
    break;

  case 785: /* TriggerFuncArgs: %empty  */
#line 5910 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 34677 "gram.c"
    break;

  case 786: /* TriggerFuncArg: Iconst  */
#line 5915 "gram.y"
                                {
					(yyval.node) = (Node *) makeString(psprintf("%d", (yyvsp[0].ival)));
				}
#line 34685 "gram.c"
    break;

  case 787: /* TriggerFuncArg: FCONST  */
#line 5918 "gram.y"
                                                                                                { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 34691 "gram.c"
    break;

  case 788: /* TriggerFuncArg: Sconst  */
#line 5919 "gram.y"
                                                                                                { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 34697 "gram.c"
    break;

  case 789: /* TriggerFuncArg: ColLabel  */
#line 5920 "gram.y"
                                                                                                { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 34703 "gram.c"
    break;

  case 790: /* OptConstrFromTable: FROM qualified_name  */
#line 5924 "gram.y"
                                                                                        { (yyval.range) = (yyvsp[0].range); }
#line 34709 "gram.c"
    break;

  case 791: /* OptConstrFromTable: %empty  */
#line 5925 "gram.y"
                                                                                                { (yyval.range) = NULL; }
#line 34715 "gram.c"
    break;

  case 792: /* ConstraintAttributeSpec: %empty  */
#line 5930 "gram.y"
                                { (yyval.ival) = 0; }
#line 34721 "gram.c"
    break;

  case 793: /* ConstraintAttributeSpec: ConstraintAttributeSpec ConstraintAttributeElem  */
#line 5932 "gram.y"
                                {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 34749 "gram.c"
    break;

  case 794: /* ConstraintAttributeElem: NOT DEFERRABLE  */
#line 5958 "gram.y"
                                                                        { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 34755 "gram.c"
    break;

  case 795: /* ConstraintAttributeElem: DEFERRABLE  */
#line 5959 "gram.y"
                                                                        { (yyval.ival) = CAS_DEFERRABLE; }
#line 34761 "gram.c"
    break;

  case 796: /* ConstraintAttributeElem: INITIALLY IMMEDIATE  */
#line 5960 "gram.y"
                                                                { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 34767 "gram.c"
    break;

  case 797: /* ConstraintAttributeElem: INITIALLY DEFERRED  */
#line 5961 "gram.y"
                                                                { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 34773 "gram.c"
    break;

  case 798: /* ConstraintAttributeElem: NOT VALID  */
#line 5962 "gram.y"
                                                                                { (yyval.ival) = CAS_NOT_VALID; }
#line 34779 "gram.c"
    break;

  case 799: /* ConstraintAttributeElem: NO INHERIT  */
#line 5963 "gram.y"
                                                                        { (yyval.ival) = CAS_NO_INHERIT; }
#line 34785 "gram.c"
    break;

  case 800: /* CreateEventTrigStmt: CREATE EVENT TRIGGER name ON ColLabel EXECUTE FUNCTION_or_PROCEDURE func_name '(' ')'  */
#line 5978 "gram.y"
                                {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);

					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 34799 "gram.c"
    break;

  case 801: /* CreateEventTrigStmt: CREATE EVENT TRIGGER name ON ColLabel WHEN event_trigger_when_list EXECUTE FUNCTION_or_PROCEDURE func_name '(' ')'  */
#line 5990 "gram.y"
                                {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);

					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 34813 "gram.c"
    break;

  case 802: /* event_trigger_when_list: event_trigger_when_item  */
#line 6003 "gram.y"
                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 34819 "gram.c"
    break;

  case 803: /* event_trigger_when_list: event_trigger_when_list AND event_trigger_when_item  */
#line 6005 "gram.y"
                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 34825 "gram.c"
    break;

  case 804: /* event_trigger_when_item: ColId IN_P '(' event_trigger_value_list ')'  */
#line 6010 "gram.y"
                        { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list), (yylsp[-4])); }
#line 34831 "gram.c"
    break;

  case 805: /* event_trigger_value_list: SCONST  */
#line 6015 "gram.y"
                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 34837 "gram.c"
    break;

  case 806: /* event_trigger_value_list: event_trigger_value_list ',' SCONST  */
#line 6017 "gram.y"
                        { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 34843 "gram.c"
    break;

  case 807: /* AlterEventTrigStmt: ALTER EVENT TRIGGER name enable_trigger  */
#line 6022 "gram.y"
                                {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);

					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 34855 "gram.c"
    break;

  case 808: /* enable_trigger: ENABLE_P  */
#line 6032 "gram.y"
                                                                        { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 34861 "gram.c"
    break;

  case 809: /* enable_trigger: ENABLE_P REPLICA  */
#line 6033 "gram.y"
                                                                { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 34867 "gram.c"
    break;

  case 810: /* enable_trigger: ENABLE_P ALWAYS  */
#line 6034 "gram.y"
                                                                { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 34873 "gram.c"
    break;

  case 811: /* enable_trigger: DISABLE_P  */
#line 6035 "gram.y"
                                                                        { (yyval.chr) = TRIGGER_DISABLED; }
#line 34879 "gram.c"
    break;

  case 812: /* CreateAssertionStmt: CREATE ASSERTION any_name CHECK '(' a_expr ')' ConstraintAttributeSpec  */
#line 6047 "gram.y"
                                {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = NULL;
				}
#line 34891 "gram.c"
    break;

  case 813: /* DefineStmt: CREATE opt_or_replace AGGREGATE func_name aggr_args definition  */
#line 6066 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->replace = (yyvsp[-4].boolean);
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34907 "gram.c"
    break;

  case 814: /* DefineStmt: CREATE opt_or_replace AGGREGATE func_name old_aggr_definition  */
#line 6078 "gram.y"
                                {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->replace = (yyvsp[-3].boolean);
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34924 "gram.c"
    break;

  case 815: /* DefineStmt: CREATE OPERATOR any_operator definition  */
#line 6091 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34939 "gram.c"
    break;

  case 816: /* DefineStmt: CREATE TYPE_P any_name definition  */
#line 6102 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34954 "gram.c"
    break;

  case 817: /* DefineStmt: CREATE TYPE_P any_name  */
#line 6113 "gram.y"
                                {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *) n;
				}
#line 34970 "gram.c"
    break;

  case 818: /* DefineStmt: CREATE TYPE_P any_name AS '(' OptTableFuncElementList ')'  */
#line 6125 "gram.y"
                                {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 34983 "gram.c"
    break;

  case 819: /* DefineStmt: CREATE TYPE_P any_name AS ENUM_P '(' opt_enum_val_list ')'  */
#line 6134 "gram.y"
                                {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);

					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 34995 "gram.c"
    break;

  case 820: /* DefineStmt: CREATE TYPE_P any_name AS RANGE definition  */
#line 6142 "gram.y"
                                {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);

					n->typeName = (yyvsp[-3].list);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35007 "gram.c"
    break;

  case 821: /* DefineStmt: CREATE TEXT_P SEARCH PARSER any_name definition  */
#line 6150 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35021 "gram.c"
    break;

  case 822: /* DefineStmt: CREATE TEXT_P SEARCH DICTIONARY any_name definition  */
#line 6160 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35035 "gram.c"
    break;

  case 823: /* DefineStmt: CREATE TEXT_P SEARCH TEMPLATE any_name definition  */
#line 6170 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35049 "gram.c"
    break;

  case 824: /* DefineStmt: CREATE TEXT_P SEARCH CONFIGURATION any_name definition  */
#line 6180 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35063 "gram.c"
    break;

  case 825: /* DefineStmt: CREATE COLLATION any_name definition  */
#line 6190 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35077 "gram.c"
    break;

  case 826: /* DefineStmt: CREATE COLLATION IF_P NOT EXISTS any_name definition  */
#line 6200 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 35092 "gram.c"
    break;

  case 827: /* DefineStmt: CREATE COLLATION any_name FROM any_name  */
#line 6211 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 35106 "gram.c"
    break;

  case 828: /* DefineStmt: CREATE COLLATION IF_P NOT EXISTS any_name FROM any_name  */
#line 6221 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 35121 "gram.c"
    break;

  case 829: /* definition: '(' def_list ')'  */
#line 6233 "gram.y"
                                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 35127 "gram.c"
    break;

  case 830: /* def_list: def_elem  */
#line 6236 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35133 "gram.c"
    break;

  case 831: /* def_list: def_list ',' def_elem  */
#line 6237 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 35139 "gram.c"
    break;

  case 832: /* def_elem: ColLabel '=' def_arg  */
#line 6241 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 35147 "gram.c"
    break;

  case 833: /* def_elem: ColLabel  */
#line 6245 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 35155 "gram.c"
    break;

  case 834: /* def_arg: func_type  */
#line 6251 "gram.y"
                                                                        { (yyval.node) = (Node *) (yyvsp[0].typnam); }
#line 35161 "gram.c"
    break;

  case 835: /* def_arg: reserved_keyword  */
#line 6252 "gram.y"
                                                                        { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 35167 "gram.c"
    break;

  case 836: /* def_arg: qual_all_Op  */
#line 6253 "gram.y"
                                                                        { (yyval.node) = (Node *) (yyvsp[0].list); }
#line 35173 "gram.c"
    break;

  case 837: /* def_arg: NumericOnly  */
#line 6254 "gram.y"
                                                                        { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 35179 "gram.c"
    break;

  case 838: /* def_arg: Sconst  */
#line 6255 "gram.y"
                                                                                { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 35185 "gram.c"
    break;

  case 839: /* def_arg: NONE  */
#line 6256 "gram.y"
                                                                                { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 35191 "gram.c"
    break;

  case 840: /* old_aggr_definition: '(' old_aggr_list ')'  */
#line 6259 "gram.y"
                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 35197 "gram.c"
    break;

  case 841: /* old_aggr_list: old_aggr_elem  */
#line 6262 "gram.y"
                                                                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35203 "gram.c"
    break;

  case 842: /* old_aggr_list: old_aggr_list ',' old_aggr_elem  */
#line 6263 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 35209 "gram.c"
    break;

  case 843: /* old_aggr_elem: IDENT '=' def_arg  */
#line 6272 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 35217 "gram.c"
    break;

  case 844: /* opt_enum_val_list: enum_val_list  */
#line 6278 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 35223 "gram.c"
    break;

  case 845: /* opt_enum_val_list: %empty  */
#line 6279 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 35229 "gram.c"
    break;

  case 846: /* enum_val_list: Sconst  */
#line 6283 "gram.y"
                                { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35235 "gram.c"
    break;

  case 847: /* enum_val_list: enum_val_list ',' Sconst  */
#line 6285 "gram.y"
                                { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 35241 "gram.c"
    break;

  case 848: /* AlterEnumStmt: ALTER TYPE_P any_name ADD_P VALUE_P opt_if_not_exists Sconst  */
#line 6296 "gram.y"
                        {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-4].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 35257 "gram.c"
    break;

  case 849: /* AlterEnumStmt: ALTER TYPE_P any_name ADD_P VALUE_P opt_if_not_exists Sconst BEFORE Sconst  */
#line 6308 "gram.y"
                        {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 35273 "gram.c"
    break;

  case 850: /* AlterEnumStmt: ALTER TYPE_P any_name ADD_P VALUE_P opt_if_not_exists Sconst AFTER Sconst  */
#line 6320 "gram.y"
                        {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 35289 "gram.c"
    break;

  case 851: /* AlterEnumStmt: ALTER TYPE_P any_name RENAME VALUE_P Sconst TO Sconst  */
#line 6332 "gram.y"
                        {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-5].list);
				n->oldVal = (yyvsp[-2].str);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = false;
				n->skipIfNewValExists = false;
				(yyval.node) = (Node *) n;
			}
#line 35305 "gram.c"
    break;

  case 852: /* opt_if_not_exists: IF_P NOT EXISTS  */
#line 6345 "gram.y"
                                                { (yyval.boolean) = true; }
#line 35311 "gram.c"
    break;

  case 853: /* opt_if_not_exists: %empty  */
#line 6346 "gram.y"
                                                       { (yyval.boolean) = false; }
#line 35317 "gram.c"
    break;

  case 854: /* CreateOpClassStmt: CREATE OPERATOR CLASS any_name opt_default FOR TYPE_P Typename USING name opt_opfamily AS opclass_item_list  */
#line 6364 "gram.y"
                                {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);

					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35333 "gram.c"
    break;

  case 855: /* opclass_item_list: opclass_item  */
#line 6378 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 35339 "gram.c"
    break;

  case 856: /* opclass_item_list: opclass_item_list ',' opclass_item  */
#line 6379 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 35345 "gram.c"
    break;

  case 857: /* opclass_item: OPERATOR Iconst any_operator opclass_purpose opt_recheck  */
#line 6384 "gram.y"
                                {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					ObjectWithArgs *owa = makeNode(ObjectWithArgs);

					owa->objname = (yyvsp[-2].list);
					owa->objargs = NIL;
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = owa;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 35362 "gram.c"
    break;

  case 858: /* opclass_item: OPERATOR Iconst operator_with_argtypes opclass_purpose opt_recheck  */
#line 6398 "gram.y"
                                {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].objwithargs);
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 35376 "gram.c"
    break;

  case 859: /* opclass_item: FUNCTION Iconst function_with_argtypes  */
#line 6408 "gram.y"
                                {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-1].ival);
					(yyval.node) = (Node *) n;
				}
#line 35389 "gram.c"
    break;

  case 860: /* opclass_item: FUNCTION Iconst '(' type_list ')' function_with_argtypes  */
#line 6417 "gram.y"
                                {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-4].ival);
					n->class_args = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 35403 "gram.c"
    break;

  case 861: /* opclass_item: STORAGE Typename  */
#line 6427 "gram.y"
                                {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 35415 "gram.c"
    break;

  case 862: /* opt_default: DEFAULT  */
#line 6436 "gram.y"
                                                                { (yyval.boolean) = true; }
#line 35421 "gram.c"
    break;

  case 863: /* opt_default: %empty  */
#line 6437 "gram.y"
                                                                                { (yyval.boolean) = false; }
#line 35427 "gram.c"
    break;

  case 864: /* opt_opfamily: FAMILY any_name  */
#line 6440 "gram.y"
                                                        { (yyval.list) = (yyvsp[0].list); }
#line 35433 "gram.c"
    break;

  case 865: /* opt_opfamily: %empty  */
#line 6441 "gram.y"
                                                                                { (yyval.list) = NIL; }
#line 35439 "gram.c"
    break;

  case 866: /* opclass_purpose: FOR SEARCH  */
#line 6444 "gram.y"
                                                                { (yyval.list) = NIL; }
#line 35445 "gram.c"
    break;

  case 867: /* opclass_purpose: FOR ORDER BY any_name  */
#line 6445 "gram.y"
                                                                { (yyval.list) = (yyvsp[0].list); }
#line 35451 "gram.c"
    break;

  case 868: /* opclass_purpose: %empty  */
#line 6446 "gram.y"
                                                                                { (yyval.list) = NIL; }
#line 35457 "gram.c"
    break;

  case 869: /* opt_recheck: RECHECK  */
#line 6450 "gram.y"
                                {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = true;
				}
#line 35475 "gram.c"
    break;

  case 870: /* opt_recheck: %empty  */
#line 6463 "gram.y"
                                                                                { (yyval.boolean) = false; }
#line 35481 "gram.c"
    break;

  case 871: /* CreateOpFamilyStmt: CREATE OPERATOR FAMILY any_name USING name  */
#line 6469 "gram.y"
                                {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);

					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 35493 "gram.c"
    break;

  case 872: /* AlterOpFamilyStmt: ALTER OPERATOR FAMILY any_name USING name ADD_P opclass_item_list  */
#line 6480 "gram.y"
                                {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);

					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35507 "gram.c"
    break;

  case 873: /* AlterOpFamilyStmt: ALTER OPERATOR FAMILY any_name USING name DROP opclass_drop_list  */
#line 6490 "gram.y"
                                {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);

					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35521 "gram.c"
    break;

  case 874: /* opclass_drop_list: opclass_drop  */
#line 6502 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 35527 "gram.c"
    break;

  case 875: /* opclass_drop_list: opclass_drop_list ',' opclass_drop  */
#line 6503 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 35533 "gram.c"
    break;

  case 876: /* opclass_drop: OPERATOR Iconst '(' type_list ')'  */
#line 6508 "gram.y"
                                {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 35546 "gram.c"
    break;

  case 877: /* opclass_drop: FUNCTION Iconst '(' type_list ')'  */
#line 6517 "gram.y"
                                {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 35559 "gram.c"
    break;

  case 878: /* DropOpClassStmt: DROP OPERATOR CLASS any_name USING name opt_drop_behavior  */
#line 6530 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 35574 "gram.c"
    break;

  case 879: /* DropOpClassStmt: DROP OPERATOR CLASS IF_P EXISTS any_name USING name opt_drop_behavior  */
#line 6541 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 35589 "gram.c"
    break;

  case 880: /* DropOpFamilyStmt: DROP OPERATOR FAMILY any_name USING name opt_drop_behavior  */
#line 6555 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 35604 "gram.c"
    break;

  case 881: /* DropOpFamilyStmt: DROP OPERATOR FAMILY IF_P EXISTS any_name USING name opt_drop_behavior  */
#line 6566 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 35619 "gram.c"
    break;

  case 882: /* DropOwnedStmt: DROP OWNED BY role_list opt_drop_behavior  */
#line 6589 "gram.y"
                                {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);

					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 35631 "gram.c"
    break;

  case 883: /* ReassignOwnedStmt: REASSIGN OWNED BY role_list TO RoleSpec  */
#line 6600 "gram.y"
                                {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);

					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 35643 "gram.c"
    break;

  case 884: /* DropStmt: DROP object_type_any_name IF_P EXISTS any_name_list opt_drop_behavior  */
#line 6619 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 35658 "gram.c"
    break;

  case 885: /* DropStmt: DROP object_type_any_name any_name_list opt_drop_behavior  */
#line 6630 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 35673 "gram.c"
    break;

  case 886: /* DropStmt: DROP drop_type_name IF_P EXISTS name_list opt_drop_behavior  */
#line 6641 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 35688 "gram.c"
    break;

  case 887: /* DropStmt: DROP drop_type_name name_list opt_drop_behavior  */
#line 6652 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 35703 "gram.c"
    break;

  case 888: /* DropStmt: DROP object_type_name_on_any_name name ON any_name opt_drop_behavior  */
#line 6663 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 35718 "gram.c"
    break;

  case 889: /* DropStmt: DROP object_type_name_on_any_name IF_P EXISTS name ON any_name opt_drop_behavior  */
#line 6674 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-6].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 35733 "gram.c"
    break;

  case 890: /* DropStmt: DROP TYPE_P type_name_list opt_drop_behavior  */
#line 6685 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TYPE;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 35748 "gram.c"
    break;

  case 891: /* DropStmt: DROP TYPE_P IF_P EXISTS type_name_list opt_drop_behavior  */
#line 6696 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TYPE;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 35763 "gram.c"
    break;

  case 892: /* DropStmt: DROP DOMAIN_P type_name_list opt_drop_behavior  */
#line 6707 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 35778 "gram.c"
    break;

  case 893: /* DropStmt: DROP DOMAIN_P IF_P EXISTS type_name_list opt_drop_behavior  */
#line 6718 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 35793 "gram.c"
    break;

  case 894: /* DropStmt: DROP INDEX CONCURRENTLY any_name_list opt_drop_behavior  */
#line 6729 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_INDEX;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *) n;
				}
#line 35808 "gram.c"
    break;

  case 895: /* DropStmt: DROP INDEX CONCURRENTLY IF_P EXISTS any_name_list opt_drop_behavior  */
#line 6740 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_INDEX;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *) n;
				}
#line 35823 "gram.c"
    break;

  case 896: /* object_type_any_name: TABLE  */
#line 6754 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_TABLE; }
#line 35829 "gram.c"
    break;

  case 897: /* object_type_any_name: SEQUENCE  */
#line 6755 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 35835 "gram.c"
    break;

  case 898: /* object_type_any_name: VIEW  */
#line 6756 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_VIEW; }
#line 35841 "gram.c"
    break;

  case 899: /* object_type_any_name: MATERIALIZED VIEW  */
#line 6757 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_MATVIEW; }
#line 35847 "gram.c"
    break;

  case 900: /* object_type_any_name: INDEX  */
#line 6758 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_INDEX; }
#line 35853 "gram.c"
    break;

  case 901: /* object_type_any_name: FOREIGN TABLE  */
#line 6759 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 35859 "gram.c"
    break;

  case 902: /* object_type_any_name: COLLATION  */
#line 6760 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_COLLATION; }
#line 35865 "gram.c"
    break;

  case 903: /* object_type_any_name: CONVERSION_P  */
#line 6761 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_CONVERSION; }
#line 35871 "gram.c"
    break;

  case 904: /* object_type_any_name: STATISTICS  */
#line 6762 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 35877 "gram.c"
    break;

  case 905: /* object_type_any_name: TEXT_P SEARCH PARSER  */
#line 6763 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_TSPARSER; }
#line 35883 "gram.c"
    break;

  case 906: /* object_type_any_name: TEXT_P SEARCH DICTIONARY  */
#line 6764 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 35889 "gram.c"
    break;

  case 907: /* object_type_any_name: TEXT_P SEARCH TEMPLATE  */
#line 6765 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 35895 "gram.c"
    break;

  case 908: /* object_type_any_name: TEXT_P SEARCH CONFIGURATION  */
#line 6766 "gram.y"
                                                                        { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 35901 "gram.c"
    break;

  case 909: /* object_type_name: drop_type_name  */
#line 6776 "gram.y"
                                                                                        { (yyval.objtype) = (yyvsp[0].objtype); }
#line 35907 "gram.c"
    break;

  case 910: /* object_type_name: DATABASE  */
#line 6777 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_DATABASE; }
#line 35913 "gram.c"
    break;

  case 911: /* object_type_name: ROLE  */
#line 6778 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_ROLE; }
#line 35919 "gram.c"
    break;

  case 912: /* object_type_name: SUBSCRIPTION  */
#line 6779 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 35925 "gram.c"
    break;

  case 913: /* object_type_name: TABLESPACE  */
#line 6780 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 35931 "gram.c"
    break;

  case 914: /* drop_type_name: ACCESS METHOD  */
#line 6784 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 35937 "gram.c"
    break;

  case 915: /* drop_type_name: EVENT TRIGGER  */
#line 6785 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 35943 "gram.c"
    break;

  case 916: /* drop_type_name: EXTENSION  */
#line 6786 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_EXTENSION; }
#line 35949 "gram.c"
    break;

  case 917: /* drop_type_name: FOREIGN DATA_P WRAPPER  */
#line 6787 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_FDW; }
#line 35955 "gram.c"
    break;

  case 918: /* drop_type_name: opt_procedural LANGUAGE  */
#line 6788 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 35961 "gram.c"
    break;

  case 919: /* drop_type_name: PUBLICATION  */
#line 6789 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 35967 "gram.c"
    break;

  case 920: /* drop_type_name: SCHEMA  */
#line 6790 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_SCHEMA; }
#line 35973 "gram.c"
    break;

  case 921: /* drop_type_name: SERVER  */
#line 6791 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 35979 "gram.c"
    break;

  case 922: /* object_type_name_on_any_name: POLICY  */
#line 6796 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_POLICY; }
#line 35985 "gram.c"
    break;

  case 923: /* object_type_name_on_any_name: RULE  */
#line 6797 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_RULE; }
#line 35991 "gram.c"
    break;

  case 924: /* object_type_name_on_any_name: TRIGGER  */
#line 6798 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_TRIGGER; }
#line 35997 "gram.c"
    break;

  case 925: /* any_name_list: any_name  */
#line 6802 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 36003 "gram.c"
    break;

  case 926: /* any_name_list: any_name_list ',' any_name  */
#line 6803 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 36009 "gram.c"
    break;

  case 927: /* any_name: ColId  */
#line 6806 "gram.y"
                                                                { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36015 "gram.c"
    break;

  case 928: /* any_name: ColId attrs  */
#line 6807 "gram.y"
                                                                { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 36021 "gram.c"
    break;

  case 929: /* attrs: '.' attr_name  */
#line 6811 "gram.y"
                                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36027 "gram.c"
    break;

  case 930: /* attrs: attrs '.' attr_name  */
#line 6813 "gram.y"
                                        { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 36033 "gram.c"
    break;

  case 931: /* type_name_list: Typename  */
#line 6817 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 36039 "gram.c"
    break;

  case 932: /* type_name_list: type_name_list ',' Typename  */
#line 6818 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 36045 "gram.c"
    break;

  case 933: /* TruncateStmt: TRUNCATE opt_table relation_expr_list opt_restart_seqs opt_drop_behavior  */
#line 6830 "gram.y"
                                {
					TruncateStmt *n = makeNode(TruncateStmt);

					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 36058 "gram.c"
    break;

  case 934: /* opt_restart_seqs: CONTINUE_P IDENTITY_P  */
#line 6841 "gram.y"
                                                        { (yyval.boolean) = false; }
#line 36064 "gram.c"
    break;

  case 935: /* opt_restart_seqs: RESTART IDENTITY_P  */
#line 6842 "gram.y"
                                                        { (yyval.boolean) = true; }
#line 36070 "gram.c"
    break;

  case 936: /* opt_restart_seqs: %empty  */
#line 6843 "gram.y"
                                                                { (yyval.boolean) = false; }
#line 36076 "gram.c"
    break;

  case 937: /* CommentStmt: COMMENT ON object_type_any_name any_name IS comment_text  */
#line 6854 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36089 "gram.c"
    break;

  case 938: /* CommentStmt: COMMENT ON COLUMN any_name IS comment_text  */
#line 6863 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_COLUMN;
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36102 "gram.c"
    break;

  case 939: /* CommentStmt: COMMENT ON object_type_name name IS comment_text  */
#line 6872 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36115 "gram.c"
    break;

  case 940: /* CommentStmt: COMMENT ON TYPE_P Typename IS comment_text  */
#line 6881 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36128 "gram.c"
    break;

  case 941: /* CommentStmt: COMMENT ON DOMAIN_P Typename IS comment_text  */
#line 6890 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36141 "gram.c"
    break;

  case 942: /* CommentStmt: COMMENT ON AGGREGATE aggregate_with_argtypes IS comment_text  */
#line 6899 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36154 "gram.c"
    break;

  case 943: /* CommentStmt: COMMENT ON FUNCTION function_with_argtypes IS comment_text  */
#line 6908 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36167 "gram.c"
    break;

  case 944: /* CommentStmt: COMMENT ON OPERATOR operator_with_argtypes IS comment_text  */
#line 6917 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36180 "gram.c"
    break;

  case 945: /* CommentStmt: COMMENT ON CONSTRAINT name ON any_name IS comment_text  */
#line 6926 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TABCONSTRAINT;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36193 "gram.c"
    break;

  case 946: /* CommentStmt: COMMENT ON CONSTRAINT name ON DOMAIN_P any_name IS comment_text  */
#line 6935 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_DOMCONSTRAINT;
					/*
					 * should use Typename not any_name in the production, but
					 * there's a shift/reduce conflict if we do that, so fix it
					 * up here.
					 */
					n->object = (Node *) list_make2(makeTypeNameFromNameList((yyvsp[-2].list)), makeString((yyvsp[-5].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36211 "gram.c"
    break;

  case 947: /* CommentStmt: COMMENT ON object_type_name_on_any_name name ON any_name IS comment_text  */
#line 6949 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-5].objtype);
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36224 "gram.c"
    break;

  case 948: /* CommentStmt: COMMENT ON PROCEDURE function_with_argtypes IS comment_text  */
#line 6958 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36237 "gram.c"
    break;

  case 949: /* CommentStmt: COMMENT ON ROUTINE function_with_argtypes IS comment_text  */
#line 6967 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36250 "gram.c"
    break;

  case 950: /* CommentStmt: COMMENT ON TRANSFORM FOR Typename LANGUAGE name IS comment_text  */
#line 6976 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-4].typnam), makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36263 "gram.c"
    break;

  case 951: /* CommentStmt: COMMENT ON OPERATOR CLASS any_name USING name IS comment_text  */
#line 6985 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36276 "gram.c"
    break;

  case 952: /* CommentStmt: COMMENT ON OPERATOR FAMILY any_name USING name IS comment_text  */
#line 6994 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36289 "gram.c"
    break;

  case 953: /* CommentStmt: COMMENT ON LARGE_P OBJECT_P NumericOnly IS comment_text  */
#line 7003 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].node);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36302 "gram.c"
    break;

  case 954: /* CommentStmt: COMMENT ON CAST '(' Typename AS Typename ')' IS comment_text  */
#line 7012 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-5].typnam), (yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36315 "gram.c"
    break;

  case 955: /* comment_text: Sconst  */
#line 7023 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 36321 "gram.c"
    break;

  case 956: /* comment_text: NULL_P  */
#line 7024 "gram.y"
                                                                                        { (yyval.str) = NULL; }
#line 36327 "gram.c"
    break;

  case 957: /* SecLabelStmt: SECURITY LABEL opt_provider ON object_type_any_name any_name IS security_label  */
#line 7040 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36341 "gram.c"
    break;

  case 958: /* SecLabelStmt: SECURITY LABEL opt_provider ON COLUMN any_name IS security_label  */
#line 7051 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_COLUMN;
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36355 "gram.c"
    break;

  case 959: /* SecLabelStmt: SECURITY LABEL opt_provider ON object_type_name name IS security_label  */
#line 7062 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36369 "gram.c"
    break;

  case 960: /* SecLabelStmt: SECURITY LABEL opt_provider ON TYPE_P Typename IS security_label  */
#line 7073 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36383 "gram.c"
    break;

  case 961: /* SecLabelStmt: SECURITY LABEL opt_provider ON DOMAIN_P Typename IS security_label  */
#line 7084 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36397 "gram.c"
    break;

  case 962: /* SecLabelStmt: SECURITY LABEL opt_provider ON AGGREGATE aggregate_with_argtypes IS security_label  */
#line 7095 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36411 "gram.c"
    break;

  case 963: /* SecLabelStmt: SECURITY LABEL opt_provider ON FUNCTION function_with_argtypes IS security_label  */
#line 7106 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36425 "gram.c"
    break;

  case 964: /* SecLabelStmt: SECURITY LABEL opt_provider ON LARGE_P OBJECT_P NumericOnly IS security_label  */
#line 7117 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].node);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36439 "gram.c"
    break;

  case 965: /* SecLabelStmt: SECURITY LABEL opt_provider ON PROCEDURE function_with_argtypes IS security_label  */
#line 7128 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36453 "gram.c"
    break;

  case 966: /* SecLabelStmt: SECURITY LABEL opt_provider ON ROUTINE function_with_argtypes IS security_label  */
#line 7139 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36467 "gram.c"
    break;

  case 967: /* opt_provider: FOR NonReservedWord_or_Sconst  */
#line 7150 "gram.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 36473 "gram.c"
    break;

  case 968: /* opt_provider: %empty  */
#line 7151 "gram.y"
                                                                                { (yyval.str) = NULL; }
#line 36479 "gram.c"
    break;

  case 969: /* security_label: Sconst  */
#line 7154 "gram.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 36485 "gram.c"
    break;

  case 970: /* security_label: NULL_P  */
#line 7155 "gram.y"
                                                                { (yyval.str) = NULL; }
#line 36491 "gram.c"
    break;

  case 971: /* FetchStmt: FETCH fetch_args  */
#line 7166 "gram.y"
                                {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);

					n->ismove = false;
					(yyval.node) = (Node *) n;
				}
#line 36502 "gram.c"
    break;

  case 972: /* FetchStmt: MOVE fetch_args  */
#line 7173 "gram.y"
                                {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);

					n->ismove = true;
					(yyval.node) = (Node *) n;
				}
#line 36513 "gram.c"
    break;

  case 973: /* fetch_args: cursor_name  */
#line 7182 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 36526 "gram.c"
    break;

  case 974: /* fetch_args: from_in cursor_name  */
#line 7191 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 36539 "gram.c"
    break;

  case 975: /* fetch_args: NEXT opt_from_in cursor_name  */
#line 7200 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 36552 "gram.c"
    break;

  case 976: /* fetch_args: PRIOR opt_from_in cursor_name  */
#line 7209 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 36565 "gram.c"
    break;

  case 977: /* fetch_args: FIRST_P opt_from_in cursor_name  */
#line 7218 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 36578 "gram.c"
    break;

  case 978: /* fetch_args: LAST_P opt_from_in cursor_name  */
#line 7227 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *) n;
				}
#line 36591 "gram.c"
    break;

  case 979: /* fetch_args: ABSOLUTE_P SignedIconst opt_from_in cursor_name  */
#line 7236 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 36604 "gram.c"
    break;

  case 980: /* fetch_args: RELATIVE_P SignedIconst opt_from_in cursor_name  */
#line 7245 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 36617 "gram.c"
    break;

  case 981: /* fetch_args: SignedIconst opt_from_in cursor_name  */
#line 7254 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 36630 "gram.c"
    break;

  case 982: /* fetch_args: ALL opt_from_in cursor_name  */
#line 7263 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 36643 "gram.c"
    break;

  case 983: /* fetch_args: FORWARD opt_from_in cursor_name  */
#line 7272 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 36656 "gram.c"
    break;

  case 984: /* fetch_args: FORWARD SignedIconst opt_from_in cursor_name  */
#line 7281 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 36669 "gram.c"
    break;

  case 985: /* fetch_args: FORWARD ALL opt_from_in cursor_name  */
#line 7290 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 36682 "gram.c"
    break;

  case 986: /* fetch_args: BACKWARD opt_from_in cursor_name  */
#line 7299 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 36695 "gram.c"
    break;

  case 987: /* fetch_args: BACKWARD SignedIconst opt_from_in cursor_name  */
#line 7308 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 36708 "gram.c"
    break;

  case 988: /* fetch_args: BACKWARD ALL opt_from_in cursor_name  */
#line 7317 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 36721 "gram.c"
    break;

  case 993: /* GrantStmt: GRANT privileges ON privilege_target TO grantee_list opt_grant_grant_option opt_granted_by  */
#line 7344 "gram.y"
                                {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = true;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grant_option = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 36739 "gram.c"
    break;

  case 994: /* RevokeStmt: REVOKE privileges ON privilege_target FROM grantee_list opt_granted_by opt_drop_behavior  */
#line 7362 "gram.y"
                                {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 36758 "gram.c"
    break;

  case 995: /* RevokeStmt: REVOKE GRANT OPTION FOR privileges ON privilege_target FROM grantee_list opt_granted_by opt_drop_behavior  */
#line 7378 "gram.y"
                                {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 36777 "gram.c"
    break;

  case 996: /* privileges: privilege_list  */
#line 7405 "gram.y"
                                { (yyval.list) = (yyvsp[0].list); }
#line 36783 "gram.c"
    break;

  case 997: /* privileges: ALL  */
#line 7407 "gram.y"
                                { (yyval.list) = NIL; }
#line 36789 "gram.c"
    break;

  case 998: /* privileges: ALL PRIVILEGES  */
#line 7409 "gram.y"
                                { (yyval.list) = NIL; }
#line 36795 "gram.c"
    break;

  case 999: /* privileges: ALL '(' columnList ')'  */
#line 7411 "gram.y"
                                {
					AccessPriv *n = makeNode(AccessPriv);

					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 36807 "gram.c"
    break;

  case 1000: /* privileges: ALL PRIVILEGES '(' columnList ')'  */
#line 7419 "gram.y"
                                {
					AccessPriv *n = makeNode(AccessPriv);

					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 36819 "gram.c"
    break;

  case 1001: /* privilege_list: privilege  */
#line 7428 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 36825 "gram.c"
    break;

  case 1002: /* privilege_list: privilege_list ',' privilege  */
#line 7429 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 36831 "gram.c"
    break;

  case 1003: /* privilege: SELECT opt_column_list  */
#line 7433 "gram.y"
                        {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 36843 "gram.c"
    break;

  case 1004: /* privilege: REFERENCES opt_column_list  */
#line 7441 "gram.y"
                        {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 36855 "gram.c"
    break;

  case 1005: /* privilege: CREATE opt_column_list  */
#line 7449 "gram.y"
                        {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 36867 "gram.c"
    break;

  case 1006: /* privilege: ALTER SYSTEM_P  */
#line 7457 "gram.y"
                        {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup("alter system");
				n->cols = NIL;
				(yyval.accesspriv) = n;
			}
#line 36878 "gram.c"
    break;

  case 1007: /* privilege: ColId opt_column_list  */
#line 7464 "gram.y"
                        {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 36890 "gram.c"
    break;

  case 1008: /* parameter_name_list: parameter_name  */
#line 7475 "gram.y"
                        {
				(yyval.list) = list_make1(makeString((yyvsp[0].str)));
			}
#line 36898 "gram.c"
    break;

  case 1009: /* parameter_name_list: parameter_name_list ',' parameter_name  */
#line 7479 "gram.y"
                        {
				(yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str)));
			}
#line 36906 "gram.c"
    break;

  case 1010: /* parameter_name: ColId  */
#line 7486 "gram.y"
                        {
				(yyval.str) = (yyvsp[0].str);
			}
#line 36914 "gram.c"
    break;

  case 1011: /* parameter_name: parameter_name '.' ColId  */
#line 7490 "gram.y"
                        {
				(yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str));
			}
#line 36922 "gram.c"
    break;

  case 1012: /* privilege_target: qualified_name_list  */
#line 7501 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 36935 "gram.c"
    break;

  case 1013: /* privilege_target: TABLE qualified_name_list  */
#line 7510 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 36948 "gram.c"
    break;

  case 1014: /* privilege_target: SEQUENCE qualified_name_list  */
#line 7519 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 36961 "gram.c"
    break;

  case 1015: /* privilege_target: FOREIGN DATA_P WRAPPER name_list  */
#line 7528 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 36974 "gram.c"
    break;

  case 1016: /* privilege_target: FOREIGN SERVER name_list  */
#line 7537 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 36987 "gram.c"
    break;

  case 1017: /* privilege_target: FUNCTION function_with_argtypes_list  */
#line 7546 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37000 "gram.c"
    break;

  case 1018: /* privilege_target: PROCEDURE function_with_argtypes_list  */
#line 7555 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37013 "gram.c"
    break;

  case 1019: /* privilege_target: ROUTINE function_with_argtypes_list  */
#line 7564 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37026 "gram.c"
    break;

  case 1020: /* privilege_target: DATABASE name_list  */
#line 7573 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37039 "gram.c"
    break;

  case 1021: /* privilege_target: DOMAIN_P any_name_list  */
#line 7582 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37052 "gram.c"
    break;

  case 1022: /* privilege_target: LANGUAGE name_list  */
#line 7591 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37065 "gram.c"
    break;

  case 1023: /* privilege_target: LARGE_P OBJECT_P NumericOnly_list  */
#line 7600 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37078 "gram.c"
    break;

  case 1024: /* privilege_target: PARAMETER parameter_name_list  */
#line 7609 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_PARAMETER_ACL;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37090 "gram.c"
    break;

  case 1025: /* privilege_target: SCHEMA name_list  */
#line 7617 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SCHEMA;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37103 "gram.c"
    break;

  case 1026: /* privilege_target: TABLESPACE name_list  */
#line 7626 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37116 "gram.c"
    break;

  case 1027: /* privilege_target: TYPE_P any_name_list  */
#line 7635 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37129 "gram.c"
    break;

  case 1028: /* privilege_target: ALL TABLES IN_P SCHEMA name_list  */
#line 7644 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37142 "gram.c"
    break;

  case 1029: /* privilege_target: ALL SEQUENCES IN_P SCHEMA name_list  */
#line 7653 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37155 "gram.c"
    break;

  case 1030: /* privilege_target: ALL FUNCTIONS IN_P SCHEMA name_list  */
#line 7662 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37168 "gram.c"
    break;

  case 1031: /* privilege_target: ALL PROCEDURES IN_P SCHEMA name_list  */
#line 7671 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37181 "gram.c"
    break;

  case 1032: /* privilege_target: ALL ROUTINES IN_P SCHEMA name_list  */
#line 7680 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37194 "gram.c"
    break;

  case 1033: /* grantee_list: grantee  */
#line 7692 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 37200 "gram.c"
    break;

  case 1034: /* grantee_list: grantee_list ',' grantee  */
#line 7693 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 37206 "gram.c"
    break;

  case 1035: /* grantee: RoleSpec  */
#line 7697 "gram.y"
                                                                                                { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 37212 "gram.c"
    break;

  case 1036: /* grantee: GROUP_P RoleSpec  */
#line 7698 "gram.y"
                                                                                        { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 37218 "gram.c"
    break;

  case 1037: /* opt_grant_grant_option: WITH GRANT OPTION  */
#line 7703 "gram.y"
                                          { (yyval.boolean) = true; }
#line 37224 "gram.c"
    break;

  case 1038: /* opt_grant_grant_option: %empty  */
#line 7704 "gram.y"
                                    { (yyval.boolean) = false; }
#line 37230 "gram.c"
    break;

  case 1039: /* GrantRoleStmt: GRANT privilege_list TO role_list opt_grant_admin_option opt_granted_by  */
#line 7715 "gram.y"
                                {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->admin_opt = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 37245 "gram.c"
    break;

  case 1040: /* RevokeRoleStmt: REVOKE privilege_list FROM role_list opt_granted_by opt_drop_behavior  */
#line 7729 "gram.y"
                                {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 37260 "gram.c"
    break;

  case 1041: /* RevokeRoleStmt: REVOKE ADMIN OPTION FOR privilege_list FROM role_list opt_granted_by opt_drop_behavior  */
#line 7740 "gram.y"
                                {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 37275 "gram.c"
    break;

  case 1042: /* opt_grant_admin_option: WITH ADMIN OPTION  */
#line 7752 "gram.y"
                                                                        { (yyval.boolean) = true; }
#line 37281 "gram.c"
    break;

  case 1043: /* opt_grant_admin_option: %empty  */
#line 7753 "gram.y"
                                                                                                        { (yyval.boolean) = false; }
#line 37287 "gram.c"
    break;

  case 1044: /* opt_granted_by: GRANTED BY RoleSpec  */
#line 7756 "gram.y"
                                                                                { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 37293 "gram.c"
    break;

  case 1045: /* opt_granted_by: %empty  */
#line 7757 "gram.y"
                                                                                                        { (yyval.rolespec) = NULL; }
#line 37299 "gram.c"
    break;

  case 1046: /* AlterDefaultPrivilegesStmt: ALTER DEFAULT PRIVILEGES DefACLOptionList DefACLAction  */
#line 7768 "gram.y"
                                {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);

					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 37311 "gram.c"
    break;

  case 1047: /* DefACLOptionList: DefACLOptionList DefACLOption  */
#line 7778 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 37317 "gram.c"
    break;

  case 1048: /* DefACLOptionList: %empty  */
#line 7779 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 37323 "gram.c"
    break;

  case 1049: /* DefACLOption: IN_P SCHEMA name_list  */
#line 7784 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("schemas", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 37331 "gram.c"
    break;

  case 1050: /* DefACLOption: FOR ROLE role_list  */
#line 7788 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("roles", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 37339 "gram.c"
    break;

  case 1051: /* DefACLOption: FOR USER role_list  */
#line 7792 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("roles", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 37347 "gram.c"
    break;

  case 1052: /* DefACLAction: GRANT privileges ON defacl_privilege_target TO grantee_list opt_grant_grant_option  */
#line 7804 "gram.y"
                                {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 37364 "gram.c"
    break;

  case 1053: /* DefACLAction: REVOKE privileges ON defacl_privilege_target FROM grantee_list opt_drop_behavior  */
#line 7818 "gram.y"
                                {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 37382 "gram.c"
    break;

  case 1054: /* DefACLAction: REVOKE GRANT OPTION FOR privileges ON defacl_privilege_target FROM grantee_list opt_drop_behavior  */
#line 7833 "gram.y"
                                {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 37400 "gram.c"
    break;

  case 1055: /* defacl_privilege_target: TABLES  */
#line 7849 "gram.y"
                                                { (yyval.ival) = OBJECT_TABLE; }
#line 37406 "gram.c"
    break;

  case 1056: /* defacl_privilege_target: FUNCTIONS  */
#line 7850 "gram.y"
                                                { (yyval.ival) = OBJECT_FUNCTION; }
#line 37412 "gram.c"
    break;

  case 1057: /* defacl_privilege_target: ROUTINES  */
#line 7851 "gram.y"
                                                { (yyval.ival) = OBJECT_FUNCTION; }
#line 37418 "gram.c"
    break;

  case 1058: /* defacl_privilege_target: SEQUENCES  */
#line 7852 "gram.y"
                                                { (yyval.ival) = OBJECT_SEQUENCE; }
#line 37424 "gram.c"
    break;

  case 1059: /* defacl_privilege_target: TYPES_P  */
#line 7853 "gram.y"
                                                { (yyval.ival) = OBJECT_TYPE; }
#line 37430 "gram.c"
    break;

  case 1060: /* defacl_privilege_target: SCHEMAS  */
#line 7854 "gram.y"
                                                { (yyval.ival) = OBJECT_SCHEMA; }
#line 37436 "gram.c"
    break;

  case 1061: /* IndexStmt: CREATE opt_unique INDEX opt_concurrently opt_index_name ON relation_expr access_method_clause '(' index_params ')' opt_include opt_unique_null_treatment opt_reloptions OptTableSpace where_clause  */
#line 7869 "gram.y"
                                {
					IndexStmt *n = makeNode(IndexStmt);

					n->unique = (yyvsp[-14].boolean);
					n->concurrent = (yyvsp[-12].boolean);
					n->idxname = (yyvsp[-11].str);
					n->relation = (yyvsp[-9].range);
					n->accessMethod = (yyvsp[-8].str);
					n->indexParams = (yyvsp[-6].list);
					n->indexIncludingParams = (yyvsp[-4].list);
					n->nulls_not_distinct = !(yyvsp[-3].boolean);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->oldCreateSubid = InvalidSubTransactionId;
					n->oldFirstRelfilenodeSubid = InvalidSubTransactionId;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = false;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *) n;
				}
#line 37470 "gram.c"
    break;

  case 1062: /* IndexStmt: CREATE opt_unique INDEX opt_concurrently IF_P NOT EXISTS name ON relation_expr access_method_clause '(' index_params ')' opt_include opt_unique_null_treatment opt_reloptions OptTableSpace where_clause  */
#line 7901 "gram.y"
                                {
					IndexStmt *n = makeNode(IndexStmt);

					n->unique = (yyvsp[-17].boolean);
					n->concurrent = (yyvsp[-15].boolean);
					n->idxname = (yyvsp[-11].str);
					n->relation = (yyvsp[-9].range);
					n->accessMethod = (yyvsp[-8].str);
					n->indexParams = (yyvsp[-6].list);
					n->indexIncludingParams = (yyvsp[-4].list);
					n->nulls_not_distinct = !(yyvsp[-3].boolean);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->oldCreateSubid = InvalidSubTransactionId;
					n->oldFirstRelfilenodeSubid = InvalidSubTransactionId;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = true;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *) n;
				}
#line 37504 "gram.c"
    break;

  case 1063: /* opt_unique: UNIQUE  */
#line 7933 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 37510 "gram.c"
    break;

  case 1064: /* opt_unique: %empty  */
#line 7934 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 37516 "gram.c"
    break;

  case 1065: /* opt_concurrently: CONCURRENTLY  */
#line 7938 "gram.y"
                                                                                        { (yyval.boolean) = true; }
#line 37522 "gram.c"
    break;

  case 1066: /* opt_concurrently: %empty  */
#line 7939 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 37528 "gram.c"
    break;

  case 1067: /* opt_index_name: name  */
#line 7943 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 37534 "gram.c"
    break;

  case 1068: /* opt_index_name: %empty  */
#line 7944 "gram.y"
                                                                                                { (yyval.str) = NULL; }
#line 37540 "gram.c"
    break;

  case 1069: /* access_method_clause: USING name  */
#line 7948 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 37546 "gram.c"
    break;

  case 1070: /* access_method_clause: %empty  */
#line 7949 "gram.y"
                                                                                                { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 37552 "gram.c"
    break;

  case 1071: /* index_params: index_elem  */
#line 7952 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 37558 "gram.c"
    break;

  case 1072: /* index_params: index_params ',' index_elem  */
#line 7953 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 37564 "gram.c"
    break;

  case 1073: /* index_elem_options: opt_collate opt_class opt_asc_desc opt_nulls_order  */
#line 7959 "gram.y"
                {
			(yyval.ielem) = makeNode(IndexElem);
			(yyval.ielem)->name = NULL;
			(yyval.ielem)->expr = NULL;
			(yyval.ielem)->indexcolname = NULL;
			(yyval.ielem)->collation = (yyvsp[-3].list);
			(yyval.ielem)->opclass = (yyvsp[-2].list);
			(yyval.ielem)->opclassopts = NIL;
			(yyval.ielem)->ordering = (yyvsp[-1].ival);
			(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
		}
#line 37580 "gram.c"
    break;

  case 1074: /* index_elem_options: opt_collate any_name reloptions opt_asc_desc opt_nulls_order  */
#line 7971 "gram.y"
                {
			(yyval.ielem) = makeNode(IndexElem);
			(yyval.ielem)->name = NULL;
			(yyval.ielem)->expr = NULL;
			(yyval.ielem)->indexcolname = NULL;
			(yyval.ielem)->collation = (yyvsp[-4].list);
			(yyval.ielem)->opclass = (yyvsp[-3].list);
			(yyval.ielem)->opclassopts = (yyvsp[-2].list);
			(yyval.ielem)->ordering = (yyvsp[-1].ival);
			(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
		}
#line 37596 "gram.c"
    break;

  case 1075: /* index_elem: ColId index_elem_options  */
#line 7990 "gram.y"
                                {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->name = (yyvsp[-1].str);
				}
#line 37605 "gram.c"
    break;

  case 1076: /* index_elem: func_expr_windowless index_elem_options  */
#line 7995 "gram.y"
                                {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->expr = (yyvsp[-1].node);
				}
#line 37614 "gram.c"
    break;

  case 1077: /* index_elem: '(' a_expr ')' index_elem_options  */
#line 8000 "gram.y"
                                {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->expr = (yyvsp[-2].node);
				}
#line 37623 "gram.c"
    break;

  case 1078: /* opt_include: INCLUDE '(' index_including_params ')'  */
#line 8006 "gram.y"
                                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 37629 "gram.c"
    break;

  case 1079: /* opt_include: %empty  */
#line 8007 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 37635 "gram.c"
    break;

  case 1080: /* index_including_params: index_elem  */
#line 8010 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 37641 "gram.c"
    break;

  case 1081: /* index_including_params: index_including_params ',' index_elem  */
#line 8011 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 37647 "gram.c"
    break;

  case 1082: /* opt_collate: COLLATE any_name  */
#line 8014 "gram.y"
                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 37653 "gram.c"
    break;

  case 1083: /* opt_collate: %empty  */
#line 8015 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 37659 "gram.c"
    break;

  case 1084: /* opt_class: any_name  */
#line 8018 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 37665 "gram.c"
    break;

  case 1085: /* opt_class: %empty  */
#line 8019 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 37671 "gram.c"
    break;

  case 1086: /* opt_asc_desc: ASC  */
#line 8022 "gram.y"
                                                                        { (yyval.ival) = SORTBY_ASC; }
#line 37677 "gram.c"
    break;

  case 1087: /* opt_asc_desc: DESC  */
#line 8023 "gram.y"
                                                                                { (yyval.ival) = SORTBY_DESC; }
#line 37683 "gram.c"
    break;

  case 1088: /* opt_asc_desc: %empty  */
#line 8024 "gram.y"
                                                                                { (yyval.ival) = SORTBY_DEFAULT; }
#line 37689 "gram.c"
    break;

  case 1089: /* opt_nulls_order: NULLS_LA FIRST_P  */
#line 8027 "gram.y"
                                                        { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 37695 "gram.c"
    break;

  case 1090: /* opt_nulls_order: NULLS_LA LAST_P  */
#line 8028 "gram.y"
                                                                        { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 37701 "gram.c"
    break;

  case 1091: /* opt_nulls_order: %empty  */
#line 8029 "gram.y"
                                                                                { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 37707 "gram.c"
    break;

  case 1092: /* CreateFunctionStmt: CREATE opt_or_replace FUNCTION func_name func_args_with_defaults RETURNS func_return opt_createfunc_opt_list opt_routine_body  */
#line 8047 "gram.y"
                                {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-7].boolean);
					n->funcname = (yyvsp[-5].list);
					n->parameters = (yyvsp[-4].list);
					n->returnType = (yyvsp[-2].typnam);
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 37724 "gram.c"
    break;

  case 1093: /* CreateFunctionStmt: CREATE opt_or_replace FUNCTION func_name func_args_with_defaults RETURNS TABLE '(' table_func_column_list ')' opt_createfunc_opt_list opt_routine_body  */
#line 8061 "gram.y"
                                {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-10].boolean);
					n->funcname = (yyvsp[-8].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-7].list), (yyvsp[-3].list));
					n->returnType = TableFuncTypeName((yyvsp[-3].list));
					n->returnType->location = (yylsp[-5]);
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 37742 "gram.c"
    break;

  case 1094: /* CreateFunctionStmt: CREATE opt_or_replace FUNCTION func_name func_args_with_defaults opt_createfunc_opt_list opt_routine_body  */
#line 8076 "gram.y"
                                {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 37759 "gram.c"
    break;

  case 1095: /* CreateFunctionStmt: CREATE opt_or_replace PROCEDURE func_name func_args_with_defaults opt_createfunc_opt_list opt_routine_body  */
#line 8090 "gram.y"
                                {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = true;
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 37776 "gram.c"
    break;

  case 1096: /* opt_or_replace: OR REPLACE  */
#line 8105 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 37782 "gram.c"
    break;

  case 1097: /* opt_or_replace: %empty  */
#line 8106 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 37788 "gram.c"
    break;

  case 1098: /* func_args: '(' func_args_list ')'  */
#line 8109 "gram.y"
                                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 37794 "gram.c"
    break;

  case 1099: /* func_args: '(' ')'  */
#line 8110 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 37800 "gram.c"
    break;

  case 1100: /* func_args_list: func_arg  */
#line 8114 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 37806 "gram.c"
    break;

  case 1101: /* func_args_list: func_args_list ',' func_arg  */
#line 8115 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 37812 "gram.c"
    break;

  case 1102: /* function_with_argtypes_list: function_with_argtypes  */
#line 8119 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 37818 "gram.c"
    break;

  case 1103: /* function_with_argtypes_list: function_with_argtypes_list ',' function_with_argtypes  */
#line 8121 "gram.y"
                                                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 37824 "gram.c"
    break;

  case 1104: /* function_with_argtypes: func_name func_args  */
#line 8126 "gram.y"
                                {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = extractArgTypes((yyvsp[0].list));
					n->objfuncargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 37837 "gram.c"
    break;

  case 1105: /* function_with_argtypes: type_func_name_keyword  */
#line 8140 "gram.y"
                                {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = list_make1(makeString(pstrdup((yyvsp[0].keyword))));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 37849 "gram.c"
    break;

  case 1106: /* function_with_argtypes: ColId  */
#line 8148 "gram.y"
                                {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = list_make1(makeString((yyvsp[0].str)));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 37861 "gram.c"
    break;

  case 1107: /* function_with_argtypes: ColId indirection  */
#line 8156 "gram.y"
                                {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
												  yyscanner);
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 37874 "gram.c"
    break;

  case 1108: /* func_args_with_defaults: '(' func_args_with_defaults_list ')'  */
#line 8171 "gram.y"
                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 37880 "gram.c"
    break;

  case 1109: /* func_args_with_defaults: '(' ')'  */
#line 8172 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 37886 "gram.c"
    break;

  case 1110: /* func_args_with_defaults_list: func_arg_with_default  */
#line 8176 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 37892 "gram.c"
    break;

  case 1111: /* func_args_with_defaults_list: func_args_with_defaults_list ',' func_arg_with_default  */
#line 8178 "gram.y"
                                                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 37898 "gram.c"
    break;

  case 1112: /* func_arg: arg_class param_name func_type  */
#line 8193 "gram.y"
                                {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 37912 "gram.c"
    break;

  case 1113: /* func_arg: param_name arg_class func_type  */
#line 8203 "gram.y"
                                {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 37926 "gram.c"
    break;

  case 1114: /* func_arg: param_name func_type  */
#line 8213 "gram.y"
                                {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_DEFAULT;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 37940 "gram.c"
    break;

  case 1115: /* func_arg: arg_class func_type  */
#line 8223 "gram.y"
                                {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 37954 "gram.c"
    break;

  case 1116: /* func_arg: func_type  */
#line 8233 "gram.y"
                                {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_DEFAULT;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 37968 "gram.c"
    break;

  case 1117: /* arg_class: IN_P  */
#line 8245 "gram.y"
                                                                                { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 37974 "gram.c"
    break;

  case 1118: /* arg_class: OUT_P  */
#line 8246 "gram.y"
                                                                                        { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 37980 "gram.c"
    break;

  case 1119: /* arg_class: INOUT  */
#line 8247 "gram.y"
                                                                                        { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 37986 "gram.c"
    break;

  case 1120: /* arg_class: IN_P OUT_P  */
#line 8248 "gram.y"
                                                                                { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 37992 "gram.c"
    break;

  case 1121: /* arg_class: VARIADIC  */
#line 8249 "gram.y"
                                                                                        { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 37998 "gram.c"
    break;

  case 1123: /* func_return: func_type  */
#line 8260 "gram.y"
                                {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 38010 "gram.c"
    break;

  case 1124: /* func_type: Typename  */
#line 8274 "gram.y"
                                                                                        { (yyval.typnam) = (yyvsp[0].typnam); }
#line 38016 "gram.c"
    break;

  case 1125: /* func_type: type_function_name attrs '%' TYPE_P  */
#line 8276 "gram.y"
                                {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 38026 "gram.c"
    break;

  case 1126: /* func_type: SETOF type_function_name attrs '%' TYPE_P  */
#line 8282 "gram.y"
                                {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 38037 "gram.c"
    break;

  case 1127: /* func_arg_with_default: func_arg  */
#line 8292 "gram.y"
                                {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 38045 "gram.c"
    break;

  case 1128: /* func_arg_with_default: func_arg DEFAULT a_expr  */
#line 8296 "gram.y"
                                {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 38054 "gram.c"
    break;

  case 1129: /* func_arg_with_default: func_arg '=' a_expr  */
#line 8301 "gram.y"
                                {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 38063 "gram.c"
    break;

  case 1130: /* aggr_arg: func_arg  */
#line 8309 "gram.y"
                                {
					if (!((yyvsp[0].fun_param)->mode == FUNC_PARAM_DEFAULT ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[0]))));
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 38078 "gram.c"
    break;

  case 1131: /* aggr_args: '(' '*' ')'  */
#line 8351 "gram.y"
                                {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
#line 38086 "gram.c"
    break;

  case 1132: /* aggr_args: '(' aggr_args_list ')'  */
#line 8355 "gram.y"
                                {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(-1));
				}
#line 38094 "gram.c"
    break;

  case 1133: /* aggr_args: '(' ORDER BY aggr_args_list ')'  */
#line 8359 "gram.y"
                                {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(0));
				}
#line 38102 "gram.c"
    break;

  case 1134: /* aggr_args: '(' aggr_args_list ORDER BY aggr_args_list ')'  */
#line 8363 "gram.y"
                                {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[-4].list), (yyvsp[-1].list), yyscanner);
				}
#line 38111 "gram.c"
    break;

  case 1135: /* aggr_args_list: aggr_arg  */
#line 8370 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 38117 "gram.c"
    break;

  case 1136: /* aggr_args_list: aggr_args_list ',' aggr_arg  */
#line 8371 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 38123 "gram.c"
    break;

  case 1137: /* aggregate_with_argtypes: func_name aggr_args  */
#line 8376 "gram.y"
                                {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = extractAggrArgTypes((yyvsp[0].list));
					n->objfuncargs = (List *) linitial((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 38136 "gram.c"
    break;

  case 1138: /* aggregate_with_argtypes_list: aggregate_with_argtypes  */
#line 8387 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 38142 "gram.c"
    break;

  case 1139: /* aggregate_with_argtypes_list: aggregate_with_argtypes_list ',' aggregate_with_argtypes  */
#line 8389 "gram.y"
                                                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 38148 "gram.c"
    break;

  case 1141: /* opt_createfunc_opt_list: %empty  */
#line 8394 "gram.y"
                                    { (yyval.list) = NIL; }
#line 38154 "gram.c"
    break;

  case 1142: /* createfunc_opt_list: createfunc_opt_item  */
#line 8399 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 38160 "gram.c"
    break;

  case 1143: /* createfunc_opt_list: createfunc_opt_list createfunc_opt_item  */
#line 8400 "gram.y"
                                                                  { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 38166 "gram.c"
    break;

  case 1144: /* common_func_opt_item: CALLED ON NULL_P INPUT_P  */
#line 8408 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(false), (yylsp[-3]));
				}
#line 38174 "gram.c"
    break;

  case 1145: /* common_func_opt_item: RETURNS NULL_P ON NULL_P INPUT_P  */
#line 8412 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(true), (yylsp[-4]));
				}
#line 38182 "gram.c"
    break;

  case 1146: /* common_func_opt_item: STRICT_P  */
#line 8416 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 38190 "gram.c"
    break;

  case 1147: /* common_func_opt_item: IMMUTABLE  */
#line 8420 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("immutable"), (yylsp[0]));
				}
#line 38198 "gram.c"
    break;

  case 1148: /* common_func_opt_item: STABLE  */
#line 8424 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("stable"), (yylsp[0]));
				}
#line 38206 "gram.c"
    break;

  case 1149: /* common_func_opt_item: VOLATILE  */
#line 8428 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("volatile"), (yylsp[0]));
				}
#line 38214 "gram.c"
    break;

  case 1150: /* common_func_opt_item: EXTERNAL SECURITY DEFINER  */
#line 8432 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(true), (yylsp[-2]));
				}
#line 38222 "gram.c"
    break;

  case 1151: /* common_func_opt_item: EXTERNAL SECURITY INVOKER  */
#line 8436 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(false), (yylsp[-2]));
				}
#line 38230 "gram.c"
    break;

  case 1152: /* common_func_opt_item: SECURITY DEFINER  */
#line 8440 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(true), (yylsp[-1]));
				}
#line 38238 "gram.c"
    break;

  case 1153: /* common_func_opt_item: SECURITY INVOKER  */
#line 8444 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 38246 "gram.c"
    break;

  case 1154: /* common_func_opt_item: LEAKPROOF  */
#line 8448 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("leakproof", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 38254 "gram.c"
    break;

  case 1155: /* common_func_opt_item: NOT LEAKPROOF  */
#line 8452 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("leakproof", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 38262 "gram.c"
    break;

  case 1156: /* common_func_opt_item: COST NumericOnly  */
#line 8456 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("cost", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 38270 "gram.c"
    break;

  case 1157: /* common_func_opt_item: ROWS NumericOnly  */
#line 8460 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("rows", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 38278 "gram.c"
    break;

  case 1158: /* common_func_opt_item: SUPPORT any_name  */
#line 8464 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("support", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 38286 "gram.c"
    break;

  case 1159: /* common_func_opt_item: FunctionSetResetClause  */
#line 8468 "gram.y"
                                {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *) (yyvsp[0].vsetstmt), (yylsp[0]));
				}
#line 38295 "gram.c"
    break;

  case 1160: /* common_func_opt_item: PARALLEL ColId  */
#line 8473 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("parallel", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 38303 "gram.c"
    break;

  case 1161: /* createfunc_opt_item: AS func_as  */
#line 8480 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("as", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 38311 "gram.c"
    break;

  case 1162: /* createfunc_opt_item: LANGUAGE NonReservedWord_or_Sconst  */
#line 8484 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("language", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 38319 "gram.c"
    break;

  case 1163: /* createfunc_opt_item: TRANSFORM transform_type_list  */
#line 8488 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("transform", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 38327 "gram.c"
    break;

  case 1164: /* createfunc_opt_item: WINDOW  */
#line 8492 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("window", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 38335 "gram.c"
    break;

  case 1165: /* createfunc_opt_item: common_func_opt_item  */
#line 8496 "gram.y"
                                {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 38343 "gram.c"
    break;

  case 1166: /* func_as: Sconst  */
#line 8501 "gram.y"
                                                                { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 38349 "gram.c"
    break;

  case 1167: /* func_as: Sconst ',' Sconst  */
#line 8503 "gram.y"
                                {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 38357 "gram.c"
    break;

  case 1168: /* ReturnStmt: RETURN a_expr  */
#line 8509 "gram.y"
                                {
					ReturnStmt *r = makeNode(ReturnStmt);

					r->returnval = (Node *) (yyvsp[0].node);
					(yyval.node) = (Node *) r;
				}
#line 38368 "gram.c"
    break;

  case 1169: /* opt_routine_body: ReturnStmt  */
#line 8519 "gram.y"
                                {
					(yyval.node) = (yyvsp[0].node);
				}
#line 38376 "gram.c"
    break;

  case 1170: /* opt_routine_body: BEGIN_P ATOMIC routine_body_stmt_list END_P  */
#line 8523 "gram.y"
                                {
					/*
					 * A compound statement is stored as a single-item list
					 * containing the list of statements as its member.  That
					 * way, the parse analysis code can tell apart an empty
					 * body from no body at all.
					 */
					(yyval.node) = (Node *) list_make1((yyvsp[-1].list));
				}
#line 38390 "gram.c"
    break;

  case 1171: /* opt_routine_body: %empty  */
#line 8533 "gram.y"
                                {
					(yyval.node) = NULL;
				}
#line 38398 "gram.c"
    break;

  case 1172: /* routine_body_stmt_list: routine_body_stmt_list routine_body_stmt ';'  */
#line 8540 "gram.y"
                                {
					/* As in stmtmulti, discard empty statements */
					if ((yyvsp[-1].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[-1].node));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 38410 "gram.c"
    break;

  case 1173: /* routine_body_stmt_list: %empty  */
#line 8548 "gram.y"
                                {
					(yyval.list) = NIL;
				}
#line 38418 "gram.c"
    break;

  case 1176: /* transform_type_list: FOR TYPE_P Typename  */
#line 8559 "gram.y"
                                            { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 38424 "gram.c"
    break;

  case 1177: /* transform_type_list: transform_type_list ',' FOR TYPE_P Typename  */
#line 8560 "gram.y"
                                                                      { (yyval.list) = lappend((yyvsp[-4].list), (yyvsp[0].typnam)); }
#line 38430 "gram.c"
    break;

  case 1178: /* opt_definition: WITH definition  */
#line 8564 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 38436 "gram.c"
    break;

  case 1179: /* opt_definition: %empty  */
#line 8565 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 38442 "gram.c"
    break;

  case 1180: /* table_func_column: param_name func_type  */
#line 8569 "gram.y"
                                {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 38456 "gram.c"
    break;

  case 1181: /* table_func_column_list: table_func_column  */
#line 8582 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 38464 "gram.c"
    break;

  case 1182: /* table_func_column_list: table_func_column_list ',' table_func_column  */
#line 8586 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 38472 "gram.c"
    break;

  case 1183: /* AlterFunctionStmt: ALTER FUNCTION function_with_argtypes alterfunc_opt_list opt_restrict  */
#line 8601 "gram.y"
                                {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_FUNCTION;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 38485 "gram.c"
    break;

  case 1184: /* AlterFunctionStmt: ALTER PROCEDURE function_with_argtypes alterfunc_opt_list opt_restrict  */
#line 8610 "gram.y"
                                {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_PROCEDURE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 38498 "gram.c"
    break;

  case 1185: /* AlterFunctionStmt: ALTER ROUTINE function_with_argtypes alterfunc_opt_list opt_restrict  */
#line 8619 "gram.y"
                                {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_ROUTINE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 38511 "gram.c"
    break;

  case 1186: /* alterfunc_opt_list: common_func_opt_item  */
#line 8631 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 38517 "gram.c"
    break;

  case 1187: /* alterfunc_opt_list: alterfunc_opt_list common_func_opt_item  */
#line 8632 "gram.y"
                                                                  { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 38523 "gram.c"
    break;

  case 1190: /* RemoveFuncStmt: DROP FUNCTION function_with_argtypes_list opt_drop_behavior  */
#line 8656 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 38538 "gram.c"
    break;

  case 1191: /* RemoveFuncStmt: DROP FUNCTION IF_P EXISTS function_with_argtypes_list opt_drop_behavior  */
#line 8667 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 38553 "gram.c"
    break;

  case 1192: /* RemoveFuncStmt: DROP PROCEDURE function_with_argtypes_list opt_drop_behavior  */
#line 8678 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 38568 "gram.c"
    break;

  case 1193: /* RemoveFuncStmt: DROP PROCEDURE IF_P EXISTS function_with_argtypes_list opt_drop_behavior  */
#line 8689 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 38583 "gram.c"
    break;

  case 1194: /* RemoveFuncStmt: DROP ROUTINE function_with_argtypes_list opt_drop_behavior  */
#line 8700 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 38598 "gram.c"
    break;

  case 1195: /* RemoveFuncStmt: DROP ROUTINE IF_P EXISTS function_with_argtypes_list opt_drop_behavior  */
#line 8711 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 38613 "gram.c"
    break;

  case 1196: /* RemoveAggrStmt: DROP AGGREGATE aggregate_with_argtypes_list opt_drop_behavior  */
#line 8725 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 38628 "gram.c"
    break;

  case 1197: /* RemoveAggrStmt: DROP AGGREGATE IF_P EXISTS aggregate_with_argtypes_list opt_drop_behavior  */
#line 8736 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 38643 "gram.c"
    break;

  case 1198: /* RemoveOperStmt: DROP OPERATOR operator_with_argtypes_list opt_drop_behavior  */
#line 8750 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 38658 "gram.c"
    break;

  case 1199: /* RemoveOperStmt: DROP OPERATOR IF_P EXISTS operator_with_argtypes_list opt_drop_behavior  */
#line 8761 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 38673 "gram.c"
    break;

  case 1200: /* oper_argtypes: '(' Typename ')'  */
#line 8775 "gram.y"
                                {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 38685 "gram.c"
    break;

  case 1201: /* oper_argtypes: '(' Typename ',' Typename ')'  */
#line 8783 "gram.y"
                                        { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 38691 "gram.c"
    break;

  case 1202: /* oper_argtypes: '(' NONE ',' Typename ')'  */
#line 8785 "gram.y"
                                        { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 38697 "gram.c"
    break;

  case 1203: /* oper_argtypes: '(' Typename ',' NONE ')'  */
#line 8787 "gram.y"
                                        { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 38703 "gram.c"
    break;

  case 1204: /* any_operator: all_Op  */
#line 8792 "gram.y"
                                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 38709 "gram.c"
    break;

  case 1205: /* any_operator: ColId '.' any_operator  */
#line 8794 "gram.y"
                                        { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 38715 "gram.c"
    break;

  case 1206: /* operator_with_argtypes_list: operator_with_argtypes  */
#line 8798 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 38721 "gram.c"
    break;

  case 1207: /* operator_with_argtypes_list: operator_with_argtypes_list ',' operator_with_argtypes  */
#line 8800 "gram.y"
                                                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 38727 "gram.c"
    break;

  case 1208: /* operator_with_argtypes: any_operator oper_argtypes  */
#line 8805 "gram.y"
                                {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 38739 "gram.c"
    break;

  case 1209: /* DoStmt: DO dostmt_opt_list  */
#line 8824 "gram.y"
                                {
					DoStmt *n = makeNode(DoStmt);

					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 38750 "gram.c"
    break;

  case 1210: /* dostmt_opt_list: dostmt_opt_item  */
#line 8833 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 38756 "gram.c"
    break;

  case 1211: /* dostmt_opt_list: dostmt_opt_list dostmt_opt_item  */
#line 8834 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 38762 "gram.c"
    break;

  case 1212: /* dostmt_opt_item: Sconst  */
#line 8839 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("as", (Node *) makeString((yyvsp[0].str)), (yylsp[0]));
				}
#line 38770 "gram.c"
    break;

  case 1213: /* dostmt_opt_item: LANGUAGE NonReservedWord_or_Sconst  */
#line 8843 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("language", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 38778 "gram.c"
    break;

  case 1214: /* CreateCastStmt: CREATE CAST '(' Typename AS Typename ')' WITH FUNCTION function_with_argtypes cast_context  */
#line 8856 "gram.y"
                                {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].objwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *) n;
				}
#line 38793 "gram.c"
    break;

  case 1215: /* CreateCastStmt: CREATE CAST '(' Typename AS Typename ')' WITHOUT FUNCTION cast_context  */
#line 8868 "gram.y"
                                {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *) n;
				}
#line 38808 "gram.c"
    break;

  case 1216: /* CreateCastStmt: CREATE CAST '(' Typename AS Typename ')' WITH INOUT cast_context  */
#line 8880 "gram.y"
                                {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *) n;
				}
#line 38823 "gram.c"
    break;

  case 1217: /* cast_context: AS IMPLICIT_P  */
#line 8892 "gram.y"
                                                                { (yyval.ival) = COERCION_IMPLICIT; }
#line 38829 "gram.c"
    break;

  case 1218: /* cast_context: AS ASSIGNMENT  */
#line 8893 "gram.y"
                                                                                { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 38835 "gram.c"
    break;

  case 1219: /* cast_context: %empty  */
#line 8894 "gram.y"
                                                                                        { (yyval.ival) = COERCION_EXPLICIT; }
#line 38841 "gram.c"
    break;

  case 1220: /* DropCastStmt: DROP CAST opt_if_exists '(' Typename AS Typename ')' opt_drop_behavior  */
#line 8899 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make2((yyvsp[-4].typnam), (yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 38856 "gram.c"
    break;

  case 1221: /* opt_if_exists: IF_P EXISTS  */
#line 8911 "gram.y"
                                                                        { (yyval.boolean) = true; }
#line 38862 "gram.c"
    break;

  case 1222: /* opt_if_exists: %empty  */
#line 8912 "gram.y"
                                                                                        { (yyval.boolean) = false; }
#line 38868 "gram.c"
    break;

  case 1223: /* CreateTransformStmt: CREATE opt_or_replace TRANSFORM FOR Typename LANGUAGE name '(' transform_element_list ')'  */
#line 8923 "gram.y"
                                {
					CreateTransformStmt *n = makeNode(CreateTransformStmt);

					n->replace = (yyvsp[-8].boolean);
					n->type_name = (yyvsp[-5].typnam);
					n->lang = (yyvsp[-3].str);
					n->fromsql = linitial((yyvsp[-1].list));
					n->tosql = lsecond((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 38883 "gram.c"
    break;

  case 1224: /* transform_element_list: FROM SQL_P WITH FUNCTION function_with_argtypes ',' TO SQL_P WITH FUNCTION function_with_argtypes  */
#line 8936 "gram.y"
                                {
					(yyval.list) = list_make2((yyvsp[-6].objwithargs), (yyvsp[0].objwithargs));
				}
#line 38891 "gram.c"
    break;

  case 1225: /* transform_element_list: TO SQL_P WITH FUNCTION function_with_argtypes ',' FROM SQL_P WITH FUNCTION function_with_argtypes  */
#line 8940 "gram.y"
                                {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), (yyvsp[-6].objwithargs));
				}
#line 38899 "gram.c"
    break;

  case 1226: /* transform_element_list: FROM SQL_P WITH FUNCTION function_with_argtypes  */
#line 8944 "gram.y"
                                {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), NULL);
				}
#line 38907 "gram.c"
    break;

  case 1227: /* transform_element_list: TO SQL_P WITH FUNCTION function_with_argtypes  */
#line 8948 "gram.y"
                                {
					(yyval.list) = list_make2(NULL, (yyvsp[0].objwithargs));
				}
#line 38915 "gram.c"
    break;

  case 1228: /* DropTransformStmt: DROP TRANSFORM opt_if_exists FOR Typename LANGUAGE name opt_drop_behavior  */
#line 8955 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TRANSFORM;
					n->objects = list_make1(list_make2((yyvsp[-3].typnam), makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-5].boolean);
					(yyval.node) = (Node *) n;
				}
#line 38929 "gram.c"
    break;

  case 1229: /* ReindexStmt: REINDEX reindex_target_type opt_concurrently qualified_name  */
#line 8976 "gram.y"
                                {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = (yyvsp[-2].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->params = NIL;
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 38946 "gram.c"
    break;

  case 1230: /* ReindexStmt: REINDEX reindex_target_multitable opt_concurrently name  */
#line 8989 "gram.y"
                                {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = (yyvsp[-2].ival);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->params = NIL;
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 38963 "gram.c"
    break;

  case 1231: /* ReindexStmt: REINDEX '(' utility_option_list ')' reindex_target_type opt_concurrently qualified_name  */
#line 9002 "gram.y"
                                {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = (yyvsp[-2].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->params = (yyvsp[-4].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 38980 "gram.c"
    break;

  case 1232: /* ReindexStmt: REINDEX '(' utility_option_list ')' reindex_target_multitable opt_concurrently name  */
#line 9015 "gram.y"
                                {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = (yyvsp[-2].ival);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->params = (yyvsp[-4].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 38997 "gram.c"
    break;

  case 1233: /* reindex_target_type: INDEX  */
#line 9029 "gram.y"
                                                                { (yyval.ival) = REINDEX_OBJECT_INDEX; }
#line 39003 "gram.c"
    break;

  case 1234: /* reindex_target_type: TABLE  */
#line 9030 "gram.y"
                                                                { (yyval.ival) = REINDEX_OBJECT_TABLE; }
#line 39009 "gram.c"
    break;

  case 1235: /* reindex_target_multitable: SCHEMA  */
#line 9033 "gram.y"
                                                                { (yyval.ival) = REINDEX_OBJECT_SCHEMA; }
#line 39015 "gram.c"
    break;

  case 1236: /* reindex_target_multitable: SYSTEM_P  */
#line 9034 "gram.y"
                                                                { (yyval.ival) = REINDEX_OBJECT_SYSTEM; }
#line 39021 "gram.c"
    break;

  case 1237: /* reindex_target_multitable: DATABASE  */
#line 9035 "gram.y"
                                                                { (yyval.ival) = REINDEX_OBJECT_DATABASE; }
#line 39027 "gram.c"
    break;

  case 1238: /* AlterTblSpcStmt: ALTER TABLESPACE name SET reloptions  */
#line 9046 "gram.y"
                                {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);

					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = false;
					(yyval.node) = (Node *) n;
				}
#line 39041 "gram.c"
    break;

  case 1239: /* AlterTblSpcStmt: ALTER TABLESPACE name RESET reloptions  */
#line 9056 "gram.y"
                                {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);

					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = true;
					(yyval.node) = (Node *) n;
				}
#line 39055 "gram.c"
    break;

  case 1240: /* RenameStmt: ALTER AGGREGATE aggregate_with_argtypes RENAME TO name  */
#line 9074 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39069 "gram.c"
    break;

  case 1241: /* RenameStmt: ALTER COLLATION any_name RENAME TO name  */
#line 9084 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39083 "gram.c"
    break;

  case 1242: /* RenameStmt: ALTER CONVERSION_P any_name RENAME TO name  */
#line 9094 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39097 "gram.c"
    break;

  case 1243: /* RenameStmt: ALTER DATABASE name RENAME TO name  */
#line 9104 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39111 "gram.c"
    break;

  case 1244: /* RenameStmt: ALTER DOMAIN_P any_name RENAME TO name  */
#line 9114 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39125 "gram.c"
    break;

  case 1245: /* RenameStmt: ALTER DOMAIN_P any_name RENAME CONSTRAINT name TO name  */
#line 9124 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DOMCONSTRAINT;
					n->object = (Node *) (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 39139 "gram.c"
    break;

  case 1246: /* RenameStmt: ALTER FOREIGN DATA_P WRAPPER name RENAME TO name  */
#line 9134 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39153 "gram.c"
    break;

  case 1247: /* RenameStmt: ALTER FUNCTION function_with_argtypes RENAME TO name  */
#line 9144 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39167 "gram.c"
    break;

  case 1248: /* RenameStmt: ALTER GROUP_P RoleId RENAME TO RoleId  */
#line 9154 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39181 "gram.c"
    break;

  case 1249: /* RenameStmt: ALTER opt_procedural LANGUAGE name RENAME TO name  */
#line 9164 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39195 "gram.c"
    break;

  case 1250: /* RenameStmt: ALTER OPERATOR CLASS any_name USING name RENAME TO name  */
#line 9174 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39209 "gram.c"
    break;

  case 1251: /* RenameStmt: ALTER OPERATOR FAMILY any_name USING name RENAME TO name  */
#line 9184 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39223 "gram.c"
    break;

  case 1252: /* RenameStmt: ALTER POLICY name ON qualified_name RENAME TO name  */
#line 9194 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39238 "gram.c"
    break;

  case 1253: /* RenameStmt: ALTER POLICY IF_P EXISTS name ON qualified_name RENAME TO name  */
#line 9205 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 39253 "gram.c"
    break;

  case 1254: /* RenameStmt: ALTER PROCEDURE function_with_argtypes RENAME TO name  */
#line 9216 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39267 "gram.c"
    break;

  case 1255: /* RenameStmt: ALTER PUBLICATION name RENAME TO name  */
#line 9226 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39281 "gram.c"
    break;

  case 1256: /* RenameStmt: ALTER ROUTINE function_with_argtypes RENAME TO name  */
#line 9236 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39295 "gram.c"
    break;

  case 1257: /* RenameStmt: ALTER SCHEMA name RENAME TO name  */
#line 9246 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39309 "gram.c"
    break;

  case 1258: /* RenameStmt: ALTER SERVER name RENAME TO name  */
#line 9256 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39323 "gram.c"
    break;

  case 1259: /* RenameStmt: ALTER SUBSCRIPTION name RENAME TO name  */
#line 9266 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39337 "gram.c"
    break;

  case 1260: /* RenameStmt: ALTER TABLE relation_expr RENAME TO name  */
#line 9276 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39352 "gram.c"
    break;

  case 1261: /* RenameStmt: ALTER TABLE IF_P EXISTS relation_expr RENAME TO name  */
#line 9287 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 39367 "gram.c"
    break;

  case 1262: /* RenameStmt: ALTER SEQUENCE qualified_name RENAME TO name  */
#line 9298 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39382 "gram.c"
    break;

  case 1263: /* RenameStmt: ALTER SEQUENCE IF_P EXISTS qualified_name RENAME TO name  */
#line 9309 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 39397 "gram.c"
    break;

  case 1264: /* RenameStmt: ALTER VIEW qualified_name RENAME TO name  */
#line 9320 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39412 "gram.c"
    break;

  case 1265: /* RenameStmt: ALTER VIEW IF_P EXISTS qualified_name RENAME TO name  */
#line 9331 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 39427 "gram.c"
    break;

  case 1266: /* RenameStmt: ALTER MATERIALIZED VIEW qualified_name RENAME TO name  */
#line 9342 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39442 "gram.c"
    break;

  case 1267: /* RenameStmt: ALTER MATERIALIZED VIEW IF_P EXISTS qualified_name RENAME TO name  */
#line 9353 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 39457 "gram.c"
    break;

  case 1268: /* RenameStmt: ALTER INDEX qualified_name RENAME TO name  */
#line 9364 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39472 "gram.c"
    break;

  case 1269: /* RenameStmt: ALTER INDEX IF_P EXISTS qualified_name RENAME TO name  */
#line 9375 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 39487 "gram.c"
    break;

  case 1270: /* RenameStmt: ALTER FOREIGN TABLE relation_expr RENAME TO name  */
#line 9386 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39502 "gram.c"
    break;

  case 1271: /* RenameStmt: ALTER FOREIGN TABLE IF_P EXISTS relation_expr RENAME TO name  */
#line 9397 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 39517 "gram.c"
    break;

  case 1272: /* RenameStmt: ALTER TABLE relation_expr RENAME opt_column name TO name  */
#line 9408 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39533 "gram.c"
    break;

  case 1273: /* RenameStmt: ALTER TABLE IF_P EXISTS relation_expr RENAME opt_column name TO name  */
#line 9420 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 39549 "gram.c"
    break;

  case 1274: /* RenameStmt: ALTER VIEW qualified_name RENAME opt_column name TO name  */
#line 9432 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_VIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39565 "gram.c"
    break;

  case 1275: /* RenameStmt: ALTER VIEW IF_P EXISTS qualified_name RENAME opt_column name TO name  */
#line 9444 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_VIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 39581 "gram.c"
    break;

  case 1276: /* RenameStmt: ALTER MATERIALIZED VIEW qualified_name RENAME opt_column name TO name  */
#line 9456 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39597 "gram.c"
    break;

  case 1277: /* RenameStmt: ALTER MATERIALIZED VIEW IF_P EXISTS qualified_name RENAME opt_column name TO name  */
#line 9468 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 39613 "gram.c"
    break;

  case 1278: /* RenameStmt: ALTER TABLE relation_expr RENAME CONSTRAINT name TO name  */
#line 9480 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39628 "gram.c"
    break;

  case 1279: /* RenameStmt: ALTER TABLE IF_P EXISTS relation_expr RENAME CONSTRAINT name TO name  */
#line 9491 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 39643 "gram.c"
    break;

  case 1280: /* RenameStmt: ALTER FOREIGN TABLE relation_expr RENAME opt_column name TO name  */
#line 9502 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39659 "gram.c"
    break;

  case 1281: /* RenameStmt: ALTER FOREIGN TABLE IF_P EXISTS relation_expr RENAME opt_column name TO name  */
#line 9514 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 39675 "gram.c"
    break;

  case 1282: /* RenameStmt: ALTER RULE name ON qualified_name RENAME TO name  */
#line 9526 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39690 "gram.c"
    break;

  case 1283: /* RenameStmt: ALTER TRIGGER name ON qualified_name RENAME TO name  */
#line 9537 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39705 "gram.c"
    break;

  case 1284: /* RenameStmt: ALTER EVENT TRIGGER name RENAME TO name  */
#line 9548 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 39718 "gram.c"
    break;

  case 1285: /* RenameStmt: ALTER ROLE RoleId RENAME TO RoleId  */
#line 9557 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39732 "gram.c"
    break;

  case 1286: /* RenameStmt: ALTER USER RoleId RENAME TO RoleId  */
#line 9567 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39746 "gram.c"
    break;

  case 1287: /* RenameStmt: ALTER TABLESPACE name RENAME TO name  */
#line 9577 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39760 "gram.c"
    break;

  case 1288: /* RenameStmt: ALTER STATISTICS any_name RENAME TO name  */
#line 9587 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39774 "gram.c"
    break;

  case 1289: /* RenameStmt: ALTER TEXT_P SEARCH PARSER any_name RENAME TO name  */
#line 9597 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39788 "gram.c"
    break;

  case 1290: /* RenameStmt: ALTER TEXT_P SEARCH DICTIONARY any_name RENAME TO name  */
#line 9607 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39802 "gram.c"
    break;

  case 1291: /* RenameStmt: ALTER TEXT_P SEARCH TEMPLATE any_name RENAME TO name  */
#line 9617 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39816 "gram.c"
    break;

  case 1292: /* RenameStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name RENAME TO name  */
#line 9627 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39830 "gram.c"
    break;

  case 1293: /* RenameStmt: ALTER TYPE_P any_name RENAME TO name  */
#line 9637 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39844 "gram.c"
    break;

  case 1294: /* RenameStmt: ALTER TYPE_P any_name RENAME ATTRIBUTE name TO name opt_drop_behavior  */
#line 9647 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39861 "gram.c"
    break;

  case 1297: /* opt_set_data: SET DATA_P  */
#line 9665 "gram.y"
                                                                                { (yyval.ival) = 1; }
#line 39867 "gram.c"
    break;

  case 1298: /* opt_set_data: %empty  */
#line 9666 "gram.y"
                                                                                                { (yyval.ival) = 0; }
#line 39873 "gram.c"
    break;

  case 1299: /* AlterObjectDependsStmt: ALTER FUNCTION function_with_argtypes opt_no DEPENDS ON EXTENSION name  */
#line 9677 "gram.y"
                                {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 39887 "gram.c"
    break;

  case 1300: /* AlterObjectDependsStmt: ALTER PROCEDURE function_with_argtypes opt_no DEPENDS ON EXTENSION name  */
#line 9687 "gram.y"
                                {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 39901 "gram.c"
    break;

  case 1301: /* AlterObjectDependsStmt: ALTER ROUTINE function_with_argtypes opt_no DEPENDS ON EXTENSION name  */
#line 9697 "gram.y"
                                {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 39915 "gram.c"
    break;

  case 1302: /* AlterObjectDependsStmt: ALTER TRIGGER name ON qualified_name opt_no DEPENDS ON EXTENSION name  */
#line 9707 "gram.y"
                                {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-5].range);
					n->object = (Node *) list_make1(makeString((yyvsp[-7].str)));
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 39930 "gram.c"
    break;

  case 1303: /* AlterObjectDependsStmt: ALTER MATERIALIZED VIEW qualified_name opt_no DEPENDS ON EXTENSION name  */
#line 9718 "gram.y"
                                {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 39944 "gram.c"
    break;

  case 1304: /* AlterObjectDependsStmt: ALTER INDEX qualified_name opt_no DEPENDS ON EXTENSION name  */
#line 9728 "gram.y"
                                {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_INDEX;
					n->relation = (yyvsp[-5].range);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 39958 "gram.c"
    break;

  case 1305: /* opt_no: NO  */
#line 9739 "gram.y"
                                                { (yyval.boolean) = true; }
#line 39964 "gram.c"
    break;

  case 1306: /* opt_no: %empty  */
#line 9740 "gram.y"
                                        { (yyval.boolean) = false;	}
#line 39970 "gram.c"
    break;

  case 1307: /* AlterObjectSchemaStmt: ALTER AGGREGATE aggregate_with_argtypes SET SCHEMA name  */
#line 9751 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39984 "gram.c"
    break;

  case 1308: /* AlterObjectSchemaStmt: ALTER COLLATION any_name SET SCHEMA name  */
#line 9761 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39998 "gram.c"
    break;

  case 1309: /* AlterObjectSchemaStmt: ALTER CONVERSION_P any_name SET SCHEMA name  */
#line 9771 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40012 "gram.c"
    break;

  case 1310: /* AlterObjectSchemaStmt: ALTER DOMAIN_P any_name SET SCHEMA name  */
#line 9781 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40026 "gram.c"
    break;

  case 1311: /* AlterObjectSchemaStmt: ALTER EXTENSION name SET SCHEMA name  */
#line 9791 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_EXTENSION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40040 "gram.c"
    break;

  case 1312: /* AlterObjectSchemaStmt: ALTER FUNCTION function_with_argtypes SET SCHEMA name  */
#line 9801 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40054 "gram.c"
    break;

  case 1313: /* AlterObjectSchemaStmt: ALTER OPERATOR operator_with_argtypes SET SCHEMA name  */
#line 9811 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40068 "gram.c"
    break;

  case 1314: /* AlterObjectSchemaStmt: ALTER OPERATOR CLASS any_name USING name SET SCHEMA name  */
#line 9821 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40082 "gram.c"
    break;

  case 1315: /* AlterObjectSchemaStmt: ALTER OPERATOR FAMILY any_name USING name SET SCHEMA name  */
#line 9831 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40096 "gram.c"
    break;

  case 1316: /* AlterObjectSchemaStmt: ALTER PROCEDURE function_with_argtypes SET SCHEMA name  */
#line 9841 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40110 "gram.c"
    break;

  case 1317: /* AlterObjectSchemaStmt: ALTER ROUTINE function_with_argtypes SET SCHEMA name  */
#line 9851 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40124 "gram.c"
    break;

  case 1318: /* AlterObjectSchemaStmt: ALTER TABLE relation_expr SET SCHEMA name  */
#line 9861 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40138 "gram.c"
    break;

  case 1319: /* AlterObjectSchemaStmt: ALTER TABLE IF_P EXISTS relation_expr SET SCHEMA name  */
#line 9871 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40152 "gram.c"
    break;

  case 1320: /* AlterObjectSchemaStmt: ALTER STATISTICS any_name SET SCHEMA name  */
#line 9881 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40166 "gram.c"
    break;

  case 1321: /* AlterObjectSchemaStmt: ALTER TEXT_P SEARCH PARSER any_name SET SCHEMA name  */
#line 9891 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40180 "gram.c"
    break;

  case 1322: /* AlterObjectSchemaStmt: ALTER TEXT_P SEARCH DICTIONARY any_name SET SCHEMA name  */
#line 9901 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40194 "gram.c"
    break;

  case 1323: /* AlterObjectSchemaStmt: ALTER TEXT_P SEARCH TEMPLATE any_name SET SCHEMA name  */
#line 9911 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40208 "gram.c"
    break;

  case 1324: /* AlterObjectSchemaStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name SET SCHEMA name  */
#line 9921 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40222 "gram.c"
    break;

  case 1325: /* AlterObjectSchemaStmt: ALTER SEQUENCE qualified_name SET SCHEMA name  */
#line 9931 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40236 "gram.c"
    break;

  case 1326: /* AlterObjectSchemaStmt: ALTER SEQUENCE IF_P EXISTS qualified_name SET SCHEMA name  */
#line 9941 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40250 "gram.c"
    break;

  case 1327: /* AlterObjectSchemaStmt: ALTER VIEW qualified_name SET SCHEMA name  */
#line 9951 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40264 "gram.c"
    break;

  case 1328: /* AlterObjectSchemaStmt: ALTER VIEW IF_P EXISTS qualified_name SET SCHEMA name  */
#line 9961 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40278 "gram.c"
    break;

  case 1329: /* AlterObjectSchemaStmt: ALTER MATERIALIZED VIEW qualified_name SET SCHEMA name  */
#line 9971 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40292 "gram.c"
    break;

  case 1330: /* AlterObjectSchemaStmt: ALTER MATERIALIZED VIEW IF_P EXISTS qualified_name SET SCHEMA name  */
#line 9981 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40306 "gram.c"
    break;

  case 1331: /* AlterObjectSchemaStmt: ALTER FOREIGN TABLE relation_expr SET SCHEMA name  */
#line 9991 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40320 "gram.c"
    break;

  case 1332: /* AlterObjectSchemaStmt: ALTER FOREIGN TABLE IF_P EXISTS relation_expr SET SCHEMA name  */
#line 10001 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40334 "gram.c"
    break;

  case 1333: /* AlterObjectSchemaStmt: ALTER TYPE_P any_name SET SCHEMA name  */
#line 10011 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40348 "gram.c"
    break;

  case 1334: /* AlterOperatorStmt: ALTER OPERATOR operator_with_argtypes SET '(' operator_def_list ')'  */
#line 10030 "gram.y"
                                {
					AlterOperatorStmt *n = makeNode(AlterOperatorStmt);

					n->opername = (yyvsp[-4].objwithargs);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 40360 "gram.c"
    break;

  case 1335: /* operator_def_list: operator_def_elem  */
#line 10039 "gram.y"
                                                                                                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 40366 "gram.c"
    break;

  case 1336: /* operator_def_list: operator_def_list ',' operator_def_elem  */
#line 10040 "gram.y"
                                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 40372 "gram.c"
    break;

  case 1337: /* operator_def_elem: ColLabel '=' NONE  */
#line 10044 "gram.y"
                                                { (yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2])); }
#line 40378 "gram.c"
    break;

  case 1338: /* operator_def_elem: ColLabel '=' operator_def_arg  */
#line 10046 "gram.y"
                                                { (yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2])); }
#line 40384 "gram.c"
    break;

  case 1339: /* operator_def_arg: func_type  */
#line 10051 "gram.y"
                                                                                { (yyval.node) = (Node *) (yyvsp[0].typnam); }
#line 40390 "gram.c"
    break;

  case 1340: /* operator_def_arg: reserved_keyword  */
#line 10052 "gram.y"
                                                                        { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 40396 "gram.c"
    break;

  case 1341: /* operator_def_arg: qual_all_Op  */
#line 10053 "gram.y"
                                                                        { (yyval.node) = (Node *) (yyvsp[0].list); }
#line 40402 "gram.c"
    break;

  case 1342: /* operator_def_arg: NumericOnly  */
#line 10054 "gram.y"
                                                                        { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 40408 "gram.c"
    break;

  case 1343: /* operator_def_arg: Sconst  */
#line 10055 "gram.y"
                                                                                { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 40414 "gram.c"
    break;

  case 1344: /* AlterTypeStmt: ALTER TYPE_P any_name SET '(' operator_def_list ')'  */
#line 10068 "gram.y"
                                {
					AlterTypeStmt *n = makeNode(AlterTypeStmt);

					n->typeName = (yyvsp[-4].list);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 40426 "gram.c"
    break;

  case 1345: /* AlterOwnerStmt: ALTER AGGREGATE aggregate_with_argtypes OWNER TO RoleSpec  */
#line 10084 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 40439 "gram.c"
    break;

  case 1346: /* AlterOwnerStmt: ALTER COLLATION any_name OWNER TO RoleSpec  */
#line 10093 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 40452 "gram.c"
    break;

  case 1347: /* AlterOwnerStmt: ALTER CONVERSION_P any_name OWNER TO RoleSpec  */
#line 10102 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 40465 "gram.c"
    break;

  case 1348: /* AlterOwnerStmt: ALTER DATABASE name OWNER TO RoleSpec  */
#line 10111 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_DATABASE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 40478 "gram.c"
    break;

  case 1349: /* AlterOwnerStmt: ALTER DOMAIN_P any_name OWNER TO RoleSpec  */
#line 10120 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 40491 "gram.c"
    break;

  case 1350: /* AlterOwnerStmt: ALTER FUNCTION function_with_argtypes OWNER TO RoleSpec  */
#line 10129 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 40504 "gram.c"
    break;

  case 1351: /* AlterOwnerStmt: ALTER opt_procedural LANGUAGE name OWNER TO RoleSpec  */
#line 10138 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 40517 "gram.c"
    break;

  case 1352: /* AlterOwnerStmt: ALTER LARGE_P OBJECT_P NumericOnly OWNER TO RoleSpec  */
#line 10147 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-3].node);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 40530 "gram.c"
    break;

  case 1353: /* AlterOwnerStmt: ALTER OPERATOR operator_with_argtypes OWNER TO RoleSpec  */
#line 10156 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 40543 "gram.c"
    break;

  case 1354: /* AlterOwnerStmt: ALTER OPERATOR CLASS any_name USING name OWNER TO RoleSpec  */
#line 10165 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 40556 "gram.c"
    break;

  case 1355: /* AlterOwnerStmt: ALTER OPERATOR FAMILY any_name USING name OWNER TO RoleSpec  */
#line 10174 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 40569 "gram.c"
    break;

  case 1356: /* AlterOwnerStmt: ALTER PROCEDURE function_with_argtypes OWNER TO RoleSpec  */
#line 10183 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 40582 "gram.c"
    break;

  case 1357: /* AlterOwnerStmt: ALTER ROUTINE function_with_argtypes OWNER TO RoleSpec  */
#line 10192 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 40595 "gram.c"
    break;

  case 1358: /* AlterOwnerStmt: ALTER SCHEMA name OWNER TO RoleSpec  */
#line 10201 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 40608 "gram.c"
    break;

  case 1359: /* AlterOwnerStmt: ALTER TYPE_P any_name OWNER TO RoleSpec  */
#line 10210 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 40621 "gram.c"
    break;

  case 1360: /* AlterOwnerStmt: ALTER TABLESPACE name OWNER TO RoleSpec  */
#line 10219 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TABLESPACE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 40634 "gram.c"
    break;

  case 1361: /* AlterOwnerStmt: ALTER STATISTICS any_name OWNER TO RoleSpec  */
#line 10228 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 40647 "gram.c"
    break;

  case 1362: /* AlterOwnerStmt: ALTER TEXT_P SEARCH DICTIONARY any_name OWNER TO RoleSpec  */
#line 10237 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 40660 "gram.c"
    break;

  case 1363: /* AlterOwnerStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name OWNER TO RoleSpec  */
#line 10246 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 40673 "gram.c"
    break;

  case 1364: /* AlterOwnerStmt: ALTER FOREIGN DATA_P WRAPPER name OWNER TO RoleSpec  */
#line 10255 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 40686 "gram.c"
    break;

  case 1365: /* AlterOwnerStmt: ALTER SERVER name OWNER TO RoleSpec  */
#line 10264 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 40699 "gram.c"
    break;

  case 1366: /* AlterOwnerStmt: ALTER EVENT TRIGGER name OWNER TO RoleSpec  */
#line 10273 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 40712 "gram.c"
    break;

  case 1367: /* AlterOwnerStmt: ALTER PUBLICATION name OWNER TO RoleSpec  */
#line 10282 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 40725 "gram.c"
    break;

  case 1368: /* AlterOwnerStmt: ALTER SUBSCRIPTION name OWNER TO RoleSpec  */
#line 10291 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 40738 "gram.c"
    break;

  case 1369: /* CreatePublicationStmt: CREATE PUBLICATION name opt_definition  */
#line 10319 "gram.y"
                                {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 40750 "gram.c"
    break;

  case 1370: /* CreatePublicationStmt: CREATE PUBLICATION name FOR ALL TABLES opt_definition  */
#line 10327 "gram.y"
                                {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-4].str);
					n->options = (yyvsp[0].list);
					n->for_all_tables = true;
					(yyval.node) = (Node *) n;
				}
#line 40763 "gram.c"
    break;

  case 1371: /* CreatePublicationStmt: CREATE PUBLICATION name FOR pub_obj_list opt_definition  */
#line 10336 "gram.y"
                                {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					n->pubobjects = (List *) (yyvsp[-1].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 40777 "gram.c"
    break;

  case 1372: /* PublicationObjSpec: TABLE relation_expr opt_column_list OptWhereClause  */
#line 10362 "gram.y"
                                {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLE;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = (yyvsp[-2].range);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
				}
#line 40790 "gram.c"
    break;

  case 1373: /* PublicationObjSpec: TABLES IN_P SCHEMA ColId  */
#line 10371 "gram.y"
                                {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLES_IN_SCHEMA;
					(yyval.publicationobjectspec)->name = (yyvsp[0].str);
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 40801 "gram.c"
    break;

  case 1374: /* PublicationObjSpec: TABLES IN_P SCHEMA CURRENT_SCHEMA  */
#line 10378 "gram.y"
                                {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA;
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 40811 "gram.c"
    break;

  case 1375: /* PublicationObjSpec: ColId opt_column_list OptWhereClause  */
#line 10384 "gram.y"
                                {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					/*
					 * If either a row filter or column list is specified, create
					 * a PublicationTable object.
					 */
					if ((yyvsp[-1].list) || (yyvsp[0].node))
					{
						/*
						 * The OptWhereClause must be stored here but it is
						 * valid only for tables. For non-table objects, an
						 * error will be thrown later via
						 * preprocess_pubobj_list().
						 */
						(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
						(yyval.publicationobjectspec)->pubtable->relation = makeRangeVar(NULL, (yyvsp[-2].str), (yylsp[-2]));
						(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
						(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
					}
					else
					{
						(yyval.publicationobjectspec)->name = (yyvsp[-2].str);
					}
					(yyval.publicationobjectspec)->location = (yylsp[-2]);
				}
#line 40842 "gram.c"
    break;

  case 1376: /* PublicationObjSpec: ColId indirection opt_column_list OptWhereClause  */
#line 10411 "gram.y"
                                {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = makeRangeVarFromQualifiedName((yyvsp[-3].str), (yyvsp[-2].list), (yylsp[-3]), yyscanner);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
					(yyval.publicationobjectspec)->location = (yylsp[-3]);
				}
#line 40856 "gram.c"
    break;

  case 1377: /* PublicationObjSpec: extended_relation_expr opt_column_list OptWhereClause  */
#line 10422 "gram.y"
                                {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = (yyvsp[-2].range);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
				}
#line 40869 "gram.c"
    break;

  case 1378: /* PublicationObjSpec: CURRENT_SCHEMA  */
#line 10431 "gram.y"
                                {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 40879 "gram.c"
    break;

  case 1379: /* pub_obj_list: PublicationObjSpec  */
#line 10439 "gram.y"
                                        { (yyval.list) = list_make1((yyvsp[0].publicationobjectspec)); }
#line 40885 "gram.c"
    break;

  case 1380: /* pub_obj_list: pub_obj_list ',' PublicationObjSpec  */
#line 10441 "gram.y"
                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].publicationobjectspec)); }
#line 40891 "gram.c"
    break;

  case 1381: /* AlterPublicationStmt: ALTER PUBLICATION name SET definition  */
#line 10463 "gram.y"
                                {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 40903 "gram.c"
    break;

  case 1382: /* AlterPublicationStmt: ALTER PUBLICATION name ADD_P pub_obj_list  */
#line 10471 "gram.y"
                                {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_AddObjects;
					(yyval.node) = (Node *) n;
				}
#line 40917 "gram.c"
    break;

  case 1383: /* AlterPublicationStmt: ALTER PUBLICATION name SET pub_obj_list  */
#line 10481 "gram.y"
                                {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_SetObjects;
					(yyval.node) = (Node *) n;
				}
#line 40931 "gram.c"
    break;

  case 1384: /* AlterPublicationStmt: ALTER PUBLICATION name DROP pub_obj_list  */
#line 10491 "gram.y"
                                {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_DropObjects;
					(yyval.node) = (Node *) n;
				}
#line 40945 "gram.c"
    break;

  case 1385: /* CreateSubscriptionStmt: CREATE SUBSCRIPTION name CONNECTION Sconst PUBLICATION name_list opt_definition  */
#line 10510 "gram.y"
                                {
					CreateSubscriptionStmt *n =
						makeNode(CreateSubscriptionStmt);
					n->subname = (yyvsp[-5].str);
					n->conninfo = (yyvsp[-3].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 40959 "gram.c"
    break;

  case 1386: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name SET definition  */
#line 10529 "gram.y"
                                {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_OPTIONS;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 40973 "gram.c"
    break;

  case 1387: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name CONNECTION Sconst  */
#line 10539 "gram.y"
                                {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_CONNECTION;
					n->subname = (yyvsp[-2].str);
					n->conninfo = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 40987 "gram.c"
    break;

  case 1388: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name REFRESH PUBLICATION opt_definition  */
#line 10549 "gram.y"
                                {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_REFRESH;
					n->subname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 41001 "gram.c"
    break;

  case 1389: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name ADD_P PUBLICATION name_list opt_definition  */
#line 10559 "gram.y"
                                {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ADD_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 41016 "gram.c"
    break;

  case 1390: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name DROP PUBLICATION name_list opt_definition  */
#line 10570 "gram.y"
                                {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_DROP_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 41031 "gram.c"
    break;

  case 1391: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name SET PUBLICATION name_list opt_definition  */
#line 10581 "gram.y"
                                {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_SET_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 41046 "gram.c"
    break;

  case 1392: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name ENABLE_P  */
#line 10592 "gram.y"
                                {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *) makeBoolean(true), (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 41061 "gram.c"
    break;

  case 1393: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name DISABLE_P  */
#line 10603 "gram.y"
                                {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *) makeBoolean(false), (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 41076 "gram.c"
    break;

  case 1394: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name SKIP definition  */
#line 10614 "gram.y"
                                {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_SKIP;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 41090 "gram.c"
    break;

  case 1395: /* DropSubscriptionStmt: DROP SUBSCRIPTION name opt_drop_behavior  */
#line 10632 "gram.y"
                                {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);

					n->subname = (yyvsp[-1].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 41103 "gram.c"
    break;

  case 1396: /* DropSubscriptionStmt: DROP SUBSCRIPTION IF_P EXISTS name opt_drop_behavior  */
#line 10641 "gram.y"
                                {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);

					n->subname = (yyvsp[-1].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 41116 "gram.c"
    break;

  case 1397: /* RuleStmt: CREATE opt_or_replace RULE name AS ON event TO qualified_name where_clause DO opt_instead RuleActionList  */
#line 10660 "gram.y"
                                {
					RuleStmt   *n = makeNode(RuleStmt);

					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 41133 "gram.c"
    break;

  case 1398: /* RuleActionList: NOTHING  */
#line 10675 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 41139 "gram.c"
    break;

  case 1399: /* RuleActionList: RuleActionStmt  */
#line 10676 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 41145 "gram.c"
    break;

  case 1400: /* RuleActionList: '(' RuleActionMulti ')'  */
#line 10677 "gram.y"
                                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 41151 "gram.c"
    break;

  case 1401: /* RuleActionMulti: RuleActionMulti ';' RuleActionStmtOrEmpty  */
#line 10683 "gram.y"
                                { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 41161 "gram.c"
    break;

  case 1402: /* RuleActionMulti: RuleActionStmtOrEmpty  */
#line 10689 "gram.y"
                                { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 41171 "gram.c"
    break;

  case 1408: /* RuleActionStmtOrEmpty: RuleActionStmt  */
#line 10705 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 41177 "gram.c"
    break;

  case 1409: /* RuleActionStmtOrEmpty: %empty  */
#line 10706 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 41183 "gram.c"
    break;

  case 1410: /* event: SELECT  */
#line 10709 "gram.y"
                                                                                        { (yyval.ival) = CMD_SELECT; }
#line 41189 "gram.c"
    break;

  case 1411: /* event: UPDATE  */
#line 10710 "gram.y"
                                                                                                { (yyval.ival) = CMD_UPDATE; }
#line 41195 "gram.c"
    break;

  case 1412: /* event: DELETE_P  */
#line 10711 "gram.y"
                                                                                                { (yyval.ival) = CMD_DELETE; }
#line 41201 "gram.c"
    break;

  case 1413: /* event: INSERT  */
#line 10712 "gram.y"
                                                                                                { (yyval.ival) = CMD_INSERT; }
#line 41207 "gram.c"
    break;

  case 1414: /* opt_instead: INSTEAD  */
#line 10716 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 41213 "gram.c"
    break;

  case 1415: /* opt_instead: ALSO  */
#line 10717 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 41219 "gram.c"
    break;

  case 1416: /* opt_instead: %empty  */
#line 10718 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 41225 "gram.c"
    break;

  case 1417: /* NotifyStmt: NOTIFY ColId notify_payload  */
#line 10731 "gram.y"
                                {
					NotifyStmt *n = makeNode(NotifyStmt);

					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 41237 "gram.c"
    break;

  case 1418: /* notify_payload: ',' Sconst  */
#line 10741 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 41243 "gram.c"
    break;

  case 1419: /* notify_payload: %empty  */
#line 10742 "gram.y"
                                                                                        { (yyval.str) = NULL; }
#line 41249 "gram.c"
    break;

  case 1420: /* ListenStmt: LISTEN ColId  */
#line 10746 "gram.y"
                                {
					ListenStmt *n = makeNode(ListenStmt);

					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 41260 "gram.c"
    break;

  case 1421: /* UnlistenStmt: UNLISTEN ColId  */
#line 10756 "gram.y"
                                {
					UnlistenStmt *n = makeNode(UnlistenStmt);

					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 41271 "gram.c"
    break;

  case 1422: /* UnlistenStmt: UNLISTEN '*'  */
#line 10763 "gram.y"
                                {
					UnlistenStmt *n = makeNode(UnlistenStmt);

					n->conditionname = NULL;
					(yyval.node) = (Node *) n;
				}
#line 41282 "gram.c"
    break;

  case 1423: /* TransactionStmt: ABORT_P opt_transaction opt_transaction_chain  */
#line 10783 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41295 "gram.c"
    break;

  case 1424: /* TransactionStmt: START TRANSACTION transaction_mode_list_or_empty  */
#line 10792 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 41307 "gram.c"
    break;

  case 1425: /* TransactionStmt: COMMIT opt_transaction opt_transaction_chain  */
#line 10800 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41320 "gram.c"
    break;

  case 1426: /* TransactionStmt: ROLLBACK opt_transaction opt_transaction_chain  */
#line 10809 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41333 "gram.c"
    break;

  case 1427: /* TransactionStmt: SAVEPOINT ColId  */
#line 10818 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_SAVEPOINT;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 41345 "gram.c"
    break;

  case 1428: /* TransactionStmt: RELEASE SAVEPOINT ColId  */
#line 10826 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 41357 "gram.c"
    break;

  case 1429: /* TransactionStmt: RELEASE ColId  */
#line 10834 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 41369 "gram.c"
    break;

  case 1430: /* TransactionStmt: ROLLBACK opt_transaction TO SAVEPOINT ColId  */
#line 10842 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 41381 "gram.c"
    break;

  case 1431: /* TransactionStmt: ROLLBACK opt_transaction TO ColId  */
#line 10850 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 41393 "gram.c"
    break;

  case 1432: /* TransactionStmt: PREPARE TRANSACTION Sconst  */
#line 10858 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 41405 "gram.c"
    break;

  case 1433: /* TransactionStmt: COMMIT PREPARED Sconst  */
#line 10866 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 41417 "gram.c"
    break;

  case 1434: /* TransactionStmt: ROLLBACK PREPARED Sconst  */
#line 10874 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 41429 "gram.c"
    break;

  case 1435: /* TransactionStmtLegacy: BEGIN_P opt_transaction transaction_mode_list_or_empty  */
#line 10885 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 41441 "gram.c"
    break;

  case 1436: /* TransactionStmtLegacy: END_P opt_transaction opt_transaction_chain  */
#line 10893 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41454 "gram.c"
    break;

  case 1440: /* transaction_mode_item: ISOLATION LEVEL iso_level  */
#line 10910 "gram.y"
                                        { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0])), (yylsp[-2])); }
#line 41461 "gram.c"
    break;

  case 1441: /* transaction_mode_item: READ ONLY  */
#line 10913 "gram.y"
                                        { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(true, (yylsp[-1])), (yylsp[-1])); }
#line 41468 "gram.c"
    break;

  case 1442: /* transaction_mode_item: READ WRITE  */
#line 10916 "gram.y"
                                        { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 41475 "gram.c"
    break;

  case 1443: /* transaction_mode_item: DEFERRABLE  */
#line 10919 "gram.y"
                                        { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(true, (yylsp[0])), (yylsp[0])); }
#line 41482 "gram.c"
    break;

  case 1444: /* transaction_mode_item: NOT DEFERRABLE  */
#line 10922 "gram.y"
                                        { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 41489 "gram.c"
    break;

  case 1445: /* transaction_mode_list: transaction_mode_item  */
#line 10929 "gram.y"
                                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 41495 "gram.c"
    break;

  case 1446: /* transaction_mode_list: transaction_mode_list ',' transaction_mode_item  */
#line 10931 "gram.y"
                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 41501 "gram.c"
    break;

  case 1447: /* transaction_mode_list: transaction_mode_list transaction_mode_item  */
#line 10933 "gram.y"
                                        { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 41507 "gram.c"
    break;

  case 1449: /* transaction_mode_list_or_empty: %empty  */
#line 10939 "gram.y"
                                        { (yyval.list) = NIL; }
#line 41513 "gram.c"
    break;

  case 1450: /* opt_transaction_chain: AND CHAIN  */
#line 10943 "gram.y"
                                                { (yyval.boolean) = true; }
#line 41519 "gram.c"
    break;

  case 1451: /* opt_transaction_chain: AND NO CHAIN  */
#line 10944 "gram.y"
                                        { (yyval.boolean) = false; }
#line 41525 "gram.c"
    break;

  case 1452: /* opt_transaction_chain: %empty  */
#line 10945 "gram.y"
                                        { (yyval.boolean) = false; }
#line 41531 "gram.c"
    break;

  case 1453: /* ViewStmt: CREATE OptTemp VIEW qualified_name opt_column_list opt_reloptions AS SelectStmt opt_check_option  */
#line 10959 "gram.y"
                                {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 41548 "gram.c"
    break;

  case 1454: /* ViewStmt: CREATE OR REPLACE OptTemp VIEW qualified_name opt_column_list opt_reloptions AS SelectStmt opt_check_option  */
#line 10973 "gram.y"
                                {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 41565 "gram.c"
    break;

  case 1455: /* ViewStmt: CREATE OptTemp RECURSIVE VIEW qualified_name '(' columnList ')' opt_reloptions AS SelectStmt opt_check_option  */
#line 10987 "gram.y"
                                {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 41587 "gram.c"
    break;

  case 1456: /* ViewStmt: CREATE OR REPLACE OptTemp RECURSIVE VIEW qualified_name '(' columnList ')' opt_reloptions AS SelectStmt opt_check_option  */
#line 11006 "gram.y"
                                {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 41609 "gram.c"
    break;

  case 1457: /* opt_check_option: WITH CHECK OPTION  */
#line 11026 "gram.y"
                                                                { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 41615 "gram.c"
    break;

  case 1458: /* opt_check_option: WITH CASCADED CHECK OPTION  */
#line 11027 "gram.y"
                                                { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 41621 "gram.c"
    break;

  case 1459: /* opt_check_option: WITH LOCAL CHECK OPTION  */
#line 11028 "gram.y"
                                                        { (yyval.ival) = LOCAL_CHECK_OPTION; }
#line 41627 "gram.c"
    break;

  case 1460: /* opt_check_option: %empty  */
#line 11029 "gram.y"
                                                                { (yyval.ival) = NO_CHECK_OPTION; }
#line 41633 "gram.c"
    break;

  case 1461: /* LoadStmt: LOAD file_name  */
#line 11040 "gram.y"
                                {
					LoadStmt   *n = makeNode(LoadStmt);

					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 41644 "gram.c"
    break;

  case 1462: /* CreatedbStmt: CREATE DATABASE name opt_with createdb_opt_list  */
#line 11057 "gram.y"
                                {
					CreatedbStmt *n = makeNode(CreatedbStmt);

					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 41656 "gram.c"
    break;

  case 1463: /* createdb_opt_list: createdb_opt_items  */
#line 11067 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 41662 "gram.c"
    break;

  case 1464: /* createdb_opt_list: %empty  */
#line 11068 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 41668 "gram.c"
    break;

  case 1465: /* createdb_opt_items: createdb_opt_item  */
#line 11072 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 41674 "gram.c"
    break;

  case 1466: /* createdb_opt_items: createdb_opt_items createdb_opt_item  */
#line 11073 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 41680 "gram.c"
    break;

  case 1467: /* createdb_opt_item: createdb_opt_name opt_equal NumericOnly  */
#line 11078 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (yyvsp[0].node), (yylsp[-2]));
				}
#line 41688 "gram.c"
    break;

  case 1468: /* createdb_opt_item: createdb_opt_name opt_equal opt_boolean_or_string  */
#line 11082 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 41696 "gram.c"
    break;

  case 1469: /* createdb_opt_item: createdb_opt_name opt_equal DEFAULT  */
#line 11086 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2]));
				}
#line 41704 "gram.c"
    break;

  case 1470: /* createdb_opt_name: IDENT  */
#line 11103 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 41710 "gram.c"
    break;

  case 1471: /* createdb_opt_name: CONNECTION LIMIT  */
#line 11104 "gram.y"
                                                                        { (yyval.str) = pstrdup("connection_limit"); }
#line 41716 "gram.c"
    break;

  case 1472: /* createdb_opt_name: ENCODING  */
#line 11105 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41722 "gram.c"
    break;

  case 1473: /* createdb_opt_name: LOCATION  */
#line 11106 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41728 "gram.c"
    break;

  case 1474: /* createdb_opt_name: OWNER  */
#line 11107 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41734 "gram.c"
    break;

  case 1475: /* createdb_opt_name: TABLESPACE  */
#line 11108 "gram.y"
                                                                        { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41740 "gram.c"
    break;

  case 1476: /* createdb_opt_name: TEMPLATE  */
#line 11109 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41746 "gram.c"
    break;

  case 1479: /* AlterDatabaseStmt: ALTER DATABASE name WITH createdb_opt_list  */
#line 11129 "gram.y"
                                 {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 41758 "gram.c"
    break;

  case 1480: /* AlterDatabaseStmt: ALTER DATABASE name createdb_opt_list  */
#line 11137 "gram.y"
                                 {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 41770 "gram.c"
    break;

  case 1481: /* AlterDatabaseStmt: ALTER DATABASE name SET TABLESPACE name  */
#line 11145 "gram.y"
                                 {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
														(Node *) makeString((yyvsp[0].str)), (yylsp[0])));
					(yyval.node) = (Node *) n;
				 }
#line 41783 "gram.c"
    break;

  case 1482: /* AlterDatabaseStmt: ALTER DATABASE name REFRESH COLLATION VERSION_P  */
#line 11154 "gram.y"
                                 {
					AlterDatabaseRefreshCollStmt *n = makeNode(AlterDatabaseRefreshCollStmt);

					n->dbname = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				 }
#line 41794 "gram.c"
    break;

  case 1483: /* AlterDatabaseSetStmt: ALTER DATABASE name SetResetClause  */
#line 11164 "gram.y"
                                {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);

					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 41806 "gram.c"
    break;

  case 1484: /* DropdbStmt: DROP DATABASE name  */
#line 11182 "gram.y"
                                {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[0].str);
					n->missing_ok = false;
					n->options = NULL;
					(yyval.node) = (Node *) n;
				}
#line 41819 "gram.c"
    break;

  case 1485: /* DropdbStmt: DROP DATABASE IF_P EXISTS name  */
#line 11191 "gram.y"
                                {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[0].str);
					n->missing_ok = true;
					n->options = NULL;
					(yyval.node) = (Node *) n;
				}
#line 41832 "gram.c"
    break;

  case 1486: /* DropdbStmt: DROP DATABASE name opt_with '(' drop_option_list ')'  */
#line 11200 "gram.y"
                                {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[-4].str);
					n->missing_ok = false;
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 41845 "gram.c"
    break;

  case 1487: /* DropdbStmt: DROP DATABASE IF_P EXISTS name opt_with '(' drop_option_list ')'  */
#line 11209 "gram.y"
                                {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[-4].str);
					n->missing_ok = true;
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 41858 "gram.c"
    break;

  case 1488: /* drop_option_list: drop_option  */
#line 11221 "gram.y"
                                {
					(yyval.list) = list_make1((Node *) (yyvsp[0].defelt));
				}
#line 41866 "gram.c"
    break;

  case 1489: /* drop_option_list: drop_option_list ',' drop_option  */
#line 11225 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (Node *) (yyvsp[0].defelt));
				}
#line 41874 "gram.c"
    break;

  case 1490: /* drop_option: FORCE  */
#line 11236 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("force", NULL, (yylsp[0]));
				}
#line 41882 "gram.c"
    break;

  case 1491: /* AlterCollationStmt: ALTER COLLATION any_name REFRESH VERSION_P  */
#line 11248 "gram.y"
                                {
					AlterCollationStmt *n = makeNode(AlterCollationStmt);

					n->collname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 41893 "gram.c"
    break;

  case 1492: /* AlterSystemStmt: ALTER SYSTEM_P SET generic_set  */
#line 11266 "gram.y"
                                {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);

					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 41904 "gram.c"
    break;

  case 1493: /* AlterSystemStmt: ALTER SYSTEM_P RESET generic_reset  */
#line 11273 "gram.y"
                                {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);

					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 41915 "gram.c"
    break;

  case 1494: /* CreateDomainStmt: CREATE DOMAIN_P any_name opt_as Typename ColQualList  */
#line 11290 "gram.y"
                                {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);

					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 41929 "gram.c"
    break;

  case 1495: /* AlterDomainStmt: ALTER DOMAIN_P any_name alter_column_default  */
#line 11304 "gram.y"
                                {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 41942 "gram.c"
    break;

  case 1496: /* AlterDomainStmt: ALTER DOMAIN_P any_name DROP NOT NULL_P  */
#line 11314 "gram.y"
                                {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 41954 "gram.c"
    break;

  case 1497: /* AlterDomainStmt: ALTER DOMAIN_P any_name SET NOT NULL_P  */
#line 11323 "gram.y"
                                {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 41966 "gram.c"
    break;

  case 1498: /* AlterDomainStmt: ALTER DOMAIN_P any_name ADD_P TableConstraint  */
#line 11332 "gram.y"
                                {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 41979 "gram.c"
    break;

  case 1499: /* AlterDomainStmt: ALTER DOMAIN_P any_name DROP CONSTRAINT name opt_drop_behavior  */
#line 11342 "gram.y"
                                {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41994 "gram.c"
    break;

  case 1500: /* AlterDomainStmt: ALTER DOMAIN_P any_name DROP CONSTRAINT IF_P EXISTS name opt_drop_behavior  */
#line 11354 "gram.y"
                                {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 42009 "gram.c"
    break;

  case 1501: /* AlterDomainStmt: ALTER DOMAIN_P any_name VALIDATE CONSTRAINT name  */
#line 11366 "gram.y"
                                {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42022 "gram.c"
    break;

  case 1504: /* AlterTSDictionaryStmt: ALTER TEXT_P SEARCH DICTIONARY any_name definition  */
#line 11389 "gram.y"
                                {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);

					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42034 "gram.c"
    break;

  case 1505: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name ADD_P MAPPING FOR name_list any_with any_name_list  */
#line 11400 "gram.y"
                                {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_ADD_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node *) n;
				}
#line 42050 "gram.c"
    break;

  case 1506: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name ALTER MAPPING FOR name_list any_with any_name_list  */
#line 11412 "gram.y"
                                {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_ALTER_MAPPING_FOR_TOKEN;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node *) n;
				}
#line 42066 "gram.c"
    break;

  case 1507: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name ALTER MAPPING REPLACE any_name any_with any_name  */
#line 11424 "gram.y"
                                {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_REPLACE_DICT;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node *) n;
				}
#line 42082 "gram.c"
    break;

  case 1508: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name ALTER MAPPING FOR name_list REPLACE any_name any_with any_name  */
#line 11436 "gram.y"
                                {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_REPLACE_DICT_FOR_TOKEN;
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node *) n;
				}
#line 42098 "gram.c"
    break;

  case 1509: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name DROP MAPPING FOR name_list  */
#line 11448 "gram.y"
                                {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42112 "gram.c"
    break;

  case 1510: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name DROP MAPPING IF_P EXISTS FOR name_list  */
#line 11458 "gram.y"
                                {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 42126 "gram.c"
    break;

  case 1513: /* CreateConversionStmt: CREATE opt_default CONVERSION_P any_name FOR Sconst TO Sconst FROM any_name  */
#line 11487 "gram.y"
                        {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);

				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *) n;
			}
#line 42141 "gram.c"
    break;

  case 1514: /* ClusterStmt: CLUSTER opt_verbose qualified_name cluster_index_specification  */
#line 11511 "gram.y"
                                {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->params = NIL;
					if ((yyvsp[-2].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[-2])));
					(yyval.node) = (Node *) n;
				}
#line 42156 "gram.c"
    break;

  case 1515: /* ClusterStmt: CLUSTER '(' utility_option_list ')' qualified_name cluster_index_specification  */
#line 11523 "gram.y"
                                {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 42169 "gram.c"
    break;

  case 1516: /* ClusterStmt: CLUSTER opt_verbose  */
#line 11532 "gram.y"
                                {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = NULL;
					n->indexname = NULL;
					n->params = NIL;
					if ((yyvsp[0].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 42184 "gram.c"
    break;

  case 1517: /* ClusterStmt: CLUSTER opt_verbose name ON qualified_name  */
#line 11544 "gram.y"
                                {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->params = NIL;
					if ((yyvsp[-3].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 42199 "gram.c"
    break;

  case 1518: /* cluster_index_specification: USING name  */
#line 11557 "gram.y"
                                                                { (yyval.str) = (yyvsp[0].str); }
#line 42205 "gram.c"
    break;

  case 1519: /* cluster_index_specification: %empty  */
#line 11558 "gram.y"
                                                                { (yyval.str) = NULL; }
#line 42211 "gram.c"
    break;

  case 1520: /* VacuumStmt: VACUUM opt_full opt_freeze opt_verbose opt_analyze opt_vacuum_relation_list  */
#line 11571 "gram.y"
                                {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = NIL;
					if ((yyvsp[-4].boolean))
						n->options = lappend(n->options,
											 makeDefElem("full", NULL, (yylsp[-4])));
					if ((yyvsp[-3].boolean))
						n->options = lappend(n->options,
											 makeDefElem("freeze", NULL, (yylsp[-3])));
					if ((yyvsp[-2].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("analyze", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *) n;
				}
#line 42236 "gram.c"
    break;

  case 1521: /* VacuumStmt: VACUUM '(' utility_option_list ')' opt_vacuum_relation_list  */
#line 11592 "gram.y"
                                {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *) n;
				}
#line 42249 "gram.c"
    break;

  case 1522: /* AnalyzeStmt: analyze_keyword opt_verbose opt_vacuum_relation_list  */
#line 11603 "gram.y"
                                {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = NIL;
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *) n;
				}
#line 42265 "gram.c"
    break;

  case 1523: /* AnalyzeStmt: analyze_keyword '(' utility_option_list ')' opt_vacuum_relation_list  */
#line 11615 "gram.y"
                                {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *) n;
				}
#line 42278 "gram.c"
    break;

  case 1524: /* utility_option_list: utility_option_elem  */
#line 11627 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 42286 "gram.c"
    break;

  case 1525: /* utility_option_list: utility_option_list ',' utility_option_elem  */
#line 11631 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 42294 "gram.c"
    break;

  case 1528: /* utility_option_elem: utility_option_name utility_option_arg  */
#line 11643 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 42302 "gram.c"
    break;

  case 1529: /* utility_option_name: NonReservedWord  */
#line 11649 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 42308 "gram.c"
    break;

  case 1530: /* utility_option_name: analyze_keyword  */
#line 11650 "gram.y"
                                                                                        { (yyval.str) = "analyze"; }
#line 42314 "gram.c"
    break;

  case 1531: /* utility_option_arg: opt_boolean_or_string  */
#line 11654 "gram.y"
                                                                                { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 42320 "gram.c"
    break;

  case 1532: /* utility_option_arg: NumericOnly  */
#line 11655 "gram.y"
                                                                                        { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 42326 "gram.c"
    break;

  case 1533: /* utility_option_arg: %empty  */
#line 11656 "gram.y"
                                                                                        { (yyval.node) = NULL; }
#line 42332 "gram.c"
    break;

  case 1534: /* opt_analyze: analyze_keyword  */
#line 11660 "gram.y"
                                                                                        { (yyval.boolean) = true; }
#line 42338 "gram.c"
    break;

  case 1535: /* opt_analyze: %empty  */
#line 11661 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 42344 "gram.c"
    break;

  case 1536: /* opt_verbose: VERBOSE  */
#line 11665 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 42350 "gram.c"
    break;

  case 1537: /* opt_verbose: %empty  */
#line 11666 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 42356 "gram.c"
    break;

  case 1538: /* opt_full: FULL  */
#line 11669 "gram.y"
                                                                                        { (yyval.boolean) = true; }
#line 42362 "gram.c"
    break;

  case 1539: /* opt_full: %empty  */
#line 11670 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 42368 "gram.c"
    break;

  case 1540: /* opt_freeze: FREEZE  */
#line 11673 "gram.y"
                                                                                        { (yyval.boolean) = true; }
#line 42374 "gram.c"
    break;

  case 1541: /* opt_freeze: %empty  */
#line 11674 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 42380 "gram.c"
    break;

  case 1542: /* opt_name_list: '(' name_list ')'  */
#line 11678 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 42386 "gram.c"
    break;

  case 1543: /* opt_name_list: %empty  */
#line 11679 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 42392 "gram.c"
    break;

  case 1544: /* vacuum_relation: qualified_name opt_name_list  */
#line 11684 "gram.y"
                                {
					(yyval.node) = (Node *) makeVacuumRelation((yyvsp[-1].range), InvalidOid, (yyvsp[0].list));
				}
#line 42400 "gram.c"
    break;

  case 1545: /* vacuum_relation_list: vacuum_relation  */
#line 11691 "gram.y"
                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 42406 "gram.c"
    break;

  case 1546: /* vacuum_relation_list: vacuum_relation_list ',' vacuum_relation  */
#line 11693 "gram.y"
                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 42412 "gram.c"
    break;

  case 1547: /* opt_vacuum_relation_list: vacuum_relation_list  */
#line 11697 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 42418 "gram.c"
    break;

  case 1548: /* opt_vacuum_relation_list: %empty  */
#line 11698 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 42424 "gram.c"
    break;

  case 1549: /* ExplainStmt: EXPLAIN ExplainableStmt  */
#line 11712 "gram.y"
                                {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 42436 "gram.c"
    break;

  case 1550: /* ExplainStmt: EXPLAIN analyze_keyword opt_verbose ExplainableStmt  */
#line 11720 "gram.y"
                                {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 42451 "gram.c"
    break;

  case 1551: /* ExplainStmt: EXPLAIN VERBOSE ExplainableStmt  */
#line 11731 "gram.y"
                                {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 42463 "gram.c"
    break;

  case 1552: /* ExplainStmt: EXPLAIN '(' utility_option_list ')' ExplainableStmt  */
#line 11739 "gram.y"
                                {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 42475 "gram.c"
    break;

  case 1563: /* PrepareStmt: PREPARE name prep_type_clause AS PreparableStmt  */
#line 11769 "gram.y"
                                {
					PrepareStmt *n = makeNode(PrepareStmt);

					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 42488 "gram.c"
    break;

  case 1564: /* prep_type_clause: '(' type_list ')'  */
#line 11779 "gram.y"
                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 42494 "gram.c"
    break;

  case 1565: /* prep_type_clause: %empty  */
#line 11780 "gram.y"
                                                                        { (yyval.list) = NIL; }
#line 42500 "gram.c"
    break;

  case 1571: /* ExecuteStmt: EXECUTE name execute_param_clause  */
#line 11799 "gram.y"
                                {
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42512 "gram.c"
    break;

  case 1572: /* ExecuteStmt: CREATE OptTemp TABLE create_as_target AS EXECUTE name execute_param_clause opt_with_data  */
#line 11808 "gram.y"
                                {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 42533 "gram.c"
    break;

  case 1573: /* ExecuteStmt: CREATE OptTemp TABLE IF_P NOT EXISTS create_as_target AS EXECUTE name execute_param_clause opt_with_data  */
#line 11826 "gram.y"
                                {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-10].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 42554 "gram.c"
    break;

  case 1574: /* execute_param_clause: '(' expr_list ')'  */
#line 11844 "gram.y"
                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 42560 "gram.c"
    break;

  case 1575: /* execute_param_clause: %empty  */
#line 11845 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 42566 "gram.c"
    break;

  case 1576: /* DeallocateStmt: DEALLOCATE name  */
#line 11856 "gram.y"
                                        {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 42577 "gram.c"
    break;

  case 1577: /* DeallocateStmt: DEALLOCATE PREPARE name  */
#line 11863 "gram.y"
                                        {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 42588 "gram.c"
    break;

  case 1578: /* DeallocateStmt: DEALLOCATE ALL  */
#line 11870 "gram.y"
                                        {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 42599 "gram.c"
    break;

  case 1579: /* DeallocateStmt: DEALLOCATE PREPARE ALL  */
#line 11877 "gram.y"
                                        {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 42610 "gram.c"
    break;

  case 1580: /* InsertStmt: opt_with_clause INSERT INTO insert_target insert_rest opt_on_conflict returning_clause  */
#line 11895 "gram.y"
                                {
					(yyvsp[-2].istmt)->relation = (yyvsp[-3].range);
					(yyvsp[-2].istmt)->onConflictClause = (yyvsp[-1].onconflict);
					(yyvsp[-2].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-2].istmt)->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) (yyvsp[-2].istmt);
				}
#line 42622 "gram.c"
    break;

  case 1581: /* insert_target: qualified_name  */
#line 11912 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
				}
#line 42630 "gram.c"
    break;

  case 1582: /* insert_target: qualified_name AS ColId  */
#line 11916 "gram.y"
                                {
					(yyvsp[-2].range)->alias = makeAlias((yyvsp[0].str), NIL);
					(yyval.range) = (yyvsp[-2].range);
				}
#line 42639 "gram.c"
    break;

  case 1583: /* insert_rest: SelectStmt  */
#line 11924 "gram.y"
                                {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 42649 "gram.c"
    break;

  case 1584: /* insert_rest: OVERRIDING override_kind VALUE_P SelectStmt  */
#line 11930 "gram.y"
                                {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 42660 "gram.c"
    break;

  case 1585: /* insert_rest: '(' insert_column_list ')' SelectStmt  */
#line 11937 "gram.y"
                                {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 42670 "gram.c"
    break;

  case 1586: /* insert_rest: '(' insert_column_list ')' OVERRIDING override_kind VALUE_P SelectStmt  */
#line 11943 "gram.y"
                                {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-5].list);
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 42681 "gram.c"
    break;

  case 1587: /* insert_rest: DEFAULT VALUES  */
#line 11950 "gram.y"
                                {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 42691 "gram.c"
    break;

  case 1588: /* override_kind: USER  */
#line 11958 "gram.y"
                                        { (yyval.ival) = OVERRIDING_USER_VALUE; }
#line 42697 "gram.c"
    break;

  case 1589: /* override_kind: SYSTEM_P  */
#line 11959 "gram.y"
                                        { (yyval.ival) = OVERRIDING_SYSTEM_VALUE; }
#line 42703 "gram.c"
    break;

  case 1590: /* insert_column_list: insert_column_item  */
#line 11964 "gram.y"
                                        { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 42709 "gram.c"
    break;

  case 1591: /* insert_column_list: insert_column_list ',' insert_column_item  */
#line 11966 "gram.y"
                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 42715 "gram.c"
    break;

  case 1592: /* insert_column_item: ColId opt_indirection  */
#line 11971 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 42727 "gram.c"
    break;

  case 1593: /* opt_on_conflict: ON CONFLICT opt_conf_expr DO UPDATE SET set_clause_list where_clause  */
#line 11982 "gram.y"
                                {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_UPDATE;
					(yyval.onconflict)->infer = (yyvsp[-5].infer);
					(yyval.onconflict)->targetList = (yyvsp[-1].list);
					(yyval.onconflict)->whereClause = (yyvsp[0].node);
					(yyval.onconflict)->location = (yylsp[-7]);
				}
#line 42740 "gram.c"
    break;

  case 1594: /* opt_on_conflict: ON CONFLICT opt_conf_expr DO NOTHING  */
#line 11992 "gram.y"
                                {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_NOTHING;
					(yyval.onconflict)->infer = (yyvsp[-2].infer);
					(yyval.onconflict)->targetList = NIL;
					(yyval.onconflict)->whereClause = NULL;
					(yyval.onconflict)->location = (yylsp[-4]);
				}
#line 42753 "gram.c"
    break;

  case 1595: /* opt_on_conflict: %empty  */
#line 12001 "gram.y"
                                {
					(yyval.onconflict) = NULL;
				}
#line 42761 "gram.c"
    break;

  case 1596: /* opt_conf_expr: '(' index_params ')' where_clause  */
#line 12008 "gram.y"
                                {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = (yyvsp[-2].list);
					(yyval.infer)->whereClause = (yyvsp[0].node);
					(yyval.infer)->conname = NULL;
					(yyval.infer)->location = (yylsp[-3]);
				}
#line 42773 "gram.c"
    break;

  case 1597: /* opt_conf_expr: ON CONSTRAINT name  */
#line 12017 "gram.y"
                                {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = NIL;
					(yyval.infer)->whereClause = NULL;
					(yyval.infer)->conname = (yyvsp[0].str);
					(yyval.infer)->location = (yylsp[-2]);
				}
#line 42785 "gram.c"
    break;

  case 1598: /* opt_conf_expr: %empty  */
#line 12025 "gram.y"
                                {
					(yyval.infer) = NULL;
				}
#line 42793 "gram.c"
    break;

  case 1599: /* returning_clause: RETURNING target_list  */
#line 12031 "gram.y"
                                                        { (yyval.list) = (yyvsp[0].list); }
#line 42799 "gram.c"
    break;

  case 1600: /* returning_clause: %empty  */
#line 12032 "gram.y"
                                                                { (yyval.list) = NIL; }
#line 42805 "gram.c"
    break;

  case 1601: /* DeleteStmt: opt_with_clause DELETE_P FROM relation_expr_opt_alias using_clause where_or_current_clause returning_clause  */
#line 12045 "gram.y"
                                {
					DeleteStmt *n = makeNode(DeleteStmt);

					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) n;
				}
#line 42820 "gram.c"
    break;

  case 1602: /* using_clause: USING from_list  */
#line 12058 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 42826 "gram.c"
    break;

  case 1603: /* using_clause: %empty  */
#line 12059 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 42832 "gram.c"
    break;

  case 1604: /* LockStmt: LOCK_P opt_table relation_expr_list opt_lock opt_nowait  */
#line 12071 "gram.y"
                                {
					LockStmt   *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 42845 "gram.c"
    break;

  case 1605: /* opt_lock: IN_P lock_type MODE  */
#line 12081 "gram.y"
                                                                { (yyval.ival) = (yyvsp[-1].ival); }
#line 42851 "gram.c"
    break;

  case 1606: /* opt_lock: %empty  */
#line 12082 "gram.y"
                                                                                { (yyval.ival) = AccessExclusiveLock; }
#line 42857 "gram.c"
    break;

  case 1607: /* lock_type: ACCESS SHARE  */
#line 12085 "gram.y"
                                                                { (yyval.ival) = AccessShareLock; }
#line 42863 "gram.c"
    break;

  case 1608: /* lock_type: ROW SHARE  */
#line 12086 "gram.y"
                                                                                { (yyval.ival) = RowShareLock; }
#line 42869 "gram.c"
    break;

  case 1609: /* lock_type: ROW EXCLUSIVE  */
#line 12087 "gram.y"
                                                                        { (yyval.ival) = RowExclusiveLock; }
#line 42875 "gram.c"
    break;

  case 1610: /* lock_type: SHARE UPDATE EXCLUSIVE  */
#line 12088 "gram.y"
                                                                { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 42881 "gram.c"
    break;

  case 1611: /* lock_type: SHARE  */
#line 12089 "gram.y"
                                                                                { (yyval.ival) = ShareLock; }
#line 42887 "gram.c"
    break;

  case 1612: /* lock_type: SHARE ROW EXCLUSIVE  */
#line 12090 "gram.y"
                                                                { (yyval.ival) = ShareRowExclusiveLock; }
#line 42893 "gram.c"
    break;

  case 1613: /* lock_type: EXCLUSIVE  */
#line 12091 "gram.y"
                                                                                { (yyval.ival) = ExclusiveLock; }
#line 42899 "gram.c"
    break;

  case 1614: /* lock_type: ACCESS EXCLUSIVE  */
#line 12092 "gram.y"
                                                                        { (yyval.ival) = AccessExclusiveLock; }
#line 42905 "gram.c"
    break;

  case 1615: /* opt_nowait: NOWAIT  */
#line 12095 "gram.y"
                                                                        { (yyval.boolean) = true; }
#line 42911 "gram.c"
    break;

  case 1616: /* opt_nowait: %empty  */
#line 12096 "gram.y"
                                                                                { (yyval.boolean) = false; }
#line 42917 "gram.c"
    break;

  case 1617: /* opt_nowait_or_skip: NOWAIT  */
#line 12100 "gram.y"
                                                                                { (yyval.ival) = LockWaitError; }
#line 42923 "gram.c"
    break;

  case 1618: /* opt_nowait_or_skip: SKIP LOCKED  */
#line 12101 "gram.y"
                                                                        { (yyval.ival) = LockWaitSkip; }
#line 42929 "gram.c"
    break;

  case 1619: /* opt_nowait_or_skip: %empty  */
#line 12102 "gram.y"
                                                                                { (yyval.ival) = LockWaitBlock; }
#line 42935 "gram.c"
    break;

  case 1620: /* UpdateStmt: opt_with_clause UPDATE relation_expr_opt_alias SET set_clause_list from_clause where_or_current_clause returning_clause  */
#line 12118 "gram.y"
                                {
					UpdateStmt *n = makeNode(UpdateStmt);

					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *) n;
				}
#line 42951 "gram.c"
    break;

  case 1621: /* set_clause_list: set_clause  */
#line 12132 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 42957 "gram.c"
    break;

  case 1622: /* set_clause_list: set_clause_list ',' set_clause  */
#line 12133 "gram.y"
                                                                { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 42963 "gram.c"
    break;

  case 1623: /* set_clause: set_target '=' a_expr  */
#line 12138 "gram.y"
                                {
					(yyvsp[-2].target)->val = (Node *) (yyvsp[0].node);
					(yyval.list) = list_make1((yyvsp[-2].target));
				}
#line 42972 "gram.c"
    break;

  case 1624: /* set_clause: '(' set_target_list ')' '=' a_expr  */
#line 12143 "gram.y"
                                {
					int			ncolumns = list_length((yyvsp[-3].list));
					int			i = 1;
					ListCell   *col_cell;

					/* Create a MultiAssignRef source for each target */
					foreach(col_cell, (yyvsp[-3].list))
					{
						ResTarget  *res_col = (ResTarget *) lfirst(col_cell);
						MultiAssignRef *r = makeNode(MultiAssignRef);

						r->source = (Node *) (yyvsp[0].node);
						r->colno = i;
						r->ncolumns = ncolumns;
						res_col->val = (Node *) r;
						i++;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 42997 "gram.c"
    break;

  case 1625: /* set_target: ColId opt_indirection  */
#line 12167 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 43009 "gram.c"
    break;

  case 1626: /* set_target_list: set_target  */
#line 12177 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 43015 "gram.c"
    break;

  case 1627: /* set_target_list: set_target_list ',' set_target  */
#line 12178 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 43021 "gram.c"
    break;

  case 1628: /* MergeStmt: opt_with_clause MERGE INTO relation_expr_opt_alias USING table_ref ON a_expr merge_when_list  */
#line 12194 "gram.y"
                                {
					MergeStmt  *m = makeNode(MergeStmt);

					m->withClause = (yyvsp[-8].with);
					m->relation = (yyvsp[-5].range);
					m->sourceRelation = (yyvsp[-3].node);
					m->joinCondition = (yyvsp[-1].node);
					m->mergeWhenClauses = (yyvsp[0].list);

					(yyval.node) = (Node *) m;
				}
#line 43037 "gram.c"
    break;

  case 1629: /* merge_when_list: merge_when_clause  */
#line 12208 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 43043 "gram.c"
    break;

  case 1630: /* merge_when_list: merge_when_list merge_when_clause  */
#line 12209 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-1].list),(yyvsp[0].node)); }
#line 43049 "gram.c"
    break;

  case 1631: /* merge_when_clause: WHEN MATCHED opt_merge_when_condition THEN merge_update  */
#line 12214 "gram.y"
                                {
					(yyvsp[0].mergewhen)->matched = true;
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 43060 "gram.c"
    break;

  case 1632: /* merge_when_clause: WHEN MATCHED opt_merge_when_condition THEN merge_delete  */
#line 12221 "gram.y"
                                {
					(yyvsp[0].mergewhen)->matched = true;
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 43071 "gram.c"
    break;

  case 1633: /* merge_when_clause: WHEN NOT MATCHED opt_merge_when_condition THEN merge_insert  */
#line 12228 "gram.y"
                                {
					(yyvsp[0].mergewhen)->matched = false;
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 43082 "gram.c"
    break;

  case 1634: /* merge_when_clause: WHEN MATCHED opt_merge_when_condition THEN DO NOTHING  */
#line 12235 "gram.y"
                                {
					MergeWhenClause *m = makeNode(MergeWhenClause);

					m->matched = true;
					m->commandType = CMD_NOTHING;
					m->condition = (yyvsp[-3].node);

					(yyval.node) = (Node *) m;
				}
#line 43096 "gram.c"
    break;

  case 1635: /* merge_when_clause: WHEN NOT MATCHED opt_merge_when_condition THEN DO NOTHING  */
#line 12245 "gram.y"
                                {
					MergeWhenClause *m = makeNode(MergeWhenClause);

					m->matched = false;
					m->commandType = CMD_NOTHING;
					m->condition = (yyvsp[-3].node);

					(yyval.node) = (Node *) m;
				}
#line 43110 "gram.c"
    break;

  case 1636: /* opt_merge_when_condition: AND a_expr  */
#line 12257 "gram.y"
                                                                { (yyval.node) = (yyvsp[0].node); }
#line 43116 "gram.c"
    break;

  case 1637: /* opt_merge_when_condition: %empty  */
#line 12258 "gram.y"
                                                                        { (yyval.node) = NULL; }
#line 43122 "gram.c"
    break;

  case 1638: /* merge_update: UPDATE SET set_clause_list  */
#line 12263 "gram.y"
                                {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_UPDATE;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = (yyvsp[0].list);
					n->values = NIL;

					(yyval.mergewhen) = n;
				}
#line 43136 "gram.c"
    break;

  case 1639: /* merge_delete: DELETE_P  */
#line 12276 "gram.y"
                                {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_DELETE;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = NIL;

					(yyval.mergewhen) = n;
				}
#line 43150 "gram.c"
    break;

  case 1640: /* merge_insert: INSERT merge_values_clause  */
#line 12289 "gram.y"
                                {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 43163 "gram.c"
    break;

  case 1641: /* merge_insert: INSERT OVERRIDING override_kind VALUE_P merge_values_clause  */
#line 12298 "gram.y"
                                {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = (yyvsp[-2].ival);
					n->targetList = NIL;
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 43176 "gram.c"
    break;

  case 1642: /* merge_insert: INSERT '(' insert_column_list ')' merge_values_clause  */
#line 12307 "gram.y"
                                {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = (yyvsp[-2].list);
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 43189 "gram.c"
    break;

  case 1643: /* merge_insert: INSERT '(' insert_column_list ')' OVERRIDING override_kind VALUE_P merge_values_clause  */
#line 12316 "gram.y"
                                {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = (yyvsp[-2].ival);
					n->targetList = (yyvsp[-5].list);
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 43202 "gram.c"
    break;

  case 1644: /* merge_insert: INSERT DEFAULT VALUES  */
#line 12325 "gram.y"
                                {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = NIL;
					(yyval.mergewhen) = n;
				}
#line 43215 "gram.c"
    break;

  case 1645: /* merge_values_clause: VALUES '(' expr_list ')'  */
#line 12337 "gram.y"
                                {
					(yyval.list) = (yyvsp[-1].list);
				}
#line 43223 "gram.c"
    break;

  case 1646: /* DeclareCursorStmt: DECLARE cursor_name cursor_options CURSOR opt_hold FOR SelectStmt  */
#line 12349 "gram.y"
                                {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);

					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 43237 "gram.c"
    break;

  case 1647: /* cursor_name: name  */
#line 12360 "gram.y"
                                                                { (yyval.str) = (yyvsp[0].str); }
#line 43243 "gram.c"
    break;

  case 1648: /* cursor_options: %empty  */
#line 12363 "gram.y"
                                                                { (yyval.ival) = 0; }
#line 43249 "gram.c"
    break;

  case 1649: /* cursor_options: cursor_options NO SCROLL  */
#line 12364 "gram.y"
                                                                { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 43255 "gram.c"
    break;

  case 1650: /* cursor_options: cursor_options SCROLL  */
#line 12365 "gram.y"
                                                                { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 43261 "gram.c"
    break;

  case 1651: /* cursor_options: cursor_options BINARY  */
#line 12366 "gram.y"
                                                                { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 43267 "gram.c"
    break;

  case 1652: /* cursor_options: cursor_options ASENSITIVE  */
#line 12367 "gram.y"
                                                                { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_ASENSITIVE; }
#line 43273 "gram.c"
    break;

  case 1653: /* cursor_options: cursor_options INSENSITIVE  */
#line 12368 "gram.y"
                                                        { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 43279 "gram.c"
    break;

  case 1654: /* opt_hold: %empty  */
#line 12371 "gram.y"
                                                                { (yyval.ival) = 0; }
#line 43285 "gram.c"
    break;

  case 1655: /* opt_hold: WITH HOLD  */
#line 12372 "gram.y"
                                                                                { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 43291 "gram.c"
    break;

  case 1656: /* opt_hold: WITHOUT HOLD  */
#line 12373 "gram.y"
                                                                        { (yyval.ival) = 0; }
#line 43297 "gram.c"
    break;

  case 1659: /* select_with_parens: '(' select_no_parens ')'  */
#line 12426 "gram.y"
                                                                                { (yyval.node) = (yyvsp[-1].node); }
#line 43303 "gram.c"
    break;

  case 1660: /* select_with_parens: '(' select_with_parens ')'  */
#line 12427 "gram.y"
                                                                        { (yyval.node) = (yyvsp[-1].node); }
#line 43309 "gram.c"
    break;

  case 1661: /* select_no_parens: simple_select  */
#line 12442 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 43315 "gram.c"
    break;

  case 1662: /* select_no_parens: select_clause sort_clause  */
#line 12444 "gram.y"
                                {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 43326 "gram.c"
    break;

  case 1663: /* select_no_parens: select_clause opt_sort_clause for_locking_clause opt_select_limit  */
#line 12451 "gram.y"
                                {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										(yyvsp[0].selectlimit),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 43338 "gram.c"
    break;

  case 1664: /* select_no_parens: select_clause opt_sort_clause select_limit opt_for_locking_clause  */
#line 12459 "gram.y"
                                {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										(yyvsp[-1].selectlimit),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 43350 "gram.c"
    break;

  case 1665: /* select_no_parens: with_clause select_clause  */
#line 12467 "gram.y"
                                {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 43362 "gram.c"
    break;

  case 1666: /* select_no_parens: with_clause select_clause sort_clause  */
#line 12475 "gram.y"
                                {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 43374 "gram.c"
    break;

  case 1667: /* select_no_parens: with_clause select_clause opt_sort_clause for_locking_clause opt_select_limit  */
#line 12483 "gram.y"
                                {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										(yyvsp[0].selectlimit),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 43386 "gram.c"
    break;

  case 1668: /* select_no_parens: with_clause select_clause opt_sort_clause select_limit opt_for_locking_clause  */
#line 12491 "gram.y"
                                {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										(yyvsp[-1].selectlimit),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 43398 "gram.c"
    break;

  case 1669: /* select_clause: simple_select  */
#line 12501 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 43404 "gram.c"
    break;

  case 1670: /* select_clause: select_with_parens  */
#line 12502 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 43410 "gram.c"
    break;

  case 1671: /* simple_select: SELECT opt_all_clause opt_target_list into_clause from_clause where_clause group_clause having_clause window_clause  */
#line 12537 "gram.y"
                                {
					SelectStmt *n = makeNode(SelectStmt);

					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = ((yyvsp[-2].groupclause))->list;
					n->groupDistinct = ((yyvsp[-2].groupclause))->distinct;
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43428 "gram.c"
    break;

  case 1672: /* simple_select: SELECT distinct_clause target_list into_clause from_clause where_clause group_clause having_clause window_clause  */
#line 12553 "gram.y"
                                {
					SelectStmt *n = makeNode(SelectStmt);

					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = ((yyvsp[-2].groupclause))->list;
					n->groupDistinct = ((yyvsp[-2].groupclause))->distinct;
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43447 "gram.c"
    break;

  case 1673: /* simple_select: values_clause  */
#line 12567 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 43453 "gram.c"
    break;

  case 1674: /* simple_select: TABLE relation_expr  */
#line 12569 "gram.y"
                                {
					/* same as SELECT * FROM relation_expr */
					ColumnRef  *cr = makeNode(ColumnRef);
					ResTarget  *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *) cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *) n;
				}
#line 43476 "gram.c"
    break;

  case 1675: /* simple_select: select_clause UNION set_quantifier select_clause  */
#line 12588 "gram.y"
                                {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 43484 "gram.c"
    break;

  case 1676: /* simple_select: select_clause INTERSECT set_quantifier select_clause  */
#line 12592 "gram.y"
                                {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 43492 "gram.c"
    break;

  case 1677: /* simple_select: select_clause EXCEPT set_quantifier select_clause  */
#line 12596 "gram.y"
                                {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 43500 "gram.c"
    break;

  case 1678: /* with_clause: WITH cte_list  */
#line 12611 "gram.y"
                        {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 43511 "gram.c"
    break;

  case 1679: /* with_clause: WITH_LA cte_list  */
#line 12618 "gram.y"
                        {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 43522 "gram.c"
    break;

  case 1680: /* with_clause: WITH RECURSIVE cte_list  */
#line 12625 "gram.y"
                        {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 43533 "gram.c"
    break;

  case 1681: /* cte_list: common_table_expr  */
#line 12634 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 43539 "gram.c"
    break;

  case 1682: /* cte_list: cte_list ',' common_table_expr  */
#line 12635 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 43545 "gram.c"
    break;

  case 1683: /* common_table_expr: name opt_name_list AS opt_materialized '(' PreparableStmt ')' opt_search_clause opt_cycle_clause  */
#line 12639 "gram.y"
                        {
				CommonTableExpr *n = makeNode(CommonTableExpr);

				n->ctename = (yyvsp[-8].str);
				n->aliascolnames = (yyvsp[-7].list);
				n->ctematerialized = (yyvsp[-5].ival);
				n->ctequery = (yyvsp[-3].node);
				n->search_clause = castNode(CTESearchClause, (yyvsp[-1].node));
				n->cycle_clause = castNode(CTECycleClause, (yyvsp[0].node));
				n->location = (yylsp[-8]);
				(yyval.node) = (Node *) n;
			}
#line 43562 "gram.c"
    break;

  case 1684: /* opt_materialized: MATERIALIZED  */
#line 12654 "gram.y"
                                                                                { (yyval.ival) = CTEMaterializeAlways; }
#line 43568 "gram.c"
    break;

  case 1685: /* opt_materialized: NOT MATERIALIZED  */
#line 12655 "gram.y"
                                                                                { (yyval.ival) = CTEMaterializeNever; }
#line 43574 "gram.c"
    break;

  case 1686: /* opt_materialized: %empty  */
#line 12656 "gram.y"
                                                                                        { (yyval.ival) = CTEMaterializeDefault; }
#line 43580 "gram.c"
    break;

  case 1687: /* opt_search_clause: SEARCH DEPTH FIRST_P BY columnList SET ColId  */
#line 12661 "gram.y"
                        {
				CTESearchClause *n = makeNode(CTESearchClause);

				n->search_col_list = (yyvsp[-2].list);
				n->search_breadth_first = false;
				n->search_seq_column = (yyvsp[0].str);
				n->location = (yylsp[-6]);
				(yyval.node) = (Node *) n;
			}
#line 43594 "gram.c"
    break;

  case 1688: /* opt_search_clause: SEARCH BREADTH FIRST_P BY columnList SET ColId  */
#line 12671 "gram.y"
                        {
				CTESearchClause *n = makeNode(CTESearchClause);

				n->search_col_list = (yyvsp[-2].list);
				n->search_breadth_first = true;
				n->search_seq_column = (yyvsp[0].str);
				n->location = (yylsp[-6]);
				(yyval.node) = (Node *) n;
			}
#line 43608 "gram.c"
    break;

  case 1689: /* opt_search_clause: %empty  */
#line 12681 "gram.y"
                        {
				(yyval.node) = NULL;
			}
#line 43616 "gram.c"
    break;

  case 1690: /* opt_cycle_clause: CYCLE columnList SET ColId TO AexprConst DEFAULT AexprConst USING ColId  */
#line 12688 "gram.y"
                        {
				CTECycleClause *n = makeNode(CTECycleClause);

				n->cycle_col_list = (yyvsp[-8].list);
				n->cycle_mark_column = (yyvsp[-6].str);
				n->cycle_mark_value = (yyvsp[-4].node);
				n->cycle_mark_default = (yyvsp[-2].node);
				n->cycle_path_column = (yyvsp[0].str);
				n->location = (yylsp[-9]);
				(yyval.node) = (Node *) n;
			}
#line 43632 "gram.c"
    break;

  case 1691: /* opt_cycle_clause: CYCLE columnList SET ColId USING ColId  */
#line 12700 "gram.y"
                        {
				CTECycleClause *n = makeNode(CTECycleClause);

				n->cycle_col_list = (yyvsp[-4].list);
				n->cycle_mark_column = (yyvsp[-2].str);
				n->cycle_mark_value = makeBoolAConst(true, -1);
				n->cycle_mark_default = makeBoolAConst(false, -1);
				n->cycle_path_column = (yyvsp[0].str);
				n->location = (yylsp[-5]);
				(yyval.node) = (Node *) n;
			}
#line 43648 "gram.c"
    break;

  case 1692: /* opt_cycle_clause: %empty  */
#line 12712 "gram.y"
                        {
				(yyval.node) = NULL;
			}
#line 43656 "gram.c"
    break;

  case 1693: /* opt_with_clause: with_clause  */
#line 12718 "gram.y"
                                                                                        { (yyval.with) = (yyvsp[0].with); }
#line 43662 "gram.c"
    break;

  case 1694: /* opt_with_clause: %empty  */
#line 12719 "gram.y"
                                                                                        { (yyval.with) = NULL; }
#line 43668 "gram.c"
    break;

  case 1695: /* into_clause: INTO OptTempTableName  */
#line 12724 "gram.y"
                                {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 43683 "gram.c"
    break;

  case 1696: /* into_clause: %empty  */
#line 12735 "gram.y"
                                { (yyval.into) = NULL; }
#line 43689 "gram.c"
    break;

  case 1697: /* OptTempTableName: TEMPORARY opt_table qualified_name  */
#line 12744 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 43698 "gram.c"
    break;

  case 1698: /* OptTempTableName: TEMP opt_table qualified_name  */
#line 12749 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 43707 "gram.c"
    break;

  case 1699: /* OptTempTableName: LOCAL TEMPORARY opt_table qualified_name  */
#line 12754 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 43716 "gram.c"
    break;

  case 1700: /* OptTempTableName: LOCAL TEMP opt_table qualified_name  */
#line 12759 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 43725 "gram.c"
    break;

  case 1701: /* OptTempTableName: GLOBAL TEMPORARY opt_table qualified_name  */
#line 12764 "gram.y"
                                {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 43737 "gram.c"
    break;

  case 1702: /* OptTempTableName: GLOBAL TEMP opt_table qualified_name  */
#line 12772 "gram.y"
                                {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 43749 "gram.c"
    break;

  case 1703: /* OptTempTableName: UNLOGGED opt_table qualified_name  */
#line 12780 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 43758 "gram.c"
    break;

  case 1704: /* OptTempTableName: TABLE qualified_name  */
#line 12785 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 43767 "gram.c"
    break;

  case 1705: /* OptTempTableName: qualified_name  */
#line 12790 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 43776 "gram.c"
    break;

  case 1708: /* set_quantifier: ALL  */
#line 12801 "gram.y"
                                                                                                        { (yyval.setquantifier) = SET_QUANTIFIER_ALL; }
#line 43782 "gram.c"
    break;

  case 1709: /* set_quantifier: DISTINCT  */
#line 12802 "gram.y"
                                                                                                { (yyval.setquantifier) = SET_QUANTIFIER_DISTINCT; }
#line 43788 "gram.c"
    break;

  case 1710: /* set_quantifier: %empty  */
#line 12803 "gram.y"
                                                                                                { (yyval.setquantifier) = SET_QUANTIFIER_DEFAULT; }
#line 43794 "gram.c"
    break;

  case 1711: /* distinct_clause: DISTINCT  */
#line 12810 "gram.y"
                                                                                                { (yyval.list) = list_make1(NIL); }
#line 43800 "gram.c"
    break;

  case 1712: /* distinct_clause: DISTINCT ON '(' expr_list ')'  */
#line 12811 "gram.y"
                                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 43806 "gram.c"
    break;

  case 1715: /* opt_distinct_clause: distinct_clause  */
#line 12820 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 43812 "gram.c"
    break;

  case 1716: /* opt_distinct_clause: opt_all_clause  */
#line 12821 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 43818 "gram.c"
    break;

  case 1717: /* opt_sort_clause: sort_clause  */
#line 12825 "gram.y"
                                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 43824 "gram.c"
    break;

  case 1718: /* opt_sort_clause: %empty  */
#line 12826 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 43830 "gram.c"
    break;

  case 1719: /* sort_clause: ORDER BY sortby_list  */
#line 12830 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 43836 "gram.c"
    break;

  case 1720: /* sortby_list: sortby  */
#line 12834 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 43842 "gram.c"
    break;

  case 1721: /* sortby_list: sortby_list ',' sortby  */
#line 12835 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 43848 "gram.c"
    break;

  case 1722: /* sortby: a_expr USING qual_all_Op opt_nulls_order  */
#line 12839 "gram.y"
                                {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 43861 "gram.c"
    break;

  case 1723: /* sortby: a_expr opt_asc_desc opt_nulls_order  */
#line 12848 "gram.y"
                                {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 43874 "gram.c"
    break;

  case 1724: /* select_limit: limit_clause offset_clause  */
#line 12861 "gram.y"
                                {
					(yyval.selectlimit) = (yyvsp[-1].selectlimit);
					((yyval.selectlimit))->limitOffset = (yyvsp[0].node);
				}
#line 43883 "gram.c"
    break;

  case 1725: /* select_limit: offset_clause limit_clause  */
#line 12866 "gram.y"
                                {
					(yyval.selectlimit) = (yyvsp[0].selectlimit);
					((yyval.selectlimit))->limitOffset = (yyvsp[-1].node);
				}
#line 43892 "gram.c"
    break;

  case 1726: /* select_limit: limit_clause  */
#line 12871 "gram.y"
                                {
					(yyval.selectlimit) = (yyvsp[0].selectlimit);
				}
#line 43900 "gram.c"
    break;

  case 1727: /* select_limit: offset_clause  */
#line 12875 "gram.y"
                                {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = (yyvsp[0].node);
					n->limitCount = NULL;
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 43913 "gram.c"
    break;

  case 1728: /* opt_select_limit: select_limit  */
#line 12886 "gram.y"
                                                                                { (yyval.selectlimit) = (yyvsp[0].selectlimit); }
#line 43919 "gram.c"
    break;

  case 1729: /* opt_select_limit: %empty  */
#line 12887 "gram.y"
                                                                                { (yyval.selectlimit) = NULL; }
#line 43925 "gram.c"
    break;

  case 1730: /* limit_clause: LIMIT select_limit_value  */
#line 12892 "gram.y"
                                {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[0].node);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 43938 "gram.c"
    break;

  case 1731: /* limit_clause: LIMIT select_limit_value ',' select_offset_value  */
#line 12901 "gram.y"
                                {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 43951 "gram.c"
    break;

  case 1732: /* limit_clause: FETCH first_or_next select_fetch_first_value row_or_rows ONLY  */
#line 12917 "gram.y"
                                {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[-2].node);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 43964 "gram.c"
    break;

  case 1733: /* limit_clause: FETCH first_or_next select_fetch_first_value row_or_rows WITH TIES  */
#line 12926 "gram.y"
                                {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[-3].node);
					n->limitOption = LIMIT_OPTION_WITH_TIES;
					(yyval.selectlimit) = n;
				}
#line 43977 "gram.c"
    break;

  case 1734: /* limit_clause: FETCH first_or_next row_or_rows ONLY  */
#line 12935 "gram.y"
                                {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = makeIntConst(1, -1);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 43990 "gram.c"
    break;

  case 1735: /* limit_clause: FETCH first_or_next row_or_rows WITH TIES  */
#line 12944 "gram.y"
                                {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = makeIntConst(1, -1);
					n->limitOption = LIMIT_OPTION_WITH_TIES;
					(yyval.selectlimit) = n;
				}
#line 44003 "gram.c"
    break;

  case 1736: /* offset_clause: OFFSET select_offset_value  */
#line 12956 "gram.y"
                                { (yyval.node) = (yyvsp[0].node); }
#line 44009 "gram.c"
    break;

  case 1737: /* offset_clause: OFFSET select_fetch_first_value row_or_rows  */
#line 12959 "gram.y"
                                { (yyval.node) = (yyvsp[-1].node); }
#line 44015 "gram.c"
    break;

  case 1738: /* select_limit_value: a_expr  */
#line 12963 "gram.y"
                                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 44021 "gram.c"
    break;

  case 1739: /* select_limit_value: ALL  */
#line 12965 "gram.y"
                                {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 44030 "gram.c"
    break;

  case 1740: /* select_offset_value: a_expr  */
#line 12972 "gram.y"
                                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 44036 "gram.c"
    break;

  case 1741: /* select_fetch_first_value: c_expr  */
#line 12992 "gram.y"
                                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 44042 "gram.c"
    break;

  case 1742: /* select_fetch_first_value: '+' I_or_F_const  */
#line 12994 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 44048 "gram.c"
    break;

  case 1743: /* select_fetch_first_value: '-' I_or_F_const  */
#line 12996 "gram.y"
                                { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 44054 "gram.c"
    break;

  case 1744: /* I_or_F_const: Iconst  */
#line 13000 "gram.y"
                                                                                                { (yyval.node) = makeIntConst((yyvsp[0].ival),(yylsp[0])); }
#line 44060 "gram.c"
    break;

  case 1745: /* I_or_F_const: FCONST  */
#line 13001 "gram.y"
                                                                                                { (yyval.node) = makeFloatConst((yyvsp[0].str),(yylsp[0])); }
#line 44066 "gram.c"
    break;

  case 1746: /* row_or_rows: ROW  */
#line 13005 "gram.y"
                                                                                        { (yyval.ival) = 0; }
#line 44072 "gram.c"
    break;

  case 1747: /* row_or_rows: ROWS  */
#line 13006 "gram.y"
                                                                                                { (yyval.ival) = 0; }
#line 44078 "gram.c"
    break;

  case 1748: /* first_or_next: FIRST_P  */
#line 13009 "gram.y"
                                                                                { (yyval.ival) = 0; }
#line 44084 "gram.c"
    break;

  case 1749: /* first_or_next: NEXT  */
#line 13010 "gram.y"
                                                                                                { (yyval.ival) = 0; }
#line 44090 "gram.c"
    break;

  case 1750: /* group_clause: GROUP_P BY set_quantifier group_by_list  */
#line 13036 "gram.y"
                                {
					GroupClause *n = (GroupClause *) palloc(sizeof(GroupClause));

					n->distinct = (yyvsp[-1].setquantifier) == SET_QUANTIFIER_DISTINCT;
					n->list = (yyvsp[0].list);
					(yyval.groupclause) = n;
				}
#line 44102 "gram.c"
    break;

  case 1751: /* group_clause: %empty  */
#line 13044 "gram.y"
                                {
					GroupClause *n = (GroupClause *) palloc(sizeof(GroupClause));

					n->distinct = false;
					n->list = NIL;
					(yyval.groupclause) = n;
				}
#line 44114 "gram.c"
    break;

  case 1752: /* group_by_list: group_by_item  */
#line 13054 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 44120 "gram.c"
    break;

  case 1753: /* group_by_list: group_by_list ',' group_by_item  */
#line 13055 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].node)); }
#line 44126 "gram.c"
    break;

  case 1754: /* group_by_item: a_expr  */
#line 13059 "gram.y"
                                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 44132 "gram.c"
    break;

  case 1755: /* group_by_item: empty_grouping_set  */
#line 13060 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 44138 "gram.c"
    break;

  case 1756: /* group_by_item: cube_clause  */
#line 13061 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 44144 "gram.c"
    break;

  case 1757: /* group_by_item: rollup_clause  */
#line 13062 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 44150 "gram.c"
    break;

  case 1758: /* group_by_item: grouping_sets_clause  */
#line 13063 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 44156 "gram.c"
    break;

  case 1759: /* empty_grouping_set: '(' ')'  */
#line 13068 "gram.y"
                                {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_EMPTY, NIL, (yylsp[-1]));
				}
#line 44164 "gram.c"
    break;

  case 1760: /* rollup_clause: ROLLUP '(' expr_list ')'  */
#line 13081 "gram.y"
                                {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_ROLLUP, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 44172 "gram.c"
    break;

  case 1761: /* cube_clause: CUBE '(' expr_list ')'  */
#line 13088 "gram.y"
                                {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_CUBE, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 44180 "gram.c"
    break;

  case 1762: /* grouping_sets_clause: GROUPING SETS '(' group_by_list ')'  */
#line 13095 "gram.y"
                                {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_SETS, (yyvsp[-1].list), (yylsp[-4]));
				}
#line 44188 "gram.c"
    break;

  case 1763: /* having_clause: HAVING a_expr  */
#line 13101 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 44194 "gram.c"
    break;

  case 1764: /* having_clause: %empty  */
#line 13102 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 44200 "gram.c"
    break;

  case 1765: /* for_locking_clause: for_locking_items  */
#line 13106 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 44206 "gram.c"
    break;

  case 1766: /* for_locking_clause: FOR READ ONLY  */
#line 13107 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 44212 "gram.c"
    break;

  case 1767: /* opt_for_locking_clause: for_locking_clause  */
#line 13111 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 44218 "gram.c"
    break;

  case 1768: /* opt_for_locking_clause: %empty  */
#line 13112 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 44224 "gram.c"
    break;

  case 1769: /* for_locking_items: for_locking_item  */
#line 13116 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 44230 "gram.c"
    break;

  case 1770: /* for_locking_items: for_locking_items for_locking_item  */
#line 13117 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 44236 "gram.c"
    break;

  case 1771: /* for_locking_item: for_locking_strength locked_rels_list opt_nowait_or_skip  */
#line 13122 "gram.y"
                                {
					LockingClause *n = makeNode(LockingClause);

					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->waitPolicy = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 44249 "gram.c"
    break;

  case 1772: /* for_locking_strength: FOR UPDATE  */
#line 13133 "gram.y"
                                                                                        { (yyval.ival) = LCS_FORUPDATE; }
#line 44255 "gram.c"
    break;

  case 1773: /* for_locking_strength: FOR NO KEY UPDATE  */
#line 13134 "gram.y"
                                                                                { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 44261 "gram.c"
    break;

  case 1774: /* for_locking_strength: FOR SHARE  */
#line 13135 "gram.y"
                                                                                        { (yyval.ival) = LCS_FORSHARE; }
#line 44267 "gram.c"
    break;

  case 1775: /* for_locking_strength: FOR KEY SHARE  */
#line 13136 "gram.y"
                                                                                { (yyval.ival) = LCS_FORKEYSHARE; }
#line 44273 "gram.c"
    break;

  case 1776: /* locked_rels_list: OF qualified_name_list  */
#line 13140 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 44279 "gram.c"
    break;

  case 1777: /* locked_rels_list: %empty  */
#line 13141 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 44285 "gram.c"
    break;

  case 1778: /* values_clause: VALUES '(' expr_list ')'  */
#line 13152 "gram.y"
                                {
					SelectStmt *n = makeNode(SelectStmt);

					n->valuesLists = list_make1((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 44296 "gram.c"
    break;

  case 1779: /* values_clause: values_clause ',' '(' expr_list ')'  */
#line 13159 "gram.y"
                                {
					SelectStmt *n = (SelectStmt *) (yyvsp[-4].node);

					n->valuesLists = lappend(n->valuesLists, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 44307 "gram.c"
    break;

  case 1780: /* from_clause: FROM from_list  */
#line 13177 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 44313 "gram.c"
    break;

  case 1781: /* from_clause: %empty  */
#line 13178 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 44319 "gram.c"
    break;

  case 1782: /* from_list: table_ref  */
#line 13182 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 44325 "gram.c"
    break;

  case 1783: /* from_list: from_list ',' table_ref  */
#line 13183 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 44331 "gram.c"
    break;

  case 1784: /* table_ref: relation_expr opt_alias_clause  */
#line 13190 "gram.y"
                                {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 44340 "gram.c"
    break;

  case 1785: /* table_ref: relation_expr opt_alias_clause tablesample_clause  */
#line 13195 "gram.y"
                                {
					RangeTableSample *n = (RangeTableSample *) (yyvsp[0].node);

					(yyvsp[-2].range)->alias = (yyvsp[-1].alias);
					/* relation_expr goes inside the RangeTableSample node */
					n->relation = (Node *) (yyvsp[-2].range);
					(yyval.node) = (Node *) n;
				}
#line 44353 "gram.c"
    break;

  case 1786: /* table_ref: func_table func_alias_clause  */
#line 13204 "gram.y"
                                {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);

					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 44365 "gram.c"
    break;

  case 1787: /* table_ref: LATERAL_P func_table func_alias_clause  */
#line 13212 "gram.y"
                                {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);

					n->lateral = true;
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 44378 "gram.c"
    break;

  case 1788: /* table_ref: xmltable opt_alias_clause  */
#line 13221 "gram.y"
                                {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);

					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 44389 "gram.c"
    break;

  case 1789: /* table_ref: LATERAL_P xmltable opt_alias_clause  */
#line 13228 "gram.y"
                                {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);

					n->lateral = true;
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 44401 "gram.c"
    break;

  case 1790: /* table_ref: select_with_parens opt_alias_clause  */
#line 13236 "gram.y"
                                {
					RangeSubselect *n = makeNode(RangeSubselect);

					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 44441 "gram.c"
    break;

  case 1791: /* table_ref: LATERAL_P select_with_parens opt_alias_clause  */
#line 13272 "gram.y"
                                {
					RangeSubselect *n = makeNode(RangeSubselect);

					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/* same comment as above */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 44471 "gram.c"
    break;

  case 1792: /* table_ref: joined_table  */
#line 13298 "gram.y"
                                {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 44479 "gram.c"
    break;

  case 1793: /* table_ref: '(' joined_table ')' alias_clause  */
#line 13302 "gram.y"
                                {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 44488 "gram.c"
    break;

  case 1794: /* joined_table: '(' joined_table ')'  */
#line 13328 "gram.y"
                                {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 44496 "gram.c"
    break;

  case 1795: /* joined_table: table_ref CROSS JOIN table_ref  */
#line 13332 "gram.y"
                                {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->join_using_alias = NULL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 44514 "gram.c"
    break;

  case 1796: /* joined_table: table_ref join_type JOIN table_ref join_qual  */
#line 13346 "gram.y"
                                {
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = false;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
					{
						 /* USING clause */
						n->usingClause = linitial_node(List, castNode(List, (yyvsp[0].node)));
						n->join_using_alias = lsecond_node(Alias, castNode(List, (yyvsp[0].node)));
					}
					else
					{
						/* ON clause */
						n->quals = (yyvsp[0].node);
					}
					(yyval.jexpr) = n;
				}
#line 44539 "gram.c"
    break;

  case 1797: /* joined_table: table_ref JOIN table_ref join_qual  */
#line 13367 "gram.y"
                                {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
					{
						/* USING clause */
						n->usingClause = linitial_node(List, castNode(List, (yyvsp[0].node)));
						n->join_using_alias = lsecond_node(Alias, castNode(List, (yyvsp[0].node)));
					}
					else
					{
						/* ON clause */
						n->quals = (yyvsp[0].node);
					}
					(yyval.jexpr) = n;
				}
#line 44565 "gram.c"
    break;

  case 1798: /* joined_table: table_ref NATURAL join_type JOIN table_ref  */
#line 13389 "gram.y"
                                {
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = true;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->join_using_alias = NULL;
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 44582 "gram.c"
    break;

  case 1799: /* joined_table: table_ref NATURAL JOIN table_ref  */
#line 13402 "gram.y"
                                {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = true;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->join_using_alias = NULL;
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 44600 "gram.c"
    break;

  case 1800: /* alias_clause: AS ColId '(' name_list ')'  */
#line 13419 "gram.y"
                                {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 44610 "gram.c"
    break;

  case 1801: /* alias_clause: AS ColId  */
#line 13425 "gram.y"
                                {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 44619 "gram.c"
    break;

  case 1802: /* alias_clause: ColId '(' name_list ')'  */
#line 13430 "gram.y"
                                {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 44629 "gram.c"
    break;

  case 1803: /* alias_clause: ColId  */
#line 13436 "gram.y"
                                {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 44638 "gram.c"
    break;

  case 1804: /* opt_alias_clause: alias_clause  */
#line 13442 "gram.y"
                                                                        { (yyval.alias) = (yyvsp[0].alias); }
#line 44644 "gram.c"
    break;

  case 1805: /* opt_alias_clause: %empty  */
#line 13443 "gram.y"
                                                                                                { (yyval.alias) = NULL; }
#line 44650 "gram.c"
    break;

  case 1806: /* opt_alias_clause_for_join_using: AS ColId  */
#line 13454 "gram.y"
                                {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
					/* the column name list will be inserted later */
				}
#line 44660 "gram.c"
    break;

  case 1807: /* opt_alias_clause_for_join_using: %empty  */
#line 13459 "gram.y"
                                                                                                { (yyval.alias) = NULL; }
#line 44666 "gram.c"
    break;

  case 1808: /* func_alias_clause: alias_clause  */
#line 13468 "gram.y"
                                {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 44674 "gram.c"
    break;

  case 1809: /* func_alias_clause: AS '(' TableFuncElementList ')'  */
#line 13472 "gram.y"
                                {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 44682 "gram.c"
    break;

  case 1810: /* func_alias_clause: AS ColId '(' TableFuncElementList ')'  */
#line 13476 "gram.y"
                                {
					Alias	   *a = makeNode(Alias);

					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 44693 "gram.c"
    break;

  case 1811: /* func_alias_clause: ColId '(' TableFuncElementList ')'  */
#line 13483 "gram.y"
                                {
					Alias	   *a = makeNode(Alias);

					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 44704 "gram.c"
    break;

  case 1812: /* func_alias_clause: %empty  */
#line 13490 "gram.y"
                                {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 44712 "gram.c"
    break;

  case 1813: /* join_type: FULL opt_outer  */
#line 13495 "gram.y"
                                                                                { (yyval.jtype) = JOIN_FULL; }
#line 44718 "gram.c"
    break;

  case 1814: /* join_type: LEFT opt_outer  */
#line 13496 "gram.y"
                                                                                        { (yyval.jtype) = JOIN_LEFT; }
#line 44724 "gram.c"
    break;

  case 1815: /* join_type: RIGHT opt_outer  */
#line 13497 "gram.y"
                                                                                        { (yyval.jtype) = JOIN_RIGHT; }
#line 44730 "gram.c"
    break;

  case 1816: /* join_type: INNER_P  */
#line 13498 "gram.y"
                                                                                                { (yyval.jtype) = JOIN_INNER; }
#line 44736 "gram.c"
    break;

  case 1819: /* join_qual: USING '(' name_list ')' opt_alias_clause_for_join_using  */
#line 13519 "gram.y"
                                {
					(yyval.node) = (Node *) list_make2((yyvsp[-2].list), (yyvsp[0].alias));
				}
#line 44744 "gram.c"
    break;

  case 1820: /* join_qual: ON a_expr  */
#line 13523 "gram.y"
                                {
					(yyval.node) = (yyvsp[0].node);
				}
#line 44752 "gram.c"
    break;

  case 1821: /* relation_expr: qualified_name  */
#line 13531 "gram.y"
                                {
					/* inheritance query, implicitly */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 44763 "gram.c"
    break;

  case 1822: /* relation_expr: extended_relation_expr  */
#line 13538 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
				}
#line 44771 "gram.c"
    break;

  case 1823: /* extended_relation_expr: qualified_name '*'  */
#line 13545 "gram.y"
                                {
					/* inheritance query, explicitly */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 44782 "gram.c"
    break;

  case 1824: /* extended_relation_expr: ONLY qualified_name  */
#line 13552 "gram.y"
                                {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 44793 "gram.c"
    break;

  case 1825: /* extended_relation_expr: ONLY '(' qualified_name ')'  */
#line 13559 "gram.y"
                                {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 44804 "gram.c"
    break;

  case 1826: /* relation_expr_list: relation_expr  */
#line 13569 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 44810 "gram.c"
    break;

  case 1827: /* relation_expr_list: relation_expr_list ',' relation_expr  */
#line 13570 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 44816 "gram.c"
    break;

  case 1828: /* relation_expr_opt_alias: relation_expr  */
#line 13584 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
				}
#line 44824 "gram.c"
    break;

  case 1829: /* relation_expr_opt_alias: relation_expr ColId  */
#line 13588 "gram.y"
                                {
					Alias	   *alias = makeNode(Alias);

					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 44836 "gram.c"
    break;

  case 1830: /* relation_expr_opt_alias: relation_expr AS ColId  */
#line 13596 "gram.y"
                                {
					Alias	   *alias = makeNode(Alias);

					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 44848 "gram.c"
    break;

  case 1831: /* tablesample_clause: TABLESAMPLE func_name '(' expr_list ')' opt_repeatable_clause  */
#line 13610 "gram.y"
                                {
					RangeTableSample *n = makeNode(RangeTableSample);

					/* n->relation will be filled in later */
					n->method = (yyvsp[-4].list);
					n->args = (yyvsp[-2].list);
					n->repeatable = (yyvsp[0].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 44863 "gram.c"
    break;

  case 1832: /* opt_repeatable_clause: REPEATABLE '(' a_expr ')'  */
#line 13623 "gram.y"
                                                        { (yyval.node) = (Node *) (yyvsp[-1].node); }
#line 44869 "gram.c"
    break;

  case 1833: /* opt_repeatable_clause: %empty  */
#line 13624 "gram.y"
                                                                        { (yyval.node) = NULL; }
#line 44875 "gram.c"
    break;

  case 1834: /* func_table: func_expr_windowless opt_ordinality  */
#line 13640 "gram.y"
                                {
					RangeFunction *n = makeNode(RangeFunction);

					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[-1].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 44890 "gram.c"
    break;

  case 1835: /* func_table: ROWS FROM '(' rowsfrom_list ')' opt_ordinality  */
#line 13651 "gram.y"
                                {
					RangeFunction *n = makeNode(RangeFunction);

					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[-2].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 44905 "gram.c"
    break;

  case 1836: /* rowsfrom_item: func_expr_windowless opt_col_def_list  */
#line 13664 "gram.y"
                                { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].list)); }
#line 44911 "gram.c"
    break;

  case 1837: /* rowsfrom_list: rowsfrom_item  */
#line 13668 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 44917 "gram.c"
    break;

  case 1838: /* rowsfrom_list: rowsfrom_list ',' rowsfrom_item  */
#line 13669 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 44923 "gram.c"
    break;

  case 1839: /* opt_col_def_list: AS '(' TableFuncElementList ')'  */
#line 13672 "gram.y"
                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 44929 "gram.c"
    break;

  case 1840: /* opt_col_def_list: %empty  */
#line 13673 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 44935 "gram.c"
    break;

  case 1841: /* opt_ordinality: WITH_LA ORDINALITY  */
#line 13676 "gram.y"
                                                                        { (yyval.boolean) = true; }
#line 44941 "gram.c"
    break;

  case 1842: /* opt_ordinality: %empty  */
#line 13677 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 44947 "gram.c"
    break;

  case 1843: /* where_clause: WHERE a_expr  */
#line 13682 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 44953 "gram.c"
    break;

  case 1844: /* where_clause: %empty  */
#line 13683 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 44959 "gram.c"
    break;

  case 1845: /* where_or_current_clause: WHERE a_expr  */
#line 13688 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 44965 "gram.c"
    break;

  case 1846: /* where_or_current_clause: WHERE CURRENT_P OF cursor_name  */
#line 13690 "gram.y"
                                {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);

					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 44978 "gram.c"
    break;

  case 1847: /* where_or_current_clause: %empty  */
#line 13698 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 44984 "gram.c"
    break;

  case 1848: /* OptTableFuncElementList: TableFuncElementList  */
#line 13703 "gram.y"
                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 44990 "gram.c"
    break;

  case 1849: /* OptTableFuncElementList: %empty  */
#line 13704 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 44996 "gram.c"
    break;

  case 1850: /* TableFuncElementList: TableFuncElement  */
#line 13709 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 45004 "gram.c"
    break;

  case 1851: /* TableFuncElementList: TableFuncElementList ',' TableFuncElement  */
#line 13713 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 45012 "gram.c"
    break;

  case 1852: /* TableFuncElement: ColId Typename opt_collate_clause  */
#line 13719 "gram.y"
                                {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 45035 "gram.c"
    break;

  case 1853: /* xmltable: XMLTABLE '(' c_expr xmlexists_argument COLUMNS xmltable_column_list ')'  */
#line 13744 "gram.y"
                                {
					RangeTableFunc *n = makeNode(RangeTableFunc);

					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = NIL;
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 45050 "gram.c"
    break;

  case 1854: /* xmltable: XMLTABLE '(' XMLNAMESPACES '(' xml_namespace_list ')' ',' c_expr xmlexists_argument COLUMNS xmltable_column_list ')'  */
#line 13756 "gram.y"
                                {
					RangeTableFunc *n = makeNode(RangeTableFunc);

					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = (yyvsp[-7].list);
					n->location = (yylsp[-11]);
					(yyval.node) = (Node *) n;
				}
#line 45065 "gram.c"
    break;

  case 1855: /* xmltable_column_list: xmltable_column_el  */
#line 13768 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45071 "gram.c"
    break;

  case 1856: /* xmltable_column_list: xmltable_column_list ',' xmltable_column_el  */
#line 13769 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 45077 "gram.c"
    break;

  case 1857: /* xmltable_column_el: ColId Typename  */
#line 13774 "gram.y"
                                {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-1].str);
					fc->for_ordinality = false;
					fc->typeName = (yyvsp[0].typnam);
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-1]);

					(yyval.node) = (Node *) fc;
				}
#line 45095 "gram.c"
    break;

  case 1858: /* xmltable_column_el: ColId Typename xmltable_column_option_list  */
#line 13788 "gram.y"
                                {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);
					ListCell   *option;
					bool		nullability_seen = false;

					fc->colname = (yyvsp[-2].str);
					fc->typeName = (yyvsp[-1].typnam);
					fc->for_ordinality = false;
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-2]);

					foreach(option, (yyvsp[0].list))
					{
						DefElem   *defel = (DefElem *) lfirst(option);

						if (strcmp(defel->defname, "default") == 0)
						{
							if (fc->coldefexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one DEFAULT value is allowed"),
										 parser_errposition(defel->location)));
							fc->coldefexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "path") == 0)
						{
							if (fc->colexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one PATH value per column is allowed"),
										 parser_errposition(defel->location)));
							fc->colexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "is_not_null") == 0)
						{
							if (nullability_seen)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("conflicting or redundant NULL / NOT NULL declarations for column \"%s\"", fc->colname),
										 parser_errposition(defel->location)));
							fc->is_not_null = boolVal(defel->arg);
							nullability_seen = true;
						}
						else
						{
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized column option \"%s\"",
											defel->defname),
									 parser_errposition(defel->location)));
						}
					}
					(yyval.node) = (Node *) fc;
				}
#line 45156 "gram.c"
    break;

  case 1859: /* xmltable_column_el: ColId FOR ORDINALITY  */
#line 13845 "gram.y"
                                {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-2].str);
					fc->for_ordinality = true;
					/* other fields are ignored, initialized by makeNode */
					fc->location = (yylsp[-2]);

					(yyval.node) = (Node *) fc;
				}
#line 45171 "gram.c"
    break;

  case 1860: /* xmltable_column_option_list: xmltable_column_option_el  */
#line 13859 "gram.y"
                                { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 45177 "gram.c"
    break;

  case 1861: /* xmltable_column_option_list: xmltable_column_option_list xmltable_column_option_el  */
#line 13861 "gram.y"
                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 45183 "gram.c"
    break;

  case 1862: /* xmltable_column_option_el: IDENT b_expr  */
#line 13866 "gram.y"
                                { (yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1])); }
#line 45189 "gram.c"
    break;

  case 1863: /* xmltable_column_option_el: DEFAULT b_expr  */
#line 13868 "gram.y"
                                { (yyval.defelt) = makeDefElem("default", (yyvsp[0].node), (yylsp[-1])); }
#line 45195 "gram.c"
    break;

  case 1864: /* xmltable_column_option_el: NOT NULL_P  */
#line 13870 "gram.y"
                                { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeBoolean(true), (yylsp[-1])); }
#line 45201 "gram.c"
    break;

  case 1865: /* xmltable_column_option_el: NULL_P  */
#line 13872 "gram.y"
                                { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeBoolean(false), (yylsp[0])); }
#line 45207 "gram.c"
    break;

  case 1866: /* xml_namespace_list: xml_namespace_el  */
#line 13877 "gram.y"
                                { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 45213 "gram.c"
    break;

  case 1867: /* xml_namespace_list: xml_namespace_list ',' xml_namespace_el  */
#line 13879 "gram.y"
                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 45219 "gram.c"
    break;

  case 1868: /* xml_namespace_el: b_expr AS ColLabel  */
#line 13884 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 45231 "gram.c"
    break;

  case 1869: /* xml_namespace_el: DEFAULT b_expr  */
#line 13892 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[0].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 45243 "gram.c"
    break;

  case 1870: /* Typename: SimpleTypename opt_array_bounds  */
#line 13912 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 45252 "gram.c"
    break;

  case 1871: /* Typename: SETOF SimpleTypename opt_array_bounds  */
#line 13917 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = true;
				}
#line 45262 "gram.c"
    break;

  case 1872: /* Typename: SimpleTypename ARRAY '[' Iconst ']'  */
#line 13924 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 45271 "gram.c"
    break;

  case 1873: /* Typename: SETOF SimpleTypename ARRAY '[' Iconst ']'  */
#line 13929 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = true;
				}
#line 45281 "gram.c"
    break;

  case 1874: /* Typename: SimpleTypename ARRAY  */
#line 13935 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 45290 "gram.c"
    break;

  case 1875: /* Typename: SETOF SimpleTypename ARRAY  */
#line 13940 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = true;
				}
#line 45300 "gram.c"
    break;

  case 1876: /* opt_array_bounds: opt_array_bounds '[' ']'  */
#line 13949 "gram.y"
                                        {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 45306 "gram.c"
    break;

  case 1877: /* opt_array_bounds: opt_array_bounds '[' Iconst ']'  */
#line 13951 "gram.y"
                                        {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 45312 "gram.c"
    break;

  case 1878: /* opt_array_bounds: %empty  */
#line 13953 "gram.y"
                                        {  (yyval.list) = NIL; }
#line 45318 "gram.c"
    break;

  case 1879: /* SimpleTypename: GenericType  */
#line 13957 "gram.y"
                                                                                                { (yyval.typnam) = (yyvsp[0].typnam); }
#line 45324 "gram.c"
    break;

  case 1880: /* SimpleTypename: Numeric  */
#line 13958 "gram.y"
                                                                                                { (yyval.typnam) = (yyvsp[0].typnam); }
#line 45330 "gram.c"
    break;

  case 1881: /* SimpleTypename: Bit  */
#line 13959 "gram.y"
                                                                                                { (yyval.typnam) = (yyvsp[0].typnam); }
#line 45336 "gram.c"
    break;

  case 1882: /* SimpleTypename: Character  */
#line 13960 "gram.y"
                                                                                                { (yyval.typnam) = (yyvsp[0].typnam); }
#line 45342 "gram.c"
    break;

  case 1883: /* SimpleTypename: ConstDatetime  */
#line 13961 "gram.y"
                                                                                        { (yyval.typnam) = (yyvsp[0].typnam); }
#line 45348 "gram.c"
    break;

  case 1884: /* SimpleTypename: ConstInterval opt_interval  */
#line 13963 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 45357 "gram.c"
    break;

  case 1885: /* SimpleTypename: ConstInterval '(' Iconst ')'  */
#line 13968 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[-3].typnam);
					(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											 makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 45367 "gram.c"
    break;

  case 1886: /* ConstTypename: Numeric  */
#line 13987 "gram.y"
                                                                                                { (yyval.typnam) = (yyvsp[0].typnam); }
#line 45373 "gram.c"
    break;

  case 1887: /* ConstTypename: ConstBit  */
#line 13988 "gram.y"
                                                                                                { (yyval.typnam) = (yyvsp[0].typnam); }
#line 45379 "gram.c"
    break;

  case 1888: /* ConstTypename: ConstCharacter  */
#line 13989 "gram.y"
                                                                                        { (yyval.typnam) = (yyvsp[0].typnam); }
#line 45385 "gram.c"
    break;

  case 1889: /* ConstTypename: ConstDatetime  */
#line 13990 "gram.y"
                                                                                        { (yyval.typnam) = (yyvsp[0].typnam); }
#line 45391 "gram.c"
    break;

  case 1890: /* GenericType: type_function_name opt_type_modifiers  */
#line 14002 "gram.y"
                                {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 45401 "gram.c"
    break;

  case 1891: /* GenericType: type_function_name attrs opt_type_modifiers  */
#line 14008 "gram.y"
                                {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 45411 "gram.c"
    break;

  case 1892: /* opt_type_modifiers: '(' expr_list ')'  */
#line 14015 "gram.y"
                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 45417 "gram.c"
    break;

  case 1893: /* opt_type_modifiers: %empty  */
#line 14016 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 45423 "gram.c"
    break;

  case 1894: /* Numeric: INT_P  */
#line 14023 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 45432 "gram.c"
    break;

  case 1895: /* Numeric: INTEGER  */
#line 14028 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 45441 "gram.c"
    break;

  case 1896: /* Numeric: SMALLINT  */
#line 14033 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 45450 "gram.c"
    break;

  case 1897: /* Numeric: BIGINT  */
#line 14038 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 45459 "gram.c"
    break;

  case 1898: /* Numeric: REAL  */
#line 14043 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 45468 "gram.c"
    break;

  case 1899: /* Numeric: FLOAT_P opt_float  */
#line 14048 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 45477 "gram.c"
    break;

  case 1900: /* Numeric: DOUBLE_P PRECISION  */
#line 14053 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 45486 "gram.c"
    break;

  case 1901: /* Numeric: DECIMAL_P opt_type_modifiers  */
#line 14058 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 45496 "gram.c"
    break;

  case 1902: /* Numeric: DEC opt_type_modifiers  */
#line 14064 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 45506 "gram.c"
    break;

  case 1903: /* Numeric: NUMERIC opt_type_modifiers  */
#line 14070 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 45516 "gram.c"
    break;

  case 1904: /* Numeric: BOOLEAN_P  */
#line 14076 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 45525 "gram.c"
    break;

  case 1905: /* opt_float: '(' Iconst ')'  */
#line 14083 "gram.y"
                                {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 45550 "gram.c"
    break;

  case 1906: /* opt_float: %empty  */
#line 14104 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 45558 "gram.c"
    break;

  case 1907: /* Bit: BitWithLength  */
#line 14114 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 45566 "gram.c"
    break;

  case 1908: /* Bit: BitWithoutLength  */
#line 14118 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 45574 "gram.c"
    break;

  case 1909: /* ConstBit: BitWithLength  */
#line 14126 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 45582 "gram.c"
    break;

  case 1910: /* ConstBit: BitWithoutLength  */
#line 14130 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 45591 "gram.c"
    break;

  case 1911: /* BitWithLength: BIT opt_varying '(' expr_list ')'  */
#line 14138 "gram.y"
                                {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 45604 "gram.c"
    break;

  case 1912: /* BitWithoutLength: BIT opt_varying  */
#line 14150 "gram.y"
                                {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 45622 "gram.c"
    break;

  case 1913: /* Character: CharacterWithLength  */
#line 14171 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 45630 "gram.c"
    break;

  case 1914: /* Character: CharacterWithoutLength  */
#line 14175 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 45638 "gram.c"
    break;

  case 1915: /* ConstCharacter: CharacterWithLength  */
#line 14181 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 45646 "gram.c"
    break;

  case 1916: /* ConstCharacter: CharacterWithoutLength  */
#line 14185 "gram.y"
                                {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 45661 "gram.c"
    break;

  case 1917: /* CharacterWithLength: character '(' Iconst ')'  */
#line 14198 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName((yyvsp[-3].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 45671 "gram.c"
    break;

  case 1918: /* CharacterWithoutLength: character  */
#line 14206 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName((yyvsp[0].str));
					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[0].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 45683 "gram.c"
    break;

  case 1919: /* character: CHARACTER opt_varying  */
#line 14216 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 45689 "gram.c"
    break;

  case 1920: /* character: CHAR_P opt_varying  */
#line 14218 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 45695 "gram.c"
    break;

  case 1921: /* character: VARCHAR  */
#line 14220 "gram.y"
                                                                                { (yyval.str) = "varchar"; }
#line 45701 "gram.c"
    break;

  case 1922: /* character: NATIONAL CHARACTER opt_varying  */
#line 14222 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 45707 "gram.c"
    break;

  case 1923: /* character: NATIONAL CHAR_P opt_varying  */
#line 14224 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 45713 "gram.c"
    break;

  case 1924: /* character: NCHAR opt_varying  */
#line 14226 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 45719 "gram.c"
    break;

  case 1925: /* opt_varying: VARYING  */
#line 14230 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 45725 "gram.c"
    break;

  case 1926: /* opt_varying: %empty  */
#line 14231 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 45731 "gram.c"
    break;

  case 1927: /* ConstDatetime: TIMESTAMP '(' Iconst ')' opt_timezone  */
#line 14239 "gram.y"
                                {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 45744 "gram.c"
    break;

  case 1928: /* ConstDatetime: TIMESTAMP opt_timezone  */
#line 14248 "gram.y"
                                {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 45756 "gram.c"
    break;

  case 1929: /* ConstDatetime: TIME '(' Iconst ')' opt_timezone  */
#line 14256 "gram.y"
                                {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 45769 "gram.c"
    break;

  case 1930: /* ConstDatetime: TIME opt_timezone  */
#line 14265 "gram.y"
                                {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 45781 "gram.c"
    break;

  case 1931: /* ConstInterval: INTERVAL  */
#line 14276 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 45790 "gram.c"
    break;

  case 1932: /* opt_timezone: WITH_LA TIME ZONE  */
#line 14283 "gram.y"
                                                                                        { (yyval.boolean) = true; }
#line 45796 "gram.c"
    break;

  case 1933: /* opt_timezone: WITHOUT TIME ZONE  */
#line 14284 "gram.y"
                                                                                        { (yyval.boolean) = false; }
#line 45802 "gram.c"
    break;

  case 1934: /* opt_timezone: %empty  */
#line 14285 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 45808 "gram.c"
    break;

  case 1935: /* opt_interval: YEAR_P  */
#line 14290 "gram.y"
                                { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 45814 "gram.c"
    break;

  case 1936: /* opt_interval: MONTH_P  */
#line 14292 "gram.y"
                                { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 45820 "gram.c"
    break;

  case 1937: /* opt_interval: DAY_P  */
#line 14294 "gram.y"
                                { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 45826 "gram.c"
    break;

  case 1938: /* opt_interval: HOUR_P  */
#line 14296 "gram.y"
                                { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 45832 "gram.c"
    break;

  case 1939: /* opt_interval: MINUTE_P  */
#line 14298 "gram.y"
                                { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 45838 "gram.c"
    break;

  case 1940: /* opt_interval: interval_second  */
#line 14300 "gram.y"
                                { (yyval.list) = (yyvsp[0].list); }
#line 45844 "gram.c"
    break;

  case 1941: /* opt_interval: YEAR_P TO MONTH_P  */
#line 14302 "gram.y"
                                {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 45853 "gram.c"
    break;

  case 1942: /* opt_interval: DAY_P TO HOUR_P  */
#line 14307 "gram.y"
                                {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 45862 "gram.c"
    break;

  case 1943: /* opt_interval: DAY_P TO MINUTE_P  */
#line 14312 "gram.y"
                                {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 45872 "gram.c"
    break;

  case 1944: /* opt_interval: DAY_P TO interval_second  */
#line 14318 "gram.y"
                                {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 45884 "gram.c"
    break;

  case 1945: /* opt_interval: HOUR_P TO MINUTE_P  */
#line 14326 "gram.y"
                                {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 45893 "gram.c"
    break;

  case 1946: /* opt_interval: HOUR_P TO interval_second  */
#line 14331 "gram.y"
                                {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 45904 "gram.c"
    break;

  case 1947: /* opt_interval: MINUTE_P TO interval_second  */
#line 14338 "gram.y"
                                {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 45914 "gram.c"
    break;

  case 1948: /* opt_interval: %empty  */
#line 14344 "gram.y"
                                { (yyval.list) = NIL; }
#line 45920 "gram.c"
    break;

  case 1949: /* interval_second: SECOND_P  */
#line 14349 "gram.y"
                                {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 45928 "gram.c"
    break;

  case 1950: /* interval_second: SECOND_P '(' Iconst ')'  */
#line 14353 "gram.y"
                                {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 45937 "gram.c"
    break;

  case 1951: /* a_expr: c_expr  */
#line 14388 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 45943 "gram.c"
    break;

  case 1952: /* a_expr: a_expr TYPECAST Typename  */
#line 14390 "gram.y"
                                        { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 45949 "gram.c"
    break;

  case 1953: /* a_expr: a_expr COLLATE any_name  */
#line 14392 "gram.y"
                                {
					CollateClause *n = makeNode(CollateClause);

					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 45962 "gram.c"
    break;

  case 1954: /* a_expr: a_expr AT TIME ZONE a_expr  */
#line 14401 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[0].node), (yyvsp[-4].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 45973 "gram.c"
    break;

  case 1955: /* a_expr: '+' a_expr  */
#line 14417 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 45979 "gram.c"
    break;

  case 1956: /* a_expr: '-' a_expr  */
#line 14419 "gram.y"
                                { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 45985 "gram.c"
    break;

  case 1957: /* a_expr: a_expr '+' a_expr  */
#line 14421 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 45991 "gram.c"
    break;

  case 1958: /* a_expr: a_expr '-' a_expr  */
#line 14423 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 45997 "gram.c"
    break;

  case 1959: /* a_expr: a_expr '*' a_expr  */
#line 14425 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46003 "gram.c"
    break;

  case 1960: /* a_expr: a_expr '/' a_expr  */
#line 14427 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46009 "gram.c"
    break;

  case 1961: /* a_expr: a_expr '%' a_expr  */
#line 14429 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46015 "gram.c"
    break;

  case 1962: /* a_expr: a_expr '^' a_expr  */
#line 14431 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46021 "gram.c"
    break;

  case 1963: /* a_expr: a_expr '<' a_expr  */
#line 14433 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46027 "gram.c"
    break;

  case 1964: /* a_expr: a_expr '>' a_expr  */
#line 14435 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46033 "gram.c"
    break;

  case 1965: /* a_expr: a_expr '=' a_expr  */
#line 14437 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46039 "gram.c"
    break;

  case 1966: /* a_expr: a_expr LESS_EQUALS a_expr  */
#line 14439 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46045 "gram.c"
    break;

  case 1967: /* a_expr: a_expr GREATER_EQUALS a_expr  */
#line 14441 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46051 "gram.c"
    break;

  case 1968: /* a_expr: a_expr NOT_EQUALS a_expr  */
#line 14443 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46057 "gram.c"
    break;

  case 1969: /* a_expr: a_expr qual_Op a_expr  */
#line 14446 "gram.y"
                                { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46063 "gram.c"
    break;

  case 1970: /* a_expr: qual_Op a_expr  */
#line 14448 "gram.y"
                                { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 46069 "gram.c"
    break;

  case 1971: /* a_expr: a_expr AND a_expr  */
#line 14451 "gram.y"
                                { (yyval.node) = makeAndExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46075 "gram.c"
    break;

  case 1972: /* a_expr: a_expr OR a_expr  */
#line 14453 "gram.y"
                                { (yyval.node) = makeOrExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46081 "gram.c"
    break;

  case 1973: /* a_expr: NOT a_expr  */
#line 14455 "gram.y"
                                { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 46087 "gram.c"
    break;

  case 1974: /* a_expr: NOT_LA a_expr  */
#line 14457 "gram.y"
                                { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 46093 "gram.c"
    break;

  case 1975: /* a_expr: a_expr LIKE a_expr  */
#line 14460 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 46102 "gram.c"
    break;

  case 1976: /* a_expr: a_expr LIKE a_expr ESCAPE a_expr  */
#line 14465 "gram.y"
                                {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 46115 "gram.c"
    break;

  case 1977: /* a_expr: a_expr NOT_LA LIKE a_expr  */
#line 14474 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 46124 "gram.c"
    break;

  case 1978: /* a_expr: a_expr NOT_LA LIKE a_expr ESCAPE a_expr  */
#line 14479 "gram.y"
                                {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 46137 "gram.c"
    break;

  case 1979: /* a_expr: a_expr ILIKE a_expr  */
#line 14488 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 46146 "gram.c"
    break;

  case 1980: /* a_expr: a_expr ILIKE a_expr ESCAPE a_expr  */
#line 14493 "gram.y"
                                {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 46159 "gram.c"
    break;

  case 1981: /* a_expr: a_expr NOT_LA ILIKE a_expr  */
#line 14502 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 46168 "gram.c"
    break;

  case 1982: /* a_expr: a_expr NOT_LA ILIKE a_expr ESCAPE a_expr  */
#line 14507 "gram.y"
                                {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 46181 "gram.c"
    break;

  case 1983: /* a_expr: a_expr SIMILAR TO a_expr  */
#line 14517 "gram.y"
                                {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make1((yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-2]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 46194 "gram.c"
    break;

  case 1984: /* a_expr: a_expr SIMILAR TO a_expr ESCAPE a_expr  */
#line 14526 "gram.y"
                                {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 46207 "gram.c"
    break;

  case 1985: /* a_expr: a_expr NOT_LA SIMILAR TO a_expr  */
#line 14535 "gram.y"
                                {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make1((yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 46220 "gram.c"
    break;

  case 1986: /* a_expr: a_expr NOT_LA SIMILAR TO a_expr ESCAPE a_expr  */
#line 14544 "gram.y"
                                {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 46233 "gram.c"
    break;

  case 1987: /* a_expr: a_expr IS NULL_P  */
#line 14563 "gram.y"
                                {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 46246 "gram.c"
    break;

  case 1988: /* a_expr: a_expr ISNULL  */
#line 14572 "gram.y"
                                {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 46259 "gram.c"
    break;

  case 1989: /* a_expr: a_expr IS NOT NULL_P  */
#line 14581 "gram.y"
                                {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 46272 "gram.c"
    break;

  case 1990: /* a_expr: a_expr NOTNULL  */
#line 14590 "gram.y"
                                {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 46285 "gram.c"
    break;

  case 1991: /* a_expr: row OVERLAPS row  */
#line 14599 "gram.y"
                                {
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[-2].list), (yyvsp[0].list)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-1]));
				}
#line 46306 "gram.c"
    break;

  case 1992: /* a_expr: a_expr IS TRUE_P  */
#line 14616 "gram.y"
                                {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 46319 "gram.c"
    break;

  case 1993: /* a_expr: a_expr IS NOT TRUE_P  */
#line 14625 "gram.y"
                                {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 46332 "gram.c"
    break;

  case 1994: /* a_expr: a_expr IS FALSE_P  */
#line 14634 "gram.y"
                                {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 46345 "gram.c"
    break;

  case 1995: /* a_expr: a_expr IS NOT FALSE_P  */
#line 14643 "gram.y"
                                {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 46358 "gram.c"
    break;

  case 1996: /* a_expr: a_expr IS UNKNOWN  */
#line 14652 "gram.y"
                                {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 46371 "gram.c"
    break;

  case 1997: /* a_expr: a_expr IS NOT UNKNOWN  */
#line 14661 "gram.y"
                                {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 46384 "gram.c"
    break;

  case 1998: /* a_expr: a_expr IS DISTINCT FROM a_expr  */
#line 14670 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 46392 "gram.c"
    break;

  case 1999: /* a_expr: a_expr IS NOT DISTINCT FROM a_expr  */
#line 14674 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 46400 "gram.c"
    break;

  case 2000: /* a_expr: a_expr BETWEEN opt_asymmetric b_expr AND a_expr  */
#line 14678 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN,
												   "BETWEEN",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 46412 "gram.c"
    break;

  case 2001: /* a_expr: a_expr NOT_LA BETWEEN opt_asymmetric b_expr AND a_expr  */
#line 14686 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN,
												   "NOT BETWEEN",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 46424 "gram.c"
    break;

  case 2002: /* a_expr: a_expr BETWEEN SYMMETRIC b_expr AND a_expr  */
#line 14694 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN_SYM,
												   "BETWEEN SYMMETRIC",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 46436 "gram.c"
    break;

  case 2003: /* a_expr: a_expr NOT_LA BETWEEN SYMMETRIC b_expr AND a_expr  */
#line 14702 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN_SYM,
												   "NOT BETWEEN SYMMETRIC",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 46448 "gram.c"
    break;

  case 2004: /* a_expr: a_expr IN_P in_expr  */
#line 14710 "gram.y"
                                {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink	   *n = (SubLink *) (yyvsp[0].node);

						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-2].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *) n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 46473 "gram.c"
    break;

  case 2005: /* a_expr: a_expr NOT_LA IN_P in_expr  */
#line 14731 "gram.y"
                                {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink	   *n = (SubLink *) (yyvsp[0].node);

						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-3].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-2]);
						/* Stick a NOT on top; must have same parse location */
						(yyval.node) = makeNotExpr((Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 46500 "gram.c"
    break;

  case 2006: /* a_expr: a_expr subquery_Op sub_type select_with_parens  */
#line 14754 "gram.y"
                                {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = (yyvsp[-1].ival);
					n->subLinkId = 0;
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 46516 "gram.c"
    break;

  case 2007: /* a_expr: a_expr subquery_Op sub_type '(' a_expr ')'  */
#line 14766 "gram.y"
                                {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 46527 "gram.c"
    break;

  case 2008: /* a_expr: UNIQUE opt_unique_null_treatment select_with_parens  */
#line 14773 "gram.y"
                                {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-2]))));
				}
#line 46547 "gram.c"
    break;

  case 2009: /* a_expr: a_expr IS DOCUMENT_P  */
#line 14789 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 46556 "gram.c"
    break;

  case 2010: /* a_expr: a_expr IS NOT DOCUMENT_P  */
#line 14794 "gram.y"
                                {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 46566 "gram.c"
    break;

  case 2011: /* a_expr: a_expr IS NORMALIZED  */
#line 14800 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("is_normalized"),
											   list_make1((yyvsp[-2].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-1]));
				}
#line 46577 "gram.c"
    break;

  case 2012: /* a_expr: a_expr IS unicode_normal_form NORMALIZED  */
#line 14807 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("is_normalized"),
											   list_make2((yyvsp[-3].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-2]));
				}
#line 46588 "gram.c"
    break;

  case 2013: /* a_expr: a_expr IS NOT NORMALIZED  */
#line 14814 "gram.y"
                                {
					(yyval.node) = makeNotExpr((Node *) makeFuncCall(SystemFuncName("is_normalized"),
														   list_make1((yyvsp[-3].node)),
														   COERCE_SQL_SYNTAX,
														   (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 46600 "gram.c"
    break;

  case 2014: /* a_expr: a_expr IS NOT unicode_normal_form NORMALIZED  */
#line 14822 "gram.y"
                                {
					(yyval.node) = makeNotExpr((Node *) makeFuncCall(SystemFuncName("is_normalized"),
														   list_make2((yyvsp[-4].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
														   COERCE_SQL_SYNTAX,
														   (yylsp[-3])),
									 (yylsp[-3]));
				}
#line 46612 "gram.c"
    break;

  case 2015: /* a_expr: DEFAULT  */
#line 14830 "gram.y"
                                {
					/*
					 * The SQL spec only allows DEFAULT in "contextually typed
					 * expressions", but for us, it's easier to allow it in
					 * any a_expr and then throw error during parse analysis
					 * if it's in an inappropriate context.  This way also
					 * lets us say something smarter than "syntax error".
					 */
					SetToDefault *n = makeNode(SetToDefault);

					/* parse analysis will fill in the rest */
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 46631 "gram.c"
    break;

  case 2016: /* b_expr: c_expr  */
#line 14856 "gram.y"
                                { (yyval.node) = (yyvsp[0].node); }
#line 46637 "gram.c"
    break;

  case 2017: /* b_expr: b_expr TYPECAST Typename  */
#line 14858 "gram.y"
                                { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 46643 "gram.c"
    break;

  case 2018: /* b_expr: '+' b_expr  */
#line 14860 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 46649 "gram.c"
    break;

  case 2019: /* b_expr: '-' b_expr  */
#line 14862 "gram.y"
                                { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 46655 "gram.c"
    break;

  case 2020: /* b_expr: b_expr '+' b_expr  */
#line 14864 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46661 "gram.c"
    break;

  case 2021: /* b_expr: b_expr '-' b_expr  */
#line 14866 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46667 "gram.c"
    break;

  case 2022: /* b_expr: b_expr '*' b_expr  */
#line 14868 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46673 "gram.c"
    break;

  case 2023: /* b_expr: b_expr '/' b_expr  */
#line 14870 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46679 "gram.c"
    break;

  case 2024: /* b_expr: b_expr '%' b_expr  */
#line 14872 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46685 "gram.c"
    break;

  case 2025: /* b_expr: b_expr '^' b_expr  */
#line 14874 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46691 "gram.c"
    break;

  case 2026: /* b_expr: b_expr '<' b_expr  */
#line 14876 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46697 "gram.c"
    break;

  case 2027: /* b_expr: b_expr '>' b_expr  */
#line 14878 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46703 "gram.c"
    break;

  case 2028: /* b_expr: b_expr '=' b_expr  */
#line 14880 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46709 "gram.c"
    break;

  case 2029: /* b_expr: b_expr LESS_EQUALS b_expr  */
#line 14882 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46715 "gram.c"
    break;

  case 2030: /* b_expr: b_expr GREATER_EQUALS b_expr  */
#line 14884 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46721 "gram.c"
    break;

  case 2031: /* b_expr: b_expr NOT_EQUALS b_expr  */
#line 14886 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46727 "gram.c"
    break;

  case 2032: /* b_expr: b_expr qual_Op b_expr  */
#line 14888 "gram.y"
                                { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46733 "gram.c"
    break;

  case 2033: /* b_expr: qual_Op b_expr  */
#line 14890 "gram.y"
                                { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 46739 "gram.c"
    break;

  case 2034: /* b_expr: b_expr IS DISTINCT FROM b_expr  */
#line 14892 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 46747 "gram.c"
    break;

  case 2035: /* b_expr: b_expr IS NOT DISTINCT FROM b_expr  */
#line 14896 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 46755 "gram.c"
    break;

  case 2036: /* b_expr: b_expr IS DOCUMENT_P  */
#line 14900 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 46764 "gram.c"
    break;

  case 2037: /* b_expr: b_expr IS NOT DOCUMENT_P  */
#line 14905 "gram.y"
                                {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 46774 "gram.c"
    break;

  case 2038: /* c_expr: columnref  */
#line 14920 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 46780 "gram.c"
    break;

  case 2039: /* c_expr: AexprConst  */
#line 14921 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 46786 "gram.c"
    break;

  case 2040: /* c_expr: PARAM opt_indirection  */
#line 14923 "gram.y"
                                {
					ParamRef   *p = makeNode(ParamRef);

					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);

						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 46807 "gram.c"
    break;

  case 2041: /* c_expr: '(' a_expr ')' opt_indirection  */
#line 14940 "gram.y"
                                {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);

						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 46824 "gram.c"
    break;

  case 2042: /* c_expr: case_expr  */
#line 14953 "gram.y"
                                { (yyval.node) = (yyvsp[0].node); }
#line 46830 "gram.c"
    break;

  case 2043: /* c_expr: func_expr  */
#line 14955 "gram.y"
                                { (yyval.node) = (yyvsp[0].node); }
#line 46836 "gram.c"
    break;

  case 2044: /* c_expr: select_with_parens  */
#line 14957 "gram.y"
                                {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 46852 "gram.c"
    break;

  case 2045: /* c_expr: select_with_parens indirection  */
#line 14969 "gram.y"
                                {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink	   *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);

					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *) n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *) a;
				}
#line 46881 "gram.c"
    break;

  case 2046: /* c_expr: EXISTS select_with_parens  */
#line 14994 "gram.y"
                                {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = EXISTS_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 46897 "gram.c"
    break;

  case 2047: /* c_expr: ARRAY select_with_parens  */
#line 15006 "gram.y"
                                {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = ARRAY_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 46913 "gram.c"
    break;

  case 2048: /* c_expr: ARRAY array_expr  */
#line 15018 "gram.y"
                                {
					A_ArrayExpr *n = castNode(A_ArrayExpr, (yyvsp[0].node));

					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 46925 "gram.c"
    break;

  case 2049: /* c_expr: explicit_row  */
#line 15026 "gram.y"
                                {
					RowExpr	   *r = makeNode(RowExpr);

					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_EXPLICIT_CALL; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *) r;
				}
#line 46940 "gram.c"
    break;

  case 2050: /* c_expr: implicit_row  */
#line 15037 "gram.y"
                                {
					RowExpr	   *r = makeNode(RowExpr);

					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_IMPLICIT_CAST; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *) r;
				}
#line 46955 "gram.c"
    break;

  case 2051: /* c_expr: GROUPING '(' expr_list ')'  */
#line 15048 "gram.y"
                          {
				  GroupingFunc *g = makeNode(GroupingFunc);

				  g->args = (yyvsp[-1].list);
				  g->location = (yylsp[-3]);
				  (yyval.node) = (Node *) g;
			  }
#line 46967 "gram.c"
    break;

  case 2052: /* func_application: func_name '(' ')'  */
#line 15058 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[-2].list), NIL,
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-2]));
				}
#line 46977 "gram.c"
    break;

  case 2053: /* func_application: func_name '(' func_arg_list opt_sort_clause ')'  */
#line 15064 "gram.y"
                                {
					FuncCall   *n = makeFuncCall((yyvsp[-4].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));

					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 46990 "gram.c"
    break;

  case 2054: /* func_application: func_name '(' VARIADIC func_arg_expr opt_sort_clause ')'  */
#line 15073 "gram.y"
                                {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), list_make1((yyvsp[-2].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 47004 "gram.c"
    break;

  case 2055: /* func_application: func_name '(' func_arg_list ',' VARIADIC func_arg_expr opt_sort_clause ')'  */
#line 15083 "gram.y"
                                {
					FuncCall   *n = makeFuncCall((yyvsp[-7].list), lappend((yyvsp[-5].list), (yyvsp[-2].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-7]));

					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 47018 "gram.c"
    break;

  case 2056: /* func_application: func_name '(' ALL func_arg_list opt_sort_clause ')'  */
#line 15093 "gram.y"
                                {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->agg_order = (yyvsp[-1].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *) n;
				}
#line 47035 "gram.c"
    break;

  case 2057: /* func_application: func_name '(' DISTINCT func_arg_list opt_sort_clause ')'  */
#line 15106 "gram.y"
                                {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->agg_order = (yyvsp[-1].list);
					n->agg_distinct = true;
					(yyval.node) = (Node *) n;
				}
#line 47049 "gram.c"
    break;

  case 2058: /* func_application: func_name '(' '*' ')'  */
#line 15116 "gram.y"
                                {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall   *n = makeFuncCall((yyvsp[-3].list), NIL,
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));

					n->agg_star = true;
					(yyval.node) = (Node *) n;
				}
#line 47072 "gram.c"
    break;

  case 2059: /* func_expr: func_application within_group_clause filter_clause over_clause  */
#line 15147 "gram.y"
                                {
					FuncCall   *n = (FuncCall *) (yyvsp[-3].node);

					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[-2].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						n->agg_order = (yyvsp[-2].list);
						n->agg_within_group = true;
					}
					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) n;
				}
#line 47112 "gram.c"
    break;

  case 2060: /* func_expr: func_expr_common_subexpr  */
#line 15183 "gram.y"
                                { (yyval.node) = (yyvsp[0].node); }
#line 47118 "gram.c"
    break;

  case 2061: /* func_expr_windowless: func_application  */
#line 15193 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 47124 "gram.c"
    break;

  case 2062: /* func_expr_windowless: func_expr_common_subexpr  */
#line 15194 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 47130 "gram.c"
    break;

  case 2063: /* func_expr_common_subexpr: COLLATION FOR '(' a_expr ')'  */
#line 15202 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 47141 "gram.c"
    break;

  case 2064: /* func_expr_common_subexpr: CURRENT_DATE  */
#line 15209 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_DATE, -1, (yylsp[0]));
				}
#line 47149 "gram.c"
    break;

  case 2065: /* func_expr_common_subexpr: CURRENT_TIME  */
#line 15213 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME, -1, (yylsp[0]));
				}
#line 47157 "gram.c"
    break;

  case 2066: /* func_expr_common_subexpr: CURRENT_TIME '(' Iconst ')'  */
#line 15217 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 47165 "gram.c"
    break;

  case 2067: /* func_expr_common_subexpr: CURRENT_TIMESTAMP  */
#line 15221 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP, -1, (yylsp[0]));
				}
#line 47173 "gram.c"
    break;

  case 2068: /* func_expr_common_subexpr: CURRENT_TIMESTAMP '(' Iconst ')'  */
#line 15225 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 47181 "gram.c"
    break;

  case 2069: /* func_expr_common_subexpr: LOCALTIME  */
#line 15229 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME, -1, (yylsp[0]));
				}
#line 47189 "gram.c"
    break;

  case 2070: /* func_expr_common_subexpr: LOCALTIME '(' Iconst ')'  */
#line 15233 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 47197 "gram.c"
    break;

  case 2071: /* func_expr_common_subexpr: LOCALTIMESTAMP  */
#line 15237 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP, -1, (yylsp[0]));
				}
#line 47205 "gram.c"
    break;

  case 2072: /* func_expr_common_subexpr: LOCALTIMESTAMP '(' Iconst ')'  */
#line 15241 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 47213 "gram.c"
    break;

  case 2073: /* func_expr_common_subexpr: CURRENT_ROLE  */
#line 15245 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_ROLE, -1, (yylsp[0]));
				}
#line 47221 "gram.c"
    break;

  case 2074: /* func_expr_common_subexpr: CURRENT_USER  */
#line 15249 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_USER, -1, (yylsp[0]));
				}
#line 47229 "gram.c"
    break;

  case 2075: /* func_expr_common_subexpr: SESSION_USER  */
#line 15253 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_SESSION_USER, -1, (yylsp[0]));
				}
#line 47237 "gram.c"
    break;

  case 2076: /* func_expr_common_subexpr: USER  */
#line 15257 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_USER, -1, (yylsp[0]));
				}
#line 47245 "gram.c"
    break;

  case 2077: /* func_expr_common_subexpr: CURRENT_CATALOG  */
#line 15261 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_CATALOG, -1, (yylsp[0]));
				}
#line 47253 "gram.c"
    break;

  case 2078: /* func_expr_common_subexpr: CURRENT_SCHEMA  */
#line 15265 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_SCHEMA, -1, (yylsp[0]));
				}
#line 47261 "gram.c"
    break;

  case 2079: /* func_expr_common_subexpr: CAST '(' a_expr AS Typename ')'  */
#line 15269 "gram.y"
                                { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 47267 "gram.c"
    break;

  case 2080: /* func_expr_common_subexpr: EXTRACT '(' extract_list ')'  */
#line 15271 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("extract"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 47278 "gram.c"
    break;

  case 2081: /* func_expr_common_subexpr: NORMALIZE '(' a_expr ')'  */
#line 15278 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("normalize"),
											   list_make1((yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 47289 "gram.c"
    break;

  case 2082: /* func_expr_common_subexpr: NORMALIZE '(' a_expr ',' unicode_normal_form ')'  */
#line 15285 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("normalize"),
											   list_make2((yyvsp[-3].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-5]));
				}
#line 47300 "gram.c"
    break;

  case 2083: /* func_expr_common_subexpr: OVERLAY '(' overlay_list ')'  */
#line 15292 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 47311 "gram.c"
    break;

  case 2084: /* func_expr_common_subexpr: OVERLAY '(' func_arg_list_opt ')'  */
#line 15299 "gram.y"
                                {
					/*
					 * allow functions named overlay() to be called without
					 * special syntax
					 */
					(yyval.node) = (Node *) makeFuncCall(list_make1(makeString("overlay")),
											   (yyvsp[-1].list),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-3]));
				}
#line 47326 "gram.c"
    break;

  case 2085: /* func_expr_common_subexpr: POSITION '(' position_list ')'  */
#line 15310 "gram.y"
                                {
					/*
					 * position(A in B) is converted to position(B, A)
					 *
					 * We deliberately don't offer a "plain syntax" option
					 * for position(), because the reversal of the arguments
					 * creates too much risk of confusion.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 47344 "gram.c"
    break;

  case 2086: /* func_expr_common_subexpr: SUBSTRING '(' substr_list ')'  */
#line 15324 "gram.y"
                                {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 47358 "gram.c"
    break;

  case 2087: /* func_expr_common_subexpr: SUBSTRING '(' func_arg_list_opt ')'  */
#line 15334 "gram.y"
                                {
					/*
					 * allow functions named substring() to be called without
					 * special syntax
					 */
					(yyval.node) = (Node *) makeFuncCall(list_make1(makeString("substring")),
											   (yyvsp[-1].list),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-3]));
				}
#line 47373 "gram.c"
    break;

  case 2088: /* func_expr_common_subexpr: TREAT '(' a_expr AS Typename ')'  */
#line 15345 "gram.y"
                                {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(strVal(llast((yyvsp[-1].typnam)->names))),
											   list_make1((yyvsp[-3].node)),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-5]));
				}
#line 47393 "gram.c"
    break;

  case 2089: /* func_expr_common_subexpr: TRIM '(' BOTH trim_list ')'  */
#line 15361 "gram.y"
                                {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 47407 "gram.c"
    break;

  case 2090: /* func_expr_common_subexpr: TRIM '(' LEADING trim_list ')'  */
#line 15371 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 47418 "gram.c"
    break;

  case 2091: /* func_expr_common_subexpr: TRIM '(' TRAILING trim_list ')'  */
#line 15378 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 47429 "gram.c"
    break;

  case 2092: /* func_expr_common_subexpr: TRIM '(' trim_list ')'  */
#line 15385 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 47440 "gram.c"
    break;

  case 2093: /* func_expr_common_subexpr: NULLIF '(' a_expr ',' a_expr ')'  */
#line 15392 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 47448 "gram.c"
    break;

  case 2094: /* func_expr_common_subexpr: COALESCE '(' expr_list ')'  */
#line 15396 "gram.y"
                                {
					CoalesceExpr *c = makeNode(CoalesceExpr);

					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *) c;
				}
#line 47460 "gram.c"
    break;

  case 2095: /* func_expr_common_subexpr: GREATEST '(' expr_list ')'  */
#line 15404 "gram.y"
                                {
					MinMaxExpr *v = makeNode(MinMaxExpr);

					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *) v;
				}
#line 47473 "gram.c"
    break;

  case 2096: /* func_expr_common_subexpr: LEAST '(' expr_list ')'  */
#line 15413 "gram.y"
                                {
					MinMaxExpr *v = makeNode(MinMaxExpr);

					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *) v;
				}
#line 47486 "gram.c"
    break;

  case 2097: /* func_expr_common_subexpr: XMLCONCAT '(' expr_list ')'  */
#line 15422 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 47494 "gram.c"
    break;

  case 2098: /* func_expr_common_subexpr: XMLELEMENT '(' NAME_P ColLabel ')'  */
#line 15426 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 47502 "gram.c"
    break;

  case 2099: /* func_expr_common_subexpr: XMLELEMENT '(' NAME_P ColLabel ',' xml_attributes ')'  */
#line 15430 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 47510 "gram.c"
    break;

  case 2100: /* func_expr_common_subexpr: XMLELEMENT '(' NAME_P ColLabel ',' expr_list ')'  */
#line 15434 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 47518 "gram.c"
    break;

  case 2101: /* func_expr_common_subexpr: XMLELEMENT '(' NAME_P ColLabel ',' xml_attributes ',' expr_list ')'  */
#line 15438 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 47526 "gram.c"
    break;

  case 2102: /* func_expr_common_subexpr: XMLEXISTS '(' c_expr xmlexists_argument ')'  */
#line 15442 "gram.y"
                                {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"),
											   list_make2((yyvsp[-2].node), (yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 47539 "gram.c"
    break;

  case 2103: /* func_expr_common_subexpr: XMLFOREST '(' xml_attribute_list ')'  */
#line 15451 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 47547 "gram.c"
    break;

  case 2104: /* func_expr_common_subexpr: XMLPARSE '(' document_or_content a_expr xml_whitespace_option ')'  */
#line 15455 "gram.y"
                                {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));

					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *) x;
				}
#line 47561 "gram.c"
    break;

  case 2105: /* func_expr_common_subexpr: XMLPI '(' NAME_P ColLabel ')'  */
#line 15465 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 47569 "gram.c"
    break;

  case 2106: /* func_expr_common_subexpr: XMLPI '(' NAME_P ColLabel ',' a_expr ')'  */
#line 15469 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 47577 "gram.c"
    break;

  case 2107: /* func_expr_common_subexpr: XMLROOT '(' a_expr ',' xml_root_version opt_xml_root_standalone ')'  */
#line 15473 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 47586 "gram.c"
    break;

  case 2108: /* func_expr_common_subexpr: XMLSERIALIZE '(' document_or_content a_expr AS SimpleTypename ')'  */
#line 15478 "gram.y"
                                {
					XmlSerialize *n = makeNode(XmlSerialize);

					n->xmloption = (yyvsp[-4].ival);
					n->expr = (yyvsp[-3].node);
					n->typeName = (yyvsp[-1].typnam);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 47600 "gram.c"
    break;

  case 2109: /* xml_root_version: VERSION_P a_expr  */
#line 15493 "gram.y"
                                { (yyval.node) = (yyvsp[0].node); }
#line 47606 "gram.c"
    break;

  case 2110: /* xml_root_version: VERSION_P NO VALUE_P  */
#line 15495 "gram.y"
                                { (yyval.node) = makeNullAConst(-1); }
#line 47612 "gram.c"
    break;

  case 2111: /* opt_xml_root_standalone: ',' STANDALONE_P YES_P  */
#line 15499 "gram.y"
                                { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 47618 "gram.c"
    break;

  case 2112: /* opt_xml_root_standalone: ',' STANDALONE_P NO  */
#line 15501 "gram.y"
                                { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 47624 "gram.c"
    break;

  case 2113: /* opt_xml_root_standalone: ',' STANDALONE_P NO VALUE_P  */
#line 15503 "gram.y"
                                { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 47630 "gram.c"
    break;

  case 2114: /* opt_xml_root_standalone: %empty  */
#line 15505 "gram.y"
                                { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 47636 "gram.c"
    break;

  case 2115: /* xml_attributes: XMLATTRIBUTES '(' xml_attribute_list ')'  */
#line 15508 "gram.y"
                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 47642 "gram.c"
    break;

  case 2116: /* xml_attribute_list: xml_attribute_el  */
#line 15511 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 47648 "gram.c"
    break;

  case 2117: /* xml_attribute_list: xml_attribute_list ',' xml_attribute_el  */
#line 15512 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 47654 "gram.c"
    break;

  case 2118: /* xml_attribute_el: a_expr AS ColLabel  */
#line 15516 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 47666 "gram.c"
    break;

  case 2119: /* xml_attribute_el: a_expr  */
#line 15524 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 47678 "gram.c"
    break;

  case 2120: /* document_or_content: DOCUMENT_P  */
#line 15533 "gram.y"
                                                                        { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 47684 "gram.c"
    break;

  case 2121: /* document_or_content: CONTENT_P  */
#line 15534 "gram.y"
                                                                                                { (yyval.ival) = XMLOPTION_CONTENT; }
#line 47690 "gram.c"
    break;

  case 2122: /* xml_whitespace_option: PRESERVE WHITESPACE_P  */
#line 15537 "gram.y"
                                                        { (yyval.boolean) = true; }
#line 47696 "gram.c"
    break;

  case 2123: /* xml_whitespace_option: STRIP_P WHITESPACE_P  */
#line 15538 "gram.y"
                                                                                { (yyval.boolean) = false; }
#line 47702 "gram.c"
    break;

  case 2124: /* xml_whitespace_option: %empty  */
#line 15539 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 47708 "gram.c"
    break;

  case 2125: /* xmlexists_argument: PASSING c_expr  */
#line 15545 "gram.y"
                                {
					(yyval.node) = (yyvsp[0].node);
				}
#line 47716 "gram.c"
    break;

  case 2126: /* xmlexists_argument: PASSING c_expr xml_passing_mech  */
#line 15549 "gram.y"
                                {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 47724 "gram.c"
    break;

  case 2127: /* xmlexists_argument: PASSING xml_passing_mech c_expr  */
#line 15553 "gram.y"
                                {
					(yyval.node) = (yyvsp[0].node);
				}
#line 47732 "gram.c"
    break;

  case 2128: /* xmlexists_argument: PASSING xml_passing_mech c_expr xml_passing_mech  */
#line 15557 "gram.y"
                                {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 47740 "gram.c"
    break;

  case 2131: /* within_group_clause: WITHIN GROUP_P '(' sort_clause ')'  */
#line 15572 "gram.y"
                                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 47746 "gram.c"
    break;

  case 2132: /* within_group_clause: %empty  */
#line 15573 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 47752 "gram.c"
    break;

  case 2133: /* filter_clause: FILTER '(' WHERE a_expr ')'  */
#line 15577 "gram.y"
                                                                                { (yyval.node) = (yyvsp[-1].node); }
#line 47758 "gram.c"
    break;

  case 2134: /* filter_clause: %empty  */
#line 15578 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 47764 "gram.c"
    break;

  case 2135: /* window_clause: WINDOW window_definition_list  */
#line 15586 "gram.y"
                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 47770 "gram.c"
    break;

  case 2136: /* window_clause: %empty  */
#line 15587 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 47776 "gram.c"
    break;

  case 2137: /* window_definition_list: window_definition  */
#line 15591 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 47782 "gram.c"
    break;

  case 2138: /* window_definition_list: window_definition_list ',' window_definition  */
#line 15593 "gram.y"
                                                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 47788 "gram.c"
    break;

  case 2139: /* window_definition: ColId AS window_specification  */
#line 15598 "gram.y"
                                {
					WindowDef  *n = (yyvsp[0].windef);

					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 47799 "gram.c"
    break;

  case 2140: /* over_clause: OVER window_specification  */
#line 15607 "gram.y"
                                { (yyval.windef) = (yyvsp[0].windef); }
#line 47805 "gram.c"
    break;

  case 2141: /* over_clause: OVER ColId  */
#line 15609 "gram.y"
                                {
					WindowDef  *n = makeNode(WindowDef);

					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 47823 "gram.c"
    break;

  case 2142: /* over_clause: %empty  */
#line 15623 "gram.y"
                                { (yyval.windef) = NULL; }
#line 47829 "gram.c"
    break;

  case 2143: /* window_specification: '(' opt_existing_window_name opt_partition_clause opt_sort_clause opt_frame_clause ')'  */
#line 15628 "gram.y"
                                {
					WindowDef  *n = makeNode(WindowDef);

					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 47848 "gram.c"
    break;

  case 2144: /* opt_existing_window_name: ColId  */
#line 15654 "gram.y"
                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 47854 "gram.c"
    break;

  case 2145: /* opt_existing_window_name: %empty  */
#line 15655 "gram.y"
                                                                                        { (yyval.str) = NULL; }
#line 47860 "gram.c"
    break;

  case 2146: /* opt_partition_clause: PARTITION BY expr_list  */
#line 15658 "gram.y"
                                                        { (yyval.list) = (yyvsp[0].list); }
#line 47866 "gram.c"
    break;

  case 2147: /* opt_partition_clause: %empty  */
#line 15659 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 47872 "gram.c"
    break;

  case 2148: /* opt_frame_clause: RANGE frame_extent opt_window_exclusion_clause  */
#line 15668 "gram.y"
                                {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 47884 "gram.c"
    break;

  case 2149: /* opt_frame_clause: ROWS frame_extent opt_window_exclusion_clause  */
#line 15676 "gram.y"
                                {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 47896 "gram.c"
    break;

  case 2150: /* opt_frame_clause: GROUPS frame_extent opt_window_exclusion_clause  */
#line 15684 "gram.y"
                                {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_GROUPS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 47908 "gram.c"
    break;

  case 2151: /* opt_frame_clause: %empty  */
#line 15692 "gram.y"
                                {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 47921 "gram.c"
    break;

  case 2152: /* frame_extent: frame_bound  */
#line 15703 "gram.y"
                                {
					WindowDef  *n = (yyvsp[0].windef);

					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 47943 "gram.c"
    break;

  case 2153: /* frame_extent: BETWEEN frame_bound AND frame_bound  */
#line 15721 "gram.y"
                                {
					WindowDef  *n1 = (yyvsp[-2].windef);
					WindowDef  *n2 = (yyvsp[0].windef);

					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_OFFSET_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_OFFSET_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 47985 "gram.c"
    break;

  case 2154: /* frame_bound: UNBOUNDED PRECEDING  */
#line 15767 "gram.y"
                                {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 47998 "gram.c"
    break;

  case 2155: /* frame_bound: UNBOUNDED FOLLOWING  */
#line 15776 "gram.y"
                                {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 48011 "gram.c"
    break;

  case 2156: /* frame_bound: CURRENT_P ROW  */
#line 15785 "gram.y"
                                {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 48024 "gram.c"
    break;

  case 2157: /* frame_bound: a_expr PRECEDING  */
#line 15794 "gram.y"
                                {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_OFFSET_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 48037 "gram.c"
    break;

  case 2158: /* frame_bound: a_expr FOLLOWING  */
#line 15803 "gram.y"
                                {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_OFFSET_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 48050 "gram.c"
    break;

  case 2159: /* opt_window_exclusion_clause: EXCLUDE CURRENT_P ROW  */
#line 15814 "gram.y"
                                                { (yyval.ival) = FRAMEOPTION_EXCLUDE_CURRENT_ROW; }
#line 48056 "gram.c"
    break;

  case 2160: /* opt_window_exclusion_clause: EXCLUDE GROUP_P  */
#line 15815 "gram.y"
                                                        { (yyval.ival) = FRAMEOPTION_EXCLUDE_GROUP; }
#line 48062 "gram.c"
    break;

  case 2161: /* opt_window_exclusion_clause: EXCLUDE TIES  */
#line 15816 "gram.y"
                                                        { (yyval.ival) = FRAMEOPTION_EXCLUDE_TIES; }
#line 48068 "gram.c"
    break;

  case 2162: /* opt_window_exclusion_clause: EXCLUDE NO OTHERS  */
#line 15817 "gram.y"
                                                        { (yyval.ival) = 0; }
#line 48074 "gram.c"
    break;

  case 2163: /* opt_window_exclusion_clause: %empty  */
#line 15818 "gram.y"
                                                                { (yyval.ival) = 0; }
#line 48080 "gram.c"
    break;

  case 2164: /* row: ROW '(' expr_list ')'  */
#line 15832 "gram.y"
                                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 48086 "gram.c"
    break;

  case 2165: /* row: ROW '(' ')'  */
#line 15833 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 48092 "gram.c"
    break;

  case 2166: /* row: '(' expr_list ',' a_expr ')'  */
#line 15834 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 48098 "gram.c"
    break;

  case 2167: /* explicit_row: ROW '(' expr_list ')'  */
#line 15837 "gram.y"
                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 48104 "gram.c"
    break;

  case 2168: /* explicit_row: ROW '(' ')'  */
#line 15838 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 48110 "gram.c"
    break;

  case 2169: /* implicit_row: '(' expr_list ',' a_expr ')'  */
#line 15841 "gram.y"
                                                        { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 48116 "gram.c"
    break;

  case 2170: /* sub_type: ANY  */
#line 15844 "gram.y"
                                                                                                { (yyval.ival) = ANY_SUBLINK; }
#line 48122 "gram.c"
    break;

  case 2171: /* sub_type: SOME  */
#line 15845 "gram.y"
                                                                                                { (yyval.ival) = ANY_SUBLINK; }
#line 48128 "gram.c"
    break;

  case 2172: /* sub_type: ALL  */
#line 15846 "gram.y"
                                                                                                { (yyval.ival) = ALL_SUBLINK; }
#line 48134 "gram.c"
    break;

  case 2173: /* all_Op: Op  */
#line 15849 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 48140 "gram.c"
    break;

  case 2174: /* all_Op: MathOp  */
#line 15850 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 48146 "gram.c"
    break;

  case 2175: /* MathOp: '+'  */
#line 15853 "gram.y"
                                                                                        { (yyval.str) = "+"; }
#line 48152 "gram.c"
    break;

  case 2176: /* MathOp: '-'  */
#line 15854 "gram.y"
                                                                                                { (yyval.str) = "-"; }
#line 48158 "gram.c"
    break;

  case 2177: /* MathOp: '*'  */
#line 15855 "gram.y"
                                                                                                { (yyval.str) = "*"; }
#line 48164 "gram.c"
    break;

  case 2178: /* MathOp: '/'  */
#line 15856 "gram.y"
                                                                                                { (yyval.str) = "/"; }
#line 48170 "gram.c"
    break;

  case 2179: /* MathOp: '%'  */
#line 15857 "gram.y"
                                                                                                { (yyval.str) = "%"; }
#line 48176 "gram.c"
    break;

  case 2180: /* MathOp: '^'  */
#line 15858 "gram.y"
                                                                                                { (yyval.str) = "^"; }
#line 48182 "gram.c"
    break;

  case 2181: /* MathOp: '<'  */
#line 15859 "gram.y"
                                                                                                { (yyval.str) = "<"; }
#line 48188 "gram.c"
    break;

  case 2182: /* MathOp: '>'  */
#line 15860 "gram.y"
                                                                                                { (yyval.str) = ">"; }
#line 48194 "gram.c"
    break;

  case 2183: /* MathOp: '='  */
#line 15861 "gram.y"
                                                                                                { (yyval.str) = "="; }
#line 48200 "gram.c"
    break;

  case 2184: /* MathOp: LESS_EQUALS  */
#line 15862 "gram.y"
                                                                                        { (yyval.str) = "<="; }
#line 48206 "gram.c"
    break;

  case 2185: /* MathOp: GREATER_EQUALS  */
#line 15863 "gram.y"
                                                                                        { (yyval.str) = ">="; }
#line 48212 "gram.c"
    break;

  case 2186: /* MathOp: NOT_EQUALS  */
#line 15864 "gram.y"
                                                                                        { (yyval.str) = "<>"; }
#line 48218 "gram.c"
    break;

  case 2187: /* qual_Op: Op  */
#line 15868 "gram.y"
                                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 48224 "gram.c"
    break;

  case 2188: /* qual_Op: OPERATOR '(' any_operator ')'  */
#line 15870 "gram.y"
                                        { (yyval.list) = (yyvsp[-1].list); }
#line 48230 "gram.c"
    break;

  case 2189: /* qual_all_Op: all_Op  */
#line 15875 "gram.y"
                                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 48236 "gram.c"
    break;

  case 2190: /* qual_all_Op: OPERATOR '(' any_operator ')'  */
#line 15877 "gram.y"
                                        { (yyval.list) = (yyvsp[-1].list); }
#line 48242 "gram.c"
    break;

  case 2191: /* subquery_Op: all_Op  */
#line 15882 "gram.y"
                                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 48248 "gram.c"
    break;

  case 2192: /* subquery_Op: OPERATOR '(' any_operator ')'  */
#line 15884 "gram.y"
                                        { (yyval.list) = (yyvsp[-1].list); }
#line 48254 "gram.c"
    break;

  case 2193: /* subquery_Op: LIKE  */
#line 15886 "gram.y"
                                        { (yyval.list) = list_make1(makeString("~~")); }
#line 48260 "gram.c"
    break;

  case 2194: /* subquery_Op: NOT_LA LIKE  */
#line 15888 "gram.y"
                                        { (yyval.list) = list_make1(makeString("!~~")); }
#line 48266 "gram.c"
    break;

  case 2195: /* subquery_Op: ILIKE  */
#line 15890 "gram.y"
                                        { (yyval.list) = list_make1(makeString("~~*")); }
#line 48272 "gram.c"
    break;

  case 2196: /* subquery_Op: NOT_LA ILIKE  */
#line 15892 "gram.y"
                                        { (yyval.list) = list_make1(makeString("!~~*")); }
#line 48278 "gram.c"
    break;

  case 2197: /* expr_list: a_expr  */
#line 15904 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 48286 "gram.c"
    break;

  case 2198: /* expr_list: expr_list ',' a_expr  */
#line 15908 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 48294 "gram.c"
    break;

  case 2199: /* func_arg_list: func_arg_expr  */
#line 15915 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 48302 "gram.c"
    break;

  case 2200: /* func_arg_list: func_arg_list ',' func_arg_expr  */
#line 15919 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 48310 "gram.c"
    break;

  case 2201: /* func_arg_expr: a_expr  */
#line 15925 "gram.y"
                                {
					(yyval.node) = (yyvsp[0].node);
				}
#line 48318 "gram.c"
    break;

  case 2202: /* func_arg_expr: param_name COLON_EQUALS a_expr  */
#line 15929 "gram.y"
                                {
					NamedArgExpr *na = makeNode(NamedArgExpr);

					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 48332 "gram.c"
    break;

  case 2203: /* func_arg_expr: param_name EQUALS_GREATER a_expr  */
#line 15939 "gram.y"
                                {
					NamedArgExpr *na = makeNode(NamedArgExpr);

					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 48346 "gram.c"
    break;

  case 2204: /* func_arg_list_opt: func_arg_list  */
#line 15950 "gram.y"
                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 48352 "gram.c"
    break;

  case 2205: /* func_arg_list_opt: %empty  */
#line 15951 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 48358 "gram.c"
    break;

  case 2206: /* type_list: Typename  */
#line 15954 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 48364 "gram.c"
    break;

  case 2207: /* type_list: type_list ',' Typename  */
#line 15955 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 48370 "gram.c"
    break;

  case 2208: /* array_expr: '[' expr_list ']'  */
#line 15959 "gram.y"
                                {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 48378 "gram.c"
    break;

  case 2209: /* array_expr: '[' array_expr_list ']'  */
#line 15963 "gram.y"
                                {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 48386 "gram.c"
    break;

  case 2210: /* array_expr: '[' ']'  */
#line 15967 "gram.y"
                                {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 48394 "gram.c"
    break;

  case 2211: /* array_expr_list: array_expr  */
#line 15972 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 48400 "gram.c"
    break;

  case 2212: /* array_expr_list: array_expr_list ',' array_expr  */
#line 15973 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 48406 "gram.c"
    break;

  case 2213: /* extract_list: extract_arg FROM a_expr  */
#line 15979 "gram.y"
                                {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 48414 "gram.c"
    break;

  case 2214: /* extract_arg: IDENT  */
#line 15988 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 48420 "gram.c"
    break;

  case 2215: /* extract_arg: YEAR_P  */
#line 15989 "gram.y"
                                                                                                { (yyval.str) = "year"; }
#line 48426 "gram.c"
    break;

  case 2216: /* extract_arg: MONTH_P  */
#line 15990 "gram.y"
                                                                                                { (yyval.str) = "month"; }
#line 48432 "gram.c"
    break;

  case 2217: /* extract_arg: DAY_P  */
#line 15991 "gram.y"
                                                                                                { (yyval.str) = "day"; }
#line 48438 "gram.c"
    break;

  case 2218: /* extract_arg: HOUR_P  */
#line 15992 "gram.y"
                                                                                                { (yyval.str) = "hour"; }
#line 48444 "gram.c"
    break;

  case 2219: /* extract_arg: MINUTE_P  */
#line 15993 "gram.y"
                                                                                                { (yyval.str) = "minute"; }
#line 48450 "gram.c"
    break;

  case 2220: /* extract_arg: SECOND_P  */
#line 15994 "gram.y"
                                                                                                { (yyval.str) = "second"; }
#line 48456 "gram.c"
    break;

  case 2221: /* extract_arg: Sconst  */
#line 15995 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 48462 "gram.c"
    break;

  case 2222: /* unicode_normal_form: NFC  */
#line 15999 "gram.y"
                                                                                                        { (yyval.str) = "NFC"; }
#line 48468 "gram.c"
    break;

  case 2223: /* unicode_normal_form: NFD  */
#line 16000 "gram.y"
                                                                                                { (yyval.str) = "NFD"; }
#line 48474 "gram.c"
    break;

  case 2224: /* unicode_normal_form: NFKC  */
#line 16001 "gram.y"
                                                                                                { (yyval.str) = "NFKC"; }
#line 48480 "gram.c"
    break;

  case 2225: /* unicode_normal_form: NFKD  */
#line 16002 "gram.y"
                                                                                                { (yyval.str) = "NFKD"; }
#line 48486 "gram.c"
    break;

  case 2226: /* overlay_list: a_expr PLACING a_expr FROM a_expr FOR a_expr  */
#line 16008 "gram.y"
                                {
					/* overlay(A PLACING B FROM C FOR D) is converted to overlay(A, B, C, D) */
					(yyval.list) = list_make4((yyvsp[-6].node), (yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 48495 "gram.c"
    break;

  case 2227: /* overlay_list: a_expr PLACING a_expr FROM a_expr  */
#line 16013 "gram.y"
                                {
					/* overlay(A PLACING B FROM C) is converted to overlay(A, B, C) */
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 48504 "gram.c"
    break;

  case 2228: /* position_list: b_expr IN_P b_expr  */
#line 16021 "gram.y"
                                                                                        { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 48510 "gram.c"
    break;

  case 2229: /* substr_list: a_expr FROM a_expr FOR a_expr  */
#line 16043 "gram.y"
                                {
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 48518 "gram.c"
    break;

  case 2230: /* substr_list: a_expr FOR a_expr FROM a_expr  */
#line 16047 "gram.y"
                                {
					/* not legal per SQL, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[0].node), (yyvsp[-2].node));
				}
#line 48527 "gram.c"
    break;

  case 2231: /* substr_list: a_expr FROM a_expr  */
#line 16052 "gram.y"
                                {
					/*
					 * Because we aren't restricting data types here, this
					 * syntax can end up resolving to textregexsubstr().
					 * We've historically allowed that to happen, so continue
					 * to accept it.  However, ruleutils.c will reverse-list
					 * such a call in regular function call syntax.
					 */
					(yyval.list) = list_make2((yyvsp[-2].node), (yyvsp[0].node));
				}
#line 48542 "gram.c"
    break;

  case 2232: /* substr_list: a_expr FOR a_expr  */
#line 16063 "gram.y"
                                {
					/* not legal per SQL */

					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-2].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 48563 "gram.c"
    break;

  case 2233: /* substr_list: a_expr SIMILAR a_expr ESCAPE a_expr  */
#line 16080 "gram.y"
                                {
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 48571 "gram.c"
    break;

  case 2234: /* trim_list: a_expr FROM expr_list  */
#line 16085 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 48577 "gram.c"
    break;

  case 2235: /* trim_list: FROM expr_list  */
#line 16086 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 48583 "gram.c"
    break;

  case 2236: /* trim_list: expr_list  */
#line 16087 "gram.y"
                                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 48589 "gram.c"
    break;

  case 2237: /* in_expr: select_with_parens  */
#line 16091 "gram.y"
                                {
					SubLink	   *n = makeNode(SubLink);

					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *) n;
				}
#line 48601 "gram.c"
    break;

  case 2238: /* in_expr: '(' expr_list ')'  */
#line 16098 "gram.y"
                                                                                        { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 48607 "gram.c"
    break;

  case 2239: /* case_expr: CASE case_arg when_clause_list case_default END_P  */
#line 16109 "gram.y"
                                {
					CaseExpr   *c = makeNode(CaseExpr);

					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *) c;
				}
#line 48622 "gram.c"
    break;

  case 2240: /* when_clause_list: when_clause  */
#line 16123 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 48628 "gram.c"
    break;

  case 2241: /* when_clause_list: when_clause_list when_clause  */
#line 16124 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 48634 "gram.c"
    break;

  case 2242: /* when_clause: WHEN a_expr THEN a_expr  */
#line 16129 "gram.y"
                                {
					CaseWhen   *w = makeNode(CaseWhen);

					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *) w;
				}
#line 48647 "gram.c"
    break;

  case 2243: /* case_default: ELSE a_expr  */
#line 16140 "gram.y"
                                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 48653 "gram.c"
    break;

  case 2244: /* case_default: %empty  */
#line 16141 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 48659 "gram.c"
    break;

  case 2245: /* case_arg: a_expr  */
#line 16144 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 48665 "gram.c"
    break;

  case 2246: /* case_arg: %empty  */
#line 16145 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 48671 "gram.c"
    break;

  case 2247: /* columnref: ColId  */
#line 16149 "gram.y"
                                {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 48679 "gram.c"
    break;

  case 2248: /* columnref: ColId indirection  */
#line 16153 "gram.y"
                                {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 48687 "gram.c"
    break;

  case 2249: /* indirection_el: '.' attr_name  */
#line 16160 "gram.y"
                                {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 48695 "gram.c"
    break;

  case 2250: /* indirection_el: '.' '*'  */
#line 16164 "gram.y"
                                {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 48703 "gram.c"
    break;

  case 2251: /* indirection_el: '[' a_expr ']'  */
#line 16168 "gram.y"
                                {
					A_Indices *ai = makeNode(A_Indices);

					ai->is_slice = false;
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 48716 "gram.c"
    break;

  case 2252: /* indirection_el: '[' opt_slice_bound ':' opt_slice_bound ']'  */
#line 16177 "gram.y"
                                {
					A_Indices *ai = makeNode(A_Indices);

					ai->is_slice = true;
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 48729 "gram.c"
    break;

  case 2253: /* opt_slice_bound: a_expr  */
#line 16188 "gram.y"
                                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 48735 "gram.c"
    break;

  case 2254: /* opt_slice_bound: %empty  */
#line 16189 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 48741 "gram.c"
    break;

  case 2255: /* indirection: indirection_el  */
#line 16193 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 48747 "gram.c"
    break;

  case 2256: /* indirection: indirection indirection_el  */
#line 16194 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 48753 "gram.c"
    break;

  case 2257: /* opt_indirection: %empty  */
#line 16198 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 48759 "gram.c"
    break;

  case 2258: /* opt_indirection: opt_indirection indirection_el  */
#line 16199 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 48765 "gram.c"
    break;

  case 2261: /* opt_target_list: target_list  */
#line 16213 "gram.y"
                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 48771 "gram.c"
    break;

  case 2262: /* opt_target_list: %empty  */
#line 16214 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 48777 "gram.c"
    break;

  case 2263: /* target_list: target_el  */
#line 16218 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 48783 "gram.c"
    break;

  case 2264: /* target_list: target_list ',' target_el  */
#line 16219 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 48789 "gram.c"
    break;

  case 2265: /* target_el: a_expr AS ColLabel  */
#line 16223 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 48801 "gram.c"
    break;

  case 2266: /* target_el: a_expr BareColLabel  */
#line 16231 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 48813 "gram.c"
    break;

  case 2267: /* target_el: a_expr  */
#line 16239 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 48825 "gram.c"
    break;

  case 2268: /* target_el: '*'  */
#line 16247 "gram.y"
                                {
					ColumnRef  *n = makeNode(ColumnRef);

					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 48842 "gram.c"
    break;

  case 2269: /* qualified_name_list: qualified_name  */
#line 16269 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 48848 "gram.c"
    break;

  case 2270: /* qualified_name_list: qualified_name_list ',' qualified_name  */
#line 16270 "gram.y"
                                                                 { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 48854 "gram.c"
    break;

  case 2271: /* qualified_name: ColId  */
#line 16282 "gram.y"
                                {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 48862 "gram.c"
    break;

  case 2272: /* qualified_name: ColId indirection  */
#line 16286 "gram.y"
                                {
					(yyval.range) = makeRangeVarFromQualifiedName((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 48870 "gram.c"
    break;

  case 2273: /* name_list: name  */
#line 16292 "gram.y"
                                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 48876 "gram.c"
    break;

  case 2274: /* name_list: name_list ',' name  */
#line 16294 "gram.y"
                                        { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 48882 "gram.c"
    break;

  case 2275: /* name: ColId  */
#line 16298 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 48888 "gram.c"
    break;

  case 2276: /* attr_name: ColLabel  */
#line 16300 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 48894 "gram.c"
    break;

  case 2277: /* file_name: Sconst  */
#line 16302 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 48900 "gram.c"
    break;

  case 2278: /* func_name: type_function_name  */
#line 16313 "gram.y"
                                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 48906 "gram.c"
    break;

  case 2279: /* func_name: ColId indirection  */
#line 16315 "gram.y"
                                        {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 48915 "gram.c"
    break;

  case 2280: /* AexprConst: Iconst  */
#line 16326 "gram.y"
                                {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 48923 "gram.c"
    break;

  case 2281: /* AexprConst: FCONST  */
#line 16330 "gram.y"
                                {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 48931 "gram.c"
    break;

  case 2282: /* AexprConst: Sconst  */
#line 16334 "gram.y"
                                {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 48939 "gram.c"
    break;

  case 2283: /* AexprConst: BCONST  */
#line 16338 "gram.y"
                                {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 48947 "gram.c"
    break;

  case 2284: /* AexprConst: XCONST  */
#line 16342 "gram.y"
                                {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 48960 "gram.c"
    break;

  case 2285: /* AexprConst: func_name Sconst  */
#line 16351 "gram.y"
                                {
					/* generic type 'literal' syntax */
					TypeName   *t = makeTypeNameFromNameList((yyvsp[-1].list));

					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 48972 "gram.c"
    break;

  case 2286: /* AexprConst: func_name '(' func_arg_list opt_sort_clause ')' Sconst  */
#line 16359 "gram.y"
                                {
					/* generic syntax with a type modifier */
					TypeName   *t = makeTypeNameFromNameList((yyvsp[-5].list));
					ListCell   *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[-3].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[-2].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[-2]))));

					t->typmods = (yyvsp[-3].list);
					t->location = (yylsp[-5]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 49008 "gram.c"
    break;

  case 2287: /* AexprConst: ConstTypename Sconst  */
#line 16391 "gram.y"
                                {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 49016 "gram.c"
    break;

  case 2288: /* AexprConst: ConstInterval Sconst opt_interval  */
#line 16395 "gram.y"
                                {
					TypeName   *t = (yyvsp[-2].typnam);

					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 49027 "gram.c"
    break;

  case 2289: /* AexprConst: ConstInterval '(' Iconst ')' Sconst  */
#line 16402 "gram.y"
                                {
					TypeName   *t = (yyvsp[-4].typnam);

					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 49039 "gram.c"
    break;

  case 2290: /* AexprConst: TRUE_P  */
#line 16410 "gram.y"
                                {
					(yyval.node) = makeBoolAConst(true, (yylsp[0]));
				}
#line 49047 "gram.c"
    break;

  case 2291: /* AexprConst: FALSE_P  */
#line 16414 "gram.y"
                                {
					(yyval.node) = makeBoolAConst(false, (yylsp[0]));
				}
#line 49055 "gram.c"
    break;

  case 2292: /* AexprConst: NULL_P  */
#line 16418 "gram.y"
                                {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 49063 "gram.c"
    break;

  case 2293: /* Iconst: ICONST  */
#line 16423 "gram.y"
                                                                                        { (yyval.ival) = (yyvsp[0].ival); }
#line 49069 "gram.c"
    break;

  case 2294: /* Sconst: SCONST  */
#line 16424 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 49075 "gram.c"
    break;

  case 2295: /* SignedIconst: Iconst  */
#line 16426 "gram.y"
                                                                                { (yyval.ival) = (yyvsp[0].ival); }
#line 49081 "gram.c"
    break;

  case 2296: /* SignedIconst: '+' Iconst  */
#line 16427 "gram.y"
                                                                                        { (yyval.ival) = + (yyvsp[0].ival); }
#line 49087 "gram.c"
    break;

  case 2297: /* SignedIconst: '-' Iconst  */
#line 16428 "gram.y"
                                                                                        { (yyval.ival) = - (yyvsp[0].ival); }
#line 49093 "gram.c"
    break;

  case 2298: /* RoleId: RoleSpec  */
#line 16433 "gram.y"
                                {
					RoleSpec   *spc = (RoleSpec *) (yyvsp[0].rolespec);

					switch (spc->roletype)
					{
						case ROLESPEC_CSTRING:
							(yyval.str) = spc->rolename;
							break;
						case ROLESPEC_PUBLIC:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"public"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_SESSION_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"SESSION_USER"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_CURRENT_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_USER"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_CURRENT_ROLE:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_ROLE"),
									 parser_errposition((yylsp[0]))));
							break;
					}
				}
#line 49136 "gram.c"
    break;

  case 2299: /* RoleSpec: NonReservedWord  */
#line 16474 "gram.y"
                                {
					/*
					 * "public" and "none" are not keywords, but they must
					 * be treated specially here.
					 */
					RoleSpec   *n;

					if (strcmp((yyvsp[0].str), "public") == 0)
					{
						n = (RoleSpec *) makeRoleSpec(ROLESPEC_PUBLIC, (yylsp[0]));
						n->roletype = ROLESPEC_PUBLIC;
					}
					else if (strcmp((yyvsp[0].str), "none") == 0)
					{
						ereport(ERROR,
								(errcode(ERRCODE_RESERVED_NAME),
								 errmsg("role name \"%s\" is reserved",
										"none"),
								 parser_errposition((yylsp[0]))));
					}
					else
					{
						n = makeRoleSpec(ROLESPEC_CSTRING, (yylsp[0]));
						n->rolename = pstrdup((yyvsp[0].str));
					}
					(yyval.rolespec) = n;
				}
#line 49168 "gram.c"
    break;

  case 2300: /* RoleSpec: CURRENT_ROLE  */
#line 16502 "gram.y"
                                {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_ROLE, (yylsp[0]));
				}
#line 49176 "gram.c"
    break;

  case 2301: /* RoleSpec: CURRENT_USER  */
#line 16506 "gram.y"
                                {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0]));
				}
#line 49184 "gram.c"
    break;

  case 2302: /* RoleSpec: SESSION_USER  */
#line 16510 "gram.y"
                                {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_SESSION_USER, (yylsp[0]));
				}
#line 49192 "gram.c"
    break;

  case 2303: /* role_list: RoleSpec  */
#line 16516 "gram.y"
                                { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 49198 "gram.c"
    break;

  case 2304: /* role_list: role_list ',' RoleSpec  */
#line 16518 "gram.y"
                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 49204 "gram.c"
    break;

  case 2305: /* PLpgSQL_Expr: opt_distinct_clause opt_target_list from_clause where_clause group_clause having_clause window_clause opt_sort_clause opt_select_limit opt_for_locking_clause  */
#line 16535 "gram.y"
                                {
					SelectStmt *n = makeNode(SelectStmt);

					n->distinctClause = (yyvsp[-9].list);
					n->targetList = (yyvsp[-8].list);
					n->fromClause = (yyvsp[-7].list);
					n->whereClause = (yyvsp[-6].node);
					n->groupClause = ((yyvsp[-5].groupclause))->list;
					n->groupDistinct = ((yyvsp[-5].groupclause))->distinct;
					n->havingClause = (yyvsp[-4].node);
					n->windowClause = (yyvsp[-3].list);
					n->sortClause = (yyvsp[-2].list);
					if ((yyvsp[-1].selectlimit))
					{
						n->limitOffset = (yyvsp[-1].selectlimit)->limitOffset;
						n->limitCount = (yyvsp[-1].selectlimit)->limitCount;
						if (!n->sortClause &&
							(yyvsp[-1].selectlimit)->limitOption == LIMIT_OPTION_WITH_TIES)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("WITH TIES cannot be specified without ORDER BY clause")));
						n->limitOption = (yyvsp[-1].selectlimit)->limitOption;
					}
					n->lockingClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 49235 "gram.c"
    break;

  case 2306: /* PLAssignStmt: plassign_target opt_indirection plassign_equals PLpgSQL_Expr  */
#line 16568 "gram.y"
                                {
					PLAssignStmt *n = makeNode(PLAssignStmt);

					n->name = (yyvsp[-3].str);
					n->indirection = check_indirection((yyvsp[-2].list), yyscanner);
					/* nnames will be filled by calling production */
					n->val = (SelectStmt *) (yyvsp[0].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 49250 "gram.c"
    break;

  case 2307: /* plassign_target: ColId  */
#line 16580 "gram.y"
                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 49256 "gram.c"
    break;

  case 2308: /* plassign_target: PARAM  */
#line 16581 "gram.y"
                                                                                        { (yyval.str) = psprintf("$%d", (yyvsp[0].ival)); }
#line 49262 "gram.c"
    break;

  case 2311: /* ColId: IDENT  */
#line 16602 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 49268 "gram.c"
    break;

  case 2312: /* ColId: unreserved_keyword  */
#line 16603 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 49274 "gram.c"
    break;

  case 2313: /* ColId: col_name_keyword  */
#line 16604 "gram.y"
                                                                                        { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 49280 "gram.c"
    break;

  case 2314: /* type_function_name: IDENT  */
#line 16609 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 49286 "gram.c"
    break;

  case 2315: /* type_function_name: unreserved_keyword  */
#line 16610 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 49292 "gram.c"
    break;

  case 2316: /* type_function_name: type_func_name_keyword  */
#line 16611 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 49298 "gram.c"
    break;

  case 2317: /* NonReservedWord: IDENT  */
#line 16616 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 49304 "gram.c"
    break;

  case 2318: /* NonReservedWord: unreserved_keyword  */
#line 16617 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 49310 "gram.c"
    break;

  case 2319: /* NonReservedWord: col_name_keyword  */
#line 16618 "gram.y"
                                                                                        { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 49316 "gram.c"
    break;

  case 2320: /* NonReservedWord: type_func_name_keyword  */
#line 16619 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 49322 "gram.c"
    break;

  case 2321: /* ColLabel: IDENT  */
#line 16625 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 49328 "gram.c"
    break;

  case 2322: /* ColLabel: unreserved_keyword  */
#line 16626 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 49334 "gram.c"
    break;

  case 2323: /* ColLabel: col_name_keyword  */
#line 16627 "gram.y"
                                                                                        { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 49340 "gram.c"
    break;

  case 2324: /* ColLabel: type_func_name_keyword  */
#line 16628 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 49346 "gram.c"
    break;

  case 2325: /* ColLabel: reserved_keyword  */
#line 16629 "gram.y"
                                                                                        { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 49352 "gram.c"
    break;

  case 2326: /* BareColLabel: IDENT  */
#line 16635 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 49358 "gram.c"
    break;

  case 2327: /* BareColLabel: bare_label_keyword  */
#line 16636 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 49364 "gram.c"
    break;


#line 49368 "gram.c"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
    }

  yyerror_range[1] = yylloc;
  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  ++yylsp;
  YYLLOC_DEFAULT (*yylsp, yyerror_range, 2);

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;


#if !defined yyoverflow
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturn;
#endif


/*-------------------------------------------------------.
| yyreturn -- parsing is finished, clean up and return.  |
`-------------------------------------------------------*/
yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif

  return yyresult;
}

#line 17586 "gram.y"


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static RawStmt *
makeRawStmt(Node *stmt, int stmt_location)
{
	RawStmt    *rs = makeNode(RawStmt);

	rs->stmt = stmt;
	rs->stmt_location = stmt_location;
	rs->stmt_len = 0;			/* might get changed later */
	return rs;
}

/* Adjust a RawStmt to reflect that it doesn't run to the end of the string */
static void
updateRawStmtEnd(RawStmt *rs, int end_location)
{
	/*
	 * If we already set the length, don't change it.  This is for situations
	 * like "select foo ;; select bar" where the same statement will be last
	 * in the string for more than one semicolon.
	 */
	if (rs->stmt_len > 0)
		return;

	/* OK, update length of RawStmt */
	rs->stmt_len = end_location - rs->stmt_location;
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int			nfields = 0;
	ListCell   *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(indirection, l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast   *n = makeNode(TypeCast);

	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.sval.type = T_String;
	n->val.sval.sval = str;
	n->location = location;

   return (Node *) n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node	   *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.ival.type = T_Integer;
	n->val.ival.ival = val;
	n->location = location;

   return (Node *) n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.fval.type = T_Float;
	n->val.fval.fval = str;
	n->location = location;

   return (Node *) n;
}

static Node *
makeBoolAConst(bool state, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.boolval.type = T_Boolean;
	n->val.boolval.boolval = state;
	n->location = location;

   return (Node *) n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.bsval.type = T_BitString;
	n->val.bsval.bsval = str;
	n->location = location;

   return (Node *) n;
}

static Node *
makeNullAConst(int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->isnull = true;
	n->location = location;

	return (Node *) n;
}

static Node *
makeAConst(Node *v, int location)
{
	Node	   *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(castNode(Float, v)->fval, location);
			break;

		case T_Integer:
			n = makeIntConst(castNode(Integer, v)->ival, location);
			break;

		default:
			/* currently not used */
			Assert(false);
			n = NULL;
	}

	return n;
}

/* makeRoleSpec
 * Create a RoleSpec with the given type
 */
static RoleSpec *
makeRoleSpec(RoleSpecType type, int location)
{
	RoleSpec   *spec = makeNode(RoleSpec);

	spec->roletype = type;
	spec->location = location;

	return spec;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(indirection, l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	Integer	   *ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC ||
			!equal(lastd->argType, firsto->argType))
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = makeInteger(list_length(directargs));

	return list_make2(list_concat(directargs, orderedargs),
					  ndirectargs);
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					SelectLimit *limitClause,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitClause && limitClause->limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitClause->limitOffset))));
		stmt->limitOffset = limitClause->limitOffset;
	}
	if (limitClause && limitClause->limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitClause->limitCount))));
		stmt->limitCount = limitClause->limitCount;
	}
	if (limitClause && limitClause->limitOption != LIMIT_OPTION_DEFAULT)
	{
		if (stmt->limitOption)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple limit options not allowed")));
		if (!stmt->sortClause && limitClause->limitOption == LIMIT_OPTION_WITH_TIES)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("WITH TIES cannot be specified without ORDER BY clause")));
		if (limitClause->limitOption == LIMIT_OPTION_WITH_TIES && stmt->lockingClause)
		{
			ListCell   *lc;

			foreach(lc, stmt->lockingClause)
			{
				LockingClause *lock = lfirst_node(LockingClause, lc);

				if (lock->waitPolicy == LockWaitSkip)
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("%s and %s options cannot be used together",
									"SKIP LOCKED", "WITH TIES")));
			}
		}
		stmt->limitOption = limitClause->limitOption;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const	   *con = (A_Const *) n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (IsA(&con->val, Integer))
		{
			con->val.ival.ival = -con->val.ival.ival;
			return n;
		}
		if (IsA(&con->val, Float))
		{
			doNegateFloat(&con->val.fval);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Float *v)
{
	char	   *oldval = v->fval;

	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->fval = oldval+1;	/* just strip the '-' */
	else
		v->fval = psprintf("-%s", oldval);
}

static Node *
makeAndExpr(Node *lexpr, Node *rexpr, int location)
{
	/* Flatten "a AND b AND c ..." to a single BoolExpr on sight */
	if (IsA(lexpr, BoolExpr))
	{
		BoolExpr   *blexpr = (BoolExpr *) lexpr;

		if (blexpr->boolop == AND_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(AND_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeOrExpr(Node *lexpr, Node *rexpr, int location)
{
	/* Flatten "a OR b OR c ..." to a single BoolExpr on sight */
	if (IsA(lexpr, BoolExpr))
	{
		BoolExpr   *blexpr = (BoolExpr *) lexpr;

		if (blexpr->boolop == OR_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(OR_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeNotExpr(Node *expr, int location)
{
	return (Node *) makeBoolExpr(NOT_EXPR, list_make1(expr), location);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod, int location)
{
	SQLValueFunction *svf = makeNode(SQLValueFunction);

	svf->op = op;
	/* svf->type will be filled during parse analysis */
	svf->typmod = typmod;
	svf->location = location;
	return (Node *) svf;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_DEFAULT &&
			p->mode != FUNC_PARAM_IN &&
			p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName   *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar   *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/*
 * Convert a relation_name with name and namelist to a RangeVar using
 * makeRangeVar.
 */
static RangeVar *
makeRangeVarFromQualifiedName(char *name, List *namelist, int location,
							  core_yyscan_t yyscanner)
{
	RangeVar   *r;

	check_qualified_name(namelist, yyscanner);
	r = makeRangeVar(NULL, NULL, location);

	switch (list_length(namelist))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = name;
			r->relname = strVal(linitial(namelist));
			break;
		case 2:
			r->catalogname = name;
			r->schemaname = strVal(linitial(namelist));
			r->relname = strVal(lsecond(namelist));
			break;
		default:
			ereport(ERROR,
					errcode(ERRCODE_SYNTAX_ERROR),
					errmsg("improper qualified name (too many dotted names): %s",
						   NameListToString(lcons(makeString(name), namelist))),
						   parser_errposition(location));
			break;
	}

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;

	*collClause = NULL;
	foreach(cell, qualList)
	{
		Node	   *n = (Node *) lfirst(cell);

		if (IsA(n, Constraint))
		{
			/* keep it in list */
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = foreach_delete_current(qualList, cell);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*
 * Process pubobjspec_list to check for errors in any of the objects and
 * convert PUBLICATIONOBJ_CONTINUATION into appropriate PublicationObjSpecType.
 */
static void
preprocess_pubobj_list(List *pubobjspec_list, core_yyscan_t yyscanner)
{
	ListCell   *cell;
	PublicationObjSpec *pubobj;
	PublicationObjSpecType prevobjtype = PUBLICATIONOBJ_CONTINUATION;

	if (!pubobjspec_list)
		return;

	pubobj = (PublicationObjSpec *) linitial(pubobjspec_list);
	if (pubobj->pubobjtype == PUBLICATIONOBJ_CONTINUATION)
		ereport(ERROR,
				errcode(ERRCODE_SYNTAX_ERROR),
				errmsg("invalid publication object list"),
				errdetail("One of TABLE or TABLES IN SCHEMA must be specified before a standalone table or schema name."),
				parser_errposition(pubobj->location));

	foreach(cell, pubobjspec_list)
	{
		pubobj = (PublicationObjSpec *) lfirst(cell);

		if (pubobj->pubobjtype == PUBLICATIONOBJ_CONTINUATION)
			pubobj->pubobjtype = prevobjtype;

		if (pubobj->pubobjtype == PUBLICATIONOBJ_TABLE)
		{
			/* relation name or pubtable must be set for this type of object */
			if (!pubobj->name && !pubobj->pubtable)
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("invalid table name"),
						parser_errposition(pubobj->location));

			if (pubobj->name)
			{
				/* convert it to PublicationTable */
				PublicationTable *pubtable = makeNode(PublicationTable);

				pubtable->relation =
					makeRangeVar(NULL, pubobj->name, pubobj->location);
				pubobj->pubtable = pubtable;
				pubobj->name = NULL;
			}
		}
		else if (pubobj->pubobjtype == PUBLICATIONOBJ_TABLES_IN_SCHEMA ||
				 pubobj->pubobjtype == PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA)
		{
			/* WHERE clause is not allowed on a schema object */
			if (pubobj->pubtable && pubobj->pubtable->whereClause)
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("WHERE clause not allowed for schema"),
						parser_errposition(pubobj->location));

			/* Column list is not allowed on a schema object */
			if (pubobj->pubtable && pubobj->pubtable->columns)
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("column specification not allowed for schema"),
						parser_errposition(pubobj->location));

			/*
			 * We can distinguish between the different type of schema
			 * objects based on whether name and pubtable is set.
			 */
			if (pubobj->name)
				pubobj->pubobjtype = PUBLICATIONOBJ_TABLES_IN_SCHEMA;
			else if (!pubobj->name && !pubobj->pubtable)
				pubobj->pubobjtype = PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA;
			else
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("invalid schema name"),
						parser_errposition(pubobj->location));
		}

		prevobjtype = pubobj->pubobjtype;
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctematerialized = CTEMaterializeDefault;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}
